<?PHP
COMLOGVISHTML("CARRITO: v1.2");

if(isset(${ev("AC")}))
{
	$ACC = decodVal(${ev("AC")});

	$resp['error'] = 1;
	$resp['msg'] = "Error";

	if($ACC == "ADDCAR")
	{
		$id = decodVal(${ev("id")});
		$data = ${ev("data")};

		$resp['msg'] = "No se encontró ID";

		if($id && $data)
		{
			include_once($_PROYDIR_OBJ."obj_argollas.php");

			$oArg = new obj_argollas($Link);
			$argolla = $oArg -> cargaArgollas($PAG,1, "*" ," id='$id'")[0];

			$resp['msg'] = "No se encontró argolla";

			if($argolla)
			{
				extract($argolla,EXTR_PREFIX_ALL,"arg");

				foreach ($data as $i => $desc)
				{
					$prod['id']  = $arg_id;
					$prod['sku']  = $arg_sku;
					$prod['nombre']  = $arg_nombre;
					$prod['descripcion']  = $arg_descripcion;
					$prod['peso_g']  = $arg_peso_g;
					$prod['grosor_mm']  = $arg_grosor_mm;
					$prod['material']  = $arg_material;
					$prod['color']  = $arg_color;
					$prod['precio_x_gr']  = $arg_precio_x_gr;
					$prod['precio']  = $arg_precio;
					$prod['contado']  = $arg_contado;
					$prod['msi']  = $arg_msi;
					
					$prod['tam']  = $desc['tam'];
					$prod['grab'] = $desc['grab'];

					$_SESSION['carrito'][] = $prod;

					unset($prod);
				}

				$resp['error'] = 0;
				$resp['msg'] = "Producto agregado al carrito";
			}
		}
	}

	if($ACC == "DELCAR")
	{
		$index_car = decodVal(${ev("index")});

		$resp['msg'] = "Eliminado";
		$resp['del'] = ev($index_car);


		unset($_SESSION['carrito'][$index_car]);

		if(!isset($_SESSION['carrito'][$index_car]))
			$resp['error'] = 0;

		if(!count($_SESSION['carrito']))
		{
			// $_SESSION['compra']['step1']['step_status'];
			// $_SESSION['compra']['step2']['step_status'];
		}
	}

	//Si se agrega o elimina el carrito se debe volver a calcular un pedido nuevo
	//Session de compra normal
	unset($_SESSION['compra']['step2']['stripe']);

	//Session de compra personalizado
	unset($_SESSION['compra']['personalizada']['stripe']);

	echo "--codecar--";
	echo json_encode($resp);
	echo "--codecar--";
	exit(0);
}

$carrito = $_SESSION['carrito'];
// if($_GET['x']){
// 	prEx(json_encode($carrito));
// }

if($carrito)
{
	$multi_carr = count($carrito)>1;

	$resumen = "¡Hola! Tengo interés en la compra de".($multi_carr?" los siguientes productos":"l siguiente producto").":\n";

	$ixc=1;
	foreach ($carrito as $ckey => $xprod)
	{
		//TOTAL
		$total_prods_resumen+= $xprod['contado'];
		//TOTAL MSI
		$total_prods_msi+= $xprod['msi'];

		//RESUMEN
		$producto_piedra = "";
		$tam_piedra = "";
		$color_diamante = "";
		$pureza_diamante = "";

		//
		$grabado = "";
		$medida = trim($xprod['tam']);

		if($multi_carr)
			$resumen.= "\nPRODUCTO $ixc";

		$ixc++;

		if($xprod['es_producto'])
		{
			$producto_piedra = $xprod['piedra_prin'];
			$tam_piedra = $xprod['tam_piedra'];
			$color_diamante = $xprod['color_diam'];
			$pureza_diamante = $xprod['pureza_diam'];
		}
		else
		{
			$grabado = $xprod['grab'];
			//$medida  = $xprod['tam'];
		}

		$xpagos = " ó 12 pagos de "."$".number_format($xprod['msi'], 2)." MXN";

		$resumen.=" \nProducto: ".$xprod['descripcion'];
		$resumen.=" \nMaterial: ".$xprod['material'];
		$resumen.=" \nColor: ".$xprod['color'];
		$resumen.=" \nSKU: ".$xprod['sku'];

		if($producto_piedra)
			$resumen.=" \nPiedra principal: ".$producto_piedra;

		if($tam_piedra)
			$resumen.=" \nTamaño piedra aprox: ".$tam_piedra." qts";

		if($color_diamante)
			$resumen.=" \nColor diamante: ".$color_diamante;

		if($pureza_diamante)
			$resumen.=" \nClaridad: ".$pureza_diamante;

		if($medida)
			$resumen.=" \nMedida: ".$medida;

		if($grabado)
			$resumen.=" \nGrabado: ".$grabado;


		$resumen.=" \nPrecio aprox: $".number_format($xprod['contado'],2)." MXN".$xpagos;
		$resumen.=" \nTiempo de entrega: 15 días";	

		if( isset($carrito[$ckey+1]) )
			$resumen.="\n\n\n";
	}

	$total_compra = "$".number_format($total_prods_resumen,2)." MXN";
	$total_compra_msi = "$".number_format($total_prods_msi,2)." MXN";

	$resumen.="\n\nTOTAL COMPRA: $total_compra ó 12 pagos de $total_compra_msi\n\n";

	$resumen.= "Estoy consciente que los precios son aproximados y puede haber ligeras variaciones en ellos, además que todos los productos y piedras están sujetas a disponibilidad. Agradezco su atención.";

	$resumen = urlencode($resumen);

}

$NO_DINAMIC_BAR = true;

$title = "Matrimony Rings | Carrito de compra";

$metaFb['url'] = $_URLBASE."ac-carrito-de-compra-anillo.html";
$metaFb['title'] = $title;
$metaFb['description'] = "Aquí podrás ver todos los productos para su posterior compra. Aceptamos como métodos de pago tarjetas de crédito, débito, PayPal, Transferencia Bancaria, Depósito o efectivo. Hasta 12 MSI.";
$metaFb['image'] = "";


include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_cabecera.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_carrito.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_pie.php");
?>