<?php
header('Content-Type: application/json');

try {
    // retrieve JSON from POST body
    $jsonStr = file_get_contents('php://input');
    $jsonObj = json_decode($jsonStr);

    $session = false;
    $message = "Error token";

    if($jsonObj->tkcs){

        $message = "Error action";

        include_once($_PROYDIR_OBJ."obj_clientes.php");

        switch($jsonObj->action){
            case 'CHECK-SESSION-BUY':
                
                $oClie = new obj_clientes($Link);

                $step1_ok = $_SESSION['compra']['step1']['step_status'];
                $data_carrito = $oClie->getCostosCarrito($costos);

                $message = "La sesión expiró";
                if($step1_ok && $data_carrito){
                    $session = true;
                    $message = "Session exist";
                }

                break;
        }

    }

    $output = ['session_exist'=>$session,'message'=>$message];

    echo json_encode($output);
} catch (Error $e) {
    http_response_code(500);
    echo json_encode(['error' => $e->getMessage()]);
}