<?PHP
// COMLOGVIS("v0.2");
include_once($_PROYDIR_OBJ."obj_productos.php");
require $_PROYDIR_STRIPE.'init.php';

\Stripe\Stripe::setApiKey($_STRIPE_PRIVATE_KEY);
$stripe = new \Stripe\StripeClient($_STRIPE_PRIVATE_KEY);

//Para guardar registro de logs
$_LOG_PROCESOS = $_PROYDIR.DIRECTORY_SEPARATOR."_logs".DIRECTORY_SEPARATOR;
$_NOM_LOGS = "logs.pedido.personalizo.".str_replace("-", ".", explode(" ", NOWDT())[0]).".log";
$_LOG_PROCESOS.=$_NOM_LOGS;

$VAR = ev("IDOP");
if($$VAR){
	$idOperacion = decodVal($$VAR);

	include_once($_PROYDIR_OBJ."obj_ventas.php");
	$oVent = new obj_ventas($Link);

	if($operacion=$oVent->cargaDatosOperacion($idOperacion))
		extract($operacion,EXTR_PREFIX_ALL,"op");

	if($pedido=$oVent->cargaDatosPedidoId($op_idPedido))
		extract($pedido,EXTR_PREFIX_ALL,"ped");

	$idcompra = $_URLBASE."ac_mis-pedidos.html?ped=".urlencode(codVal($op_idPedido));
	$apagar = number_format($op_importe,2);

	$params = "?".$VAR."=".urlencode(codVal($idOperacion));
	$_URLPOST.= $params;
	$_URLNEXT.= $params;

	// $esta_pagado = ($op_tipo==1 && $op_order_id && $op_idOper);
	// $esta_cancelado = (isset($op_estatus_matrimony) && $op_estatus_matrimony==0);

}else{
	COMLOG("ERROR ID OPERACION COD");
	die("Error 1.1");
}

if(!$idOperacion){
	COMLOG("ERROR ID OPERACION");
	die("Error 1.2");
}

// die("$esta_pagado - $esta_cancelado");
$total_apagar = 0;
$es_pago_apertura = (strtolower($operacion['concepto'])=="apertura");
//Si es apertura se pagara el carrito
if($es_pago_apertura){

	$carrito = json_decode($ped_ses_carrito,true);;

	if(!is_array($carrito)){
		$error_car = $error = "Error al obtener los productos.";
	}

	foreach ($carrito as $ckey => $xprod) {
		$productos[] = $xprod['descripcion'];
		//TOTAL
		$total_apagar+= $xprod['contado'];
		//TOTAL MSI
		//$total_prods_msi+= $xprod['msi'];
	}
}else{

	$productos[] = "Pago personalizado";
	//TOTAL
	$total_apagar = $op_importe;
	//TOTAL MSI
	//$total_prods_msi = (($op_importe*1.1765) /12);
}

if(!$total_apagar){
	die("Error al calcular el cobro.");
}

$esta_pagado = ($op_tipo==1 && $op_order_id && $op_idOper);
$esta_cancelado = (isset($op_estatus_matrimony) && $op_estatus_matrimony==0);

$_stripe_data  = $_SESSION['compra']['personalizada']['stripe'];

if(!$_stripe_data || $_GET['rset']=="res.hol"){
	try {
		$dataCustomer = [
		    'name' => $ped_nombre,
		    'email'=> $ped_correo,
		    'phone'=> $ped_telefono*1,
		];
		$customer = \Stripe\Customer::create($dataCustomer);

		$dataIntent = [
	    	'amount' => $total_apagar*100,
			// 'amount' => 10*100,
	        'currency' => 'mxn',
	        'payment_method_types' => ['card'],
	        'payment_method_options' => [
	            'card' => [
	                'request_three_d_secure' => 'any'
	            ]
	        ],
	        'description' => "Pago personalizado",
	        'shipping' => [
	            'name' => $ped_nombre,
	            'address' => [
	              'city'=>"",
	              'postal_code'=>"",
	            ],
	            'phone' => $ped_telefono*1,
	          ],
	        'customer' => $customer->id,
	        // 'payment_method' => $this->payment_method,
	        // 'off_session' => true,
	        'off_session' => false,
	        // 'confirmation_method' => 'manual',
	        // 'confirm' => true,
	    ];

		$intent = \Stripe\PaymentIntent::create($dataIntent);

		$d_stripe['payment_intent'] = $intent->id;
	    $d_stripe['client_secret'] = $intent->client_secret;
	    $d_stripe['customer'] = $intent->customer;
	    
	    $_SESSION['compra']['personalizada']['stripe'] = $d_stripe;
	    $_stripe_data = $d_stripe;

	} catch (Error $e) {
        $error = $e->getMessage();
        COMLOG("ERROR CREATE PAYMENTINTENT: ".print_r($error,true));
    }
}

if($_stripe_data){
	$url_save_payment = $_URLBASE."ac-termina-compra-personalizado.html?$VAR=".urlencode($$VAR);
	extract($_stripe_data,EXTR_PREFIX_ALL,"stripe");
}

//prEx($_stripe_data);
$es_pago_personalizado = true;
$total_anticipo = number_format($op_importe, 2);

$oVis->plantilla = "compra-metodo-pago-personalizado-v3";
$oVis->contruyeVista();
?>