<?PHP
ini_set('max_execution_time', 90);

include_once($_PROYDIR_OBJ."obj_productos.php");
include_once($_PROYDIR_OBJ."obj_clientes.php");
require $_PROYDIR_STRIPE.'init.php';


$VAR = ev("IDOP");
if($$VAR){
	$idOperacion_v1 = decodVal($$VAR);
	if($idOperacion_v1){
		$params = "?$VAR=".urlencode($$VAR);
		$oVis->reditectTo("compra-metodo-pago-personalizado",$params);
	}
}


\Stripe\Stripe::setApiKey($_STRIPE_PRIVATE_KEY);
$stripe = new \Stripe\StripeClient($_STRIPE_PRIVATE_KEY);
$oClie = new obj_clientes($Link);

$COMPRA = $_SESSION['compra'];
$prods_carrito = $_SESSION['carrito'];

$step1_ok 	   = $COMPRA['step1']['step_status'];;
$_stripe_data  = $COMPRA['step2']['stripe'];
$datadir 	   = $COMPRA['step1'];

$URL_STEP1 = $_URLBASE."ac-compra-informacion-envio.html?active=1";
$_URLPOST = $_URLBASE."ac-compra-metodo-pago-v3.html";


if(!$step1_ok || !$oClie->getCostosCarrito($costos)){
	$oVis->reditectTo("compra-informacion-envio","?active=1");
}

//Por el momento solo se paga el anticipo
$total = $costos['anticipo'];

if(!$total){
	die("Error al calcular el costo");
}




$SESUS_login = $_SESSION['SESUS_login'];
$IDC_TOTAL = false;

if($SESUS_login && $_GET['TPV1']=='xv1'){
	unset($_stripe_data);
	$IDC_TOTAL = true;
	$total = 10;
}


extract($costos);
extract($datadir,EXTR_PREFIX_ALL,"clie");

if(!$_stripe_data){

	try {
		$dataCustomer = [
		    'name' => $clie_nombre,
		    'email'=> $clie_correo,
		    'phone'=> $clie_telefono*1,
		];
		$customer = \Stripe\Customer::create($dataCustomer);

		$dataIntent = [
	    	'amount' => $total*100,
	        'currency' => 'mxn',
	        'payment_method_types' => ['card'],
	        'payment_method_options' => [
	            'card' => [
	                'request_three_d_secure' => 'any'
	            ]
	        ],
	        'description' => $costos['descripcion'],
	        'shipping' => [
	            'name' => $clie_nombre,
	            'address' => [
	              'city'=>$clie_ciudad,
	              'postal_code'=>$clie_cp,
	            ],
	            'phone' => $clie_telefono*1,
	          ],
	        'customer' => $customer->id,
	        // 'payment_method' => $this->payment_method,
	        // 'off_session' => true,
	        'off_session' => false,
	        // 'confirmation_method' => 'manual',
	        // 'confirm' => true,
	    ];

		$intent = \Stripe\PaymentIntent::create($dataIntent);

		$d_stripe['payment_intent'] = $intent->id;
	    $d_stripe['client_secret'] = $intent->client_secret;
	    $d_stripe['customer'] = $intent->customer;
	    
	    $_SESSION['compra']['step2']['stripe'] = $d_stripe;
	    $_stripe_data = $d_stripe;

	} catch (Error $e) {
        $error = $e->getMessage();
        COMLOG("ERROR CREATE PAYMENTINTET: ".print_r($error,true));
    }}

if($_stripe_data){
	$url_save_payment = $_URLBASE."ac-termina-compra.html";
	extract($_stripe_data,EXTR_PREFIX_ALL,"stripe");
}


extract($_SESSION['compra']['step1'],EXTR_PREFIX_ALL,"ses");
$info_envio = "
	$ses_nombre <br>
	$ses_telefono <br>
	$ses_correo <br>
	$ses_calle, $ses_num_e - $ses_num_i, $ses_colonia<br>
	$ses_delegacion, $ses_cp, $ses_ciudad, $ses_estado  <br>
";

$last_product = $_SESSION['carrito'][0]['url'];

$oVis->plantilla = "compra-metodo-pago-v3";
$oVis->contruyeVista();
?>