<?PHP
COMLOGVISHTML("v1");
if($_SESSION['SESUS_login']){
	COMLOGVISHTML("pruebas v1.1");
}

//1.5 minutos para el proceso
ini_set('max_execution_time', 90);
//Para guardar registro de logs
$_LOG_PROCESOS = $_PROYDIR.DIRECTORY_SEPARATOR."_logs".DIRECTORY_SEPARATOR;
$AUX_LOGS=$_LOG_PROCESOS;
$_NOM_LOGS = "logs.revisa.pedido.".str_replace("-", ".", explode(" ", NOWDT())[0]).".log";
$_LOG_PROCESOS.=$_NOM_LOGS;


include_once($_PROYDIR_OBJ."obj_card_detector.php");
include_once($_PROYDIR_OBJ."obj_productos.php");
include_once($_PROYDIR_OBJ."obj_stripe.php");
include_once($_PROYDIR_OBJ."obj_clientes.php");

$oCcardD = new obj_card_detector();
$oProd = new obj_productos($Link);
$oClie = new obj_clientes($Link);

$carrito = $_SESSION['carrito'];
$step1_ok = $_SESSION['compra']['step1']['step_status'];
$step2_ok = $_SESSION['compra']['step2']['step_status'];

$URL_STEP1 = $_URLBASE."ac-compra-informacion-envio.html?active=1";
$URL_STEP2 = $_URLBASE."ac-compra-metodo-pago-v2.html";
$_URLPOST =  $_URLBASE."ac-compra-revisa-pedido-v2.html";

extract($_SESSION['compra']['step2'],EXTR_PREFIX_ALL,"s2");
extract($_SESSION['compra']['step1'],EXTR_PREFIX_ALL,"ses");
extract($s2_card,EXTR_PREFIX_ALL,"dc");

//prEx($_SESSION['compra']['step2']);


if(isset(${ev("ACTION")}))
{	
	$ACC = decodVal(${ev("ACTION")});

	if($ACC == "PAY")
	{
		if(isset($_SERVER['HTTP_USER_AGENT'])){
			$browser_agent = $_SERVER['HTTP_USER_AGENT'];
			COMLOG("\n\n\nDATOS NAVEGADOR:".print_r($browser_agent, true)." \n\n\n\n");
		}

		COMLOG("INTENTO PAGO DATA _POST:". print_r($_POST, true));
		COMLOG("INTENTO PAGO DATA _GET:". print_r($_GET, true));

		$resp['error'] = 1;
		$resp['link_prev'] = null;

		if(!$step1_ok)
			$error_dir = $error = "Verificar dirección de envío.";

		if(!$step2_ok)
			$error_dir = $error = "Verificar el método de pago.";

		if(!$carrito)
			$error_car = $error = "La sesión del carrito ha finalizado.";

		//Tipo de pago
		$payment_method  = $_SESSION['compra']['step2']['method_pay'];
		$es_pago_tarjeta = true;

		$resp['tipo_compra'] = null;

		//Validar solo si es pago tarjeta
		if($es_pago_tarjeta && !$dc_last4) {
			$error_dc = $error = "Ocurrió un error con la información de pago.";
		}

		COMLOG("\n\n\n\nINTENTO PAGO termina validaciones");

		if(!$error)
		{
			COMLOG("\n\n\n\nENTRO A INTENTAR PAGAR");

            $oStripe = new obj_stripe($_STRIPE_PRIVATE_KEY,$s2_data_pay['customer_id'],$s2_data_pay['payment_method']);
			$oStripe->oClie=$oClie; 

			$resp['error'] = 2;
			$resp['msg'] = "Ocurrió un error al realizar la compra";
			

			foreach ($carrito as $ckey => $xprod)
			{
				$productos[] = $xprod['descripcion'];
				$total_prods+= $xprod['contado']; //TOTAL
				$total_prods_msi+= $xprod['msi']; //TOTAL MSI
			}

			$total_base = round($total_prods,2);
			$total_base_msi = round($total_prods_msi,2);

			//Si es pago de anticipo
			if($anticipo) {
				//Resto del anticipo 
				$total_pago_resto = ($total_prods*0.7);

				//Resto del anticipo MSI 70%
				$total_pago_msi_resto = ($total_prods_msi*0.7);

				//Total de pago 30%
				$total_prods = ($total_prods*0.3);

				//Anticipo de MSI 30%
				$total_prods_msi = ($total_prods_msi*0.3);

				$oStripe->concepto = "Anticipo";
				$oStripe->anticipo_resto = round($total_pago_resto,2);
				$oStripe->total_anticipo = round($total_prods,2);
			}

			$total_pago =     round($total_prods,2);
			$total_pago_msi = round($total_prods_msi,2);
			$descripcion =    implode(", ", $productos);

			if($_SESSION['SESUS_login']){
				$total_pago = "20";
				// die("Error controled");
			}

			COMLOG("DATA PAY: $ses_nombre,$ses_telefono,$ses_correo,$descripcion,$total_pago,$total_base");
            $oStripe->setData($ses_nombre,$ses_telefono,$ses_correo,$descripcion,$total_pago,$total_base);

            // if($_SESSION['SESUS_login']){
            // 	$paid = false;
            // }else{
            	COMLOG("\n\n\n\JUSTO ANTES DE PAGAR");
            	$paid = $oStripe->pay();
            //}

			if($paid){
				$order = $oStripe->order;
				COMLOG("PAYMENT OK -> order: ".print_r($order,true));
				// prEx($order);
				//echo "$order \n\n";
				//echo $order->amount/100;

				$info_envio = "
					$ses_nombre <br>
					$ses_telefono <br>
					$ses_correo <br>
					$ses_calle, $ses_num_e - $ses_num_i, $ses_colonia<br>
					$ses_delegacion, $ses_cp, $ses_ciudad, $ses_estado  <br>
				";

				// $metodo_pago = "Transferencia interbancaria";
				// $tipos_de_pago = "COMPRA_TRANSFERENCIA";

				if($es_pago_tarjeta) {
					$tipos_de_pago = "COMPRA_TARJETA";
                    $metodo_pago="$dc_brand **** $dc_last4<br>$dc_exp_month/$dc_exp_year<br>";
				}

				$data['no_pedido']   = $oStripe->order_number;
				$data['date'] 	     = $oStripe->created_at;
				$data['nombre']    	 = $ses_nombre;
				$data['correo']      = $ses_correo;
				$data['productos']   = $carrito;
				$data['info_envio']  = $info_envio;
				$data['metodo_pago'] = $metodo_pago;

				$data['total_compra'] 	  = number_format($total_base,2);
				$data['total_compra_msi'] = number_format($total_base_msi,2);

				$data['total_pago'] 	= number_format($oStripe->total,2);
        		$data['total_pago_msi'] = number_format($total_pago_msi,2);

        		$data['pago_meses'] = $pago_meses;
        		$data['con_anticipo'] = $anticipo;

        		if($anticipo){

        			$tipos_de_pago.= "_ANTICIPO";

        			$data['ult_idoper'] = $oStripe->ult_idOper;
        			$data['total_pago_resto'] = number_format($total_pago_resto,2);
        			$data['total_pago_msi_resto'] = number_format($total_pago_msi_resto,2);
        		}

        		// if($pago_meses){
        		// 	$tipos_de_pago.= "_MSI";
        		// }

        		$_LOG_PROCESOS=$AUX_LOGS;
        		$_NOM_LOGS = "logs.mail.not.send.".str_replace("-", ".", explode(" ", NOWDT())[0]).".log";
        		$_LOG_PROCESOS.$_NOM_LOGS;
				if(!$oClie->mandaMailCompraRealizada($data)) {
					COMLOG("DATA MAIL NOT SEND mandaMailCompraRealizada(): ".print_r($data,true));
				}

				// if(!$es_pago_tarjeta){
				// 	$data['monto'] = number_format($oStripe->total,2);
				// 	$data['clabe'] = $order->charges[0]->payment_method->clabe;

				// 	if(!$oClie->mandaMailCompraTransferencia($data)) {
				// 		COMLOG("DATA MAIL NOT SEND mandaMailCompraTransferencia(): ".print_r($data,true));
				// 	}
				// }

				// if($_SESSION['SOYDES']!=2)
				if(!$_SESSION['SESUS_login']){
					unset($_SESSION['carrito']);
				}

				$resp['error'] = 0;
				$resp['tipo_compra'] = $tipos_de_pago;
				$resp['amount'] = $order->amount/100;
				$resp['order_id'] = $order->id;
				$resp['msg'] = "Tu transacción fue realizada con éxito.";
				$resp['thank_you_page'] = $_URLBASE."gracias-por-tu-compra-anillo-de-compromiso.html";
			}
			else{
				COMLOG("PAYMENT ERROR");
				//pr($oStripe);

				if($oStripe->error)
					$resp['msg'] = $oStripe->error;

				if($oStripe->erroresVal!=null)
					$resp['msg'] = implode(",", $oStripe->erroresVal);

				$resp['msg'] = str_replace("sin intereses", "", $resp['msg']);

				$resp['msg'].=" ó pruebe recargando la página.";

				$resp['errores']['ses'] = $resp['msg'];
			}
		}
		else{
			COMLOG("INTENTO PAGO ERROR validaciones");
			$resp['errores']['ses'] = $error;

			if($error_car)
				$resp['link_prev'] = $_URLBASE;

			if($error_dir)
				$resp['link_prev'] = $URL_STEP1;

			if($error_dc)
				$resp['link_prev'] = $URL_STEP2;

			$resp['msg'] = $error;
		}

		//pr($resp);

	    echo "--codepay--";
	    echo json_encode($resp);
	    echo "--codepay--";
	    exit(1);
	}

	die("Unknown action");
}

if(!$carrito){
	COMLOGVISHTML("no carrito");
	JavaScript("window.location='$_URLBASE';");
	exit(1);
}

if(!$step1_ok){
	COMLOGVISHTML("no dir");
	JavaScript("window.location='$URL_STEP1';");
	exit(1);
}

if(!$step2_ok){
	COMLOGVISHTML("no metodo");
	JavaScript("window.location='$URL_STEP2';");
	exit(1);
}

$info_envio = "
	$ses_nombre <br>
	$ses_telefono <br>
	$ses_correo <br>
	$ses_calle, $ses_num_e - $ses_num_i, $ses_colonia<br>
	$ses_delegacion, $ses_cp, $ses_ciudad, $ses_estado  <br>
";


$xcolor = "transparent";
// $IS_CREDIT_CARD = ($s2_card_type=="CREDIT");
$IS_CREDIT_CARD = false;
$metodo_pago="$dc_brand **** $dc_last4<br>$dc_exp_month/$dc_exp_year<br>";

//prEx($carrito);
foreach ($carrito as $ckey => $xprod)
{
	//TOTAL
	$total_prods+= $xprod['contado'];
	//TOTAL MSI
	$total_prods_msi+= $xprod['msi'];
	$total_prods_msi_ant+= ($xprod['msi']*0.3);

	$_descripciones[] = "SKU: CAD0009 - ".$xprod['descripcion'];
}

$anticipo 			 = round(($total_prods*0.3),2);

$total_prods 		 = round($total_prods,2);
$total_prods_msi 	 = round($total_prods_msi,2);
$total_prods_msi_ant = round($total_prods_msi_ant,2);

$total_compra 	  = number_format($total_prods,2);
$total_compra_msi = number_format($total_prods_msi,2);
$total_anticipo   = number_format($anticipo,2);
$total_compra_msi_ant = number_format($total_prods_msi_ant,2);

$description = implode(",", $_descripciones);

// $dataIntent = [
//             'amount' => $anticipo*100,
//             'currency' => 'mxn',
//             'payment_method_types' => ['card'],
//             'metadata' => ['integration_check'=>'accept_a_payment'],
//             'description' => $description,
//             'shipping' => [
//                 'name' => $ses_nombre,
//                 'address' => [
//                   'city'=>$ses_ciudad,
//                   'postal_code'=>$ses_cp,
//                 ],
//                 'phone' => $ses_telefono*1,
//               ],
//             'customer' => $s2_data_pay['customer_id'],
//             'payment_method' => $s2_data_pay['payment_method'],
//             // 'confirmation_method' => 'manual',
//             'off_session' => false,
//             // 'off_session' => false,
//             // 'confirm' => true,
//           ];

//prEx($dataIntent);

// \Stripe\Stripe::setApiKey($_STRIPE_PRIVATE_KEY);
// $intent = \Stripe\PaymentIntent::create($dataIntent);
//prEx($intent);

include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_cabecera.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_compra-revisa-pedido-v2.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_pie.php");
?>