<?PHP
include_once($_PROYDIR_OBJ."obj_proveedores.php");

$oProv = new obj_proveedores($Link,"m",null);

$oProv->validateSession();
extract($_SESSION['SES_PROV']);

if($negocio_prin = $oProv->cargaNegociosContacto($SES_idContacto)){
	$negocio = $oProv->cargaListaProveedores(['SRCH'=>$negocio_prin[0]['idNegocio']]);
	// prEx($negocio);
	// extract($negocio_prin[0],EXTR_PREFIX_ALL,"neg");
	extract($negocio[0],EXTR_PREFIX_ALL,"neg");
}else{
	die("Error 1.0 no data");
}

//Sucursales
$sucursales = $oProv->cargaSucursalesNegocio($neg_idNegocio);

//ofertas
$ofertas = $oProv->cargaOfertasNegocio($neg_idNegocio);

//Tipos de ofertas
$tipo_ofertas = $oProv->cargaTipoOfertas();

//Categorias
$categorias = $oProv->cargaCatsProveedores();
//prEx($categorias);

$images = ["banner", "logo"];
$imgmarca = "post_image_marca_proveedores";
$registersocial = "post_registro_contacto_social_marca";
$getcp = "post_getcp_marca";
$savesucursal = "post_guarda_sucursal_marca";
$saveoferta = "post_guarda_oferta_marca";
$updatecmp = "post_update_campo_marca";

$action_post = ev("action_post");
$tokenForm	 = ev("tokenForm");
$action_img  = codVal($imgmarca);
$get_cp  = codVal($getcp);
$save_sucursal = codVal($savesucursal);
$save_oferta = codVal($saveoferta);
$action_register_social = codVal($registersocial);
$update_cmp = codVal($updatecmp);

//Campos para el formulario negocio
$camposNegocio = $oProv->camposNegocioCod();
extract($camposNegocio);

//telefonos
$telefonos[$telefono_negocio] = $neg_telefono_negocio;
$telefonos[$telefono2_negocio] = $neg_telefono2_negocio;
$telefonos[$telefono3_negocio] = $neg_telefono3_negocio;

//Campos para el formulario sucursal
$camposSucursal = $oProv->camposSucursalCod();
extract($camposSucursal,EXTR_PREFIX_ALL,"s");

//Campos para el formulario ofertas
$camposOfertas = $oProv->camposOfertasCod();
extract($camposOfertas,EXTR_PREFIX_ALL,"ofr");

if($tokenPost=$_POST[$tokenForm]){

	$data['tokenPost'] = $tokenPost;
	$data['images'] = $images;
	$data['idNeg'] = $neg_idNegocio;
	$data['campos_neg'] = $camposNegocio;
	$data['campos_suc'] = $camposSucursal;
	$data['campos_ofr'] = $camposOfertas;
	$data['tipo_ofertas'] = [$tipo_ofertas[0]['idOferta'],$tipo_ofertas[1]['idOferta']];
	$data['oProv'] = $oProv;

	$action = decodVal($_POST[$action_post]);
	if(!$action){
		die("Error 1.0");
	}
	
	$oVis->backComponent($action,$data);
	exit(1);
}

$oProv->tokenForm();

$_STYLES2 = ["crea-marca-proveedores"];

$url_img_banner = $oProv->imagenMarca($neg_idNegocio,$images[0]);
if($url_img_banner){
	$class_banner = "image-set";
	$style_banner = "style='background-image:url($url_img_banner)'";
}

$url_img_logo = $oProv->imagenMarca($neg_idNegocio,$images[1],'md');
if($url_img_logo){
	$class_logo = "image-set";
	$style_logo = "style='background-image:url($url_img_logo)'";
}

$_SCRIPTSV2 = ["../../_sis/jsv2/input-validation"];
$_SCRIPTS_ST=["inputs-append"];

$oVis->contruyeVista();
?>