<?php
require $_PROYDIR_STRIPE.'init.php';

\Stripe\Stripe::setApiKey($_STRIPE_PRIVATE_KEY);

$dataIntent = [
            'amount' => 10*100,
            'currency' => 'mxn',
            'metadata' => ['integration_check'=>'accept_a_payment'],
            'payment_method_types' => ['card'],
            'description' => 'demo 1',
            'shipping' => [
                'name' => 'Carlos developer',
                'address' => [
                  'city'=> 'Morelos',
                  'postal_code'=>'62790',
                ],
                'phone' => '7774913086',
              ],
            'off_session' => false,
          ];

$intent = \Stripe\PaymentIntent::create($dataIntent);

header('Content-Type: application/json');

try {
    // retrieve JSON from POST body
    $output = ['clientSecret' => $intent->client_secret];

    echo json_encode($output);
} catch (Error $e) {
    http_response_code(500);
    echo json_encode(['error' => $e->getMessage()]);
}