<?PHP
include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_cabecera.php");
?>


<main className="main-content">
	<div className="container">
			<form action="" method="POST" id="card-form">
			  <span className="card-errors text-danger"></span>
			  <div>
			    <label>
			      <span>Nombre del tarjetahabiente</span>
			      <input type="text" size="20" name="name" className="iname" data-conekta="card[name]">
			    </label>
			  </div>
			  <div>
			    <label>
			      <span>Número de tarjeta de crédito</span>
			      <input type="text" size="20" name="card" className="icard" data-conekta="card[number]">
			    </label>
			  </div>
			  <div>
			    <label>
			      <span>CVC</span>
			      <input type="text" size="4" className="icvs" data-conekta="card[cvc]">
			    </label>
			  </div>
			  <div>
			    <label>
			      <span>Fecha de expiración (MM/AAAA)</span>
			      <input type="text" size="2" className="imonth" data-conekta="card[exp_month]">
			    </label>
			    <span>/</span>
			    <input type="text" size="4" className="iyear" data-conekta="card[exp_year]">
			  </div>
			  <button className="btn btn-primary" type="submit">Pagar</button>
			</form>
	</div>
</main>
<script type="text/javascript" src="https://cdn.conekta.io/js/latest/conekta.js"></script>
<script type="text/javascript" >
  Conekta.setPublicKey('<?= $_CONEKTA_PUBLIC_KEY_DEMO; ?>');


  var conektaSuccessResponseHandler = function(token) {
    var $form = $("#card-form");
    //Inserta el token_id en la forma para que se envíe al servidor
    $form.find('#conektaTokenId').remove();
    $form.append($('<input type="hidden" name="conektaTokenId" id="conektaTokenId">').val(token.id));

     console.log(token);
     pay();
  };
  var conektaErrorResponseHandler = function(response) {
    var $form = $("#card-form");
    $form.find(".card-errors").text(response.message_to_purchaser);
    $form.find("button").prop("disabled", false);
  };


  //jQuery para que genere el token después de dar click en submit
  $(function () {
    $("#card-form").submit(function(event) {
      var $form = $(this);
      // Previene hacer submit más de una vez
      //$form.find("button").prop("disabled", true);
      Conekta.Token.create($form, conektaSuccessResponseHandler, conektaErrorResponseHandler);
      return false;
    });
  });

 function pay(){
	    let params=$("#card-form").serialize();
	    let url = "<?= $_URLBASE; ?>ac_payment.html";
	    
	    $.post(url,params,function(data){
	    	alert(data);
	    })

}
</script>

<?
include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_pie.php");
?>