<?php
include_once($_PROYDIR_OBJ."obj_clientes.php");
//Para guardar registro de logs
$_LOG_PROCESOS = $_PROYDIR.DIRECTORY_SEPARATOR."_logs".DIRECTORY_SEPARATOR;
$_NOM_LOGS = "logs.webhook.stripe.".str_replace("-", ".", explode(" ", NOWDT())[0]).".log";
$_LOG_PROCESOS.=$_NOM_LOGS;

COMLOG("ENTRO A WEBHOOK");
// webhook.php
//
// Use this sample code to handle webhook events in your integration.
//
// 1) Paste this code into a new file (webhook.php)
//
// 2) Install dependencies
//   composer require stripe/stripe-php
//
// 3) Run the server on http://localhost:4242
//   php -S localhost:4242

require $_PROYDIR_STRIPE.'init.php';

$_STRIPE_PRIVATE_KEY = "sk_test_51Kj9aPKNEfzyTz38amEeFXkFpkNFWdy5hbk8oBISk8fYet4bEIbmrmBJMVF4WF0XJH6r09b4Tt6bxD52EC0rdygu001Kr3Ipv3";
\Stripe\Stripe::setApiKey($_STRIPE_PRIVATE_KEY);

// This is your Stripe CLI webhook secret for testing your endpoint locally.
// $endpoint_secret = 'whsec_4fdaba17d111a5eb6ffc9c0a490129baf72a65b2a78d061a870d37a5281bf085';
$endpoint_secret = $_ENDPOINT_SECRET;

$payload = @file_get_contents('php://input');
$sig_header = $_SERVER['HTTP_STRIPE_SIGNATURE'];
$event = null;

try {
  $event = \Stripe\Webhook::constructEvent(
    $payload, $sig_header, $endpoint_secret
  );
} catch(\UnexpectedValueException $e) {
  // Invalid payload
  COMLOG("ERROR UnexpectedValueException: ".print_r($e,true));
  http_response_code(400);
  exit();
} catch(\Stripe\Exception\SignatureVerificationException $e) {
  // Invalid signature
  COMLOG("ERROR SignatureVerificationException: ".print_r($e,true));
  http_response_code(400);
  exit();
}

sleep(5);

$oClie = new obj_clientes($Link);
COMLOG("EVENT TYPE: ".print_r($event->type, true));
COMLOG("------------------------EVENT------------------------: ".print_r($event, true));

// Handle the event
switch ($event->type) {
  case 'charge.captured':
    $charge = $event->data->object;
  case 'charge.expired':
    $charge = $event->data->object;
  case 'charge.failed':
    $charge = $event->data->object;
  case 'charge.pending':
    $charge = $event->data->object;
  case 'charge.refunded':
    $charge = $event->data->object;
  case 'charge.succeeded':
    $charge = $event->data->object;
    $paiment_intent = $charge->payment_intent;
    $status = $charge->status === 'succeeded' ? 'paid' : 'pending_payment';

    if($pedido=$oClie->cargaDatosOperacionOrderId($paiment_intent,"idOper,idPedido,concepto,importe")) {
        $datos_pedido=$oClie->cargaDatosPedido($paiment_intent);

        $info = $charge."\n\n";
        $info.= "\n\PAIMNET INTENT: $paiment_intent\n";
        $info.= "ID PEDIDO: {$pedido['idPedido']}\n";
        $info.= "NUEVO SUATUS: $status\n";
        $info.= "RES UPDATE: ";
        $info.= "DATOS PEDIDO: ".print_r($datos_pedido,true);

        $data['estatus'] = $status;

        $updated=$oClie->actualizaBalanceOperacionOrderId($pedido['idPedido'],$paiment_intent,$data);
        $info.= "($updated)\n";
        $info.="QR: ".print_r($oClie->_oDat->ultRes,true)."\n";

        if($updated){

            $qrsel="
                SELECT idMovimiento 
                FROM matv2_matrimony.reg_conta_mov 
                WHERE  
                id_doc_des='".$pedido['idPedido']."' 
                AND id_doc_mov='".$pedido['idOper']."' ";

            $existe=loadRegsQr($Link,$qrsel,$prevOper,$xres3);
            COMLOG("SELECT QR: ".print_r($xres3,true));

            if(!$existe){
                //Si se actualiza se guarda el ingreso a matrimony
                $operacion['signo']=1;
                $operacion['detalle']=$pedido['concepto'];
                $operacion['importe_gasto']=$pedido['importe'];
                $operacion['id_doc_org']="";
                $operacion['id_doc_des']=$pedido['idPedido'];
                $operacion['id_doc_mov']=$pedido['idOper'];

                setCamposIns($operacion);

                $ins2 = insertReg($Link,"matv2_matrimony.reg_conta_mov",$operacion,$xres2);
            }

              $info.= "reg_conta_mov ($ins2)\n";
            $info.="QR2: ".print_r($xres2,true)."\n";

        }

        $info.= "--------------------------------------------\n\n\n";

        COMLOG($info);
    }else{
        COMLOG("NO EXISTE LA OPERACION con el paiment_intent $paiment_intent en balance operaciones");
        COMLOG("QR: ".print_r($oClie->_oDat->ultRes,true));
    }

    break;
  case 'charge.updated':
    $charge = $event->data->object;
//   case 'charge.dispute.closed':
//     $dispute = $event->data->object;
//   case 'charge.dispute.created':
//     $dispute = $event->data->object;
//   case 'charge.dispute.funds_reinstated':
//     $dispute = $event->data->object;
//   case 'charge.dispute.funds_withdrawn':
//     $dispute = $event->data->object;
//   case 'charge.dispute.updated':
//     $dispute = $event->data->object;
//   case 'charge.refund.updated':
//     $refund = $event->data->object;
  // ... handle other event types
  default:
    echo 'Received unknown event type ' . $event->type;
}

http_response_code(200);