<?PHP
include_once($_PROYDIR_OBJ."obj_productos.php");
include_once($_PROYDIR_OBJ."obj_clientes.php");
include_once($_PROYDIR_OBJ."obj_stripe.php");
include_once($_PROYDIR_OBJ."obj_ventas.php");
// require $_PROYDIR_STRIPE.'init.php';

//unset($_SESSION['compra']['personalizada']['stripe']);

//Para guardar registro de logs
$_LOG_PROCESOS = $_PROYDIR.DIRECTORY_SEPARATOR."_logs".DIRECTORY_SEPARATOR;
$_NOM_LOGS = "logs.termina.pedido.personalizado.".str_replace("-", ".", explode(" ", NOWDT())[0]).".log";
$_LOG_PROCESOS.=$_NOM_LOGS;

COMLOG("ENTRO A TERMINAR COMPRA PERSONALIZADA CON PARAM GET: ".print_r($_GET,true));

$oClie 	 = new obj_clientes($Link);
$oStripe = new obj_stripe($_STRIPE_PRIVATE_KEY);
$oVent 	 = new obj_ventas($Link);

$oStripe->oClie=$oClie;

$VAR = ev("IDOP");
if($$VAR){
	$idOperacion = decodVal($$VAR);

	if($operacion=$oVent->cargaDatosOperacion($idOperacion))
		extract($operacion,EXTR_PREFIX_ALL,"op");

	if($pedido=$oVent->cargaDatosPedidoId($op_idPedido))
		extract($pedido,EXTR_PREFIX_ALL,"ped");

	$dir_envio = $oVent->cargaDireccionVenta($op_idPedido);

	// $esta_pagado = ($op_tipo==1 && $op_order_id && $op_idOper);
	// $esta_cancelado = (isset($op_estatus_matrimony) && $op_estatus_matrimony==0);
}

if(!$operacion || !$pedido){
	die("Error 1.0");
}


//COMLOG("TERMINA COMPRA CARRITO:".print_r($carrito,true));
$paymentIntent = trim($_GET['payment_intent']);

//$where_check = "order_id = '$paymentIntent'";
$where_check = "idOper = '$idOperacion'";
$operacion_pagar = $oVent->_oDat->selectWhere($where_check,"","matv2_matrimony.balance_operaciones");

if(!$operacion_pagar){
	COMLOG(" NO SE ENCONTRO LA OPERACION A PAGAR");
	die("Error al encontrar operación");
}

$operacion_pagar = $operacion_pagar[0];

//Si ya se pago no debe hacer nada
if($operacion_pagar['estatus'] == "paid"){
	COMLOG("OPERACION PAGADA".print_r($operacion_pagar, true));
	die("Operación pagada previamente");
}

// prEx($operacion_pagar);

$oStripe->retrivePaymentIntent($paymentIntent);

// pr($oStripe->order);
// prEx($oStripe);
// prEx($op_idPedido);

$succeeded = false;
//Verificar si existe la orden
if($oStripe->order){
	$succeeded = $oStripe->order->status == 'succeeded';
}

//COMLOG("TERMINA COMPRA succeeded: ($succeeded)");

if($succeeded){

	$carrito = json_decode($ped_ses_carrito,true);
	$es_pago_apertura = (strtolower($operacion['concepto'])=="apertura");

	//Si es apertura se pagara el carrito
	if($es_pago_apertura){

		if(!is_array($carrito)){
			COMLOG("ERROR AL OBTENER PAGO CARRITO: ");
		}else{
			foreach ($carrito as $ckey => $xprod) {
				$productos[] = $xprod['descripcion'];
				//TOTAL
				$total_prods+= $xprod['contado'];
				//TOTAL MSI
				$total_prods_msi+= $xprod['msi'];
			}
			$descripcion = implode(", ", $productos);
		}
			
	}else{

		$descripcion = "Pago personalizado";
		//TOTAL
		$total_prods = $op_importe;
		//TOTAL MSI
		$total_prods_msi = (($op_importe*1.1765) /12);

	}

	//Se registra la venta para la API
	$oVent->setColaVentas($op_idPedido,"INSERT");

	$oStripe->order_number = $op_idPedido;
	$oStripe->created_at = NOWDT();
	$oStripe->es_pago_apertura=$es_pago_apertura;
	$oStripe->es_pago_personalizado = true;
	$oStripe->idPedido = $op_idPedido;
	$oStripe->idOperacion = $idOperacion;
	$oStripe->oClie=$oClie; 
    $oStripe->carrito = $carrito;
    // prEx($oStripe);

    $total_base = round($total_prods,2);
    $total_base_msi = round($total_prods_msi,2);

    //Si es pago de anticipo
	if($anticipo) {

		//Resto del anticipo 
		$total_pago_resto = ($total_prods*0.7);

		//Resto del anticipo MSI 70%
		$total_pago_msi_resto = ($total_prods_msi*0.7);

		//Total de pago 30%
		$total_prods = ($total_prods*0.3);

		//Anticipo de MSI 30%
		$total_prods_msi = ($total_prods_msi*0.3);

		$oStripe->concepto = "Anticipo";
		$oStripe->anticipo_resto = round($total_pago_resto,2);
		$oStripe->total_anticipo = round($total_prods,2);
	}

	$total_pago = round($total_prods,2);

    //prEx($pedido);
	COMLOG("ANTES DE setData()");
	$oStripe->setData($ped_nombre,$ped_telefono,$ped_correo,$descripcion,$total_prods,$total_base);
	//prEx($oStripe);

    if($es_pago_apertura){
    	COMLOG("ANTES DE updatePedido()");
        $oStripe->updatePedido();
    }

	COMLOG("ANTES DE updateOperation()");
	if(!$oStripe->updateOperation($oStripe->idOperacion)){
		COMLOG("ERROR en updateOperation()");
	}

	if($es_pago_apertura/* || $this->monthly_installments!=null*/){
	  COMLOG("ANTES DE continuaBalance()");
      $oStripe->continuaBalance();
    }

    /*----------------------------------*/
    $order = $oStripe->order;
	COMLOG("PAYMENT order: ".print_r($order,true));

	//Direccion envio
	extract($dir_envio,EXTR_PREFIX_ALL,"ses");
	$info_envio = "
		$ses_nombre <br>
		$ses_telefono <br>
		$ses_correo <br>
		$ses_calle, $ses_num_e - $ses_num_i, $ses_colonia<br>
		$ses_delegacion, $ses_cp, $ses_ciudad, $ses_estado  <br>
	";

	$details = $oStripe->order->charges->data[0]->payment_method_details->card;

	$tipos_de_pago = "COMPRA_TARJETA";
    $metodo_pago="{$details->brand} **** {$details->last4}<br>{$details->exp_month}/{$details->exp_year}<br>";

	$data['no_pedido']   = $oStripe->order_number;
	$data['date'] 	     = $oStripe->created_at;
	$data['nombre']    	 = $ses_nombre;
	$data['correo']      = $ses_correo;
	$data['productos']   = $carrito;
	$data['info_envio']  = $info_envio;
	$data['metodo_pago'] = $metodo_pago;

	$data['total_compra'] 	  = number_format($total_base,2);
	$data['total_compra_msi'] = number_format($total_base_msi,2);

	$data['total_pago'] 	= number_format($oStripe->total,2);
	$data['total_pago_msi'] = number_format($total_pago_msi,2);

	$data['pago_meses'] = $pago_meses;
	$data['con_anticipo'] = $anticipo;

	$data['es_pago_apertura'] = $es_pago_apertura;

	if($anticipo){

		$tipos_de_pago.= "_ANTICIPO";

		$data['ult_idoper'] = $oStripe->ult_idOper;
		$data['total_pago_resto'] = number_format($total_pago_resto,2);
		$data['total_pago_msi_resto'] = number_format($total_pago_msi_resto,2);
	}

	if(!$oClie->mandaMailCompraRealizadaPersonalizado($data)) {
		COMLOG("DATA MAIL NOT SEND mandaMailCompraRealizada(): ".print_r($data,true));
	}
	
	unset($_SESSION['compra']['personalizada']['stripe']);
	$thank_you_page = $_URLBASE."gracias-por-tu-compra-anillo-de-compromiso.html";
	JavaScript("window.location='$thank_you_page'");
}
?>