<?PHP
include_once($_PROYDIR_OBJ."obj_productos.php");
include_once($_PROYDIR_OBJ."obj_clientes.php");
include_once($_PROYDIR_OBJ."obj_stripe.php");
include_once($_PROYDIR_OBJ."obj_ventas.php");
// require $_PROYDIR_STRIPE.'init.php';

//Para guardar registro de logs
$_LOG_PROCESOS = $_PROYDIR.DIRECTORY_SEPARATOR."_logs".DIRECTORY_SEPARATOR;
$_NOM_LOGS = "logs.termina.pedido.".str_replace("-", ".", explode(" ", NOWDT())[0]).".log";
$_LOG_PROCESOS.=$_NOM_LOGS;

COMLOG("ENTRO A TERMINAR COMPRA CON PARAM GET: ".print_r($_GET,true));

$oClie = new obj_clientes($Link);
$oVent = new obj_ventas($Link);
$oStripe = new obj_stripe($_STRIPE_PRIVATE_KEY);
$oStripe->oClie=$oClie;

$oClie->getCostosCarrito($costos);
extract($costos);
//prEx($costos);

COMLOG("TERMINA COMPRA CARRITO:".print_r($carrito,true));
$paymentIntent = $_GET['payment_intent'];
$pedido = $oClie->cargaDatosPedido($paymentIntent);

if($pedido){
	die("Este pedido ya se ha realizado");
}

$oStripe->retrivePaymentIntent($paymentIntent);

$succeeded = false;
//Verificar si existe la orden
if($oStripe->order){
	$succeeded = $oStripe->order->status == 'succeeded';
}

//COMLOG("TERMINA COMPRA succeeded: ($succeeded)");

if($succeeded){
	extract($_SESSION['compra']['step1'],EXTR_PREFIX_ALL,"ses");

	$oStripe->concepto = "Anticipo";
	$oStripe->total_anticipo = $anticipo;
	$oStripe->anticipo_resto = $anticipo_resto;

	COMLOG("ANTES DE setData()");
	$oStripe->setData($ses_nombre,$ses_telefono,$ses_correo,$descripcion,$anticipo,$total_prods);

	COMLOG("ANTES DE Save()");
	$oStripe->Save();

	COMLOG("ANTES DE iniciaBalance()");
    $oStripe->iniciaBalance();

    COMLOG("ANTES DE saveDirPed()");
    $oStripe->saveDirPed();


    /*----------------------------------*/
    $order = $oStripe->order;
	COMLOG("PAYMENT OK -> order: ".print_r($order,true));

	$info_envio = "
		$ses_nombre <br>
		$ses_telefono <br>
		$ses_correo <br>
		$ses_calle, $ses_num_e - $ses_num_i, $ses_colonia<br>
		$ses_delegacion, $ses_cp, $ses_ciudad, $ses_estado  <br>
	";

	$details = $oStripe->order->charges->data[0]->payment_method_details->card;

	$tipos_de_pago = "COMPRA_TARJETA";
    $metodo_pago="{$details->brand} **** {$details->last4}<br>{$details->exp_month}/{$details->exp_year}<br>";

    //Se registra la venta para la API
	$oVent->setColaVentas($oStripe->order_number,"INSERT");

	$data['no_pedido']   = $oStripe->order_number;
	$data['date'] 	     = $oStripe->created_at;
	$data['nombre']    	 = $ses_nombre;
	$data['correo']      = $ses_correo;
	$data['productos']   = $carrito;
	$data['info_envio']  = $info_envio;
	$data['metodo_pago'] = $metodo_pago;

	$data['total_compra'] 	  = $total_compra;
	$data['total_compra_msi'] = $total_compra_msi;

	$data['total_pago'] 	= $total_anticipo;
	//$data['total_pago_msi'] = $total_compra_msi;

	//$data['pago_meses'] = $pago_meses;
	$data['con_anticipo'] = true;

	if(/*$anticipo*/true){

		$tipos_de_pago.= "_ANTICIPO";

		$data['ult_idoper'] = $oStripe->ult_idOper;
		$data['total_pago_resto'] = $total_anticipo_resto;
		$data['total_pago_msi_resto'] = $total_pago_msi_resto;
	}

	if(!$oClie->mandaMailCompraRealizada($data)) {
		COMLOG("DATA MAIL NOT SEND mandaMailCompraRealizada(): ".print_r($data,true));
	}

	// if($_SESSION['SOYDES']!=2)
	if(!$_SESSION['SESUS_login']){
		unset($_SESSION['carrito']);
	}
	unset($_SESSION['compra']['step2']['stripe']);

	$thank_you_page = $_URLBASE."gracias-por-tu-compra-anillo-de-compromiso.html";

	JavaScript("window.location='$thank_you_page'");
}
?>