<?PHP
$response['error']   = 2;
$response['errores'] = null;
$response['resp']    = 'Error';
$response['msg']     = 'Ocurrió un error intenta refrescando la página.';

if($tokenPost == $_SESSION['tokenForm']){
	extract($campos_ofr);

    $_idTipoOferta = $_POST[$idTipoOferta];
    $_descripcion = $_POST[$descripcion];
    $_titulo = $_POST[$titulo];
    $_cupon = $_POST[$cupon];
    // $_fechaInicio = $_POST[$fechaInicio];
    // $_fechaFin = $_POST[$fechaFin];

    if(!$_idTipoOferta){
        $errores[$idTipoOferta] = "Selecciona un tipo de oferta.";
    }else if(!in_array($_idTipoOferta, $tipo_ofertas)){
        $errores[$idTipoOferta] = "Tipo de oferta incorrecta.";
    }

    if(!$_titulo){
        $errores[$titulo] = "Agrega un titulo para la oferta.";
    }

    if(!$_descripcion){
        $errores[$descripcion] = "Agrega una descripción para la oferta.";
    }

    if(!$_cupon){
        $errores[$cupon] = "Falta el cupón de la oferta.";
    }else if(strlen($_cupon) < 3 || strlen($_cupon) > 15){
        $errores[$cupon] = "El cupón de la oferta debe tener entre 3 y 15 carácteres.";
    }

    if(!$errores){

        $oferta['idTipoOferta'] = $_idTipoOferta;
        $oferta['titulo'] = $_titulo;
        $oferta['descripcion'] = $_descripcion;
        $oferta['cupon'] = strtoupper($_cupon);

        $created = $oProv->registraOferta($idNeg,$oferta);

    	if($created){
            $response['resp']  = 'ok';
            $response['error'] = 0;
            $response['msg'] = 'Guardado exitoso.';    
    	}else{

            //Error internno
            $response['error'] = 2;
            $response['resp']  = 'Error interno';
            $response['msg']   = 'Ocurrió un error por parte nuestra, estaremos trabajando para corregirlo lo antes posible.';

    	}
    }else{
        //Errores de validacion
        $response['error'] = 1;
    	$response['errores'] = $errores;
    	$response['msg']   = 'Errores de validación.';
    }
}

echo json_encode($response);
exit(1);
?>