<?PHP
$response['error']   = 1;
$response['errores'] = null;
$response['resp']    = 'Error';
$response['msg']     = 'Intenta refrescando la página.';
$response['btn']     = null;

if($tokenPost == $_SESSION['tokenForm']){
	extract($campos);

	$correo = trim($_POST[$correo_contacto]);
    $nombre = trim($_POST[$nombre_contacto]);
    $negocio_proveedor = trim($_POST[$nombre_negocio_proveedor]);

    if(!$correo){
    	$errores[$correo_contacto] = "El correo de contacto es obligatorio.";
    }else if(!validEmail($correo)){
    	$errores[$correo_contacto] = "El formato de correo es incorrecto.";
    }

    if(!$nombre){
    	$errores[$nombre_contacto] = "El nombre de contacto es obligatorio.";
    }

    if(!$negocio_proveedor){
    	$errores[$nombre_negocio_proveedor] = "El nombre del negocio o proveedor es obligatorio.";
    }

    if(!$errores){

        $resend = ev('resend');
        $just_send_mail = false;
        $response['post'] = $_POST;
        $response['post_resend'] = $_POST["$resend"];

        if(isset($_POST["$resend"])) {

            $correo = $_SESSION['correo_contacto'];
            $nombre = $_SESSION['nombre_contacto'];
            $negocio_proveedor = $_SESSION['proveedor_contacto'];

            $just_send_mail = true;
        }

    	$prov['correo'] = $correo;
    	$prov['nombre'] = $nombre;
    	$prov['proveedor'] = $negocio_proveedor;

        if($just_send_mail){
            $registred = true;
            $oProv->mailSend = $oProv->mailRegistraContacto($prov);
        }else{
            $registred = $oProv->registraContacto($prov);
        }

    	if($registred){

			$response['resp']  = 'Registro exitoso.';

            if($oProv->mailSend){

                //Registro exitoso
                $response['error'] = 0;
                $response['msg'] = 'Se ha enviado un correo con información para poder continuar su registro.';
                $response['btn'] = 'Continuar';
            }else{

                $_SESSION['correo_contacto'] = $correo;
                $_SESSION['nombre_contacto'] = $nombre;
                $_SESSION['proveedor_contacto'] = $negocio_proveedor;

                //Registro exitoso sin correo enviado
                $response['error'] = 2;
                $response['msg'] = 'Se ha registrado exitosamente pero ocurrió un error al enviar el correo con información de su registro, por favor de clic en "Reenviar correo".';
                $response['btn'] = 'Cerrar';
                $response['input'] = $resend;
            }
            
    	}else{

            //Error internno
            $response['resp']  = 'Error interno';
            $response['msg']   = 'Ocurrió un error por parte nuestra, estaremos trabajando para corregirlo lo antes posible.';

            if($oProv->_oDat->ultRes['ERRORNO'] == 1062){
                //Correo duplicado o negocio

                if(strpos($oProv->_oDat->ultRes['ERROR'], $oProv->_oDat->campos_contacto['correo'])){
                    $campotxt = "este correo";
                    $campo = $correo;
                }

                if(strpos($oProv->_oDat->ultRes['ERROR'], $oProv->_oDat->campos_contacto['proveedor'])){
                    $campotxt = "este nombre de negocio o proveedor";
                    $campo = $negocio_proveedor;
                }

                $response['resp']  = "Error";
                $response['msg']   = "No puedes utulizar $campotxt ($campo)";
            }

            $response['btn'] = 'Cerrar';
    	}

        //Descomentar para ver error insert
        //pr($oProv->_oDat->ultRes);
    }else{

        //Errores de validacion
    	$response['errores'] = $errores;
    	$response['msg']   = 'Errores de validación.';
        $response['btn'] = 'Cerrar';
    }
}

echo json_encode($response);
exit(1);
?>