<?PHP
include_once($_PROYDIR_OBJ."obj_productos.php");
$oProd = new obj_productos($Link);

if($_GET['CANT_VER_A'])
{
	$_SESSION['CANT_VER_A'] = $_GET['CANT_VER_A'];
	$oVis->reditectTo("mis-productos-cadenas");
}

$CANT_VER = $_SESSION['CANT_VER_A'];
if(!$CANT_VER)
	$CANT_VER = 1;

if($type_csv = trim($_GET['csv'])){
	$CANT_VER = 10000;	
}

$anillos 	 = cargaProductosExport($total_anillos,    "reg_producto",			 "reg_catalogov2") ?? [];
$argollas 	 = cargaProductosExport($total_argollas,   "reg_producto_argolla",   "reg_catalogo_argollas") ?? [];
$churumbelas = cargaProductosExport($total_churumbelas,"reg_producto_churumbela","reg_catalogo_churumbelas") ?? [];
$cadenas     = cargaProductosExport($total_cadenas,    "reg_producto_cadena",    "reg_catalogo_cadenas") ?? [];

$total = $total_anillos + $total_argollas + $total_churumbelas + $total_cadenas;

//table vis
$tablevis['idProd'] 	 = "ID";
$tablevis['sku'] 		 = "SKU";
$tablevis['title'] 		 = "TITLE";
$tablevis['descripcion'] = "DESCRIPTION";
$tablevis['cat_precio']  = "PRICE";
$tablevis['url_id']  	 = "LINK";
$tablevis['image'] 		 = "IMG";

if($type_csv){
	$products = $$type_csv;
	$csv_cols = $tablevis;

	$date = NOWDT();
	$date = str_replace(" ","_", $date);
	$date = str_replace(":","-", $date);

	if($type_csv == "all_products"){
		$products = array_merge($anillos, $argollas, $churumbelas, $cadenas);
	}

	$filename = $type_csv."_".$date;

	array_to_csv_download($products,$csv_cols,"matrimony_".$filename);
	exit();
}

$oVis->contruyeVista();


function cargaProductosExport(&$total, $table_prods, $table_cat){
	GLOBAL $oProd, $CANT_VER;

	GLOBAL $_DIR_IMGS_360, 		$_URL_IMGS_360;
	GLOBAL $_DIR_IMGS_360_ARG,  $_URL_IMGS_360_ARG;
	GLOBAL $_DIR_IMGS_360_CHUR, $_URL_IMGS_360_CHUR;
	GLOBAL $_DIR_IMGS_CADENAS,  $_URL_IMGS_CADENAS;

	if($table_prods == "reg_producto_argolla"){
		$_DIR_IMGS_360 = $_DIR_IMGS_360_ARG;
		$_URL_IMGS_360 = $_URL_IMGS_360_ARG;
	}

	if($table_prods == "reg_producto_churumbela"){
		$_DIR_IMGS_360 = $_DIR_IMGS_360_CHUR;
		$_URL_IMGS_360 = $_URL_IMGS_360_CHUR;
	}

	if($table_prods == "reg_producto_cadena"){
		$_DIR_IMGS_360 = $_DIR_IMGS_CADENAS;
		$_URL_IMGS_360 = $_URL_IMGS_CADENAS;
	}

	$where = "rp.es_principal = '1'";
	$oProd->with_imgs = true;
	$campos = ["rp.idProd","rp.url_id","rp.sku","rp.color","rp.title","rp.descripcion","rc.cat_precio"];
	$campos = implode(",",$campos);

	$tabla = "$table_prods rp \n";
	$tabla.= "INNER JOIN $table_cat rc \n";
	$tabla.= "ON rp.sku = rc.cat_sku \n";
	$tabla.= "INNER JOIN (SELECT MIN(cat_precio) cat_precio FROM $table_cat GROUP BY cat_sku) rcminp \n";
	$tabla.= "ON rc.cat_precio = rcminp.cat_precio";

	$group = " GROUP by rc.cat_sku";
	$oProd->totalArchivos($where.$group,$tabla);
	// prEx($oProd->_oDat);

	if($total = $oProd->_oDat->ultRes['mnr']){
		$productos = $oProd->cargaProductos($PAG,$CANT_VER,$where,$campos,$tabla,"ORDER BY orden DESC",$group);
		// prEx($oProd->_oDat);
	}

	return $productos;
}

function array_to_csv_download($array,$format,$filename = "export") {

	$filename.=".csv";
    $f = fopen('php://memory', 'w');
    fprintf($f, chr(0xEF).chr(0xBB).chr(0xBF));
    fputcsv($f, $format);

    foreach ($array as $i => $line) {
    	foreach ($format as $key => $value) {
    		$val = $line[$key] ?? "";

    		if($key == "descripcion"){
    			$val = str_replace("\r", "", $val);
    			$val = str_replace("\n", "", $val);
    		}

    		$line_file[$key]=$val;
    	}
        fputcsv($f, $line_file);
        unset($line_file);
    }
    
    // reset the file pointer to the start of the file
    fseek($f, 0);
    // tell the browser it's going to be a csv file
    header('Content-Type: text/csv');
    // tell the browser we want to save it instead of displaying it
    header('Content-Disposition: attachment; filename="'.$filename.'";');
    // make php send the generated csv lines to the browser
    fpassthru($f);
}
?>