<?PHP
include_once($_PROYDIR_DAT."_base/dat_base.php");
include_once($_PROYDIR_OBJ."obj_imagenes.php");
include_once($_PROYDIR_OBJ."obj_argollas.php");


if( !$_SESSION['SESUS_login'] )
{
	JavaScript("window.location='$_URLBASE"."acsis-login.html'");
	exit(1);
}

$oDat = new dat_base();
$oDat -> Link = $Link;


//Tabla de productos
$tabla = "reg_producto_argolla";
$oArg = new obj_argollas( $Link );
$oArg -> _oDat -> estaTabla = $tabla;




//Variables moneda utilidad
$variables_valores = $oArg -> _oDat -> selectWhere("1","idReg,variable,valor","valores_moneda");
foreach ($variables_valores as $vkey => $var)
{
    ${"valor_".$var['variable']} = $var['valor'];
}


$ACT_REG = "SAVE_M_U";
$ACT_BP  = "BUSCA_PRODUCTO";
$ACT_GP  = "GUARDA_PRODUCTO";
$ACT_UP_IMGS  = "CARGA_IMGS";

$POST_ACTION = ev("ACTION");


$LABEL_PRE_URL = "Inicio";
$URL_PREV   = $_URLBASE."acsis-inicio.html";

$_URLBASE_ARG = $_URLBASE."arg-";

$LABEL_URL = "Nueva argolla";
$URL_ACTUAL = $_URLBASE."acsis-nuevo-producto-argolla.html";

$LABEL_RESP_ERR = "No se ha creado el producto";
$LABEL_RESP_OK = "Se ha creado el producto";
$LABEL_BTN_ACTION = "Crear argolla";


//Si pasó antes por bin_editar-producto.php
if( $ID_PROD_EDITAR )
{
	$ACT_REG = "UPDATE_PROD";

	$LABEL_PRE_URL = "Mis argollas";
	$URL_PREV   = $_URLBASE."acsis-mis-productos-argollas.html";

	$LABEL_URL = "Editar argolla";

	$URL_ACTUAL = $_URLBASE."acsis-editar-producto-argolla.html?".ev("editar")."=".urlencode($ID_COD);

	$LABEL_RESP_ERR = "No se han actualizado las argollas";
	$LABEL_RESP_OK = "Se ha actualizado la argolla";
	$LABEL_BTN_ACTION = "Actualizar argolla";
}


$ACTION_VAL = codVal( $ACT_REG );
$ACTION_VAL_BP = codVal( $ACT_BP );
$ACTION_VAL_GP = codVal( $ACT_GP );
$ACTION_VAL_UPIMGS = codVal( $ACT_UP_IMGS );

//Kilatajes 
$kilatajes0 = $oArg -> cargaKilatajesArg();
indexDat($kilatajes0,$kilatajes,"kilataje");

if( $EDITAR_sku )
	$variables_precio = $oArg -> cargaVariantesPrecioSku( $EDITAR_sku );

if(!$variables_precio)
{
	$variables_precio[] = ["kilataje"=>"9k","val_kilataje"=>"0"];
}

$var_nombre_producto_buscar = ev("nombre_producto_buscar");
$var_nombre_producto = ev("nombre_producto");
$var_desc_producto   = ev("descripcion_producto");
$var_title = ev("title");
$var_meta_desc = ev("meta_desc");
$var_url_id = ev("url_id");
$var_color = ev("color");
$var_precio = ev("precio");
$var_estatus = ev("estatus");
$var_sku = ev("sku");
$var_entrega_inmediata = ev("entrega_inmediata");
$var_dias_entrega = ev("dias_entrega");
$var_images_360 = ev("images_360");
$var_color_name = ev("color_name");
$var_grup_num = ev("grup_num");

$MAX_SKU = 14;
$MAX_NOM = 70;
$MAX_TIT = 70;
$MAX_URL = 70;
$MAX_DESC = 1000;
$MAX_DESC_SEO = 320;

$XSEP = "-:-";
$RPRIN = "PRIN";
$XPRIN = codVal($RPRIN);

//Url de las imagenes 360 temporales
$DIR_IMG_TEMP = $_DIR_IMGS_360_ARG."temporal".DIRECTORY_SEPARATOR;


if( isset( ${$POST_ACTION} ) )
{
	$ACTION = decodVal(${$POST_ACTION});

	$response['error'] = 1;
	$response['error_val'] = null;
	$response['msg']   = 'No action';

	if($ACTION == "SAVE_M_U")
	{	
		include_once($_PROYDIR_BIN."mod_validaciones_reg_producto_argolla.php");

		if($productos_relacionados)
		{
			foreach ($productos_relacionados as $key => $value)
			{
				$idProdRel = decodVal( trim($value) );

				if($idProdRel)
					$idsProdsRelArr[] = $idProdRel;
			}

			if($idsProdsRelArr)
				$idsProdsRel = implode(",", $idsProdsRelArr);
		}

		$created = 0;
		if(!$errores)
		{
			$where = " sku = '$sku' ";

			$existe_sku = $oDat -> selectWhere($where, "COUNT(*) exist", $tabla)[0]['exist'];

			if($existe_sku>0)
			{
				$response['error_val'][] = "El SKU que indicó ya existe.";
				terminaProceso($response);
				exit(1);
			}
			

			$colores 	= $color;
			$MAIN_COLOR = false;
			$sin_imagen = false;

			foreach ($colores as $key => $color)
			{
				list($xcolor,$xprin) = explode($XSEP, $color);

				$code_color = decodVal( $xcolor );
				$code_prin = decodVal( $xprin );

				if($code_color)
				{
					$color_codes[] = $code_color;

					$ES_PRIN[$code_color] = 0;
					if($code_prin === $RPRIN && !$MAIN_COLOR)
					{
						$ES_PRIN[$code_color] = 1;
						$MAIN_COLOR = true;
					}

					//Verificar que tenga imagenes
					$DIR_EXT_TEMP = $DIR_IMG_TEMP.$code_color.DIRECTORY_SEPARATOR;

					unset($arr_info_grupo);

					$arr_info_grupo = ordenaImagenesGrupo($DIR_EXT_TEMP);

					if( $arr_info_grupo )
						$grupo_images_color[$code_color] = implode("||", $arr_info_grupo);
					else
						$errores[$xcolor] = "No agregó imágenes para el color ".$COLORES_PRODUCTO[$code_color].".";
				}
			}

			if($errores)
			{
				$response['error_val'] = $errores;
				unset($color_codes);
			}

			if( $color_codes )
			{
				foreach ($color_codes as $key2 => $code)
				{
					$imagenes = $grupo_images_color[ $code ];

					$dataIns['usuario_creo']     = $_SESSION['SESUS_login'];
					$dataIns['usuario_edito']    = "";
					$dataIns['imagenes'] 	     = $imagenes;
					$dataIns['nombre'] 		     = $nombre_producto;
					$dataIns['descripcion']      = $desc_producto;
					$dataIns['title'] 		     = $title;
					$dataIns['meta_descripcion'] = $meta_desc;
					$dataIns['nombre_url'] 		 = $url_id;
					$dataIns['url_id'] 			 = $_URLBASE_ARG.strtolower(CadenaURLv2($url_id))."--sku".CadenaURLv2($sku).".html";
					$dataIns['color'] 			 = $code;
					$dataIns['colores'] 		 = implode(",", $color_codes);
					$dataIns['es_principal'] 	 = $ES_PRIN[$code]*1;
					$dataIns['precio'] 			 = $precio;

					if($idsProdsRel)
						$dataIns['productos_relacionados'] = $idsProdsRel;

					$dataIns['estatus'] 		 = $estatus*1;
					$dataIns['sku'] 			 = $sku;
					$dataIns['skuvar'] 			 = $sku."_".$code;
					$dataIns['tipo_entrega'] 	 = $entrega_inmediata*1;
					$dataIns['dias_entrega'] 	 = $dias_entrega*1;

					setCamposIns($dataIns);

					$ins=$oDat->insert($dataIns, $tabla);
					// pr($oDat->ultRes);
 
					if($ins)
					{
						$LII = $oDat -> ultRes['LII'];
						guardaImagen($LII,$code,$imagenes);
					}

					$created+= $ins;
				}
			}
		}
		else
		{
			$response['error_val'] = $errores;
		}

		if($created)
		{
			//crear variantes producto 
			$oArg -> guardaEspVariables($sku, $espVariantes);

			if($estatus)
				$oArg->regeneraCatalogoArgollas();

			$response['error'] = 0;
			$response['msg'] = "Se han creado $created argollas.";
		}
		
		if(!$created && !$errores)
		{
			unset($errores);
			$errores['no_reg'] = "Ocurrió un problema al registrar argolla.";
			$response['error_val'] = $errores;
		}


	}//End MAIN IF

	if($ACTION == "UPDATE_PROD")
	{
		include_once($_PROYDIR_BIN."mod_validaciones_reg_producto_argolla.php");

		if( !$ID_PROD_EDITAR )
			$errores['false'] = "No se indicó el ID de argolla.";

		$updated = 0;
		if(!$errores)
		{
			//Si se intenta cambiar de sku se verifica que no sea el de otro producto
			if( $sku != $EDITAR_sku )
			{
				$where = " sku = '$sku' ";

				$existe_sku = $oDat -> selectWhere($where, "COUNT(*) exist", $tabla)[0]['exist'];

				if($existe_sku>0)
				{
					$response['error_val'][] = "No puedes actualizar con este SKU, ya existe.";
					terminaProceso($response);
					exit(1);
				}
			}
			
			$colores 	= $color;
			$MAIN_COLOR = false;
			$sin_imagen = false;

			foreach ($colores as $key => $color)
			{
				list($xcolor,$xprin) = explode($XSEP, $color);

				$code_color = decodVal( $xcolor );
				$code_prin = decodVal( $xprin );

				if($code_color)
				{
					$color_codes[] = $code_color;

					//Determiar cual es el color principal
					$ES_PRIN[$code_color] = 0;
					if($code_prin === $RPRIN && !$MAIN_COLOR)
					{
						$ES_PRIN[$code_color] = 1;
						$MAIN_COLOR = true;
					}

					//Verificar que tenga imagenes
					$DIR_EXT_TEMP = $DIR_IMG_TEMP.$code_color.DIRECTORY_SEPARATOR;

					//Si es de editar producto
					$IDPROD = $EDITAR_id_prod_color[ "id_".$code_color ];

					if($IDPROD)
					{
						$xdir = datadir($IDPROD);
						$xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);
						$DIR_EXT_TEMP = $_DIR_IMGS_360_ARG.$xdir.$code_color.DIRECTORY_SEPARATOR;
					}

					unset($arr_info_grupo);

					$arr_info_grupo = ordenaImagenesGrupo($DIR_EXT_TEMP);

					if( $arr_info_grupo )
						$grupo_images_color[$code_color] = implode("||", $arr_info_grupo);
					else
						$errores[$xcolor] = "No agregó imágenes para el color ".$COLORES_PRODUCTO[$code_color].".";

				}
			}

			if($errores)
			{
				$response['error_val'] = $errores;
				unset($color_codes);
			}

			if( $color_codes )
			{
				foreach ($color_codes as $key2 => $code)
				{
					$imagenes = $grupo_images_color[ $code ];

					$dataAct['usuario_edito'] = $_SESSION['SESUS_login'];
					$dataAct['imagenes'] = $imagenes;
					$dataAct['nombre'] = $nombre_producto;
					$dataAct['descripcion'] = $desc_producto;
					$dataAct['title'] = $title;
					$dataAct['meta_descripcion'] = $meta_desc;
					$dataAct['nombre_url'] = $url_id;
					$dataAct['url_id'] = $_URLBASE_ARG.strtolower(CadenaURLv2($url_id))."--sku".CadenaURLv2($sku).".html";
					$dataAct['color'] = $code;
					$dataAct['colores'] = implode(",", $color_codes);
					$dataAct['es_principal'] = $ES_PRIN[$code]*1;
					$dataAct['precio'] = $precio*1;
					$dataAct['estatus'] = $estatus*1;
					$dataAct['sku'] = $sku;
					$skuvar = $sku."_".$code;
					$dataAct['skuvar'] = $skuvar;
					$dataAct['tipo_entrega'] = $entrega_inmediata*1;
					$dataAct['dias_entrega'] = $dias_entrega*1;

					// prEx($dataAct);
					
					$ESTE_ID_PROD = $EDITAR_id_prod_color["id_".$code];

					// $WHERE_UP = " idProd = '$ESTE_ID_PROD' AND sku = '$EDITAR_sku' ";
					$WHERE_UP = "skuvar = '$skuvar' AND sku = '$EDITAR_sku' ";

					$existe_prod = $oDat -> selectWhere($WHERE_UP, "COUNT(*) exist", $tabla)[0]['exist'];

					if(!$existe_prod)
					{
						$dataAct['usuario_creo'] = $_SESSION['SESUS_login'];
						setCamposIns($dataAct);
						$update = $oDat -> insert($dataAct, $tabla);
						unset($dataAct['usuario_creo']);

						if($update)
						{
							$sku_not_hide[] = $dataAct['skuvar'];

							$LII = $oDat -> ultRes['LII'];
							guardaImagen($LII, $code, $imagenes);
						}
					}
					else
					{
						$sku_not_hide[] = $dataAct['skuvar'];

						setCamposAct($dataAct);
						$campos = implode(",", array_keys($dataAct));
						$update = $oDat -> updateWhere($dataAct,$campos,$WHERE_UP,$tabla);
					}

					$updated+= $update;

				}//if($existe_prod) else

			}//end if color_codes
		}
		else
		{
			$response['error_val'] = $errores;
		}

		if($updated)
		{
			//Ocultar los productos que posiblemente se hayan quitado
			$dataDel['estatus'] = 2;
			$dataDel['es_principal'] = 0;
			setCamposAct($dataDel);
			$campos = implode(",", array_keys($dataDel));
			$where = " sku = '$sku' AND skuvar NOT IN ('".implode("','", $sku_not_hide)."') ";
			$oArg -> _oDat -> updateWhere($dataDel,$campos,$where);

			//crear variantes producto 
			$oArg -> guardaEspVariables($sku, $espVariantes);

			$oArg -> regeneraCatalogoArgollas();
			$response['error'] = 0;
			$response['msg'] = "Se han actualizado $updated argollas.";
		}
		
		if(!$updated && !$errores)
		{
			unset($errores);
			$errores['no_reg'] = "Ocurrió un problema al actualizar argolla.";
			$response['error_val'] = $errores;
		}
	}

	if($ACTION == "ELIMINAIMGS")
	{
		$code_color = decodVal( trim($color) );
		
		$DIR_IMG_TEMP.= $code_color.DIRECTORY_SEPARATOR;
		$DIR_IMG_DEL = $DIR_IMG_TEMP;

		//Si es de editar argolla
		$IDPROD = $EDITAR_id_prod_color[ "id_".$code_color ];

		if($IDPROD)
		{
			$xdir = datadir($IDPROD);
			$xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);
			$DIR_IMG_DEL = $_DIR_IMGS_360_ARG.$xdir.$code_color.DIRECTORY_SEPARATOR;
		}

		$GLOB_DIR = $DIR_IMG_DEL."grup".$grupo.DIRECTORY_SEPARATOR;
		$imgs_del = glob($GLOB_DIR."*.{jpg,png}",GLOB_BRACE);

		$video_yt = glob($GLOB_DIR."yt.txt");
        if($video_yt)
            $imgs_del=array_merge($imgs_del,$video_yt);

		foreach ($imgs_del as $key => $imgdel) {
			unlink($imgdel);
		}

		//Organizar imagenes por grupo
		$arr_info_grupo = ordenaImagenesGrupo($DIR_IMG_DEL);

		//Si hay id de argolla se actuliza la argolla
		if($IDPROD)
		{
			$is_360img = is_numeric($grupo);

			if($is_360img){
				$info_image = implode("||", $arr_info_grupo);

				$dataAct['imagenes'] = $info_image;

				setCamposAct($dataAct);
				$campos = implode(",", array_keys($dataAct));
				$where = "idProd = '$IDPROD' ";

				$oDat -> updateWhere($dataAct,$campos,$where,$tabla);
			}

			$xproducto['idProd'] = $IDPROD;
			$xproducto['color'] = $code_color;
			$grupo_imgs = $oArg->imagenes360ProdArg($xproducto);

			$info_prod_vars['cod_color'] = trim($color);
			$info_prod_vars['grups_imgs'] = $grupo_imgs;
			$info_prod_vars['anillo_diamante'] = $oArg->imagesAnilloDiamante($xproducto);

			$nom_json_var = "json_vars_".$code_color;
			

			echo '--codereg--';
			echo $nom_json_var;
			echo '--codereg--';
			echo $nom_json_var."=JSON.parse('".json_encode($info_prod_vars)."');";
			echo '--codereg--';
			echo $grupo_imgs;
			echo '--codereg--';
			exit(1);
		}
		echo '--codereg--';
		echo '--codereg--';

		exit(1);

	}

	if($ACTION == $ACT_UP_IMGS)
	{
		if(isset($_POST['youtube_link']))
			$youtube_link=trim($youtube_link);

		if(!$youtube_link)
		{
			$oImgs = new obj_imagenes($_FILES[$var_images_360]);
			$oImgs -> ordenaImagenes();
			sort($oImgs -> imagenes);

			//Si no hay imagenes correctas
			if(!$oImgs -> cantImgs)
			{
				$response['msg']  = 'No hay imagenes correctas.';
				terminaProceso($response);
				exit(1);
			}
		}

		$aux_gnum = ${$var_grup_num};

		$var_temp_color = trim(${$var_color_name});
		// $grup_num = trim(${$var_grup_num})*1;
		$grup_num = is_numeric($aux_gnum)? (trim($aux_gnum)*1) : $aux_gnum;
		$for_color = decodVal( $var_temp_color );
		$colors_ok = array_keys($COLORES_PRODUCTO);

		if(!$for_color || !in_array($for_color, $colors_ok))
		{
			$response['msg']   = 'No se indicó un color correcto.';
			terminaProceso($response);
			exit(1);
		}


		//dir
		$DIR_IMG_TEMP.= $for_color.DIRECTORY_SEPARATOR;
		$DIR_IMG_SAVE = $DIR_IMG_TEMP;

		$for_grup = "/grup".$grup_num."/";

		//Url
		$_URL_IMGS_VIS = $_URL_IMGS_360_ARG."temporal/".$for_color.$for_grup;

		//Si es de editar producto
		$IDPROD = $EDITAR_id_prod_color[ "id_".$for_color ];

		if($IDPROD)
		{
			$xdir = datadir($IDPROD);

			$_URL_IMGS_VIS = $_URL_IMGS_360_ARG.$xdir.$for_color.$for_grup;

			$xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);
			$DIR_IMG_SAVE = $_DIR_IMGS_360_ARG.$xdir.$for_color.DIRECTORY_SEPARATOR;
		}
		

		$GRUP_IMGS = "grup".$grup_num.DIRECTORY_SEPARATOR;
		$oImgs -> dirSave = $DIR_IMG_SAVE.$GRUP_IMGS;

		if($youtube_link){

			if(!file_exists($oImgs->dirSave))
				mkdir($oImgs->dirSave,0777,true);

			$nameTy="yt.txt";
			$linkYouTube=$oImgs->dirSave.$nameTy;
			$_URL_IMGS_VIS.=$nameTy;
			$fileLink = fopen($linkYouTube, "w");
			fwrite($fileLink,$youtube_link);
			fclose($fileLink);

			$response['error'] = 0;
			$response['idcolor'] = $var_temp_color;
			$response['cant_saved'] = 1;
			$response['imgs_directory'] = $_URL_IMGS_VIS;
			$response['imgs_format'] = "txt";
			$response['url_yt'] = $_URL_IMGS_VIS;
			$response['msg']   = "Se guardaró url video.";
			terminaProceso($response);
			exit(1);
		}

		sort($oImgs -> imagenes);

		$is_360img = is_numeric($grup_num);

		$oImgs->guardaImagenes('',$is_360img);
		// $oImgs -> guardaImagenes();

		$imgs_saved = $oImgs -> imgsSaved;

		if( $imgs_saved )
		{
			//Solo si son imgs 360 se convierten
			if($is_360img){
				foreach ($imgs_saved as $n => $img){
					GuardarImagenV4CenterCut($img,$oImgs -> dirSave,($n+1).".jpg","800","800",1);
				}
			}

			if($IDPROD && $is_360img)
			{
				//Organizar imagenes del grupo
				$arr_info_grupo = ordenaImagenesGrupo($DIR_IMG_SAVE);

				$info_image = implode("||", $arr_info_grupo);

				$dataAct['imagenes'] = $info_image;

				//Se actualiza la info del producto
				setCamposAct($dataAct);
				$campos = implode(",", array_keys($dataAct));
				$where = "idProd = '$IDPROD' ";

				$oDat -> updateWhere($dataAct,$campos,$where,$tabla);
			}

		}
		else
		{
			$response['msg']   = 'No se guardó ningúna imagen.';
			terminaProceso($response);
			exit(1);
		}

		$response['error'] = 0;
		$response['idcolor'] = $var_temp_color;
		$response['cant_saved'] = ($oImgs -> cantImgsSaved)*1;
		$response['grup'] = $grup_num;
		$response['imgs_directory'] = $_URL_IMGS_VIS;
		$response['imgs_format'] = "jpg";
		$response['url_yt'] = "";
		$response['is360image'] = $is_360img;
		$response['msg']   = "Se guardaron $cant_saved imágenes.";
	}

	if($ACTION == $ACT_BP)
	{
		$response['error'] = 0;
		$response['msg'] = "OK";
		$response['productos'] = null;

		$producto = trim( ${$var_nombre_producto_buscar} );

		// if(!$producto)
		// 	terminaProceso( $response );

		$where = " (sku LIKE '%$producto%' OR nombre LIKE '%$producto%') AND es_principal = '1' ";

		//Si es un producto que se esta editando se busca los relacionados
		if($ID_PROD_EDITAR)
		{
			$relacionados = $oArg -> cargaIdsProdsRelacionados( $ID_PROD_EDITAR );
			$where.= " AND idProd NOT IN ('$ID_PROD_EDITAR') ";

			if($relacionados)
				$where.= " OR idProd IN ('".implode("','", $relacionados)."') ";
		}

		$lprods = $oArg -> cargaProductosArgolla(1,100,$where);

		if( $lprods )
		{
			foreach ($lprods as $ukey => $prod)
			{
				$dataProd['rand'] = codVal( $prod['idProd'] );
				$dataProd['nombre'] = $prod['nombre'];
				$dataProd['sku'] = $prod['sku'];
				$dataProd['relacionado'] = in_array($prod['idProd'], $relacionados);
				$dataProd['img'] = $oArg -> imagenes360ProdArg( $prod )[0]['img_prin'];

				$lista_prods[] = $dataProd;
			}

			if($lista_prods)
				$response['productos'] = $lista_prods;
		}
	}

	if($ACTION == $ACT_GP)
	{
		$response['error'] = 1;
		$response['msg'] = "Sin id";

		if($ID_PROD_EDITAR)
		{
			$response['msg'] = "Ocurrió un problema al actualizar";

			if($productos_relacionados)
			{
				foreach ($productos_relacionados as $skey => $idProd)
				{
					$xidProd = decodVal( trim($idProd) );

					if( $xidProd )
						$idsProds[] = $xidProd;
				}
			}

			if( $idsProds )
			{
				$idsProds = array_unique( array_filter($idsProds) );

				$response['msg'] = "Agregar socios";
				$data['productos_relacionados'] = "".implode(",", $idsProds)."";
			}
			else
			{
				$response['msg'] = "Quitar socios";
				$data['productos_relacionados'] = "";
			}

			$response['productos'] = null;

			list($up,$msg) = $oArg -> actualizaProductoArgolla($ID_PROD_EDITAR,$data);

			if($up)
			{
			   $lids = $oArg -> cargaIdsProdsRelacionados( $ID_PROD_EDITAR );

			   if($lids)
			   {
				   $where = "idProd IN ('".implode("','", $lids)."') ";

				   $lprods = $oArg -> cargaProductosArgolla(1,100,$where);

					foreach ($lprods as $key => $prod)
					{
						$dataProd['rand'] = codVal( $prod['idProd'] );
						$dataProd['nombre'] = $prod['nombre'];
						$dataProd['sku'] = $prod['sku'];
						$dataProd['relacionado'] = false;
						$dataProd['img'] = $oArg -> imagenes360ProdArg( $prod )[0]['img_prin'];

						$lista_prods[] = $dataProd;
					}
			   }


				if($lista_prods)
					$response['productos'] = $lista_prods;

				$response['error'] = 0;
				$response['msg'] = "OK";
			}

			pr($response);
		}//if($ID_PROD_EDITAR)
		
	}

	terminaProceso($response);
}

//Eliminar todas las imagenes temporales 
foreach ($COLORES_PRODUCTO as $keyColor => $value)
{
	$DEL_DIR = $DIR_IMG_TEMP.$keyColor.DIRECTORY_SEPARATOR;

	if(file_exists($DEL_DIR));
	{
		$XDEL_DIR = $DEL_DIR."grup*".DIRECTORY_SEPARATOR;

		$xlist_imgs = glob($XDEL_DIR."*.{jpg,png}",GLOB_BRACE);
		$xlist_yt = glob($XDEL_DIR."yt.txt");
		if($xlist_yt)
			$xlist_imgs=array_merge($xlist_imgs,$xlist_yt);

		if($xlist_imgs){
			foreach ($xlist_imgs as $del_img)
			{
				unlink($del_img);
			}
		}
		
	}
}


if($ID_PROD_EDITAR)
{
	$lids = $oArg -> cargaIdsProdsRelacionados( $ID_PROD_EDITAR );

	if($lids)
	{
	   $where = "idProd IN ('".implode("','", $lids)."') ";

	   $lprods = $oArg -> cargaProductosArgolla(1,100,$where);

		foreach ($lprods as $key => $prod)
		{
			$dataProd['rand'] = codVal( $prod['idProd'] );
			$dataProd['nombre'] = $prod['nombre'];
			$dataProd['sku'] = $prod['sku'];
			$dataProd['relacionado'] = false;
			$dataProd['img'] = $oArg -> imagenes360ProdArg( $prod )[0]['img_prin'];

			$lista_prods[] = $dataProd;
		}
	}

	if($lista_prods)
		$prod_relacionados_json = json_encode($lista_prods);
}

$_STYLES = ["nuevo-producto"];
$_STYLE_LINK = ["//code.jquery.com/ui/1.12.1/themes/base/jquery-ui"];

$_SCRIPTS = ["input-validation"];
$_SCRIPTS_ST = ["3dEye-master/3deye","maskMoney/jquery.maskMoney"];

include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_cabecera.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_nuevo-producto-argolla.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_pie.php");









function ordenaImagenesGrupo($DIR)
{
	if( !$DIR )
		return 0;

	$DIRS_GRUPS = glob($DIR."grup*");

	$ngrup = 0;
	foreach ($DIRS_GRUPS as $gkey => $xgrup)
	{
		$XDIR_GRUP = $xgrup.DIRECTORY_SEPARATOR;

		$lista_imgs = glob($XDIR_GRUP."*.jpg");
		$lista_yt = glob($XDIR_GRUP."yt.txt");
		if($lista_yt)
			$lista_imgs=array_merge($lista_imgs,$lista_yt);

		$base_dir = substr($xgrup, 0,-1);
		$numimgs = count( $lista_imgs );

		if(!$numimgs)
		{
			rmdir($xgrup);
		}
		else
		{
			rename($xgrup,$base_dir.$ngrup);

			$es_360 = $numimgs>1?1:0;
			$info_grupo = $ngrup.":".$numimgs.":".$es_360;
			$arr_info_grupo[] = $info_grupo;
			$ngrup++;
		}
	}

	return $arr_info_grupo;
}

function guardaImagen($idProd, $color, $imagenes)
{
	$oImgs = new obj_imagenes("");
	GLOBAL $_DIR_IMGS_360_ARG, $DIR_IMG_TEMP;

	if( !$idProd || !$color || !$imagenes )
		return 0;

	$xdir = datadir( $idProd );
	$xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);
	$DIR_IMGS_ORG = $_DIR_IMGS_360_ARG.$xdir.$color.DIRECTORY_SEPARATOR;

	if(!file_exists($DIR_IMGS_ORG))
		mkdir($DIR_IMGS_ORG,0777,true);

	$width = $height = 800;

	$ximgs = explode("||", $imagenes);

	if( !count($ximgs) )
		return 0;

	foreach ($ximgs as $xikey => $ximg)
	{
		list($grupo,$cantidad,$es360) = explode(":", $ximg);

		$DIR_GRUP_ORG = $DIR_IMGS_ORG."grup".$grupo.DIRECTORY_SEPARATOR;

		if(!file_exists($DIR_GRUP_ORG))
			mkdir($DIR_GRUP_ORG,0777,true);

		$TEMP_IMGS_GRUP = $DIR_IMG_TEMP.$color.DIRECTORY_SEPARATOR;
		$TEMP_IMGS_GRUP.= "grup".$grupo.DIRECTORY_SEPARATOR;

		$IMGS_BY_GRUP_0 = glob($TEMP_IMGS_GRUP."*.jpg");

		if($IMGS_BY_GRUP_0){

			$IMGS_BY_GRUP = $oImgs->ordenaArchivos($IMGS_BY_GRUP_0,$TEMP_IMGS_GRUP);
			$IMGS_BY_GRUP = array_values($IMGS_BY_GRUP);

			foreach ($IMGS_BY_GRUP as $n => $imagen)
			{
				GuardarImagenV4CenterCut($imagen,$DIR_GRUP_ORG,($n+1).".jpg",$width,$height,1);
				unlink($imagen);
			}

		}

		//Para diamantes y anillos
		$TEMP_IMGS_GRUP = $DIR_IMG_TEMP.$color.DIRECTORY_SEPARATOR;
		$TEMP_IMGS_GRUP_AD_DIAM = $TEMP_IMGS_GRUP."grup{a,d}".DIRECTORY_SEPARATOR;
		$IMGS_BY_GRUP_AN_DIAM = glob($TEMP_IMGS_GRUP_AD_DIAM."*.{png}",GLOB_BRACE);
		//echo "$TEMP_IMGS_GRUP_AD_DIAM\n";
		//pr($IMGS_BY_GRUP_AN_DIAM);

		if($IMGS_BY_GRUP_AN_DIAM){
			foreach ($IMGS_BY_GRUP_AN_DIAM as $imagen_an_diam){
				
				$xparts = explode(DIRECTORY_SEPARATOR,$imagen_an_diam);
				//pr($xparts);
				$_grup = $xparts[count($xparts)-2];
				$fname = $xparts[count($xparts)-1];
				echo "fname2($fname)";
				$grupo = substr($_grup,-1);
				
				$DIR_GRUP_ORG_AN_DIAM = $DIR_IMGS_ORG."grup".$grupo.DIRECTORY_SEPARATOR;

				if(!file_exists($DIR_GRUP_ORG_AN_DIAM))
					mkdir($DIR_GRUP_ORG_AN_DIAM,0777,true);

				$ren = rename($imagen_an_diam, $DIR_GRUP_ORG_AN_DIAM.$fname);
				echo "($ren)\n";
				//echo "rename($imagen_an_diam, $DIR_GRUP_ORG_AN_DIAM.$fname);";
				unlink($imagen_an_diam);
			}
		}

		$VIDEO_BY_GRUP_0 = glob($TEMP_IMGS_GRUP."yt.txt");
		if($VIDEO_BY_GRUP_0){
			foreach ($VIDEO_BY_GRUP_0 as $n2 => $videoyt)
			{
				rename($videoyt,$DIR_GRUP_ORG."yt.txt");
				unlink($videoyt);
			}
		}
		rmdir($TEMP_IMGS_GRUP);
	}
}

function terminaProceso($response)
{
	echo '--codereg--';
	echo json_encode($response);
	echo '--codereg--';

	exit(1);
}
?>