<?PHP
include_once($_PROYDIR_DAT."_base/dat_base.php");
include_once($_PROYDIR_OBJ."obj_productos.php");
include_once($_PROYDIR_OBJ."obj_argollas.php");

if( !$_SESSION['SESUS_login'] )
{
	JavaScript("window.location='$_URLBASE"."acsis-login.html'");
	exit(1);
}

$oArg = new obj_argollas( $Link );
$oArg -> _oDat -> estaTabla = "reg_producto_argolla";



$oProd = new obj_productos( $Link );

$URL_POST = $_URLBASE."acsis-rappaport.html";

$oDat = new dat_base();
$oDat -> Link = $Link;

$tabla = "rappaport";
$tabla_valores = "valores_moneda";

$ctss = $CTS;

$table_rapp['head'] = array_merge([""],$PUREZAS_DIAMANTES);

$table_rapp['body'] = $COLORES_DIAMANTES;

$aux2['head'] = "thead";
$aux2['body'] = "tbody";

$ACT_S_M_U = "SAVE_M_U";
$ACT_RAPP  = "SAVE_RAPP";
$ACT_LABD  = "SAVE_LABD";

$POST_ACTION = ev("ACTION");
$ACTION_VAL = codVal($ACT_S_M_U);
$ACTION_VAL_RAPP = codVal($ACT_RAPP);
$ACTION_VAL_LABD = codVal($ACT_LABD);

COMLOGVISHTML("V1");

if( isset( ${$POST_ACTION} ) )
{
	$ACTION = decodVal( ${$POST_ACTION} );

	$response['error'] = 1;
	$response['warning'] = null;
	$response['msg']   = 'No action';

	if($ACTION == $ACT_S_M_U)
	{
		$response['msg']   = 'Error al leer datos';

		$cant_up = count($data);

		foreach ($data as $cmp => $id_val)
		{
			list($idCod,$value) = $id_val;

			if(is_numeric($value) && $value!=0)
			{
				$idReg = decodVal( $idCod );

				if($idReg)
					$dataUpdate[ $idReg ] = $value;
			}
			else
			{
				$dataUpdateError[ $idCod ] = $value;
			}
		}

		$cant_update = 0;

		if( $dataUpdate )
		{
			foreach ($dataUpdate as $id => $valor)
			{
				$dataUp['valor'] = $valor;
				setCamposAct($dataUp);

				$campos = implode(",", array_keys($dataUp));

				$where = " idReg = '$id' ";

				$cant_update+= $oDat -> updateWhere($dataUp,$campos,$where,$tabla_valores);

				unset($dataUp);
			}
		}

		if($cant_update < $cant_up)
		{
			if($cant_update)
				$response['warning'][] = "Se actualizaron sólo $cant_update campos, favor de refrescar la página para revisar.";
			else
				$response['warning'][] = "No se ha actualizado ningún campo.";
		}

		$response['error_val'] = false;
		$response['error_cod'] = null;

		if($dataUpdateError)
		{
			$response['error_val'] = true;
			$response['error_cod'] = $dataUpdateError;
			$response['warning'][] = "Error de validación en los campos.";
		}

		if($cant_update)
		{
			$oProd -> regeneraCatalogoProds();
			$oProd -> regeneraCatalogoProdsChur();
			$oArg  -> regeneraCatalogoArgollas();

			$response['error'] = 0;
			$response['msg']   = 'Se actualizaron los campos.';
		}
		
	}

	if($ACTION == $ACT_RAPP)
	{
		$json_rappaport_keys = decodVal( trim($rappaport) ); 

		if($json_rappaport_keys)
		{
			$value*=1;

			if(is_numeric($value) && $value!=0)
			{
				$rappaport_keys = json_decode($json_rappaport_keys,true);
				list($key_tam,$key_pureza,$key_color) = array_keys($rappaport_keys);
				extract($rappaport_keys);

				$where = "	$key_tam 	= '".${$key_tam}."'
						AND $key_color  = '".${$key_color}."' 
						AND $key_pureza = '".${$key_pureza}."' ";

				$reg = $oDat -> selectWhere($where,"*", $tabla)[0];

				$data['valor'] = $value;

				if( !$oDat->ultRes['mnr'] )
				{
					$data[$key_tam]    = ${$key_tam};
					$data[$key_color]  = ${$key_color};
					$data[$key_pureza] = ${$key_pureza};

					setCamposIns($data);

					$oDat -> insert($data, $tabla);
				}
				else
				{
					setCamposAct($data);

					$campos = implode(",", array_keys($data));
					$where.= " AND idReg = '{$reg['idReg']}' ";

					$oDat -> updateWhere($data,$campos,$where, $tabla);
				}

				$oProd -> regeneraCatalogoProds();
			}//is_numeric
		}
	}

	if($ACTION == $ACT_LABD)
	{
		$response['msg']   = 'Error al leer datos';

		$cant_up = count($data);

		foreach ($data as $cmp => $id_val)
		{
			list($idCod,$value) = $id_val;

			if(is_numeric($value) && $value!=0)
			{
				$idReg = decodVal( $idCod );

				if($idReg)
					$dataUpdate[ $idReg ] = $value;
			}
			else
			{
				$dataUpdateError[ $idCod ] = $value;
			}
		}

		$cant_update = 0;

		if( $dataUpdate )
		{
			foreach ($dataUpdate as $id => $valor)
			{
				$dataUp['valor'] = $valor;
				setCamposAct($dataUp);

				$campos = implode(",", array_keys($dataUp));

				$where = " idReg = '$id' ";

				// pr($dataUp);
				// echo $campos."- $where\n";

				$cant_update+= $oDat -> updateWhere($dataUp,$campos,$where,"reg_diamonds_lab");
				//print_r($oDat->ultRes);

				unset($dataUp);
			}
		}

		if($cant_update < $cant_up)
		{
			if($cant_update)
				$response['warning'][] = "Se actualizaron sólo $cant_update campos, favor de refrescar la página para revisar.";
			else
				$response['warning'][] = "No se ha actualizado ningún campo.";
		}

		$response['error_val'] = false;
		$response['error_cod'] = null;

		if($dataUpdateError)
		{
			$response['error_val'] = true;
			$response['error_cod'] = $dataUpdateError;
			$response['warning'][] = "Error de validación en los campos.";
		}

		if($cant_update)
		{
			$oProd -> regeneraCatalogoProds();

			$response['error'] = 0;
			$response['msg']   = 'Se actualizaron los campos.';
		}
	}

	echo '--codeup--';
	echo json_encode($response);
	echo '--codeup--';

	exit(1);
}

$variables_valores = $oDat -> selectWhere("1","idReg,variable,valor",$tabla_valores);

if(!$variables_valores)
	die("Error 1.1 Moneda utilidad");

extract($variables_valores,EXTR_PREFIX_ALL,"var");

foreach ($variables_valores as $vkey => $var)
{
	${$var['variable']."_value"} = $var['valor'];
	${$var['variable']."_name"}  = ev($var['variable']);
	${$var['variable']."_data"}  = " data-cod='".codVal($var['idReg'])."' ";
}

$l_rapaport = $oProd -> cargaTablaRappaport();

$l_lab_diamonds = $oProd -> cargaTablaLabDiamonds($CTS_LAB);
$_CTS_LAB_MIN_ = $CTS_LAB[0];
$_CTS_LAB_MAX_ = end($CTS_LAB);

$_SCRIPTS = ["input-validation"];

include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_cabecera.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_rappaport.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_pie.php");
?>