<?PHP
include_once($_PROYDIR_OBJ."obj_ventas.php");
//include_once($_PROYDIR_OBJ."obj_clientes.php");

if( !$_SESSION['SESUS_login'] )
{
	JavaScript("window.location='$_URLBASE"."acsis-login.html'");
	exit(1);
}
$oVent=new obj_ventas($Link);
$URL_POST = $_URLBASE."acsis-reviews.html";
$TEMPORAL_IMAGES=$_DIR_IMGS_REVIEWS."remporal_fake".DIRECTORY_SEPARATOR;

$post_vars=["nombre","fecha","sku","calificacion","estado","titulo","comentario","idVentaFake"];
foreach(array_merge($post_vars,["images","action"]) as $var){
	${"var_$var"} = ev($var);
}

$ACTION="CREAREVIEW";
$ACTION_COD=codVal($ACTION);

if($VARP=$_POST[$var_action]) {

	$response['error']=1;
	$response['msg']='Action error.';
	$response['error_val']=null;

	$ACTION_POST = decodVal($VARP);
	unset($_POST[$var_action]);

	//pr($_POST);

	if($ACTION_POST===$ACTION)
	{
		foreach($post_vars as $pvar){
			$$pvar=trim($_POST[${"var_$pvar"}]);
		}

		$idVentaFake=trim(decodVal($$var_idVentaFake));

		if(!$idVentaFake)
			$errores[$var_idVentaFake]="Error ID Fake.";

		if(!$nombre)
			$errores[$var_nombre]="Indica el nombre de cliente para tu reseña.";

		if(!$fecha)
			$errores[$var_fecha]="Indica la fecha en que deseas para la reseña.";

		if(!$sku)
			$errores[$var_sku]="Indica un SKU para la reseña.";
		else if(!getProductoSku($sku)){
			$errores[$var_sku]="No existe un producto con el SKU '$sku'.";
		}

		$calificacion*=1;
		if(!is_numeric($calificacion)){
			$errores[$var_calificacion]="Error al calificar producto.";
		}
		else if(!in_array($calificacion, range(1, 5))){
			$errores[$var_calificacion]="Error al calificar producto.";
		}

		if(!$estado)
			$errores[$var_estado]="Indica el estado del cleinte para tu reseña.";

		if(!$titulo)
			$errores[$var_titulo]="Indica el título de tu reseña.";

		if(!$comentario)
			$errores[$var_comentario]="Escribe el comentario de la reseña.";
		

		if(!$errores){
			$response['msg']="Error al guardar reseña.";

			$producto=getProductoSku($sku);

			$idProducto=$producto['idProd'];
			$tipo_producto=$producto['tipo_producto'];

			$data['idProducto'] = $idProducto;
			$data['nombreFake'] = $nombre;
			$data['estadoFake'] = $estado;
			$data['_fechaIns'] = $fecha;
			$data['tipo_producto'] = $tipo_producto;
			$data['titulo'] = $titulo;
			$data['comentario'] = $comentario;
			$data['calificacion'] = $calificacion;
			$data['fake_editando']=0;
			$data['estatus'] = 0;

			//pr($data);
			$up=$oVent->updateFakeReviwEdit($idVentaFake,$data);
			//pr($oVent->_oDat->ultRes);
			if($up){

				//Mover imagenes fake si existen
				if(file_exists($TEMPORAL_IMAGES)) {
					if($images=glob($TEMPORAL_IMAGES."*.jpg")) {

						$DIR_IMG_SAVE = $_DIR_IMGS_REVIEWS.getSubFolderImgs($producto,$idVentaFake);

						if(!file_exists($DIR_IMG_SAVE))
							mkdir($DIR_IMG_SAVE,0777,true);

						sort($images);
						foreach ($images as $i => $image) {
							rename($image,$DIR_IMG_SAVE.($i+1).".jpg");
						}
					}
				}

				$response['error']=0;
				$response['msg']="Creado.";	
			}

		}else{
			$response['msg']="Errores de validación.";
			$response['error_val']=$errores;
		}
		
	}

	echo '--codereg--';
	echo json_encode($response);
	echo '--codereg--';
	exit();
}

if($fakeReview = $oVent->creaFakeReview()){
	extract($fakeReview,EXTR_PREFIX_ALL,"fkreview");
}

//Eliminar imagenes temporales
if(file_exists($TEMPORAL_IMAGES))
{
	if($xlist_imgs=glob($TEMPORAL_IMAGES."*.jpg")) {
		foreach ($xlist_imgs as $del_img) {
			unlink($del_img);
		}
	}
	
}
//prEx($fakeReview);



if($SRCH){
	$searchSku = trim($SRCH);
	$FILS[]="SRCH=$searchSku";
}

if($SRCHG){
	$searchGen = trim($SRCHG);
	$FILSG[]="SRCHG=$searchGen";
}

//Orden para resenia producto
$orden = "older";
$order = "rv.idRev DESC";
if($ORD == $orden){
	$order = "rv.idRev ASC";
	$FILS[]="ORD=$ORD";
	$orden = "";
}

//Orden para resenia general
$ordeng = "older";
$orderg = "ORDER BY rvg.idRev DESC";
if($ORDG == $ordeng){
	$orderg = "ORDER BY rvg.idRev ASC";
	$FILSG[]="ORDG=$ORDG";
	$ordeng = "";
}

if(count($FILS ?? [])>0)
	$filtros = implode("&", $FILS);

if(count($FILSG ?? [])>0)
	$filtrosg = implode("&", $FILSG);

if($_GET['CANT_VER']) {
	$_SESSION['CANT_VER']=$_GET['CANT_VER'];
	$oVis->reditectTo($oVis->plantilla,"?$filtros");
}

$CANT_VER = $_SESSION['CANT_VER'];
if(!$CANT_VER)
	$CANT_VER = 10;

if($searchSku){

	//esto iba dentro de la funcion
    // $searchSkuAn = "AND rp.sku='$searchSku'";
    // $searchSkuArg = " AND rpa.sku='$searchSku'";
    // $searchSkuChur = " AND rpc.sku='$searchSku'";

    $where = "rp.sku='$searchSku' OR rpa.sku='$searchSku' OR rpc.sku='$searchSku' OR rv.idVenta='$searchSku'";
}

//------------------REVIEWS PRODUCTO
if($reviews=$oVent->cargaAllReviews($PAG,$CANT_VER,$where,$order)){
	$cant_reviews=$oVent->total_registros;
	extract($oVent->paginador);
}

//-------------------REVIEWS GRAL
if($reviewsGral=$oVent->cargaAllReviewsGral($PAGG,$CANT_VER,$searchGen,$orderg)){
	$cant_reviews_grals=$oVent->total_registros;
	extract($oVent->paginador,EXTR_PREFIX_ALL,"gral");
}

$qrCalificacion = "SELECT (SUM(calificacion) / COUNT(idProducto)) prods_calf FROM `reg_product_review` WHERE 1 ";
loadRegsQr($Link,$qrCalificacion,$regcalf,$xres);
$prods_calf = round($regcalf[0]['prods_calf'] ?? 0, 2);

//die("$total_paginas----");


$calificar = ["calificacion_general"=>"Calificación general","calificacion_atencion_cliente"=>"Atención al cliente","calificacion_facilidad_uso"=>"Facilidad de uso de la página web","calificacion_calidad_precio"=>"Relación calidad-precio","calificacion_confianza_proyectada"=>"Confianza proyectada"];

$desde_admin=true;
$vis_all_views=true;

$URLPOST_REVIEW = $_URLBASE."acsis-detalle-venta.html?=";
$URL_POST_IMGS = $_URLBASE."ac-product-review.html?".ev("IDVENT")."=";
$desde_vis_reviews=true;

$_STYLE_LINK=[$_CONF_URL_PROYST."datepicker-master/css/datepicker",$_CONF_URL_PROYST."css/cita"];

$oVis->contruyeVista();
// include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_cabecera.php");
// include_once($_PROYDIR_VIS.$_BASETEMA."vis_reviews.php");
// include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_pie.php");

function getSubFolderImgs($producto,$idPedidoFake){
	$subfolder = $producto['tipo_producto'];
	$DIR_ID_URL = "$subfolder/".datadir($producto['idProd'])."idreview-custom-$idPedidoFake/";
	$DIR_ID = str_replace("/", DIRECTORY_SEPARATOR, $DIR_ID_URL);

	return $DIR_ID;
}

function getProductoSku($sku){

	GLOBAL $_PROYDIR_OBJ,$_PROYDIR_DAT,$Link;

	include_once($_PROYDIR_OBJ."obj_productos.php");
	include_once($_PROYDIR_OBJ."obj_argollas.php");

	$oProd = new obj_productos($Link);
	$oProdChur = new obj_productos( $Link );
	$oArg = new obj_argollas( $Link );

	$oArg -> _oDat -> estaTabla = "reg_producto_argolla";
	$oProdChur -> _oDat -> estaTabla = "reg_producto_churumbela";

	$where="sku='$sku' AND es_principal='1'";
	$producto=$oProd->cargaProductos(1,1,$where)[0];

	if(!$producto){
		$producto=$oArg->cargaProductosArgolla(1,1,$where)[0];
	}
	
	if(!$producto){
		$producto=$oProdChur->cargaProductos(1,1,$where)[0];
	}

	if($producto){
		foreach ($producto as $key => $value) {
			if(is_numeric($key))
				unset($producto[$key]);
		}
	}

	return $producto;
}
?>