<?PHP 
$POST_ACTION = ev("ACTION");
if( isset( ${$POST_ACTION} ) )
{
	$ACTION = decodVal( ${$POST_ACTION} );

	//echo "$ACTION ---";

	$response['error'] = 1;
	$response['msg']   = 'No action';

	if($ACTION == "SAVEEDIT")
	{
		$response['msg'] = 'Error validación';

		$val = trim($val);

		$cmps['name']  = "nombre";
		$cmps['phone'] = "telefono";

		if($cliente=$oClie->cargaDatosClienteId($id))
			extract($cliente,EXTR_PREFIX_ALL,"clie");

		$no_edito_correo = ($clie_correo == $correo_nuevo || $clie_correo==$correo_nuevo_base);
		
		if($no_edito_correo){
			$cmps['email'] = "correo";
		}else{
			$edito_correo=true;
		}


		$campo = $cmps[$cmp];
		$data[$campo] = $val;

		if(!$val)
			$error = "El valor del campo no debe ser vacío.";

		if($campo==$cmps['phone'] && (!is_numeric($val) || strlen($val)!=10) )
			 $error = "El teléfono debe ser numeríco y de 10 dígitos.";

		$correook=false;
		if($campo==$cmps['email']){

			if(!validEmail($val))
				$error = $errorcorreo = "El correo tiene un formato no válido.";

			if($edito_correo)
				$error = $errorcorreo = "El correo solo se puede editar una vez.";

			if($oClie->existe($val))
				$error = $errorcorreo = "El correo que indicó ya existe.";

			if(!$errorcorreo)
				$correook=true;
		}

		if($error)
			$response['msg'] = $error;

		if(!$error)
		{
			$response['msg'] = 'Error al actualizar';

			if($oClie->actualizaDatosCliente($id,$data)){
				$response['error'] = 0;
				$response['val'] = $val;
				$response['msg'] = 'Update ok';
				$response['correook']=$correook;
			}
		}
		
	}

	if($ACTION == "GETDIR")
	{
		$response['error']=0;
		$response['msg']="OK";

		$direccion = $_SESSION['temporal_dir'];

		ob_start();
      	htmlDireccion($direccion);
      	$html = ob_get_contents();
		ob_end_clean();
	}

	if($ACTION == "INFOCP")
	{
		//pr($_POST);
		  $cp = ${ev("cp")};
		  $resCP = $oEnv -> cargar_cp($cp);
		  //pr($resCP);

		  $response['error'] = 1;
		  $response['msg'] = "No se encontró el código postal";

		  $nCP=$oEnv->cantRegs;

		  if($resCP)
		  {
		  	  $response['error'] = 0;
		  	  $response['msg'] = "";

		      $infocp['municipio'] 	 = $resCP[0]['d_mnpio'];
		      $infocp['estado'] 	 = $resCP[0]['d_estado'];
		      $infocp['ciudad'] 	 = (trim($resCP[0]['d_ciudad']))?$resCP[0]['d_ciudad']:$infocp['municipio'];
		      $infocp['idmun'] 	 = $resCP[0]['c_mnpio'];
		      $infocp['idedo'] 	 = $resCP[0]['c_estado'];

		      $response['infocp'] = $infocp;
		      foreach ($resCP as $k => $_cp)
		      {
		      	 $idcol = $_cp['id_asenta_cpcons'];
		      	 $colonias[$idcol] = $_cp['d_asenta'];
		      }
		      $response['colonias'] = $colonias;
		   }    
	}

	if($ACTION == "VALIDAFORM")
	{
		$response['error'] = 1;
        $response['msg'] = "Ocurrió un error.";
		$response['errores'] = validaForm($_POST);

		if(!$response['errores'])
        {
        	$response['errores'] = null;
        	$response['error'] = 0;
        	$response['msg'] = "ok";

        	$data['nombre'] = $nombre;
        	$data['correo'] = $correo;
        	$data['telefono'] = $telefono;
        	$data['calle'] = $calle;
        	$data['num_e'] =$num_e;
        	$data['num_i'] =$num_i;
        	$data['colonia'] = $colonia;
        	$data['cp'] = $cp;
        	$data['ciudad'] = $ciudad;
        	$data['delegacion'] = $delegacion;
        	$data['estado'] = $estado;

        	$_SESSION['temporal_dir'] = $data;
        }
	}

	if($ACTION == "SEARCH")
	{
		$response['msg']   = 'No se encontró producto.';

		$producto = $oProd->cargaProductosSku($sku,true)[0];

		if(!$producto)
			$producto = $oArg -> cargaProductosSkuArgolla($sku,true)[0];
		
		if(!$producto)
			$producto = $oProdChur -> cargaProductosSku($sku,true)[0];

		if(!$producto){
			$producto = $oProdCad -> cargaProductosSku($sku,true)[0];			
		}

		if($producto){
			$response['error'] = 0;
			$response['msg'] = 'producto encontrado..';
			$response['url'] = $producto['url_id']."?nonav=1&noinfopie=1&infodescprod=1";
		}
	}

	if($ACTION == "DELCAR")
	{
		$index_car = decodVal(${ev("index")});

		$response['msg'] = "Error al eliminar.";
		unset($_SESSION['carrito_custom_venta'][$index_car]);

		if(!isset($_SESSION['carrito_custom_venta'][$index_car])){
			$response['msg'] = "Eliminado";
			$response['del'] = ev($index_car);
			$response['error'] = 0;
		}
	}

	if($ACTION == "ADDCUSTOM")
	{

		$titulo = trim($$var_titulo);
		$description = trim($$var_description);
		$tiempo_entrega = trim($$var_tiempo_entrega)*1;
		$precio_contado = trim($$var_precio_contado)*1;
		$precio_nodescuento = trim($$var_precio_nodescuento)*1;

		if(!$titulo)
			$errores[$var_titulo] = "El titulo es obligatorio.";

		if(!$description)
			$errores[$var_description] = "La descripción es obligatoria.";

		if(!is_numeric($tiempo_entrega))
			$errores[$var_tiempo_entrega] = "El tiempo de espera debe ser numeríco.";

		if(!$precio_nodescuento){
			if(!is_numeric($precio_contado) || !$precio_contado)
				$errores[$var_precio_contado] = "El precio de contado debe ser numérico y mayor a 0.";
		}

		if($precio_nodescuento){
			if(!is_numeric($precio_nodescuento))
				$errores[$var_precio_nodescuento] = "El precio sin descuento debe ser numérico y mayor a 0.";
		}


		$response['msg'] = 'ocurrió un problema al agregar producto.';
		$response['error_val'] = null;
		if(!$errores){

			$prod['es_personalizado'] = true;
			$prod['nombre'] = $titulo;
			$prod['descripcion'] = $description;
			$prod['tiempo_entrega'] = $tiempo_entrega;
			$prod['contado'] = $precio_contado-($precio_contado*0.15);
			$prod['msi'] = ( ($precio_contado*1.1765) /12);

            $prod['img'] = "";
            $prod['url'] = "";
            $prod['id'] = "";
            $prod['sku'] = "";
            $prod['piedra_prin'] = "";
            $prod['tam_piedra'] = "";
            $prod['color_diam'] = "";
            $prod['pureza_diam'] = "";
            $prod['peso_g'] = "";
            $prod['grosor_mm'] = "";
            $prod['material'] = "";
            $prod['color'] = "";
            $prod['precio_x_gr'] = "";
            $prod['qts'] = "";
            $prod['claridad_diam'] = "";
            $prod['tam'] = "";
            $prod['grab'] = "";
            $prod['costo_envio'] = "Gratis";

			$aux = $tiempo_entrega>1?"s":"";
			$prod['recibe_en'] = $tiempo_entrega?"$tiempo_entrega Día$aux":"";
			
			if($precio_nodescuento){
				$prod['contado'] = $precio_nodescuento;
			}

			$_SESSION['carrito_custom_venta'][] = $prod;

			$response['error'] = 0;
			$response['msg']   = "Agregado";

		}else{
			$response['msg'] = 'Errores de validación.';
			$response['error_val'] = $errores;
		}
	}

	if($ACTION == "TERMINAPED")
	{
		$carrito = $_SESSION['carrito_custom_venta'];
		$idPedido=$oVent->creaVentaCliente($oClie->cargaDatosClienteId($id),$carrito);

		$response['msg'] = "No se generó el pedido.";
		if($idPedido && $carrito){


			//Se registra la venta para la API
			$oVent->setColaVentas($idPedido,"INSERT");

			$code = urlencode(codVal($idPedido));
			$response['error'] = 0;
			$response['msg'] = "Pedido generado.";
			$response['link_pedido'] = $_URLBASE."acsis-detalle-venta.html?id=".$code;

			unset($_SESSION['carrito_custom_venta']);
			unset($_SESSION['temporal_dir']);
		}
	}


	echo '--codeup--';
	echo json_encode($response);
	echo '--codeup--';
	echo $html;
	echo '--codeup--';

	exit(1);
}
?>