<?PHP
if($type = $_GET['csv']){

	switch($type){
		case 'ventas':
			$data_csv=$pedidos;

			$format['id'] = "\nID VENTA\n";
			$format['fecha'] = "\nFECHA\n";
			$format['nombre'] = "\nCLIENTE\n";
			$format['agente'] = "\nAGENTE\n";
			$format['importe'] = "\nTOTAL\n";
			$format['saldo'] = "\nDEBE\n";
			$format['total_ingresos'] = "TOTAL INGRESOS\n";
			$format['total_gastos'] = "TOTAL GASTOS\n";

			$qr="
				SELECT 
					id_doc_des idPedido,
					SUM(CASE WHEN detalle='Mano de obra' THEN importe_gasto ELSE 0 END) mano_obra,
					SUM(CASE WHEN detalle='Reparaciones' THEN importe_gasto ELSE 0 END) reparaciones,
				    SUM(CASE WHEN detalle='Otros gastos' THEN importe_gasto ELSE 0 END) otros_gastos,
				    SUM(CASE WHEN detalle='Metal' THEN importe_gasto ELSE 0 END) metal,
				    SUM(CASE WHEN detalle='Estuche' THEN importe_gasto ELSE 0 END) estuche,
				    SUM(CASE WHEN detalle='Envío' THEN importe_gasto ELSE 0 END) envio,
				    SUM(CASE WHEN detalle='Diamante Nat' THEN importe_gasto ELSE 0 END) diamante_nat,
				    SUM(CASE WHEN detalle='Diamante Lab' THEN importe_gasto ELSE 0 END) diamante_lab,
				    SUM(CASE WHEN detalle='Comisión Bancaria' THEN importe_gasto ELSE 0 END) comision_bancaria,
				    SUM(CASE WHEN detalle='Argollas' THEN importe_gasto ELSE 0 END) argollas
				FROM reg_conta_mov 
					WHERE signo='-1'
				GROUP BY idPedido
				ORDER BY `idPedido`  DESC
			";

			loadRegsQr2($Link,$qr,$gastos0,$xres,MYSQLI_ASSOC);
			indexDat($gastos0,$gastos,'idPedido');


			$format['mano_obra'] = "MANO DE OBRA\n";
			$format['metal'] = "\nMETAL\n";
			$format['envio'] = "\nENVÍO\n";
			$format['estuche'] = "\nESTUCHE\n";
			$format['diamante_lab'] = "\nDIA LAB\n";
			$format['diamante_nat'] = "\nDIA NAT\n";
			$format['otras_piedras'] = "OTRAS PIEDRAS\n";
			$format['reparaciones'] = "\nREPARACIONES\n";
			$format['comision_bancaria'] = "COMISIÓN BANCARIA\n";
			$format['grabado'] = "\nGRABADO\n";
			$format['argollas'] = "\nARGOLLAS\n";
			$format['otros_gastos'] = "OTROS GASTOS\n";

			$name = "ventas";
		break;

		case 'contabilidad':
			$data_csv=$regs_contabilidad0;


            $format['id_doc_des'] = "\nID VENTA\n";
            $format['_fechaIns'] = "\nFECHA\n";
            $format['correo'] = "\nCORREO\n";
            $format['nombre'] = "\nCLIENTE\n";
            $format['detale_ingreso'] = "\nCONCEPTO\n";
            $format['importe_gasto'] = "\nIMPORTE\n";

            $name = "contabilidad";
		break;

		case 'clientes':
			$data_csv=$clientes;


            $format['idReg'] = "\nID CLIENTE\n";
            $format['correo'] = "\nCORREO\n";
            $format['nombre'] = "\nCLIENTE\n";
            $format['telefono'] = "\nTELEFONO\n";
            $format['pedidos'] = "\nPEDIDOS\n";

            $name = "clientes";
		break;
	}

	//prEx($oVent);

	//pr($data_csv[0]);
	array_to_csv_download($data_csv, $format, $name);
	exit(1);
}
function array_to_csv_download($array,$format,$filename = "export") {

	GLOBAL $gastos;

	$filename.=".csv";
    $f = fopen('php://memory', 'w');
    fprintf($f, chr(0xEF).chr(0xBB).chr(0xBF));
    fputcsv($f, $format);

    foreach ($array as $i => $line) {
    	foreach ($format as $key => $value) {

    		if($key=="detale_ingreso"){
				if($line['signo']<1)
					$key="detalle";
    		}

    		$val = $line[$key]?$line[$key]:"";
    		$val = strval($val);

    		if($key == "_fechaIns" || $key == "fecha"){
    			$val = strftime("%b-%d-%G", strtotime($val)); 
    		}

    		if(is_numeric($val) && $key != "id" && $key != "id_doc_des" && $key != "pedidos"){
    			$xsig = ($line['signo']<1)? "-" : "";
    			// $val = $xsig."$".number_format(abs($val),2);
    			$val = "$".number_format(abs($val),2);
    		}

    		// echo "(== $key ==)";
    		// prEx($gastos[$line['id']]);

    		if(isset($gastos[$line['id']][$key])){
    			$val=$gastos[$line['id']][$key];
    			if($val>0){
    				$val = "$".number_format(abs($val),2);
    			}else{
    				$val="";
    			}
    		}


    		$linef[$key]=$val;
    	}

        fputcsv($f, $linef);
        unset($linef);
    }
    
    // reset the file pointer to the start of the file
    fseek($f, 0);
    // tell the browser it's going to be a csv file
    header('Content-Type: text/csv');
    // tell the browser we want to save it instead of displaying it
    header('Content-Disposition: attachment; filename="'.$filename.'";');
    // make php send the generated csv lines to the browser
    fpassthru($f);
} 
?>