<?PHP
ini_set('memory_limit', '128M');
GLOBAL $_PROYDIR_OBJ,$COLORES_PRODUCTO,$_DIR_IMGS_CADENAS,$_URL_IMGS_CADENAS,$DIR_IMG_TEMP, $EDITAR_id_prod_color;

$response['error']   = 1;
$response['msg']     = 'Ocurrió un error intenta refrescando la página.';

if(isset($_POST['youtube_link']))
    $youtube_link=trim($_POST['youtube_link']);

if(($file = $_FILES[$campos['imagenes']]) && !$youtube_link){
    include_once($_PROYDIR_OBJ."obj_imagenes.php");

    $oImgs = new obj_imagenes($file);
    $oImgs->ordenaImagenes();
    sort($oImgs->imagenes);

    //Si no hay imagenes correctas
    if(!$oImgs->cantImgs)
    {
        $response['msg']  = 'No hay imagenes correctas.';
        terminaProceso($response);
    }
}

if(!$youtube_link && !$file){
    terminaProceso(['msg'=>'Sin info.']);
}

$color_cod = trim($_POST[$campos['color']]);
$color = decodVal($color_cod);

$VALID_COLORS = array_keys($COLORES_PRODUCTO);

if(!in_array($color, $VALID_COLORS)) {
    terminaProceso(['msg'=>'No se indicó un color correcto.']);
}

//dir
$DIR_IMG_TEMP.= $color.DIRECTORY_SEPARATOR;
$DIR_IMG_SAVE = $DIR_IMG_TEMP;

$grup_num =$_POST['grup_num'];
$for_grup = "/grup".$grup_num."/";

//Url
$_URL_IMGS_VIS = $_URL_IMGS_CADENAS."temporal/".$color.$for_grup;

//Si es de editar producto
$IDPROD = $EDITAR_id_prod_color["id_".$color];

if($IDPROD){
    $xdir = datadir($IDPROD);
    $_URL_IMGS_VIS = $_URL_IMGS_CADENAS.$xdir.$color.$for_grup;

    $xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);
    $DIR_IMG_SAVE = $_DIR_IMGS_CADENAS.$xdir.$color.DIRECTORY_SEPARATOR;
}

$GRUP_IMGS = "grup".$grup_num.DIRECTORY_SEPARATOR;
$_DIR_SAVE_ = $DIR_IMG_SAVE.$GRUP_IMGS;

if($youtube_link){

    if(!file_exists($_DIR_SAVE_))
        mkdir($_DIR_SAVE_,0777,true);

    $nameTy="yt.txt";
    $linkYouTube=$_DIR_SAVE_.$nameTy;
    $_URL_IMGS_VIS.=$nameTy;
    $fileLink = fopen($linkYouTube, "w");
    fwrite($fileLink,$youtube_link);
    fclose($fileLink);

    $response['error'] = 0;
    $response['idcolor'] = $color_cod;
    $response['cant_saved'] = 1;
    $response['imgs_directory'] = $_URL_IMGS_VIS;
    $response['imgs_format'] = "txt";
    $response['url_yt'] = $_URL_IMGS_VIS;
    $response['msg']   = "Se guardaró url video.";
    terminaProceso($response);
    exit(1);
}

$oImgs->dirSave=$_DIR_SAVE_;
sort($oImgs->imagenes);

$oImgs->guardaImagenes();

if($imgs_saved = $oImgs->imgsSaved)
{
    foreach ($imgs_saved as $n => $img)
    {
        GuardarImagenV4CenterCut($img,$oImgs->dirSave,($n+1).".jpg","800","800",1);
    }

    // if($IDPROD)
    // {
    //     //Organizar imagenes del grupo
    //     $arr_info_grupo = ordenaImagenesGrupo($DIR_IMG_SAVE);

    //     $info_image = implode("||", $arr_info_grupo);

    //     $dataAct['imagenes'] = $info_image;

    //     //Se actualiza la info del producto
    //     setCamposAct($dataAct);
    //     $campos = implode(",", array_keys($dataAct));
    //     $where = "idProd = '$IDPROD' ";

    //     $oDat -> updateWhere($dataAct,$campos,$where,$tabla);
    // }
}
else {
    terminaProceso(['msg'=>'No se guardó ningúna imagen.']);
}

$saved = glob($oImgs->dirSave."*.jpg");

if(!$saved){
    terminaProceso(['msg'=>'No se guardó ningúna imagen.']);
}

$response['error'] = 0;
$response['idcolor'] = $color_cod;
$response['cant_saved'] = ($oImgs->cantImgsSaved)*1;    
$response['imgs_directory'] = $_URL_IMGS_VIS;
$response['imgs_format'] = "jpg";
$response['url_yt'] = "";
$response['msg']   = "Se guardaron $cant_saved imágenes.";

terminaProceso($response);

function terminaProceso($response){
    echo json_encode($response);
    exit(1);
}
?>