<?PHP
GLOBAL $MAX_NOM, $MAX_DESC, $MAX_TIT, $MAX_DESC_SEO, $MAX_URL;
extract($campos,EXTR_PREFIX_ALL,"var");

$validate['color'] = $_POST[$var_color];
$validate['usuario_creo'] = $_SESSION['SESUS_login'];
$validate['usuario_edito'] = $_SESSION['SESUS_login'];
$validate['nombre'] = $_POST[$var_nombre];
$validate['descripcion'] = $_POST[$var_descripcion];
$validate['title'] = $_POST[$var_title];
$validate['meta_descripcion'] = $_POST[$var_metadescripcion];
$validate['nombre_url'] = $_POST[$var_nombreurl];
$validate['estatus'] = $_POST[$var_estatus];
$validate['sku'] = $_POST[$var_sku];
$validate['tipo_entrega'] = $_POST[$var_tipoentrega]*1;
$validate['dias_entrega'] = $_POST[$var_diasentrega];
$validate['productos_relacionados'] = $_POST['productos_relacionados'];
$validate['especificaciones'] = $_POST[$var_especificaciones];

extract($validate);

$errores = [];
if(!$nombre)
    $errores[$var_nombre] = "Debe indicar el nombre del producto.";
else
{
    if(strlen($nombre) > $MAX_NOM )
        $errores[$var_nombre] = "El nombre del producto debe tener máximo $MAX_NOM carácteres.";
}

if(!$descripcion)
    $errores[$var_descripcion] = "Debe indicar la descripción del producto.";
else
{
    if(strlen($descripcion) > $MAX_DESC )
        $errores[$var_descripcion] = "La descripción del producto debe tener máximo $MAX_DESC carácteres.";
}

if(!$title)
    $errores[$var_title] = "El titulo SEO es obligatorio.";
else
{
    if(strlen($title)>$MAX_TIT)
        $errores[$var_title] = "El titulo del producto debe tener máximo $MAX_TIT carácteres.";
}

if(!$meta_descripcion)
    $errores[$var_metadescripcion] = "La descripción SEO es obligatorio.";
else
{
    if(strlen($meta_descripcion)>$MAX_DESC_SEO)
        $errores[$var_metadescripcion] = "La descripción SEO del producto debe tener máximo $MAX_DESC_SEO carácteres.";
}

if(!$nombre_url)
    $errores[$var_nombreurl] = "La URL SEO es obligatorio.";
else
{
    if(strlen($nombre_url)>$MAX_URL)
        $errores[$var_nombreurl] = "La URL del producto debe tener máximo $MAX_URL carácteres.";
}

if(!$color)
    $errores[$var_color] = "Debe indicar por lo menos 1 color.";

if(!$especificaciones)
    $errores[$var_especificaciones] = "Debe indicar las especificaciones.";

$sku = strtoupper($sku);

if(!$sku)
    $errores[$var_sku] = "El SKU es obligatorio.";

if(!in_array($tipo_entrega, [0,1])){
    $errores[$var_tipoentrega] = "Error tipo entrega.";
}else{

    if($tipo_entrega){
        $validate['dias_entrega'] = 0;
    } else {
        if(!$dias_entrega){
            $errores[$var_diasentrega] = "Debe indicar los días de entrega de este produto.";
        } else {
            if(!is_numeric($dias_entrega))
                $errores[$var_diasentrega] = "Días de entrega debe ser numérico.";
        }
    }
}

$datareturn['data_producto'] = $validate;
$datareturn['errores'] = $errores;
?>