<?PHP
$categoria_producto = trim( ${$var_categoria_producto} );
$sku 			 = trim( ${$var_sku} );
$nombre_producto = trim( ${$var_nombre_producto} );
$desc_producto 	 = trim( ${$var_desc_producto} );
$title 			 = trim( ${$var_title} );
$meta_desc 		 = trim( ${$var_meta_desc} );
$url_id 		 = trim( ${$var_url_id} );
$color 		 	 = ${$var_color};
$tipo_precio 	 = trim( ${$var_tipo_precio} );

$descuento 	 	 = trim( ${$var_descuento} );
$precio 		 = trim( ${$var_precio} );

$descuento_zirconia 	 = trim( ${$var_descuento_zirconia} );
$precio_zirconia 		 = trim( ${$var_precio_zirconia} );

$descuento_diamante 	 = trim( ${$var_descuento_diamante} );
$precio_diamante 		 = trim( ${$var_precio_diamante} );

$peso_oro9k 	 = trim( ${$var_peso_oro9k} );
$peso_oro14k 	 = trim( ${$var_peso_oro14k} );
$peso_oro18k 	 = trim( ${$var_peso_oro18k} );
$peso_platino 	 = trim( ${$var_peso_platino} );
$mano_obra_oro 	 = trim( ${$var_mano_obra_oro} );
$mano_obra_platino=trim( ${$var_mano_obra_platino} );

$costo_piedra_lat_zirconia 	= trim( ${$var_costo_piedra_lat_zirconia} );
$costo_piedra_lat_diamante = trim( ${$var_costo_piedra_lat_diamante} );
$costo_piedra_lat_diamante_lab = trim( ${$var_costo_piedra_lat_diamante_lab} );

$tiene_piedras 	 = trim( ${$var_tiene_piedras} );
$con_diamante 	 = trim( ${$var_con_diamante} );
$con_zircornia 	 = trim( ${$var_con_zircornia} );
$estatus 		 = trim( ${$var_estatus} );
$entrega_inmediata = trim( ${$var_entrega_inmediata} );
$dias_entrega 	 = trim( ${$var_dias_entrega} );

$tipo_forma_piedra = trim( ${$var_tipo_forma_piedra} );
$range_piedra_tam  = trim( ${$var_range_piedra_tam});
$range_piedra_tam_lab = trim( ${$var_range_piedra_tam_lab});





if( !$categoria_producto )
	$errores[ $var_categoria_producto ] = "Debe indicar la categoría del producto.";
else
{
	$vcat = decodVal( $categoria_producto );
	$cats_ok = array_keys($xlistaCats);

	if( !in_array($vcat, $cats_ok))
		$errores[ $var_categoria_producto ] = "La categoríaque selecciono es incorrecta.";
	else
		$categoria_producto = $vcat;
}


if( !$nombre_producto )
	$errores[ $var_nombre_producto ] = "Debe indicar el nombre del producto.";
else
{
	if( strlen($nombre_producto) > $MAX_NOM )
		$errores[ $var_nombre_producto ] = "El nombre del producto debe tener máximo $MAX_NOM carácteres.";
}

if( !$desc_producto )
	$errores[ $var_desc_producto ] = "Debe indicar la descripción del producto.";
else
{
	if( strlen($desc_producto) > $MAX_DESC )
		$errores[ $var_desc_producto ] = "La descripción del producto debe tener máximo $MAX_DESC carácteres.";
}

if( !$title )
	$errores[ $var_title ] = "El titulo SEO es obligatorio.";
else
{
	if( strlen($title) > $MAX_TIT )
		$errores[ $var_title ] = "El nombre del producto debe tener máximo $MAX_TIT carácteres.";
}

if( !$meta_desc )
	$errores[ $var_meta_desc ] = "La descripción SEO es obligatorio.";
else
{
	if( strlen($meta_desc) > $MAX_DESC_SEO )
		$errores[ $var_meta_desc ] = "La descripción SEO del producto debe tener máximo $MAX_DESC_SEO carácteres.";
}

if( !$url_id )
	$errores[ $var_url_id ] = "La URL SEO es obligatorio.";
else
{
	if( strlen($url_id) > $MAX_URL )
		$errores[ $var_url_id ] = "La URL del producto debe tener máximo $MAX_URL carácteres.";
}

if( !$color )
	$errores[ $var_color ] = "Debe indicar por lo menos 1 color.";

if( !$tipo_precio )
	$errores[ $var_tipo_precio ] = "Debe indicar el tipo de precio del producto.";
else{
	if( !in_array($tipo_precio, $PROD_TIPO_PRECIO)  )
		$errores[ $var_tipo_precio ] = "El tipo de precio indicado es incorrrecto.";
}

if( $tipo_precio == $PROD_TIPO_PRECIO['FINAL'] )
{
	if( !$precio )
		$errores[ $var_precio ] = "El precio del producto es obligatorio.";
	else
	{
		//En prueba aun
		$precio = trim( str_replace(array('$',','), "", $precio) );

		if( !is_numeric($precio) )
			$errores[ $var_precio ] = "El precio del producto debe ser numérico.";
	}

	if( $descuento )
	{
		//En prueba aun
		$descuento = trim( str_replace(array('%',','), "", $descuento) );

		if( !is_numeric($descuento) )
			$errores[ $var_descuento ] = "El descuento debe ser numérico.";
		else
		{

			$precio_c_descuento = ($precio - ($descuento/100*$precio) );
		}
	}

	$tipo_piedra = $EDITAR_tipo_piedras;

	if( $EDITAR_tam_piedra_recomendado )
		list($range_a,$range_b) = explode(",", $EDITAR_tam_piedra_recomendado);






	/*
	if( !$precio_zirconia )
		$errores[ $var_precio_zirconia ] = "El precio zirconia es obligatorio.";
	else
	{
		//En prueba aun
		$precio_zirconia = trim( str_replace(array('$',','), "", $precio_zirconia) );

		if( !is_numeric($precio_zirconia) )
			$errores[ $var_precio_zirconia ] = "El precio zirconia debe ser numérico.";
	}

	if( $descuento_zirconia )
	{
		//En prueba aun
		$descuento_zirconia = trim( str_replace(array('%',','), "", $descuento_zirconia) );

		if( !is_numeric($descuento_zirconia) )
			$errores[ $var_descuento_zirconia ] = "El descuento zirconia debe ser numérico.";
		else
		{

			$precio_zirconia_descuento = ($precio_zirconia - ($descuento_zirconia/100*$precio_zirconia) );
		}
	}





	if( !$precio_diamante )
		$errores[ $var_precio_diamante ] = "El precio diamante es obligatorio.";
	else
	{
		//En prueba aun
		$precio_diamante = trim( str_replace(array('$',','), "", $precio_diamante) );

		if( !is_numeric($precio_diamante) )
			$errores[ $var_precio_diamante ] = "El precio diamante debe ser numérico.";
	}

	if( $descuento_diamante )
	{
		//En prueba aun
		$descuento_diamante = trim( str_replace(array('%',','), "", $descuento_diamante) );

		if( !is_numeric($descuento_diamante) )
			$errores[ $var_descuento_diamante ] = "El descuento diamante debe ser numérico.";
		else
		{

			$precio_diamante_descuento = ($precio_diamante - ($descuento_diamante/100*$precio_diamante) );
		}
	}
	*/
}


if( $tipo_precio == $PROD_TIPO_PRECIO['APROX'] )
{
	if( !$peso_oro9k )
		$errores[ $var_peso_oro9k ] = "El peso Oro 9k es obligatorio.";
	else
	{
		//En prueba aun
		$peso_oro9k = trim( str_replace(array('g',','), "", $peso_oro9k) );

		if( !is_numeric($peso_oro9k) )
			$errores[ $var_peso_oro9k ] = "El peso Oro 9k debe ser numérico.";
	}

	if( !$peso_oro14k )
		$errores[ $var_peso_oro14k ] = "El peso Oro 14k es obligatorio.";
	else
	{
		//En prueba aun
		$peso_oro14k = trim( str_replace(array('g',','), "", $peso_oro14k) );

		if( !is_numeric($peso_oro14k) )
			$errores[ $var_peso_oro14k ] = "El peso Oro 14k debe ser numérico.";
	}

	if( !$peso_oro18k )
		$errores[ $var_peso_oro18k ] = "El peso Oro 18k es obligatorio.";
	else
	{
		//En prueba aun
		$peso_oro18k = trim( str_replace(array('g',','), "", $peso_oro18k) );

		if( !is_numeric($peso_oro18k) )
			$errores[ $var_peso_oro18k ] = "El peso Oro 18k debe ser numérico.";
	}

	if( !$peso_platino )
		$errores[ $var_peso_platino ] = "El peso platino es obligatorio.";
	else
	{
		//En prueba aun
		$peso_platino = trim( str_replace(array('g',','), "", $peso_platino) );

		if( !is_numeric($peso_platino) )
			$errores[ $var_peso_platino ] = "El peso platino debe ser numérico.";
	}

	if( !$mano_obra_oro )
		$errores[ $var_mano_obra_oro ] = "El precio mano de obra Oro es obligatorio.";
	else
	{
		//En prueba aun
		$mano_obra_oro = trim( str_replace(array('$',','), "", $mano_obra_oro) );
		if( !is_numeric($mano_obra_oro) )

			$errores[ $var_mano_obra_oro ] = "El precio mano de obra Oro debe ser numérico.";
	}

	if( !$mano_obra_platino )
		$errores[ $var_mano_obra_platino ] = "El precio mano de obra platino es obligatorio.";
	else
	{
		//En prueba aun
		$mano_obra_platino = trim( str_replace(array('$',','), "", $mano_obra_platino) );

		if( !is_numeric($mano_obra_platino) )
			$errores[ $var_mano_obra_platino ] = "El precio mano de obra platino debe ser numérico.";
	}






	if( !$costo_piedra_lat_zirconia )
		$errores[ $var_costo_piedra_lat_zirconia ] = "El costo de piedras laterales zirconia es obligatorio.";
	else
	{
		//En prueba aun
		$costo_piedra_lat_zirconia = trim( str_replace(array('$',','), "", $costo_piedra_lat_zirconia) );
		if( !is_numeric($costo_piedra_lat_zirconia) )
			$errores[ $var_costo_piedra_lat_zirconia ] = "El costo de piedras laterales zirconia debe ser numérico.";
	}

	if( !$costo_piedra_lat_diamante )
		$errores[ $var_costo_piedra_lat_diamante ] = "El costo de piedras laterales diamante es obligatorio.";
	else
	{
		//En prueba aun
		$costo_piedra_lat_diamante = trim( str_replace(array('$',','), "", $costo_piedra_lat_diamante) );

		if( !is_numeric($costo_piedra_lat_diamante) )
			$errores[ $var_costo_piedra_lat_diamante ] = "El costo de piedras laterales diamante debe ser numérico.";
	}



	if( !$costo_piedra_lat_diamante_lab )
		$errores[ $var_costo_piedra_lat_diamante_lab ] = "El costo de piedras laterales diamante (Lab) es obligatorio.";
	else
	{
		$costo_piedra_lat_diamante_lab = trim( str_replace(array('$',','), "", $costo_piedra_lat_diamante_lab) );

		if( !is_numeric($costo_piedra_lat_diamante_lab) )
			$errores[ $var_costo_piedra_lat_diamante ] = "El costo de piedras laterales diamante (Lab) debe ser numérico.";
	}





	if( $tiene_piedras )
	{
		if( !$con_diamante && !$con_zircornia )
			$errores[ $var_tipo_piedra ] = "Debe escoger un tipo de piedra.";

		if(!$ES_CHURUMBELA)
		{
			if( !$tipo_forma_piedra )
				$errores[ $var_tipo_forma_piedra ] = "Debe escoger que forma tiene la piedra principal.";
			else
			{
				if( !in_array($tipo_forma_piedra, $TIPO_FORMA_PIEDRA)  )
					$errores[ $var_tipo_piedra ] = "La forma de piedra seleccionada es incorrecto.";
			}

			//tamaño de piedra principal
			if(!$range_piedra_tam)
				$errores[  $var_range_piedra_tam ] = "El rango de tamaño de piedra es obligatorio.";
			else
			{
				list($range_a,$range_b) = explode(",", $range_piedra_tam);

				if(!is_numeric($range_a) || !is_numeric($range_b))
					$errores[  $var_range_piedra_tam ] = "El rango de tamaño de piedra debe ser numérico.";
				else
				{
					if($range_a>$range_b)
					{
						$aux = $range_a;
						$range_a = $range_b;
						$range_b = $aux;
					}

					if(  !in_array($range_a, $CTS) || !in_array($range_b, $CTS))
						$errores[  $var_range_piedra_tam ] = "El rango de tamaño de piedra debe estar entre $MIN_Q qts y $MAX_Q qts.";
				}

			}

			//tamaño de piedra principal diamnte lab
			if(!$range_piedra_tam_lab)
				$errores[  $var_range_piedra_tam_lab ] = "El rango de tamaño de piedra (Lab) es obligatorio.";
			else
			{
				list($range_lab_a,$range_lab_b) = explode(",", $range_piedra_tam_lab);

				if(!is_numeric($range_lab_a) || !is_numeric($range_lab_b))
					$errores[  $var_range_piedra_tam_lab ] = "El rango de tamaño de piedra (Lab) debe ser numérico.";
				else
				{
					if($range_lab_a>$range_lab_b)
					{
						$auxlab = $range_a;
						$range_lab_a = $range_lab_b;
						$range_lab_b = $auxlab;
					}

					if(  !in_array($range_lab_a, $CTS_LAB) || !in_array($range_lab_b, $CTS_LAB))
						$errores[  $var_range_piedra_tam_lab ] = "El rango de tamaño de piedra (Lab) debe estar entre $_CTS_LAB_MIN_ qts y $_CTS_LAB_MAX_ qts.";
				}

			}
		}//if(!$ES_CHURUMBELA)
	}
	else
	{
		$con_diamante = $con_zircornia = 0;
	}
}

// if( !$estatus )
// 	$errores[ $var_estatus ] = "";

$sku = strtoupper($sku);

if( !$sku )
	$errores[ $var_sku ] = "El SKU es obligatorio.";

if( $entrega_inmediata )
{
	// $errores[ $var_entrega_inmediata ] = "";
	$dias_entrega = 0;
}
else
{
	if( !$dias_entrega )
		$errores[ $var_dias_entrega ] = "Debe indicar los días de entrega de este produto.";
	else
	{
		if( !is_numeric($dias_entrega) )
			$errores[ $var_dias_entrega ] = "Días de entrega debe ser numérico.";
	}
}

?>