<?PHP
function pr($arr,$return='')
{
	if($return)
		return print_r($arr,true);
	else
		print_r($arr);
}

function prEx($arr)
{
	pr($arr);
	exit(0);
}

function codVar($var)
{
	return trim("v".substr(codificarCadenaVars($var), 0,-1));
}

function codVarUrl($var)
{
	return trim(urlencode("v".substr(codificarCadenaVars($var), 0, -1)));
}

function decodVar($var)
{
	return decodificarCadenaVars(substr($var,1,strlen($var)));
}

function codValArray($ar)
{
	return codificarCadenaVars(serialize($ar));
}

function decodValArray($cod)
{
	return unserialize(  decodVal($cod)  );
}



function codVal($val)
{
	return trim(substr(codificarCadenaVars($val), 0,-1));
}

function codValUrl($val)
{
	return trim(urlencode(substr(codificarCadenaVars($val), 0, -1)));
}

function decodVal($val)
{
	return decodificarCadenaVars($val);
}

function setVarValUrl($var,$val)
{
	return codVarUrl($var)."=".codValUrl($val);
}

function et($str)
{
	return strtolower(ev($str));
}

function creaElementoForm($target,$label,$tipo,$value,$name,$id,$plholder,$functions,$class)
{
	//Pendiente
	$ts = "<$target ";
	$te   = " />";

	if($target == "textarea" || $target == "button")
	{
		$te.= "<$target>";
		
	}

	$output = $ts."  ".$te;
}

function validaSessionProveedor($location = '')
{
	if(!$location)
		$location = "acsis_login.html";

	if(!trim($_SESSION['SESUS_login']) || !trim($_SESSION['SESUS_idProveedor']))
	{
		if($location == "EXIT")
			exit(0);

		header("Location:$location");
		exit(0);
	}
}

function shuffle_assoc(&$array)
{
    $keys = array_keys($array);
    shuffle($keys);
    foreach($keys as $key){ $new[$key] = $array[$key]; }
    $array = $new;
    return true;
}

function diferenceDays($date1,$date2)
{
	$time1 = new DateTime($date1);
	$time2 = new DateTime($date2);	

	$diff = $time1 -> diff($time2);

	return $diff;
}




function findExtension ($filename)
{
   $filename = strtolower($filename) ;
   $exts = explode(".", $filename) ;
   $n = count($exts)-1;
   $exts = $exts[$n];
   return $exts;
}


function diferenceDaysV2($date1,$date2)
{
	$datetime1 = date_create($date1);
	$datetime2 = date_create($date2);
	$interval  = date_diff($datetime1, $datetime2);

	return $interval -> days;
}

function validEmail($emailaddress) {
	$isValid = true;
	$atIndex = strrpos($emailaddress, "@");
	if (is_bool($atIndex) && !$atIndex) {
		$isValid = false;
	} else {
		$domain = substr($emailaddress, $atIndex + 1);
		$local = substr($emailaddress, 0, $atIndex);
		$localLen = strlen($local);
		$domainLen = strlen($domain);
		if ($localLen < 1 || $localLen > 64) {
			// local part length exceeded
			$isValid = false;
		} else if ($domainLen < 1 || $domainLen > 255) {
			// domain part length exceeded
			$isValid = false;
		} else if ($local[0] == '.' || $local[$localLen - 1] == '.') {
			// local part starts or ends with '.'
			$isValid = false;
		} else if (preg_match('/\\.\\./', $local)) {
			// local part has two consecutive dots
			$isValid = false;
		} else if (!preg_match('/^[A-Za-z0-9\\-\\.]+$/', $domain)) {
			// character not valid in domain part
			$isValid = false;
		} else if (preg_match('/\\.\\./', $domain)) {
			// domain part has two consecutive dots
			$isValid = false;
		} else if (!preg_match('/^(\\\\.|[A-Za-z0-9!#%&`_=\\/$\'*+?^{}|~.-])+$/', str_replace("\\\\", "", $local))) {
			// character not valid in local part unless
			// local part is quoted
			if (!preg_match('/^"(\\\\"|[^"])+"$/', str_replace("\\\\", "", $local))) {
				$isValid = false;
			}
		}
		// if ($isValid && !(checkdnsrr($domain, "MX") || checkdnsrr($domain, "A"))) {
		// 	// domain not found in DNS
		// 	$isValid = false;
		// }
	}
	return $isValid;
}

function getDataCp($cp) {
		GLOBAL $_PROYDIR_OBJ,$_PROYDIR_DAT,$Link;

		include_once($_PROYDIR_OBJ."obj_envio.php");

	  $oEnv = new obj_envio($Link);
	  if($resCP = $oEnv->cargar_cp($cp)) {

	      $infocp['municipio']  = $resCP[0]['d_mnpio'];
	      $infocp['estado'] 	 = $resCP[0]['d_estado'];
	      $infocp['ciudad'] 	 = (trim($resCP[0]['d_ciudad']))?$resCP[0]['d_ciudad']:$infocp['municipio'];
	      $infocp['idmun'] 	 = $resCP[0]['c_mnpio'];
	      $infocp['idedo'] 	 = $resCP[0]['c_estado'];

	      $resp['infocp'] = $infocp;
	      foreach ($resCP as $k => $_cp)
	      {
	      	 $idcol = $_cp['id_asenta_cpcons'];
	      	 $colonias[$idcol] = $_cp['d_asenta'];
	      }
	      $resp['colonias'] = $colonias;

	      return $resp;
	  	}

	  	return 0;
}

function datadirv2($id,$separator="/")
{
	$d0=(intval($id/1000000)*1);
	
	$d1=abs(intval(($id-$d0*1000000)/1000) );
	$d2=abs(intval(($d1*1000)-$id));
	return $d0.$separator.$d1.$separator.$id.$separator;
}
?>