<?
include_once($_PROYDIR_OBJ."_base/obj_base.php");
include_once($_PROYDIR_DAT."dat_clientes.php");

class obj_clientes extends obj_base
{
	public $Link;
	public $_oDat;

    function actualizaDatosCliente($idReg,$data)
    {
        $idReg = trim($idReg);

        if(!$idReg)
            return false;

        setCamposAct($data);

        $campos = implode(",", array_keys($data));
        $where = "idReg='$idReg'";

        // echo "$campos - $where";
        // pr($data);

        return $this->_oDat->updateWhere($data,$campos,$where);
    }

    function cargaDatosClienteId($id)
    {
        $id = trim($id);

        if(!$id)
            return false;
        
        $cliente = $this->_oDat->selectWhere("idReg='$id'")[0];

         // if($_SESSION['SOYDES']==2)
         //    pr($this->_oDat->ultRes);

        return $cliente;
    }

    function cargaDatosClienteCorreo($correo,$campos)
    {
        $correo = trim($correo);

        if(!$correo)
            return false;
        
        $cliente = $this->_oDat->selectWhere("correo='$correo'",$campos)[0];

         // if($_SESSION['SOYDES']==2)
         //    pr($this->_oDat->ultRes);

        return $cliente;
    }

    function cargaDireccionesCliente($correo,$campos='',$active='')
    {
        $correo = trim($correo);

        if(!$correo)
            return false;

        $where = "correo = '$correo'";
        if($active)
            $where.= " AND estatus=1";

        $dirs = $this->_oDat->selectWhere($where,$campos,"matv2_matrimony.direccion_pedido");

         // if($_SESSION['SOYDES']==2)
         //    pr($this->_oDat->ultRes);

        return $dirs;
    }

    function cargaDireccionPedido($idPedido)
    {
        $idPedido = trim($idPedido);

        if(!$idPedido)
            return false;

        $where = "idPedido = '$idPedido'";

        $dir = $this->_oDat->selectWhere($where,$campos,"matv2_matrimony.direccion_pedido")[0];

         // if($_SESSION['SOYDES']==2)
         //    pr($this->_oDat->ultRes);

        return $dir;
    }


    public function cargaListaClientes($PAG,$CANT_VER,$where='',$campos='',$tabla='',$order='',$crear_paginador='')
    {
        if(!$campos)
            $campos = "*";

        if($tabla)
            $this -> _oDat -> estaTabla = $tabla;

        if(!$where)
            $where = " 1 ";

        $order = "ORDER BY ".($order?$order:"idReg DESC");

        if(!$PAG)
            $PAG = 1;

        if($CANT_VER!="ALL" && is_numeric($CANT_VER))
        {
            $PAG--;
            $DESDE = $PAG*$CANT_VER;

            if($crear_paginador)
                $this -> creaPaginador($where,$PAG,$CANT_VER);

            $limit = "LIMIT $DESDE,$CANT_VER";
        }
        
        $where.= " $order $limit ";

        $regs = $this -> _oDat -> selectWhere($where,$campos);

        if($_SESSION['SOYDES']==2)
            COMLOGVISHTML("QR: ".print_r($this -> _oDat -> ultRes, true));

        return $regs;
    }

    private function creaPaginador($where,$PAG,$CANT_VER)
    {
        $total_regs = $this -> totalArchivos($where);

        $total_paginas = floor($total_regs/$CANT_VER)+(($total_regs%$CANT_VER)?1:0);
        $npags = 5;
        $inicio_pagina = ($PAG>=($total_paginas-$npags))?($total_paginas-$npags):($PAG+1);
        $final_pagina  = (($PAG+$npags)<$total_paginas)?($PAG+$npags):$total_paginas;

        if($inicio_pagina < 1)
            $inicio_pagina = 1;

         $this -> total_registros = $total_regs;

         $this -> paginador['total_paginas']    = $total_paginas;
         $this -> paginador['inicio_paginador'] = $inicio_pagina;
         $this -> paginador['fin_paginador']    = $final_pagina;
    }

    private function totalArchivos($where='',$tabla='')
    {
        if(!$where)
            $where = " 1 ";

        if($tabla)
            $this -> _oDat -> estaTabla = $tabla;

        $total = $this -> _oDat -> selectWhere($where,"COUNT(*) total")[0]['total'];

        if($_SESSION['SOYDES']==2)
            COMLOGVISHTML("QR: ".print_r($this -> _oDat -> ultRes, true));

        return $total;
    }

    function registraCliente($data,$unactive)
    {
        extract(array_filter($data));

        if(!$correo || !$nombre || !$clave)
            return 0;

        $reg["correo"] = trim($correo);
        $reg["nombre"] = trim($nombre);
        $reg["telefono"] = trim($telefono);
        // $reg["clave"] = getCodeCR(trim($clave));
        $reg["clave"] = trim($clave);
        $reg["estatus"] = $unactive?0:1;

        setCamposIns($reg);

        if($this->_oDat->insert($reg))
            return $this->_oDat->ultRes['LII'];
        else
            return 0;

    }

    // function tieneDireccion($idCliente)
    // {
    //     $where = "idReg='$idCliente'";
    //     return $this->_oDat->selectWhere($where,"1 as existe")[0]['existe'];
    // }

    function guardaDireccionPedido($idPedido,$data,$unactive)
    {
        extract($data);

        if(!$idPedido || !$correo || !$telefono || !$nombre)
            return false;

        $reg['idPedido'] = $idPedido;
        $reg['order_id'] = $order_id;
        $reg['nombre'] = $nombre;
        $reg['correo'] = $correo;
        $reg['telefono'] = $telefono;
        $reg['calle'] = $calle;
        $reg['num_e'] = $num_e;
        $reg['num_i'] = $num_i;
        $reg['colonia'] = $colonia;
        $reg['cp'] = $cp;
        $reg['ciudad'] = $ciudad;
        $reg['delegacion'] = $delegacion;
        $reg['estado'] = $estado;
        $reg["estatus"] = $unactive?0:1;

        setCamposIns($reg);

        if($this->_oDat->insert($reg,"matv2_matrimony.direccion_pedido"))
            return $this->_oDat->ultRes['LII'];
        else
            return 0;
    }

    function mandaMailRegistroRapido($data)
    {
        GLOBAL $_PROYDIR_VENDOR,$_PROYDIR_OBJ,$_PROYDIR_PLANTILLAS;

        include_once($_PROYDIR_OBJ."obj_mailer.php");
        $oMail = new obj_mailer($_PROYDIR_PLANTILLAS,"registro_rapido");

        extract($data);

        $data['nombre'] = $nombre;
        $data['correo'] = $correo;
        $data['clave']  = $clave;
        $data['telefono']  = $telefono;

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";

        $oMail -> construyeMail($data);

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo;
        $nombrepara = $nombre;
        $asunto   = "Registro rápido";

        $envio  = $oMail -> enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        //$envio2 = $oMail -> enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se hizo un registro rápido");

        die("---($envio)----");

        return $envio;
    }

    function mandaMailCompraRealizada($dat)
    {
        GLOBAL $_PROYDIR_VENDOR,$_PROYDIR_OBJ,$_PROYDIR_PLANTILLAS;

        include_once($_PROYDIR_OBJ."obj_mailer.php");
        $oMail = new obj_mailer($_PROYDIR_PLANTILLAS,"resumen_compra");

        extract($dat);
        $predate=$date;
        //echo "$predate --jj";
        $date = date_create($date);
        //pr($date);
        // setlocale(LC_TIME, 'es_ES.UTF-8');
        $fecha = strftime("%A %d de %B del %G", strtotime($predate)); 
        $hora = date_format($date, 'g:i:s A');
        //prEx($productos);


        $data['no_pedido'] = $no_pedido;
        $data['pedido'] = urlencode(codVal($no_pedido));
        $data['nombre'] = $nombre;
        $data['no_pedido'] = $no_pedido;
        $data['fecha'] = ucwords($fecha);
        $data['hora'] = $hora;
        $data['productos'] = $productos;
        $data['info_envio'] = $info_envio;
        $data['metodo_pago'] = $metodo_pago;

        $data['total_compra'] = $total_compra;
        $data['total_compra_msi'] = $total_compra_msi;

        $data['total_pago']     = $total_pago;
        $data['total_pago_msi'] = $total_pago_msi;

        $data['pago_meses'] = $pago_meses;
        $data['con_anticipo'] = $con_anticipo;

        if($con_anticipo){
            $data['ult_idoper'] = urlencode(codVal($ult_idoper));
            $data['total_pago_resto'] = $total_pago_resto;
            $data['total_pago_msi_resto'] = $total_pago_msi_resto;
        }

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";

        $oMail -> construyeMail($data);

        if($_SESSION['SOYDES']==2 && $_GET['SALIDA']) {
            pr($data);
            die($oMail->salida."");
        }

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo;
        $nombrepara = $nombre;
        $asunto   = "Gracias por tu compra";

        $envio  = $oMail -> enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        $envio2 = $oMail -> enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se realizó una compra");

        if($no_pedido){
            $datamail['mail_compra_send']=$envio;
            $this->actualizaDatosPedido($no_pedido,$datamail);
        }

        return $envio;
    }

    function mandaMailCompraRealizadaPersonalizado($dat)
    {
        GLOBAL $_PROYDIR_VENDOR,$_PROYDIR_OBJ,$_PROYDIR_PLANTILLAS;

        include_once($_PROYDIR_OBJ."obj_mailer.php");
        $oMail = new obj_mailer($_PROYDIR_PLANTILLAS,"resumen_compra_personalizada");

        extract($dat);
        $predate=$date;
        //echo "$predate --jj";
        $date = date_create($date);
        //pr($date);
        // setlocale(LC_TIME, 'es_ES.UTF-8');
        $fecha = strftime("%A %d de %B del %G", strtotime($predate)); 
        $hora = date_format($date, 'g:i:s A');
        //prEx($productos);


        $data['no_pedido'] = $no_pedido;
        $data['pedido'] = urlencode(codVal($no_pedido));
        $data['nombre'] = $nombre;
        $data['no_pedido'] = $no_pedido;
        $data['fecha'] = ucwords($fecha);
        $data['hora'] = $hora;
        $data['productos'] = $productos;
        $data['info_envio'] = $info_envio;
        $data['metodo_pago'] = $metodo_pago;

        $data['total_compra'] = $total_compra;
        $data['total_compra_msi'] = $total_compra_msi;

        $data['total_pago']     = $total_pago;
        $data['total_pago_msi'] = $total_pago_msi;

        $data['pago_meses'] = $pago_meses;
        $data['con_anticipo'] = $con_anticipo;

        if($con_anticipo){
            $data['ult_idoper'] = urlencode(codVal($ult_idoper));
            $data['total_pago_resto'] = $total_pago_resto;
            $data['total_pago_msi_resto'] = $total_pago_msi_resto;
        }

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";
        $data['es_pago_apertura'] = $es_pago_apertura;

        $oMail -> construyeMail($data);

        if($_SESSION['SOYDES']==2 && $_GET['SALIDA']) {
            pr($data);
            die($oMail->salida."");
        }

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo;
        $nombrepara = $nombre;
        $asunto   = "Gracias por tu compra";

        $envio  = $oMail -> enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        $envio2 = $oMail -> enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se realizó una compra");

        if($no_pedido){
            $datamail['mail_compra_send']=$envio;
            $this->actualizaDatosPedido($no_pedido,$datamail);
        }

        return $envio;
    }

    function mandaMailPagoRealizado($dat)
    {
        GLOBAL $_PROYDIR_VENDOR,$_PROYDIR_OBJ,$_PROYDIR_PLANTILLAS;

        include_once($_PROYDIR_OBJ."obj_mailer.php");
        $oMail = new obj_mailer($_PROYDIR_PLANTILLAS,"resumen_pago");

        extract($dat);

        $date = date_create($date);
        pr($date);
        // setlocale(LC_TIME, 'es_ES.UTF-8');
        $fecha = strftime("%A %d de %B del %G", strtotime($date->date)); 
        $hora = date_format($date, 'g:i:s A');
        //prEx($productos);


        $data['no_pedido'] = $no_pedido;
        $data['pedido'] = urlencode(codVal($no_pedido));
        $data['nombre'] = $nombre;
        $data['no_pedido'] = $no_pedido;
        $data['fecha'] = ucwords($fecha);
        $data['hora'] = $hora;
        $data['metodo_pago'] = $metodo_pago;
        $data['total_pago']     = $total_pago;

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";

        $oMail -> construyeMail($data);

        // die($oMail->salida."");

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo;
        $nombrepara = $nombre;
        $asunto   = "Gracias por tu pago";

        $envio  = $oMail -> enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        $envio2 = $oMail -> enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se realizó una compra");

        return $envio;
    }

    function mandaMailCompraTransferencia($dat)
    {
        GLOBAL $_PROYDIR_VENDOR,$_PROYDIR_OBJ,$_PROYDIR_PLANTILLAS;

        include_once($_PROYDIR_OBJ."obj_mailer.php");
        $oMail = new obj_mailer($_PROYDIR_PLANTILLAS,"pago_transferencia");

        extract($dat);


        $data['no_pedido'] = $no_pedido;
        $data['pedido'] = urlencode(codVal($no_pedido));
        $data['nombre'] = $nombre;
        $data['monto'] = $monto;
        $data['clabe'] = $clabe;

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";

        $oMail -> construyeMail($data);

        // die($oMail->salida."");

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo;
        $nombrepara = $nombre;
        $asunto   = "Instrucciones pago transferencia";

        $envio  = $oMail -> enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        $envio2 = $oMail -> enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se realizó una compra");

        return $envio;
    }

    function mandaMailCompraLinkPago($dat)
    {
        GLOBAL $_PROYDIR_VENDOR,$_PROYDIR_OBJ,$_PROYDIR_PLANTILLAS;

        include_once($_PROYDIR_OBJ."obj_mailer.php");
        $oMail = new obj_mailer($_PROYDIR_PLANTILLAS,"link_pago");

        extract($dat);


        $data['no_pedido'] = $no_pedido;
        $data['link_pago'] = $link_pago;
        $data['nombre'] = $nombre;
        $data['monto'] = $monto;

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";

        //pr($data);

        $oMail -> construyeMail($data);

        //die($oMail->salida."");

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo;
        $nombrepara = $nombre;
        $asunto   = "Link de pago personalizado";

        $envio  = $oMail -> enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        $envio2 = $oMail -> enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se envió mail link pago");

        return $envio;
    }

    function mandaMailReview($dat)
    {
        GLOBAL $_PROYDIR_VENDOR,$_PROYDIR_OBJ,$_PROYDIR_PLANTILLAS;

        include_once($_PROYDIR_OBJ."obj_mailer.php");
        $oMail = new obj_mailer($_PROYDIR_PLANTILLAS,"link_review");

        extract($dat);


        $data['no_pedido'] = $no_pedido;
        $data['link_review'] = $link_review;
        $data['nombre'] = $nombre;

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";

        $oMail -> construyeMail($data);

        // die($oMail->salida."");

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo;
        $nombrepara = $nombre;
        $asunto   = "Link para calificar tu compra";

        $envio  = $oMail -> enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        $envio2 = $oMail -> enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se envió mail link calificar");

        return $envio;
    }

    function getOrdenPedido($correo,$no_pedido)
    {
        $correo = trim($correo);
        $no_pedido = trim($no_pedido);

        if(!$correo || !$no_pedido)
            return false;

        $where = "correo='$correo' AND idPedido = '$no_pedido'";
        $order_id = $this->_oDat->selectWhere($where,"*","matv2_matrimony.direccion_pedido")[0];

         if($_SESSION['SOYDES']==2)
            pr($this->_oDat->ultRes);

        return $order_id;
    }

    function cargaDatosPedido($order_id,$campos='')
    {
        $order_id = trim($order_id);

        if(!$order_id)
            return false;

        $where = "order_id='$order_id'";

        $pedido = $this->_oDat->selectWhere($where,$campos,"matv2_matrimony.reg_payment")[0];

        // COMLOG("---".print_r($this->_oDat->ultRes,true));

         // if($_SESSION['SOYDES']==2)
         //    pr($this->_oDat->ultRes);

        return $pedido;
    }

    function actualizaDatosPedido($idReg,$data)
    {
        $idReg = trim($idReg);

        if(!$idReg)
            return false;

        setCamposAct($data);

        $campos = implode(",", array_keys($data));
        $where = "idReg='$idReg'";
        $tabla = "matv2_matrimony.reg_payment";

        // echo "$campos - $where";
        // pr($data);

        return $this->_oDat->updateWhere($data,$campos,$where,$tabla);
    }

    function cargaDatosOperacionOrderId($order_id,$campos='')
    {
        $order_id = trim($order_id);

        if(!$order_id)
            return false;

        $where = "order_id = '$order_id' ";
        $operacion = $this->_oDat->selectWhere($where,$campos,"matv2_matrimony.balance_operaciones")[0];

         // if($_SESSION['SOYDES']==2)
         //    pr($this->_oDat->ultRes);

        return $operacion;
    }


    function actualizaBalanceOperacionOrderId($idPedido,$order_id,$data)
    {
        $order_id = trim($order_id);

        if(!$order_id || !$idPedido)
            return false;

        setCamposAct($data);

        $campos = implode(",", array_keys($data));
        $where = "idPedido='$idPedido' AND order_id='$order_id'";
        $tabla = "matv2_matrimony.balance_operaciones";

        // echo "$campos - $where";
        // pr($data);

        return $this->_oDat->updateWhere($data,$campos,$where,$tabla);
    }

    function actualizaBalanceOperacionIdOper($idOper,$data,&$updatedAt)
    {
        $idOper = trim($idOper);

        if(!$idOper)
            return false;

        setCamposAct($data);
        $updatedAt = $data['_fechaAct'];

        $campos = implode(",", array_keys($data));
        $where = "idOper='$idOper'";
        $tabla = "matv2_matrimony.balance_operaciones";

        // echo "$campos - $where";
        // pr($data);

        return $this->_oDat->updateWhere($data,$campos,$where,$tabla);
    }

    function existe($correo)
    {
        $correo = trim($correo);

        if(!$correo)
            return false;

         $exite = $this -> _oDat -> existe($correo);

         if($_SESSION['SOYDES']==2)
            pr($this->_oDat->ultRes);

        return $exite;
    } 

    function login($correo,$clave,$active)
    {
        $correo = trim($correo);
        $clave   = trim($clave);

        if(!$correo || !$clave)
            return false;

         $cliente = $this -> _oDat -> login($correo,$clave,$active);

         if($_SESSION['SOYDES']==2)
            pr($this->_oDat->ultRes);

        return $cliente;
    }

    public function activaDesactivaOfertasCliente($idCliente,&$nextText="",&$nextClass="")
    {
        if(!$idCliente) return false;

        $cmp = "acceso_ofertas_prov";
        $where = "idReg='$idCliente'";
        $cliente = $this->_oDat->selectWhere($where,$cmp)[0];

        if(!$cliente) return false;

        $estatus = $cliente[$cmp];
        $data[$cmp] = $estatus ? 0 : 1;
        setCamposAct($data);

        $update =  $this->_oDat->updateWhere($data,$cmp,$where." LIMIT 1");

        if($update){
            $nextText = !$estatus ? "Desactivar" : "Activar";
            $nextClass = !$estatus ? "primary" : "info";
        }

        return $update;
    }

    // public function cargaCliente()
    // {
    //     // carga la base del DEMO, ahorita por xpres es el 1
    //     $idCliente = $_SESSION['SES_idCliente'];

    //     $regClie = $this -> selectWhere(" idCliente = '$idCliente' ","*")[0];

    //     //echoln("------ regDemoCom");        echoln(print_r($regDemoCom,1));

    //     //pr($this->_oDat->ultRes);

    //     return $regClie[0]; 
    // }

    public function getCostosCarrito(&$costos){
        $carrito = $_SESSION['carrito'];

        if(!$carrito){
            return false;
        }

        foreach ($carrito as $ckey => $xprod)
        {
            //DESCRIPCION 
            $productos[] = $xprod['descripcion'];

            //TOTAL
            $total_prods+= $xprod['contado'];

            //TOTAL MSI
            $total_prods_msi+= $xprod['msi'];
            $total_prods_msi_ant+= ($xprod['msi']*0.3);
        }

        $anticipo                      = round(($total_prods*0.3),2);
        $resto_anticipo                = round(($total_prods*0.7),2);
        $total_pago_msi_resto          = round(($total_prods_msi*0.7),2);

        $costos['anticipo']            = $anticipo;
        $costos['anticipo_resto']      = $resto_anticipo;
        $costos['total_prods']         = round($total_prods,2);
        $costos['total_prods_msi']     = round($total_prods_msi,2);
        $costos['total_prods_msi_ant'] = round($total_prods_msi_ant,2);
        $costos['total_compra']        = number_format($total_prods,2);
        $costos['total_compra_msi']    = number_format($total_prods_msi,2);
        $costos['total_anticipo']      = number_format($anticipo,2);
        $costos['total_anticipo_resto']= number_format($resto_anticipo,2);
        $costos['total_pago_msi_resto']= number_format($total_pago_msi_resto,2);

        $costos['descripcion']         = implode(", ", $productos);
        $costos['carrito'] = $carrito;

        return true;
    }
 


	public function __construct($Link,$tipo="m")
    {
        GLOBAL $_PROYDIR_DAT;
        if(!$tipo)$tipo="m";

        if($tipo=="m")
        {
            $this->Link=$Link;
            $this->_tipobd=$tipo;
        }
        if($tipo=="l")
        {
            $this->LLink=$Link;
            $this->_tipobd=$tipo;
        }

        if(!$this->_tipobd)
            die("falta _tipobd");

        include_once($_PROYDIR_DAT."dat_clientes.php");
        
        $this->_oDat = new dat_clientes($Link,$tipo);

        if($tipo=="l")
            $this->_oDat ->LLink = $Link;
        
    }
}