<?php
require $_PROYDIR_GENPDF."v1".DIRECTORY_SEPARATOR.'Html2Pdf.php';

use Spipu\Html2Pdf\Html2Pdf;
use Spipu\Html2Pdf\Exception\Html2PdfException;
use Spipu\Html2Pdf\Exception\ExceptionFormatter;

class obj_pdf_creator
{
    public $plantilla;
    public $data;
    public $vis;
    public $test;
    public $salida;

    /**
     * [Contruct  PDF]
     * @param  String $base        [Directorio base del las plantillas PDF]
     * @param  String $plantilla   [Plantilla con la estructora del PDF]
     */
    function __construct($base,$plantilla)
    {
        //asignamos los atributos a utilizar en el mailing
        $this -> plantilla = $plantilla.'.php';
        $this -> base_plantilla = $base;
    }

    /**
     * [Creador de PDF]
     * @param  array $data        [Información del PDF]
     */

    public function construyePDF($data = '')
    {
        GLOBAL $_URLST,$_PROYDIR_ST,$_URLTEMA;
        extract($data);

        ob_start();
        include($this -> base_plantilla.$this->plantilla);
        $this->salida=ob_get_contents();
        ob_end_clean();
    }


    public function displayPDF($withName,$path='')
    {

        try {
            ob_start();
            $html2pdf = new Html2Pdf('P', 'Leter', 'es');
            $html2pdf->pdf->SetDisplayMode('fullpage');
            $html2pdf->writeHTML($this->salida);

            $html = ob_get_contents();
            ob_end_clean();

            if($path){
                if(is_dir($path)){
                    $html2pdf->output($path.$withName.".pdf","F");
                }
            }else{
                $html2pdf->output($withName.".pdf");
            }

        }catch (Html2PdfException $e){

            $html2pdf -> clean();
            $formatter = new ExceptionFormatter($e);

            echo "$html \n";
            echo( $formatter -> getHtmlMessage() );

            return false;
        }
    }

}
?>