<!-- Modal  -->
<div class="col-sm col-md modal fade resgistrate" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content modal-content-br-10">
      <div class="modal-header border-0">
        <h4 class="w-100 text-center modal-title mt-3"><b>REGÍSTRATE</b></h4>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body">
      	<form id="form-contacto">
      		<div class="form-group">
      			<h6 class="mb-0"><b>Nombre de tu tienda</b></h6>
		        <div class="mb-2">
		        	<input class="input-mt-1 input-val" type="" name="<?= $nombre_tienda; ?>" placeholder="Escribe aquí">
		        </div>
      		</div>
      		<div class="form-group">
      			<h6 class="mb-0"><b>Categoría</b></h6>
		        <div class="">
		        	<select name="<?= $idCat; ?>" class="input-mt-1 input-val py-2">
			      		<option value="0">Selecciona una categoría</option>
			      		<? foreach($categorias as $cat){ ?>
			      			<option value="<?= $cat['idCat']; ?>"><?= $cat['titulo']; ?></option>
			      		<? } ?>
			      	</select>
		        </div>
      		</div>
      		<div class="form-group">
      			<h6 class="mb-0"><b>Nombre de contacto</b></h6>
		        <div class="mb-2">
		        	<input class="input-mt-1 input-val" type="" name="<?= $nombre_contacto; ?>" placeholder="Escribe aquí">
		        </div>
      		</div>
      		<div class="form-group">
      			<h6 class="mb-0"><b>Correo de contacto</b></h6>
		        <div class="mb-2">
		        	<input class="input-mt-1 input-val" type="" name="<?= $correo_contacto; ?>" placeholder="Escribe aquí">
		        </div>
      		</div>
      		<div class="form-group">
      			<h6 class="mb-0"><b>Teléfono de contacto</b></h6>
		        <div class="mb-2">
		        	<input class="input-mt-1 input-val" type="" name="<?= $telefono_contacto; ?>" placeholder="Escribe aquí" onkeypress="return isNumeric(event)" maxlength="10" autocomplete="off">
		        </div>
      		</div>
      		<div class="form-group">
      			<h6 class="mb-0"><b>Contraseña</b></h6>
		        <div class="mb-2">
		        	<input class="input-mt-1 input-val" type="password" name="<?= $clave; ?>" placeholder="Escribe aquí">
		        </div>
      		</div>
      		<div class="form-group">
      			<h6 class="mb-0"><b>Repetir contraseña</b></h6>
		        <div class="mb-2">
		        	<input class="input-mt-1" type="password" name="<?= $clave; ?>_rep" placeholder="Escribe aquí">
		        </div>
      		</div>
      		<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
      		<input type="hidden" name="<?= $action_post; ?>" value="<?= $action_register; ?>">
      	</form>
      </div>
      <div class="modal-footer border-0">
      	<div class="w-100">
      		<button id="btn-registrar" onclick="$('#form-contacto').submit();" type="submit" class="btn-mt-dark btn-block">Registrarse</button>
      		<div class="text-right">
      			<a href="javascript:sessionStart()" class="text-primary pr-3 fs16 color-blue">
					Iniciar Sesión
				</a>
      		</div>
      	</div>
      </div>
       
    </div>
  </div>
</div>


<!-- Modal -->
<div class="col-sm col-md modal fade iniciar-sesion" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document" style="max-width: 350px">
    <div class="modal-content modal-content-br-10">
      <div class="modal-header border-0">
        <h4 class="w-100 text-center modal-title mt-3"><b>INICIAR SESIÓN</b></h4>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body">
      	<form id="form-login-contacto">
      		<div class="form-group">
      			<h6 class="mb-0"><b>Correo</b></h6>
		        <div class="mb-2">
		        	<input class="input-mt-1" type="email" name="<?= $correo_contacto; ?>" placeholder="Escribe aquí">
		        </div>
      		</div>

	      	<div class="form-group">
	      		<h6 class="mb-0"><b>Contraseña</b></h6>
	        	<div class="mb-2">
	        	<input class="input-mt-1" type="password" name="<?= $clave; ?>" placeholder="Escribe aquí">
	        	</div>
	        	<div id="login-result"></div>
	        	<div class="text-right">
	      			<a href="javascript:forgotPassword()" class="text-primary pr-3 fs16 color-blue">
						¿Olvidaste tu contraseña?
					</a>
	      		</div>
	      	</div>     	
	      	<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
	      	<input type="hidden" name="<?= $action_post; ?>" value="<?= $action_login; ?>">
      	</form>
      </div>
      <div class="modal-footer border-0">
      	<div class="w-100">
      		<button id="btn-login" onclick="$('#form-login-contacto').submit();" type="button" class="btn-mt-dark btn-block">Iniciar sesión</button>
      		<div class="text-right">
      			<a href="javascript:registerStart()" class="text-primary pr-3 fs16 color-blue">
				¿Registrarse?
				</a>
      		</div>
      	</div>
      </div> 
    </div>
  </div>
</div>

<!-- Modal -->
<div class="col-sm col-md modal fade password-modal" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document" style="max-width: 350px">
    <div class="modal-content modal-content-br-10">
      <div class="modal-header border-0">
        <h4 class="w-100 text-center modal-title mt-3"><b>RESTAURAR<br>CONTRASEÑA</b></h4>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body">
      	<form id="form-password-reset">
      		<div class="form-group">
      			<h6 class="mb-0"><b>Correo</b></h6>
		        <div class="mb-2">
		        	<input class="input-mt-1" type="email" name="<?= $correo_contacto; ?>" placeholder="Escribe aquí">
		        </div>
		        <div id="reset-result"></div>
      		</div>
      		<div class="text-right">
      			<p class="mb-0 text-dark lh-1-3em">Enviaremos un correo con un link <br> para 
      				restaurar tu contraseña, es <br> posible que el
      				correo haya llegado a <br> tu bandeja de spam.
      			</p>
      		</div>
      		<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
	      	<input type="hidden" name="<?= $action_post; ?>" value="<?= $action_reset; ?>">
      	</form>
      </div>
      <div class="modal-footer border-0">
      	<div class="w-100">
      		<button id="btn-reset" type="button" class="btn-mt-dark btn-block" onclick="$('#form-password-reset').submit();">Enviar correo</button>
      		<div class="text-right">
      			<a href="javascript:sessionStart()" class="text-primary pr-3 fs16  color-blue">
					Iniciar sesión
				</a>
      		</div>
      	</div>
      </div>
      
    </div>
  </div>
</div>