<div id="revisa-pedido" class="d-none">
	<div class="row">

		<? if(!$es_pago_personalizado){ ?>
		<div class="col-12 mb-3">
			<label class="edit-pay-method color-gray-mat">
				<b>
					<i class="fa fa-arrow-left" aria-hidden="true"></i> Método de pago
				</b>
			</label>
		</div>

		
		<div class="col-12">
			<div class="d-flex justify-content-center">
				<div class="">
					<span class="color-gray-mat fs34">1</span>
					<span class="color-gray-mat fs34 px-3">2</span>
					<span class="text-dark fs40">3</span>
				</div>
			</div>
		</div>
		<? } ?>

		<div class="col-12 text-center my-4 px-1">
			<h4 id="carrito"><?= $es_pago_personalizado ? "Pago personalizado" : "Revisa tu pedido"; ?></h4>
		</div>

		<div class="col-12">
			<div class="row justify-content-center">
				<div class="col-lg-8 px-2">
					<div>
						<? $oVis->include_component("../../mod_tabla_prods_car"); ?>
					</div>

					<? if(!$es_pago_personalizado){ ?>
					<div class="mb-3">
						<h4>Información de envío</h4>
						<div class="pl-2">
							<p class="lh-1-3em fs16 text-color-info mb-0">
								<?= $info_envio; ?>
							</p>
							<p><a href="<?= $URL_STEP1; ?>"><b class="color-blue">Editar</b></a></p>
						</div>
					</div>
					<? } ?>

					<div class="mb-3">
						<h4>Método de pago</h4>
						<div class="pl-2">
							<p class="lh-1-3em fs16 text-color-info mb-0">
								<?= $metodo_pago; ?>
							</p>
							<p class="edit-pay-method"><b class="color-blue">Editar</b></p>
						</div>
					</div>
					<div class="prec-total row mb-5 mb-sm-0 p-3">


						<div class="col-12 px-0 mb-4">
							<h4 class="mb-0">A pagar:</h4>
							<!-- <p class="lh-1-3em fs16 text-color-info mb-0">
								Por favor selecciona una opción
							</p> -->
						</div>

						<div class="col-md-7 px-0">

							<div class="">
								<div class="tipo_pago_select">
									<? if(!$es_pago_personalizado){ ?>
									<h4>Paga un anticipo del 30%</h4>
									<? } ?>
									<h4 class="color-red"><b>$<?= $total_anticipo; ?></b></h4>
									<? if(!$es_pago_personalizado){ ?>
									<p class="lh-1-3em fs16 text-color-info">
										El 70% restante deberá ser pagado antes de enviar sus productos.
									</p>
									<? } ?>

									<button type="button" id="submit" class="btn-mt-dark fs18 mt-2" disabled>
										<span id="button-text">Continuar</span>
									</button>

									<div id="loader-button" class="py-4 d-none position-relative">
										<div id="preloader-inner"></div>
									</div>

									<div class="payment-message hidden text-danger mt-2"></div>
									
								</div>
							</div>

						</div>
					</div>


				</div>
			</div>
		</div>	

	</div>
</div>