<!-- Modal nueva oferta-->
<div class="modal fade modal-nueva-oferta" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <form id="form-oferta" class="modal-content modal-content-br-10">
      <div class="modal-header border-0">
        <h4 class="w-100 text-center modal-title mt-3"><b>Nueva Oferta</b></h4>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body text-dark">
      	
      	<div class="form-group">
      		<h6 class="mb-0"><b>Tipo de oferta</b></h6>
      		<div class="dropdown color-diamante">
			  <button class="custom-select-mt dropdown-toggle input-val-ofr" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" name="<?= $ofr_idTipoOferta; ?>">
			    <label id="oferta-selected" class="pull-left">Selecciona uno...</label>
			  </button>
			  <div class="dropdown-menu w-100">
			  	<? foreach ($tipo_ofertas as $key => $toferta) { ?>
			  		<div class="d-none">
			  			<input id="ioferta-<?= $key; ?>" class="d-none" type="radio" name="<?= $ofr_idTipoOferta; ?>" value="<?= $toferta['idOferta']; ?>">
			  		</div>
			    	<label for="ioferta-<?= $key; ?>" class="dropdown-item mb-0 t-oferta"><?= $toferta['titulo']; ?></label>
			    <? }?>
			  </div>
			</div>
      	</div>

      		<div class="form-group">
				<h6 class="mb-0"><b>Titulo</b></h6>
				<input class="input-mt-1 input-val-ofr" type="text" name="<?= $ofr_titulo; ?>" placeholder="Escribe aquí">
			</div>

			<div class="form-group">
				<h6 class="mb-0"><b>Descripción</b></h6>
				<textarea name="<?= $ofr_descripcion; ?>" class="input-mt-1 input-val-ofr"placeholder="Escribe una descripción detallada de tu oferta." rows="5"></textarea>
			</div>

			<div class="">
				<h6 class="mb-0"><b>Cupón de descuento</b></h6>
	 			<div class="input-group">
	 				<input class="input-mt-1 input-val-ofr" data-max-type="15" type="text" name="<?= $ofr_cupon; ?>" placeholder="Escribe aquí" style="text-transform: uppercase;">
	 			</div>
	 			<p>El cupón debe ser único y exclusivo para clientes Matrimony.</p>
			</div>
			
      </div>
      <div class="modal-footer border-0">
      	<button id="btn-guarda-oferta" type="submit" class="btn-mt-dark btn-block">Guardar</button>
      </div>
      <input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
      <input type="hidden" name="<?= $action_post; ?>" value="<?= $save_oferta; ?>">
    </form>
  </div>
</div>

<!-- Modal social-->
<div class="modal fade modal-contacto" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <form id="form-contacto-social" class="modal-content modal-content-br-10">
      <div class="modal-header border-0">
        <h4 class="w-100 text-center modal-title mt-3"><b>Contacto</b></h4>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body text-dark">
      	
      	<!-- <div class="form-group">
      		<h6 class="mb-0"><b>Nombre de tu tienda</b></h6>
      		<input class="input-mt-1" type="" name="" placeholder="Escribe aquí">
      	</div> -->

      	<div class="form-group">
	      	<h6 class="mb-0"><b>Instagram</b></h6>
	      	<div class="d-flex input-mt-1 input-val">
	      		<?$neg_instagram = explode("https://www.instagram.com/", $neg_instagram)[1]; ?>
	      		<div class="text-dark">https://www.instagram.com/</div>
	      		<input class="input-mt-1 p-0" type="text" name="<?= $instagram; ?>" placeholder="Escribe aquí" value="<?= $neg_instagram; ?>">
	      	</div>
	      	<p>Ejemplo: /matrimonyrings</p>
	    </div>

      	<div class="form-group">
	      	<h6 class="mb-0"><b>Facebook</b></h6>
	      	<? $neg_facebook = explode("https://www.facebook.com/", $neg_facebook)[1]; ?>
	      	<div class="d-flex input-mt-1 input-val">
	      		<div class="text-dark">https://www.facebook.com/</div>
	      		<input class="input-mt-1 p-0" type="text" name="<?= $facebook; ?>" placeholder="Escribe aquí" value="<?= $neg_facebook; ?>">
	      	</div>
	      	<p>Ejemplo: /matrimonyrings</p>
	    </div>

      	<div class="form-group">
	      	<h6 class="mb-0"><b>Whatsapp</b></h6>
	      	<div class="d-flex input-mt-1 input-val">
	      		<div class="text-dark">+52&nbsp;1</div>
	      		&nbsp;<input class="input-mt-1 p-0" onkeypress="return isNumeric(event)" type="text" maxlength="10" name="<?= $whatsapp; ?>" placeholder="Escribe aquí" value="<?= $neg_whatsapp; ?>">
	      	</div>
	      	<p>Ejemplo: +52 55 5555 5555</p>
	    </div>

      	<div class="form-group">
	      	<h6 class="mb-0"><b>Página web</b></h6>
	      	<div class="d-flex input-mt-1 input-val">
	      		<? $neg_pagina_web = explode("https://", $neg_pagina_web)[1]; ?>
	      		<div class="text-dark">https://</div>
	      		<input class="input-mt-1 p-0" type="text" name="<?= $pagina_web; ?>" placeholder="Escribe aquí" value="<?= $neg_pagina_web; ?>">
	      	</div>
	      	<p>Ejemplo: https://matrimony.mx</p>
	    </div>

        
      </div>
      <div class="modal-footer border-0">
      	<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
      	<input type="hidden" name="<?= $action_post; ?>" value="<?= $action_register_social; ?>">
      	<button id="btn-guarda-contacto" type="submit" class="btn-mt-dark">Guardar</button>
      </div>
    </form>
  </div>
</div>

<!-- Modal campo update -->
<div class="modal fade modal-campo-update" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mx-auto" role="document" style="max-width: 350px">
	    <div class="modal-content modal-content-br-10">

	      <div class="modal-header border-0">
	        <h4 class="w-100 text-center modal-title mt-3" id="exampleModalLabel"></h4>
	        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
	      </div>

	      	<div class="modal-body text-center">
	      		<h4 id="resp-campo-update"></h4>
	  		</div>

		</div>
	</div>
</div>

<!-- Modal telefonos -->
<div class="col-sm col-md modal fade modal-telefonos" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog mx-auto" role="document" style="max-width: 350px">
	    <div class="modal-content modal-content-br-10">

	      <div class="modal-header border-0">
	        <h4 class="w-100 text-center modal-title mt-3" id="exampleModalLabel"><b>Teléfonos</b></h4>
	        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
	      </div>

	      	<div class="modal-body">
	      		<? 
	      		$new_tel = 0;
	      		foreach($telefonos as $cmp => $telefono){ 
	      			if(!$telefono){
	      				$new_tel = $cmp;
	      				 continue;
	      			}
	      		?>
	        	<div class="cupon mb-3">
	        		<span title="Eliminar teléfono" class="delete" data-tdelete="<?= $cmp; ?>"></span>
					<div class="col-12">
						<div class="row align-items-center">
							<img src="<?= $_URLST; ?>images/mat9/llamada-telefonica.svg" class="mx-3" width="30">
							<h6 class="mb-0">
								+52 1 <?= $telefono; ?>
							</h6>
						</div>
					</div>
	      		</div>
	      		<? } ?>

	      		<? 
	      		if($new_tel){ 
	      		?>
	  			<div class="w-100 text-center mb-3">
	  				<div id="new-phone" class="collapse my-3">
	  					<div class="input-group">
						  <input id="input-new-phone" data-max-type="10" data-append-forcenext="1" maxlength="10" type="text" class="input-mt-1" placeholder="Escribe aquí" required>
						  <div class="input-group-append">
						    <button id="btn-new-phone" data-newtel="<?= $new_tel; ?>" class="btn-mt-dark p-2">Guardar</button>
						  </div>
						</div>
	  				</div>
		     		<button data-toggle="collapse" data-target="#new-phone" class="btn-cupon py-2">Nuevo teléfono</button>
				</div>
				<? } ?>
	  		</div>

		</div>
	</div>
</div>

<!-- Modal nueva sucursal-->
<div class="modal fade modal-nueva-sucursal" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <form id="form-sucursal" class="modal-content modal-content-br-10">
      <div class="modal-header border-0">
        <h4 class="w-100 text-center modal-title mt-3"><b>Nueva sucursal</b></h4>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body">
      		<div class="form-group">
      			<h6 class="mb-0"><b>Calle</b></h6>
		        <div class="">
		        	<input class="input-mt-1 input-val-s" type="text" name="<?= $s_calle; ?>" placeholder="Escribe aquí">
		        </div>
      		</div>

	      	<div class="form-group">
	      		<h6 class="mb-0"><b>Número exterior</b></h6>
	        	<div class="">
	        		<input class="input-mt-1 input-val-s" type="text" name="<?= $s_num_e; ?>" placeholder="Escribe aquí">
	        	</div>
	      	</div>
	        <div class="form-group">
	        	<h6 class="mb-0"><b>Número interior (opcional)</b></h6>
		        <div class="">
		        	<input class="input-mt-1 input-val-s" type="text" name="<?= $s_num_i; ?>" placeholder="Escribe aquí">
		        </div>
	        </div>

	        <div class="form-group">
	        	<h6 class="mb-0"><b>Código postal</b></h6>
		        <div class="">
		        	<input class="input-mt-1 input-val-s" type="text" onchange="getCpData(this)" onkeypress="return isNumeric(event)" maxlength="20" name="<?= $s_cp; ?>" placeholder="Escribe aquí">
		        </div>
	        </div>

	        <div class="form-group">
		        <h6 class="mb-0"><b>Colonia</b></h6>
		        <div class="">
		        	<!-- <input class="input-mt-1 input-val-s" type="text"  placeholder="Escribe aquí"> -->
		        	<select name="<?= $s_colonia; ?>" class="input-mt-1 input-val-s py-2 colonias">
		        		<option value="0" class="op-default">Escribe tu CP primero</option>
		        	</select>
		        </div>
		    </div>

	        <div class="form-group">
		        <h6 class="mb-0"><b>Delegación</b></h6>
		        <div class="">
		        	<input class="input-mt-1 input-val-s delegacion" type="text" name="<?= $s_delegacion; ?>" placeholder="Escribe aquí" readonly>
		        </div>
		    </div>

	        <div class="form-group">
		        <h6 class="mb-0"><b>Ciudad</b></h6>
		        <div class="">
		        	<input class="input-mt-1 input-val-s ciudad" type="text" name="<?= $s_ciudad; ?>" placeholder="Escribe aquí" readonly>
		        </div>
		    </div>

		    <?/*
	        <div class="form-group">
		        <h6 class="mb-0"><b>País</b></h6>
		        <div class="">
		        	<input class="input-mt-1 input-val-s" type="text" name="<?= $s_pais; ?>" placeholder="Escribe aquí">
		        </div>
		    </div>
		    */ ?>

		    <div class="form-group">
		        <h6 class="mb-0"><b>Estado</b></h6>
		        <div class="">
		        	<input class="input-mt-1 input-val-s estado" type="text" name="<?= $s_estado; ?>" placeholder="Escribe aquí" readonly>
		        </div>
		    </div>
      </div>
      <div class="modal-footer border-0">
      	<button id="btn-guarda-sucursal" type="submit" class="btn-mt-dark btn-block">Guardar</button>
      </div>
      	<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
      	<input type="hidden" name="<?= $action_post; ?>" value="<?= $save_sucursal; ?>">
    </form>
  </div>
</div>

<!-- Modal nuva sucursal -->
<div class="modal fade modal-lista-sucursales" tabindex="-1" role="dialog" aria-hidden="true">
	  <div class="modal-dialog mx-auto" role="document" style="max-width: 400px">
	    <div class="modal-content modal-content-br-10">
	      <div class="modal-header border-0 pb-0">
	        <h4 class="w-100 text-center modal-title mt-3" id="exampleModalLabel"><b>Sucursales</b></h4>
	        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
	      </div>
	      <div class="modal-body p-4">
	      		<? foreach($sucursales as $i => $sucursal){ ?>
	        	<div class="cupon sucursal mb-3">
	        		<span title="Eliminar sucursal" class="delete" data-sdelete="<?= codVal($sucursal['idSucursal']); ?>"></span>
					<div class="">
						<img src="<?= $_URLST; ?>images/mat9/marcador-de-posicion.svg" class="mx-3" width="30">
					</div>
					<div>
						<h6><b><?= $sucursal['estado']; ?></b></h6>
						<p class="lh-1-3em m-0 text-dark">
							<?= $sucursal['calle']; ?> <?= $sucursal['num_e']; ?>-<?= $sucursal['num_i']; ?>,<?= $sucursal['colonia']; ?>, <?= $sucursal['delegacion']; ?>,CP <?= $sucursal['cp']; ?>. <?= $sucursal['ciudad']; ?>, <?= $sucursal['estado']; ?>.
						</p>
					</div>
				</div>
				<? } ?>
				<div class="w-100 text-center">
					<button id="btn-nueva-sucursal" class="btn-cupon">Nueva sucursal</button>
				</div>
	      	</div>
	  </div>
	</div>
</div>