<style>
	.contenido{
		color: #000;
		font-size: 16px;
	}
	.contenido *{
		line-height: 1.2em;
		font-weight: 400;
	}
    .contenido b{
        font-weight: 600 !important;
    }
    .contenido p a, u a{
        color: #000;
        text-decoration-line: underline;
    }
    .bg-img-det{
        background-image: url(<?= $_URLST; ?>images/blog/<?= $blog_imagen; ?>-det.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        height: 250px;
    }
    .container-blog{
        max-width: 1450px;
        padding: 0 25px;
        margin: 0 auto;
    }
    .indices{
        font-size: 14px;
        line-height: 1.1rem;
    }
    [data-href]{
        cursor: pointer;
        font-weight: 400;
        /*transition: 0.4s;*/
    }
    [data-href].title{
        font-weight: 700;
    }
    .cuerpo-indices{
        background-color: #fafafa;
        padding: 15px;
        /*position: fixed;
        height: calc(100% - 200px);
        overflow-y: scroll;*/
    }
</style>

<?

$container = "container";
$col_contenido = "col-lg-8";
$col_right = "col-lg-4 px-lg-0";

// if($blog_indice){
//     $container = "container-blog";
//     $col_contenido = "col-lg-7";
//     $col_right = "col-lg-3 px-lg-0";
// }
?>


<main class="main-content">
	<div class="<?= $container; ?> mb-5">
            <div class="row">

                <div class="<?= $col_contenido; ?>">
                    <div class="single-blog">
                    	<div class="bg-img-det"></div>

                    	<div class="py-4">
                    		<h1 id="titulo" class="h4"><b><?= $blog_titulo; ?></b></h1>

                            <?= $blog_indice; ?>
                            <? if($id_blog == 26){ ?>
                                <!-- para indice -->
                            <ul class="h6 list-group">
                                <li class="list-group-item border-0">
                                    <span data-href="#quesonanillos">1. ¿Qué son los anillos de compromiso?</span>
                                </li>
                                <li class="list-group-item border-0">
                                    <span data-href="#endondevaanillo">2. ¿En dónde va puesto el anillo de compromiso?</span>
                                </li>
                                <li class="list-group-item border-0">
                                    <span data-href="#diferenciaanillos">3. Diferencias de anillo de compromiso para hombre y mujer</span>
                                    <ul class="pl-4">
                                        <li data-href="#monturas" class="list-group-item border-0 py-0">3.1 Monturas</li>
                                        <li data-href="#estiloanillos" class="list-group-item border-0 py-0">3.2 Estilos de anillos</li>
                                        <li data-href="#piedras" class="list-group-item border-0 py-0">3.3 Piedras</li>
                                        <li data-href="#tiposforma" class="list-group-item border-0 py-0">3.4 Tipos de forma</li>
                                        <li data-href="#materiales" class="list-group-item border-0 py-0">3.5 Materiales</li>
                                    </ul>
                                </li>
                            </ul>
                            <? } ?>

	                        <div class="contenido mt-3">
                                <?= $blog_contenido; ?> <!-- esta variable no la quites -->
                                <? if($id_blog == 26){ ?>
                                <!-- para el contenido del blog -->
                                <style>.diferencias-anillos ul li{
                                    padding-bottom: 0.5rem;
                                }</style>
                                <div class="diferencias-anillos">
                                    <p>Desde el antiguo Egipto hasta los pueblos romanos y las culturas mesoamericanas se han venido utilizando los <b>anillos como adornos para la mano</b>. 
                                        Incluso, han funcionado como <b>sellos, collares, moneda o como un objeto simbólico, mágico o de estatus</b>.</p>

                                    <p>En la actualidad, <b>los anillos simbolizan la alianza de una pareja</b>, tanto así que en la actualidad hay <a class="text-dark" href="https://www.matrimony.mx/guias-de-compromiso-pedir-la-mano--cat3.html">guías para proponer matrimonio</a>. 
                                        En realidad es parte de la transición del noviazgo a prometidos y finalmente al matrimonio.</p>

                                    <p>Sin embargo, te has preguntado ¿qué tipo de <b>anillos de compromiso</b> usa un hombre y una mujer y cuál es su diferencia? 
                                        En este artículo conocerás a detalle estas diferencias que muchas veces pasamos por inadvertidas.</p>

                                    <h2 id="quesonanillos" class="h4"><b>¿Qué son los anillos de compromiso?</b></h2>
                                    <p>Los <a class="text-dark" href="https://www.matrimony.mx/ac-anillos-de-compromiso.html"><b>anillos de compromiso</b></a> se usan para indicar <b>el compromiso de casarse con una persona</b>,  representa la fidelidad y el amor incondicional. 
                                        Además, <b>el aro liso del anillo de boda simboliza la eternidad y el ciclo de la vida</b>.</p>

                                    <p>La tradición de ofrecer el compromiso mediante el anillo es realizada por el hombre como regalo a la mujer, 
                                        así <b>se representa la aceptación formal de un futuro juntos</b>.</p>

                                    <p>A diferencia del <b>anillo de compromiso</b>, el de alianza o matrimonio es aquel que la pareja intercambia durante la ceremonia de boda. 
                                        Así, se oficializa la unión entre ambas partes.</p>

                                    <div class="row my-4">
                                        <div class="col-12">
                                            <img src="_proy/st/_principal/images/blog/articulos/en-donde-va-puesto-el-anillo-de-compromiso.jpg" class="w-100 img-fluid">
                                        </div>
                                    </div>


                                    <h2 id="endondevaanillo" class="h4"><b>¿En dónde va puesto el anillo de compromiso?</b></h2>
                                    <p>El <a class="text-dark" href="https://www.matrimony.mx/anillos-de-compromiso-todo-lo-que-necesitas-saber--blg18.html"><b>anillo de compromiso</b></a>a se lleva puesto en el <b>dedo anular de la mano izquierda</b>, ya que, según los romanos, aquí existe la vena amoris, 
                                        <b>vena del amor, que llega directamente al corazón</b>.</p>

                                    <p>El corazón simboliza el amor, un anillo de compromiso en ese dedo es <b>una línea directa al corazón</b>. 
                                        Sin embargo, es común notar que indistintamente se pueda llevar en la mano derecha o izquierda.</p>


                                    <h2 id="diferenciaanillos" class="h4"><b>Diferencias de anillo de compromiso para hombre y mujer</b></h2>
                                    <h3 id="monturas" class="h5"><b>1.- Monturas</b></h3>
                                    <p><b>La montura de los <a class="text-dark" href="https://www.matrimony.mx/"><b>anillos de compromiso</b></a></b> se refiere a la forma en que se fijan las piedras a la argolla de metal, 
                                        lo cual afecta al diseño de la joya. Algunos de los principales tipos de monturas son:</p>
                                    <ul type="none">
                                        <li>
                                            <div class="row my-4">
                                                <div class="col-12">
                                                    <img src="_proy/st/_principal/images/blog/articulos/montura-clavijas.jpg" class="w-100 img-fluid">
                                                </div>
                                            </div>
                                            <p><b>• Clavijas</b>: Son pequeños brazos metálicos que someten a la piedra con firmeza, lo cual la <b>eleva por arriba del anillo y hacia la luz, 
                                                dando fuerza al brillo y resplandor</b>. Se utilizan de cuatro a seis clavijas.</p>
                                        </li>
                                        <li>
                                            <div class="row my-4">
                                                <div class="col-12">
                                                    <img src="_proy/st/_principal/images/blog/articulos/montura-pave.jpg" class="w-100 img-fluid">
                                                </div>
                                            </div>
                                            <p><b>• Pavé</b>: Las piedras se usan de forma adyacente, con pequeños engarces en la banda de manera sutil. 
                                                <b>La superficie crea un efecto lleno de diamantes u otras piedras</b>, lo cual da un brillo eterno.</p>
                                        </li>
                                        <li>
                                            <div class="row my-4">
                                                <div class="col-12">
                                                    <img src="_proy/st/_principal/images/blog/articulos/montura-bisel.jpg" class="w-100 img-fluid">
                                                </div>
                                            </div>
                                            <p><b>• Bisel</b>: Tiene un borde metálico que cubre la piedra principal y la mantiene firme, de esta forma, <b>se expone sólo la corona o la parte superior</b>. 
                                                Además, la superficie queda plana.</p>
                                        </li>
                                    </ul>

                                    <p><b>Las mujeres suelen usar monturas de clavija y pavé principalmente</b>. Esto se debe a que la forma en que se coloca la piedra <b>ofrece un efecto de mayor brillo</b>. 
                                        Además, el acabado sutil, da una impresión de fineza que resalta la piedra.</p>

                                    <p>Por su parte, <b>los hombres utilizan monturas más del tipo bisel o incluso plano</b>, ya que el estilo que seleccionan es sencillo en la montura, 
                                        pero resalta más en la piedra y el color del anillo.</p>

                                    <h3 id="estiloanillos" class="h5"><b>2.- Estilos de anillos</b></h3>
                                    <div class="row my-4">
                                        <div class="col-12">
                                            <img src="_proy/st/_principal/images/blog/articulos/estilos-de-anillos.jpg" class="w-100 img-fluid">
                                        </div>
                                    </div>

                                    <p>Los <b>anillos de compromiso</b> se eligen según el estilo personal. Por ello, podemos encontrar estilos variados como:</p>

                                    <ul>
                                        <li><b>Clásico</b>: Un anillo solitario de oro, plata y con un diamante.</li>
                                        <li><b>Romántico</b>: El oro rosa es la base para jugar con un diamante tipo morganita o rubí.</li>
                                        <li><b>Minimalista</b>: Lo sencillo o sutil es el principio de estos anillos, los cuales se caracterizan por una banda de oro o plata lisa con un diamante bruñido en el centro.</li>
                                        <li><b>Glamuroso</b>: Un anillo que destaque ante el brillo es una genial elección para las bandas anchas repletas de diamantes en pavé. 
                                            Además, se pueden intercalar distintos colores con diamantes, esmeraldas y zafiros.</li>
                                    </ul>

                                    <p>Para una mujer, el estilo que más se escoge es el <b>clásico, el romántico y el minimalista</b>. Esto es porque suelen verse más naturales o sencillos en la mano. 
                                        Sin embargo, <b>el juego de colores del anillo</b> también es fundamental para remarcar las piedras que se usan.</p>

                                    <p>Los hombres tienen dos preferencias, o los glamurosos o los clásicos. El primero debido a la <b>variedad de diamantes que acompañan al anillo</b>. 
                                        Y el segundo, por la <b>sencillez del color y el diamante</b>.</p>


                                    <h3 id="piedras" class="h5"><b>3.- Piedras</b></h3>
                                    <div class="row my-4">
                                        <div class="col-12">
                                            <img src="_proy/st/_principal/images/blog/articulos/piedras.jpg" class="w-100 img-fluid">
                                        </div>
                                    </div>

                                    <p>La diversidad de diamantes que se pueden encontrar son tantas que el estilo del <b>anillo de compromiso</b> definirá la elección:</p>

                                    <ul>
                                    <li><a class="text-dark" href="https://www.matrimony.mx/todo-sobre-el-diamante--cat2.html"><b>Diamante</b></a>: Los diamantes simbolizan el amor eterno, la perfección, lealtad y voluntad de triunfo, así como energía.</li>
                                        <li><b>Rubí</b>: Una gema de un rojo tan brillante como el deseo, la valentía, la pasión, el coraje, 
                                            todo ello es una forma de representar la perfección ante el miedo o la mala suerte.</li>
                                        <li><b>Zafiro</b>: Esta piedra azul expresa conocimiento, el éxito y la parte espiritual y emocional de nosotros.</li>
                                    </ul>

                                    <p>En mayor medida, las mujeres eligen piedras como el diamante,  zafiro y  rubí. Esta variedad de color es una elección muy propia de acuerdo a la personalidad y gustos, 
                                        pero colores como el azul, verde y rojo suelen ser los más llamativos y alegres.</p>

                                    <p>Por su parte, los hombres llegan a escoger desde algo común como un diamante hasta otras piedras que adornen en forma de carril el anillo. 
                                        Como anteriormente mencionábamos, el gusto por estilos glamurosos o clásicos define qué tipo de color de piedra quieren utilizar.</p>



                                    <h3 id="tiposforma" class="h5"><b>4.- Tipos de forma  </b></h3>
                                    <div class="row my-4">
                                        <div class="col-12">
                                            <img src="_proy/st/_principal/images/blog/articulos/tipos-de-forma.jpg" class="w-100 img-fluid">
                                        </div>
                                    </div>

                                    <p>La forma de los diamantes de compromiso van desde <b>el tallado de la piedra hasta su apariencia final</b>, lo cual afectará a su brillo y forma.</p>

                                    <ul>
                                        <li><b>Redondo</b>: Este corte clásico se usa en anillos de oro,  tiene entre 57 y 58 facetas</li>
                                        <li><b>Princesa</b>: De forma cuadrada, más elegante, brilla bastante en las esquinas al cortar, pues tiene 75 facetas.</li>
                                        <li><b>Oval</b>: Su forma es ovalada, modifica la intensidad del brillo por sus 65 facetas.</li>
                                    </ul>

                                    <p>Para complementar la montura de <b>un anillo de compromiso</b>, la forma que las mujeres prefieren va desde el redondo hasta el oval; esto, 
                                        por la figura casi circular que resalta la forma de la piedra.</p>

                                    <p>Incluso el corte princesa por su forma cuadrada es una elección común porque <b>es sutil y llamativo al contrastar con la redondez del anillo</b>.</p>

                                    <p>Los hombres seleccionan anillos más planos por su sencillez y preferencia de estilo. Algunos cortes escogidos son <b>más ovalados o tipo princesa pero con piedras más grandes o anchas</b> que contrastan con la anchura de su dedo y mano.</p>



                                    <h3 id="materiales" class="h5"><b>5.- Materiales </b></h3>
                                    <div class="row my-4">
                                        <div class="col-12">
                                            <img src="_proy/st/_principal/images/blog/articulos/materiales.jpg" class="w-100 img-fluid">
                                        </div>
                                    </div>

                                    <p>Los materiales más comunes para un <b>anillo de compromiso</b> son el oro, platino, plata y  titanio. 
                                        Llevan diamantes naturales o metales preciosos fabricados a la medida del anillo.</p>

                                    <ul>
                                        <li>El oro tiene <b>tonos amarillos, blancos y rosas por naturaleza</b>. Su estructura es blanda y ligera, normalmente se mezcla con otro metal.</li>
                                        <li>El platino, con similitud al oro blanco, es uno de los <b>materiales más maleables para personalizar y grabar un mensaje en tu anillo de compromiso</b>. Su color suele suele ser blanco grisáceo, es pesado y dúctil.</li>
                                        <li>La plata. Este metal es <b>resistente, maleable, brillante y más económico</b>. Se utiliza principalmente  para aleaciones de Plata 925 con 92.5% de plata y 7.5% de cobre; y también Plata 950 que contiene 95% de plata y 5% de cobre.</li>
                                    </ul>

                                    <p>En gran medida, las mujeres toman como referencia colores como el oro rosa,  plata y el oro amarillo. Estos colores los usan para <b>combinar con los tipos de piedra</b>. Así se consigue un juego de formas elegante  y <b>llamativo por los colores vivos</b>.</p>
                                    <p>Los hombres, por lo general, eligen oro o platino, esto es porque pueden <b>mezclarse con tonos negros, piedras oscuras y jugar con el contraste de brillo y oscuridad</b>.</p>
                                    <p>Muchos de los tipos de <b>anillos de compromiso</b> están enfocados en la mujer debido a que tradicionalmente es a ella a quien se le ofrece el compromiso por parte del hombre.</p>
                                    <p>Actualmente se han diversificado los diseños para el hombre, por lo que cualquier tipo de estilo puede usarse indistintamente.</p>
                                    <p>Si necesitas conocer cómo diseñar o personalizar tu <b>anillo de compromiso</b>, puedes acercarte a <b>Matrimony</b> para ver todas las posibilidades que existen para el anillo de compromiso que tanto deseas.</p>
                                </div>


                                
                                <? } ?>
                            </div>
                    	</div>
                    </div>
                </div>

                <div class="<?= $col_right; ?>">
                    <div class="recent_post">
                        <h4>Artículos Relacionados</h4>
                        <? foreach ($blogs as $i => $blog){ extract($blog,EXTR_PREFIX_ALL,"blog"); ?>
                        	<a class="text-primary" href="<?= $_URLBASE.$blog_url; ?>--blg<?= $blog_id; ?>.html">
                            <div class="row w-100 mb-3">
                                <div class="col-4 col-sm-3 col-lg-4">
                                	<img class="w-100 rounded" src="<?= $_URLST; ?>images/blog/<?= $blog_imagen; ?>-ch.jpg" alt="<?= $blog_titulo; ?>">
                                </div>
                            
                                <div class="col-8 col-sm-9 col-lg-8 px-0 text-dark">
                                    <p style="line-height: 1.2em;"><b><?= substr($blog_titulo,0,50); ?></b></p>
                                    <button class="btn-matrimony fs12 py-0">Ver artículo</button>
                                </div>
                            </div>
                            </a>
                        <? } ?>
                    </div>
                </div>
            </div>
    </div>

    <? include_once($_PROYDIR_VIS."mod_info_pie.php"); ?>
</main>
<script type="text/javascript">

    //$('.cuerpo-indices').css({'top':$('.indices').offset().top+'px','width':$('.indices').width()+'px'})

    $(document).ready(()=>{
        var oldtop = 0;
        $('[data-href]').each(function(i,e){
            $(e).click(function(){
                element = $(this).data('href');
                var h = $('nav.navbar').height() ?? 150;
                var top = oldtop + ($(element).offset().top - h);
                console.log('element',element,h,oldtop,top);
                //oldtop = top;
                $('html, body').animate({
                    scrollTop: top
                }, 1000);
            })
        })
    })
</script>