<style>
	.box-header ~ main.main-content{
		height: 85px;
	}
	.box-price
	{
	    background-color: #fafafa;
	    padding: 1.5rem;
	    color: #46495c;
	    font-size: 18px;
	}

	.dropdown-menu.colonias
	{
		min-height: max-content;
		max-height: 500px;
		transform: unset !important;
		overflow: hidden;
		overflow-y: scroll;
	}

	.dropdown-menu.colonias a.dropdown-item:hover{
		background-color: #f4f7f9;
	}
	.form-group{position: relative;}
	span.form-err{
		position: absolute;
		width: 100%;
		bottom: -20px;
		left: 0;
		color: #f00;
		font-size: 12px;
		text-align: center;
	}

	button.btn-mt-dark:disabled{
		opacity: 0.6;
	}

	.btn-whatsapp {
	    background-color: #25D366;
	    color: #fff;
	}

	input.type-dir:checked ~ label, input.type-dir ~ label:hover{
			box-shadow: 0px 0px 5px -1px #6C7C8D;
			opacity: 1;
	}

	.card-dir{
		border: 1px solid #6C7C8D;
    padding: 1rem;
    width: 100%;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    margin-bottom: 1rem;
    color: #000;
    font-weight: 400;
    opacity: 0.7;
    cursor: pointer;
	}

</style>
<main class="main-content">
	<div class="container mb-3">
		<div class="bg-white">
			<div class="row">

				<div class="col-12 mb-3">
					<a href="<?= $_URLBASE; ?>ac-carrito-de-compra-anillo.html">
						<label class="color-gray-mat">
							<b>
								<i class="fa fa-arrow-left" aria-hidden="true"></i> Regresar al carrito
							</b>
						</label>
					</a>
				</div>

				<div class="col-12">
					<div class="d-flex justify-content-center align-items-center">
						<span class="text-dark fs40">1</span>
						<span class="color-gray-mat fs34 mx-3">2</span>
						<span class="color-gray-mat fs34">3</span>
					</div>
				</div>

				<div class="col-12 text-center my-4 px-1">
					<h4 id="carrito">Información de envío</h4>
				</div>

				<div class="col-12">
					<div class="row justify-content-center">
						<div class="col-lg-8 px-0">
							<div class="form px-2 px-sm-3 pb-3">
								<form id="form-info-envio">

										<div class="direcciones text-dark mb-3">

											<div>
												<input id="dir-1" class="d-none type-dir" type="radio" name="tipo_direccion" value="1">
												<label for="dir-1" class="card-dir d-block" onclick="$('.info-envio').collapse('hide'); bcontinue()">
													<b>Recoger en sucursal CDMX</b>
													<p class="mb-0 lh-1-3em">
														Francisco I. Madero 54-405, Colonia Centro, Cuauhtémoc, CP 06000, CDMX, México
													</p>
												</label>
											</div>

											<div>
												<input id="dir-2" class="d-none type-dir" type="radio" name="tipo_direccion" value="2">
												<label for="dir-2" class="card-dir mb-3 d-block" onclick="$('.info-envio').collapse('hide'); bcontinue()">
													<b>Recoger en sucursal Guadalajara</b>
													<p class="mb-0 lh-1-3em">
														Av. Américas 1500, Col. Guadalajara Country Club, Guadalajara, Jalisco 44610 Piso 17.
													</p>
												</label>
											</div>

											<div>
												<input id="dir-3" class="d-none type-dir" type="radio" name="tipo_direccion" value="3" checked="true">
												<label for="dir-3" class="card-dir py-4 d-block text-center mb-5" onclick="$('.info-envio').collapse('show'); bcontinue()">
													<h5 class="my-2"><b>ENVIAR A MI DOMICILIO</b></h5>
												</label>
											</div>

										</div>

										<div class="form-group">
											<span class="text-dark"><b>Nombre completo</b></span>
											<input type="text" name="nombre" id="nombre" class="required input-mt-1" placeholder="Escribe aquí" value="<?= $ses_nombre; ?>">
										</div>

										<div class="row">

											<div class="col-md-5 pr-md-1">
												<div class="form-group">
													<span class="text-dark"><b>Teléfono celular</b></span>
													<input onkeypress="return IsNumeric(event);" ondrop="return false;" maxlength="10" onpaste="return false;" type="tel" name="telefono" autocomplete="off" id="telefono" class="required input-mt-1"  placeholder="Escribe aquí" value="<?= $ses_telefono; ?>">
													<label class="lh-1-3em color-gray-mat">
														Usaremos esta información para aclarar cualquier duda de tu compra.
													</label>
												</div>
												
											</div>

											<div class="col-md-7 pl-md-1">
												<div class="form-group">
													<span class="text-dark"><b>Correo electrónico</b></span>
													<input type="email" name="correo" id="correo" class="required input-mt-1"  placeholder="Escribe aquí" value="<?= $ses_correo; ?>">
												</div>
											</div>
										</div>

										<div class="info-envio collapse show">

											<div class="form-group">
												<span class="text-dark"><b>Calle</b></span>
												<input type="text" name="calle" id="calle" class="required input-mt-1" value="<?= $ses_calle; ?>">
											</div>

											<div class="row">
												<div class="col-6 col-md-4 pr-1">
													<div class="form-group">
														<span class="text-dark"><b>No. exterior</b></span>
														<input type="text" name="num_e" class="input-mt-1" value="<?= $ses_num_e; ?>">
													</div>
												</div>
												
												<div class="col-6 col-md-4 pl-1 px-md-1">
													<div class="form-group">
														<span class="text-dark"><b>No. interior</b></span>
														<input type="text" name="num_i" class="input-mt-1" value="<?= $ses_num_i; ?>">
													</div>
												</div>
												<div class="col-6 col-md-4 pl-md-1 pr-1 pr-md-3">
													<div class="form-group">
														<span class="text-dark"><b>Código postal</b></span>
														<input type="text" name="cp" id="cp" class="dir_cp input-mt-1" value="<?= $ses_cp; ?>">
													</div>
												</div>
												
												<div class="col-6 col-md-6 pl-1 pl-md-3 pr-md-1">
													<div class="form-group">
														<span class="text-dark"><b>Colonia</b></span>
														<div class="dropdown dropdown-custom-select">
														  <button class="dropdown-toggle text-center colinia-selected" type="button" data-toggle="dropdown">
														    <span class="res"><?= $ses_colonia?$ses_colonia:"&nbsp;"; ?></span>
														    <span class="bg-arrow sel-col"></span>
														  </button>
														  <div class="dropdown-menu colonias">
														  	<a class="dropdown-item">Indica tu código postal</a>
														  </div>
														</div>
													</div>
													<input type="hidden" name="colonia" id="colonia" class="required" value="<?= $ses_colonia; ?>">
												</div>


												<div class="col-md-6 pl-md-1">
													<div class="form-group">
														<span class="text-dark"><b>Ciudad</b></span>
														<input type="text" readonly name="ciudad" id="ciudad" class="dir_ciudad input-mt-1" value="<?= $ses_ciudad; ?>">
													</div>
												</div>
											</div>

											<div class="row">
												
												<div class="col-md-6 pr-md-1">
													<div class="form-group">
														<span class="text-dark"><b>Delegación</b></span>
														<input type="text" readonly name="delegacion" id="delegacion" class="dir_mun input-mt-1" value="<?= $ses_delegacion; ?>">
													</div>
												</div>

												<div class="col-md-6 pl-md-1">
													<div class="form-group">
														<span class="text-dark"><b>Estado</b></span>
														<input type="text" readonly name="estado" id="estado" class="dir_edo input-mt-1" value="<?= $ses_estado; ?>">
													</div>
												</div>
												
											</div>
										</div>
									<input type="hidden" name="<?= ev("ACTION"); ?>" value="<?= codVal("VALIDAFORM"); ?>">
								</form>

								<div class="fs18 pb-3 my-4">
									<!-- <button id="continue-button" class="btn-mt-dark" disabled="">Continuar</button> -->
									<button id="continue-button" onclick="validateInfo();" class="btn-mt-dark">Continuar</button>
								</div>

							</div>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>
</main>

<div class="modal fade modal-errores" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">¡Error al guardar la información!</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
        </ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn-matrimony rounded" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>


<!-- Modal -->
<div class="modal fade" id="modal-disabled" tabindex="-1" role="dialog" aria-hidden="true" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog" role="document" style="max-width: 430px;">
    <div class="modal-content" style="border-radius: 20px;">
      <div class="modal-header border-0 py-0">
        <!-- <h5 class="modal-title">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button> -->
      </div>
      <div class="modal-body px-5 mb-3">
      	<div class="text-center text-dark fs16">
	        <div class="text-warning py-2">
	        	<i style="font-size: 60px;" class="fa fa-exclamation-triangle" aria-hidden="true"></i>
	        </div>
	        <h4 class="color-gray-mat mb-4">Disculpa las molestias</h4>
		      <p class="mb-4">Estamos teniendo dificultades técnicas en nuestra pasarela de pagos.</p>
		      <p class="mb-4">Te pedimos de favor que te pongas en contacto con nosotros para poderte ofrecer una vía alterna de pago.</p>

		      <button type="button" onclick="sendMessage()" class="btn-whatsapp btn btn-sm btn-block rounded-0 d-flex justify-content-center fs18" style="height:45px;">
	              <i class="fa fa-whatsapp fs24" aria-hidden="true"></i>
	              <span>Contáctanos</span>
					</button>
				</div>

				<a class="color-gray-mat" href="ac-carrito-de-compra-anillo.html">
						<i class="fa fa-arrow-left" aria-hidden="true"></i>	<b>Regresar al carrito</b>
				</a>
      </div>

      <!-- <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div> -->
    </div>
  </div>
</div>

<script>
<? if(/*!$_GET['active']*/false){ ?>

	$(document).ready(function(){
			$('#modal-disabled').modal('show');
	});

	function sendMessage(){

											gtag('event', 'send', {'event_category': 'COTIZA_PROD_DESDE_WHATS','event_label': 'COTIZAWHATS_DESDE_CAR','value': '<?= $resumen; ?>' });

											let link = 'https://api.whatsapp.com/send?phone=<?= $_PHONE_NUMBER; ?>';
											link+= '&text=<?= $resumen; ?>';
											if( $(window).width() > 575 )
					                window.open(link,'_blank');
					            else
					               window.location = link; 
	}

<? }else{ ?>

$(document).ready(function(){
	$('input.type-dir:checked').click();
});

var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}

$('.dir_cp').change(function(){

	infoLength();

	var xfunc = function(){
		$(this).addClass('required');
		infoLength();
		$(this).removeClass('required');
	};

	let cp = $.trim($(this).val());
	searchCp(cp,xfunc);
});


let required = $('input.required').length;
$('input.required').change(function(){
	infoLength();
});

function infoLength(){
	// var ix = 0;
	// $('#continue-button').attr('disabled',true);
	// $('input.required').each(function(i,e){
	// 	if(  $.trim($(e).val()) != '' )
	// 		ix++;
	// });
	// // console.log(ix +'=='+ required);
	// if(ix == required)
	// 	bcontinue();
}

function bcontinue(){
	$('#continue-button')
	.unbind()
	.attr('disabled',false)
	.click(function(){
		validateInfo();
	});
}


function validateInfo()
{
	$('span.form-err').remove();
	let info = $('#form-info-envio').serialize();
	$('#continue-button').attr('disabled',true);
	$.post('<?= $_URLPOST; ?>',info,function(data){
		$('#continue-button').attr('disabled',false);

		let r = data.split('--codevalidateform--')[1];
	    let json = JSON.parse(r);
	    console.log(json);

	    let lista_errors = $('.modal-errores .list-group');
			lista_errors.html('');

	    //console.log(json);

	    if(json.error==0){
	    	gtag('event', 'send', {'event_category': 'COMPRA','event_label': 'COMPRA_INFO_ENVIO','value': '1' });
	    	eval(json.ev);
	   	}
	   	else{

	   		let errores = json.errores;
				let campos = Object.keys(errores);

	   		if(json.err_carr){
					$('<li>',{class:'list-group-item text-danger',text:errores['carrito']}).appendTo(lista_errors);

					$('.modal-errores').find('.modal-footer button').unbind().click(function(){
						eval(json.ev);
					});
					$('.modal-errores').modal('show');
	   		}

				for(var i = 0; i< campos.length; i++){
					$('<span>',{class:'form-err',text:errores[campos[i]]})
					.appendTo($('#'+campos[i]).parent());
					$('<li>',{class:'list-group-item text-danger',text:errores[campos[i]]}).appendTo(lista_errors);
				}
				$('.modal-errores').modal('show');
				
	   	}
	});
}

	var clearcp = 1;

	<?if($ses_cp){?>
		clearcp = 0;
		var xfunc = function(){
			$('#colonia').val('<?= $ses_colonia; ?>');
			$('.colinia-selected span.res').html('<?= $ses_colonia?$ses_colonia:'<span class="text-warning">Selecciona</span>'; ?>');
			infoLength();
		}
		searchCp('<?= $ses_cp; ?>',xfunc);
	<? } ?>

	function searchCp(cp,func)
	{
		var bmsg = 'Buscando...';
		setInfo(bmsg,bmsg,bmsg,bmsg);
		$.post('<?= $_URLPOST; ?>',{
			<?= ev("ACTION"); ?>: '<?= codVal("INFOCP"); ?>',
			<?= ev("clearcp");?>: clearcp,
			<?= ev("cp");?>:  cp
		},function(data){
			let r = data.split('--codecp--')[1];
			let json = JSON.parse(r);

			$('.colonias').html('');
			$('#colonia').val('');
			infoLength();

			if(json.error==1){
				let nor = '<a class="dropdown-item">Escribe otro código postal</a>';
				$('.colonias').html(nor);
				setInfo('','','','Error CP: '+cp);
			}

			if(json.error==0){
				let info = json.infocp;
				setInfo(info.ciudad,info.municipio,info.estado,'<span class="text-warning">Selecciona</span>');

				let colonias = json.colonias;
				let ids = Object.keys(colonias)
			
				for(var i=0; i<ids.length;i++){
					var col = colonias[ids[i]];
					$('<a>',{class:'dropdown-item',text:col})
					.click(function(){
						$('.colinia-selected span.res').html($(this).text());
						$('#colonia').val($(this).text());
						infoLength();
					}).appendTo($('.colonias'));
				}

				if (typeof func === 'function'){
					func();
				}
			}
		});

		clearcp = 1;
	}

	function setInfo(cd,mun,edo,aux)
	{
		$('.dir_ciudad').val(cd);
		$('.dir_mun').val(mun);
		$('.dir_edo').val(edo);
		$('.colinia-selected span.res').html(aux);
	}

	<? if(isset($_SESSION['compra']['step1'])){ ?>
		infoLength();
	<? } ?>

<? } ?>
</script>