
<style>
		input.pay-metod{
			display: none;    
		}
		input.pay-metod:checked ~ label, input.pay-metod ~ label:hover{
			box-shadow: 0px 0px 5px -1px #6C7C8D;
			opacity: 1;
		}
		input.pay-metod ~ label{
			border: 1px solid #6C7C8D;
		    padding: 1rem;
		    width: 100%;
		    display: flex;
		    justify-content: center;
		    align-items: center;
		    border-radius: 10px;
		    margin-bottom: 1.5rem;
		    color: #000;
			font-weight: 400;
			transition: 0.4s;
			height: 70px;
			opacity: 0.8;
		}
		button:disabled, input.pay-metod:disabled ~ label{
			opacity: 0.7;
		}
</style>
<main class="main-content">
	<div class="container mb-3">

		<? if($IDC_TOTAL){ ?>
			<div class="text-primary text-center">
				<span class="h3">PRUEBA COMPRA: $<?= $total; ?></span>
			</div>
		<? } ?>

		<div class="bg-white">
			<?= $oVis->include_component("../compra/mod_datos_tarjeta"); ?>
			<?= $oVis->include_component("../compra/mod_revisa_pedido"); ?>
		</div>
	</div>

	<div class="modal fade modal-errores" tabindex="-1" role="dialog">
	  <div class="modal-dialog" style="max-width:420px;">
	    <div class="modal-content" style="border-radius: 15px;border: none;overflow: hidden;">
	      <div class="modal-header text-center border-0">
	        <div class="row justify-content-center align-items-center w-100 pl-4 mt-2">
	        	<div class="col-12">
	        		<img src="<?= $_URLST; ?>images/close2.svg" width="38">
	        	</div>
	        	<div class="col-12">
	        		<h4 class="modal-title w-100"><b style="color: #FF0048;">¡Pago rechazado!</b></h4>
	        	</div>
	        </div>
	        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
	      </div>
	      <div class="modal-body text-dark px-5">
	        <div class="fs16 mb-2">
	        	<p class="lh-1-3em">No se pudo realizar la transacción por motivos desconocidos.</p>
	        	<p class="lh-1-3em">Por favor intente realizar su pago con una tarjeta distinta o comuníquese con nuestro equipo de soporte para proporcionarle otra alternativa de pago.</p>
	        </div>
	      </div>
	      <div class="px-5 py-3">
	        <div>
	        	<button id="try" type="button" class="btn-mt-dark btn btn-sm rounded-0 mb-3" style="text-transform:unset !important; max-height:45px;" onclick="retryPay();">
	        		<span class="text-white fs18">Intentar de nuevo</span>
	        	</button>
	        </div>

	        <div>
	        	<button type="button" class="btn-whatsapp btn btn-sm btn-block rounded-0 mb-2 d-flex justify-content-center align-items-center" style="height:45px" onclick="contactarErrorPago();">
	              <i class="fa fa-whatsapp fs32" aria-hidden="true"></i>
	              <span class="text-white fs18">Contáctanos</span>
						</button>
	        </div>
	      </div>
	    </div>
	  </div>
	</div>

	<div class="modal fade modal-no-session" tabindex="-1" role="dialog" data-backdrop="static" data-keyboard="false">
	 <div class="modal-dialog" style="max-width:420px;">
	    <div class="modal-content" style="border-radius: 15px;border: none;overflow: hidden;">
	      <div class="modal-header text-center border-0">
	        <div class="row justify-content-center align-items-center w-100 pl-4 mt-2">
	        	<div class="col-12">
	        		<img src="<?= $_URLST; ?>images/close2.svg" width="38">
	        	</div>
	        	<div class="col-12">
	        		<h4 class="modal-title text-danger w-100"><b>¡La sesión expiro!</b></h4>
	        	</div>
	        </div>
	      </div>
	      <div class="modal-body text-dark px-5">
	        <div class="fs16 mb-2">
				<p class="lh-1-3em">No se pudo realizar la transacción porque la sesión de esta compra ha expirado.</p>
	        </div>
	      </div>
	      <div class="px-5 py-3">
	        <div>
	        	<a href="<?= $last_product; ?>" class="btn-mt-dark btn btn-sm rounded-0 mb-3" style="text-transform:unset !important; max-height:45px;">
	        		<span class="text-white fs18">Regresar</span>
				</a>
	        </div>
	      </div>
	    </div>
	  </div>
	</div>

</main>
<script>
	
</script>
<script src="https://js.stripe.com/v3/" data-locale="auto" ></script>
<script>

$(document).ready(()=>{
	$('.modal-errores').on('hidden.bs.modal', function (e) {
	  $('body').css({'overflow-y':'scroll'});
	  setTimeout(()=>{
			$('body').css({'overflow-y':'scroll'});
		},500)
	})
})

$('.edit-pay-method').click(function(){
	$('#revisa-pedido').addClass('d-none');
  	$('#datos-tarjeta').removeClass('d-none');
});

function retryPay(){
	//console.log(btn_pay_selected);
	$('.modal-errores').modal('hide');
	setTimeout(()=>{
		$('#aux-submit').click();
	},500)
}


const publickey = '<?= $_STRIPE_PUBLIC_KEY; ?>';
const url_check_session = '<?= $_URLBASE; ?>ac-check-session.html';
// This is your test publishable API key.
const stripe = Stripe(publickey);

let elements;

initialize();
//checkStatus();

document
  .querySelector("#payment-form")
  .addEventListener("submit", handleSubmit);

  /* --------------------------------------------------------------------------------------- */
// Fetches a payment intent and captures the client secret
async function initialize() {
  const clientSecret = '<?= $stripe_client_secret; ?>';
  elements = stripe.elements({ clientSecret });

  const paymentElement = elements.create("payment");
  paymentElement.mount("#payment-element");
  document.querySelector("#loader-info").classList.add("d-none");

  paymentElement.on('change', function(event) {
  	//console.log(event);
  	  $('#continuar').unbind().attr('disabled',true);
  	  $('#submit').unbind().attr('disabled',true);
  	  if(event.complete){
  	  	$('#continuar').attr('disabled',false)
  	  	.click(function(){
  	  		$('#datos-tarjeta').addClass('d-none');
  	  		$('#revisa-pedido').removeClass('d-none');

  	  		$('#submit').attr('disabled',false)
  	  		.click(function(){
  	  			$('#aux-submit').click();
  	  		})
  	  	})
  	  }
  });

}
/* --------------------------------------------------------------------------------------- */


/* -----------------------------------------SUBMIT---------------------------------------------- */
async function handleSubmit(e) {
  e.preventDefault();
  setLoading(true); 
  $('.payment-message').addClass('hidden').text('');

  //check session before confirm
  const { session_exist, message } = await fetch(url_check_session, {
    method: "POST",
    headers: { "Content-Type": "application/json" },
	body: JSON.stringify({action:'CHECK-SESSION-BUY',tkcs:'<?= genKey(); ?>'})
  }).then((r) => r.json());

  if(!session_exist){
	showMessage(message);
	setLoading(false);
	$('.modal-no-session').modal('show');
	return false;
  }
	const response = await stripe.confirmPayment({
		//`Elements` instance that was used to create the Payment Element
		elements,
		confirmParams: {
		return_url: '<?= $url_save_payment; ?>',
		},
	});

	const { error } = response;

	if (error) {
		// This point will only be reached if there is an immediate error when
		// confirming the payment. Show error to your customer (for example, payment
		// details incomplete)
		showMessage(error.message);
	} else {
		// Your customer will be redirected to your `return_url`. For some payment
		// methods like iDEAL, your customer will be redirected to an intermediate
		// site first to authorize the payment, then redirected to the `return_url`.
	}
  

  $('.modal-errores').modal('show');
  setLoading(false);
}
/* -------------------------------------------END SUBMIT-------------------------------------------- */
// ------- UI helpers -------

function showMessage(messageText) {
  $('.payment-message').removeClass('hidden').text(messageText);
}

// Show a spinner on payment submission
function setLoading(isLoading) {
  if (isLoading) {
    // Disable the button and show a spinner
    document.querySelector("#submit").disabled = true;
    document.querySelector("#submit").classList.add("d-none");
    document.querySelector("#loader-button").classList.remove("d-none");
  } else {
    document.querySelector("#submit").disabled = false;
    document.querySelector("#submit").classList.remove("d-none");
    document.querySelector("#loader-button").classList.add("d-none");
  }
}
</script>