<style>
.prec-total
{
	background-color: #fafafa;
	/*padding: 1.5rem;
	color:#46495c;
	font-size: 18px;*/
}
button:disabled{opacity: 0.7;}
.dropdown-menu{box-shadow: 0 0 25px 0 rgba(0, 0, 0, 0.1);}
.dropdown-menu .dropdown-item:hover{
	background-color: #6B7C8D;
	color: #fff;
	transition: .4s;
}


.radio input[type="radio"] + label {
	  color: grey;
	  position: relative;
	  cursor: pointer;
	}

	.radio input[type="radio"] + label::before {
	  /* Outer Circle of radio button */
	  border: 1px solid grey;
	  content: ' ';
	  display: inline-block;
	  margin-right: 5px;
	  width: 15.5px;
	  height: 15.5px;
	  border-radius: 50%;
	  transition: border 0.15s ease-in-out;
	  position: absolute;
	  top: 10px;
	}

	.radio input[type="radio"] + label::after {
	  /* Inner Circle of radio button */
	  border: 0px solid black;
	  content: ' ';
	  background: transparent;
	  display: inline-block;
	  margin-right: 5px;
	  width: 11.5px;
	  height: 11.5px;
	  border-radius: 50%;
	  position: absolute;
	  left: 2px;
	  top: 12px;
	  transition: border 0.15s ease-in-out;
	}

	input[type="radio"] {
	  display: none;
	}

	/* When button is active */
	.radio input[type="radio"]:checked + label::after {
	  background: rgb(43,145,255) !important;
	}

	.radio input[type="radio"]:checked + label::before {
	  border-color:  rgb(43,145,255) !important;
	}

	.radio input[type="radio"]:checked + label {
	  color: black;
	  cursor: pointer;
	}

	div.tipo_pago_select{
		border-radius: 14px;
		border: 2px solid rgb(32,71,67);
		padding: 0.5rem 0.75rem;
		transition: 0.4s;
		cursor: pointer;
	}


</style>
<main class="main-content">
	<div class="container mb-3">
		<div class="bg-white">
			<div class="row">

				<div class="col-12 mb-3">
					<a href="<?= $URL_STEP2; ?>">
						<label class="color-gray-mat">
							<b>
								<i class="fa fa-arrow-left" aria-hidden="true"></i> Método de pago
							</b>
						</label>
					</a>
				</div>

				<? if(!$es_pago_personalizado){ ?>
				<div class="col-12">
					<div class="d-flex justify-content-center">
						<div class="">
							<span class="color-gray-mat fs34">1</span>
							<span class="color-gray-mat fs34 px-3">2</span>
							<span class="text-dark fs40">3</span>
						</div>
					</div>
				</div>
				<? } ?>

				<div class="col-12 text-center my-4 px-1">
					<h4 id="carrito">Revisa tu pedido<?= $es_pago_personalizado?" personalizado":"";?> v2</h4>
				</div>

				<div class="col-12">
					<div class="row justify-content-center">
						<div class="col-lg-8 px-2">
							<div>
								<? 
								if($carrito){
									include_once($_PROYDIR_VIS.$_BASETEMA."mod_tabla_prods_car.php");
								}
								?>
							</div>

							<div class="mb-3">
								<h4>Información de envío</h4>
								<div class="pl-2">
									<p class="lh-1-3em fs16 text-color-info mb-0">
										<?= $info_envio; ?>
									</p>
									<? if(!$es_pago_personalizado){ ?>
									<p><a href="<?= $URL_STEP1; ?>"><b class="color-blue">Editar</b></a></p>
									<? } ?>
								</div>
							</div>

							<div class="mb-3">
								<h4>Método de pago</h4>
								<div class="pl-2">
									<p class="lh-1-3em fs16 text-color-info mb-0">
										<?= $metodo_pago; ?>
									</p>
									<p><a href="<?= $URL_STEP2; ?>"><b class="color-blue">Editar</b></a></p>
								</div>
							</div>
							<div class="prec-total row mb-5 mb-sm-0 p-3">


								<div class="col-12 px-0 mb-4">
									<h4 class="mb-0">A pagar:</h4>
									<!-- <p class="lh-1-3em fs16 text-color-info mb-0">
										Por favor selecciona una opción
									</p> -->
								</div>

								<div class="col-md-7 px-0">

									<?/*

									<div class="">
										<div class="tipo_pago_select">
											<p class="mb-0 fs22">Pagar el total</p>
											<p class="mb-0 fs16">Precio unitario:</p>

											<? //si pago tarjeta ?>
											<? if(!$_URL_GETTOKENID){ ?>
											<h4 class="mb-0 color-red">
												<b>$<?= $total_compra; ?></span></b>
											</h4>
											<? }else{ ?>
											<div class="form-group">
												<h4 class="mb-0 color-red">
													<b><span class="pay_one_org">$<?= $total_compra; ?></span> 
														<? if($IS_CREDIT_CARD){ ?>
														<span class="fs14">ó 12 pagos de <span class="pay_msi_org">
																$<?= $total_compra_msi; ?>
															</span>
														</span>
														<? 
														$pay_msi_total_org = number_format($total_prods_msi*12,2);
														} 
														?>
											</b>
												</h4>
											</div>
											<? } ?>

											<button disabled="" type="button" id="pay-total" class="btn-mt-dark fs18 my-3" data-pay-one=".pay_one_org" data-pay-msi=".pay_msi_org" data-pay-msi-total="<?= $pay_msi_total_org; ?>">Pagar el total</button>

											<? if($IS_CREDIT_CARD){ ?>
											<p class="mb-0 fs12 lh-1-3em text-center">Pago a 12 meses únicamente disponible para tarjetas de crédito</p>
											<? } ?>
										</div>
									</div>

									<h4 class="my-3 text-center">Ó</h4>
									*/?>
									<div class="">
										<div class="tipo_pago_select">
											<h4>Paga un anticipo del 30%</h4>
											<? if(!$_URL_GETTOKENID){ ?>
											<h4 class="color-red"><b>$<?= $total_anticipo; ?></b></h4>
											<? }else{ ?>
												<div class="">
													<h4 class="color-red">
														<b>
															<span class="pay_one_ant">$<?= $total_anticipo; ?></span> 
															<? if($IS_CREDIT_CARD){ ?>
															<span class="fs14">
																ó 12 pagos de <span class="pay_msi_ant">$<?= $total_compra_msi_ant; ?></span>
															</span>
															<? 
																$pay_msi_total_ant = number_format($total_prods_msi_ant*12,2);
															 }
															?>
														</b>
													</h4>
												</div>
											<? } ?>
											<p class="lh-1-3em fs16 text-color-info">
												El 70% restante deberá ser pagado antes de enviar sus productos.
											</p>
											<button disabled="" type="button" id="pay-ant" class="btn-mt-dark fs18 anticipo my-3" data-pay-one=".pay_one_ant" data-pay-msi=".pay_msi_ant" data-pay-msi-total="<?= $pay_msi_total_ant; ?>">Pagar el anticipo</button>
											<div id="loader-pay" class="py-4 d-none position-relative">
												<div id="preloader-inner"></div>
											</div>
											<? if($IS_CREDIT_CARD){ ?>
											<p class="mb-0 fs12 lh-1-3em text-center">Pago a 12 meses únicamente disponible para tarjetas de crédito</p>
											<? } ?>
										</div>
									</div>

								</div>
							</div>


						</div>
					</div>
				</div>	

			</div>
		</div>
	</div>
	
</main>

<div class="modal fade modal-mail-ok" tabindex="-1" role="dialog">
  <div class="modal-dialog" style="max-width:420px;">
    <div class="modal-content" style="border-radius: 15px;border: none;overflow: hidden;">
      <div class="modal-header text-center border-0">
        <div class="row justify-content-center align-items-center w-100 pl-4 mt-2">
        	<div class="col-12">
        		<img src="<?= $_URLST; ?>images/aprobado.svg" width="38">
        	</div>
        	<div class="col-12">
        		<h4 class="modal-title text-success w-100"><b>¡Pago aprobado!</b></h4>
        	</div>
        </div>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body text-center text-dark">
        <div class="mail-msg fs16 mb-2">Tu transacción fue realizada con éxito.</div>
      </div>
      <div class="modal-footer border-0 px-5">
        <button type="button" class="btn-mt-dark btn btn-sm rounded-0 mb-2" data-dismiss="modal"><h5 class="text-white mb-0">Continuar</h5></button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade modal-errores" tabindex="-1" role="dialog">
  <div class="modal-dialog" style="max-width:420px;">
    <div class="modal-content" style="border-radius: 15px;border: none;overflow: hidden;">
      <div class="modal-header text-center border-0">
        <div class="row justify-content-center align-items-center w-100 pl-4 mt-2">
        	<div class="col-12">
        		<img src="<?= $_URLST; ?>images/close2.svg" width="38">
        	</div>
        	<div class="col-12">
        		<h4 class="modal-title text-danger w-100"><b>¡Pago rechazado!</b></h4>
        	</div>
        </div>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body text-dark px-5">
        <div class="fs16 mb-2">
        	<p class="lh-1-3em">No se pudo realizar la transacción por motivos desconocidos.</p>
        	<p class="lh-1-3em">Por favor intente realizar su pago con una tarjeta distinta o comuníquese con nuestro equipo de soporte para proporcionarle otra alternativa de pago.</p>
        </div>
      </div>
      <div class="px-5 py-3">
        <div>
        	<button id="try" type="button" class="btn-mt-dark btn btn-sm rounded-0 mb-3" style="text-transform:unset !important; max-height:45px;" onclick="retryPay();">
        		<span class="text-white fs18">Intentar de nuevo</span>
        	</button>
        </div>

        <div>
        	<button type="button" class="btn-whatsapp btn btn-sm btn-block rounded-0 mb-2 d-flex justify-content-center align-items-center" style="height:45px" onclick="contactarErrorPago();">
              <i class="fa fa-whatsapp fs32" aria-hidden="true"></i>
              <span class="text-white fs18">Contáctanos</span>
					</button>
        </div>
      </div>
    </div>
  </div>
</div>
<div id="card-element"></div>

<script src="https://js.stripe.com/v3/" data-locale="auto" ></script>
<script>
	var stripe = Stripe('<?= $_STRIPE_PUBLIC_KEY; ?>');
	var elements = stripe.elements();
  var card = elements.create("card");
  card.mount("#card-element");

</script>

<script>

window.onerror = function(message, url, lineNumber) {  
  $.post( "ac_errorsjs.html", { ac_send: '<?=md5(rand());?>', message: message, url: url, lineNumber: lineNumber });
  return true;
}; 

	gtag('event', 'send', {'event_category': 'COMPRA','event_label': 'COMPRA_REVISA_PEDIDO','value': 3 });
	$('#pay-ant').attr('disabled',false);
	var btn_pay_selected = null;
		$('#pay-ant')
			// .attr('disabled',false)
			.click(function(){
				pay();
			});

	const pay =  async () => {
		btn_pay_selected = $(this);
		// btn_pay_selected.addClass('d-none');
		// $('#loader-pay').removeClass('d-none');
		var anticipo = 1;
		$('#pay-ant').attr('disabled',true);

		const {error} = await stripe.confirmPayment({
	    clientSecret: '{<?= $s2_data_pay['client_secret']?>}',
	    confirmParams: {
	      return_url: 'https://example.com/order/123/complete',
	    },
	  });

	  if (error) {
	    // This point will only be reached if there is an immediate error when
	    // confirming the payment. Show error to your customer.
	    const messageContainer = document.querySelector('#error-message');
	    messageContainer.textContent = error.message;
	  } else {
	    
	  }
	}

	function retryPay(){
		$('.modal-errores').modal('hide');
		setTimeout(()=>{
			btn_pay_selected.click();
		},1000)
	}

	function contactarErrorPago(){
		$('.modal-errores').modal('hide');
		var msg = 'Ocurrió un error al realizar mi compra';
		var plas = 'Escribe el error ocurrido...';
		popUpWhatsAppModal(msg,plas);
	}
</script>