<style>
	.box-header ~ main.main-content{
		height: 85px;
	}
	.box-price
	{
	    background-color: #fafafa;
	    padding: 1.5rem;
	    color: #46495c;
	    font-size: 18px;
	}

	.dropdown-menu.colonias
	{
		min-height: max-content;
		max-height: 500px;
		transform: unset !important;
		overflow: hidden;
		overflow-y: scroll;
	}

	.dropdown-menu.colonias a.dropdown-item:hover{
		background-color: #f4f7f9;
	}
	.form-group{position: relative;}
	span.form-err{
		position: absolute;
		width: 100%;
		bottom: -20px;
		left: 0;
		color: #f00;
		font-size: 12px;
		text-align: center;
	}

</style>
<main class="main-content">
	<div class="container mb-3">
		<div class="bg-white">
			<div class="row">

				<div class="col-lg-8 px-0">
					<div class="form px-3 pb-3">
						<form id="form-info-envio">

							<div class="form-group">
								<span class="text-dark"><b>Nombre</b></span>
								<input type="text" name="nombre" id="nombre" class="required input-mt-1">
							</div>

							<div class="row">
								<div class="col-lg-6">
									<div class="form-group">
										<span class="text-dark"><b>Correo electrónico</b></span>
										<input type="email" name="correo" id="correo" class="required input-mt-1">
									</div>
								</div>
								
								<div class="col-lg-6">
									<div class="form-group">
										<span class="text-dark"><b>Teléfono celular</b></span>
										<input onkeypress="return IsNumeric(event);" ondrop="return false;" maxlength="10" onpaste="return false;" type="tel" name="telefono" autocomplete="off" id="telefono" class="required input-mt-1">
									</div>
								</div>
							</div>

							<div class="form-group">
								<span class="text-dark"><b>Calle</b></span>
								<input type="text" name="calle" id="calle" class="required input-mt-1">
							</div>

							<div class="row">
								<div class="col-6 col-md-4">
									<div class="form-group">
										<span class="text-dark"><b>No. exterior</b></span>
										<input type="text" name="num_e" class="input-mt-1">
									</div>
								</div>
								
								<div class="col-6 col-md-4">
									<div class="form-group">
										<span class="text-dark"><b>No. interior</b></span>
										<input type="text" name="num_i" class="input-mt-1">
									</div>
								</div>
								<div class="col-6 col-md-4">
									<div class="form-group">
										<span class="text-dark"><b>Código postal</b></span>
										<input type="text" name="cp" id="cp" class="dir_cp required input-mt-1">
									</div>
								</div>
								
								<div class="col-6 col-md-6">
									<div class="form-group">
										<span class="text-dark"><b>Colonia</b></span>
										<div class="dropdown dropdown-custom-select">
										  <button class="dropdown-toggle text-center colinia-selected" type="button" data-toggle="dropdown">
										    <span class="res">&nbsp;</span>
										    <span class="bg-arrow sel-col"></span>
										  </button>
										  <div class="dropdown-menu colonias">
										  	<a class="dropdown-item">Indica tu código postal</a>
										  </div>
										</div>
									</div>
									<input type="hidden" name="colonia" id="colonia" class="required">
								</div>


								<div class="col-md-6">
									<div class="form-group">
										<span class="text-dark"><b>Ciudad</b></span>
										<input type="text" readonly name="ciudad" id="ciudad" class="dir_ciudad input-mt-1">
									</div>
								</div>
							</div>

							<div class="row">
								
								<div class="col-md-6">
									<div class="form-group">
										<span class="text-dark"><b>Delegación</b></span>
										<input type="text" readonly name="delegacion" id="delegacion" class="dir_mun input-mt-1">
									</div>
								</div>

								<div class="col-md-6">
									<div class="form-group">
										<span class="text-dark"><b>Estado</b></span>
										<input type="text" readonly name="estado" id="estado" class="dir_edo input-mt-1">
									</div>
								</div>
								
							</div>
							<input type="hidden" name="<?= ev("ACTION"); ?>" id="<?= ev("ACTION"); ?>">
							<input type="hidden" name="<?= ev('IDPAYMENT'); ?>" id="<?= ev('IDPAYMENT'); ?>">
						</form>
					</div>
				</div>

				<div class="col-lg-4 px-0">
					<div class="box-price d-none d-lg-block">
						<h4><b>Total:</b></h4>
						<h3 class="mb-0 color-red">
							<b>$<?= NumF($total_precio)?> <span class="fs16">ó 12 pagos de $<?= NumF($total_msi); ?></span></b>
						</h3>
					</div>

					<div class="col-12 mt-3 px-0">
						<div class="sep-mt-1"></div>
						<div class="mt-3">
							<div id="paypal-button-container" class="d-none">
							</div>
							<div id="pay-button"></div>
						</div>
					</div>

					<div class="box-price d-block d-lg-none mt-4">
						<h4><b>Total:</b></h4>
						<h3 class="mb-0 color-red">
							<b>$<?= NumF($total_precio)?> <span class="fs16">ó 12 pagos de $<?= NumF($total_msi); ?></span></b>
						</h3>
					</div>

				</div>

			</div>
		</div>
	</div>
</main>

<div class="modal modal-errores" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">¡No se registró el pedido!</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
        </ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn-matrimony rounded" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<div class="modal modal-mail-ok" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">¡Compra terminada!</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="mail-msg"></div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn-matrimony rounded" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<? 
	if($_SESSION['SOYDES']==2)
		$total_precio = 1;

	//AVCGDEmULY7dokkwRJN5dre7h6O8YqxVJTH4-nxX9EDFbyWFvbp93-Dzs11YpSrFzUpzYC18sxbnhbeB
?>

<script src="https://www.paypal.com/sdk/js?client-id=ATmyDJaFMe5_qV9kcv73gjEPyZ7Umk1IsC5Kig5JcyM34f3caZxIZfxdoWF6bI_5AVKIehcaLoHwyGrS&currency=MXN" data-sdk-integration-source="button-factory"></script>

<script>
var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}


let required = $('input.required').length;

$('input.required').change(function(){
	dexButton('Completa tu información de envío');
	var ix = 0;
	$('input.required').each(function(i,e){
		if(  $.trim($(e).val()) != '' )
			ix++;
	});
	//console.log(ix +'=='+ required);
	if(ix == required)
		validateInfo();
});

let pay = paypal.Buttons({
  style: {
      shape: 'rect',
      color0q: 'silver',
      layout:'vertical',
      label: 'paypal',
      
  },
  createOrder: function(data, actions) {
      return actions.order.create({
          purchase_units: [{
              amount: {
                  value: '<?= $total_precio; ?>'
              }
          }]
      });
  },
  onApprove: function(data, actions) {
      return actions.order.capture().then(function(details)
      {
          //console.log(details);
          saveInfo(details.id);
      });
  }
}).render('#paypal-button-container');

function validateInfo()
{
	dexButton('Validando información...');
	$('span.form-err').remove();
	$('#<?= ev("ACTION"); ?>').val('<?= codVal("VALIDAFORM"); ?>');
	let info = $('#form-info-envio').serialize();

	$.post('<?= $_URLBASE; ?>ac-info_envio.html',info,function(data){

		let r = data.split('--codevalidateform--')[1];
	    let json = JSON.parse(r);

	    //console.log(json);

	    if(json.error==0){
	    	dexButton('');
	    	$('#paypal-button-container').attr('class','');
	   	}
	   	else{
	   		dexButton('Corrige tu información de envío');
	   		let errores = json.errores;
			let campos = Object.keys(errores);

			for(var i = 0; i< campos.length; i++){
				$('<span>',{class:'form-err',text:errores[campos[i]]})
				.appendTo($('#'+campos[i]).parent());
			}
	   	}
	});
}

function dexButton(text)
{
	$('#paypal-button-container').attr('class','d-none');
	let btn = '<button class="btn-mt-dark fs18" disabled>'+text+'</button>';

	if(text=='')
		btn = text;

	$('#pay-button').html(btn);

}
dexButton('Completa tu información de envío');


function saveInfo(id)
{
	$('span.form-err').remove();
	$('#<?= ev("ACTION"); ?>').val('<?= codVal("SAVEINFO"); ?>');
	$('#<?= ev("IDPAYMENT"); ?>').val(id);
	let info = $('#form-info-envio').serializeArray();

	let lista_errors = $('.modal-errores .list-group');
	lista_errors.html('');

	$.post('<?= $_URLBASE; ?>ac-info_envio.html',info,function(data){
		//console.log(data);
		let r = data.split('--codecompra--')[1];
    let json = JSON.parse(r);

    if(json.error==0){
   		$('.mail-msg').text(json.msg);
		$('.modal-mail-ok').modal('show');
		$('.modal-mail-ok').on('hidden.bs.modal', function (e) {
		  window.location = json.thank_you_page;
		});
   	}
   	else{
   		let errores = json.errores;
		let campos = Object.keys(errores);

		for(var i = 0; i< campos.length; i++){
			$('<li>',{class:'list-group-item text-danger',text:errores[campos[i]]})
			.appendTo(lista_errors);
		}
   		$('.modal-errores').modal('show');
   	}
	});
}
</script>

<script>
	$('.dir_cp').change(function(){
		let cp = $.trim($(this).val());
		var bmsg = 'Buscando...';
		setInfo(bmsg,bmsg,bmsg,bmsg);
		$.post('<?= $_URLBASE; ?>ac-info_envio.html',{
			<?= ev("ACTION"); ?>: '<?= codVal("INFOCP"); ?>',
			<?= ev("cp");?>:  cp
		},function(data){
			let r = data.split('--codecp--')[1];
			let json = JSON.parse(r);

			$('.colonias').html('');

			if(json.error==1){
				let nor = '<a class="dropdown-item">Escribe otro código postal</a>';
				$('.colonias').html(nor);
				$('#colonia').val('');
				setInfo('','','','Sin resultados para CP: '+cp);
			}

			if(json.error==0){
				let info = json.infocp;
				setInfo(info.ciudad,info.municipio,info.estado,'Selecciona tu colonia');

				let colonias = json.colonias;
				let ids = Object.keys(colonias)
			
				for(var i=0; i<ids.length;i++){
					var col = colonias[ids[i]];
					$('<a>',{class:'dropdown-item',text:col})
					.click(function(){
						$('.colinia-selected span.res').html($(this).text());
						$('#colonia').val($(this).text());
						validateInfo();
					}).appendTo($('.colonias'));
				}
			}
		});
	});

	function setInfo(cd,mun,edo,aux)
	{
		$('.dir_ciudad').val(cd);
		$('.dir_mun').val(mun);
		$('.dir_edo').val(edo);
		$('.colinia-selected span.res').html(aux);
	}
</script>