<main class="medidor-anillos">
	<div class="row align-items-center">

		<div class="col-9 col-sm-8 col-md-5 col-xl-4">
			<img class="img-fluid w-100" src="<?= $_URLST; ?>images/catalogo/medidor/medidor-anillos-cov.png">
		</div>

		<div class="col-md-7 col-xl-8 mt-3 mt-md-0">
			<div class="col-xl-9">
				<h2 class="d-none d-sm-block">MEDIDOR DE ANILLOS</h2>
				<h3 class="d-block d-sm-none">MEDIDOR DE ANILLOS</h3>

				<p class="fs-18p color-dark lh-1-3em">Tenemos varias opciones que pueden ayudarte a encontrar la talla correcta de tu anillo. Selecciona el método que prefieras.</p>
			</div>
		</div>
	</div>

	<div class="container mt-5">

		<div class="row">

			<? 
			foreach ($items as $key => $item)
			{ 
				extract($item,EXTR_PREFIX_ALL,"it");
			?>

			<div class="col-md-6 px-0 p-sm-3">

				<div class="ficha-info-med">
					<div class="row">

						<div class="row justify-content-center d-flex d-lg-none">
							<div class="col-4 col-md-5 mb-3">
								<img class="img-fluid w-100" src="<?= $_URLST; ?>images/catalogo/medidor/<?= $it_img; ?>">
							</div>
						</div>

						<div class="col-lg-9">
							<h5><?= $it_titulo; ?></h5>

							<p class="mb-0 fs-10p color-dark lh-1-3em"><?= $it_desc; ?></p>

							<? if($it_msg){ ?>
							<p class="mb-0 color-dark"><i><u><?= $it_msg; ?></u></i></p>
							<? }else{ ?>
							<div class="mb-3"></div>
							<? } $it_msg = "";?>

							<div class="col-5 pl-0 mt-2">
								<button data-target=".modal-<?= $item['modal']; ?>" data-toggle="modal" type="button" class="btn-mt-dark p-2 p-sm-0"><?= $it_btn; ?></button>
							</div>
						</div>

						<div class="col-lg-3 pl-0 d-none d-lg-block">
							<img class="img-fluid w-100" src="<?= $_URLST; ?>images/catalogo/medidor/<?= $it_img; ?>">
						</div>

					</div>

				</div>

			</div>

			<? } ?>

		</div>

	</div>
</main>

<!-- Modal -->
<div class="modal-comparar modal fade modal-medidor-anillos" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content border-0">

      <div class="m-3">
        <p class="mt-4 mt-sm-0 fs20 pointer" data-dismiss="modal" aria-label="Close">
        	<b>
	          <i class="fa fa-arrow-left" aria-hidden="true"></i> 
	          Seleccionar un método distinto
	      </b>
        </p>
      </div>

      <div class="container">

        <div class="row justify-content-center">
        	<div class="col-4 col-md-2 col-xl-2">
        		<img class="img-fluid w-100" src="<?= $_URLST; ?>images/catalogo/medidor/anillo-argolla.png">
        	</div>
        </div>

        <div class="mt-4">
        	<h3>COMPRAR UN ANILLO</h3>
        	<p>Sigue los siguientes pasos para conocer la talla correcta de tu anillo.</p>

        	<p><b>1. Busca un anillo que tengas que te quede a la perfección.</b></p>
        	<p><b>Tip:</b> Si es de la persona a la que le vas a proponer matrimonio puedes tomarle prestado uno de sus anillos sin que se de cuenta.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="120" height="100%" class="m-4" src="<?= $_URLST; ?>images/catalogo/medidor/01_compara_anillo_midiendo_dentro_matrimony.jpg">
        	</div>

        	<p><b>2. Imprime el siguiente documento en una hoja tamaño carta.</b></p>
        	<p><b>Tip:</b> La impresión debe salir a tamaño real por default, sin embargo nunca está de más verificar que las proporciones de la impresión sean correctas (Puedes verificar en la regla que se muestra en la parte de abajo del documento).</p>

        	
    		<div class="d-flex align-items-center my-5">
    			<i style="font-size: 4rem;" class="fa fa-file-text-o" aria-hidden="true"></i>
    			<a download href="<?= $_URLST; ?>docs/comparador_de_anillos_matrimony.pdf" class="btn-mt-dark ml-4" style="width: auto !important;">&nbsp;&nbsp;Imprimir&nbsp;&nbsp;</a>
    		</div>

        	<p><b>3. Compara el anillo físico con el documento.</b></p>
        	<p><b>Tip:</b> Coloca el anillo sobre el documento y encuentra el tamaño que corresponde a tu anillo.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="300" height="100%" class="my-4" src="<?= $_URLST; ?>images/catalogo/medidor/01_compara_anillo_fisico_medir_dentro_matrimony.jpg">
        	</div>

        	<h6>IMPORTANTE:</h6>
        	<p class="mb-0">Asegúrate que estas midiendo únicamente la "parte interior del anillo" y NO el anillo completo.</p>
        	<p>Aquí un ejemplo.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="300" height="100%" class="my-4" src="<?= $_URLST; ?>images/catalogo/medidor/01_compara_anillo_fisico_mide_por_dentro_matrimony.jpg">
        	</div>


        </div>
      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal-medir-dedo modal fade modal-medidor-anillos" role="dialog">
  <div class="modal-dialog mx-0" role="document">
    <div class="modal-content border-0">

      <div class="m-3">
        <p class="mt-4 mt-sm-0 fs20 pointer" data-dismiss="modal" aria-label="Close">
        	<b>
	          <i class="fa fa-arrow-left" aria-hidden="true"></i>
	          <label>Seleccionar un método distinto</label>
	      </b>
        </p>
      </div>

      <div class="container px-0">

        <div class="row justify-content-center">
        	<div class="col-4 col-md-3 col-lg-2">
        		<img class="img-fluid w-100" src="<?= $_URLST; ?>images/catalogo/medidor/mide_tu_mano_medidor_anillo_matrimony.png">
        	</div>
        </div>

        <div class="m-4">
        	<h3>MIDE TU DEDO</h3>
        	<p>Sigue los siguientes pasos para conocer la talla correcta de tu anillo.</p>

        	<p><b>1. Busca un "hilito" para enrollarlo en tu dedo.</b></p>
        	<p><b>Tip:</b> Si es de la persona a la que le vas a proponer matrimonio puedes tomarle prestado uno de sus anillos sin que se de cuenta.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="350" height="100%" class="m-4" src="<?= $_URLST; ?>images/catalogo/medidor/02_mide_tu_dedo_hilo_matrimony.jpg">
        	</div>

        	<p><b>2. Enrolla el hilo en tu dedo y pinta donde se entrecruzan los extremos del hilo.</b></p>
        	<p><b>Tip:</b> Procura que una vez enrollado el hilo, no te apriete mucho pero que tampoco te quede flojo.</p>

    		<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="350" height="100%" class="m-4" src="<?= $_URLST; ?>images/catalogo/medidor/02_mide_tu_dedo_hilo_marca_matrimony.jpg">
        	</div>

        	<p><b>3. Mide el hilo con ayuda de una regla.</b></p>
        	<p><b>Tip:</b> Recuerda estirar completamente el hilo para poder sacar una medida correcta.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="350" height="100%" class="m-4" src="<?= $_URLST; ?>images/catalogo/medidor/02_mide_tu_dedo_regla_matrimony.jpg">
        	</div>

        	<p><b>4. Ingresa tu medida.</b></p>

        	<p class="mb-0">Asegúrate que estas midiendo únicamente la "parte interior del anillo" y NO el anillo completo.</p>
        	<p>Aquí un ejemplo.</p>
        </div>

        <div class="ficha-info-med">
        	<div class="row">
	    		<div class="col-6 col-md-3">
	    			<p class="mb-0"><b>Unidad de medida</b></p>
	    			<select class="form-control tipo-medida">
	    				<option value="mm">Milímetros</option>
	    				<option value="cm">Centimetros</option>
	    			</select>
	    		</div>

	    		<div class="col-6 col-md-3">
	    			<p class="mb-0"><b>Medida</b></p>
	    			<input type="text" class="form-control input-medida" autocomplete="off" value="">
	    		</div>
	    	</div>

			<p class="color-red msg-error-medida"></p>
			<div class="d-flex justify-content-center justify-content-md-start">
    			<button class="btn-mt-dark btn-calcular" data-med="p" style="width: auto !important;">&nbsp;&nbsp;Calcular&nbsp;&nbsp;</button>
    		</div>

    	</div>

      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal-medir-anillo modal fade modal-medidor-anillos" role="dialog">
  <div class="modal-dialog mx-0" role="document">
    <div class="modal-content border-0">

      <div class="m-3">
        <p class="mt-4 mt-sm-0 fs20 pointer" data-dismiss="modal" aria-label="Close">
        	<b>
	          <i class="fa fa-arrow-left" aria-hidden="true"></i>
	          <label>Seleccionar un método distinto</label>
	      </b>
        </p>
      </div>

      <div class="container px-0">

        <div class="row justify-content-center">
        	<div class="col-4 col-md-2 col-xl-2">
        		<img class="img-fluid w-100" src="<?= $_URLST; ?>images/catalogo/medidor/mide_un_anillo_matrimony.png">
        	</div>
        </div>

        <div class="m-4">
        	<h3>MIDE UN ANILLO</h3>
        	<p>Sigue los siguientes pasos para conocer la talla correcta de tu anillo.</p>

        	<p><b>1. Busca un anillo que tengas que te quede a la perfección.</b></p>
        	<p><b>Tip:</b> Si es de la persona a la que le vas a proponer matrimonio puedes tomarle prestado uno de sus anillos sin que se de cuenta.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="120" height="100%" class="m-4" src="<?= $_URLST; ?>images/catalogo/medidor/01_compara_anillo_midiendo_dentro_matrimony.jpg">
        	</div>

        	<p><b>2. Utiliza una regla para medir el DIÁMETRO INTERIOR del anillo en milímetros.</b></p>
        	<p class="mb-0">Asegúrate que estas midiendo únicamente la "parte interior del anillo" y NO el anillo completo.</p>
        	<p>Aquí un ejemplo.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="300" height="100%" class="my-4" src="<?= $_URLST; ?>images/catalogo/medidor/01_compara_anillo_fisico_mide_por_dentro_matrimony.jpg">
        	</div>

        	<p><b>3. Ingresa tu medida.</b></p>
        </div>

        <div class="ficha-info-med">
        	<div class="row">
	    		<div class="col-6 col-md-3">
	    			<p class="mb-0"><b>Unidad de medida</b></p>
	    			<select class="form-control tipo-medida">
	    				<option value="mm">Milímetros</option>
	    				<option value="cm">Centimetros</option>
	    			</select>
	    		</div>

	    		<div class="col-6 col-md-3">
	    			<p class="mb-0"><b>Medida</b></p>
	    			<input type="text" class="form-control input-medida" autocomplete="off" value="">
	    		</div>
	    	</div>

			<p class="color-red msg-error-medida"></p>
			<div class="d-flex justify-content-center justify-content-md-start">
    			<button class="btn-mt-dark btn-calcular" data-med="d" style="width: auto !important;">&nbsp;&nbsp;Calcular&nbsp;&nbsp;</button>
    		</div>

    	</div>

      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal-imprimible modal fade modal-medidor-anillos" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content border-0">

      <div class="m-3">
        <p class="mt-4 mt-sm-0 fs20 pointer" data-dismiss="modal" aria-label="Close">
        	<b>
	          <i class="fa fa-arrow-left" aria-hidden="true"></i>
	          <label>Seleccionar un método distinto</label>
	      </b>
        </p>
      </div>

      <div class="container">

        <div class="row justify-content-center">
        	<div class="col-4 col-md-3 col-lg-2">
        		<img class="img-fluid w-100" src="<?= $_URLST; ?>images/catalogo/medidor/medidor_anillo_imprimible_matrimony.png">
        	</div>
        </div>

        <div class="mt-4">
        	<h3>MEDIDOR IMPRIMIBLE</h3>
        	<p>Sigue los siguientes pasos para conocer la talla correcta de tu anillo.</p>

        	<p><b>1. Imprime el siguiente documento en una hoja tamaño carta.</b></p>
        	<p><b>Tip:</b> La impresión debe salir a tamaño real por default, sin embargo nunca está de más verificar que las proporciones de la impresión sean correctas (Puedes verificar en la regla que se muestra en la parte de abajo del documento).</p>

        	
    		<div class="d-flex align-items-center my-5">
    			<i style="font-size: 4rem;" class="fa fa-file-text-o" aria-hidden="true"></i>
    			<a download href="<?= $_URLST; ?>docs/medidor_de_anillos_matrimony.pdf" class="btn-mt-dark ml-4" style="width: auto !important;">&nbsp;&nbsp;Imprimir&nbsp;&nbsp;</a>
    		</div>

        	<p><b>2. Verifica que el tamaño de la impresión en correcta.</b></p>
        	<p>Una vez que tengas impreso el documento, verifica con una regla que la línea de 5cm efectivamente tenga esa medida.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="350" height="100%" class="my-4" src="<?= $_URLST; ?>images/catalogo/medidor/04_medidor_imprimible_regla_matrimony.jpg">
        	</div>

        

        	<p class="mt-3 mb-0"><b>3. Corta con unas tijeras el medidor que imprimiste.</b></p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="300" height="100%" class="my-3" src="<?= $_URLST; ?>images/catalogo/medidor/04_medidor_imprimible_recortar_matrimony.jpg">
        	</div>

        	<p><b>4. Enrolla el dedo con el medidor.</b></p>
        	<p>Enrolla tu dedo con el medidor e inserta la punta en la ranura superior hasta que lo sientas en una posición comoda.</p>
        	<p>TIP: Procura que no te quede ni muy ajustado ni muy flojo.</p>
        	<p>** Si la medida te queda a la mitad de dos números utiliza la medida superior.</p>

        	<div class="d-flex justify-content-center justify-content-md-start">
        		<img width="150"  height="100%" class="my-4" src="<?= $_URLST; ?>images/catalogo/medidor/04_medidor_imprimible_tu_medida_matrimony.jpg">
        	</div>


        </div>
      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal-envio modal fade modal-medidor-anillos" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content border-0">

      <div class="m-3">
        <p class="mt-4 mt-sm-0 fs20 pointer" data-dismiss="modal" aria-label="Close">
        	<b>
	          <i class="fa fa-arrow-left" aria-hidden="true"></i>
	          <label>Seleccionar un método distinto</label>
	      </b>
        </p>
      </div>

      <div class="container">

      	<div class="row justify-content-center">
	      	<form id="form-info-envio" class="col-md-11 col-lg-9 col-xl-8 px-0">

				<div class="form-group">
					<span class="text-dark"><b>Nombre</b></span>
					<input type="text" name="nombre" id="nombre" class="required input-mt-1">
				</div>

				<div class="row">
					<div class="col-lg-6">
						<div class="form-group">
							<span class="text-dark"><b>Correo electrónico</b></span>
							<input type="email" name="correo" id="correo" class="required input-mt-1">
						</div>
					</div>
					
					<div class="col-lg-6">
						<div class="form-group">
							<span class="text-dark"><b>Teléfono celular</b></span>
							<input onkeypress="return IsNumeric(event);" ondrop="return false;" maxlength="10" onpaste="return false;" type="tel" name="telefono" autocomplete="off" id="telefono" class="required input-mt-1">
						</div>
					</div>
				</div>

				<div class="form-group">
					<span class="text-dark"><b>Calle</b></span>
					<input type="text" name="calle" id="calle" class="required input-mt-1">
				</div>

				<div class="row">
					<div class="col-6 col-md-4">
						<div class="form-group">
							<span class="text-dark"><b>No. exterior</b></span>
							<input type="text" name="num_e" class="input-mt-1">
						</div>
					</div>
					
					<div class="col-6 col-md-4">
						<div class="form-group">
							<span class="text-dark"><b>No. interior</b></span>
							<input type="text" name="num_i" class="input-mt-1">
						</div>
					</div>
					<div class="col-6 col-md-4">
						<div class="form-group">
							<span class="text-dark"><b>Código postal</b></span>
							<input type="text" name="cp" id="cp" class="dir_cp required input-mt-1">
						</div>
					</div>
					
					<div class="col-6 col-md-6">
						<div class="form-group">
							<span class="text-dark"><b>Colonia</b></span>
							<div class="dropdown dropdown-custom-select">
							  <button class="dropdown-toggle text-center colinia-selected" type="button" data-toggle="dropdown">
							    <span class="res">&nbsp;</span>
							    <span class="bg-arrow sel-col"></span>
							  </button>
							  <div class="dropdown-menu colonias">
							  	<a class="dropdown-item">Indica tu código postal</a>
							  </div>
							</div>
						</div>
						<input type="hidden" name="colonia" id="colonia" class="required">
					</div>


					<div class="col-md-6">
						<div class="form-group">
							<span class="text-dark"><b>Ciudad</b></span>
							<input type="text" readonly name="ciudad" id="ciudad" class="dir_ciudad input-mt-1">
						</div>
					</div>
				</div>

				<div class="row">
					
					<div class="col-md-6">
						<div class="form-group">
							<span class="text-dark"><b>Delegación</b></span>
							<input type="text" readonly name="delegacion" id="delegacion" class="dir_mun input-mt-1">
						</div>
					</div>

					<div class="col-md-6">
						<div class="form-group">
							<span class="text-dark"><b>Estado</b></span>
							<input type="text" readonly name="estado" id="estado" class="dir_edo input-mt-1">
						</div>
					</div>
					
				</div>

				<div class="d-flex justify-content-center">
					<div class="col-10">
						<div class="sep-mt-1 my-3"></div>
						<div id="pay-button"></div>
					</div>
				</div>
				<input type="hidden" name="<?= ev("ACTION"); ?>" id="<?= ev("ACTION"); ?>">
				<input type="hidden" name="<?= ev('IDPAYMENT'); ?>" id="<?= ev('IDPAYMENT'); ?>">
			</form>

			<div class="mt-5 col-md-11 col-lg-9 col-xl-8 px-0 ">
				<h5>IMPORTANTE:</h5>
				<p>Tu medidor es completamente gratuito y se manda por medio de Correos de México (SEPOMEXT) y el tiempo aproximado de entrega es de 3 a 5 días en la mayoría de los casos.</p>

				<p>Si tu pedido es urgente, te sugerimos continuar con la solicitud de tu anillero, además de intentar saber tu talla con otro método de medida.</p>

				<p>Con gusto uno de nuestros vendedores puede ayudarte.</p>
			</div>

		</div>

      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-medida" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content border-0 rounded-0">
      <div class="modal-header border-0">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <i class="fa fa-times" aria-hidden="true"></i>
        </button>
      </div>
      <div class="modal-body">
        <div class="row justify-content-center">
        	<img width="80" height="100%" class="mb-4" src="<?= $_URLST; ?>images/catalogo/medidor/anillo_1.png">
        	<div class="col-12 text-center">
        		<h2 class="mb-0">¡Felicidades!</h2>
	        	<p class="fs30 mb-0">Tu talla de anillo es:</p>

	        	<label id="medida" class="fs50 text-dark"><b id="medida_final"></b></label>
        	</div>
        </div>
      </div>
    </div>
  </div>
</div>


<div class="modal modal-mail-ok" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">¡Se ha solicitado medidor!</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="mail-msg"></div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn-matrimony rounded" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<div class="modal modal-errores" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">¡No se solicitó el medidor!</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
        </ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn-matrimony rounded" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>


<script>
	$(document).ready( ()=>{
		let modals = $('[class^="modal-"]');
		let header = $("body nav.navbar");

		modals.on('show.bs.modal', function () {
			setTimeout(function(){
				$('.modal-backdrop').addClass('modal-medidor-anillos');
			});
			setTimeout(function(){
				header.addClass('is-fixed is-visible');
			},300);
		});

		modals.on('hide.bs.modal', function () {
			header.removeClass('is-fixed is-visible');
			setTimeout(function(){
				$('.modal-backdrop').removeClass('modal-medidor-anillos');
			},500);
		});


		$(document).ready(function(){
			$('.modal').on("hidden.bs.modal", function (e) { 
			    if ($('.modal:visible').length) { 
			        $('body').addClass('modal-open');
			    }
			});

			<? if($_GET['ver_medidor']){ ?>
				// setTimeout(function(){
				// 	$('[data-target=".modal-medir-dedo"]').click();
				// },3500);
			<? } ?>
		});

		$('.input-medida').each(function(i,e){
			$(e).on('keypress',function(evt){
				var charCode = (evt.which) ? evt.which : event.keyCode

				var resp = true;

		        if (charCode > 31 && (charCode < 48 || charCode > 57))
		            resp = false;

		        if (charCode==46 && !$(e).val().includes('.'))
		        	resp = true;

		        return resp;
			});
		});

		$('.btn-calcular').each(function(i,e){
			$(e).on('click',function(){

				$('#medida_final').text('');

				let tmed = $(this).data('med');
				let parent = $(this).parent().parent();
				let input = parent.find('.input-medida');
				let msg = parent.find('.msg-error-medida');
				let mm_cm = parent.find('.tipo-medida').val();

				let med = $.trim( input.val() );

				//perimetro
				let medida_p = [45,46.2,47.5,48.8,50.2,51.3,52.8,54.1,55.4,56.7,58.2,59.5,60.7,61.9,63.3,64.6,65.7,67,68.3,69.5,70.7,72];

				//diametro
				let medida_d = [14,14.4,14.8,15.2,15.6,16,16.45,16.9,17.3,17.7,18.2,18.6,19,19.4,19.8,20.2,20.6,21,21.4,21.8,22.2,22.6];

				let medidas_finales = [3,3.5,4,4.5,5,5.5,6,6.5,7,7.5,8,8.5,9,9.5,10,10.5,11,11.5,12,12.5,13,13.5]

				eval('var medida_anillo = medida_'+tmed+';');

				var min_med = medida_anillo[0];
				var max_med = medida_anillo[medida_anillo.length - 1];

				if(mm_cm == 'cm')
					med*=10;

				var error = '';

				if(med<min_med)
					error = 'Tu medida es demasiado pequeña';

				if(med>max_med)
					error = 'Tu medida es demasiado grande';

				msg.text(error);

				if(!error){

					var medida_final = '';
					
					for(var i=0;i<medida_anillo.length;i++){
						var xmed0 = medida_anillo[i];
						var xmed1 = medida_anillo[i+1];

						if(med==xmed0){
							medida_final = medidas_finales[i];
							break;
						}

						if(med>=xmed0 && med<=xmed1){
							medida_final = medidas_finales[i+1];
							break;
						}
					}

					if(medida_final){
						$('#medida_final').text(medida_final);
						$('.modal-medida').modal('show');
					}

				}
			});
		});

	} );
</script>

<? if($_SESSION['SOYDES']==2){ ?>
<script>
var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}


let required = $('input.required').length;

$('input.required').change(function(){
	dexButton('Completa tu información de envío');
	var ix = 0;
	$('input.required').each(function(i,e){
		if(  $.trim($(e).val() ) != '' )
			ix++;
	});
	if(ix == required)
		validateInfo();
});

function validateInfo()
{
	dexButton('Validando información...');
	$('span.form-err').remove();
	$('#<?= ev("ACTION"); ?>').val('<?= codVal("VALIDAFORM"); ?>');
	let info = $('#form-info-envio').serialize();

	$.post('<?= $_URLBASE; ?>ac-medidor-anillos.html',info,function(data){
		let r = data.split('--codevalidateform--')[1];
	    let json = JSON.parse(r);

	    if(json.error==0){
	    	dexButton('Solicitar medidor gratis',true);
	   	}
	   	else{
	   		dexButton('Corrige tu información de envío');
	   		let errores = json.errores;
			let campos = Object.keys(errores);

			for(var i = 0; i< campos.length; i++){
				$('<span>',{class:'form-err',text:errores[campos[i]]})
				.appendTo($('#'+campos[i]).parent());
			}
	   	}
	});
}

function dexButton(text,set_event=false)
{
	$('#pay-button').html('');
	let button = $('<button>',{class:'btn-mt-dark',type:'button',disabled:true,text:text})
	.appendTo('#pay-button')
	.unbind();

	if(set_event){
		button.attr('disabled',false)
		.click(function(){
			var btn = $(this);
			btn.attr('disabled',true);
			btn.text('Solicitando medidor...');

			var func = function(json) {

				btn.attr('disabled',false);
				btn.text('Solicitar medidor gratis');

				if(json.error==0){
			   		$('.mail-msg').text(json.msg);
					$('.modal-mail-ok').modal('show');
					$('.modal-mail-ok').on('hidden.bs.modal', function (e) {
					  // window.location = json.thank_you_page;
					  window.location = window.location.href;
					});
			   	}
			   	else{
			   		let errores = json.errores;
					let campos = Object.keys(errores);

					for(var i = 0; i< campos.length; i++){
						$('<li>',{class:'list-group-item text-danger',text:errores[campos[i]]})
						.appendTo('.modal-errores .list-group');
					}
			   		$('.modal-errores').modal('show');
			   	}

			};
			solicitaMedidor(func);
		});
	}
}
dexButton('Solicitar medidor gratis');


function solicitaMedidor(funcx)
{
	$('span.form-err').remove();
	$('#<?= ev("ACTION"); ?>').val('<?= codVal("SOLICITA"); ?>');
	let info = $('#form-info-envio').serializeArray();

	let lista_errors = $('.modal-errores .list-group');
	lista_errors.html('');

	$.post('<?= $_URLBASE; ?>ac-medidor-anillos.html',info,function(data){
		console.log(data);
		let r = data.split('--codesolicita--')[1];
    	let json = JSON.parse(r);
    	funcx(json);
	});
}
</script>

<script>
	$('.dir_cp').change(function(){
		let cp = $.trim($(this).val());
		var bmsg = 'Buscando...';
		setInfo(bmsg,bmsg,bmsg,bmsg);
		$.post('<?= $_URLBASE; ?>ac-info_envio.html',{
			<?= ev("ACTION"); ?>: '<?= codVal("INFOCP"); ?>',
			<?= ev("cp");?>:  cp
		},function(data){
			let r = data.split('--codecp--')[1];
			let json = JSON.parse(r);

			$('.colonias').html('');

			if(json.error==1){
				let nor = '<a class="dropdown-item">Escribe otro código postal</a>';
				$('.colonias').html(nor);
				$('#colonia').val('');
				setInfo('','','','Sin resultados para CP: '+cp);
			}

			if(json.error==0){
				let info = json.infocp;
				setInfo(info.ciudad,info.municipio,info.estado,'Selecciona tu colonia');

				let colonias = json.colonias;
				let ids = Object.keys(colonias)
			
				for(var i=0; i<ids.length;i++){
					var col = colonias[ids[i]];
					$('<a>',{class:'dropdown-item',text:col})
					.click(function(){
						$('.colinia-selected span.res').html($(this).text());
						$('#colonia').val($(this).text());
						validateInfo();
					}).appendTo($('.colonias'));
				}
			}
		});
	});

	function setInfo(cd,mun,edo,aux)
	{
		$('.dir_ciudad').val(cd);
		$('.dir_mun').val(mun);
		$('.dir_edo').val(edo);
		$('.colinia-selected span.res').html(aux);
	}
</script>
<? } ?>