<style>
	body,.box-review textarea{
		background-color: #f4f7f9 !important;
	}
	.box-review textarea{
		border: 0 !important;
	}

	.text-primary{
		color: rgb(43,145,255) !important;
	}

	.rapp-container input{
		border: 0;
		outline: 0;
		background-color: #f4f7f9;
	}

	.btn-outline-primary{
		border: 2px solid rgb(43,145,255) !important;
		color: rgb(43,145,255) !important;
	}
	.btn-outline-primary:hover{
		border: 2px solid transparent;
	}
	.btn-outline-primary:hover:before, .btn-outline-primary:focus:before, .btn-outline-primary:active:before {
      width: 100%;
      background-color: rgb(43,145,255); }

    .nav-pills .nav-link,.btn-outline-primary{
		border: 1px solid rgb(43,145,255) !important;
		color: rgb(43,145,255) !important;
	}
	.nav-pills .nav-link.active{
		color: #fff !important;
	}

	.box-review{
     	border-top: 1px solid #000;
     	padding-top: 1.2rem;
     }

	label[for^="star-"]{
		cursor: pointer;
		font-size: 2rem;
		color:#FDCC0D
	}
	@media (max-width: 400px){
		label[for^="star-"]{
			font-size: 2rem !important;
		}
	}

	.item-box{
		position: relative;
	    width: 100px;
	    height: 100px;
	    background-color: #f4f7f9;
	    border-radius: 4px;
	}
	.item-box:before{
		content: " ";
		width: 50px;
		height: 2px;
		background-color: #aeaeae;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		margin: auto;
		border-radius: 3px;
	}
	.item-box:after{
		content: " ";
		height: 50px;
		width: 2px;
		background-color: #aeaeae;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		margin: auto;
		border-radius: 3px;
	}

	.user-ico{
		width: 45px;
		height: 45px;
		color: #ffffff;
		border-radius: 100%;
		background-color: rgb(43,145,255);
		font-size: 1rem;
		font-weight: 600;
		position: relative;
		display: flex;
		justify-content: center;
		align-items: center;
		margin: auto;
	}
	.user-ico:before{
		content: "L";
		position: absolute;
		bottom: 0;
		right: 0;
		width: 40%;
		height: 40%;
		padding: 0;
		border-radius: 100%;
		background-color: #00FF00;
		color: #ffffff;
		font-size: 0.7rem;
		border: 0.05rem solid #ffffff;
		transform: scale(-1, 1) rotate(-35deg);
		display: flex;
		justify-content: center;
		align-items: center;
		font-weight: 600;
	}
     
    .box-review b{color: #000;}

    .page-item.active .page-link{
	  	font-weight: 600;
	  	background-color: #fff;
	  	color: #007bff;
	  	font-size: 1.2rem;
		padding-top: 0.3rem;
	}
	  .page-link{
	  	border: unset !important;
	  }
</style>
<main class="main-content">
	<div class="container mb-5">

		<!-- <form method="get" id="form-cant">
			<div class="form-group">
				<label class="color-dark">
					Cantidad ver
				</label>
				<select name="CANT_VER" onchange="$('#form-cant').submit();">
					<option <?= $CANT_VER==10?"selected":""; ?> value="10">10</option>
					<option <?= $CANT_VER==25?"selected":""; ?> value="25">25</option>
					<option <?= $CANT_VER==50?"selected":""; ?> value="50">50</option>
					<option <?= $CANT_VER==100?"selected":""; ?> value="100">100</option>
				</select>
				<b> <?= $oClie->total_registros; ?> registros en total</b>
			</div>
		</form> -->

		<div class="pt-3">

			<div class="card border-0 px-3 pt-2">
			  	<div class="row py-2" style="border-bottom:1px solid #f4f7f9;">
			  		<div class="col-12">
			  			<h4 class="mb-0">Reseñas del producto</h4>
			  			<div class="">
			  				<div class="fs20">
								<? for($i=1;$i<=5;$i++){ ?>
									<i class="fa fa-star<?= ($i<=$prods_calf)?"":"-o"; ?> mr-1" aria-hidden="true" style="color:#FDCC0D; "></i>
								<? } ?>
								<small>(<?= round($prods_calf,2); ?>)</small>
							</div>
			  			</div>
			  		</div>
			  	</div>
			  	<div class="px-4 py-3">
			  		<div class="text-dark">
			  			<label><?= $cant_reviews*1; ?> Reseñas</label>
			  			<label class="pull-right">
			  				<a class="text-dark" href="<?= "$URL_POST?ORD=$orden"; ?>">Recientes <i class="fa fa-caret-<?= $orden ? "down" : "up"; ?>" aria-hidden="true"></i></a>
			  			</label>
			  		</div>

			  		<? if($reviews){ include_once($_PROYDIR_VIS."ficha_review1.php"); } ?>

			  	</div>

			  	<? if($fin_paginador>1){?>
						<div class="pager mb-3">
							<nav aria-label="Page navigation example">
							  <ul class="pagination mb-0">
							    <li class="page-item">
							      <a class="page-link" href="<?= $URL_POST."?".$filtros; ?>" aria-label="Previous">
							        <span aria-hidden="true">&laquo;</span>
							        <span class="sr-only">Previous</span>
							      </a>
							    </li>

							    <?php if($inicio_paginador>1){?>
							    <li class="page-item">
							      <a class="page-link" href="<?= $URL_POST."?PAG=".($inicio_paginador-1)."&".$filtros; ?>" aria-label="Previous">
							        <span aria-hidden="true">&lsaquo;</span>
							        <span class="sr-only">Previous</span>
							      </a>
							    </li>
								<?php } ?>

							    <?php for($i = $inicio_paginador; $i<=$fin_paginador; $i++){?>
							    	<li class="page-item <?= ($PAG==$i || ($i==1 && !$PAG))?'active':'';?>"><a class="page-link" href="<?= $URL_POST."?PAG=$i"."&".$filtros; ?>"><?= $i; ?></a></li>
							    <?php }?>

							    <li class="page-item"><a class="page-link">...</a></li>

							    <li class="page-item"><a class="page-link" href="<?= $URL_POST."?PAG=$total_paginas"."&".$filtros; ?>">
							    	<?= $total_paginas; ?></a>
							    </li>

							    <?php if($fin_paginador < $total_paginas){?>
							    <li class="page-item">
							      <a class="page-link" href="<?= $URL_POST."?PAG=".($fin_paginador+1)."&".$filtros; ?>" aria-label="Next">
							        <span aria-hidden="true">&rsaquo;</span>
							        <span class="sr-only">Next</span>
							      </a>
							    </li>
							    <?php }?>

							    <li class="page-item">
							      <a class="page-link" href="<?= $URL_POST."?PAG=$total_paginas"."&".$filtros; ?>" aria-label="Next">
							        <span aria-hidden="true">&raquo;</span>
							        <span class="sr-only">Next</span>
							      </a>
							    </li>

							  </ul>
							</nav>
						</div>
					<?php } ?>
			</div>

		</div>
		
	</div>
</main>