
<style>
	.image-middle{
		position: absolute;
	    width: 100px;
	    margin: auto;
	    left: 0;
	    right: 0;
	    top: -50px;
	    border-radius: 10px;
	}

	@media (max-width: 576px) {
        .image-middle{
            width: 60px;
            top: -30px;
        }
    }

    .cupon{
    	border: 1px solid gray;
	    border-radius: 10px;
	    padding: 1.3rem 0.5rem;
	    display: flex;
	    max-width: 420px;
    }


    .btn-cupon{
    	background-color: #fff;
	    border-style: dashed;
	    border-color: #6C7C8D;
	    width: 100%;
	    border-radius: 20px;
	    padding: 0.2rem;
	    font-weight: 700;
	    color: #6C7C8D;
	    font-size: 16px;
    }

    /* custom scrollbar */
    ::-webkit-scrollbar {
        width: 18px;
    }
    
    ::-webkit-scrollbar-track {
        background-color: transparent;
    }
    
    ::-webkit-scrollbar-thumb {
        background-image: linear-gradient(195deg, #6C7C8D 0%, #6C7C8D 50%);
        border-radius: 20px;
        border: 6px solid transparent;
        background-clip: content-box;
    }
    
    ::-webkit-scrollbar-thumb:hover {
        background-image: linear-gradient(195deg, #6C7C8D 0%, #6C7C8D 50%);
    }

    .custextarea:focus, .custextarea{
        border: none !important;
        width: 100%;
        outline: none !important;
        background-color: transparent !important;
    }
</style>

<? 
$container_col="col-lg-7 col-sm-10";
?>

<main class="main-content">
	<div class="container">

		<div class="pt-3 pt-lg-0">
			<a href="<?= $_URLBASE; ?>ac-proveedores.html" class="text-matrimony-primary">
				<b>
					 <i class="fa fa-arrow-left" aria-hidden="true"></i> 
					 Regresar al catálogo de proveedores
				</b>
			</a>
		</div>

		<div class="row justify-content-center">
			<div class="<?= $container_col; ?>">

				<div class="row justify-content-center my-5 text-center">
					<div class=" col-3 col-sm-4 col-md-3">
						 <img src="<?= $_URLST; ?>images/mat9/mensaje.svg" alt="" class="w-100" style="min-width: 80px;">
					</div>
				</div>

				<? if(!$CLIEPROV_idCliente){ ?>
				<h6 class="text-matrimony-primary ingresa-correo"><b>Ingresa tu correo para poder acceder a las ofertas de los proveedores</b></h6>

				<form id="form-cliente-proveedor" method="POST">
					<div class="form-group">
						<input type="email" class="input-mt-1 py-2" placeholder="Ingresa tu correo electrónico" name="correo" required>
						<div class="d-flex justify-content-end mt-3">
							<div class="col-sm-5 col-6">
								<button id="btn-login" type="submit" class="btn-mt-dark">Ingresar</button>
							</div>
						</div>
					</div>
					<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
  					<input type="hidden" name="<?= $action_post; ?>" value="<?= $login_correo; ?>">
				</form>
				<? }else{ ?>
					<div class="text-center my-4 text-matrimony-primary">
						<h6 class="mb-0">Bienvenido</h6>
						<h5 class="text-matrimony-primary"><b><?= $CLIEPROV_nombre; ?></b></h5>
					</div>
				<? } ?>

				<div class="my-5">
					<img class="w-100" src="<?= $url_img_banner ? $url_img_banner : $aux_banner; ?>" alt="">
					<div class="position-relative">
						<img src="<?= $url_img_logo ? $url_img_logo : $aux_logo; ?>" class="image-middle">
					</div>

				</div>

				<h5 class="my-3 text-center pt-3"><b><?= $neg_nombre_negocio; ?></b></h5>

				<div class="row justify-content-center mb-5">
					<? 
					$nofollow = ["instagram","facebook","cursor"];
					foreach($icons as $icon => $element){ 
						if($link = $element['link']){

						$title="";
						$target="target='_blank'";
						$rel = "";

						if($icon=="whatsapp-2"){
							$mensaje = urlencode("Hola! $neg_nombre_negocio.");
							$link = "https://api.whatsapp.com/send?phone=$link&text=$mensaje";
						}

						if($icon=="llamada-telefonica"){
							$target="data-target='.modal-telefonos' data-toggle='modal'";
							$link = "";
						}

						if(in_array($icon, $nofollow)){
							$rel = "rel='nofollow'";
						}

						?>
						<a <?= $title ?? ""; ?> <?= $target; ?> href="<?= $link; ?>" <?= $rel; ?>>
							<img src="<?= $_URLST; ?>images/mat9/<?= $icon; ?>.svg" class="mx-3" width="<?= $element['width']; ?>">
						</a>
					<? 
						}
					} ?>
				</div>

				<div class="col">
					<div class="">
						<h6><b>Descripción</b></h6>
						<? 
						$rows = count(explode("\n", $neg_descripcion));
						$rows = $rows<5 ? $rows : 5;
						?>
						<textarea readonly rows="<?= $rows; ?>" class="custextarea lh-1-3em text-dark"><?= $neg_descripcion; ?></textarea>
					</div>

					<di class="row mt-3 mb-5">
						<h6 class="m-0 w-100 d-none text-right text-matrimony-primary"><b>Ver más</b></h6>
					</di>

					<div class="row justify-content-center mb-5">
						<? 
						if($ofertas){ 
							$ico[1] = "tag";
							$ico[2] = "regalo";
							foreach($ofertas as $oferta){
							?>

							<div class="cupon mb-4">
								<div class="col">
									<img src="<?= $_URLST; ?>images/mat9/<?= $ico[$oferta['idTipoOferta']]; ?>.svg" width="45">
								</div>
								<div class="w-100">
									<h6><b><?= $oferta['titulo']; ?></b></h6>
									<p class="lh-1-3em m-0 text-dark">
										<?= $oferta['descripcion']; ?>
									</p>

									<div class="w-75">
										<? if($CLIEPROV_acceso_ofertas){ ?>
										<button data-toggle="dropdown" title="Clic para copiar" onclick="copyToClipboard(this)" class="btn-cupon cup my-3">
											<?= $oferta['cupon']; ?>
										</button>
										<div class="dropdown-menu py-2" aria-labelledby="dropdownMenuButton">
										    <a class="dropdown-item text-success" href="#"><?= $oferta['cupon'] ?> copiado!</a>
										</div>
										<? }else{ ?>
											<button data-toggle="dropdown" class="btn-cupon ver-cupong my-3">Ver cupón</button>
										<? } ?>
										<p class="lh-1-3em text-matrimony-primary fs12 text-center m-0">
											No olvides presentar tu cupón cuando contactes al proveedor.
										</p>
									</div>
								</div>
							</div>

							<? } 
						} ?>
					</div>
				</div>
				
			</div>
		</div>

	</div>

	<? $oVis->include_component("modales-proveedor-desc"); ?>
	<? $oVis->include_component("../modal-noacceso-ofertas"); ?>

	<script type="text/javascript">

		
		$('.ver-cupong').click(function(){
			$("html, body").animate({ scrollTop: 0 }, "slow");
			var el = $('.ingresa-correo').addClass('rebote-5');
			setTimeout(()=>{
				el.removeClass('rebote-5');
			},5500)
		});

		function copyToClipboard(element) {
		    var $temp = $("<input>");
		    $("body").append($temp);
		    $temp.val($(element).text()).select();
		    document.execCommand("copy");
		    $temp.remove();
		}

		$(document).ready(()=>{

			setTimeout(()=>{
				$('.btn-cupon.cup').click();
			},1000)

			const form = $('#form-cliente-proveedor');
			const btnlogin = $('#btn-login');
			const error_class = 'border border-danger';

			form.on('submit', function(event){
		        event.preventDefault();
		        var formData = new FormData($(this)[0]);

		        $('.span-error').remove()
		        btnlogin.text('Ingresando...');
		        btnlogin.attr('disabled',true)
		        $('.input-val-s').removeClass(error_class);
		        
		        $.ajax({
		            type : 'POST',
		            url : '<?= $_URLBASE; ?>ac-proveedores.html',
		            data : formData,
		            dataType: 'json',
		            processData : false,
		            contentType : false,
		            success : function(data){
		            	btnlogin.attr('disabled',false)
		            	btnlogin.text('Ingresar');
		            	console.log(data)

		            	switch(data.error){
		            		case 0:
		            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo(form)
		            			window.location='<?= $_URL_PROV; ?>';
		            		break;

		            		case 1:
		            			if(data.errores!=null){
		            				for(var error in data.errores) {
									   var input = form.find('[name="'+error+'"]');
									   input.attr('title',data.errores[error]).addClass(error_class);
									   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent().parent())
									}
		            			}
		            		break;

		            		case 2:
		            			// $('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo(form)
		            			$('.modal-no-acceso-ofertas').modal('show');
		            		break;
		            	}
		            },
		             error: function (jqXhr, textStatus, errorMessage) { // error callback 
		             	btnlogin.attr('disabled',false)
		             	btnlogin.text('Ingresar');
		             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
				        alert('Ocurrió un error.');
				    }
		        });

		    });
		})
	</script>

	<? include_once($_PROYDIR_VIS."mod_info_pie.php"); ?>
</main>