<main class="main-content"> 
	<div class="container">
		<div class="row justify-content-center">
			<div class="container">
				<div class="row justify-content-center">
					<form id="reset-password" class="col-10 col-xl-4 col-lg-5 col-md-7 mt-4">

						<h4 class="w-100 my-4 text-center"><b>ACTUALIZAR CONTRASEÑA</b></h4>

		      			<h6 class="mb-0"><b>Nueva contraseña</b></h6>
				        <div class="mb-2">
				        	<input class="input-mt-1" type="password" name="<?= $clave; ?>" placeholder="Escribe aquí">
				        </div>
		      		
		      			<h6 class="mb-0"><b>Repetir contraseña</b></h6>
				        <div class="mb-2">
				        	<input class="input-mt-1" type="password" name="<?= $clave; ?>_r" placeholder="Escribe aquí">
				        </div>
				      	<div class="w-100">
				      		<button id="btn-reset" type="submit" class="btn-mt-dark btn-block">Actualizar contraseña</button>
				      		<div class="text-right">
				      			<a href="<?= $_URLBASE; ?>ac-acceso-proveedores.html?V=LOGIN" class="text-primary pr-3 fs16  color-blue">
									Iniciar Sesión
								</a>
				      		</div>
				      		<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
	      					<input type="hidden" name="<?= $action_post; ?>" value="<?= $action_reset; ?>">
				      		<div class="text-center">
				      			<div id="login-result"></div>
				      		</div>
				      	</div>

				    </form>
				</div>
			</div>
		</div>
	</div>
</main>
<script>
$(document).ready(function() {
    
    $('#reset-password').on('submit', function(event){
        event.preventDefault();
        var formData = new FormData($(this)[0]);

        $('#login-result').text('')
        $('#login-result').attr('class','')

        $('#btn-reset').attr('disabled',true)
        $('#btn-reset').text('Comprobando...');
        
        $.ajax({
            type : 'POST',
            // url : '<?= $oVis->url(); ?>',
            url : window.location.href,
            data : formData,
            dataType: 'json',
            processData : false,
            contentType : false,
            success : function(data){
            	$('#btn-reset').attr('disabled',false)
            	$('#btn-reset').text('Actualizar contraseña');

            	switch(data.error){
            		case 0:
            			// $('#btn-reset').attr('disabled',true)
            			$('#login-result').text(data.msg)
        				$('#login-result').attr('class','text-success')
        				window.location='<?= $_URLBASE; ?>ac-acceso-proveedores.html?V=LOGIN'
            		break;

            		case 1:
            			$('#login-result').text(data.msg)
        				$('#login-result').attr('class','text-danger')
            		break;

            		case 2:
            			$('#login-result').text(data.errores)
        				$('#login-result').attr('class','text-danger')
            		break;

            		case 3:
            			$('#login-result').text(data.msg)
        				$('#login-result').attr('class','text-danger')
            		break;

            	}
            },
             error: function (jqXhr, textStatus, errorMessage) { // error callback 
             	$('#btn-reset').attr('disabled',false)
             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
		        alert('error');
		        $('#btn-reset').attr('disabled',false)
		        $('#btn-reset').text('Actualizar contraseña');
		    }
        });

    });
});
</script>