<? if($sucursales){ 
	$_URLST = str_replace("_sis", "_principal", $_URLST);
?>
<div id="accordion">
	<? foreach($sucursales as $i => $sucursal){ ?>
  <div class="card card-sucursal">
  	<span title="Eliminar sucursal" class="delete" data-sdelete="<?= codVal($sucursal['idSucursal']); ?>"></span>
    <div class="card-header  p-0" id="heading-<?= $i;?>">
      <h5 class="mb-0">
        <button class="text-left input-cus-1 p-2" data-toggle="collapse" data-target="#collapse-<?= $i; ?>" aria-expanded="true" aria-controls="collapse-<?= $i; ?>">
        	<div class="d-flex">
        		<img src="<?= $_URLST; ?>images/mat9/marcador-de-posicion.svg" class="mx-3" width="20">
        		<b class="text-dark fs16"><?= $sucursal['estado']; ?></b>
        	</div>
        </button>
      </h5>
    </div>

    <div id="collapse-<?= $i; ?>" class="collapse <?= !$i ? "show" : ""; ?>" aria-labelledby="heading-<?= $i;?>" data-parent="#accordion">
      <div class="card-body">
        <p class="lh-1-3em m-0 text-dark">
						<?= $sucursal['calle']; ?> <?= $sucursal['num_e']; ?>-<?= $sucursal['num_i']; ?>,<?= $sucursal['colonia']; ?>, <?= $sucursal['delegacion']; ?>,CP <?= $sucursal['cp']; ?>. <?= $sucursal['ciudad']; ?>, <?= $sucursal['estado']; ?>.
				</p>
				<div class="mt-2">
					<a href="javascript:" class="text-primary" data-sucursal="<?= codVal($sucursal['idSucursal']);?>"><b>Editar</b></a>
				</div>
      </div>
    </div>
  </div>
	<? } ?>
</div>
<? } ?>

<div class="mt-3">
	<button class="btn btn-outline-primary btn-block p-1" data-toggle="modal" data-target=".modal-nueva-sucursal">
		Nueva sucursal
	</button>
</div>

<!-- Modal nueva sucursal-->
<div class="modal fade modal-editar-sucursal" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <form id="form-editar-sucursal" class="modal-content modal-content-br-10">
      <div class="modal-header border-0">
        <h4 class="w-100 text-center modal-title mt-3"><b></b></h4>
        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
      </div>
      <div class="modal-body modal-body-sucursal">
      	<div class="content-form">
	      		<div class="form-group">
	      			<h6 class="mb-0"><b>Calle</b></h6>
			        <div class="">
			        	<input class="input-cus-1 input-val-s calle" type="text" name="<?= $s_calle; ?>" placeholder="Escribe aquí">
			        </div>
	      		</div>

		      	<div class="form-group">
		      		<h6 class="mb-0"><b>Número exterior</b></h6>
		        	<div class="">
		        		<input class="input-cus-1 input-val-s nume" type="text" name="<?= $s_num_e; ?>" placeholder="Escribe aquí">
		        	</div>
		      	</div>

		        <div class="form-group">
		        	<h6 class="mb-0"><b>Número interior (opcional)</b></h6>
			        <div class="">
			        	<input class="input-cus-1 input-val-s numi" type="text" name="<?= $s_num_i; ?>" placeholder="Escribe aquí">
			        </div>
		        </div>

		        <div class="form-group">
		        	<h6 class="mb-0"><b>Código postal</b></h6>
			        <div class="">
			        	<input class="input-cus-1 input-val-s cpostal" type="text" onchange="getCpData(this.value)" onkeypress="return isNumeric(event)" maxlength="20" name="<?= $s_cp; ?>" placeholder="Escribe aquí">
			        </div>
		        </div>

		        <div class="form-group">
			        <h6 class="mb-0"><b>Colonia</b></h6>
			        <div class="">
			        	<!-- <input class="input-cus-1 input-val-s" type="text"  placeholder="Escribe aquí"> -->
			        	<select name="<?= $s_colonia; ?>" class="input-cus-1 input-val-s py-2 colonias">
			        		<option value="0" class="op-default">Escribe tu CP primero</option>
			        	</select>
			        </div>
			    	</div>

		        <div class="form-group">
			        <h6 class="mb-0"><b>Delegación</b></h6>
			        <div class="">
			        	<input class="input-cus-1 input-val-s delegacion" type="text" name="<?= $s_delegacion; ?>" placeholder="Escribe aquí" readonly>
			        </div>
			    	</div>

		        <div class="form-group">
			        <h6 class="mb-0"><b>Ciudad</b></h6>
			        <div class="">
			        	<input class="input-cus-1 input-val-s ciudad" type="text" name="<?= $s_ciudad; ?>" placeholder="Escribe aquí" readonly>
			        </div>
			    	</div>

				    <div class="form-group">
				        <h6 class="mb-0"><b>Estado</b></h6>
				        <div class="">
				        	<input class="input-cus-1 input-val-s estado" type="text" name="<?= $s_estado; ?>" placeholder="Escribe aquí" readonly>
				        </div>
				    </div>

				    <div class="">
				    	<button id="btn-edita-sucursal" type="submit" class="btn-matrimony btn-block">Guardar</button>
				    	<input type="hidden" name="<?= $s_idSucursal; ?>">
				    </div>
				  </div>
      </div>
    </form>
  </div>
</div>