<div class="card border-0 mb-4">

	<div class="p-3">
		<h4 class="mb-0"><b>Información general</b></h4>
	</div>

	<hr>

	<div class="info-prod px-3 pt-3 pb-3">
		
		<div class="form-group mb-0">
			<label class="text-dark"><b>Nombre del producto</b></label>
			<div class="input-group">
			  <input type="text" data-mirror=".for-prod-title" data-onlyempty="true" class="form-control prod-cmp" data-max-type="<?= $MAX_NOM; ?>" name="<?= $var_nombre; ?>" placeholder="Escribe aquí el nombre del producto..." value="<?= $EDITAR_nombre; ?>">
			</div>
		</div>

		<div class="form-group">
			<label class="text-dark"><b>Descripción del producto</b></label>
			<textarea rows="4" data-max-type="<?= $MAX_DESC; ?>" class="form-control prod-cmp" placeholder="Escribe aquí la descripcion del producto..." name="<?= $var_descripcion; ?>"><?= $EDITAR_descripcion; ?></textarea>
		</div>

	</div>

	<hr>

	<div class="seo-prod mb-4 p-3">
		
		<h6><b>Optimización SEO</b></h6>

		<div class="">
			<div>
				<label style="color: rgb(107,40,191);">
					<span class="for-prod-title for-prod-title-aux"><?= $EDITAR_title; ?></span>
				</label>
			</div>

			<div><label href="#" class="text-success">
				<small>
					<?= $_URLBASE; ?>cad-<span class="for-prod-title for-url-producto" data-format="url"><?= $BASE_NOM_URL; ?></span>--sku<span class="sku-producto"><?= $BASE_SKU_URL; ?></span>.html
				</small>
			</label></div>
			<p class="text-dark for-prod-meta-desc"><?= $EDITAR_meta_descripcion; ?></p>
		</div>
	</div>

	<div class="info-prod-2 p-3">
		
		<div class="form-group">
			<label class="text-dark"><b>Titulo de la página</b></label>
			<div class="input-group">
			  <input type="text" data-mirror=".for-prod-title-aux" class="form-control for-prod-title" data-nomirror=".for-prod-title" data-max-type="<?= $MAX_TIT; ?>" name="<?= $var_title; ?>" placeholder="Escribe aquí el titulo de la página..." value="<?= $EDITAR_title; ?>">
			</div>
		</div>

		<div class="form-group">
			<label class="text-dark"><b>Descripción del producto</b> NOTA: Recomendable máximo 150 caracteres para SEO.</label>
			<textarea data-max-type="<?= $MAX_DESC_SEO; ?>" data-mirror=".for-prod-meta-desc" rows="4" class="form-control" placeholder="Escribe aquí la descripción del producto" name="<?= $var_metadescripcion; ?>"><?= $EDITAR_meta_descripcion; ?></textarea>
		</div>

		<div class="form-group">
			<label class="text-dark"><b>URL e identificador</b></label>
			<div class="input-group">
			  <input type="text" class="form-control for-prod-title url-mirror forcemirror"  data-max-type="<?= $MAX_URL; ?>" data-nomirror=".for-url-producto" data-format-sssssss="url" data-mirror=".for-url-producto" name="<?= $var_nombreurl; ?>" value="<?= $EDITAR_nombre_url; ?>">
			</div>

			<div class="input-group">
				<div class="div-url">
				  	<small>
				  		<?= $_URLBASE."cad-"; ?><span data-format="url" class="url-format for-url-producto for-prod-title"><?= $BASE_NOM_URL; ?></span><span>--sku<span class="sku-producto"><?= $BASE_SKU_URL; ?></span>.html</span>
				  	</small>
				 </div>
			</div>
		</div>

	</div>
</div>