<div id="no-review" class="my-5 row justify-content-center">
	<div class="col-md-5 text-center">
		<h5 class="mb-4">No hay reseñas</h5>
		<form id="form-send-resena" class="mb-2 position-relative">
			<button type="submit" class="btn-matrimony btn-block btn-sm">Solicitar reseña por correo</button>
			<input type="hidden" name="<?= ev("correo"); ?>" value="<?= $ses_correo; ?>" readonly>
			<input type="hidden" name="<?= $POST_ACTION; ?>" value="<?= codVal("SEND-REVIEW-LINK"); ?>" readonly>
			<div class="position-absolute h-100 d-flex justify-content-center align-items-center" style="top:0;right: -65px;">
				<b id="mail-send-resena" class="text-success"></b>
			</div>
		</form>
		<div class="position-relative">
			<button id="link-resena" type="button" class="btn-matrimony btn-block btn-sm">Copiar link reseña</button>
			<input type="text" style="z-index: -2; opacity: 0; position: absolute;" id="link-resena-url" value="<?= $_URLREVIEW; ?>">
			<div class="position-absolute h-100 d-flex justify-content-center align-items-center" style="top:0;right: -65px;">
				<b id="copied-resena" class="text-success"></b>
			</div>
		</div>
	</div>
</div>

<script>
	$(document).ready(()=>{
		$('#form-send-resena').on('submit', function(event) {
		    	event.preventDefault();
		    	var xdata = $('#form-send-resena').serialize();
		    	var inputs = $('#no-review').find('input,button');
		    	inputs.attr('disabled',true);

		    	$.post('<?= $URLPOST_REVIEW; ?>',xdata,function(data){
		    		let resp = data.split('--codeup--');
		    		let json = null;
		    		try{
		    			json = JSON.parse( resp[1] );
		    		}catch(err){
		    			alert(err.message);
		    		}

		    		if(json != null) {
		    			console.log(json);
		    			if(!json.error){
		    				$('#mail-send-resena').text(json.msg);
		    			}else{
		    				alert(json.errores);
		    			}
		    		}
					inputs.attr('disabled',false);
				});
		  });
	});
</script>