<main class="main-content">
	<div class="container rapp-container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-contabilidad.html" class="text-dark">Contabilidad</a></h4>
			</div>
		</div>

		<form method="get" id="form-cant">
			<div class="form-group">
				<label class="color-dark">
					Cantidad ver
				</label>
				<select name="CANT_VER" onchange="$('#form-cant').submit();">
					<option <?= $CANT_VER==10?"selected":""; ?> value="30">30</option>
					<option <?= $CANT_VER==25?"selected":""; ?> value="50">50</option>
					<option <?= $CANT_VER==50?"selected":""; ?> value="100">100</option>
					<option <?= $CANT_VER==100?"selected":""; ?> value="200">200</option>
				</select>
				<b> <?= $oVent->total_archivos; ?> registros en total</b>
				<? if(fun_permisos_v2("all") && $oVent->total_archivos){ ?>
				<a href="<?= $_THIS_URL."?".$filtros; ?>&csv=contabilidad">
					<b class="pull-right text-primary">
						<i class="fa fa-download" aria-hidden="true"></i> Descargar <span><?= $oVent->total_archivos; ?> registros</span>
						<i class="fa fa-file-excel-o" aria-hidden="true"></i>
					</b>
				</a>
				<? } ?>
			</div>
		</form>

		<div class="row mb-4">
			<div class="col-12">
				<div class="card border-0">

					<div class="row justify-content-center p-3">
						<div class="col-6 col-lg-4">
							<h4 class="mb-0"><b>Contabilidad</b></h4>
						</div>

						<div class="col-6 col-lg-3">
							<div class="d-flex">
									<button id="nueva-op-cont" data-toggle="modal" data-target="#modal-operacion-contabilidad" class="btn-matrimony btn-block">Nueva operación</button>
							</div>
						</div>

						<div class="col-lg-5 mt-3 mt-lg-0">
							<form method="get" id="form-st" action="<?= $_THIS_URL; ?>">
								<input type="text" id="input-srch" name="SRCH" class="form-control" placeholder="Buscar ID" value="<?= $SRCH; ?>">
								<div class="d-flex justify-content-end mt-3">
									<div class="d-flex">
										<div class="pr-1">
											<div>Fecha inicio:</div>
											<input  type="text" class="form-control datepicker" placeholder="Fecha inicio" name="F1" value="<?= $F1; ?>">
										</div>
										<div class="pl-1">
											<div>Fecha fin:</div>
											<input type="text" class="form-control datepicker" placeholder="Fecha fin" name="F2" value="<?= $F2; ?>">
										</div>
									</div>
									<?/*
									<div>
										<div>Estado:</div>
										<select class="form-control" name="ST" onchange="$('#form-st').submit();">
											<option <?= !$_GET['ST']?"selected":""; ?> value="">Todos</option>
											<option <?= $_GET['ST']=="1"?"selected":""; ?> value="1">Pagados</option>
											<option <?= $_GET['ST']=="2"?"selected":""; ?> value="2">Debe</option>
										</select>
									</div>
									*/?>
								</div>
							</form>
						</div>
					</div>

					<hr class="m-0">

					<div class="p-4">
						<? if($regs_contabilidad){ ?>
						<table class="table text-dark">
							<thead>
								<tr class="text-center">
									<th class="border-0">Fecha</th>
									<th class="border-0">ID</th>
									<th class="border-0">AGENTE</th>
									<th class="border-0">Concepto</th>
									<th class="border-0">Detalle</th>
									<th class="border-0">Importe</th>
									<th class="border-0"></th>
								</tr>
							</thead>
							<tbody class="text-center">
								<?
								
								foreach($regs_contabilidad as $k => $regs){

									$contable=0;

									foreach ($regs as $k2 => $reg) {
										extract($reg,EXTR_PREFIX_ALL,"ped");

												$idMovCod=codVal($ped_idMovimiento);

									 			$date = date_create($ped__fechaIns);
								        $fecha = strftime("%A %d de %B del %G", strtotime($ped__fechaIns)); 
								        $hora = date_format($date, 'g:i:s A');

								        $auxsing="-";
								        $class_text="text-danger";
								        if($ped_signo==1){
								        	$class_text="text-success";
								        	$auxsing="";
								        }

								        $contable+=($ped_importe_gasto*$ped_signo);

												$file=cargaComptobante($ped_id_doc_des,$ped_idMovimiento,$ped_signo,$format);
												$datafile="data-mov='$idMovCod' ";
												$clip="";
												$xclass="upload";

												if($format){
													$clip="-active";
													$datafile.=" data-comprobante='$file'";
													$format="";
													$xclass="";
												}

								        ?>
								        <tr>
														<td class="border-0" width="25%"><?= $fecha." ".$hora; ?></td>
														<td class="border-0 text-primary" width="15%">
															<b><?= $ped_id_doc_des; ?></b>
														</td>
														<td class="border-0" width="30%">
															<?= $ped_agente ?? ""; ?> 
														</td>
														<td class="border-0" width="20%"><?= $ped_detalle; ?></td>
														<td class="border-0" width="20%"><?= $ped_detale_ingreso; ?></td>
														<td class="border-0 <?= $class_text; ?>" width="15%"><?= $auxsing; ?>$<?= number_format($ped_importe_gasto,2); ?></td>
														<td width="15%" class="text-center border-0">
															<img <?= $datafile; ?> class="unevent <?= $xclass; ?>" src="<?= $_URLST; ?>imgs/admin/paper-clip<?= $clip; ?>.svg" width="30">
														</td>
														<td class="border-0 text-right" width="25%">
															<a class="text-primary" href="javascript:editaMovimento('<?= $idMovCod; ?>')">Editar</a>
														</td>
												</tr>
								        <?
									}
								 ?>
								<tr class="d-none">
									<td class="border-0 text-right" colspan="5">
										<b>Contable: $<?= number_format($contable,2); ?></b>
									</td>
								</tr>
							<? } ?>
							</tbody>
						</table>

						<? if($fin_paginador>=1){?>
						<div class="pager">
							<nav aria-label="Page navigation example">
							  <ul class="pagination mb-0">
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?".$filtros; ?>" aria-label="Previous">
							        <span aria-hidden="true">&laquo;</span>
							        <span class="sr-only">Previous</span>
							      </a>
							    </li>

							    <?php if($inicio_paginador>1){?>
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($inicio_paginador-1)."&".$filtros; ?>" aria-label="Previous">
							        <span aria-hidden="true">&lsaquo;</span>
							        <span class="sr-only">Previous</span>
							      </a>
							    </li>
								<?php } ?>

							    <?php for($i = $inicio_paginador; $i<=$fin_paginador; $i++){?>
							    	<li class="page-item <?= ($PAG==$i || ($i==1 && !$PAG))?'active':'';?>"><a class="page-link" href="<?= $_THIS_URL."?PAG=$i"."&".$filtros; ?>"><?= $i; ?></a></li>
							    <?php }?>

							    <li class="page-item"><a class="page-link">...</a></li>

							    <li class="page-item"><a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>">
							    	<?= $total_paginas; ?></a>
							    </li>

							    <?php if($fin_paginador < $total_paginas){?>
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($fin_paginador+1)."&".$filtros; ?>" aria-label="Next">
							        <span aria-hidden="true">&rsaquo;</span>
							        <span class="sr-only">Next</span>
							      </a>
							    </li>
							    <?php }?>

							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>" aria-label="Next">
							        <span aria-hidden="true">&raquo;</span>
							        <span class="sr-only">Next</span>
							      </a>
							    </li>

							  </ul>
							</nav>
						</div>
						<?php } ?>
						<? }else{ ?>
							<? if($SRCH){ ?>
								<h4>No se encontró ID <span class="text-primary"><?= $SRCH; ?></span></h4>
								<a href="<?= $_THIS_URL; ?>" class="btn-matrimony">Ver todos</a>
							<? } else{ ?>
								<h4>Sin registros contabilidad</h4>
							<? } ?>
						<? } ?>

					</div>

				</div>
			</div>
		</div>
		
	</div>
</main>

<!-- Modal comprobante-->
<div class="modal fade" id="modal-comprobante" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Comprobante</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body p-0">
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary btn-sm py-2" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<? include_once($_PROYDIR_VIS."mod_gasto_ingreso.php"); ?>
<script>

	$('#nueva-op-cont').click(function(){
		$("#agente").text('<?= strtoupper($_SESSION['SESUS_login']); ?>');
	});

	function setClickEventComprobanteShow() {
		$('img[data-mov].upload').each(function(i,e){
			$(e).click(function(){
				if($(this).hasClass('unevent')){
					editaMovimento($(this).data('mov'));
					$('#btn-serch-comprobante').click();
				}
			}).removeClass('upload');
		});
	}

	function setClickEventComprobante(){
		$('img[data-comprobante].unevent').each(function(i,e){
			$(e).click(function(){
				var modal=$('#modal-comprobante');
				var comprobante=$(this).data('comprobante');
				var format=comprobante.split('.');
				var ext=format[format.length-1];
				var content='';
				modal.find('.modal-dialog').removeAttr('style');
				if(ext=='pdf'){
					modal.find('.modal-dialog').css({width:'90%','max-width':'1200px'});
					var content=$('<iframe>',{src:comprobante,frameborder:'0',style:'height:800px; width:100%;'});	
				}else{
					var content=$('<img>',{src:comprobante,width:'100%'});	
				}
				
				modal.find('.modal-body').html(content);
				modal.modal('show');

			}).removeClass('unevent');;

		});
	}

	function editaMovimento(mov){

		var form = $('#form-operaciones-contabilidad');

		form.find('input.clear').val('').attr('disabled',true);
		$(".dropdown-toggle").attr("disabled",true);
		$('#form-comprobante').find('#id_mov_op').remove();
		form.hide();

		$('#modal-operacion-contabilidad').modal('show');
		$('.capture-response').html('');
		$('<h4>',{id:'load-msg',class:'p-3 text-center',text:'Cargando...'}).appendTo(form.parent());

		$.post('<?= $_THIS_URL; ?>',{mov:mov},function(data){
				$('#load-msg').remove();
					form.show();
	    		let resp = data.split('--codeup--');
	    		let json = null;
	    		try{
	    			json = JSON.parse(resp[1]);
	    		}catch(err){
	    			alert(err.message);
	    		}

	    		if(json != null) {
	    			console.log(json);

	    			if(!json.error){


	    				$('#btn-op-'+json.data.type).click();
	    				$('#s-operaciones-contabilidad').hide();

	    				$("input[name='fecha_operacion']").val(json.data.fecha);
	    				form.find('input[value="'+json.data.concepto+'"]').click();
	    				$("input[name='monto_contabilidad']").val(json.data.monto);
	    				$("#input_pedido").val(json.data.referencia);
	    				$("#agente").text(json.data.agente??'');

	    				$('<input>',{type:'hidden',id:'id_mov_op',value:mov,name:'<?= ev("idMovimiento"); ?>'}).appendTo('#form-comprobante');
	    				$('#save-operation').hide();

	    				if(json.data.url!=null){

	    					//Si existe archivo se tiene que cerrar
	    					//$('#btn-serch-comprobante').hide();

	    					var div = $('<div>',{class:'text-center position-relative',style:'width:max-content'}).appendTo('.capture-response');
	    					$('<span>',{class:'del',html:'&times;',title:'Eliminar comprobante'}).click(function(){
		    						$('#form-comprobante').submit();
		    					}).appendTo(div);
		    				$('<i>',{class:'fs30 text-dark fa '+json.data.ico}).appendTo(div);
		    				$('<br>').appendTo(div);
		    				var a=$('<a>',{class:'text-dark',text:json.data.name,href:json.data.url,target:'_blank'}).appendTo(div);
	    				}else{
	    					$('#btn-serch-comprobante').show();
	    				}
	    			}else{
	    				alert(json.errores);
	    			}
	    		}

		});
	}

$(document).ready(function() {

	setClickEventComprobanteShow();
	setClickEventComprobante();

	$('.datepicker').each(function(i,e){
		$(e).datepicker({
	        dateFormat: 'yy-mm-dd',
	        showOtherMonths: true,
	        // minDate: 0,
	        maxDate:0,
	        onSelect: function() {
		       $('#form-st').submit();
		    }
	    });
	});

	$('#input-srch').keypress(function (ev) {
      var keycode = (ev.keyCode ? ev.keyCode : ev.which);
      if (keycode == '13') {
          $('#form-st').submit();
      }
  });


	$('#modal-operacion-contabilidad').on('hidden.bs.modal', function () {
	    $('#form-operaciones-contabilidad').find('input.clear').val('').attr('disabled',false);
	    $('#form-comprobante').find('#id_mov_op').remove();
	    $(".dropdown-toggle").attr("disabled",false);
	    $('#s-operaciones-contabilidad').show();
	    $('#btn-serch-comprobante').show();
	    $('.capture-response').html('');
	    $('#save-operation').show();
	});

});

$('.nav-pills li').each(function(i,e){
	$(e).click(function(){
		$('.nav-pills li input[type="radio"]').attr('checked',false);
		$(this).children('input[type="radio"]').attr('checked',true);
		$('#pst-action').val($(this).data('op'));
	});
});

$('input[name="operation"]').each(function(i,e){
	if($(e).is(':checked')){
		$(e).next().click();
		$('#pst-action').val($(this).parent().data('op'));
	}
});

$('.pago-ingreso-select input[id^="pago-"]').each(function(i,e){
	$(e).click(function(){
		selectTipoIngreso(this);
	});

	if($(e).is(':checked')){
		selectTipoIngreso(e);
	}
});

$('.pago-gasto-select').each(function(i0,e0){
	$(e0).find('input[id^="concepto-"]').each(function(i,e){
		$(e).click(function(){
			selectTipoGasto(e0,this);
		});

		if($(e).is(':checked')){
			selectTipoGasto(e0,e);
		}
	});
});

function selectTipoIngreso(e){
		$('.pago-ingreso-select label[for^="pago-"]').removeClass("selected");
		$(e).parent().addClass("selected");
		$('.ingreso-pay-method').text($(e).parent().text());
}

function selectTipoGasto(ep,e){
		$(ep).find('label[for^="concepto-"]').removeClass("selected");
		$(ep).find('.gasto-pay-method').text($(e).parent().text());
		$(e).parent().addClass("selected");
}
<?/*
$('#form-gasto-ingreso').on('submit', function(event) {
	event.preventDefault();
	var xdata = $('#form-gasto-ingreso').serialize();
	var inputs = $('#gasto-ingreso').find('input,button');
	inputs.attr('disabled',true);

	$.post('<?= $_URLBASE; ?>acsis-detalle-venta.html',xdata,function(data){
		let resp = data.split('--codeup--');
		let json = null;
		try{
			json = JSON.parse( resp[1] );
		}catch(err){
			alert(err.message);
		}

		if(json != null) {
			console.log(json);
	// 		if(json.error_val) {
	// 			for(var error in json.error_cod) {
				//    $('[data-cod="'+error+'"]').addClass( error_class );
				// }
	// 		}

			if(!json.error){
				$('#gasto-ingreso').modal('hide');
				window.location=window.location.href;
			}else{
				alert(json.errores);
			}
		}

		inputs.attr('disabled',false);
	});
});
*/?>

$('#form-operaciones-contabilidad').on('submit', function(event) {
	    	event.preventDefault();

	    	var xdata = $('#form-operaciones-contabilidad').serialize();
	    	var inputs = $('#modal-operacion-contabilidad').find('input,button');
	    	inputs.attr('disabled',true);

	    	$.post('<?= $_URLBASE; ?>acsis-detalle-venta.html',xdata,function(data){
	    		$('.capture-response').html('');
	    		let resp = data.split('--codeup--');
	    		let json = null;
	    		try{
	    			json = JSON.parse( resp[1] );
	    		}catch(err){
	    			alert(err.message);
	    		}

	    		if(json != null) {
	    			console.log(json);

	    			if(!json.error){
	    				$('#modal-operacion-contabilidad').modal('hide');
	    				//window.location=window.location.href;
	    			}else{
	    				alert(json.errores);
	    			}
	    		}

				inputs.attr('disabled',false);
			});
	});
</script>