<style>
	body{ background-color: #f4f7f9; }
	.text-primary{ color: rgb(43,145,255) !important; }
	label,h6{
		margin: 0 !important;
	}
	tr{height: 70px;}
	hr{border-top: 1px solid #f4f7f9;}

	.dropdown-item.active,
	.dropdown-item:hover{
		background-color: #6B7C8D !important;
		color: #fff !important;
	}
	#table-prods{
		opacity: 0.5;
	}
	#table-prods.ui-sortable{
		opacity: 1;
	}
	.c-pointer{cursor: pointer;}
	.c-pointer label{cursor: pointer;}
</style>

<main class="main-content">
	<div class="container mb-5">
		
		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URL; ?>" class="text-dark">Cadenas y pulsos</a></h4>
			</div>
		</div>

		<div class="row mb-4">
			<div class="col-12">
				<div class="card border-0">
					
					<div class="px-3 pt-3 pb-0">
						<h4><b>Mis Cadenas y pulsos</b></h4>
					</div>

					<hr>
					<div class="p-3">

						<div>
							<label>
								<h6><b>Categoría del producto</b></h6>
							</label>	
						</div>
						<div class="row">
							<div class="col-6">
								<div class="dropdown">
									<div class="dropdown-toggle text-dark" type="button" data-toggle="dropdown" 			aria-haspopup="true" aria-expanded="false">
								    	<label class="prod-cat-selected"><?= $_GET['cat'] ?? "Todas las categorías"?></label>
									</div>
								  	<div class="dropdown-menu">
									  	<div>
									  		<a class="dropdown-item<?= !$_GET['cat']?" active":""; ?>" href="<?= $_URL; ?>"><span>Todas las categorías</span></a>
									  	</div>
									  	<? 
									  		foreach ($TIPO_CADENA as $key => $cat)
									  		{
									  	?>
									  		<div>
										  		<a href="<?= $_URL."?cat=$cat"; ?>" class="dropdown-item <?= $_GET['cat'] == $cat?" active":""; ?>">
										  			<?= ucfirst($cat); ?>
										  		</a>
									  		</div>
									  	<? } ?>
								  	</div>
								</div>
							</div>	
							<div class="col-6 col-xl-4 col-lg-4 p-0">
								<div class="">
									<a href="<?= $_URLBASE; ?>acsis-nuevo-producto-cadena.html"><button type="button" class="nueva btn btn-outline-primary p-0 w-100">Nueva Cadena o Pulso</button></a>
								</div>
							</div>	
						</div>
					</div>	

					<div class="px-3">
						<form method="get" id="form-cant">
							<div class="form-group">
								<label class="color-dark">
									Cantidad ver
								</label>
								<select name="CANT_VER" onchange="$('#form-cant').submit();">
									<option <?= $CANT_VER==30?"selected":""; ?> value="30">30</option>
									<option <?= $CANT_VER==50?"selected":""; ?> value="50">50</option>
									<option <?= $CANT_VER==100?"selected":""; ?> value="100">100</option>
									<option <?= $CANT_VER==200?"selected":""; ?> value="200">200</option>
								</select>
							</div>
						</form>
					</div>

					<hr>

					<div class="p-3">
						<div class="p-3">
							<div>
								<label>
									<h6>
										<b><span class="active-prods"><?= $total; ?></span> productos <span class="d-none">activos</span> en el catálogo seleccionado</b>
									</h6>
								</label>
								<!-- <a href="#" class="text-primary">Guardar cambios</a> -->
							</div>
						</div>
						<div class="p-3">

							<? if($listaProds){ ?>

								<table id="table-prods" class="col-lg-9">
									<tbody>
										<?
										$index_ord = $inicio_orden;
										foreach ($listaProds as $i => $producto)
										{ 
											extract($producto,EXTR_PREFIX_ALL,"prod");
											$url_editar = $URL_EDIT;
											$url_editar.= "?".$var_editar."=".urlencode( codVal($prod_idProd) );

											$skuCod = codVal($prod_sku);

										?>
											<tr class="p-3 bg-white" data-prod="<?= $skuCod; ?>" data-ord="<?= $inicio_orden; ?>">
												<td width="13%">
													<h6>
														<!-- <span class='ord'>(<?= $inicio_orden."- $prod_orden"; ?>)</span> -->
														<b><?= $prod_idProd; ?>.&nbsp;&nbsp;&nbsp;<i class="fa fa-th" style="cursor: move;"></i></b>
													</h6>
												</td>

												<td width="10%">
													<div class="p-1">
														<img src="<?= $prod_imgs[0]['img_prin']; ?>" class="w-100">
													</div>
												</td>

												<td width="35%">
													<h6>
														<a class="text-dark" target="_blank" href="<?= $prod_url_id; ?>"><?= $prod_nombre; ?></a>
													</h6>
													<label>SKU: <span><?= $prod_sku; ?></span></label>
												</td>

												<td class="status c-pointer" width="25%" title="Cambiar estatus">
													<label class="text-<?= $estado_producto[$prod_estatus]["class"]; ?>">
														<b><?= $estado_producto[$prod_estatus]["txt"]; ?></b>
													</label>
												</td>
												<td width="20%" class='text-primary'><label><?= $prod_usuario_creo; ?></label></td>

												<td width="20%">
													<a href="<?= $url_editar; ?>" class="text-primary">
														<b>Editar</b>
													</a>
												</td>

											</tr>
										<? $inicio_orden++; } ?>
									</tbody>
								</table>

								<? if($fin_paginador>=1){?>
									<div class="pager">
										<nav aria-label="Page navigation example">
										  <ul class="pagination mb-0">
										    <li class="page-item">
										      <a class="page-link" href="<?= $_THIS_URL."?".$filtros; ?>" aria-label="Previous">
										        <span aria-hidden="true">&laquo;</span>
										        <span class="sr-only">Previous</span>
										      </a>
										    </li>

										    <?php if($inicio_paginador>1){?>
										    <li class="page-item">
										      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($inicio_paginador-1)."&".$filtros; ?>" aria-label="Previous">
										        <span aria-hidden="true">&lsaquo;</span>
										        <span class="sr-only">Previous</span>
										      </a>
										    </li>
											<?php } ?>

										    <?php for($i = $inicio_paginador; $i<=$fin_paginador; $i++){?>
										    	<li class="page-item <?= ($PAG==$i || ($i==1 && !$PAG))?'active':'';?>"><a class="page-link" href="<?= $_THIS_URL."?PAG=$i"."&".$filtros; ?>"><?= $i; ?></a></li>
										    <?php }?>

										    <li class="page-item"><a class="page-link">...</a></li>

										    <li class="page-item"><a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>">
										    	<?= $total_paginas; ?></a>
										    </li>

										    <?php if($fin_paginador < $total_paginas){?>
										    <li class="page-item">
										      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($fin_paginador+1)."&".$filtros; ?>" aria-label="Next">
										        <span aria-hidden="true">&rsaquo;</span>
										        <span class="sr-only">Next</span>
										      </a>
										    </li>
										    <?php }?>

										    <li class="page-item">
										      <a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>" aria-label="Next">
										        <span aria-hidden="true">&raquo;</span>
										        <span class="sr-only">Next</span>
										      </a>
										    </li>

										  </ul>
										</nav>
									</div>
								<? } ?>

								<? } ?>
						</div>
					</div>

				</div>
			</div>
			
		</div>

	</div>
</main>

<script>
<? if($listaProds) { ?>
let sendPost = true;
const destroySortable = () => {
	$('#table-prods').sortable('destroy');
}
const sortableProds = (resp) => {
	$('#table-prods').sortable({
	  items: "tr",
	  cursor: "move",
	  stop:function(event,ui){
	  	 var list = {};
		 var el = $(ui.item[0]);
		 var prev = el.prev();
		 var ord = el.attr('data-ord');
		 var prev_ord = prev.attr('data-ord') ?? 0;
		 prev_ord*=1;
		 console.log(ord, prev_ord);
		 if(ord < prev_ord){
			var aux = prev_ord;
			prev_ord = ord-1;
			ord = aux;
		 }
		 var i = <?= $index_ord-1; ?>;
	  	 $(this).find('[data-prod]').each(function(ix,e){
			console.log('i',i,ord,prev_ord);

			if(i >= prev_ord){
				nord = i+1;
				var k = $(e).attr('data-prod');
				list[nord] = k;
				$(e).attr('data-ord',nord)
				//$(e).find('span.ord').text(`(${nord})`);
			}

			if(i == ord){
				return false;
			}

			i++;
	  	 });
		//  console.log('list',list);
	  	 destroySortable();
	  	 update({<?= $POST_ACTION; ?>:'<?= $ACTION_ordena_prods; ?>',<?= $var_orden; ?>:list},sortableProds);
		}
	});
}
sortableProds();

$('[data-prod]').each(function(i,e){
	$(e).find('td.status').click(function(){
		if(!sendPost)
			return false;

		var o = $(this);

		var changeStatus = (resp) => {
			o.find('label').attr('class','text-'+resp.class);
			o.find('b').text(resp.text);
			sortableProds();
		};
		destroySortable()

		var prod = $(e).data('prod');
		update({<?= $POST_ACTION; ?>:'<?= $ACTION_activa_desactiva_prod; ?>',prod:prod},changeStatus);
	});
 });

function update(d,func = ({})=>{} )
{
	if(sendPost) {
		sendPost = false;
		var dataBase = {varname:'varvalue'};
		var data = $.extend({}, dataBase, d);

		$.post('<?= $oVis->url(); ?>',data,function(response){
			sendPost = true;
    		let json = null;
    		try{
    			json = JSON.parse(response);
    		}catch(err){
    			alert('Ocurrió un error interno');
    			console.log(err.message);
    		}
    		console.log(json);
    		if(json!=null)
	    		if(!json.error) {
					func(json);
	    		}
		});
	}
}
<? } ?>
</script>