<style>
	input{
		width: 100%;
		margin-bottom: 0px;
		background-color: #F4F7F9;
		border: 2px solid #F4F7F9;
		color: #6c7c8d !important;
		resize: none;
	}

	th,td{
		padding-left: 3px !important;
		padding-right: 3px !important;
	}
	.text-width{
		width: max-content;
	}
	.container{
		width: unset;
		max-width: 1300px !important;
	}

	.item-center-h25{
		position: absolute;
		margin: auto;
		top: 0;
		bottom: 0;
		height: 25px;
	}

	.box-100{
		width: 100px;
		height: 100px;
	}
</style>
<main class="main-content">
	<div class="container">

		<table class="table">
		  <thead>
		   <tr>
			  	<? foreach ($descriptions as $cmp => $desc) { ?>
			      <th class="text-dark"><?= $desc; ?></th>
			    <? } ?>
		    </tr>
		  </thead>
		  <tbody id="list-sections">
		    <? tableBodyProdRel($argollas,$descriptions); ?>
		  </tbody>
		</table>

		<h5 id="loader_info"></h5>
	</div>

</main>

<script>

	function setChangeEvent()
	{
		$('.editable-input').each(function(i,e){
			if($(e).hasClass('unevent'))
			{
				$(e).removeClass('unevent');
				$(e).change(function(){
					update($(this));
				});
			}
		});
	}

	function update(o)
	{
		$.post('<?= $URL_POST; ?>',{
			<?= ev("ACTION") ?>: "<?= codVal("UPDATER"); ?>",
			<?= ev("id") ?>: o.data('for'),
			<?= ev("campo") ?>: o.data('cmp'),
			<?= ev("nr") ?>: o.data('nr'),
			<?= ev("valor") ?>: $.trim(o.val())
		},function(response){
			console.log(response);
		});
	}

	// $( "#list-sections").sortable({
	//   items: "tr.sortable",
	//   cursor: "move",
	//   stop:function(event,ui){
	// 	    //orderSections();
	// 	}
	// });
</script>

<script>
var wait = false;
$(document).ready(()=>{ 
	setChangeEvent();
	$('body').scroll(function()
	{
		//console.log($('body').scrollTop() +" "+ $('body').height()+" "+$(document).height());
	   //if($('body').scrollTop() + $('body').height() > $(document).height() - dif)
	   //console.log(($('body').scrollTop()+$('body').height()) +" " +($(document).height() - 500));
	   if(( $('body').scrollTop()+$('body').height() ) > ($(document).height() - 500))
	   {
	   		if(!wait)
	   		{
	   			wait = true;
	   			console.log('Loading...');
	   			load();
	   		}
	   }
	});
});

var pagina = 2;
function load()
{
	var envista = $('#list-sections tr').length;
	var h = $("#loader_info");
	h.text("Cargando...");

	var d = {
		<?= ev("ACTION");?>:"<?= codVal("LOAD");?>",
		<?= ev("PAG"); ?>:pagina,
		<?= ev("NPAGSVIS"); ?>:envista
	};

	$.post("<?= $URL_POST; ?>",d,function(r){
		//console.log(r);
		var r_ = r.split("<?= $_ajax_separador; ?>");
		html = $.trim(r_[2]);
		if(html)
		{
			$("#list-sections").append(html);
			pagina++;
			wait = false;
			h.text("");
			setChangeEvent();
		}
		else
		{
			h.text("Sin más resultados");
			setTimeout(function(){ h.text(""); },2000);
			setTimeout(function(){ wait = false; },20000);
		}
		
	});
}
</script>