<style>
	body{
		background-color: #f4f7f9;
	}
	#form-m-u label{
		margin: 0;
		color: #000;
		font-weight: 600;
	}

	.rapp-container input{
		border: 0;
		outline: 0;
		background-color: #f4f7f9;
	}

	.btn-outline-primary{
		border: 2px solid rgb(43,145,255) !important;
		color: rgb(43,145,255) !important;
	}
	.btn-outline-primary:hover{
		border: 2px solid transparent;
	}
	.btn-outline-primary:hover:before, .btn-outline-primary:focus:before, .btn-outline-primary:active:before {
      width: 100%;
      background-color: rgb(43,145,255); }

      .rapp-card{
      	border: 1px solid rgb(96,112,129);
      }
      .rapp-head{
      	background-color: rgb(96,112,129);
      }
      
</style>

<main class="main-content">
	<div class="container rapp-container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-rappaport.html" class="text-dark">General</a></h4>
			</div>
		</div>

		<div class="row mb-4">
			<div class="col-12">
				<div class="card border-0">
					
					<div class="px-3 pt-3 pb-0">
						<h4><b>Monedas y utilidad</b></h4>
					</div>
					<hr>

					<div class="p-3">
						<form id="form-m-u">

							<div class="row mb-3 align-items-center">
								<div class="col-sm-3">
									<label>Precio (Onza/USD)</label>
								</div>
								<div class="col-sm-4 col-lg-3 col-xl-2">
									<div class="form-gropu">
										<label>Oro</label>
										<input <?= $precio_oro_data; ?> class="form-control decimal-format" type="text" name="<?= $precio_oro_name; ?>" value="<?= $precio_oro_value; ?>">
									</div>
								</div>

								<div class="col-sm-4 col-lg-3 col-xl-2">
									<div class="form-gropu">
										<label>Platino</label>
										<input <?= $precio_platino_data; ?> class="form-control decimal-format" type="text" name="<?= $precio_platino_name; ?>" value="<?= $precio_platino_value; ?>">
									</div>
								</div>
							</div>

							<div class="row mb-4 align-items-center">
								<div class="col-sm-3">
									<label>Tipo de cambio</label>
								</div>
								<div class="col-sm-4 col-lg-3 col-xl-2">
									<div class="form-gropu">
										<label>MXN</label>
										<input <?= $tipo_cambio_mxn_data; ?> class="form-control decimal-format" type="text" name="<?= $tipo_cambio_mxn_name; ?>" value="<?= $tipo_cambio_mxn_value; ?>">
									</div>
								</div>

								<div class="col-sm-4 col-lg-3 col-xl-2">
									<div class="form-gropu">
										<label>USD</label>
										<input <?= $tipo_cambio_usd_data; ?> class="form-control decimal-format" type="text" name="<?= $tipo_cambio_usd_name; ?>" value="<?= $tipo_cambio_usd_value; ?>">
									</div>
								</div>
							</div>

							<div class="row mb-4 align-items-center">
								<div class="col-sm-3">
									<label>Utilidad</label>
								</div>
								<div class="col-sm-4 col-lg-3 col-xl-2">
									<div class="form-gropu">
										<input <?= $utilidad_data; ?> class="form-control decimal-format" type="text" name="<?= $utilidad_name; ?>" value="<?= $utilidad_value; ?>">
									</div>
								</div>
							</div>

							<div class="row mb-3 align-items-center">
								<div class="col-sm-3">
									<label>Descuento 1 pago</label>
								</div>
								<div class="col-sm-4 col-lg-3 col-xl-2">
									<div class="form-gropu">
										<input <?= $descuento_data; ?> class="form-control decimal-format" type="text" name="<?= $descuento_name; ?>"  value="<?= $descuento_value; ?>">
									</div>
								</div>
							</div>

							<div class="row justify-content-end">
								<div class="col-sm-8 col-md-6 col-lg-4">
									<button type="submit" class="btn btn-outline-primary btn-block btn-sm py-2">
										Guardar
									</button>
								</div>
							</div>

						</form>
					</div>

				</div>
			</div>
		</div>

		<div class="row mb-4">
			<div class="col-12">
				<div class="card border-0">
					
					<div class="px-3 pt-3 pb-0">
						<h4><b>Rappaport</b></h4>
					</div>
					<hr>

					<div class="px-3">

						<div class="row">

							<? foreach ($ctss as $cts){ ?>

							<div class="col-md-6 col-lg-4 mb-4">
								<div class="rapp-card">
									<div class="rapp-head p-1">
										<h6 class="text-white m-0">
											<b>DIAMANTE <?= $cts; ?> cts</b>
										</h6>
									</div>
									<div class="rapp-body px-3 pb-3">
										<table class="rapp-table">
										<? foreach($table_rapp as $key => $data){ ?>
											<<?= $aux2[$key]; ?>>

												<? if($key == 'head'){ ?>
													<tr>
													<? foreach ($data as $value) { ?>
														<th class="text-center">
															<b><?= $value; ?></b>
														</th>	
													<? } ?>
													</tr>
												<?
												} else {
													foreach($data as $i => $color){
														?><tr><?
														foreach ($table_rapp['head'] as $j => $pureza){
															?> <td <?= !$j?"width='30'":""; ?>> <?
																if(!$j)
																{
																	?> <h6> <?= $color; ?> </h6> <?
																}
																else
																{
																	$id = strtolower($pureza)."_".strtolower($color);

																	$name = ev($id);

																	unset($data_rapp);

																	$data_rapp['tam_diamante'] = $cts;
																	$data_rapp['pureza'] = $pureza;
																	$data_rapp['color'] = $color;

																	$rappaport = codVal(json_encode($data_rapp));

																	$xval = $l_rapaport[$cts][$color][$pureza];
																	?>
																	<div class="px-1">
																		<input data-rappaport="<?= $rappaport; ?>" id="<?= $id; ?>" type="text" name="<?= $name; ?>" class="form-control py-0" value="<?= $xval; ?>">
																	</div>
																	<?
																}
															?> </td> <?
														}
														?></tr><?
													}
												} 
												?>

											</<?= $aux2[$key]; ?>>
										<? } ?>
										</table>
									</div>
									
								</div>
							</div>

							<? } ?>
						</div>

						<div class="row justify-content-end py-4">
							<div class="col-sm-8 col-md-6 col-lg-4 my-4">
								<button id="btn-save-rappaport" class="btn btn-outline-primary btn-block btn-sm py-2">
									Guardar
								</button>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>

		<div class="row mb-4">
			<div class="col-12">
				<div class="card border-0">

					<div class="px-3 pt-3 pb-0">
						<h4><b>Lab Grown Diamonds</b></h4>
					</div>
					<hr>

					<div class="px-3">

						<div class="row">

							<div class="col-md-6 col-lg-4 mb-4">
								<div class="rapp-card">

									<div class="rapp-head p-1">
										<h6 class="text-white m-0">
											<b>Lab Grown Diamonds</b>
										</h6>
									</div>

									<form id="form-lab-diam" method="post" class="rapp-body px-3 pb-3">
										<table class="rapp-table w-100">
											<thead>
												<tr>
													<th width="70"></th>
													<th class="text-center text-dark">
														<div class="w-50">
															<b>F-G/VS</b>
														</div>
													</th>
												</tr>
											</thead>

											<tbody>
												<? 
												foreach($l_lab_diamonds as $ctsl)
												{
													$val = $ctsl['valor']?$ctsl['valor']:"";
												?>
												<tr>
													<td width="70"><b class="text-dark"><?= $ctsl['tam_diamante']; ?> cts<b></td>	
													<td>
														<input type="text" class="form-control decimal-format py-0 w-50" data-cod="<?= codVal($ctsl['idReg']); ?>" value="<?= $val ?>">
													</td>
												</tr>
												<? } ?>
											</tbody>


										</table>

										<button type="submit" class="btn btn-outline-primary btn-block btn-sm py-2 mt-4">
											Guardar
										</button>

									</form>
									
								</div>
							</div>

						</div>
					</div>
					
				</div>
			</div>
		</div>
		
	</div>
</main>
<script>
$(document).ready(function() {

	$('[data-rappaport]').each(function(i,e){

		$(e).on('keypress',function(ev){
			return keypressValidDecimalNumber(this,ev);
		});

		$(e).change(function(){

			let value = $.trim( $(this).val() );

			if( !isNaN( value) && value)
			{
				var acc = '<?= $ACTION_VAL_RAPP; ?>';
				var rapp = $.trim( $(this).data('rappaport') );

				var dataPost = {
					rappaport: rapp,
					value	: value,
					<?= $POST_ACTION; ?>: acc
				};

				$('input,button').attr('disabled',true);

				$.post('<?= $_URLBASE; ?>acsis-rappaport.html',dataPost,function(data){
					$('input,button').attr('disabled',false);
				});
			}
		});
	});

	$('#form-lab-diam').on('submit', function(event) {

    	event.preventDefault();
    	
    	var xdata = [];
    	$(this).find('[data-cod]').each(function(i, e){
    		var xval = [];
    		xval.push( $.trim( $(e).attr('data-cod') ) );
    		xval.push( $.trim( $(e).val() ) );
    		xdata[i] = xval;
    	});

    	var dataForm = {
    		data: xdata,
    		<?= $POST_ACTION; ?>: '<?= $ACTION_VAL_LABD; ?>'
    	};

    	console.log(dataForm);

    	$('input,button').attr('disabled',true);
    	var error_class = 'border border-danger';
    	$('input').removeClass(error_class);


    	$.post('<?= $_URLBASE; ?>acsis-rappaport.html',dataForm,function(data){
    		let resp = data.split('--codeup--')[1];
    		let json = null;
    		try{
    			json = JSON.parse( resp );
    		}catch(err){
    			console.log(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    			if(json.error_val) {
    				for(var error in json.error_cod) {
					   $('[data-cod="'+error+'"]').addClass( error_class );
					}
    			}
    		}

			$('input,button').attr('disabled',false);
		});


    });


    $('#form-m-u').on('submit', function(event) {

    	event.preventDefault();
    	
    	var xdata = {};
    	$(this).find('[data-cod]').each(function(i, e){

    		var xval = [];

    		xval.push( $.trim( $(e).attr('data-cod') ) );
    		xval.push( $.trim( $(e).val() ) );

    		xdata[ $(e).attr('name') ] = xval;
    	});

    	var dataForm = {
    		data: xdata,
    		<?= $POST_ACTION; ?>: '<?= $ACTION_VAL; ?>'
    	};

    	$('input,button').attr('disabled',true);
    	var error_class = 'border border-danger';
    	$('input').removeClass(error_class);


    	$.post('<?= $_URLBASE; ?>acsis-rappaport.html',dataForm,function(data){
    		let resp = data.split('--codeup--')[1];
    		let json = null;
    		try{
    			json = JSON.parse( resp );
    		}catch(err){
    			console.log(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    			if(json.error_val) {
    				for(var error in json.error_cod) {
					   $('[data-cod="'+error+'"]').addClass( error_class );
					}
    			}
    		}

			$('input,button').attr('disabled',false);
		});


    });
});
</script>