<style>
	body{
		background-color: #f4f7f9;
	}
	#form-m-u label{
		margin: 0;
		color: #000;
		font-weight: 600;
	}

	.text-primary{
		color: rgb(43,145,255) !important;
	}

	.rapp-container input{
		border: 0;
		outline: 0;
		background-color: #f4f7f9;
	}

	.btn-outline-primary{
		border: 2px solid rgb(43,145,255) !important;
		color: rgb(43,145,255) !important;
	}
	.btn-outline-primary:hover{
		border: 1px solid transparent;
	}
	.btn-outline-primary:hover:before, .btn-outline-primary:focus:before, .btn-outline-primary:active:before,.btn-primary,.btn-primary:hover {
      /*width: 100%;*/
      background-color: rgb(43,145,255); }

      .rapp-card{
      	border: 1px solid rgb(96,112,129);
      }
      .rapp-head{
      	background-color: rgb(96,112,129);
      }
      tr{
      	height: max-content !important;
      }

      	.nav-pills .nav-link,.btn-outline-primary{
		border: 1px solid rgb(43,145,255) !important;
		color: rgb(43,145,255) !important;
	}
	.nav-pills .nav-link.active{
		color: #fff !important;
	}

	.radio input[type="radio"] + label {
	  color: grey;
	  position: relative;
	}

	.radio input[type="radio"] + label::before {
	  /* Outer Circle of radio button */
	  border: 1px solid grey;
	  content: ' ';
	  display: inline-block;
	  margin-right: 5px;
	  width: 15.5px;
	  height: 15.5px;
	  border-radius: 50%;
	  transition: border 0.15s ease-in-out;
	}

	.radio input[type="radio"] + label::after {
	  /* Inner Circle of radio button */
	  border: 0px solid black;
	  content: ' ';
	  background: transparent;
	  display: inline-block;
	  margin-right: 5px;
	  width: 11.5px;
	  height: 11.5px;
	  border-radius: 50%;
	  position: absolute;
	  left: 2px;
	  top: 5.5px;
	  transition: border 0.15s ease-in-out;
	}

	input[type="radio"] {
	  display: none;
	}

	/* When button is active */
	.radio input[type="radio"]:checked + label::after {
	  background: black;
	}

	.radio input[type="radio"]:checked + label::before {
	  border-color: black;
	}

	.radio input[type="radio"]:checked + label {
	  color: black;
	}

	input#otro ~ label .dis{
		position: absolute;
		width: 100%;
		height: 100%;
		left: 0;
		top: 0;
		z-index: 99;
		display: block;
		opacity: 0.5;
	}
	input#otro:checked ~ label .dis{
		z-index: -1;
		display: none;
	}

	span.edit{
		position: absolute;
		top: 8px;
		cursor: pointer;
		right: 0px;
		color: #007bff;
		text-shadow: 1px 2px 2px rgba(0,0,0,0.6);
		font-size: 12px;
	}
	table#ventas tbody tr:hover{
  	background-color: rgba(0,0,0,0.1);
		cursor: pointer;
  }
  button:disabled{
  	opacity: 0.7;
  }
  .modal-backdrop.fade.show ~ .modal-backdrop.fade.show{
	    z-index: 1050 !important;
	}
</style>
<main class="main-content">
	<div class="container rapp-container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-ventas.html" class="text-dark">Ventas</a>
				 > <a class="text-dark"><?= $dc_correo; ?></a>
				</h4>
			</div>
		</div>

		<div class="row">

			<div class="col-lg-4">
				<div class="sidebar-stiky">
					<div class="card border-0">
						<div class="py-3 px-2">
							<h5 class="px-2">Resumen dela cliente</h5>
							<table class="table text-dark lh-1-3em">
								<tbody>
									<tr>
										<td class="border-0 py-2">ESTADO</td>
										<td class="border-0 py-2"><span class="text-<?= $dc_estatusclass; ?>"><?= $dc_strestatus; ?></span></td>
									</tr>
									<tr>
										<td class="border-0 py-2">FECHA DE REGISTRO</td>
										<td class="border-0 py-2"><?= $fecha_reg; ?></td>
									</tr>
									<tr>
										<td class="border-0 py-2">TOTAL</td>
										<td class="border-0 py-2"><?= "$".number_format($dc_total,2); ?></td>
									</tr>
									<tr>
										<td class="border-0 py-2">SALDO</td>
										<td class="border-0 py-2"><span class="text-danger saldo-resto"><?= "$".number_format($dc_saldo,2); ?></span></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>

					<div class="card border-0 mt-3">
						<div class="p-3">
							<h5>Dirección de entrega</h5>
							<div class="lh-1-3em text-dark">
								<?if($direccion){
										extract($direccion,EXTR_PREFIX_ALL,"dir");
										$idp = codVal($dir_idPedido);
										$info_envio = "
											$dir_nombre <br>
											$dir_telefono <br>
											$dir_correo <br>
											$dir_calle, $dir_num_i - $dir_num_e, $dir_colonia<br>
											$dir_delegacion, $dir_cp, $dir_ciudad, $dir_estado  <br>
										";
									}
								?>
								<div>
									<?= $info_envio; ?>
									<div><a class="text-primary" data-dir-ped="temporal">Editar</a></div>
								</div>

							</div>
							<a hrefx="" class="text-primary d-none">Editar</a>
						</div>
					</div>
				</div>
			</div>

			<div class="col-lg-8 pl-0">
				<div class="card border-0">
					<div class="py-3 px-2">
						<h5 class="px-2">Cliente</h5>
						<table class="table text-dark lh-1-3em">
							<tbody>
								<tr>
									<td class="border-0 py-1">NOMBRE</td>
									<td class="border-0 py-1"><span class="data"><?= $dc_nombre; ?></span> <span data-clie-edit="name" class="set text-primary">Editar</span></td>
								</tr>
								<tr>
									<td class="border-0 py-1">CORREO</td>
									<td class="border-0 py-1"><span class="data"><?= $dc_correo; ?></span> 
										<? if($no_edito_correo){ ?>
										<span data-clie-edit="email" class="set text-primary">Editar</span>
										<? } ?>
									</td>
								</tr>
								<tr>
									<td class="border-0 py-1">TELÉFONO</td>
									<td class="border-0 py-1"><span class="data"><?= $dc_telefono; ?></span> 
										<span data-clie-edit="phone" class="set text-primary">Editar</span>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>

				<div class="card border-0 mt-3">

					<div class="row justify-content-center align-items-center p-3">
						<div class="col-6 col-lg-7">
							<h4 class="mb-0"><b>Productos</b></h4>
						</div>

						<div class="col-6 col-lg-5">
							<div class="d-flexxxx d-none">
								<button data-toggle="modal" data-target="#gasto-ingreso" class="btn-matrimony btn-block">Nueva operación</button>
							</div>
						</div>						
					</div>

					<div class="p-3">

						<? if($carrito){ ?>
						<div class="lista-productos">
							<div class="card border-0 mt-3">
								<div class="p-3">
									<? include_once($_PROYDIR_VIS.$_BASETEMA."mod_tabla_prods_car.php");?>
								</div>
							</div>
						</div>
						<? } ?>


						<div class="mt-3">
							<button data-toggle="modal" data-target="#modal-productos" class="btn btn-outline-primary btn-sm btn-block"><?= $carrito?"Añadir otro producto":"Añadir un producto"; ?></button>
						</div>

						<? if($carrito){ ?>
						<div class="my-5">
							<div class="text-right lh-1-3em text-dark">
								<div><b>Total: <?= $total_compra;?></b></div>
								<div>Ó 12 pagos de: <?= $total_compra_msi;?></div>
							</div>
						</div>

						<div class="">
							<div class="row justify-content-end">
								<form id="form-termina-pedido" method="post" class="col-6">
									<? if($no_edito_correo){ ?>
											<h5 class="mb-0 text-warning error-correo">Edita el correo de la venta.</h5>
											<button disabled class="btn btn-matrimony btn-block btn-sm">Finalizar pedido</button>
									<? 
										}else{
									?>
											<button class="btn btn-matrimony btn-block btn-sm btn-finaliza-pedido" type="submit">Finalizar pedido</button>
											<input type="hidden" name="<?= $POST_ACTION; ?>" value="<?= codVal("TERMINAPED"); ?>">
									<?
										}
									?>
								</form>
							</div>
						</div>
						<? } ?>

					</div>
					
				</div>
			</div>

		</div>
		
	</div>
</main>

<!-- Modal -->
<div class="modal fade" id="modal-productos" tabindex="-1" role="dialog" aria-labelledby="" aria-hidden="true">
  <div class="modal-dialog" role="document" style="width:90% !important; max-width: 1000px;">
    <div class="modal-content border-0">

      <div class="modal-header d-block border-0">
      	<h4>Nuevo producto</h4>

      	<h5>Selecciona el tipo de producto</h5>
      	
        <ul class="nav nav-pills row w-100 pl-3 mt-3" id="pills-tab" role="tablist">
				  <li class="nav-itemX text-center col-6 col-lg-4 pl-0">
				    <a class="nav-link active" id="pills-normal-tab" data-toggle="pill" href="#pills-normal" role="tab" aria-controls="pills-normal" aria-selected="true">Producto existente</a>
				  </li>
				  <li class="nav-itemX text-center col-6 col-lg-4 pr-0">
				    <a class="nav-link" id="pills-custom-tab" data-toggle="pill" href="#pills-custom" role="tab" aria-controls="pills-custom" aria-selected="false">Producto personalizado</a>
				  </li>
				</ul>
      </div>

      <div class="modal-body container-product">
				<div class="tab-content" id="pills-tabContent">
				  <div class="tab-pane fade show active" id="pills-normal" role="tabpanel" aria-labelledby="pills-normal-tab">
				  	<form method="POST" id="form-search-prod">
					  	<h5>SKU del producto</h5>
	      			<div class="row">
	      				<div class="col-md-6">
	      					<input type="text" class="form-control" name="sku" placeholder="Escribe aquí">
	      					<input type="hidden" name="<?= $POST_ACTION; ?>" value="<?= codVal("SEARCH"); ?>">
	      				</div>
	      			</div>
	      		</form>
	      		<iframe id="iframe-prod" frameborder="0" class="w-100"></iframe>
	      		<h4 id="iframe-prod-text"></h4>

				  </div>
				  <div class="tab-pane fade" id="pills-custom" role="tabpanel" aria-labelledby="pills-custom-tab">
				  	<form id="form-custom-prod" class="pr-4">

				  		<h4>Informacion del producto</h4>

				  		<div class="row mb-3">
			          <div class="col">
			            <h6>Título</h6>
			            <input name="<?= $var_titulo; ?>" type="text-center" class="form-control" placeholder="Escribe aquí">
			          </div>
			        </div>

			        <div class="row mb-3">
			          <div class="col">
			             <h6>Descripción</h6> 
			             <div>
			               <textarea name="<?= $var_description; ?>" class="form-control" placeholder="Escribe aquí"></textarea>
			             </div>
			            <div>
			               <p class="text-muted mb-0">Ejemplo:Anillo de compromiso segun diseño,en oro 
			                de 14K con diamante de laboratorio de. 50 cts, talla 7,grabado "Te amo para siempre"</p>
			            </div>
			          </div>
			        </div>

			        <div class="row mb-3">
			            <div class="col">
			               <h6>Tiempo de entrega</h6>
			               <input name="<?= $var_tiempo_entrega; ?>" type="text-center" class="form-control" placeholder="15 días" onkeypress="return isNumeric(event);">
			            </div>
			        </div>

			        <div class="row mb-3">
			            <div class="col">
			                <h6>Precio de contado</h6>
			                <input name="<?= $var_precio_contado; ?>" type="text-center" class="form-control precio-org mask-decimal-format" placeholder="Escribe aquí">
			            </div>
			        </div>

			        <div class="row mb-3">
			            <div class="col">
			               <h6>Precio sin descuento (Opcional)</h6>
			               <input name="<?= $var_precio_nodescuento; ?>" type="text-center" class="form-control precio-desc mask-decimal-format" placeholder="Escribe aquí">
			            </div>
			        </div>

			        <div class="row">
			          <div class="col">
			             <h4>Precio</h4>
			            <div>
			              <div id="precio">
			                <div class="d-flex">
				                <span class="text-muted">Original: </span> <span><h5><strike id="precio-org">$000,000</strike> <span>-15%</span></h5></span>
				              </div>
			              </div>
		                <p class="text-muted mb-0">Precio unitario:</p>
		                <h2 class="color-red"> <span id="precio-org-desc">0,000.00</span><span class="fs12"> ó 12 pagos de $<span id="precio-msi">000,00</span>.</span></h2>
		                <div class="row">
		                   <div class="col-4">
		                     <button class="btn btn-matrimony btn-block btn-sm" type="submit" name="">Añadir</button>
		                     <input type="hidden" name="<?= $POST_ACTION; ?>" value="<?= codVal("ADDCUSTOM"); ?>">
		                   </div>
		                </div>
			            </div>
			          </div>
			        </div>
				  	</form>
				  </div>
				</div>
      </div>

      <div class="modal-footer border-0">
      	<? if(0){ ?>
        <div class="row w-100 pr-4">
        	<div class="col-6 pl-0">
        		<button type="button" class="btn btn-outline-primary btn-block btn-sm py-2" data-dismiss="modal">Cancelar</button>
        	</div>
        	<div class="col-6 pr-0">
        		<button type="submit" class="btn btn-primary btn-block btn-sm">Aplicar</button>
        	</div>
        </div>
      	<? } ?>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="modal-direccion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header border-0">
        <h5 class="modal-title" id="exampleModalLabel">Dirección</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        demo
      </div>
      <div class="modal-footer border-0">
        <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cancelar</button>
        <button id="continue-button" type="button" class="btn btn-primary btn-sm">Guardar</button>
      </div>
    </div>
  </div>
</div>

<div id="base" class="d-none">
	<div class="input-group">
	  <input type="text" class="form-control py-0">
	  <div class="input-group-append">
	    <button class="input-group-text btn btn-primary btn-sm py-1 save">Guardar</button>
	    <button class="input-group-text btn btn-danger btn-sm py-1 cancel">Cancelar</button>
	  </div>
	</div>
</div>

<!-- Modal -->
<div class="modal fade modal-reg-errors" tabindex="-1" role="dialog" aria-hidden="true" style="z-index: 9999;">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">No se agregó el producto</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
		</ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<script>
var required = 0;
var clearcp = 0;
var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}

function infoLength(){
	var ix = 0;
	$('input.required').each(function(i,e){
		if(  $.trim($(e).val()) != '' )
			ix++;
	});
	//console.log(ix +'=='+ required);
	if(ix == required)
		bcontinue();
	else
		$('#continue-button').attr('disabled',true);
}

function bcontinue(){
	$('#continue-button')
	.unbind()
	.attr('disabled',false)
	.click(function(){
		validateInfo();
	});
}

function validateInfo()
{
	$('span.form-err').remove();
	let info = $('#form-info-envio').serialize();
	$('#continue-button').attr('disabled',true);
	$.post('<?= $URLPOST; ?>',info,function(data){
		$('#continue-button').attr('disabled',false);

		let r = data.split('--codeup--')[1];
	    let json = JSON.parse(r);
	    console.log(json);

	    let lista_errors = $('.modal-errores .list-group');
		  lista_errors.html('');

	    //console.log(json);
	    

	    if(json.error==0){
	    	$('#modal-direccion').modal('hide');
	    	window.location.reload();
	   	}
	   	else{
	   		let errores = json.errores;
	   		alert(errores);
				// let campos = Object.keys(errores);

				// for(var i = 0; i< campos.length; i++){
				// 	$('<span>',{class:'form-err',text:errores[campos[i]]})
				// 	.appendTo($('#'+campos[i]).parent());
				// }
				
	   	}
	});
}

function searchCp(cp,func)
{
	var bmsg = 'Buscando...';
	setInfo(bmsg,bmsg,bmsg,bmsg);
	$.post('<?= $URLPOST; ?>',{
		<?= $POST_ACTION ?>: '<?= codVal("INFOCP"); ?>',
		<?= ev("clearcp");?>: clearcp,
		<?= ev("cp");?>:  cp
	},function(data){
		let r = data.split("--codeup--")[1];
		let json = JSON.parse(r);

		$('.colonias').html('');
		$('#colonia').val('');
		infoLength();

		if(json.error==1){
			let nor = '<a class="dropdown-item">Escribe otro código postal</a>';
			$('.colonias').html(nor);
			setInfo('','','','Error CP: '+cp);
		}

		if(json.error==0){
			let info = json.infocp;
			setInfo(info.ciudad,info.municipio,info.estado,'Selecciona');

			let colonias = json.colonias;
			let ids = Object.keys(colonias)
		
			for(var i=0; i<ids.length;i++){
				var col = colonias[ids[i]];
				$('<a>',{class:'dropdown-item',text:col})
				.click(function(){
					$('.colinia-selected span.res').html($(this).text());
					$('#colonia').val($(this).text());
					infoLength();
				}).appendTo($('.colonias'));
			}

			if (typeof func === 'function'){
				func();
			}
		}
	});

	clearcp = 1;
}

function setInfo(cd,mun,edo,aux)
{
	$('.dir_ciudad').val(cd);
	$('.dir_mun').val(mun);
	$('.dir_edo').val(edo);
	$('.colinia-selected span.res').html(aux);
}

$('.precio-org').keyup(function(){
	setNormalPrice(this);
});

function setNormalPrice(e){
	var val = $(e).maskMoney('unmasked')[0];
	$('#precio-org').text($(e).val());
	var valdesc = parseFloat(val-(val*0.15)).toFixed(2);
	var msi = parseFloat((valdesc*1.1765) /12).toFixed(2);
	$('#precio-org-desc').text('$'+valdesc);
	$('#precio-msi').text(msi);
	$(e).focus();
}


$('.precio-desc').keyup(function(){
	var val = $(this).maskMoney('unmasked')[0];
	$('#precio').attr('class','');
	if(val){
		$('.precio-org').attr('disabled',false);
		$('#precio').attr('class','d-none');
		$('#precio-org-desc').text($(this).val());
	}else{
		setNormalPrice('.precio-org');
	}
});

$('[data-dir-ped]').each(function(i,e){
	$(e).click(function(){
		var modal = $('#modal-direccion');
		var ped = $(this).data('dir-ped');
		modal.find('.modal-body').html('<h5 class="text-center">Cargando...</h5>');
		modal.find('#continue-button').unbind();
		modal.modal('show');
		$.post('<?= $URLPOST; ?>',{<?= $POST_ACTION; ?>:'<?= codVal("GETDIR"); ?>',ped:ped},function(data){
				var r=data.split('--codeup--');
				var json = JSON.parse(r[1]);
				if(!json.error)
					modal.find('.modal-body').html(r[2])
				else
					modal.find('.modal-body').html('<h5 class="text-center text-danger">Error al cargar</h5>');
		});
	});
});

function setEvent(){
	$('span[data-clie-edit].set').each(function(i,e){
		$(e).removeClass('set')
		.click(function(){
			var p = $(this).parent();
			var pre = p.html();
			var data = p.children('span.data').text();
			var t = $(this).data('clie-edit');
			p.html($('#base').html());
			p.find('input').val(data);
			p.find('input').attr('maxlength','50');

			if(t=='phone'){
				p.find('input').on('keypress',function(e){
					return isNumeric(e);
				});
				p.find('input').attr('maxlength','10');
			}

			var cancel = function(val,correook){
				p.html(pre);
				p.find('span[data-clie-edit]').addClass('set');
				p.children('span.data').text(val);
				setEvent();

				if(correook){
					$('.btn-finaliza-pedido').attr('disabled',false);
					$('.error-correo').remove();
				}
			}
			p.find('.save').click(function(){
				var val = p.find('input').val();
				var btn = $(this);

				btn.attr('disabled',true);
				p.find('.cancel').attr('disabled',true);
		
				$.post('<?=$URLPOST;?>',{val:val,cmp:t,<?= $POST_ACTION; ?>:'<?= codVal("SAVEEDIT"); ?>'},function(data){

					btn.attr('disabled',false);
					p.find('.cancel').attr('disabled',false);

					var r = data.split('--codeup--')[1];
					var json = JSON.parse(r);

					if(!json.error)
						cancel(json.val,json.correook);
					else
						alert(json.msg);
				});
			});
			p.find('.cancel').click(function(){
				cancel();
			});
		});
	});
}
setEvent();

function createMask(e){
	$(e).maskMoney({
			prefix:'$ ',
			allowNegative: false, 
			thousands:',', 
			decimal:'.',
			affixesStay: true
		});
}

$(document).ready(function() {

	$('#form-search-prod').on('submit',function(e){
		e.preventDefault();
		var data = $('#form-search-prod').serialize();
		$('#iframe-prod').attr('src','').css({height:'100px'});
		$('#iframe-prod-text').html('Buscando...');
		$.post('<?= $URLPOST; ?>',data,function(response){
			$('#iframe-prod-text').html('');
			let resp = response.split('--codeup--')[1];
			var json = JSON.parse(resp);
			console.log(json);
			if(!json.error)
				$('#iframe-prod').attr('src',json.url).css({height:'800px'});
		});
	});

	$('#form-termina-pedido').on('submit',function(e){
		e.preventDefault();
		var data = $('#form-termina-pedido').serialize();
		$('input,button,textarea').attr('disabled',true);
		$.post('<?= $URLPOST; ?>',data,function(response){
			$('input,button,textarea').attr('disabled',false);
			let resp = response.split('--codeup--')[1];
			var json = JSON.parse(resp);
			console.log(json);
			if(!json.error){
				window.location=json.link_pedido;
			}else{
				alert(json.msg)
			}
				
		});
	});



	$('#form-custom-prod').on('submit',function(e){
		e.preventDefault();
		var contado = $('.precio-org').maskMoney('unmasked')[0];
		var nodescuento = $('.precio-desc').maskMoney('unmasked')[0];
		$('.precio-org').val(contado);
		$('.precio-desc').val(nodescuento);
		var data = $('#form-custom-prod').serialize();
			
		$('input,button,textarea').attr('disabled',true);
  	var error_class = 'border border-danger';
  	$('input,textarea').removeClass(error_class);
  	var modal_e = $('.modal-reg-errors');
  	var err_list = modal_e.find('ul.list-group');
  	err_list.html('');

		$.post('<?= $URLPOST; ?>',data,function(response){
			$('input,button,textarea').attr('disabled',false);

			let resp = response.split('--codeup--')[1];
			let json = null;
  		try{
  			json = JSON.parse( resp );
  		}catch(err){
  			console.log(err.message);
  		}

  		if(json != null) {
    			console.log(json);
    			if(json.error_val != null) {
    				
    				for(var error in json.error_val) {
						   $('[name="'+error+'"]')
						   .attr('title',json.error_val[error])
						   .addClass(error_class);

						   $('<li>',{class:'list-group-item text-danger',text:json.error_val[error]}).appendTo( err_list );
						}
						modal_e.modal();
    			}//if(json.error_val != null)
    			else if(!json.error){
    				window.location.reload();
    			}
    	}//if(json != null)

		});
	});
	

	$('table#ventas tbody tr').click(function(){
		var id = $.trim($(this).attr('data-id'))
		window.open('<?= $URL_DESC_VENTA; ?>?id='+id);
	});

	$('.mask-decimal-format').each(function(i,e){
			createMask(e);
		});


});
</script>