<style>
span.del{
	position: absolute;
	top: -5px;
	right: -5px;
	color: red;
	cursor: pointer;
	font-size: 23px;
	font-weight: 700;
	width: 15px;
	height: 15px;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 99;
	text-shadow: 0px 0px 1px #000;
}
</style>

<!-- Modal contabilidad v2-->
<div class="modal fade" id="modal-operacion-contabilidad" tabindex="-1" role="dialog" aria-labelledby="" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
  	<div class="modal-content border-0">
	    <form method="POST" id="form-operaciones-contabilidad">

	    	<? if($desde_contabilidad){ ?>
	    	<div id="s-operaciones-contabilidad" class="row justify-content-center pt-3">
	    		<div class="col-4">
	    			<button id="btn-op-ingreso" type="button" class="btn btn-outline-primary btn-sm btn-block py-1 btn-action" data-drop=".ingreso" data-action="<?= codVal("OP-GASTO-INGRESO"); ?>">Ingreso</button>
	    		</div>
	    		<div class="col-4">
	    			<button id="btn-op-gasto" type="button" class="btn btn-outline-primary btn-sm btn-block py-1 btn-action" data-drop=".gasto" data-action="<?= codVal("OP-GASTOS-CONTA"); ?>">Gasto</button>
	    		</div>
	    	</div>

	    	<input type="hidden" name="<?= ev("DESDE"); ?>" value="<?= codVal("CONTA"); ?>">
	    	<? } ?>

	      <div class="modal-header d-block border-0">
					<div class="text-center">
				  		<h4 class="mb-0"><b class="txt-operation">Nuevo gasto</b></h4>
				  		<p class="m-0">CLIENTE: <b><?= $ses_correo; ?></b></p>
							<p class="text-dark v1">AGENTE: <span id="agente"></span></p>
				  </div>
	      </div>

	      <div class="modal-body container-product">
				  <div class="w-75">

				  	<div class="form-group">
				  		<label class="text-dark"><b>Fecha</b></label>
				  		<div class="input-group">
							  <input autocomplete="off" type="text" class="form-control datepickerv2 clear" name="fecha_operacion" placeholder="" value="">
							  <div class="div-append"><span class="text-dark"><i class="fa fa-caret-down" aria-hidden="true"></i></span></div>
							</div>
				  	</div>

				  	<? if($desde_contabilidad){ ?>
							  <div class="form-group tipo-operacion ingreso">
									<h6 class="text-dark"><b>Método de pago</b></h6>
									<div class="dropdown dropdown-custom-select pago-ingreso-select">
									  <button class="dropdown-toggle d-flex" style="justify-content:space-between;" type="button" data-toggle="dropdown">
									    <span class="ingreso-pay-method">Selecciona uno...</span>
									    <span class="text-dark"><i class="fa fa-caret-down" aria-hidden="true"></i></span>
									  </button>
									  <div class="dropdown-menu">
									  	<input type="hidden" name="operation" value="gasto">
									  	<input type="radio" name="tipopago" value="">

									  	<? foreach($TIPOS_PAGO_OPERACIONES as $tpago => $lpago){ ?>
									  		<label for="pago-<?= $tpago; ?>" class="dropdown-item new-item">
										  		<input id="pago-<?= $tpago; ?>" type="radio" name="tipopago" value="<?= $tpago; ?>">
										  		<?= $lpago ?>
										  	</label>
									  	<? } ?>
									  	<!-- <label for="pago-efectivo" class="dropdown-item">
									  		<input id="pago-efectivo" type="radio" name="tipopago" value="efectivo">
									  		Efectivo
									  	</label>
									  	<label for="pago-paypal" class="dropdown-item">
									  		<input id="pago-paypal" type="radio" name="tipopago" value="paypal">
									  		PayPal
									  	</label> -->
									  	<!-- <label for="pago-conekta" class="dropdown-item">
									  		<input id="pago-conekta" type="radio" name="tipopago" value="conekta">
									  		Conekta
									  	</label>
									  	<label for="pago-conekta-manual" class="dropdown-item">
									  		<input id="pago-conekta-manual" type="radio" name="tipopago" value="conekta manual">
									  		Conekta manual
									  	</label> -->

									  	<!-- <label for="pago-stripe" class="dropdown-item">
									  		<input id="pago-stripe" type="radio" name="tipopago" value="stripe">
									  		Stripe
									  	</label>
									  	<label for="pago-stripe-manual" class="dropdown-item">
									  		<input id="pago-stripe-manual" type="radio" name="tipopago" value="stripe manual">
									  		Stripe manual
									  	</label>

									  	<label for="pago-terminal" class="dropdown-item">
									  		<input id="pago-terminal" type="radio" name="tipopago" value="terminal">
									  		Terminal
									  	</label>
									  	<label for="pago-descuento" class="dropdown-item">
									  		<input id="pago-descuento" type="radio" name="tipopago" value="descuento">
									  		Descuento
									  	</label> -->
									  </div>
									</div>
								</div>
						<? } ?>

				  	<div class="form-group tipo-operacion gasto">
				  		<div class="form-group">
								<label class="text-dark"><b>Concepto</b></label>
								<div class="dropdown dropdown-custom-select pago-gasto-select">
								  <button class="dropdown-toggle d-flex" style="justify-content:space-between;" type="button" data-toggle="dropdown">
								    <span class="gasto-pay-method">Selecciona uno...</span>
								    <span class="text-dark"><i class="fa fa-caret-down" aria-hidden="true"></i></span>
								  </button>
								  <div class="dropdown-menu">
								  	<input type="radio" name="concepto_contabilidad" value="" checked="true">
								  	<?
								  		foreach ($conceptos as $key => $concepto) {
								  			$idcon=strtolower(str_replace(" ", "-", $concepto['concepto']));
								  			?>
								  			<label for="concepto-operacion-<?= $idcon; ?>" class="dropdown-item operacion-gasto">
								  				<input id="concepto-operacion-<?= $idcon; ?>" type="radio" class="operacion-gasto" name="concepto_contabilidad" value="<?= codVal($concepto['idConcepto']); ?>">
										  		<?= $concepto['concepto']; ?>
										  	</label>
								  			<?
								  		}
								  	?>
								  </div>

								</div>
							</div>
				  	</div>

				  	<div class="form-group">
				  		<label class="text-dark"><b>Monto</b></label>
				  		<div class="input-group">
							  <input type="text" class="form-control prod-cmp mask-decimal-format clear" name="monto_contabilidad" placeholder="" value="">
							  <div class="div-append"><span class="text-dark">MXN</span></div>
							</div>
							<p class="mb-0">Escribe aquí la cantidad</p>
				  	</div>

				  	<? if(!$idReferencia){ ?>
				  	<div class="form-group">
				  		<label class="text-dark"><b>Documento referencia</b></label>
				  		<div class="input-group">
							  <input id="input_pedido" type="text" class="form-control clear" name="<?= ev("idPedido"); ?>" placeholder="" value="">
							</div>
				  	</div>
				  	<input type="hidden" name="op_from_contabilidad" value="1">
				  	<? } ?>

				  	<div class="form-group">
				  		<div class="w-100">
				  			<label id="btn-serch-comprobante" type="button" for="input-comprobante" class="btn btn-outline-primary w-75 btn-sm py-2">Buscar comprobante</label>
				  		</div>

				  		<div class="progress" style="height: auto !important; ">
				       	<div class="progress-bar bg-primary d-none" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
				      </div>

				      <div class="capture-response pt-2"></div>

				  	</div>

				  </div>
					<input type="hidden" id="post_action" name="<?= $POST_ACTION; ?>" value="<?= $desde_contabilidad?"":codVal("OP-GASTOS-CONTA"); ?>">
					<? if($idReferencia){ ?>
					<input type="hidden" name="<?= ev("idPedido"); ?>" value="<?= codVal($idReferencia); ?>">
					<? } ?>
	      </div>

	      <div class="modal-footer border-0">
	        <div class="row w-100 pr-4">
	        	<div class="col-6 pl-0">
	        		<button type="button" class="btn btn-outline-primary btn-block btn-sm py-2" data-dismiss="modal">Cancelar</button>
	        	</div>
	        	<div class="col-6 pr-0">
	        		<button id="save-operation" type="submit" class="btn btn-primary btn-block btn-sm clear">Guardar</button>
	        	</div>
	        </div>
	      </div>
	    </form>
	  </div>
  </div>
</div>


<form id="form-comprobante">
	<input id="input-comprobante" class="d-none" type="file"  name="comprobante" accept="image/jpg,image/jpeg,application/pdf"  onchange="$('#form-comprobante').submit();" (change)="getFile($event)">
	<input type="hidden" name="<?= ev("ACTION"); ?>" value="<?= codVal("CAPTURE"); ?>">
</form>

<script>

	var appendto='.capture-response';

	$(document).ready(function(){
		$('.datepickerv2').each(function(i,e){
		$(e).datepicker({
	        dateFormat: 'yy-mm-dd',
	        showOtherMonths: true,
	        // minDate: 0,
	        maxDate:0
	    });
	});

		$('.mask-decimal-format').each(function(i,e){
			$(e).maskMoney({
				prefix:'$ ',
				allowNegative: false, 
				thousands:',', 
				decimal:'.',
				affixesStay: true
			});
		});

		$('.btn-action').each(function(i,e){
			$(e).click(function(){
				$('.txt-operation').text('Nuevo '+$(this).text());
				$('#post_action').val($(this).data('action'));
				$('.btn-action').removeClass('btn-primary');
				$('.btn-action').addClass('btn-outline-primary');
				$(this).removeClass('btn-outline-primary');
				$(this).addClass('btn-primary');

				$('.tipo-operacion').addClass('d-none');
				$('.tipo-operacion input').attr('disabled',true);
				var drop=$('.tipo-operacion'+$(this).data('drop'));
				drop.removeClass('d-none');
				drop.find('input').attr('disabled',false);
			});


		});

		$($('.btn-action')[0]).click();

		$('#form-comprobante').on('submit', function(event) {
	      event.preventDefault();
	      $('.progress-bar').removeClass('d-none');
	      var formData = new FormData($(this)[0]);
	      $('.progress-bar').attr('aria-valuenow', 0).css('width', 0 + '%').text(0 + '%');
	      $('[class^="capture-response"]').html('');
	      $.ajax({
	          xhr : function() {
	              var xhr = new window.XMLHttpRequest();
	              xhr.upload.addEventListener('progress', function(e) {
	                  if (e.lengthComputable) {
	                      var percent = Math.round((e.loaded / e.total) * 100);
	                      var bar = $('.progress-bar').attr('aria-valuenow', percent).css('width', percent + '%');

	                      if(percent < 100)
	                          bar.text(percent + '%');
	                      else
	                          bar.text('Completando...');
	                  }

	              });
	              return xhr;
	          },
	          type : 'POST',
	          url : '<?= $_URL_POST_IMAGE; ?>',
	          data : formData,
	          processData : false,
	          contentType : false,
	          success : function(data) {
	          	$('.progress-bar').addClass('d-none');
	          	$('#input-comprobante').val('');
	          	//$('.capture-response').html(data);
	              let resp = data.split('--codeup--')[1];
	    					let json = null;
				    		try{
				    			json = JSON.parse( resp );
				    		}catch(err){
				    			console.log(err.message);
				    		}

				    		if(json != null) {
				    			console.log(json);

				    			if( !json.error ){

				    				if(json.action!='DELETED'){

				    					//Si
				    					if($('input#custom_id_mov').length){
				    						$('input#custom_id_mov').remove();
				    					}else{

					    					var div=$('<div>',{class:'text-center position-relative',style:'width:max-content'}).appendTo(appendto);

						    				$('<span>',{class:'del',html:'&times;',title:'Eliminar comprobante'})
						    				.click(function(){
					    						$('#form-comprobante').submit();
					    					}).appendTo(div);

						    				$('<i>',{class:'fs30 text-dark fa '+json.ico}).appendTo(div);
						    				$('<br>').appendTo(div);

						    				var a=$('<a>',{class:'text-dark',text:json.name,href:json.url_file,target:'_blank'}).appendTo(div);

				    					}//if($('input#custom_id_mov')){

					    				//Evento para mostrar el archivo seleccionado
				    					$('img[data-mov="'+json.mov+'"].unevent')
				    					.attr('data-comprobante',json.url_file)
				    					.attr('src',json.url_new_ico);
				    					//.removeAttr('data-mov');
				    					setClickEventComprobante();

					    					//$('#btn-serch-comprobante').hide();

				    				}//if(json.action=='DELETED')
				    				else{

				    					<? if($desde_contabilidad){ ?>

				    						//console.log($('img[data-mov="'+json.mov+'"]'));

						    				//Evento para mostrar el archivo seleccionado
					    					$('img[data-mov="'+json.mov+'"]')
					    					.unbind()
					    					.attr('data-mov',json.mov)
					    					.attr('src',json.url_new_ico)
					    					.addClass('unevent upload')
					    					.removeAttr('data-comprobante');
					    					setClickEventComprobanteShow();

					    					//$('#btn-serch-comprobante').hide();

				    					<? } ?>

				    				}
				    			}else{
				    				alert(json.errores)
				    			}//if( !json.error )
				    		}//if(json != null)
	          }//success : function(data)
	      });
	  });

	});
</script>