	$('[data-mirror]').each( function(i, e){
		$( $(e).data('mirror') ).each( function(i2, e2){

			$(e).on('keyup',function(){
				
				setCounter();

				if( !$(e2).hasClass('nomirror') || $(e).hasClass('forcemirror')){

					var val = $.trim( $(this).val() );

					var format = $(e2).data('format');

					if(format)
					{
						switch(format){
							case 'url':
								val = cadenaUrl2(val);
							break;
						}
					}

					if( e2.tagName == 'INPUT' || e2.tagName == 'TEXTAREA' )
						$(e2).val( val );
					else
						$(e2).text( val );
				}

			});

		} );
	} );

	$('[data-nomirror]').each( function(i,e){
		$(e).on('change',function(){
			if( !$(this).hasClass('nomirror') )
			{
				$(this).addClass('nomirror');

				var nomirrors = $(this).data('nomirror');
				if(nomirrors)
				{
					$( nomirrors ).addClass('nomirror');
				}
			}
		});
	});

$('[data-max-type]').each( function(i, e){
	var max_typing = $.trim($(e).attr('data-max-type'));
	var appen_forcenext = $.trim($(e).attr('data-append-forcenext'))?? 0;
	var current_val = $.trim($(e).val());
	var current_val_length = current_val.length;
	var element = $(e);

	if($(e).next().length && !appen_forcenext)
		element = $(e).next();

	var div = $('<div>',{class:'max-type-append'}).insertAfter(element);
	var span = $('<span>',{text: current_val_length+'/'+max_typing }).appendTo(div);

	$(e).on('keyup', function(ev){
		setCounter();
	} ).on('keypress',function(ev2){
		var input_length = $.trim($(this).val()).length;
		return input_length < max_typing;
	}).bind('paste',function(){
		setCounter();
	});
} );

function setCounter(){
	$('[data-max-type]').each( function(i, e){
		var max_typing = $.trim( $(e).attr('data-max-type') );
		var appen_forcenext = $.trim($(e).attr('data-append-forcenext'))?? 0;
		var current_val = $.trim( $(e).val() );
		var current_val_length = current_val.length;

		var element = $(e);

		if( $(e).next().length)
			element = $(e).next();

		var span = element.find('span');
		var text = $(e).val();

		var input_length = $.trim( text ).length;

		if(input_length>max_typing){
			text = text.substring(0, max_typing);
			$(e).val( text );
			input_length = max_typing;
		}

		span.text( input_length+'/'+max_typing );
	} );
}

function eliminarDiacriticosV2(texto) {
    return texto.normalize('NFD').replace(/[\u0300-\u036f]/g,"");
}

function cadenaUrl2( cadena ){
	const aux = 'xxxxyyyyyxxxx';
	var cad = cadena.split(' ');
	cad = cad.filter(word => word.length > 0);
	cad = cad.join(aux);
	cad = eliminarDiacriticosV2( cad ).toLowerCase();

	cad = cad.replace(/[^0-9a-z]/gi, '')
	cad = cad.split(aux);
	cad = cad.join(' ');

	const regEx = new RegExp(' ', "g");
	cad = cad.replace(regEx , '-');

	const regEx2 = new RegExp('_', "g");
	cad = cad.replace(regEx2 , '-');
	return cad;
}