<?PHP
$response['error']   = 1;
$response['errores'] = null;
$response['resp']    = 'Error';
$response['msg']     = 'Intenta refrescando la página.';
$response['btn']     = null;

if($tokenPost == $_SESSION['tokenForm']){
	extract($campos);

    $tienda = trim($_POST[$nombre_tienda]);
    $idcat = trim($_POST[$idCat]);
    $nombre = trim($_POST[$nombre_contacto]);
	$correo = trim($_POST[$correo_contacto]);
    $telefono = trim($_POST[$telefono_contacto]);
    $clave1 = trim($_POST[$clave]);
    $clave_rep = trim($_POST[$clave."_rep"]);
    //$negocio_proveedor = trim($_POST[$nombre_negocio_proveedor]);
    
    if(!$tienda){
        $errores[$nombre_tienda] = "El nombre de tienda es obligatorio.";
    }

    if(!$idcat){
        $errores[$idCat] = "Selecciona una categoría.";
    }

    if(!$nombre){
        $errores[$nombre_contacto] = "El nombre de contacto es obligatorio.";
    }

    if(!$correo){
    	$errores[$correo_contacto] = "El correo de contacto es obligatorio.";
    }else if(!validEmail($correo)){
    	$errores[$correo_contacto] = "El formato de correo es incorrecto.";
    }

    if(!$telefono){
        $errores[$telefono_contacto] = "El teléfono es obligatorio.";
    }else if(!is_numeric($telefono)){
        $errores[$telefono_contacto] = "El teléfono debe ser numérico.";
    }else if(strlen($telefono) != 10){
        $errores[$telefono_contacto] = "El teléfono debe ser de 10 dígitos.";
    }

    if(!$clave1){
        $errores[$clave] = "Indica una contraseña para tu registro.";
    }else if($clave1 != $clave_rep){
        $errores[$clave] = "Las contraseñas no coinciden.";
    }

    // if(!$negocio_proveedor){
    // 	$errores[$nombre_negocio_proveedor] = "El nombre del negocio o proveedor es obligatorio.";
    // }

    if(!$errores){
        // $resend = ev('resend');
        // $just_send_mail = false;
        // $response['post'] = $_POST;
        // $response['post_resend'] = $_POST["$resend"];

        // if(isset($_POST["$resend"])) {

        //     $correo = $_SESSION['correo_contacto'];
        //     $nombre = $_SESSION['nombre_contacto'];
        //     $negocio_proveedor = $_SESSION['proveedor_contacto'];

        //     $just_send_mail = true;
        // }

        $prov['tienda'] = $tienda;
        $prov['idcat'] = $idcat;
        $prov['nombre'] = $nombre;
    	$prov['correo'] = $correo;
        $prov['telefono'] = $telefono;
        $prov['clave']  = $clave1;
    	// $prov['proveedor'] = $negocio_proveedor;

        // if($just_send_mail){
        //     $registred = true;
        //     $oProv->mailSend = $oProv->mailRegistraContacto($prov);
        // }else{
            $registred = $oProv->registraContacto($prov, false);
        // }

    	if($registred){

			$response['resp']  = 'Registro exitoso.';

            //if($oProv->mailSend)
            {

                //Registro exitoso
                $response['error'] = 0;
                // $response['msg'] = 'Se ha enviado un correo con información para poder continuar su registro.';
                $response['msg'] = 'Registro exitoso.';
                $response['btn'] = 'Continuar';
            }
            // else{

            //     $_SESSION['correo_contacto'] = $correo;
            //     $_SESSION['nombre_contacto'] = $nombre;
            //     $_SESSION['proveedor_contacto'] = $negocio_proveedor;

            //     //Registro exitoso sin correo enviado
            //     $response['error'] = 2;
            //     $response['msg'] = 'Se ha registrado exitosamente pero ocurrió un error al enviar el correo con información de su registro, por favor de clic en "Reenviar correo".';
            //     $response['btn'] = 'Cerrar';
            //     $response['input'] = $resend;
            // }
            
    	}else{

            //Error internno
            $response['error'] = 3;
            $response['resp']  = 'Error interno';
            $response['msg']   = 'Ocurrió un error por parte nuestra, estaremos trabajando para corregirlo lo antes posible.';

                
            //Correo duplicado o negocio
            $duplicado = false;

            if(strpos($oProv->_oDat->ultRes['ERROR'], $oProv->_oDat->campos_contacto['correo'])){
                $duplicado = true;
                $campotxt = "este correo";
                $campo = $correo;
                $campo_val = $correo_contacto;
            }

            if(strpos($oProv->_oDat->ultRes['ERROR'], $oProv->_oDat->campos_contacto['tienda'])){
                $duplicado = true;
                // $campotxt = "este nombre de negocio o proveedor";
                $campotxt = "este nombre de tienda";
                //$campo = $negocio_proveedor;
                $campo = $tienda;
                $campo_val = $nombre_tienda;
            }

            if($duplicado){
                $response['error'] = 1;
                $response['resp']  = "Error";
                $response['msg']   = "No puedes utulizar $campotxt ($campo)";
                $errores[$campo_val] = $response['msg'];
                $response['errores'] = $errores;
            }
            
    	}

        //Descomentar para ver error insert
        //pr($oProv->_oDat->ultRes);
    }else{

        //Errores de validacion
    	$response['errores'] = $errores;
    	$response['msg']   = 'Errores de validación.';
        $response['btn'] = 'Cerrar';
    }
}

echo json_encode($response);
exit(1);
?>