<?PHP
COMLOGVISHTML("V1.4");

include_once($_PROYDIR_BIN.$_BASETEMA."bin_compra-revisa-pedido-v2.php");
exit(1);

//Para guardar registro de logs
$_LOG_PROCESOS = $_PROYDIR.DIRECTORY_SEPARATOR."_logs".DIRECTORY_SEPARATOR;
$AUX_LOGS=$_LOG_PROCESOS;
$_NOM_LOGS = "logs.revisa.pedido.".str_replace("-", ".", explode(" ", NOWDT())[0]).".log";
$_LOG_PROCESOS.=$_NOM_LOGS;


include_once($_PROYDIR_OBJ."obj_card_detector.php");
include_once($_PROYDIR_OBJ."obj_productos.php");
include_once($_PROYDIR_OBJ."obj_payment.php");
include_once($_PROYDIR_OBJ."obj_clientes.php");

// COMLOG("NORMAL: ".print_r($_SESSION['compra'],true));
// if($_SESSION['SOYDES']==2){
// 	pr($_SESSION['compra']);
// 	die("****---");
// }

$oCcardD = new obj_card_detector();
$oProd = new obj_productos( $Link );
$oClie = new obj_clientes($Link);

$carrito = $_SESSION['carrito'];
$step1_ok = $_SESSION['compra']['step1']['step_status'];
$step2_ok = $_SESSION['compra']['step2']['step_status'];

$URL_STEP1 = $_URLBASE."ac-compra-informacion-envio.html";
$URL_STEP2 = $_URLBASE."ac-compra-metodo-pago.html";

$_URLPOST = $_URLBASE."ac-compra-revisa-pedido.html";

if(isset(${ev("ACTION")}))
{
	//COMLOG("ENTRA A GUARDAR: ".print_r($_SESSION['compra'],true));
	
	$ACC = decodVal(${ev("ACTION")});

	if($ACC == "PAY")
	{
		$resp['error'] = 1;
		$resp['link_prev'] = null;

		if(!$step1_ok)
			$error_dir = $error = "Verificar dirección de envío.";

		if(!$step2_ok)
			$error_dir = $error = "Verificar el método de pago.";

		if(!$carrito)
			$error_car = $error = "La sesión del carrito ha finalizado.";

		//Tipo de pago
		$payment_method  = $_SESSION['compra']['step2']['method_pay'];
		$es_pago_tarjeta = ($payment_method == $METODO['tarjeta']);

		$resp['tipo_compra'] = null;

		//Validar solo si es pago tarjeta
		if($es_pago_tarjeta)
		{
			if( ($card_data = $oProd->getCodCardData()) )
			extract($card_data,EXTR_PREFIX_ALL,"dc");

			if(!$dc_card)
				$error_dc = $error = "Ocurrió un error con la información de pago.";
		}

		if(!$error)
		{
			$resp['error'] = 2;
			$resp['msg'] = "Ocurrió un error al realizar la compra";

			//Extract session data
			extract($_SESSION['compra']['step1'],EXTR_PREFIX_ALL,"ses");

			
			//
			$conektaTokenId = null;
			if($es_pago_tarjeta)
				$conektaTokenId	= trim(${ev("conektaTokenId")});

			$oPayment = new obj_payment($_CONEKTA_PRIVATE_KEY_DEMO,$conektaTokenId);
			$oPayment->payment_method = $payment_method;

			$oPayment->oClie=$oClie; 

			foreach ($carrito as $ckey => $xprod)
			{
				$productos[] = $xprod['descripcion'];
				//TOTAL
				$total_prods+= $xprod['contado'];
				//TOTAL MSI
				$total_prods_msi+= $xprod['msi'];
			}

			// if($DEMO_PRUEBAS){
			// 	echo "Pruebas";
			// 	$total_prods=25;
			// }

			$total_base = round($total_prods,2);
			$total_base_msi = round($total_prods_msi,2);

			//Si es pago de anticipo
			if($anticipo) {

				//Resto del anticipo 
				$total_pago_resto = ($total_prods*0.7);

				//Resto del anticipo MSI 70%
				$total_pago_msi_resto = ($total_prods_msi*0.7);

				//Total de pago 30%
				$total_prods = ($total_prods*0.3);

				//Anticipo de MSI 30%
				$total_prods_msi = ($total_prods_msi*0.3);

				$oPayment->concepto = "Anticipo";
				$oPayment->anticipo_resto = round($total_pago_resto,2);
				$oPayment->total_anticipo = round($total_prods,2);
			}

			$total_pago = round($total_prods,2);
			$total_pago_msi  = round($total_prods_msi,2);

			$descripcion = implode(", ", $productos);

			//Datos para el pago
			$oPayment->setData($ses_nombre,$ses_telefono,$ses_correo,$descripcion,$total_pago,$total_base);

			if($es_pago_tarjeta) {

				$pago_meses = ($xtype!=1);

				if($pago_meses){
					$oPayment->monthly_installments=12;
					$oPayment->total = ($total_pago_msi*12);
				}

				$oPayment->setDataCard($dc_card,$dc_name);
			}
			// pr($_POST);

			//die($oPayment->concepto."-".$oPayment->total."-".$oPayment->total_base);
			//COMLOG("ANTES DE PAGAR: ".print_r($_SESSION['compra'],true));
			if($oPayment->pay())
			{
				$order = $oPayment->order;
				// prEx($order);
				//echo "$order \n\n";
				//echo $order->amount/100;

				$info_envio = "
					$ses_nombre <br>
					$ses_telefono <br>
					$ses_correo <br>
					$ses_calle, $ses_num_e - $ses_num_i, $ses_colonia<br>
					$ses_delegacion, $ses_cp, $ses_ciudad, $ses_estado  <br>
				";

				$metodo_pago = "Transferencia interbancaria";
				$tipos_de_pago = "COMPRA_TRANSFERENCIA";

				if($es_pago_tarjeta)
				{
					$tipos_de_pago = "COMPRA_TARJETA";

					$cardType=$oCcardD->detect($dc_card);
					$metodo_pago="$cardType **** ".substr($dc_card, -4)."<br>$dc_month/$dc_year<br>";
				}

				$data['no_pedido']   = $oPayment->order_number;
				$data['date'] 	     = $oPayment->created_at;
				$data['nombre']    	 = $ses_nombre;
				$data['correo']      = $ses_correo;
				$data['productos']   = $carrito;
				$data['info_envio']  = $info_envio;
				$data['metodo_pago'] = $metodo_pago;

				$data['total_compra'] 	  = number_format($total_base,2);
				$data['total_compra_msi'] = number_format($total_base_msi,2);

				$data['total_pago'] 	= number_format($oPayment->total,2);
        		$data['total_pago_msi'] = number_format($total_pago_msi,2);

        		$data['pago_meses'] = $pago_meses;
        		$data['con_anticipo'] = $anticipo;

        		if($anticipo){

        			$tipos_de_pago.= "_ANTICIPO";

        			$data['ult_idoper'] = $oPayment->ult_idOper;
        			$data['total_pago_resto'] = number_format($total_pago_resto,2);
        			$data['total_pago_msi_resto'] = number_format($total_pago_msi_resto,2);
        		}

        		if($pago_meses){
        			$tipos_de_pago.= "_MSI";
        		}

        		$_LOG_PROCESOS=$AUX_LOGS;
        		$_NOM_LOGS = "logs.mail.not.send.".str_replace("-", ".", explode(" ", NOWDT())[0]).".log";
        		$_LOG_PROCESOS.$_NOM_LOGS;
				if(!$oClie->mandaMailCompraRealizada($data)) {
					COMLOG("DATA MAIL NOT SEND mandaMailCompraRealizada(): ".print_r($data,true));
				}

				if(!$es_pago_tarjeta){
					$data['monto'] = number_format($oPayment->total,2);
					$data['clabe'] = $order->charges[0]->payment_method->clabe;

					if(!$oClie->mandaMailCompraTransferencia($data)) {
						COMLOG("DATA MAIL NOT SEND mandaMailCompraTransferencia(): ".print_r($data,true));
					}
				}

				if($_SESSION['SOYDES']!=2)
					unset($_SESSION['carrito']);

				$resp['error'] = 0;
				$resp['tipo_compra'] = $tipos_de_pago;
				$resp['amount'] = $order->amount/100;
				$resp['order_id'] = $order->id;
				$resp['msg'] = "Tu transacción fue realizada con éxito.";
				$resp['thank_you_page'] = $_URLBASE."gracias-por-tu-compra-anillo-de-compromiso.html";
			}
			else{
				//pr($oPayment);

				if($oPayment->error)
					$resp['msg'] = $oPayment->error;

				if($oPayment->erroresVal!=null)
					$resp['msg'] = implode(",", $oPayment->erroresVal);

				$resp['msg'] = str_replace("sin intereses", "", $resp['msg']);

				$resp['msg'].=" ó pruebe recargando la página.";

				$resp['errores']['ses'] = $resp['msg'];
			}
		}
		else{
			$resp['errores']['ses'] = $error;

			if($error_car)
				$resp['link_prev'] = $_URLBASE;

			if($error_dir)
				$resp['link_prev'] = $URL_STEP1;

			if($error_dc)
				$resp['link_prev'] = $URL_STEP2;

			$resp['msg'] = $error;
		}

		//pr($resp);

	    echo "--codepay--";
	    echo json_encode($resp);
	    echo "--codepay--";
	    exit(1);
	}

	die("Unknown action");
}

if(!$carrito){
	JavaScript("window.location='$_URLBASE';");
	exit(1);
}

if(!$step1_ok){
	JavaScript("window.location='$URL_STEP1';");
	exit(1);
}

if(!$step2_ok){
	JavaScript("window.location='$URL_STEP2';");
	exit(1);
}

extract($_SESSION['compra']['step1'],EXTR_PREFIX_ALL,"ses");
extract($_SESSION['compra']['step2'],EXTR_PREFIX_ALL,"s2");


$info_envio = "
	$ses_nombre <br>
	$ses_telefono <br>
	$ses_correo <br>
	$ses_calle, $ses_num_e - $ses_num_i, $ses_colonia<br>
	$ses_delegacion, $ses_cp, $ses_ciudad, $ses_estado  <br>
";

if($s2_method_pay == $METODO['transferencia']){
	$metodo_pago = "Transferencia interbancaria";
	$xcolor = "rgba(0,0,0,0.15)";
	$xstyle = "cursor:pointer";
}

if($s2_method_pay == $METODO['tarjeta'])
{
	$xcolor = "transparent";
	$xstyle = "";
	$_URL_GETTOKENID = $_URLBASE."ac_gettokenconekta.html";

	$IS_CREDIT_CARD = ($s2_card_type=="CREDIT");

	if( ($card_data = $oProd->getCodCardData()) )
	{
		extract($card_data,EXTR_PREFIX_ALL,"dc");
		$cardType = $oCcardD -> detect($dc_card);
	}

	if($cardType)
		$metodo_pago="$cardType **** ".substr($dc_card, -4)."<br>$dc_month/$dc_year<br>";
}


foreach ($carrito as $ckey => $xprod)
{
	//TOTAL
	$total_prods+= $xprod['contado'];
	//TOTAL MSI
	$total_prods_msi+= $xprod['msi'];
	$total_prods_msi_ant+= ($xprod['msi']*0.3);
}

$anticipo 			 = round(($total_prods*0.3),2);

$total_prods 		 = round($total_prods,2);
$total_prods_msi 	 = round($total_prods_msi,2);
$total_prods_msi_ant = round($total_prods_msi_ant,2);

$total_compra 	  = number_format($total_prods,2);
$total_compra_msi = number_format($total_prods_msi,2);
$total_anticipo   = number_format($anticipo,2);
$total_compra_msi_ant = number_format($total_prods_msi_ant,2);

include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_cabecera.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_compra-revisa-pedido.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_pie.php");
?>