<?PHP
if( isset(${ev("ACTION")}) )
{
	$ACC = decodVal( ${ev("ACTION")} );

	$resp['error'] = 1;
	$resp['msg'] = "Unknown action";

	if($ACC === "COTIZAR")
	{
		$resp['action'] = "cotizar";

		$id = decodVal( ${ev("IDMODELO")} );

		if(!$id)
		{
			$resp['msg'] = "Sin id modelo.";
    		terminaCotizacion($resp);
		}

		$qr = "SELECT * FROM modelos WHERE id = '$id' ";
		loadRegsQr($Link,$qr,$modelo,$xres);

		$modelo_info = $modelo[0];

		$dolar 	 = 24;
    	// $oro 	 = 48.87;
    	$oro 	 = 70;
    	// $platino = 27;
    	$platino = 35;

    	$qlt = ($quilates+1)*0.25;
    	$quilates = number_format($qlt, 2);

    	$costo_diamante = getDiamondPrice($quilates, $pureza_diamante, $color_diamante);
    	if(!$costo_diamante)
    	{
    		$resp['msg'] = "Error al calcular costo diamante";
    		terminaCotizacion($resp);
    	}

    	$mat_info = explode(" ", $material);
    	$material = trim(strtolower($mat_info[0]));

        //Default
        $peso_elemento = 5;

    	if($material == "oro")
    	{
            $peso_elemento = $modelo_info['material_peso'];
            $kilataje = substr($mat_info[1], 0, -1);
        }
    	
    	if($material == "platino")
    	{
            $kilataje = 24; //Suponemos que el platino tiene 24 kilates, es decir es puro.
            $peso_elemento = $modelo_info['material_peso_platino'];
        }

    	//Comenzamos con el costo del diamante según Rapaport - 20%
        $precio = $costo_diamante;

        //Obtenemos el costo del material en función de su peso y kilataje
        //Antes era una constante el peso
        //$precio += $$material * (4 * $kilataje / 24);

        //Ahora se tomara el peso segun el material
        $precio += ${$material} * ($peso_elemento * $kilataje / 24);

        //Agregamos el costo extra por elaboración de anillo
        $precio += ($modelo_info['costo_extra']*1) ? $modelo_info['costo_extra']*1 : 100;

        //Convertimos el precio hasta ahora calculado en dólares a pesos mexicanos
        $precio = $precio * $dolar;

        $precio_org = $precio;

        $precio*=0.7;

        $resp['precioCod'] = codVal($precio);

        $resp['error'] = 0;
        $resp['msg'] = "ok";
    	$resp['precio'] = "$".number_format($precio, 2)." MXN";
    	$resp['precio_org'] = "$".number_format($precio_org, 2)." MXN";
	}

	if($ACC === "ENVIACOTIZACION")
	{
		$resp['action'] = "envia_cotizacion";

		if(!trim($nombre))
        	$errores['nombre'] = "El nombre es obligatorio.";

        if(!validEmail($email))
        	$errores['email'] = "Escribe un correo válido.";

        if(strlen($telefono) < 10)
            $errores['telefono'] = "El teléfono debe ser de 10 dígitos.";

        if(!is_numeric($telefono))
            $errores['telefono'] = "El teléfono debe ser numérico.";

        if(!trim($telefono))
        	$errores['telefono'] = "El teléfono es obligatorio.";

        $save = false;
        if(count($errores) == 0)
        {
        	$errores[] = "Ocurrió un error al registrar tu cotización, inténtalo nuevamente.";

			$imagen = $_FILES['imagen'];
			$mov = 0;
			if(!$imagen['error'])
			{
				$nombre_imagen = md5(time().rand()).".".end(explode(".", $imagen['name']));

				$folder = $_PROYDIR_ST.$_BASETEMA."images".DIRECTORY_SEPARATOR."personaliza".DIRECTORY_SEPARATOR;
				$img_tmp = $imagen['tmp_name'];
				$imagen_save = $folder.$nombre_imagen;
	    		$mov = move_uploaded_file($img_tmp, $imagen_save);

	    		if($mov)
	    			$data['foto_diseno'] = $nombre_imagen;
			}

			$qlt = ($quilates+1)*0.25;
	    	$quilates = number_format($qlt, 2);

	    	if(${ev("PRECIO_COTIZADO")})
	    		$precio_anillo = decodVal( ${ev("PRECIO_COTIZADO")} );

	    	$modelo_id = decodVal( ${ev("IDMODELO")} );

	    	$cotizacion = ($quilates && $color_diamante && $pureza_diamante && $material && $precio_anillo);
	    
	        //Guardamos los datos de la cotización en la base de datos
	        if($cotizacion)
	        {
	            $data['material']        = $material;
	            $data['material_color']  = $metal;
	            $data['diamante_tam']    = $quilates;
	            $data['diamante_pureza'] = $pureza_diamante;
	            $data['diamante_color']  = $color_diamante;
	            $data['costo_estimado']  = str_replace(",", ".", $precio_anillo);
	            $data['forma_montura']   = $forma;
	        }

	        $data['nombre']    = $nombre;
	        $data['correo']    = $email;
	        $data['celular']   = $telefono;
	        $data['modelo_id'] = $modelo_id;

	        setCamposIns($aux);
	        $data['created_at'] = $aux['_fechaIns'];

	        if($modelo_id)
	        	$save = insertReg($Link,"pedidos",$data,$xres);
	    }//

        $envio = false;
        if($save)
        {
            $errores[] = "No se pudo enviar el correo debido a un error. Por favor inténtalo de nuevo.";

            include_once($_PROYDIR_OBJ."obj_mailer.php");
            $oMail = new obj_mailer($_PROYDIR_PLANTILLAS,"personaliza");

            $data['cotizacion'] = $cotizacion;
            $data['costo_estimado'] = number_format($data['costo_estimado'], 2);

            $data['imagen'] = $_URLST."images/personaliza/".$data['foto_diseno'];

            if($forma)
            	$data['imagen_montura'] = $_URLST."images/".$data['forma_montura'].".svg";

            $data['telefono1'] = "(55) 5512 4834";
            $data['telefono2'] = "(55) 5518 3663";

            $oMail -> construyeMail($data);

            $origen   = "info@matrimony.mx";
            $nombrede = "Matrimony Rings";
            $destino  = $email;
            $nombrepara = $nombre;
            $asunto   = "Se ha solicitado una cotización";

            $envio  = $oMail -> enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
            $envio2 = $oMail -> enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se ha solicitado una cotización");
        }

        $resp['errores'] = $errores;

        if($envio)
        {
        	$resp['errores'] = null;
            $resp['error'] = 0;
            $resp['thank_you_page'] = $_URLBASE."gracias-por-tu-compra-anillo-personalizado.html";
            $resp['msg'] = "Se registró correctamente tu cotización, en breve nos pondremos en contacto contigo para brindarte mayor información. Se ha enviado una copia a tu correo electrónico.";
        }
        else
        {
        	if($mov)unlink($imagen_save);
        }
	}

	if($ACC === "COTIZARV2")
	{
		include_once($_PROYDIR_OBJ."obj_productos.php");
		$oProd = new obj_productos( $Link );

		//Variable enviadas desde la vista
		$quilates = $producto_tam_piedra;
		$color_diamante = $producto_color_diam;
		$pureza_diamante = $producto_claridad_diam;

		$xmaterial = decodVal( trim($producto_material) );
		list($material,$kilataje) = explode("-", $xmaterial);

		if( $material == "platino")
		    $kilataje = "";

		$TYPE = decodVal( ${ev("TYPE")} );
		$tipo_producto="anillos";
		if($TYPE === "CHURUMBELA"){
			$tipo_producto="churumbelas";
			//Parche para obtener imagenes churumbelas
			$_DIR_IMGS_360 = $_DIR_IMGS_360_CHUR;
			$_URL_IMGS_360 = $_URL_IMGS_360_CHUR;

			$caracteristicas['es_churumbela'] = true;
			$oProd -> _oDat -> estaTabla = "reg_producto_churumbela";
		}

		//caracteristicas anillo
		$caracteristicas['material'] = $material;
		$caracteristicas['kilataje'] = $kilataje;

		//caracteristicas diamante
		$caracteristicas['quilates'] = $quilates;
		$caracteristicas['color']    = $color_diamante;
		$caracteristicas['pureza']   = $pureza_diamante;

		//Tipo de piedra
		$prod_piedra = strtolower($producto_piedra);
		$caracteristicas['piedra'] 	 = $prod_piedra;

		$idProd = decodVal( trim($producto_color) );

		//pr($caracteristicas);

		$precio_cotizado = $oProd -> cotizaProducto($idProd, $caracteristicas, $return_mensaje, $return_info);

		if($_SESSION['SOYDES']==2)
			pr($return_info);

		if( !$precio_cotizado )
		{
			$resp['xmsg'] = $return_mensaje;
			$resp['msg'] = "Error al cotizar";
			terminaCotizacion($resp);
		}

		// pr($_POST);

		//Se aplica siempre un descuento
		$precio_descuento = $precio_cotizado - ($_DESCUENTO_PRODUCTO_*$precio_cotizado/100);

		$precio_msi = ( ($precio_descuento*1.1765) /12);

		//echo "Mensaje: $return_mensaje   ---- Precio cotizado: $precio_cotizado";

		$resp['error'] = 0;
		$resp['msg'] = "Precio cotizado";
		$resp['descuento'] = $_DESCUENTO_PRODUCTO_;
		$resp['precio_descuento'] = "$".number_format($precio_descuento, 2)." MXN";
		$resp['precio'] = "$".number_format($precio_cotizado, 2)." MXN";
		$resp['pagos'] = "$".number_format($precio_msi, 2)." MXN";
		$resp['envio'] = "Gratis";
		$resp['dias'] = "15 días";
		$resp['msg_whats']= "Atención 24/7";


		//$visadmin SOLO SI ES DESDE LA VISTA DEL ADMINISTRADOR
		$resp['msg_car']= $visadmin?"Añadir":"Agregar al carrito";

		$xpagos = " ó 12 pagos de ".$resp['pagos'];

		$producto = $oProd -> cargaProductoId($idProd, true);
		// pr($return_info);

		if($prod_piedra == "diamantelab")
		{
			$color_diamante = "F-G";
			$pureza_diamante = "VS";
			$producto_piedra = "Diamante Lab";
		}

		//Agregar al carrito
		$resp['redirect'] = null;
		if( $addcarr )
		{
			// session_destroy();

			$prod['es_producto']  = 1;
			$prod['tipo_producto']  = $tipo_producto;

			$imgs = $oProd -> imagenes360Prod( $producto );
			$prod['img'] = $imgs[0]['img_prin'];

			$url_id = $producto['url_id']."#color-{$producto['color']}--mat-$material-kil-".($kilataje*1)."--piedra-$prod_piedra";

			$prod['url'] = $url_id;
			$prod['id']  = $idProd;
			$prod['sku'] = $producto['sku'];

			$prod['piedra_prin']  = $producto_piedra;

			if( $prod_piedra == "diamante" || $prod_piedra == "diamantelab" )
			{
				$prod['tam_piedra']  = $quilates;
				$prod['color_diam']  = $color_diamante;
				$prod['pureza_diam'] = $pureza_diamante;
			}

			$prod['nombre']  = $producto['nombre'];
			// $prod['descripcion']  = $producto['descripcion'];
			$prod['descripcion']  = $producto['nombre'];
			$prod['peso_g']  = $return_info['peso_elemento'];
			$prod['grosor_mm']  = $arg_grosor_mm;
			$prod['material']  = $return_info['material'];
			$prod['color']  = $COLORES_PRODUCTO[ $producto['color'] ];
			$prod['precio_x_gr']  = "";
			$prod['precio']  = $precio_cotizado;

			if( $prod_piedra == "diamante" || $prod_piedra == "diamantelab" )
			{
				$prod['qts']  = $quilates;
				$prod['color_diam'] = $color_diamante;
				$prod['claridad_diam'] = $pureza_diamante;
			}

			if($producto_talla_arg==1)
				$producto_talla_arg="";

			// $prod['contado']  = $precio_descuento;
			$prod['contado']  = $precio_cotizado;
			$prod['msi']  = $precio_msi;
			$prod['tam']  = $producto_talla_arg;
			$prod['grab'] = "";
			$prod['costo_envio']  = "Gratis";
			$prod['recibe_en'] = "15 Días";

			if($visadmin){
				$_SESSION['carrito_custom_venta'][] = $prod;
				$resp['event'] = 'parent.location.reload();';

			}else{
				$_SESSION['carrito'][] = $prod;
			}

			$resp['sku'] = $producto['sku'];
			$resp['redirect'] = $_URLBASE."ac-carrito-de-compra-anillo.html";
		}

		$resumen ="¡Hola! Tengo interés en la compra del siguiente producto:\n";
		$resumen.=" \nProducto: ".$producto['nombre'];
		$resumen.=" \nMaterial: ".$return_info['material'];
		$resumen.=" \nColor: ".$COLORES_PRODUCTO[ $producto['color'] ];
		$resumen.=" \nSKU: ".$producto['sku'];
		if($producto_talla_arg)
			$resumen.=" \nTalla: ".$producto_talla_arg;
		$resumen.=" \nPiedra principal: ".$producto_piedra;
		// $resumen.=" \nPeso diamante aprox: ".$producto['nombre'];

		if( $prod_piedra == "diamante" || $prod_piedra == "diamantelab" )
		{
			$resumen.=" \nTamaño piedra aprox: ".$quilates." qts";
			$resumen.=" \nColor diamante: ".$color_diamante;
			$resumen.=" \nClaridad: ".$pureza_diamante;
		}

		$resumen.=" \nPrecio aprox: ".$resp['precio_descuento'].$xpagos;
		$resumen.=" \nTiempo de entrega: 15 días";

		$resumen.="\n\nTOTAL COMPRA: ".$resp['precio_descuento'].$xpagos."\n\n";

		$resumen.= "Estoy consciente que los precios son aproximados y puede haber ligeras variaciones en ellos, además que todos los productos y piedras están sujetas a disponibilidad. Agradezco su atención.";

		$resp['resumen'] = urlencode($resumen);
	}

	if($ACC === "COTIZAR_CADENA")
	{
		include_once($_PROYDIR_OBJ."obj_cadenas.php");
		$oCad = new obj_cadenas($Link);

		$idProd = decodVal($producto_color);
		$kil = decodVal($producto_material);
		$talla = decodVal(${"producto_talla_$kil"});

		if(!$idProd || !$kil || !$talla){
			$msg = "Datos insufucientes para cotizar";
			if(!$talla){
				$msg = "Selecciona la talla";
			}
			terminaCotizacion(['msg'=>$msg]);
		}

		if(!($producto = $oCad->cargaProductoId($idProd,true))){
			terminaCotizacion(['msg'=>"Producto no encontrado"]);
		}

		extract($producto,EXTR_PREFIX_ALL,"prod");
		$details = $oCad->cotizaProducto($idProd,$return_mensaje,$return_info);
		$cotizado = $details['all_values'];
		$medidas = $details['medidas'];

		$precio_cotizado = $cotizado[$kil][$talla];
		$medida = $medidas[$kil][$talla];

		if(!$precio_cotizado){
			terminaCotizacion(['msg'=>"Error al cotizar"]);
		}

		//Se aplica siempre un descuento //por el momento es de 0%
		$precio_descuento = $precio_cotizado - ($_DESCUENTO_PRODUCTO_*$precio_cotizado/100);

		$precio_msi = ( ($precio_descuento*1.1765) /12);
		$dias = $prod_dias_entrega? "$prod_dias_entrega días" : "Entrega inmediata";
		$color = $COLORES_PRODUCTO[$prod_color];

		$resp['error'] = 0;
		$resp['msg'] = "Precio cotizado";
		$resp['descuento'] = $_DESCUENTO_PRODUCTO_;
		$resp['precio_descuento'] = "$".number_format($precio_descuento, 2)." MXN";
		$resp['precio'] = "$".number_format($precio_cotizado, 2)." MXN";
		$resp['pagos'] = "$".number_format($precio_msi, 2)." MXN";
		$resp['envio'] = "Gratis";
		$resp['dias'] = $dias;
		$resp['msg_whats']= "Atención 24/7";


		//$visadmin SOLO SI ES DESDE LA VISTA DEL ADMINISTRADOR
		$resp['msg_car']= $visadmin?"Añadir":"Agregar al carrito";

		$xpagos = " ó 12 pagos de ".$resp['pagos'];

		//Agregar al carrito
		$resp['redirect'] = null;
		if($addcarr){

			$imgs = $oCad->imagenes360Prod($producto);

			$prod['es_producto']  = 1;
			$prod['tipo_producto']  = $prod_tipo_producto;
			$prod['img'] = $imgs[0]['img_prin'];
			$prod['url'] = "$prod_url_id#color-$prod_color--kil-$kil";;
			$prod['id']  = $prod_idProd;
			$prod['sku'] = $prod_sku;
			$prod['nombre']  = $prod_nombre;
			$prod['descripcion']  = $prod_nombre;
			$prod['peso_g']  = $medida;
			$prod['material']  = "Oro {$kil}k";
			$prod['color']  = $color;
			$prod['precio_x_gr']  = "";
			$prod['precio']  = $precio_cotizado;
			$prod['contado']  = $precio_cotizado;
			$prod['msi']  = $precio_msi;
			$prod['tam']  = $talla;
			$prod['costo_envio']  = "Gratis";
			$prod['recibe_en'] = $dias;

			if($visadmin){
				$_SESSION['carrito_custom_venta'][] = $prod;
				$resp['event'] = 'parent.location.reload();';

			}else{
				$_SESSION['carrito'][] = $prod;
			}

			$resp['sku'] = $producto['sku'];
			$resp['redirect'] = $_URLBASE."ac-carrito-de-compra-anillo.html";
		}

		$resumen ="¡Hola! Tengo interés en la compra del siguiente producto:\n";
		$resumen.=" \nProducto: ".$producto['nombre'];
		$resumen.=" \nMaterial: Oro {$kil}k";
		$resumen.=" \nColor: $color";
		$resumen.=" \nSKU: $prod_sku";
		$resumen.=" \nTalla: $talla cm";
		$resumen.=" \nPrecio aprox: ".$resp['precio_descuento'].$xpagos;
		$resumen.=" \nTiempo de entrega: $dias";

		$resumen.="\n\nTOTAL COMPRA: ".$resp['precio_descuento'].$xpagos."\n\n";

		$resumen.= "Estoy consciente que los precios son aproximados y puede haber ligeras variaciones en ellos, además que todos los productos y piedras están sujetas a disponibilidad. Agradezco su atención.";
		$resp['resumen'] = urlencode($resumen);
	}

	if($ACC === "COTIZARARG")
	{
		if($_SESSION['SOYDES']==2){
			//prEx($_POST);
		}

		include_once($_PROYDIR_OBJ."obj_argollas.php");
		$oArg = new obj_argollas( $Link );
		$oArg -> _oDat -> estaTabla = "reg_producto_argolla";

		$sku = decodVal( trim($xprod) );
		$color  = trim($producto_color);
		$material = trim($producto_material);

		if( !$sku || !$color || !$material)
		{
			$resp['msg'] = "Error al agregar a carrito.";
			terminaCotizacion($resp);
		}

		$producto0 = $oArg -> cargaProductosSkuArgolla($sku, true);
		indexDat($producto0,$productos,'color');
		$producto = $productos[$color];
		// prEx($producto);

		if(!$producto)
		{
			$resp['msg'] = "Error al agregar a carrito.";
			terminaCotizacion($resp);
		}

		// pr($producto);

		$vp = $oArg -> cargaVariantesPrecioSku( $producto['sku'], "kilataje,val_kilataje" );
		indexDat($vp, $vars_precio,"kilataje" );

		$data_precio = $vars_precio[$material];

		if(!$data_precio)
		{
			$resp['msg'] = "Error al agregar a carrito.";
			terminaCotizacion($resp);
		}

		extract($data_precio);
		$valores_moneda = $oArg -> _oDat -> selectWhere("1","idReg,variable,valor","valores_moneda");
		$precio = $oArg -> calculaPrecioArgKil($val_kilataje, $valores_moneda);

		$precio_msi = ( ($precio*1.1765) /12);

		$kilatajes0 = $oArg -> cargaKilatajesArg();
		indexDat($kilatajes0, $kilatajes,"kilataje");

		// pr($kilatajes);
		// session_destroy();

		$prod['es_argollav2']  = 1;
		$prod['tipo_producto']  = "argollas";

		$imgs = $oArg -> imagenes360ProdArg( $producto );
		$prod['img'] = $imgs[0]['img_prin'];

		$vars = "#color-".$color."--mat-".$material;

		$url_id = $producto['url_id'].$vars;

		$prod['url'] = $url_id;
		$prod['id']  = $producto['idProd'];
		$prod['sku']  = $sku;
		$prod['nombre']  = $producto['nombre'];
		$prod['descripcion']  = $producto['nombre'];
		$prod['material']  = $kilatajes[$material]['nombre'];
		$prod['color']  = $COLORES_PRODUCTO[ $color ];
		$prod['precio']  = $precio;
		$prod['contado']  = $precio;
		$prod['msi']  = $precio_msi;
		$prod['tam']  = $producto_talla_arg;
		$prod['grab'] = "";
		$prod['costo_envio']  = "Gratis";
		$prod['recibe_en'] = "15 Días";

		// pr($prod);

		if($visadmin){
			$_SESSION['carrito_custom_venta'][] = $prod;
			$resp['event'] = 'parent.location.reload();';

		}else{
			$_SESSION['carrito'][] = $prod;
		}

		$resp['error'] = 0;
		$resp['msg'] = "Precio cotizado";
		$resp['sku'] = $sku;
		$resp['redirect'] = $_URLBASE."ac-carrito-de-compra-anillo.html";
		
	}

	terminaCotizacion($resp);
}

function terminaCotizacion($resp)
{
	if(!isset($resp['error'])){
		$resp['error'] = 1;
	}


	//Si se agrega calcular un pedido nuevo (solucion rapida por el momento, se debe optimizar)
	//Session de compra normal
	unset($_SESSION['compra']['step2']['stripe']);

	//Session de compra personalizado
	unset($_SESSION['compra']['personalizada']['stripe']);

	echo "--codecotizador--";
	echo json_encode($resp);
	echo "--codecotizador--";
	exit(1);
}

function llenarTabla(&$diamond_price)
{
	$diamond_price["0.25"]["VVS1"]["F"] = 16.7;
	$diamond_price["0.25"]["VVS1"]["G"] = 14.8;
	$diamond_price["0.25"]["VVS1"]["H"] = 14.8;
	$diamond_price["0.25"]["VVS1"]["I"] = 11.5;
	$diamond_price["0.25"]["VVS1"]["J"] = 11.5;

	$diamond_price["0.25"]["VVS2"]["F"] = 16.7;
	$diamond_price["0.25"]["VVS2"]["G"] = 14.8;
	$diamond_price["0.25"]["VVS2"]["H"] = 14.8;
	$diamond_price["0.25"]["VVS2"]["I"] = 11.5;
	$diamond_price["0.25"]["VVS2"]["J"] = 11.5;

	$diamond_price["0.25"]["VS1"]["F"] = 15.0;
	$diamond_price["0.25"]["VS1"]["G"] = 13.0;
	$diamond_price["0.25"]["VS1"]["H"] = 13.0;
	$diamond_price["0.25"]["VS1"]["I"] = 10.2;
	$diamond_price["0.25"]["VS1"]["J"] = 10.2;

	$diamond_price["0.25"]["VS2"]["F"] = 15.0;
	$diamond_price["0.25"]["VS2"]["G"] = 13.0;
	$diamond_price["0.25"]["VS2"]["H"] = 13.0;
	$diamond_price["0.25"]["VS2"]["I"] = 10.2;
	$diamond_price["0.25"]["VS2"]["J"] = 10.2;


	$diamond_price["0.50"]["VVS1"]["F"] = 45;
	$diamond_price["0.50"]["VVS1"]["G"] = 39;
	$diamond_price["0.50"]["VVS1"]["H"] = 36;
	$diamond_price["0.50"]["VVS1"]["I"] = 32;
	$diamond_price["0.50"]["VVS1"]["J"] = 28;

	$diamond_price["0.50"]["VVS2"]["F"] = 42;
	$diamond_price["0.50"]["VVS2"]["G"] = 38;
	$diamond_price["0.50"]["VVS2"]["H"] = 35;
	$diamond_price["0.50"]["VVS2"]["I"] = 31;
	$diamond_price["0.50"]["VVS2"]["J"] = 27;

	$diamond_price["0.50"]["VS1"]["F"] = 39;
	$diamond_price["0.50"]["VS1"]["G"] = 37;
	$diamond_price["0.50"]["VS1"]["H"] = 34;
	$diamond_price["0.50"]["VS1"]["I"] = 30;
	$diamond_price["0.50"]["VS1"]["J"] = 26;

	$diamond_price["0.50"]["VS2"]["F"] = 37;
	$diamond_price["0.50"]["VS2"]["G"] = 35;
	$diamond_price["0.50"]["VS2"]["H"] = 33;
	$diamond_price["0.50"]["VS2"]["I"] = 29;
	$diamond_price["0.50"]["VS2"]["J"] = 25;


	$diamond_price["0.75"]["VVS1"]["F"] = 60;
	$diamond_price["0.75"]["VVS1"]["G"] = 53;
	$diamond_price["0.75"]["VVS1"]["H"] = 48;
	$diamond_price["0.75"]["VVS1"]["I"] = 41;
	$diamond_price["0.75"]["VVS1"]["J"] = 34;

	$diamond_price["0.75"]["VVS2"]["F"] = 56;
	$diamond_price["0.75"]["VVS2"]["G"] = 51;
	$diamond_price["0.75"]["VVS2"]["H"] = 46;
	$diamond_price["0.75"]["VVS2"]["I"] = 39;
	$diamond_price["0.75"]["VVS2"]["J"] = 33;

	$diamond_price["0.75"]["VS1"]["F"] = 53;
	$diamond_price["0.75"]["VS1"]["G"] = 49;
	$diamond_price["0.75"]["VS1"]["H"] = 44;
	$diamond_price["0.75"]["VS1"]["I"] = 38;
	$diamond_price["0.75"]["VS1"]["J"] = 32;

	$diamond_price["0.75"]["VS2"]["F"] = 50;
	$diamond_price["0.75"]["VS2"]["G"] = 46;
	$diamond_price["0.75"]["VS2"]["H"] = 42;
	$diamond_price["0.75"]["VS2"]["I"] = 37;
	$diamond_price["0.75"]["VS2"]["J"] = 31;


	$diamond_price["1.00"]["VVS1"]["F"] = 120;
	$diamond_price["1.00"]["VVS1"]["G"] = 102;
	$diamond_price["1.00"]["VVS1"]["H"] = 85;
	$diamond_price["1.00"]["VVS1"]["I"] = 72;
	$diamond_price["1.00"]["VVS1"]["J"] = 61;

	$diamond_price["1.00"]["VVS2"]["F"] = 107;
	$diamond_price["1.00"]["VVS2"]["G"] = 95;
	$diamond_price["1.00"]["VVS2"]["H"] = 82;
	$diamond_price["1.00"]["VVS2"]["I"] = 70;
	$diamond_price["1.00"]["VVS2"]["J"] = 60;

	$diamond_price["1.00"]["VS1"]["F"] = 102;
	$diamond_price["1.00"]["VS1"]["G"] = 90;
	$diamond_price["1.00"]["VS1"]["H"] = 80;
	$diamond_price["1.00"]["VS1"]["I"] = 68;
	$diamond_price["1.00"]["VS1"]["J"] = 59;

	$diamond_price["1.00"]["VS2"]["F"] = 90;
	$diamond_price["1.00"]["VS2"]["G"] = 83;
	$diamond_price["1.00"]["VS2"]["H"] = 76;
	$diamond_price["1.00"]["VS2"]["I"] = 66;
	$diamond_price["1.00"]["VS2"]["J"] = 57;


	$diamond_price["1.25"]["VVS1"]["F"] = 120;
	$diamond_price["1.25"]["VVS1"]["G"] = 102;
	$diamond_price["1.25"]["VVS1"]["H"] = 85;
	$diamond_price["1.25"]["VVS1"]["I"] = 72;
	$diamond_price["1.25"]["VVS1"]["J"] = 61;

	$diamond_price["1.25"]["VVS2"]["F"] = 107;
	$diamond_price["1.25"]["VVS2"]["G"] = 95;
	$diamond_price["1.25"]["VVS2"]["H"] = 82;
	$diamond_price["1.25"]["VVS2"]["I"] = 70;
	$diamond_price["1.25"]["VVS2"]["J"] = 60;

	$diamond_price["1.25"]["VS1"]["F"] = 102;
	$diamond_price["1.25"]["VS1"]["G"] = 90;
	$diamond_price["1.25"]["VS1"]["H"] = 80;
	$diamond_price["1.25"]["VS1"]["I"] = 68;
	$diamond_price["1.25"]["VS1"]["J"] = 59;

	$diamond_price["1.25"]["VS2"]["F"] = 90;
	$diamond_price["1.25"]["VS2"]["G"] = 83;
	$diamond_price["1.25"]["VS2"]["H"] = 76;
	$diamond_price["1.25"]["VS2"]["I"] = 66;
	$diamond_price["1.25"]["VS2"]["J"] = 57;


	$diamond_price["1.50"]["VVS1"]["F"] = 162;
	$diamond_price["1.50"]["VVS1"]["G"] = 136;
	$diamond_price["1.50"]["VVS1"]["H"] = 112;
	$diamond_price["1.50"]["VVS1"]["I"] = 90;
	$diamond_price["1.50"]["VVS1"]["J"] = 74;

	$diamond_price["1.50"]["VVS2"]["F"] = 140;
	$diamond_price["1.50"]["VVS2"]["G"] = 122;
	$diamond_price["1.50"]["VVS2"]["H"] = 103;
	$diamond_price["1.50"]["VVS2"]["I"] = 85;
	$diamond_price["1.50"]["VVS2"]["J"] = 72;

	$diamond_price["1.50"]["VS1"]["F"] = 131;
	$diamond_price["1.50"]["VS1"]["G"] = 114;
	$diamond_price["1.50"]["VS1"]["H"] = 98;
	$diamond_price["1.50"]["VS1"]["I"] = 82;
	$diamond_price["1.50"]["VS1"]["J"] = 70;

	$diamond_price["1.50"]["VS2"]["F"] = 118;
	$diamond_price["1.50"]["VS2"]["G"] = 108;
	$diamond_price["1.50"]["VS2"]["H"] = 94;
	$diamond_price["1.50"]["VS2"]["I"] = 79;
	$diamond_price["1.50"]["VS2"]["J"] = 66;


	$diamond_price["1.75"]["VVS1"]["F"] = 162;
	$diamond_price["1.75"]["VVS1"]["G"] = 136;
	$diamond_price["1.75"]["VVS1"]["H"] = 112;
	$diamond_price["1.75"]["VVS1"]["I"] = 90;
	$diamond_price["1.75"]["VVS1"]["J"] = 74;

	$diamond_price["1.75"]["VVS2"]["F"] = 140;
	$diamond_price["1.75"]["VVS2"]["G"] = 122;
	$diamond_price["1.75"]["VVS2"]["H"] = 103;
	$diamond_price["1.75"]["VVS2"]["I"] = 85;
	$diamond_price["1.75"]["VVS2"]["J"] = 72;

	$diamond_price["1.75"]["VS1"]["F"] = 131;
	$diamond_price["1.75"]["VS1"]["G"] = 114;
	$diamond_price["1.75"]["VS1"]["H"] = 98;
	$diamond_price["1.75"]["VS1"]["I"] = 82;
	$diamond_price["1.75"]["VS1"]["J"] = 70;

	$diamond_price["1.75"]["VS2"]["F"] = 118;
	$diamond_price["1.75"]["VS2"]["G"] = 108;
	$diamond_price["1.75"]["VS2"]["H"] = 94;
	$diamond_price["1.75"]["VS2"]["I"] = 79;
	$diamond_price["1.75"]["VS2"]["J"] = 66;


	$diamond_price["2.00"]["VVS1"]["F"] = 250;
	$diamond_price["2.00"]["VVS1"]["G"] = 200;
	$diamond_price["2.00"]["VVS1"]["H"] = 165;
	$diamond_price["2.00"]["VVS1"]["I"] = 125;
	$diamond_price["2.00"]["VVS1"]["J"] = 100;

	$diamond_price["2.00"]["VVS2"]["F"] = 225;
	$diamond_price["2.00"]["VVS2"]["G"] = 180;
	$diamond_price["2.00"]["VVS2"]["H"] = 155;
	$diamond_price["2.00"]["VVS2"]["I"] = 120;
	$diamond_price["2.00"]["VVS2"]["J"] = 95;

	$diamond_price["2.00"]["VS1"]["F"] = 190;
	$diamond_price["2.00"]["VS1"]["G"] = 160;
	$diamond_price["2.00"]["VS1"]["H"] = 140;
	$diamond_price["2.00"]["VS1"]["I"] = 112;
	$diamond_price["2.00"]["VS1"]["J"] = 90;

	$diamond_price["2.00"]["VS2"]["F"] = 165;
	$diamond_price["2.00"]["VS2"]["G"] = 145;
	$diamond_price["2.00"]["VS2"]["H"] = 125;
	$diamond_price["2.00"]["VS2"]["I"] = 105;
	$diamond_price["2.00"]["VS2"]["J"] = 85;
	
}

function getDiamondPrice($size, $clarity, $color)
{
	 llenarTabla($diamond_price);

	$porcentaje["0.25"] = 109.23;
	$porcentaje["0.50"] = 54.41;
	$porcentaje["0.75"] = 36.36;
	$porcentaje["1.00"] = -17.75;
	$porcentaje["1.25"] = 8.50;
	$porcentaje["1.50"] = 7.14;
	$porcentaje["1.75"] = 14.29;
	$porcentaje["2.00"] = 0;

	$subtotal = $diamond_price[$size][$clarity][$color] * 100 * $size;

	return $subtotal + ($subtotal * $porcentaje[$size] / 100);
}

?>