<?PHP
GLOBAL $_DIR_FILES_MARCA, $_URL_FILES_MARCA,$_PROYDIR_OBJ;

include_once($_PROYDIR_OBJ."obj_imagenes.php");

$response['error']   = 1;
$response['resp']    = 'Error';
$response['msg']     = 'Intenta refrescando la página.';
$response['errores'] = null;

//Aceptable files
$aceptable_images=["image/png","image/jpg","image/jpeg"];

if($tokenPost == $_SESSION['tokenForm']){

    ini_set('memory_limit', '64M');

    $saved = false;
    extract($_SESSION['SES_PROV']);

    if($idContactoFromAdmin){
        $SES_idContacto = $idContactoFromAdmin;
    }

    $negocios = $oProv->cargaNegociosContacto($SES_idContacto);
    //pr($oProv->_oDat->ultRes);

    if($negocios) {
        if($campos)
            extract($campos);

        $file=$_FILES['img_marca'];

        $oImgs = new obj_imagenes($file);

        $oImgs->ordenaImagenes();
    }

    if($oImgs->imagenes){
        sort($oImgs->imagenes);

        extract($file,EXTR_PREFIX_ALL,"file");

        //Datos del negocio principal
        extract($negocios[0]);

        // pr($oImgs->imagenes);
        // prEx($negocios);

        $xdir_url = $dir_url = datadir($idNegocio);
        $xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir_url);

        $UPLOAD_DIR = $_DIR_FILES_MARCA.$xdir;

        if(!file_exists($UPLOAD_DIR))
            mkdir($UPLOAD_DIR,0777,true);

        $save = true;

        if(!file_exists($UPLOAD_DIR)){
            $response['errores'][]="No existe el fichero";
            $save=false;
        }

        if(!in_array($_POST['type_img'],$images)){
            $response['errores'][]="Error tipo img";
            $save=false;
        }
        
        // if(!in_array($file_type,$aceptable_images)){
        //     $response['errores'][]="Error tipo de archivo";
        //     $save=false;
        // }

        if($save){

            $oImgs->dirSave=$UPLOAD_DIR;
            $oImgs->guardaImagenes();
            $imgs_saved = $oImgs->imgsSaved;

            $response['msg'] = 'Error al guardar el archivo.';
            $escales = ['lg'=>1, 'md'=>0.5,'sm'=>0.1];

            foreach($imgs_saved as $index => $img){

                list($width,$height) = getimagesize($img);
                $type = $_POST['type_img'];

                $height= 300;
                $width = 900;

                if($type == $images[1]){
                    $height = $width;
                }


                foreach ($escales as $size => $scale) {
                    $name = "$type.$size.jpg";

                    ${"img$size"} = $name;

                    ${"url_file_$size"} = $_URL_FILES_MARCA.$xdir_url.$name;

                    $w=$width*$scale;
                    $h=$height*$scale;

                    //echo "\n GuardarImagenV3CenterCut($file_tmp_name,$UPLOAD_DIR,$name,$w,$h,1); \n";
                    //GuardarImagenV3CenterCut($file_tmp_name,$UPLOAD_DIR,$name,$w,$h,1);
                    //GuardarImagenV4CenterCut($file_tmp_name,$UPLOAD_DIR,$name,$w,$h,1);
                    //GuardarImagenV5CenterCut($file_tmp_name,$UPLOAD_DIR,$name,$w,$h,1);
                    GuardarImagenV4CenterCut($img,$oImgs->dirSave,$name,$w,$h,1);
                }

                $saved=file_exists($UPLOAD_DIR.$imglg);
            }

        }
        
    }else{
        $response['errores'][]="Error al cargar archivo";
    }

    if($response['errores']){
        $response['msg'] = 'Error en los datos enviados.';
    }

    $response['v']=1;
    if($saved){

        $url = $type == $images[1] ? $url_file_md : $url_file_lg;

        $response['msg']= "listo";
        $response['error']=0;
        $response['url_file']= $url."?xv1=".ev(md5(time()));
        $response['element']= $type == $images[1] ? '.img-marca' : '.banner-marca';
        
    }
}

echo json_encode($response);
exit(1);
?>