<?PHP
$response['error']   = 1;
$response['errores'] = null;
$response['resp']    = 'Error';
$response['msg']     = 'Intenta refrescando la página.';
$response['btn']     = null;

if($tokenPost == $_SESSION['tokenForm']){
	extract($campos);

    $clave1 = trim($_POST[$clave]);
    $clave2 = trim($_POST[$clave."_r"]);

    if(!$clave1){
        $errores[] = "Indica la nueva contraseña.";
    }else if(strlen($clave1) < 6 ){
        $errores[] = "La nueva contraseña debe tener más de 5 carácteres.";
    }
    else if($clave1 != $clave2){
        $errores[] = "Las contraseñas no coinciden.";
    }

    if(!$errores){
        $response['error'] = 3;
        $response['msg']   = 'Error al verificar su identidad.';

        $var_email = ev("EMAIL");
        $var_token = ev("token");

        if($_GET[$var_email] && $_GET[$var_token]){
            $correo = decodVal($_GET[$var_email]);
            $token =  decodVal($_GET[$var_token]);
        }

        if($correo && $token){
            $response['msg'] = 'Parece que ya ha actualizado su contraseña.';
            $data = $oProv->doResetPassword($correo, $token);
        }

        if($data){

            $contacto = $data[0];
            extract($oProv->_oDat->campos_contacto);

            if($contacto[$tokenpassword] == $token){

                $response['msg'] = 'Error al actualizar contraseña.';
                $password = getCodeCR($clave1);
                $updated = $oProv->updateCampoContacto($contacto['idContacto'], $clave, $password);
                $oProv->updateCampoContacto($contacto['idContacto'], $tokenpassword, "");
            }

            if($updated){
                $response['msg'] = 'Contraseña actualizada.';
                $response['error'] = 0;
            }
        }
    }
    else{
        $response['msg']     = 'Errores val.';
        $response['error'] = 2;
        $response['errores'] = $errores;
    }
}

echo json_encode($response);
exit(1);
?>