<?PHP
include_once($_PROYDIR_OBJ."obj_ventas.php");
include_once($_PROYDIR_OBJ."obj_clientes.php");
include_once($_PROYDIR_OBJ."obj_envio.php");
$oVent = new obj_ventas($Link);
$oClie = new obj_clientes($Link);
$oEnv = new obj_envio($Link);


if( !$_SESSION['SESUS_login'] )
{
	JavaScript("window.location='$_URLBASE"."acsis-login.html'");
	exit(1);
}

$idcod = trim($_GET['id']);

//Activa deactiva ofertas clientes
$action_post = ev("action_post");
$tokenForm	 = ev("tokenForm");
$activa_oferta = codVal("post_activa_ofertas_clientes_prov");

if($tokenPost=$_POST[$tokenForm]){

	$data['tokenPost'] = $tokenPost;
	$data['oClie'] = $oClie;

	$action = decodVal($_POST[$action_post]);
	if(!$action){
		die("Error 1.0");
	}
	
	$oVis->backComponent($action,$data);
	exit(1);
}
// ----- Termina activa deactiva ofertas clientes

$id = decodVal($idcod);


$URLPOST = $_URLBASE."acsis-detalle-cliente.html?id=".urlencode($idcod);
$URL_VENT_CLIENTE = $_URLBASE."acsis-venta-cliente.html?id=".urlencode($idcod);

$correo_nuevo_base = "nuevo.cliente.mat.editar@gmail.com";
$correo_nuevo=$correo_nuevo_base;
//Si no tiene todos los permisos se crea nombre de correo por nombre de usuario que creo
if(!fun_permisos_v2("all")){
	$correo_nuevo = "nuevo.cliente.por.".$_SESSION['SESUS_login']."@gmail.com";	
}

// echo "--$id--";

$POST_ACTION = ev("ACTION");
if( isset( ${$POST_ACTION} ) )
{
	$ACTION = decodVal( ${$POST_ACTION} );

	//echo "$ACTION ---";

	$response['error'] = 1;
	$response['msg']   = 'No action';

	if($ACTION == "SAVEEDIT")
	{
		$response['msg'] = 'Error validación';

		$val = trim($val);

		$cmps['name']  = "nombre";
		$cmps['phone'] = "telefono";

		if($cliente=$oClie->cargaDatosClienteId($id))
			extract($cliente,EXTR_PREFIX_ALL,"clie");
		
		if($clie_correo==$correo_nuevo){
			$cmps['email'] = "correo";
		}else{
			$edito_correo=true;
		}


		$campo = $cmps[$cmp];
		$data[$campo] = $val;

		if(!$val)
			$error = "El valor del campo no debe ser vacío.";

		if($campo==$cmps['phone'] && (!is_numeric($val) || strlen($val)!=10) )
			 $error = "El teléfono debe ser numeríco y de 10 dígitos.";

		if($campo==$cmps['email']){

			if(!validEmail($val))
				$error = "El correo tiene un formato no válido.";

			if($edito_correo)
				$error = "El correo solo se puede editar una vez.";

			if($oClie->existe($val))
				$error = "El correo que indicó ya existe.";
		}

		if($error)
			$response['msg'] = $error;

		if(!$error)
		{
			$response['msg'] = 'Error al actualizar';

			if($oClie->actualizaDatosCliente($id,$data)){
				$response['error'] = 0;
				$response['val'] = $val;
				$response['msg'] = 'Update ok';
			}
		}
		
	}

	if($ACTION == "GETDIR")
	{
		$response['msg']="Error dir";
		$id = decodVal($ped);
		if($dir = $oClie->cargaDireccionPedido($id))
		{
			$response['error']=0;
			$response['msg']="OK dir";
			ob_start();
          	htmlDireccion($dir);
          	$html = ob_get_contents();
			ob_end_clean();
		}
	}

	if($ACTION == "INFOCP")
	{
		//pr($_POST);
		  $cp = ${ev("cp")};
		  $resCP = $oEnv -> cargar_cp($cp);
		  //pr($resCP);

		  $response['error'] = 1;
		  $response['msg'] = "No se encontró el código postal";

		  $nCP=$oEnv->cantRegs;

		  if($resCP)
		  {
		  	  $response['error'] = 0;
		  	  $response['msg'] = "";

		      $infocp['municipio'] 	 = $resCP[0]['d_mnpio'];
		      $infocp['estado'] 	 = $resCP[0]['d_estado'];
		      $infocp['ciudad'] 	 = (trim($resCP[0]['d_ciudad']))?$resCP[0]['d_ciudad']:$infocp['municipio'];
		      $infocp['idmun'] 	 = $resCP[0]['c_mnpio'];
		      $infocp['idedo'] 	 = $resCP[0]['c_estado'];

		      $response['infocp'] = $infocp;
		      foreach ($resCP as $k => $_cp)
		      {
		      	 $idcol = $_cp['id_asenta_cpcons'];
		      	 $colonias[$idcol] = $_cp['d_asenta'];
		      }
		      $response['colonias'] = $colonias;
		   }    
	}

	if($ACTION == "VALIDAFORM")
	{
		$response['error'] = 1;
        $response['msg'] = "Ocurrió un error.";
		$response['errores'] = validaForm($_POST);

		$idReg = decodVal(${ev("idReg")});

		if(!$idReg)
			$response['errores']['id'] = "Error id";

		if(!$response['errores'])
        {
        	$response['errores'] = null;
        	$response['msg'] = "Error al actualizar";

        	$data['nombre'] = $nombre;
        	$data['correo'] = $correo;
        	$data['telefono'] = $telefono;
        	$data['calle'] = $calle;
        	$data['num_e'] =$num_e;
        	$data['num_i'] =$num_i;
        	$data['colonia'] = $colonia;
        	$data['cp'] = $cp;
        	$data['ciudad'] = $ciudad;
        	$data['delegacion'] = $delegacion;
        	$data['estado'] = $estado;

        	if($oVent->actualizaDireccionPedido($idReg,$data)){
        		$response['error'] = 0;
        		$response['msg'] = "Update ok";
        	}

        	
        }
	}

	echo '--codeup--';
	echo json_encode($response);
	echo '--codeup--';
	echo $html;
	echo '--codeup--';

	exit(1);
}

if($cliente=$oClie->cargaDatosClienteId($id))
{
	extract($cliente,EXTR_PREFIX_ALL,"clie");

	$campos = "rc.idReg,rc.correo,rc.nombre,rc.telefono,estatus,if(rc.estatus=1,'Activo','Inactivo') strestatus,if(rc.estatus=1,'success','danger') estatusclass,rp.pedidos,rp.total,if(ABS(bo.saldo)<0.001,0,bo.saldo) saldo,rc._fechaIns";

	//si esta pendiente y el sigo es positivo no se debe aplicar la suma 
	$oper = "(select if((estatus='pending_payment' AND signo>0) OR estatus_matrimony=0,0,signo) xsigno)";
	$oClie->_oDat->estaTabla.= " rc LEFT JOIN (select correo,COUNT(*) pedidos, SUM(total_base) total from reg_payment where correo='$clie_correo' GROUP BY correo) rp ON rc.correo = rp.correo

		LEFT JOIN (SELECT cliente,SUM(importe*$oper) saldo FROM `balance_operaciones` WHERE cliente='$clie_correo' GROUP BY cliente) bo
		ON rc.correo = bo.cliente";

	$WHERE = "rc.correo='$clie_correo'";

	$datos_cliente=$oClie->cargaListaClientes(0,1,$WHERE,$campos)[0];
}

if($datos_cliente)
{
	extract($datos_cliente,EXTR_PREFIX_ALL,"dc");
	$direcciones_pedido=$oClie->cargaDireccionesCliente($dc_correo);
	// pr($datos_cliente);
	// prEx($direcciones_pedido);

	$date = date_create($dc__fechaIns);
    $fecha = strftime("%A %d de %B del %G", strtotime($dc__fechaIns)); 
    $hora = date_format($date, 'g:i:s A');

    $fecha_reg = ucwords($fecha).", ".$hora;



    //Cargar datos de ventas
	$camposVentas = "idReg id,estatus_pago estado,total_base importe, if(ABS(bo.saldo)<0.001,0,bo.saldo) saldo,_fechaIns fecha,if(saldo>=0,'Pagado','Debe') estatusv2,if(saldo>=0,'success','warning') estatusclass";

	//si esta pendiente y el sigo es positivo no se debe aplicar la suma 
	$oper = "(select if((estatus='pending_payment' AND signo>0) OR estatus_matrimony=0,0,signo) xsigno)";

	$oVent->_oDat->estaTabla.= " rp INNER JOIN (SELECT idPedido,SUM(importe*$oper) saldo FROM `balance_operaciones`  GROUP BY idPedido) bo
	ON rp.idReg = bo.idPedido";

	$WHERE = "correo='$dc_correo'";
	$pedidos=$oVent->cargaListaVentas($PAG,"ALL",$WHERE,$camposVentas);
	// prEx($pedidos);

	$URL_DESC_VENTA = $_URLBASE."acsis-detalle-venta.html";
}



$_STYLES = ["nuevo-producto","detalle-cliente"];
$oVis->scripts = ["input-validation"];
$_STYLE_LINK = ["https://www.matrimony.mx/_proyst/css/base"];

$oVis->contruyeVista();

function validaForm($POST)
{
	extract($POST);

	if(!trim($nombre))
    	$errores['nombre'] = "El nombre es obligatorio.";

    if(!validEmail($correo))
    	$errores['correo'] = "Escribe un correo válido.";

    if(strlen($telefono) < 10)
    	$errores['telefono'] = "El teléfono debe ser de 10 dígitos.";

    if(!is_numeric(trim($telefono)))
    	$errores['telefono'] = "El teléfono debe ser numérico.";

    if(!trim($telefono))
    	$errores['telefono'] = "El teléfono es obligatorio.";

    if(!trim($calle))
    	$errores['calle'] = "La calle es obligatorio.";

    if(!trim($cp))
    	$errores['cp'] = "CP obligatorio.";

    if(!trim($colonia))
    	$errores['colonia'] = "Colonia es obligatorio.";

    if(!trim($ciudad))
    	$errores['ciudad'] = "La ciudad es obligatorio.";

    if(!trim($delegacion))
    	$errores['delegacion'] = "La ciudad es obligatorio.";

    if(!trim($estado))
    	$errores['estado'] = "El estado es obligatorio.";

    return $errores;
}

function htmlDireccion($data)
{
	extract($data,EXTR_PREFIX_ALL,"ses");
	GLOBAL $URLPOST;
?>
<style>
	.box-header ~ main.main-content{
		height: 85px;
	}
	.box-price
	{
	    background-color: #fafafa;
	    padding: 1.5rem;
	    color: #46495c;
	    font-size: 18px;
	}

	.dropdown-menu.colonias
	{
		min-height: max-content;
		max-height: 500px;
		transform: unset !important;
		overflow: hidden;
		overflow-y: scroll;
	}

	.dropdown-menu.colonias a.dropdown-item:hover{
		background-color: #f4f7f9;
	}
	.form-group{position: relative;}
	span.form-err{
		position: absolute;
		width: 100%;
		bottom: -20px;
		left: 0;
		color: #f00;
		font-size: 12px;
		text-align: center;
	}

	button.btn-mt-dark:disabled{
		opacity: 0.6;
	}

</style>
<div className="form px-2 px-sm-3 pb-3">
	<form id="form-info-envio">

		<div className="form-group">
			<span className="text-dark"><b>Nombre completo</b></span>
			<input type="text" name="nombre" id="nombre" className="required input-mt-1" placeholder="Escribe aquí" value="<?= $ses_nombre; ?>">
		</div>

		<div className="row">

			<div className="col-md-5 pr-md-1">
				<div className="form-group">
					<span className="text-dark"><b>Teléfono celular</b></span>
					<input onkeypress="return IsNumeric(event);" ondrop="return false;" maxlength="10" onpaste="return false;" type="tel" name="telefono" autocomplete="off" id="telefono" className="required input-mt-1"  placeholder="Escribe aquí" value="<?= $ses_telefono; ?>">
				</div>
				
			</div>

			<div className="col-md-7 pl-md-1">
				<div className="form-group">
					<span className="text-dark"><b>Correo electrónico</b></span>
					<input type="email" name="correo" id="correo" className="required input-mt-1"  placeholder="Escribe aquí" value="<?= $ses_correo; ?>">
				</div>
			</div>
		</div>

		<div className="form-group">
			<span className="text-dark"><b>Calle</b></span>
			<input type="text" name="calle" id="calle" className="required input-mt-1" value="<?= $ses_calle; ?>">
		</div>

		<div className="row">
			<div className="col-6 col-md-4 pr-1">
				<div className="form-group">
					<span className="text-dark"><b>No. exterior</b></span>
					<input type="text" name="num_e" className="input-mt-1" value="<?= $ses_num_e; ?>">
				</div>
			</div>
			
			<div className="col-6 col-md-4 pl-1 px-md-1">
				<div className="form-group">
					<span className="text-dark"><b>No. interior</b></span>
					<input type="text" name="num_i" className="input-mt-1" value="<?= $ses_num_i; ?>">
				</div>
			</div>
			<div className="col-6 col-md-4 pl-md-1 pr-1 pr-md-3">
				<div className="form-group">
					<span className="text-dark"><b>Código postal</b></span>
					<input type="text" name="cp" id="cp" className="dir_cp input-mt-1" value="<?= $ses_cp; ?>">
				</div>
			</div>
			
			<div className="col-6 col-md-6 pl-1 pl-md-3 pr-md-1">
				<div className="form-group">
					<span className="text-dark"><b>Colonia</b></span>
					<div className="dropdown dropdown-custom-select">
					  <button className="dropdown-toggle text-center colinia-selected" type="button" data-toggle="dropdown">
					    <span className="res"><?= $ses_colonia?$ses_colonia:"&nbsp;"; ?></span>
					    <span className="bg-arrow sel-col"></span>
					  </button>
					  <div className="dropdown-menu colonias">
					  	<a className="dropdown-item">Indica tu código postal</a>
					  </div>
					</div>
				</div>
				<input type="hidden" name="colonia" id="colonia" className="required" value="<?= $ses_colonia; ?>">
			</div>


			<div className="col-md-6 pl-md-1">
				<div className="form-group">
					<span className="text-dark"><b>Ciudad</b></span>
					<input type="text" readonly name="ciudad" id="ciudad" className="dir_ciudad input-mt-1" value="<?= $ses_ciudad; ?>">
				</div>
			</div>
		</div>

		<div className="row">
			
			<div className="col-md-6 pr-md-1">
				<div className="form-group">
					<span className="text-dark"><b>Delegación</b></span>
					<input type="text" readonly name="delegacion" id="delegacion" className="dir_mun input-mt-1" value="<?= $ses_delegacion; ?>">
				</div>
			</div>

			<div className="col-md-6 pl-md-1">
				<div className="form-group">
					<span className="text-dark"><b>Estado</b></span>
					<input type="text" readonly name="estado" id="estado" className="dir_edo input-mt-1" value="<?= $ses_estado; ?>">
				</div>
			</div>
			
		</div>
		<input type="hidden" name="<?= ev("ACTION"); ?>" value="<?= codVal("VALIDAFORM"); ?>">
		<input type="hidden" name="<?= ev("idReg"); ?>" value="<?= codVal($ses_idReg); ?>">
	</form>
</div>

<script>
$('.dir_cp').change(function(){
	infoLength();
	var xfunc = function(){
		$(this).addClass('required');
		infoLength();
		$(this).removeClass('required');
	};

	var cp = $.trim($(this).val());
	searchCp(cp,xfunc);
});

required = $('input.required').length;
$('input.required').change(function(){
	infoLength();
});

var xfunc = function(){
	$('#colonia').val('<?= $ses_colonia; ?>');
	$('.colinia-selected span.res').html('<?= $ses_colonia?$ses_colonia:'Selecciona'; ?>');
	infoLength();
}

searchCp('<?= $ses_cp; ?>',xfunc);
infoLength();

</script>


<?
}
?>