<?PHP
include_once($_PROYDIR_DAT."_base/dat_base.php");
include_once($_PROYDIR_OBJ."obj_categorias.php");
include_once($_PROYDIR_OBJ."obj_imagenes.php");
include_once($_PROYDIR_OBJ."obj_productos.php");

//-------------code-search-pendientes--------------

$oCats = new obj_categorias($Link);

$oDat = new dat_base();
$oDat->Link = $Link;
$oProd = new obj_productos($Link);

//Se crea el objeto imagenes sin archivos, y con $_IMAGENES_FTP boolean
if(!$oImgs){
	$oImgs = new obj_imagenes("",$_IMAGENES_FTP);
}

$ACT_REG = "SAVE_M_U";
$ACT_BP  = "BUSCA_PRODUCTO";
$ACT_GP  = "GUARDA_PRODUCTO";
$ACT_UP_IMGS  = "CARGA_IMGS";

$POST_ACTION = ev("ACTION");


$LABEL_PRE_URL = "Inicio";
$URL_PREV   = $_URLBASE."acsis-inicio.html";

$LABEL_URL = "Nuevo producto";
$URL_ACTUAL = $_URLBASE."acsis-nuevo-producto.html";

$LABEL_RESP_ERR = "No se ha creado el producto";
$LABEL_RESP_OK = "Se ha creado el producto";
$LABEL_BTN_ACTION = "Crear producto";


//Si pasó antes por bin_editar-producto.php
if($ID_PROD_EDITAR)
{
	$ACT_REG = "UPDATE_PROD";

	$LABEL_PRE_URL = "Mis productos";
	$URL_PREV   = $_URLBASE."acsis-mis-productos.html";

	$LABEL_URL = "Editar producto";

	$URL_ACTUAL = $_URLBASE."acsis-editar-producto.html?".ev("editar")."=".urlencode($ID_COD);

	$LABEL_RESP_ERR = "No se han actualizado los productos";
	$LABEL_RESP_OK = "Se ha actualizado el producto";
	$LABEL_BTN_ACTION = "Actualizar producto";
}


$ACTION_VAL = codVal( $ACT_REG );
$ACTION_VAL_BP = codVal( $ACT_BP );
$ACTION_VAL_GP = codVal( $ACT_GP );
$ACTION_VAL_UPIMGS = codVal( $ACT_UP_IMGS );



$var_nombre_producto_buscar = ev("nombre_producto_buscar");

$var_categoria_producto = ev("categoria_producto");
$var_nombre_producto = ev("nombre_producto");
$var_desc_producto   = ev("descripcion_producto");
$var_title = ev("title");
$var_meta_desc = ev("meta_desc");
$var_url_id = ev("url_id");
$var_color = ev("color");
$var_tipo_precio = ev("tipo_precio");

$var_descuento = ev("descuento");
$var_precio = ev("precio");

$var_descuento_zirconia = ev("descuento_zirconia");
$var_precio_zirconia = ev("precio_zirconia");

$var_descuento_diamante = ev("descuento_diamante");
$var_precio_diamante = ev("precio_diamante");

$var_precio_c_descuento = ev("precio_c_descuento");
$var_peso_oro9k = ev("peso_oro9k");
$var_peso_oro14k = ev("peso_oro14k");
$var_peso_oro18k = ev("peso_oro18k");
$var_peso_platino = ev("peso_platino");
$var_mano_obra_oro = ev("mano_obra_oro");
$var_mano_obra_platino = ev("mano_obra_platino");

$var_costo_piedra_lat_zirconia = ev("costo_piedra_lat_zirconia");
$var_costo_piedra_lat_diamante = ev("costo_piedra_lat_diamante");
$var_costo_piedra_lat_diamante_lab = ev("costo_piedra_lat_diamante_lab");

$var_tiene_piedras = ev("tiene_piedras");
$var_con_diamante = ev("con_diamante");
$var_con_zircornia = ev("con_zircornia");
$var_tipo_forma_piedra = ev("tipo_forma_piedra");
$var_estatus = ev("estatus");
$var_sku = ev("sku");
$var_entrega_inmediata = ev("entrega_inmediata");
$var_dias_entrega = ev("dias_entrega");

$var_range_piedra_tam = ev("tam_piedra_recomendado");
$var_range_piedra_tam_lab = ev("tam_piedra_recomendado_lab");

$var_images_360 = ev("images_360");
$var_color_name = ev("color_name");
$var_grup_num = ev("grup_num");


//Minimo y maximo valor de q
$MIN_Q = $CTS[0];
$MAX_Q = end($CTS);

//Diamante lab
///
$oProd -> cargaTablaLabDiamonds($CTS_LAB);
$_CTS_LAB_MIN_ = $CTS_LAB[0];
$_CTS_LAB_MAX_ = end($CTS_LAB);
$MAX_CTC_LAB = count($CTS_LAB)-1;
$JSON_CTS_LAB = json_encode($CTS_LAB);


$MAX_SKU = 14;
$MAX_NOM = 70;
$MAX_TIT = 70;
$MAX_URL = 70;
$MAX_DESC = 1000;
$MAX_DESC_SEO = 320;

$XSEP = "-:-";
$RPRIN = "PRIN";
$XPRIN = codVal($RPRIN);



// $listaCats = $oCats -> cargarArbolCats();
$listaCats = $oCats -> cargarTodosOrdenados();
unset($listaCats[0]);

foreach($listaCats as $xkey => $xcat)
{
	$xlistaCats[ $xcat['id_cat'] ] = $xcat;
}


//Cargar datos de General
$variables_general = $oDat -> selectWhere("1","idReg,variable,valor","valores_moneda");
if(!$variables_general)
	die("Error 1.1 Moneda utilidad");

foreach ($variables_general as $vkey => $var)
{
	${"general_".trim($var['variable'])} = $var['valor'];
}


//Url de las imagenes 360 temporales
$DIR_IMG_TEMP = $_DIR_IMGS_360."temporal".DIRECTORY_SEPARATOR;

//Tabla de productos
$tabla = "reg_producto";


//Actiones a realizar
include_once($_PROYDIR_BIN.$_BASETEMA."mod_actions_nuevo_producto.php");

//Eliminar todas las imagenes temporales 
foreach ($COLORES_PRODUCTO as $keyColor => $value)
{
	$DEL_DIR = $DIR_IMG_TEMP.$keyColor.DIRECTORY_SEPARATOR;

	if(file_exists($DEL_DIR))
	{
		$XDEL_DIR = $DEL_DIR."grup*".DIRECTORY_SEPARATOR;

		$xlist_imgs = glob($XDEL_DIR."*.{jpg,png,txt}",GLOB_BRACE);
		$xlist_yt = glob($XDEL_DIR."yt.txt");
		if($xlist_yt)
			$xlist_imgs=array_merge($xlist_imgs,$xlist_yt);

		if($xlist_imgs) {
			foreach ($xlist_imgs as $del_img)
			{
				unlink($del_img);
			}
		}
		
	}
}


if($ID_PROD_EDITAR)
{
	$lids = $oProd -> cargaIdsProdsRelacionados( $ID_PROD_EDITAR );

	if($lids)
	{
	   $where = "idProd IN ('".implode("','", $lids)."') ";

	   $lprods = $oProd -> cargaProductos(1,100,$where);

		foreach ($lprods as $key => $prod)
		{
			$dataProd['rand'] = codVal( $prod['idProd'] );
			$dataProd['nombre'] = $prod['nombre'];
			$dataProd['sku'] = $prod['sku'];
			$dataProd['relacionado'] = false;
			$dataProd['img'] = $oProd -> imagenes360Prod( $prod )[0]['img_prin'];

			$lista_prods[] = $dataProd;
		}
	}

	if($lista_prods)
		$prod_relacionados_json = json_encode($lista_prods);
}

$_STYLES = ["nuevo-producto"];
$_STYLE_LINK = ["//code.jquery.com/ui/1.12.1/themes/base/jquery-ui"];

$_SCRIPTS = ["input-validation"];
$_SCRIPTS_ST = ["3dEye-master/3deye","maskMoney/jquery.maskMoney"];

include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_cabecera.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_nuevo-producto.php");
include_once($_PROYDIR_VIS.$_BASETEMA."vis_plantilla_pie.php");
?>