<?PHP
$response['error']   = 1;
$response['msg']     = 'Ocurrió un error intenta refrescando la página.';

if($tokenPost == $_SESSION['tokenForm']){

    $response['msg'] = 'Error action';

    if($_POST['action'] == 'savesuc'){

        extract($campos_suc);
        $campos_suc = array_flip($campos_suc);
        foreach ($_POST['value'] as $key => $input) {
            ${"_".$campos_suc[$input['name']]} = trim($input['value']);
        }

        if(!$_calle){
            $errores[$calle] = "La calle es obligatorio.";
        }

        if(!$_num_e){
            $errores[$num_e] = "El número exterior es obligatorio.";
        }

        if(!$_cp){
            $errores[$cp] = "El código postal es obligatorio.";
        }

        if(!$_colonia){
            $errores[$colonia] = "La colonia es obligatorio.";
        }

        if(!$_delegacion){
            $errores[$delegacion] = "La delegación es obligatorio.";
        }

        if(!$_ciudad){
            $errores[$ciudad] = "La ciudad es obligatorio.";
        }

        if(!$_estado){
            $errores[$estado] = "El país es obligatorio.";
        }

        if(!$errores){

            $sucursal['calle'] = $_calle;
            $sucursal['num_e'] = $_num_e;
            $sucursal['num_i'] = $_num_i;
            $sucursal['cp'] = $_cp;
            $sucursal['colonia'] = $_colonia;
            $sucursal['delegacion'] = $_delegacion;
            $sucursal['ciudad'] = $_ciudad;
            $sucursal['estado'] = $_estado;

            $idSucursal = decodVal($_idSucursal);
            
            $updated = $oProv->actualizaSucursal($negocio['idNegocio'],$idSucursal,$sucursal);

            if($updated){
                $response['resp']  = 'ok';
                $response['error'] = 0;
                $response['msg'] = 'Guardado exitoso.';    
            }else{

                //Error internno
                $response['error'] = 2;
                $response['resp']  = 'Error interno';
                $response['msg']   = 'Ocurrió un error por parte nuestra, estaremos trabajando para corregirlo lo antes posible.';

            }
        }else{
            //Errores de validacion
            $response['error'] = 1;
            $response['errores'] = $errores;
            $response['msg']   = 'Errores de validación.';
        }
        
    }

    if($_POST['action'] == 'get'){

        $response['msg'] = 'Error sucursal';

        $sucursales0 = $oProv->cargaSucursalesNegocio($negocio['idNegocio']);
        if($sucursales0){
            indexDat($sucursales0,$sucursales,'idSucursal');

            $idSuc = decodVal(trim($_POST['value']));

            $sucursal = $sucursales[$idSuc];
        }
        
        if($sucursal){
            extract($sucursal);

            $dataSuc['cpostal'] = $cp;
            $dataSuc['calle'] = $calle;
            $dataSuc['nume'] = $num_e;
            $dataSuc['numi'] = $num_i;
            $dataSuc['colonia'] = $colonia;
            $dataSuc['delegacion'] = $delegacion;
            $dataSuc['ciudad'] = $ciudad;
            $dataSuc['estado'] = $estado;

            $response['data'] = $dataSuc;
            $response['error'] = 0;
            $response['msg'] = 'OK';
        }
    }

    if($_POST['action'] == 'getcpdata'){
        $cp = trim($_POST['value']);

        if($datacp=getDataCp($cp)){

            $response['msg']  = 'OK';
            $response['error'] = 0;
            $response['datacp'] = $datacp;
            
        }else{
            $response['msg'] = "No se encontró cp ($cp)";
        }
    }
}

echo json_encode($response);
exit(1);
?>