<?PHP
if(isset(${$POST_ACTION}))
{
	$ACTION = decodVal(${$POST_ACTION});

	$response['error'] = 1;
	$response['error_val'] = null;
	$response['msg']   = 'No action';

	if($ACTION == "SAVE_M_U")
	{	
		//POST vars ans  $errores is in
		include_once($_PROYDIR_BIN."mod_validaciones_reg_producto.php");

		if($productos_relacionados)
		{
			foreach ($productos_relacionados as $key => $value)
			{
				$idProdRel = decodVal( trim($value) );

				if($idProdRel)
				$idsProdsRel[] = $idProdRel;
			}
		}

		if($idsProdsRel){
			$idsProdsRel = implode(",", $idsProdsRel);
		}

		$created = 0;
		if(!$errores) {
			$where = " sku = '$sku' ";

			$existe_sku = $oDat -> selectWhere($where, "COUNT(*) exist", $tabla)[0]['exist'];

			if($existe_sku>0) {
				$response['error_val'][] = "El SKU que indicó ya existe.";
				terminaProceso($response);
			}
			

			$colores = $color;
			$MAIN_COLOR = false;
			$sin_imagen = false;
			foreach ($colores as $key => $color) {
				list($xcolor,$xprin) = explode($XSEP, $color);

				$code_color = decodVal( $xcolor );
				$code_prin = decodVal( $xprin );

				if($code_color) {
					$color_codes[] = $code_color;

					$ES_PRIN[$code_color] = 0;
					if($code_prin === $RPRIN && !$MAIN_COLOR) {
						$ES_PRIN[$code_color] = 1;
						$MAIN_COLOR = true;
					}

					//Verificar que tenga imagenes
					$DIR_EXT_TEMP = $DIR_IMG_TEMP.$code_color.DIRECTORY_SEPARATOR;

					unset($arr_info_grupo);

					$arr_info_grupo = $oImgs->ordenaImagenesGrupo($DIR_EXT_TEMP);

					if($arr_info_grupo){
						$grupo_images_color[$code_color] = implode("||", $arr_info_grupo);
					} else {
						$errores[$xcolor] = "No agregó imágenes para el color ".$COLORES_PRODUCTO[$code_color].".";
					}
				}
			}

			if($errores) {
				$response['error_val'] = $errores;
				unset($color_codes);
			}

			if($color_codes) {
				foreach ($color_codes as $key2 => $code) {
					$imagenes = $grupo_images_color[$code];

					$dataIns['usuario_creo'] = $_SESSION['SESUS_login'];
					$dataIns['usuario_edito'] = "";


					$dataIns['imagenes'] = $imagenes;

					$dataIns['id_cat'] = $categoria_producto;
					$dataIns['nombre'] = $nombre_producto;
					$dataIns['descripcion'] = $desc_producto;
					$dataIns['title'] = $title;
					$dataIns['meta_descripcion'] = $meta_desc;


					$dataIns['nombre_url'] = $url_id;
					$dataIns['url_id'] = $_URLBASE."prod-".strtolower(CadenaURLv2($url_id))."--sku".CadenaURLv2($sku).".html";

					$dataIns['color'] = $code;

					$dataIns['colores'] = implode(",", $color_codes);
					$dataIns['es_principal'] = $ES_PRIN[$code];

					$dataIns['tipo_precio'] = $tipo_precio;

					$dataIns['descuento'] = $descuento;
					$dataIns['precio'] = $precio;
					$dataIns['precio_con_descuento'] = $precio_c_descuento;

					$dataIns['descuento_zirconia'] = $descuento_zirconia;
					$dataIns['precio_zirconia'] = $precio_zirconia;
					$dataIns['precio_zirconia_descuento'] = $precio_zirconia_descuento;

					$dataIns['descuento_diamante'] = $descuento_diamante;
					$dataIns['precio_diamante'] = $precio_diamante;
					$dataIns['precio_diamante_descuento'] = $precio_diamante_descuento;

					if($idsProdsRel){
						$dataIns['productos_relacionados'] = "$idsProdsRel";
					}

					$dataIns['peso_oro_9'] = $peso_oro9k;
					$dataIns['peso_oro_14'] = $peso_oro14k;
					$dataIns['peso_oro_18'] = $peso_oro18k;
					$dataIns['peso_platino'] = $peso_platino;
					$dataIns['mano_obra_usd_oro'] = $mano_obra_oro;
					$dataIns['mano_obra_usd_platino'] = $mano_obra_platino;

					$dataIns['costo_piedra_lat_zirconia'] = $costo_piedra_lat_zirconia;
					$dataIns['costo_piedra_lat_diamante'] = $costo_piedra_lat_diamante;
					$dataIns['costo_piedra_lat_diamante_lab'] = $costo_piedra_lat_diamante_lab;

					$dataIns['tiene_piedras'] = $tiene_piedras;
					$dataIns['con_diamante'] = $con_diamante;
					$dataIns['con_zircornia'] = $con_zircornia;

					$dataIns['tipo_piedra_forma'] = $tipo_forma_piedra;
					$dataIns['estatus'] = $estatus*1;

					$dataIns['sku'] = $sku;
					$dataIns['skuvar'] = $sku."_".$code;

					$dataIns['tipo_entrega'] = $entrega_inmediata*1;
					$dataIns['dias_entrega'] = $dias_entrega*1;

					$dataIns['tam_piedra_recomendado'] = ($range_a && $range_b)?$range_a.",".$range_b:"";

					$dataIns['tam_piedra_recomendado_lab'] = ($range_lab_a && $range_lab_b)?$range_lab_a.",".$range_lab_b:"";

					setCamposIns($dataIns);
 
					if($ins = $oDat->insert($dataIns, $tabla)) {
						$LII = $oDat->ultRes['LII'];
						guardaImagen($LII,$code,$imagenes);

					}

					$created+= $ins;
				}
			}//end if color_codes
		} else {
			$response['error_val'] = $errores;
		}

		if($created) {
			//se regenera el catalogo si esta activo el producto
			if($estatus){
				$oProd->regeneraCatalogoProds();
			}

			$response['error'] = 0;
			$response['msg'] = "Se han creado $created productos.";
		}
		
		if(!$created && !$errores) {
			unset($errores);
			$errores['no_reg'] = "Ocurrió un problema al registrar producto.";
			$response['error_val'] = $errores;
		}


	}//End MAIN IF

	if($ACTION == "UPDATE_PROD")
	{
		//POST vars and  $errores is in
		include_once($_PROYDIR_BIN."mod_validaciones_reg_producto.php");

		if( !$ID_PROD_EDITAR )
			$errores['false'] = "No se indicó el ID del producto";

		$updated = 0;
		if(!$errores) {
			//Si se intenta cambiar de sku se verifica que no sea el de otro producto
			if( $sku != $EDITAR_sku ) {
				$where = " sku = '$sku' ";

				$existe_sku = $oDat -> selectWhere($where, "COUNT(*) exist", $tabla)[0]['exist'];

				if($existe_sku>0)
				{
					$response['error_val'][] = "No puedes actualizar con este SKU, ya existe.";
					terminaProceso($response);
					exit(1);
				}
			}
			
			$colores = $color;
			$MAIN_COLOR = false;
			$sin_imagen = false;

			foreach ($colores as $key => $color) {
				list($xcolor,$xprin) = explode($XSEP, $color);

				$code_color = decodVal($xcolor);
				$code_prin = decodVal($xprin);

				if($code_color) {
					$color_codes[] = $code_color;

					//Determiar cual es el color principal
					$ES_PRIN[$code_color] = 0;
					if($code_prin === $RPRIN && !$MAIN_COLOR) {
						$ES_PRIN[$code_color] = 1;
						$MAIN_COLOR = true;
					}

					//Si es de editar producto
					$IDPROD = $EDITAR_id_prod_color["id_".$code_color];
					$oImgs->configuraDirectorioArchivos($IDPROD,$code_color);

					unset($arr_info_grupo);
					$arr_info_grupo = $oImgs->ordenaImagenesGrupo();

					if($arr_info_grupo) {
						$grupo_images_color[$code_color] = implode("||", $arr_info_grupo);
					} else {
						$errores[$xcolor] = "No agregó imágenes para el color ".$COLORES_PRODUCTO[$code_color].".";
					}

				}
			}

			if($errores) {
				$response['error_val'] = $errores;
				unset($color_codes);
			}

			if($color_codes) {
				foreach ($color_codes as $key2 => $code) {
					$imagenes = $grupo_images_color[$code];

					$dataAct['usuario_edito'] = $_SESSION['SESUS_login'];

					$dataAct['imagenes'] = $imagenes;
					$dataAct['id_cat'] = $categoria_producto;
					$dataAct['nombre'] = $nombre_producto;
					$dataAct['descripcion'] = $desc_producto;
					$dataAct['title'] = $title;
					$dataAct['meta_descripcion'] = $meta_desc;
					$dataAct['nombre_url'] = $url_id;
					$dataAct['url_id'] = $_URLBASE."prod-".strtolower(CadenaURLv2($url_id))."--sku".CadenaURLv2($sku).".html";
					$dataAct['color'] = $code;
					$dataAct['colores'] = implode(",", $color_codes);
					$dataAct['es_principal'] = $ES_PRIN[$code];
					$dataAct['tipo_precio'] = $tipo_precio;

					$dataAct['descuento'] = $descuento;
					$dataAct['precio'] = $precio;
					$dataAct['precio_con_descuento'] = $precio_c_descuento;

					$dataAct['descuento_zirconia'] = $descuento_zirconia;
					$dataAct['precio_zirconia'] = $precio_zirconia;
					$dataAct['precio_zirconia_descuento'] = $precio_zirconia_descuento;

					$dataAct['descuento_diamante'] = $descuento_diamante;
					$dataAct['precio_diamante'] = $precio_diamante;
					$dataAct['precio_diamante_descuento'] = $precio_diamante_descuento;

					$dataAct['peso_oro_9'] = $peso_oro9k;
					$dataAct['peso_oro_14'] = $peso_oro14k;
					$dataAct['peso_oro_18'] = $peso_oro18k;
					$dataAct['peso_platino'] = $peso_platino;
					$dataAct['mano_obra_usd_oro'] = $mano_obra_oro;
					$dataAct['mano_obra_usd_platino'] = $mano_obra_platino;

					$dataAct['costo_piedra_lat_zirconia'] = $costo_piedra_lat_zirconia;
					$dataAct['costo_piedra_lat_diamante'] = $costo_piedra_lat_diamante;
					$dataAct['costo_piedra_lat_diamante_lab'] = $costo_piedra_lat_diamante_lab;

					$dataAct['tiene_piedras'] = $tiene_piedras;
					$dataAct['con_diamante'] = $con_diamante;
					$dataAct['con_zircornia'] = $con_zircornia;
					$dataAct['tipo_piedra_forma'] = $tipo_forma_piedra;
					$dataAct['estatus'] = $estatus*1;
					$dataAct['sku'] = $sku;
					$skuvar = $sku."_".$code;
					$dataAct['skuvar'] = $skuvar;
					$dataAct['tipo_entrega'] = $entrega_inmediata*1;
					$dataAct['dias_entrega'] = $dias_entrega*1;
					$dataAct['tam_piedra_recomendado'] = $range_a.",".$range_b;
					$dataAct['tam_piedra_recomendado_lab'] = $range_lab_a.",".$range_lab_b;
					
					$ESTE_ID_PROD = $EDITAR_id_prod_color["id_".$code];
					
					// $WHERE_UP = " idProd = '$ESTE_ID_PROD' AND sku = '$EDITAR_sku' ";
					$WHERE_UP = "skuvar = '$skuvar' AND sku = '$EDITAR_sku' ";

					$existe_prod = $oDat ->selectWhere($WHERE_UP, "COUNT(*) exist", $tabla)[0]['exist'];

					if(!$existe_prod) {
						$dataAct['usuario_creo'] = $_SESSION['SESUS_login'];
						setCamposIns($dataAct);
						$update = $oDat->insert($dataAct, $tabla);
						unset($dataAct['usuario_creo']);

						if($update) {
							$sku_not_hide[] = $dataAct['skuvar'];
							$LII = $oDat->ultRes['LII'];
							$oImgs->guardaImagenesProducto($LII,$code);

						}
					} else {
						$sku_not_hide[] = $dataAct['skuvar'];

						setCamposAct($dataAct);
						$campos = implode(",", array_keys($dataAct));
						$update = $oDat->updateWhere($dataAct,$campos,$WHERE_UP,$tabla);
					}
					unset($dataAct);

					$updated+= $update;

				}//if($existe_prod) else

			}//end if color_codes
		} else {
			$response['error_val'] = $errores;
		}

		if($updated) {
			//Ocultar los productos que posiblemente se hayan quitado
			$dataDel['estatus'] = 2;
			$dataDel['es_principal'] = 0;
			setCamposAct($dataDel);
			$campos = implode(",", array_keys($dataDel));
			$where = " sku = '$sku' AND skuvar NOT IN ('".implode("','", $sku_not_hide)."') ";
			$oProd->_oDat->updateWhere($dataDel,$campos,$where);
			// pr($oProd -> _oDat -> ultRes);

			//Solo regenerar catalogo si es un producto activo
			if($estatus){
				echo "si regenero\n";
				//$oProd->regeneraCatalogoProds();
			}else{
				echo "no regenero\n";
			}

			$response['error'] = 0;
			$response['msg'] = "Se han actualizado $updated productos.";
		}
		
		if(!$updated && !$errores) {
			unset($errores);
			$errores['no_reg'] = "Ocurrió un problema al actualizar producto.";
			$response['error_val'] = $errores;
		}
	}

	if($ACTION == "ELIMINAIMGS")
	{
		//Si no es imagen anillo o diamante
		$is_360img = is_numeric($grupo);

		$COLOR  = decodVal(trim($color));
		$IDPROD = $EDITAR_id_prod_color["id_".$COLOR];

		$oImgs->configuraDirectorioArchivos($IDPROD,$COLOR,$grupo);
		// $oImgs->eliminaImagenesGrupo();

		if($_IMAGENES_FTP){
			$eliminadosFtp = $oImgs->eliminaImagenesGrupoFtp();
		}

		//Organizar imagenes por grupo
		//Solo se ordena no eran archivos anillo o diamante
		if($is_360img){
			$arr_info_grupo = $oImgs->ordenaImagenesGrupo();

			if($eliminadosFtp){
				$oImgs->ordenaImagenesGrupoFtp();
			}
		}

		//Si hay id de producto se actuliza el producto
		if($IDPROD) {

			//Solo si son imgs 360 se actualia la bd
			if($arr_info_grupo){
				$dataAct['imagenes'] = implode("||", $arr_info_grupo);;
				setCamposAct($dataAct);
				$campos = implode(",", array_keys($dataAct));
				$where = "idProd = '$IDPROD' ";
				$oDat->updateWhere($dataAct,$campos,$where,$tabla);
			}

			$xproducto['idProd'] = $IDPROD;
			$xproducto['color'] = $COLOR;

			$grupo_imgs = $oProd->imagenes360Prod($xproducto);
			$imgs_an_diam = $oProd->imagesAnilloDiamante($xproducto);
			//Cargar de FTP
			if($_IMAGENES_FTP){
				$grupo_imgs=$oImgs->cargaImagenesFtpProducto($xproducto);
				$imgs_an_diam = $oImgs->cargaImagenesAnilloDiamanteFtp($xproducto);
			}

			$info_prod_vars['cod_color'] = trim($color);
			$info_prod_vars['grups_imgs'] = $grupo_imgs;
			$info_prod_vars['anillo_diamante'] = $imgs_an_diam;

			$nom_json_var = "json_vars_".$COLOR;

			echo '--codereg--';
			echo $nom_json_var;
			echo '--codereg--';
			echo $nom_json_var."=".json_encode($info_prod_vars,JSON_PRETTY_PRINT).";";
			echo '--codereg--';
			echo $grupo_imgs;
			echo '--codereg--';
			exit(1);
		}
		echo '--codereg--';
		echo '--codereg--';

		exit(1);

	}

	if($ACTION == "CARGA_IMGS")
	{
		ini_set('memory_limit', '128M');

		$aux_gnum = ${$var_grup_num};

		$var_temp_color = trim(${$var_color_name});
		$grup_num = is_numeric($aux_gnum)? (trim($aux_gnum)*1) : $aux_gnum;
		$color = decodVal($var_temp_color);
		$colors_ok = array_keys($COLORES_PRODUCTO);

		//Si es una letra a(anillo),d(diamante) no es una imagen 360
		$is_360img = is_numeric($grup_num);

		if(!$color || !in_array($color, $colors_ok)) {
			terminaProceso(['msg'=>"No se indicó un color correcto!"]);
		}

		$oImgs->imagenes = $_FILES[$var_images_360] ?? "";

		$IDPROD = $EDITAR_id_prod_color["id_".$color];

		$oImgs->configuraDirectorioArchivos($IDPROD,$color,$grup_num);

		//Guardar video youtube y salir
		if(isset($_POST['youtube_link'])){

			$response['msg'] = "Ocurrió un error al guardar video";

			if($oImgs->saveEmbedYtVideo($_POST['youtube_link'],$yt_name)){

				$format="txt";
				$content=$oImgs->urlImages.$yt_name;

				///PARA FTP solo si esta activa la bandera y si existe el id del producto
				if($_IMAGENES_FTP){
					$content="<span class='danger'>Error video</span>";
					$format="html";
					if($oImgs->guardaImagenEnFtp($oImgs->dirSave.$yt_name,$oImgs->dirFtp)){
						$content = file_get_contents($oImgs->urlImages.$yt_name);
					}else{
						echo "no se creo ftp dir:".$oImgs->dirFtp;
					}
				}

				$response['error'] = 0;
				$response['idcolor'] = $var_temp_color;
				$response['cant_saved'] = 1;
				$response['imgs_directory'] = $oImgs->urlImages;
				$response['imgs_format'] = $format;
				$response['url_yt'] = $content;
				$response['msg']   = "Se guardaró url video.";	
				$response['is360image'] = true; //cambiar nombre en futuro
			}

			terminaProceso($response);
		}
			
		$oImgs->ordenaImagenes();
		sort($oImgs->imagenes);

		//Si no hay imagenes correctas
		if(!$oImgs->cantImgs) {
			terminaProceso(['msg' => 'No hay imagenes correctas.']);
		}
		
		sort($oImgs->imagenes);

		$oImgs->guardaImagenes('',$is_360img);
		$imgs_saved = $oImgs->imgsSaved;

		if(!$imgs_saved){
			terminaProceso(['msg'=>'No se guardó ningúna imagen.']);
		}	
		
		//Acciones a realizar con las imagenes guardadas
		foreach ($imgs_saved as $n => $img) {

			//Solo si son imgs 360 se recortan
			if($is_360img){
				GuardarImagenV4CenterCut($img,$oImgs->dirSave,($n+1).".jpg","800","800",1);
			}

			//Bandera _IMAGENES_FTP definida en control
			if($_IMAGENES_FTP){
				$oImgs->guardaImagenEnFtp($img,$oImgs->dirFtp);
			}
		}

		if($IDPROD && $is_360img) {
			//Organizar imagenes del grupo
			$arr_info_grupo = $oImgs->ordenaImagenesGrupo($oImgs->dirSaveNoGrup);

			$info_image = implode("||", $arr_info_grupo);

			$dataAct['imagenes'] = $info_image;

			//Se actualiza la info del producto
			setCamposAct($dataAct);
			$campos = implode(",", array_keys($dataAct));
			$where = "idProd = '$IDPROD' ";

			$oDat->updateWhere($dataAct,$campos,$where,$tabla);
		}

		$response['error'] = 0;
		$response['idcolor'] = $var_temp_color;
		$response['cant_saved'] = $cant_saved = ($oImgs->cantImgsSaved)*1;
		$response['grup'] = $grup_num;
		$response['imgs_directory'] = $oImgs->urlImages;
		$response['imgs_format'] = "jpg";
		$response['url_yt'] = "";
		$response['is360image'] = $is_360img;
		$response['msg']   = "Se guardaron $cant_saved imágenes.";
	}

	if($ACTION == $ACT_BP)
	{
		$response['error'] = 0;
		$response['msg'] = "OK";
		$response['productos'] = null;

		$producto = trim( ${$var_nombre_producto_buscar} );

		// if(!$producto)
		// 	terminaProceso( $response );

		$where = " (sku LIKE '%$producto%' OR nombre LIKE '%$producto%') AND es_principal = '1' ";

		//Si es un producto que se esta editando se busca los relacionados
		if($ID_PROD_EDITAR)
		{
			$relacionados = $oProd -> cargaIdsProdsRelacionados( $ID_PROD_EDITAR );
			$where.= " AND idProd NOT IN ('$ID_PROD_EDITAR') ";

			if($relacionados)
				$where.= " OR idProd IN ('".implode("','", $relacionados)."') ";
		}

		$lprods = $oProd -> cargaProductos(1,100,$where);

		if( $lprods )
		{
			foreach ($lprods as $ukey => $prod)
			{
				$dataProd['rand'] = codVal( $prod['idProd'] );
				$dataProd['nombre'] = $prod['nombre'];
				$dataProd['sku'] = $prod['sku'];
				$dataProd['relacionado'] = in_array($prod['idProd'], $relacionados);
				$dataProd['img'] = $oProd -> imagenes360Prod( $prod )[0]['img_prin'];

				$lista_prods[] = $dataProd;
			}

			if($lista_prods)
				$response['productos'] = $lista_prods;
		}
	}

	if($ACTION == $ACT_GP)
	{
		$response['error'] = 1;
		$response['msg'] = "Sin id";

		if($ID_PROD_EDITAR)
		{
			$response['msg'] = "Ocurrió un problema al actualizar";

			if($productos_relacionados)
			{
				foreach ($productos_relacionados as $skey => $idProd)
				{
					$xidProd = decodVal( trim($idProd) );

					if( $xidProd )
						$idsProds[] = $xidProd;
				}
			}

			if( $idsProds )
			{
				$idsProds = array_unique( array_filter($idsProds) );

				$response['msg'] = "Agregar socios";
				$data['productos_relacionados'] = "".implode(",", $idsProds)."";
			}
			else
			{
				$response['msg'] = "Quitar socios";
				$data['productos_relacionados'] = "";
			}

			$response['productos'] = null;

			list($up,$msg) = $oProd -> actualizaProducto($ID_PROD_EDITAR,$data);

			if($up)
			{
			   $lids = $oProd -> cargaIdsProdsRelacionados( $ID_PROD_EDITAR );

			   if($lids)
			   {
				   $where = "idProd IN ('".implode("','", $lids)."') ";

				   $lprods = $oProd -> cargaProductos(1,100,$where);

					foreach ($lprods as $key => $prod)
					{
						$dataProd['rand'] = codVal( $prod['idProd'] );
						$dataProd['nombre'] = $prod['nombre'];
						$dataProd['sku'] = $prod['sku'];
						$dataProd['relacionado'] = false;
						$dataProd['img'] = $oProd -> imagenes360Prod( $prod )[0]['img_prin'];

						$lista_prods[] = $dataProd;
					}
			   }


				if($lista_prods)
					$response['productos'] = $lista_prods;

				$response['error'] = 0;
				$response['msg'] = "OK";
			}

			// pr($response);
		}//if($ID_PROD_EDITAR)
		
	}

	terminaProceso($response);
}

/*
function guardaImagen($idProd, $color, $imagenes){
	$oImgs = new obj_imagenes();
	GLOBAL $_DIR_IMGS_360, $DIR_IMG_TEMP;

	if( !$idProd || !$color || !$imagenes )
		return 0;

	$xdir = datadir( $idProd );
	$xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);
	$DIR_IMGS_ORG = $_DIR_IMGS_360.$xdir.$color.DIRECTORY_SEPARATOR;

	if(!file_exists($DIR_IMGS_ORG))
		mkdir($DIR_IMGS_ORG,0777,true);

	$width = $height = 800;

	$ximgs = explode("||", $imagenes);

	if( !count($ximgs) )
		return 0;

	foreach ($ximgs as $xikey => $ximg)
	{
		list($grupo,$cantidad,$es360) = explode(":", $ximg);

		$DIR_GRUP_ORG = $DIR_IMGS_ORG."grup".$grupo.DIRECTORY_SEPARATOR;

		if(!file_exists($DIR_GRUP_ORG))
			mkdir($DIR_GRUP_ORG,0777,true);

		$TEMP_IMGS_GRUP = $DIR_IMG_TEMP.$color.DIRECTORY_SEPARATOR;
		$TEMP_IMGS_GRUP.= "grup".$grupo.DIRECTORY_SEPARATOR;

		$IMGS_BY_GRUP_0 = glob($TEMP_IMGS_GRUP."*.jpg");

		if($IMGS_BY_GRUP_0){
			$IMGS_BY_GRUP = $oImgs->ordenaArchivos($IMGS_BY_GRUP_0,$TEMP_IMGS_GRUP);
			$IMGS_BY_GRUP = array_values($IMGS_BY_GRUP);

			foreach ($IMGS_BY_GRUP as $n => $imagen)
			{
				GuardarImagenV4CenterCut($imagen,$DIR_GRUP_ORG,($n+1).".jpg",$width,$height,1);
				unlink($imagen);
			}
		}

		//Para diamantes y anillos
		$TEMP_IMGS_GRUP = $DIR_IMG_TEMP.$color.DIRECTORY_SEPARATOR;
		$TEMP_IMGS_GRUP_AD_DIAM = $TEMP_IMGS_GRUP."grup{a,d}".DIRECTORY_SEPARATOR;
		$IMGS_BY_GRUP_AN_DIAM = glob($TEMP_IMGS_GRUP_AD_DIAM."*.{png}",GLOB_BRACE);
		//echo "$TEMP_IMGS_GRUP_AD_DIAM\n";
		//pr($IMGS_BY_GRUP_AN_DIAM);

		if($IMGS_BY_GRUP_AN_DIAM){
			foreach ($IMGS_BY_GRUP_AN_DIAM as $imagen_an_diam){
				
				$xparts = explode(DIRECTORY_SEPARATOR,$imagen_an_diam);
				//pr($xparts);
				$_grup = $xparts[count($xparts)-2];
				$fname = $xparts[count($xparts)-1];
				echo "fname2($fname)";
				$grupo = substr($_grup,-1);
				
				$DIR_GRUP_ORG_AN_DIAM = $DIR_IMGS_ORG."grup".$grupo.DIRECTORY_SEPARATOR;

				if(!file_exists($DIR_GRUP_ORG_AN_DIAM))
					mkdir($DIR_GRUP_ORG_AN_DIAM,0777,true);

				$ren = rename($imagen_an_diam, $DIR_GRUP_ORG_AN_DIAM.$fname);
				echo "($ren)\n";
				//echo "rename($imagen_an_diam, $DIR_GRUP_ORG_AN_DIAM.$fname);";
				unlink($imagen_an_diam);
			}
		}

		$VIDEO_BY_GRUP_0 = glob($TEMP_IMGS_GRUP."yt.txt");
		if($VIDEO_BY_GRUP_0){
			foreach ($VIDEO_BY_GRUP_0 as $n2 => $videoyt)
			{
				rename($videoyt,$DIR_GRUP_ORG."yt.txt");
				unlink($videoyt);
			}
		}
		rmdir($TEMP_IMGS_GRUP);
	}
}
*/

function terminaProceso($response)
{
	echo '--codereg--';
	echo json_encode($response);
	echo '--codereg--';

	exit(1);
}
?>