<?PHP
GLOBAL $_PROYDIR_BIN, $TIPO_CADENA, $XSEP, $RPRIN, $DIR_IMG_TEMP, $_URLBASE, $COLORES_PRODUCTO, $ID_PROD_EDITAR, $EDITAR_sku, $_DIR_IMGS_CADENAS, $EDITAR_id_prod_color;

$response['error']   = 1;
$response['msg']     = 'Ocurrió un error intenta refrescando la página.';
$response['error_val'] = null;

$tipo_crear = $_POST[$campos['tipoprod']];
$tipo_crear_str = $TIPO_CADENA[$tipo_crear];

if(!$tipo_crear || !$tipo_crear_str){
    terminaProceso(['msg'=>'Error tipo de producto cadena.']);
}

$prefix_tipo = "especificaciones_$tipo_crear_str";
$xlen = strlen($prefix_tipo);
foreach($_POST as $key => $value){

    $xpref = substr($key, 0, $xlen);

    if($xpref == $prefix_tipo){
        $val = str_replace("$", "", $value);
        $val = str_replace(",", "", $val);
        $val = str_replace("g", "", $val);
        
        list($nada, $tipo, $variable, $kils, $cm) = explode("_", $key);

        if($val){
            $especificaciones[$kils][$cm][$variable] = $val;
        }
    }

    if($xpref == $prefix_tipo){
        unset($_POST[$key]);
    }
}

if(!$tipo_crear || !$tipo_crear_str){
    terminaProceso(['msg'=>'Error de especificaciones.']);
}

if($especificaciones){
    $_POST[$campos['especificaciones']] = json_encode($especificaciones,JSON_PRETTY_PRINT);
}

$this->backComponent("validaciones_crear_cadena",['campos'=>$campos],$dataComponent);
extract($dataComponent);

if($errores){
    $response['error_val'] = $errores;
    $response['msg'] = 'Error de validación.';
    terminaProceso($response);
}

extract($data_producto,EXTR_PREFIX_ALL,"prod");

$productos_relacionados = $_POST['productos_relacionados'];

if($productos_relacionados)
{
    foreach ($productos_relacionados as $key => $value)
    {
        $idProdRel = decodVal( trim($value) );

        if($idProdRel)
        $idsProdsRel[] = $idProdRel;
    }
}

if($idsProdsRel)
    $idsProdsRel = implode(",", $idsProdsRel);

$tabla = $oCad->_oDat->estaTabla;

$where = " sku = '$prod_sku' ";
$existe_sku = $oCad->_oDat->selectWhere($where,"COUNT(*) exist",$tabla)[0]['exist'];
    
//Si es el mismo sku se puede editar
if($prod_sku == $EDITAR_sku){
    $existe_sku = 0;
}

if($existe_sku>0) {
    $response['msg'] = 'Error de validación.';
    $response['error_val'][$var_sku] = "El SKU que indicó ya existe.";
    terminaProceso($response);
}

$colores = $prod_color;
$MAIN_COLOR = false;
$sin_imagen = false;

foreach ($colores as $key => $color)
{
    list($xcolor,$xprin) = explode($XSEP, $color);

    $code_color = decodVal( $xcolor );
    $code_prin = decodVal( $xprin );

    if($code_color)
    {
        $color_codes[] = $code_color;

        $ES_PRIN[$code_color] = 0;
        if($code_prin === $RPRIN && !$MAIN_COLOR)
        {
            $ES_PRIN[$code_color] = 1;
            $MAIN_COLOR = true;
        }

        //Verificar que tenga imagenes
        $DIR_EXT_TEMP = $DIR_IMG_TEMP.$code_color.DIRECTORY_SEPARATOR;
        $ESTE_ID_PROD_0 = $EDITAR_id_prod_color["id_".$code_color];
        if($ESTE_ID_PROD_0){
            $xdir = datadir($ESTE_ID_PROD_0);
            $xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);
            $DIR_EXT_TEMP = $_DIR_IMGS_CADENAS.$xdir.$code_color.DIRECTORY_SEPARATOR;
        }

        unset($arr_info_grupo);
        $response[$code_color] = $DIR_EXT_TEMP;
        $arr_info_grupo = ordenaImagenesGrupoCadena($DIR_EXT_TEMP);

        if($arr_info_grupo)
            $grupo_images_color[$code_color] = implode("||", $arr_info_grupo);
        else
            $errores_color[$xcolor] = "No agregó imágenes para el color ".$COLORES_PRODUCTO[$code_color].".";
    }
}

if($errores_color){
    $response['msg'] = 'Error de validación.';
    $response['error_val'] = $errores_color;
    terminaProceso($response);
}

$estatus_prod = $prod_estatus*1;
$created = 0;
$updated = 0;
if($color_codes) {
    foreach ($color_codes as $key2 => $code) {
        $imagenes = $grupo_images_color[$code];

        $dataIns['tipo_producto'] = $tipo_crear_str;
        $dataIns['imagenes'] = $imagenes;
        $dataIns['nombre'] = $prod_nombre;
        $dataIns['descripcion'] = $prod_descripcion;
        $dataIns['title'] = $prod_title;
        $dataIns['meta_descripcion'] = $prod_meta_descripcion;
        $dataIns['nombre_url'] = $prod_nombre_url;
        $dataIns['url_id']=$_URLBASE."cad-".strtolower(CadenaURLv2($prod_nombre_url))."--sku".CadenaURLv2($prod_sku).".html";
        $dataIns['color'] = $code;
        $dataIns['colores'] = implode(",",$color_codes);
        $dataIns['es_principal'] = $ES_PRIN[$code];
        $dataIns['estatus'] = $estatus_prod;
        $dataIns['sku'] = $prod_sku;
        $dataIns['skuvar'] = $prod_sku."_".$code;
        $dataIns['tipo_entrega'] = $prod_tipo_entrega*1;
        $dataIns['dias_entrega'] = $prod_dias_entrega*1;
        $dataIns['especificaciones'] = $prod_especificaciones;

        if($idsProdsRel)
            $dataIns['productos_relacionados'] = "$idsProdsRel";

        $ESTE_ID_PROD = $EDITAR_id_prod_color["id_".$code];
        $where = "idProd = '$ESTE_ID_PROD' AND sku = '$EDITAR_sku'";
        $existe_prod = $oCad->_oDat->selectWhere($where, "COUNT(*) exist",$tabla)[0]['exist'];
        
        $update = 0;
        if(!$existe_prod){
            $dataIns['usuario_creo'] = $_SESSION['SESUS_login'];
            setCamposIns($dataIns);
            $ins = $oCad->_oDat->insert($dataIns,$tabla);
            $response['demo1'] = $oCad->_oDat->ultRes;
            if($ins){
                $sku_not_hide[] = $dataIns['skuvar'];
                $LII = $oCad->_oDat->ultRes['LII'];
                $response['demo2'] = $LII;
                $oCad->guardaImagenCadena($LII,$code,$imagenes);
                $created+=1;
            }

            unset($dataIns['usuario_creo']);
        } else {
            
            $dataIns['usuario_edito'] = $_SESSION['SESUS_login'];
            setCamposAct($dataIns);
            $campos = implode(",", array_keys($dataIns));
            $update = $oCad->_oDat->updateWhere($dataIns,$campos,$where,$tabla);

            if($update){
                $sku_not_hide[] = $dataIns['skuvar'];
                $updated++;
            }

            unset($dataIns['usuario_edito']);
        }
    }
}//end if color_codes


if($created>0 || $updated>0)
{
    //Ocultar los productos que posiblemente se hayan quitado
    $dataDel['estatus'] = 0;
    $dataDel['es_principal'] = 0;
    setCamposAct($dataDel);
    $campos = implode(",", array_keys($dataDel));
    $where = " sku = '$sku' AND skuvar NOT IN ('".implode("','", $sku_not_hide)."') ";
    $oCad->_oDat->updateWhere($dataDel,$campos,$where,$tabla);
    
    //se regenera el catalogo si esta activo el product
    $oCad->regeneraCatalogoProds();

    if(!$created)
        $created = $updated;

    $response['error'] = 0;
    $response['msg'] = "Se han ".($ID_PROD_EDITAR ? "actualizado" : "creado" )." $created productos.";
}

if(!$created && !$errores)
{
    $response['msg'] = "Ocurrió un problema al ".($ID_PROD_EDITAR ? "actualizar" : "crear" )." producto.";
    $response['error_val'] = ['no_reg'=>"Ocurrió un problema al registrar producto."];
}

terminaProceso($response);

function terminaProceso($response){
    echo json_encode($response);
    exit(1);
}
?>