<!-- items cotizador -->
<div className="bg-disen-row px-2 px-md-5 pb-2 pb-md-5 <?= $HIDE_STEPS?'pt-2 pt-md-3':''; ?>">
	
	<? if(!$HIDE_STEPS){ ?>
	<button data-step="3" onclick="resetStep(2);" className="btn-step btn-mt-dark" type="button">Omitir</button>
	<? } ?>

	<? if(!$HIDE_FORMA){ ?>
	<div className="text-left mt-3">
		<label>Forma de la moldura</label>
	</div>

	<div className="row justify-content-center align-items-center anillo-forma">
		<div className="col-4">
			<img className="forma_moldura w-100" data-forma="aaa" src="<?= $_URLST; ?>images/aaa.svg">
		</div>
		<div className="col-4">
			<img className="forma_moldura w-100" data-forma="bbb" src="<?= $_URLST; ?>images/bbb.svg">
		</div>
		<div className="col-4">
			<img className="forma_moldura w-100" data-forma="ccc" src="<?= $_URLST; ?>images/ccc.svg">
		</div>
		<input className="form-input" type="hidden" name="forma" id="forma">
	</div>
	<? } ?>

	<div className="text-left mt-2">
		<label>Tamaño del diamante principal (quilates)</label>
		<input name="quilates" value="0" step="0" id="slider1" className="w-100 form-input necessary" type="range" min="0" max="7"/>
		<div className="position-relative mb-5">
			<label className="position-absolute">0.25q</label>
		</div>
	</div>

	<div className="text-left">
		<div className="position-relative">
			<label>Color del diamante 
				<b data-toggle="tooltip" data-html="true" title="<img width='100%' src='<?= $_URLST; ?>images/colores_diamantes.jpg'/>">ver colores</b>
			</label>
		</div>

		<?
			$color_diamantes['F'] = "F";
			$color_diamantes['G'] = "G";
			$color_diamantes['H'] = "H";
			$color_diamantes['I'] = "I";
			$color_diamantes['J'] = "J";
		?>

		<select name="color_diamante" className="form-input necessary">
            <option value="">Selecciona..</option>
            <? foreach ($color_diamantes as $key => $value) { ?>
            	<option value="<?= $key; ?>"><?= $value; ?></option>	
            <? } ?>
        </select>
	</div>

	<div className="text-left mt-3">
		<div className="position-relative">
			<label>Pureza del diamante 
				<b data-toggle="tooltip" data-html="true" title="<img width='100%' src='<?= $_URLST; ?>images/pureza-diamantes.jpg'/>">ver colores</b>
			</label>
		</div>
		<?
			$pureza_diamantes['VVS1'] = "VVS1";
			$pureza_diamantes['VVS2'] = "VVS2";
			$pureza_diamantes['VS1'] = "VS1";
			$pureza_diamantes['VS2'] = "VS2";
		?>

		<select name="pureza_diamante" className="form-input necessary">
            <option value="">Selecciona..</option>
            <? foreach ($pureza_diamantes as $key => $value) { ?>
            	<option value="<?= $key; ?>"><?= $value; ?></option>	
            <? } ?>
        </select>
	</div>

	<div className="text-left mt-3">
		<label>Material</label>
		<div className="row justify-content-center align-items-center anillo-forma">
			<?
			$peso_oro 	  = $modelo_material_peso;
			$peso_platino = $modelo_material_peso_platino;
			foreach ($materiales as $mat)
			{ 
				$matx = strtolower(explode(" ", $mat)[0]);
				$peso = ${"peso_".$matx};
			?>
			<div className="col-6 col-sm-3 d-flex mb-2">
				<button type="button" data-material="<?= $mat; ?>" data-peso="<?= $peso; ?>" className="btn-material"><?= $mat; ?></button>
			</div>
			<? } ?>
		</div>
		<input type="hidden" className="form-input necessary" name="material" id="material">
	</div>

	<?
		$img_color['dorado'] = "t2";
		$img_color['rosa'] = "t3";
		$img_color['blanco'] = "t1";
		$img_color['na'] = "t4";
	?>

	<div className="text-left mt-3">
		<label>Color del metal</label>	
		<div className="row justify-content-center align-items-center anillo-forma">

			<?foreach ($colores as $color){ $colorx = strtolower($color);  ?>
			<div className="col-6 col-sm-3 d-flex mb-2">
				<div className="color_metal" data-metal="<?= $color; ?>" style="background-image: url(<?= $_URLST; ?>images/<?=$img_color[$colorx]; ?>.png);"></div>
			</div>
			<? } ?>
		</div>
		<input type="hidden" className="form-input" name="metal" id="metal">
	</div>

	<input type="hidden" name="<?= ev("IDMODELO"); ?>" id="<?= ev("IDMODELO"); ?>" value="<?= codVal($id_modelo); ?>">

    <input type="hidden" className="precio-cotizado-val" name="<?= ev("PRECIO_COTIZADO"); ?>" id="<?= ev("PRECIO_COTIZADO"); ?>">

    <input type="hidden" className="form-action" name="<?= ev("ACTION"); ?>" id="<?= ev("ACTION"); ?>" value="<?= codVal("COTIZAR"); ?>">

    <input type="hidden" name="<?= ev("ACTION2"); ?>" id="<?= ev("ACTION2"); ?>" value="<?= codVal("CONTINUARCOMPRA"); ?>">
</div>