<script>
function resetStep(step)
{
	$('.step_'+step+' .form-input').val('');
	let tamq = $('.step_'+step+' .form-input[type="range"]');
	tamq.val(0);
	tamq.next().children().css({'left':'0%'});
	tamq.next().children().text('0.25q');
	$('.forma_moldura, .btn-material, .color_metal').removeClass('active');
	$('.precio-cotizado').text('');
    $('.precio-cotizado-original').text('');
}

let ifile = $('#imagen');
let img_choser = $('.image-choser');
img_choser.on('click',function(){
	ifile.click();
});

ifile.change(function(){
	cambiaImagen(this);
});

function cambiaImagen(file)
{
    let nMb = 4; 
    let maxMB = 1048576*nMb;
    let img = file.files[0];
    let type = img.type;
	
    if (img.size <= maxMB && (type == "image/jpeg" || type == "image/png")) 
    {
        var fr = new FileReader();
        fr.onload = function () {
            img_choser.css({'background-image':'url('+fr.result+')'});
        }
        fr.readAsDataURL(img);
    }
    else
    {
        ifile.val('');
        img_choser.css({'background-image':'url(<?= $_URLST; ?>images/anill_plus.svg)'});
    }
    
}

$('.btn-step').click(function(){
	let step = 'steps-header step_'+$(this).data('step');
	$('.steps-header').attr('class',step);
	$('body').scrollTop(0);
});

$('#slider1').on('change',function(){
	let v = parseInt($(this).val());
	let interval = 0.25;
	let left = v*(100/7);

    let q = ((v+1)*interval)+'q';

	$(this).next().children().text( q );
	$(this).next().children().css({"left":left+"%"});
    $('.anillo-quilates').text(q);

});

$(function () {
	$('[data-toggle="tooltip"]').tooltip();
});

$('.forma_moldura').each(function(i,e){
    $(e).click(function(){
        $('.forma_moldura').removeClass('active');
        $(this).addClass('active');
        $('#forma').val($(this).data('forma'));
    });
});

$('.btn-material').each(function(i,e){
    $(e).click(function(){
        $('.btn-material').removeClass('active');
        $(this).addClass('active');

        let mat = $(this).data('material');

        if(mat == 'Platino')
        {
            $('.color_metal').removeClass('active');
            $('#metal').val('');
        }

        $('#material').val(mat);
        $('.anillo-material').text(mat);
        $('.peso-anillo').text($(this).data('peso'));
    });
});

$('.color_metal').each(function(i,e){
    $(e).click(function(){
        $('.color_metal').removeClass('active');
        $(this).addClass('active');

        let metal = $(this).data('metal');

        if(metal != 'NA' && $('#material').val()=='Platino')
        {
            $('.btn-material').removeClass('active');
            $('#material').val('')
        }

        $('#metal').val(metal);
        $('.anillo-color').text(metal);
    });
});

var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}

let ACCOT = '<?= codVal("COTIZAR"); ?>';
let ACSENDCOT = '<?= codVal("ENVIACOTIZACION"); ?>';

$('.btn-end-step').click(function(){
	$(this).attr('disabled',true);
	$('#<?= ev("ACTION"); ?>').val(ACSENDCOT);
	$('#form-cotizador').submit();
});

$('.form-input').change(()=>{
	$('#form-cotizador').submit();
});

$('.btn-material').click(()=>{
	$('#form-cotizador').submit();
});

$(document).ready(function() {
    $('#form-cotizador').on('submit', function(event) {
        event.preventDefault();
        var formData = new FormData($('#form-cotizador')[0]);        
        $('#contact-email').next().text('');

        let err = 0;
        let form_action = $.trim( $('.form-action').val() );

        if(form_action == ACCOT)
        {
	        $('.form-input.necessary').each(function(i,e){
	        	var v = $.trim($(e).val());
	        	if(v == "")
	        		err++;
	        });
	    }

        if(err >0 )
        	return false;

        $('.calc-msg').text('Calculando...');
        let lista_errors = $('.modal-errores .list-group');
        lista_errors.html('');
        $('.btn-end-step').attr('disabled',true);
        $('.btn-end-step').text('Terminando cotización...');

        $.ajax({
            type : 'POST',
            url : '<?= $_URLBASE;?>ac-cotizador.html',
            data : formData,
            processData : false,
            contentType : false,
            success : function(data){
            	 $('.form-action').val(ACCOT);
            	 $('.btn-end-step').attr('disabled',false);
                 $('.btn-end-step').text('Continuar cotización');

            	let r = data.split('--codecotizador--')[1];
            	let json = JSON.parse(r);
                //console.log(json);

            	if(json.error == 0)
            	{
            		if(json.action == "cotizar")
            		{
            			$('.calc-msg').text('');
            			$('.precio-cotizado').text(json.precio);
                        $('.precio-cotizado-original').text(json.precio_org);
            			$('.precio-cotizado-val').val(json.precioCod);
            		}

            		if(json.action == "envia_cotizacion")
            		{
            			$('.mail-msg').text(json.msg);
                        $('.modal-mail-ok').modal('show');

                        gtag('event', 'send', {'event_category': 'PERSONALIZA','event_label': 'PERSONALIZAR_ANILLO','value': 'Se personalizó' });

                        $('.modal-mail-ok').on('hidden.bs.modal', function (e) {
                          window.location = json.thank_you_page;
                        })
            		}
            	}
            	else
            	{
            		if(json.action == "cotizar")
            		{
            			$('.precio-cotizado').text('');
                        $('.precio-cotizado-original').text('');
            			$('.precio-cotizado-val').val('');
	            		$('.calc-msg').text('Ocurrió un error al cacular');
	            		setTimeout(()=>{
	            			$('.calc-msg').text('');
	            		},3000);
            		}

            		if(json.action == "envia_cotizacion")
            		{
            			let errores = json.errores;
                        let campos = Object.keys(errores);

                        for(var i = 0; i< campos.length; i++){
                            $('<li>',{class:'list-group-item text-danger',text:errores[campos[i]]})
                            .appendTo(lista_errors);
                        }
                        $('.modal-errores').modal('show');
            		}
            	}
            }//end success
        });

    });
});
</script>