<?PHP
$sku 			 = trim( ${$var_sku} );
$nombre_producto = trim( ${$var_nombre_producto} );
$desc_producto 	 = trim( ${$var_desc_producto} );
$title 			 = trim( ${$var_title} );
$meta_desc 		 = trim( ${$var_meta_desc} );
$url_id 		 = trim( ${$var_url_id} );
$color 		 	 = ${$var_color};
$precio 		 = trim( ${$var_precio} );
$estatus 		 = trim( ${$var_estatus} );
$entrega_inmediata = trim( ${$var_entrega_inmediata} );
$dias_entrega 	 = trim( ${$var_dias_entrega} );

$nostr = ["$",","," "];
foreach ($kilatajes as $kil => $value)
{	
	$nomvar = ev($kil);

	if(isset( $$nomvar ))
	{
		$varkil = $$nomvar;
		foreach ($varkil as $key => $value)
		{
			$val_var = trim(str_replace($nostr, "", $value));

			if($val_var)
				$espVariantes[][$kil] = $val_var;
		}
	}
}

if( !$espVariantes )
	$errores[] = "Debe dar valor por lo menos de un kilateje.";


if( !$nombre_producto )
	$errores[ $var_nombre_producto ] = "Debe indicar el nombre de la argolla.";
else
{
	if( strlen($nombre_producto) > $MAX_NOM )
		$errores[ $var_nombre_producto ] = "El nombre de la argolla debe tener máximo $MAX_NOM carácteres.";
}

if( !$desc_producto )
	$errores[ $var_desc_producto ] = "Debe indicar la descripción de la argolla.";
else
{
	if( strlen($desc_producto) > $MAX_DESC )
		$errores[ $var_desc_producto ] = "La descripción de la argolla debe tener máximo $MAX_DESC carácteres.";
}

if( !$title )
	$errores[ $var_title ] = "El titulo SEO es obligatorio.";
else
{
	if( strlen($title) > $MAX_TIT )
		$errores[ $var_title ] = "El nombre de la argolla debe tener máximo $MAX_TIT carácteres.";
}

if( !$meta_desc )
	$errores[ $var_meta_desc ] = "La descripción SEO es obligatorio.";
else
{
	if( strlen($meta_desc) > $MAX_DESC_SEO )
		$errores[ $var_meta_desc ] = "La descripción SEO de la argolla debe tener máximo $MAX_DESC_SEO carácteres.";
}

if( !$url_id )
	$errores[ $var_url_id ] = "La URL SEO es obligatorio.";
else
{
	if( strlen($url_id) > $MAX_URL )
		$errores[ $var_url_id ] = "La URL de la argolla debe tener máximo $MAX_URL carácteres.";
}

if( !$color )
	$errores[ $var_color ] = "Debe indicar por lo menos 1 color.";


$sku = strtoupper($sku);

if( !$sku )
	$errores[ $var_sku ] = "El SKU es obligatorio.";


if( $entrega_inmediata )
	$dias_entrega = 0;
else
{
	if( !$dias_entrega )
		$errores[ $var_dias_entrega ] = "Debe indicar los días de entrega de este produto.";
	else
	{
		if( !is_numeric($dias_entrega) )
			$errores[ $var_dias_entrega ] = "Días de entrega debe ser numérico.";
	}
}

?>