<?

include_once($_PROYDIR_OBJ."_base/obj_base.php");
include_once($_PROYDIR_DAT."dat_cadenas.php");

class obj_cadenas extends obj_base
{
	public $Link;
	public $_oDat;

    public $actions = [
        'crea_cadena' => 'post_crea_cadena',
        'upload_images' => "post_carga_imagenes_cadena",
        'delete_images' => "post_elimina_imagenes_cadena",
        'busca_producto_relacionado' => "post_busca_prod_relacionado",
        'agrega_prod_relacionado' => "post_agrega_prod_relacionado",
        'ordena_prods' => "post_ordena_prods",
        'activa_desactiva_prod' => "post_activa_desactiva_prod",
    ];

    public function camposProducto() {
        return $this->_oDat->campos;
    }

    public function camposProductoCod() {
        foreach ($this->camposProducto() as $key => $value) {
            $campos[$key]=ev($value);
        }

        return $campos;
    }

    function actionsCod()
    {
        foreach ($this->actions as $key => $value) {
            $campos[$key]=codVal($value);
        }

        return $campos;
    }

    public function getCodCardData()
    {
        extract($_SESSION['compra']['step2'],EXTR_PREFIX_ALL,"s2");

        $cryp_card_cada = $s2_card_data;
        $json_card_data = decryptIt($cryp_card_cada,$_SESSION['rand_demo']);

        if(!$json_card_data)
            return false;

        return json_decode($json_card_data,true);
    }

    function guardaImagenCadena($idProd, $color, $imagenes)
    {
        GLOBAL $_DIR_IMGS_CADENAS, $DIR_IMG_TEMP, $_PROYDIR_OBJ;
        include_once($_PROYDIR_OBJ."obj_imagenes.php");
        $oImgs = new obj_imagenes("");

        if( !$idProd || !$color || !$imagenes )
            return 0;

        $xdir = datadir( $idProd );
        $xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);
        $DIR_IMGS_ORG = $_DIR_IMGS_CADENAS.$xdir.$color.DIRECTORY_SEPARATOR;

        if(!file_exists($DIR_IMGS_ORG))
            mkdir($DIR_IMGS_ORG,0777,true);

        $width = $height = 800;

        $ximgs = explode("||", $imagenes);

        if( !count($ximgs) )
            return 0;

        foreach ($ximgs as $xikey => $ximg)
        {
            list($grupo,$cantidad,$es360) = explode(":", $ximg);

            $DIR_GRUP_ORG = $DIR_IMGS_ORG."grup".$grupo.DIRECTORY_SEPARATOR;

            if(!file_exists($DIR_GRUP_ORG))
                mkdir($DIR_GRUP_ORG,0777,true);

            $TEMP_IMGS_GRUP = $DIR_IMG_TEMP.$color.DIRECTORY_SEPARATOR;
            $TEMP_IMGS_GRUP.= "grup".$grupo.DIRECTORY_SEPARATOR;

            $IMGS_BY_GRUP_0 = glob($TEMP_IMGS_GRUP."*.jpg");

            if($IMGS_BY_GRUP_0){

                $IMGS_BY_GRUP = $oImgs->ordenaArchivos($IMGS_BY_GRUP_0,$TEMP_IMGS_GRUP);
                $IMGS_BY_GRUP = array_values($IMGS_BY_GRUP);

                foreach ($IMGS_BY_GRUP as $n => $imagen)
                {
                    GuardarImagenV4CenterCut($imagen,$DIR_GRUP_ORG,($n+1).".jpg",$width,$height,1);
                    unlink($imagen);
                }

            }

            $VIDEO_BY_GRUP_0 = glob($TEMP_IMGS_GRUP."yt.txt");
            if($VIDEO_BY_GRUP_0){
                foreach ($VIDEO_BY_GRUP_0 as $n2 => $videoyt)
                {
                    rename($videoyt,$DIR_GRUP_ORG."yt.txt");
                    unlink($videoyt);
                }
            }
            rmdir($TEMP_IMGS_GRUP);
        }
    }

    function listaCadenasHtml($productos)
    {
        GLOBAL $_URLST,$_DESCUENTO_PRODUCTO_,$_CONF_URL_PROYST;
        foreach ($productos as $index => $prod)
        {
            extract($prod,EXTR_PREFIX_ALL,"prod");
            $desc = substr($prod_nombre, 0,50);
            $desc_min = substr($prod_nombre, 0,30)."...";
            $precio_descuento = $prod_cat_precio - ($_DESCUENTO_PRODUCTO_*$prod_cat_precio/100);
            $vars = "#color-{$prod['color']}--kil-{$prod['cat_kil']}";
         ?>
                <div class="item-prod col-6 col-lg-3 px-2">
                    <div class="pt-5 pb-3">
                        <a class="text-secondary" href="<?= $prod_url_id; ?><?= $vars; ?>">
                            <div class="">
                                <img class="w-100" title="<?= $prod_descripcion; ?>" alt="<?= $prod_descripcion; ?>" src="<?= $prod_imgs[0]['img_prin']; ?>">
                            </div>

                            <div class="text-center px-2">
                                <div class="d-none d-sm-block">
                                    <h3 class="m-0 h6 ellipsis-2-lines mt-3"><b><?= $prod_nombre; ?></b></h3>
                                    <? if($_DESCUENTO_PRODUCTO_){ ?>
                                        <h3 class="mb-0 h5"><b><?= $desc; ?></b></h3>
                                        <div><strike>$<?= NumF($prod_cat_precio); ?></strike> <span>-<?= $_DESCUENTO_PRODUCTO_; ?>%</span></div>
                                    <? } ?>

                                    <h3 class="h5 mb-0">Desde $<?= NumF($precio_descuento); ?></h3>
                                </div>

                                <div class="d-block d-sm-none">
                                    <? if($_DESCUENTO_PRODUCTO_){ ?>
                                        <h4 class="mb-0 h6"><b><?= $desc_min; ?></b></h4>
                                        <div><strike>$<?= NumF($prod_cat_precio); ?></strike> <span>-<?= $_DESCUENTO_PRODUCTO_; ?>%</span></div>
                                    <? } ?>

                                    <h4 class="h6 mb-0">Desde $<?= NumF($precio_descuento); ?></h4>
                                </div>
                                <div><b><?= strtoupper($prod_sku); ?></b></div>
                            </div>
                        </a>
                    </div>

                 </div>
            <? }
    }

    public function getCodCardDataCustom()
    {
        $cryp_card_cada = $_SESSION['card_data_custom'];
        $json_card_data = decryptIt($cryp_card_cada,$_SESSION['rand_demo_custom']);

        if(!$json_card_data)
            return false;

        return json_decode($json_card_data,true);
    }

    function creajsonProd($prod) {
        GLOBAL $_COLOR_MIN_,$_PUREZA_MIN_;

        extract($prod);

        $json['name'] = $nombre;
        $json['image'] = $imgs[0]['img_prin'];

        // $offers['price'] = "";
        $offers['availability'] = true;
        $offers['url'] = $url_id;
        $offers['@type'] = "Offer";
        $offers['priceCurrency'] = "MXN";
        // $offers['priceValidUntil'] = "";

        $json['offers'] = $offers;

        $json['brand'] = "Matrimony";
        $json['sku'] = $sku;
        // $json['@context']
        $json['@type'] = "Product";
        $json['itemCondition'] = "New";
        $json['productID'] = $idProd;

        $json = json_encode($json,JSON_PRETTY_PRINT);

        $precio_cotizado = $this->cotizaProducto($idProd,$return_mensaje,$return_info);
        $reviews=$this->cargaReviewsProducto($idProd,$tipo_producto,1,1);
        
        $cant_reviews=$oProdv2->total_registros*1;
        $calificacion_gral=$oProdv2->calificacion*1;
        $calificacion_gral=number_format($calificacion_gral,1);

        $minkil = current(array_keys($precio_cotizado['all_values']));
        
        $vars = "#color-$color--kil-$minkil";

        $url_id_vars=$url_id.$vars;

        $reviewsJson="";
        if($cant_reviews)
        {
            $reviewsJson='
                ,"review": {
                "@type": "Review",
                  "reviewRating": {
                    "@type": "Rating",
                    "ratingValue": "'.$calificacion_gral.'",
                    "bestRating": "5"
                  },
                  "author": {
                    "@type": "Organization",
                    "name": "Clientes Matrimony"
                  }
                },
                "aggregateRating": {
                  "@type": "AggregateRating",
                  "ratingValue": "'.$calificacion_gral.'",
                  "reviewCount": "'.$cant_reviews.'"
                }
            ';
        }

        $reviewsJson.="}";


        $jsonv2='{
          "@context": "https://schema.org/",
          "@type": "Product",
          "sku": "'.$sku.'",
          /*"gtin14": "12345678901234",*/
          "image": [
            "'.$imgs[0]['img_prin'].'"
          ],
          "name": "'.$nombre.'",
          "description": "'.$descripcion.'",
          "brand": {
            "@type": "Brand",
            "name": "Matrimony"
          },
          "offers": {
            "@type": "Offer",
            "url": "'.$url_id_vars.'",
            "itemCondition": "https://schema.org/NewCondition",
            "availability": "https://schema.org/InStock",
            "price": "'.$precio_cotizado.'",
            "priceCurrency": "MXN",
            "priceValidUntil": "'.explode(" ", NOWDT())[0].'",
            "seller": {
              "@type": "Organization",
              "name": "Matrimony"
            },
            "shippingDetails": {
              "@type": "OfferShippingDetails",
              "shippingRate": {
                "@type": "MonetaryAmount",
                "value": "0",
                "currency": "MXN"
              },
              /*
              "shippingDestination": {
                "@type": "DefinedRegion",
                "addressCountry": "US",
                "postalCodeRange": {
                  "postalCodeBegin": "98100",
                  "postalCodeEnd": "98199"
                }
              },
              */
              "deliveryTime": {
                "@type": "ShippingDeliveryTime",
                "handlingTime": {
                  "@type": "QuantitativeValue",
                  "minValue": "0",
                  "maxValue": "1"
                },
                "transitTime": {
                  "@type": "QuantitativeValue",
                  "minValue": "1",
                  "maxValue": "'.$dias_entrega.'"
                },
                "cutOffTime": "19:30-08:00",
                "businessDays": {
                  "@type": "OpeningHoursSpecification",
                  "dayOfWeek": [ "https://schema.org/Monday", "https://schema.org/Tuesday", "https://schema.org/Wednesday", "https://schema.org/Thursday","https://schema.org/Friday"]
                }
              }
            }
          }'.$reviewsJson;

        $json=$jsonv2;

        return $json;
    }

    function imagenes360Prod($producto)
    {
        $imgs_dir = $this->getImgs360Dir($producto);
        $imgs_url = $this->getImgs360Url($producto);

        $list_grups = glob($imgs_dir."grup*");

        $max = 0;
        $index_max=0;

        foreach ($list_grups as $key => $dir_grup)
        {
            $imgs = glob($dir_grup.DIRECTORY_SEPARATOR."{,[1-9]}[0-9].jpg", GLOB_BRACE);

            $video_yt = glob($dir_grup.DIRECTORY_SEPARATOR."yt.txt");
            //COMLOGVISHTML("YT:".print_r($video_yt,true));
            if($video_yt)
                $imgs=array_merge($imgs,$video_yt);

            if($imgs)
            {
                $grupo = end( explode(DIRECTORY_SEPARATOR, $dir_grup) );

                unset($l_imgs);
                unset($lista_imgs);
                $img_prin = "";

                $base_grup = $imgs_url.$grupo."/";

                foreach ($imgs as $key2 => $img)
                {
                    $img_nom = end(explode(DIRECTORY_SEPARATOR, $img));
                    $ximg = $base_grup.$img_nom;

                    if(!$img_prin)
                        $img_prin = $ximg;

                    $l_imgs[] = $ximg;
                }

                $cant_imgs = count($l_imgs);

                if($cant_imgs>$max && $cant_imgs>1)
                {
                    $max = $cant_imgs;
                    $index_max = $key;
                }

                $lista_imgs['cant'] = $cant_imgs;
                $lista_imgs['urls'] = $l_imgs;
                $lista_imgs['img_prin'] = $img_prin;
                $lista_imgs['url_base'] = $base_grup;

                $lista_grup[ $key ] = $lista_imgs;
            }
        }

        $aux = $lista_grup[0];
        $lista_grup[0] = $lista_grup[ $index_max ];
        $lista_grup[ $index_max ] = $aux;

        return $lista_grup?$lista_grup:0;
    }

    function getImgs360Dir($producto)
    {
        GLOBAL $_DIR_IMGS_CADENAS;

        $xdir = datadir($producto['idProd']);
        $xdir = str_replace("/", DIRECTORY_SEPARATOR, $xdir);

        return $_DIR_IMGS_CADENAS.$xdir.$producto['color'].DIRECTORY_SEPARATOR;
    }

    function getImgs360Url($producto)
    {
        GLOBAL $_URL_IMGS_CADENAS;

        $xdir = datadir( $producto['idProd'] );
        return $_URL_IMGS_CADENAS.$xdir.$producto['color']."/";
    }

    function cargaIdsProdsRelacionadosCadenas($idProd)
    {
        $rel = $this->cargaProductos(1,1,"idProd = '$idProd' ","productos_relacionados")[0]["productos_relacionados"];

        return array_filter(explode(",", $rel));
    }

    function cargaProductosRelacionados( $idProd, $campos='', $with_imgs='')
    {
        $idsRel = $this -> cargaIdsProdsRelacionados($idProd);

        if( !$idsRel )
            return 0;
        
        $where = " idProd IN ('".implode("','", $idsRel)."') ";

        $prods = $this -> _oDat -> selectWhere( $where, $campos );

        if($with_imgs)
        {
            foreach ($prods as $key => $prod)
            {
                $prods[$key]['imgs'] = $this -> imagenes360Prod( $prod );       
            }
        }

        return $prods;
    }

    function cargaProductos($PAG,$CANT_VER,$where='',$campos='',$tabla='',$order='',$group='',$crear_paginador='')
    {
        if(!$campos)
            $campos = "*";

        if($tabla)
            $this -> _oDat -> estaTabla = $tabla;

        if(!$where)
            $where = " 1 ";

        if(!$order)
            $order = " ORDER BY idProd DESC ";

        if(!$PAG)
            $PAG = 1;

        $PAG--;
        $DESDE = $PAG*$CANT_VER;

        if($crear_paginador)
            $this -> creaPaginador($where,$PAG,$CANT_VER);
        
        $where.= " $group $order LIMIT $DESDE,$CANT_VER ";

        $archivos = $this->_oDat->selectWhere($where,$campos);

        if($this->with_imgs){
            foreach ($archivos as $key => $prod)
            {
                $archivos[$key]['imgs'] = $this->imagenes360Prod($prod);       
            }
        }

        if($_SESSION['SOYDES']==2)
            COMLOGVISHTML("QR: ".print_r($this -> _oDat -> ultRes, true));

        return $archivos;
    }

    public function cantTotalProductos($where = '', $activo='')
    {
        $WHERE = " 1 ";
        if($where)
            $WHERE.=" AND ".$where;

        if($activo)
            $WHERE.=" AND estatus = '1' ";

        return $this -> _oDat -> selectWhere($WHERE,"count(idProd) as total")[0]['total'];
    }


    function cargaProductosSku($sku, $activo='')
    {
        $where = " sku = '$sku' ".($activo?"AND estatus= '1' ":"");
        return $this -> cargaProductos(1,1000,$where,"","","ORDER BY es_principal DESC","",false);
    }

    function cargaProductoId($idProd, $activo='')
    {
        $where = " idProd = '$idProd' ".($activo?"AND estatus= '1' ":"");
        return $this -> cargaProductos(1,1,$where,"","","","",false)[0];
    }

    function cargaReviewsProducto($idProd,$tipo_producto,$PAG,$CANT_VER,$unactive=''){
        $where = " rv.idProducto = '$idProd' ".(!$unactive?"AND rv.estatus= '1' ":"");

        if(!$PAG)
            $PAG = 1;

        if($CANT_VER!="ALL" && is_numeric($CANT_VER))
        {
            $PAG--;
            $DESDE = $PAG*$CANT_VER;
            $limit = " LIMIT $DESDE,$CANT_VER";
        }

        $campos = "
           rv.idRev,
           rv.idVentaFake,
           rv.is_fake,
           rv.idVenta,
           rv.idProducto,
           rv.tipo_producto,
           rv.titulo,
           rv.comentario,
           rv.calificacion,
           rdp.estado,
           DATE_FORMAT(rv._fechaIns,'%Y/%m/%d') AS _fechaIns,
           rp.nombre nombre_prod,
           rpm.nombre,
           rp.sku,
           rp.url_id
        ";
        
        $qr="
            SELECT 
               __CAMPOS__
             FROM reg_product_review rv
             INNER JOIN matv2_matrimony.{$this->_oDat->estaTabla} rp
             ON rp.idProd = rv.idProducto AND rp.tipo_producto = rv.tipo_producto
             INNER JOIN (
                 SELECT 
                        DISTINCT if(rv2.is_fake='1' AND rv2.fake_editando='0',rv2.idVentaFake,rpm2.idReg) idVenta,
                        if(rv2.is_fake='1' AND rv2.fake_editando='0',rv2.nombreFake,rpm2.nombre) nombre
                        FROM reg_payment rpm2
                        CROSS JOIN reg_product_review rv2
                ) rpm
             ON (rv.idVenta=rpm.idVenta OR rv.idVentaFake=rpm.idVenta)
             INNER JOIN (
                  SELECT 
                          DISTINCT if(rv3.is_fake='1' AND rv3.fake_editando='0',rv3.idVentaFake,dp.idPedido) idVenta,
                          if(rv3.is_fake='1' AND rv3.fake_editando='0',rv3.estadoFake,dp.estado) estado
                        FROM direccion_pedido dp
                          CROSS JOIN reg_product_review rv3
                ) rdp
                ON (rv.idVenta=rdp.idVenta OR rv.idVentaFake=rdp.idVenta)
             WHERE $where ORDER BY rv._microIns DESC 
        ";

        $qrProds=str_replace("__CAMPOS__",$campos,$qr).$limit;
        $qrCountAll=str_replace("__CAMPOS__","count(*) total",$qr);
        $qrCalfProd=str_replace("__CAMPOS__","(SUM(calificacion)/ count(*)) calf",$qr);

        loadRegsQr($this->Link,$qrProds,$reviews,$xres);
        loadRegsQr($this->Link,$qrCountAll,$total_regs,$xres2);
        loadRegsQr($this->Link,$qrCalfProd,$calf,$xres3);
        
        if($_SESSION['SOYDES']==2){
            COMLOGVISHTML("qrProds:".print_r($xres,true));
            COMLOGVISHTML("qrCountAll:".print_r($xres2,true));
            COMLOGVISHTML("qrCalfProd:".print_r($xres3,true));
        }
        
        // pr($reviews);
        // pr($xres);
        // pr($xres2);
        // prEx($total_regs);
        $total_regs = $total_regs[0]['total'];
        $calificacion = $calf[0]['calf'];

        $total_paginas = floor($total_regs/$CANT_VER)+(($total_regs%$CANT_VER)?1:0);
        $npags = 5;
        $inicio_pagina = ($PAG>=($total_paginas-$npags))?($total_paginas-$npags):($PAG+1);
        $final_pagina  = (($PAG+$npags)<$total_paginas)?($PAG+$npags):$total_paginas;

        if($inicio_pagina < 1)
            $inicio_pagina = 1;

         $this->total_registros = $total_regs;
         $this->calificacion = $calificacion;
         $this->paginador['total_paginas']    = $total_paginas;
         $this->paginador['inicio_paginador'] = $inicio_pagina;
         $this->paginador['fin_paginador']    = $final_pagina;

         if($reviews){
            foreach ($reviews as $key => $review) {
                foreach ($review as $i => $value) {
                    if(is_numeric($i)){
                        unset($reviews[$key][$i]);
                    }
                }
            }
        }

        return $reviews;
    }

    function cotizaProducto($idProd, &$msg_error, &$info)
    {
        $producto = $this->cargaProductoId($idProd);
        //Error producto
        if(!$producto){
            $msg_error = "No se encontró producto";
            return 0;
        }
        
        extract($producto,EXTR_PREFIX_ALL,'prod');

        $especificaciones = json_decode($prod_especificaciones,true);
        if(!$especificaciones){
            $msg_error = "Sin especificaciones";
            return 0;
        }

        //Variables que se deben obtener por rappaport
        $variables_valores = $this->_oDat->selectWhere("1","idReg,variable,valor","valores_moneda");

        foreach ($variables_valores as $vkey => $var){
            ${$var['variable']} = $var['valor'];
        }

        $dolar   = $tipo_cambio_mxn;
        $oro     = $precio_oro;
        $platino = $precio_platino;

        $info['dolar'] = $dolar;
        $info['oro'] = $oro; //oro 24k
        $info['platino'] = $platino;

        //Porcentage
        $utilidad = $utilidad/100;

        //Constante onza a gramos
        $peso_onza = 28.35;

        $precios_cotizados = [];
        $medidas = [];

        foreach($especificaciones as $kilatajes => $centimetros){
            $kil = str_replace("k", "", $kilatajes);

            //Si no es un kilayaje de 10 o 14 no se cotiza
            if(!in_array($kil, [10,14]))
                continue; 

            $precio_oro_kil = $oro*$kil/24;

            foreach ($centimetros as $centimetros => $valores) {
                $cm = str_replace("cm", "", $centimetros);


                if(!is_numeric($cm))
                    continue; 

                extract($valores);
                $peso = $valores['peso'];
                $manoobra = $valores['manoobra'];

                if(!is_numeric($peso) || !is_numeric($manoobra))
                    continue;

                //convertir precio onza a gramo
                $precio_gramo = $precio_oro_kil/$peso_onza;

                //Formula v1
                //Precio cadena = (((gramos x valor del gramo) + mano de obra)* (1+utilidad)) x tipo de cambio
                //$precio_cadena = ((($peso*$precio_gramo)+$manoobra)*(1+$utilidad))*$tipo_cambio_mxn;

                /*
                Formula v2
                Precio cadena = (((gramos x valor del gramo) + (gramos x mano de obra)* (1+utilidad)) x tipo de cambio
                */
                $precio_cadena = (($peso * $precio_gramo) + ($peso * $manoobra) * (1 + $utilidad)) * $tipo_cambio_mxn;

                $precios_cm[$kil][$cm] = round($precio_cadena,2,PHP_ROUND_HALF_UP);
                $medidas[$kil][$cm] = $peso;
            }
        }

        if(!$precios_cm){
            $msg_error = "Sin valores cotizados";
            return 0;
        }

        $cheap_kil = current($precios_cm);

        $cotizacion['all_values'] = $precios_cm;
        $cotizacion['medidas'] = $medidas;
        $cotizacion['cheap'] = current($cheap_kil);
        
        return $cotizacion;
    }

    function regeneraCatalogoProds()
    {
        extract($this->camposProducto(),EXTR_PREFIX_ALL,"cmp");

        $qrCat = "
            SELECT 
                rp.$cmp_idproducto cat_idProd,
                rp.$cmp_tipoprod cat_tipo,
                rp.$cmp_sku    cat_sku,
                rp.$cmp_orden  cat_orden,
                rp.$cmp_skuvar cat_skuvar,
                rp.$cmp_color  cat_color
            FROM {$this->_oDat->estaTabla} rp
            WHERE rp.$cmp_estatus = '1'
            ORDER BY rp.$cmp_sku";

        //Cargar la conbinación de productos más baratos
        loadRegsQr2($this->Link,$qrCat,$listaregs,$xres,MYSQLI_ASSOC);

        //Eliminar todo el catalogo
        $res = Qr($this->Link,"DELETE FROM {$this->_oDat->catalogo}");

        foreach ($listaregs as $i => $reg){
            $cotizado = $this->cotizaProducto($reg['cat_idProd'],$return_mensaje,$return_info);
            $precio_cotizado = $cotizado['cheap'];
            $minkil = current(array_keys($cotizado['all_values']));
            if($precio_cotizado){
                $reg['cat_kil'] = $minkil;
                $reg['cat_precio']= $precio_cotizado;
                $reg['_rndkey'] = md5(rand(5000,2000000)+time());
                $resIns = insertReg($this->Link,$this->_oDat->catalogo,$reg,$xresIns);

                $aux_reg = $reg;
                $aux_reg['info'] = $return_info;

                $salida[] = $aux_reg;
            }//Si cotizado
        }//Foreach

        return $salida;
    }

    public function cargaColoresCatalogoChur($byKeys=''){

        $tabla = "reg_catalogo_churumbelas rcc";

        $where = "rcc.cat_precio IS NOT NULL 
                    AND rcc.cat_precio <> '0' 
                GROUP BY rcc.cat_color";

        $colr = $this -> _oDat -> selectWhere($where, "cat_color", $tabla);
        // pr($colr);
        // prEx($this -> _oDat -> ultRes);

        if($colr)
        {
            indexDat($colr,$colores,"cat_color");

            if($byKeys)
                $colores = array_keys($colores);

            return $colores;
        }

        return 0;
    }


    public function actualizaProducto($keyProd,$data,$update_by_sku=false)
    {
        setCamposAct($data);

        $campos = implode(",", array_keys($data));

        $where = "idProd = '$keyProd' ";

        if($update_by_sku)
            $where = "sku = '$keyProd' ";

        $up = $this->_oDat->updateWhere($data,$campos,$where);

        $msj = $up?"OKUP":"ERRUP"; 

        return [$up,$msj];
    }

    function creaPaginador($where,$PAG,$CANT_VER)
    {
        $total_archs = $this -> totalArchivos($where);

        $total_paginas = floor($total_archs/$CANT_VER)+(($total_archs%$CANT_VER)?1:0);
        $npags = 5;
        $inicio_pagina = ($PAG>=($total_paginas-$npags))?($total_paginas-$npags):($PAG+1);
        $final_pagina  = (($PAG+$npags)<$total_paginas)?($PAG+$npags):$total_paginas;

        if($inicio_pagina < 1)
            $inicio_pagina = 1;

         $this -> total_archs = $total_archs;

         $this -> paginador['total_paginas']    = $total_paginas;
         $this -> paginador['inicio_paginador'] = $inicio_pagina;
         $this -> paginador['fin_paginador']    = $final_pagina;
    }

    function totalArchivos($where='',$tabla='')
    {
        if(!$where)
            $where = " 1 ";

        if($tabla)
            $this -> _oDat -> estaTabla = $tabla;

        return $this -> _oDat -> selectWhere($where,"COUNT(*) total")[0]['total'];
    }

    function cargaTablaRappaport()
    {

        $l_rapaport0 = $this -> _oDat -> selectWhere("1","tam_diamante,color,pureza,valor","rappaport");

        foreach ($l_rapaport0 as $key => $rapp)
        {
            extract($rapp,EXTR_PREFIX_ALL,"rapp");
            $l_rapaport[$rapp_tam_diamante][$rapp_color][$rapp_pureza] = $rapp_valor;
        }

        return $l_rapaport;
    }

    function cargaTablaLabDiamonds(&$cts_lab)
    {
        $l_lab_diamonds0 = $this -> _oDat -> selectWhere("1 order BY tam_diamante ASC","idReg,tam_diamante,valor","reg_diamonds_lab");

        foreach ($l_lab_diamonds0 as $key => $cts)
        {
            $cts_lab[] = $cts['tam_diamante'];
            $l_lab_diamonds[$cts['tam_diamante']] = $cts;
        }

        return $l_lab_diamonds;
    }

    function getPrecioDiamate($quilates, $color_diamante ,$pureza_diamante, &$mensaje='')
    {
        /*
            cofiguracion.php -> $CTS: Array de quilates permitidos para el producto.
            cofiguracion.php -> $COLORES_DIAMANTES: Array de colores permitidos para el producto.
            cofiguracion.php -> $PUREZAS_DIAMANTES: Array de pureza permitidos para el producto.
        */

        GLOBAL $CTS, $COLORES_DIAMANTES, $PUREZAS_DIAMANTES;

        if( !in_array($quilates, $CTS) )
            $mensaje = "Error al seleccionar tamaño de la piedra principal.";

        if( !in_array($color_diamante, $COLORES_DIAMANTES) )
            $mensaje = "Error al seleccionar color diamante.";

        if( !in_array($pureza_diamante, $PUREZAS_DIAMANTES) )
            $mensaje = "Error al seleccionar pureza diamante.";

        if($mensaje)
            return 0;

        $rappaport = $this -> cargaTablaRappaport();

        $val =  $rappaport[$quilates][$color_diamante][$pureza_diamante]*1*$quilates;

        if( !$val )
            $mensaje = "Error rappaport";
        else
            $mensaje = "Valor diamante";

        return $val;
        
    }

    function getPrecioDiamateLab($quilates, &$mensaje='')
    {
        $lab_diamonds = $this -> cargaTablaLabDiamonds($CTS_LAB);

        if( !in_array($quilates, $CTS_LAB) )
        {
            $mensaje = "Error al seleccionar tamaño de la piedra principal.";
            return 0;
        }

        $val = $lab_diamonds[$quilates]['valor']*1*$quilates;

        if( !$val )
            $mensaje = "Error rappaport";
        else
            $mensaje = "Valor diamante";

        return $val;
        
    }
	
    public function __construct($Link,$tipo="m")
    {
        GLOBAL $_PROYDIR_DAT;
        if(!$tipo)$tipo="m";

        if($tipo=="m")
        {
            $this->Link=$Link;
            $this->_tipobd=$tipo;
        }
        if($tipo=="l")
        {
            $this->LLink=$Link;
            $this->_tipobd=$tipo;
        }

        if(!$this->_tipobd)
            die("falta _tipobd");

        include_once($_PROYDIR_DAT."dat_cadenas.php");
        
        $this->_oDat = new dat_cadenas($Link,$tipo);

        if($tipo=="l")
            $this->_oDat ->LLink = $Link;
        
    }
}