<?
include_once($_PROYDIR_OBJ."_base/obj_base.php");
include_once($_PROYDIR_DAT."dat_proveedores.php");

class obj_proveedores extends obj_base
{
	public $Link;
	public $LLink;
	public $_oDat;
	public $_tipobd;
    public $mail;
    public $mailSend;

    public function login($correo, $clave){
        if(!$correo || !$clave)
            return 0;

        $clave = getCodeCR($clave);

        $where = $this->_oDat->campos_contacto['correo']."='$correo'";
        $where.= " AND ".$this->_oDat->campos_contacto['clave']." = '$clave' ";

        return $this->_oDat->selectWhere($where);
    }

    public function loginClienteCorreo($correo,$active=true){
        if(!$correo)
            return 0;

        $cmp = "acceso_ofertas_prov,nombre,idReg,correo";
        $where = "correo='$correo'";

        if($active){
            $where.= " AND acceso_ofertas_prov = '1'";
        }

        $cliente = $this->_oDat->selectWhere($where,$cmp,"reg_clientes")[0];

        return $cliente;
    }

    public function iniciaSessionClienteCorreo($cliente) {
        extract($cliente);

        if(!$idReg) return false;

        $clieprov['CLIEPROV_idCliente'] = $idReg;
        $clieprov['CLIEPROV_nombre'] = $nombre;
        $clieprov['CLIEPROV_correo'] = $correo;
        $clieprov['CLIEPROV_acceso_ofertas'] = $acceso_ofertas_prov;

        $_SESSION['SES_CLIE_PROV'] = $clieprov;

        return true;
    }



    public function existEmail($correo){
        if(!$correo)
            return 0;

        $clave = getCodeCR($clave);

        $where = $this->_oDat->campos_contacto['correo']."='$correo' limit 1";

        return $this->_oDat->selectWhere($where);
    }

    public function doResetPassword($correo, $token){
        if(!$correo || !$token)
            return 0;

        $where = $this->_oDat->campos_contacto['correo']."='$correo' AND ".$this->_oDat->campos_contacto['tokenpassword']."='$token'"." limit 1";

        return $this->_oDat->selectWhere($where);
    }

    public function registraContacto($prov,$desde_admin = false) {
        extract($prov);

        $creadodesde = 2;
        $usuariocreo = $correo;

        if($desde_admin){
            $creadodesde = 1;
            $usuariocreo = $_SESSION['SESUS_login'];
        }

        if(!$usuariocreo){
            return false;
        }

        $data[$this->_oDat->campos_contacto['tienda']] = $tienda;
        $data[$this->_oDat->campos_contacto['nombre']] = $nombre;
        $data[$this->_oDat->campos_contacto['correo']] = $correo;
        $data[$this->_oDat->campos_contacto['telefono']] = $telefono;
        $data[$this->_oDat->campos_contacto['creadodesde']] = $creadodesde;
        $data[$this->_oDat->campos_contacto['usuariocreo']] = $usuariocreo;
        $data[$this->_oDat->campos_contacto['clave']]  = getCodeCR($clave);

        setCamposIns($data);
        // pr($this->_oDat->estaTabla);
        // pr($data);
        $create = false;
        ob_start();
        try{

            $create = $this->_oDat->insert($data);
        
            if($create){

                $idContacto = $this->_oDat->ultRes['LII'];

                $negocio[$this->_oDat->campos_negocio['idcontacto']] = $idContacto;
                $negocio[$this->_oDat->campos_negocio['nombre']] = $tienda;
                $negocio[$this->_oDat->campos_negocio['idcat']]  = $idcat;
                $negocio[$this->_oDat->campos_negocio['correo']] = $correo;
                $negocio[$this->_oDat->campos_negocio['telefono']] = $telefono;

                setCamposIns($negocio);

                $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
                $create = $this->_oDat->insert($negocio);
                //pr($this->_oDat->ultRes);
            }

        }catch(Exception $e){
            prEx($e);
            $this->_oDat->ultRes['ERROR'] = $e->getMessage();
        }

        $salida = ob_get_contents();
        ob_end_clean();

        return $create;
    }

    public function registroContactoSocial($idNegocio,$social) {
        $idContacto = $_SESSION['SES_PROV']['SES_idContacto'];
        if(!$idNegocio || !$idContacto) return false;

        extract($social);

        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        extract($this->_oDat->campos_negocio,EXTR_PREFIX_ALL,"cmp");

        $data[$cmp_facebook]   = $facebook;
        $data[$cmp_instagram]  = $instagram;
        $data[$cmp_pagina_web] = $pagina_web;
        $data[$cmp_whatsapp]   = $whatsapp;

        setCamposAct($data);
        $campos = implode(",", array_keys($data));
        $where = "$cmp_idnegocio = '$idNegocio' AND $cmp_idcontacto = '$idContacto'";
        
        $updated = $this->_oDat->updateWhere($data,$campos,$where);

        return $updated;
    }

    public function updateCampoNegocio($idNegocio, $campoUpdate, $value){
        //$idContacto = $_SESSION['SES_PROV']['SES_idContacto'];
        if(!$idNegocio/* || !$idContacto*/) return false;

        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        extract($this->_oDat->campos_negocio,EXTR_PREFIX_ALL,"cmp");

        $data[$campoUpdate] = $value;
        setCamposAct($data);

        $campos = implode(",", array_keys($data));
        $where = "$cmp_idnegocio = '$idNegocio'";
        //$where.=" AND $cmp_idcontacto = '$idContacto'";

        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        $updated = $this->_oDat->updateWhere($data,$campos,$where);

        return $updated;
    }

    public function updateNegocio($idNegocio, $data){
        if(!$idNegocio) return false;

        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        extract($this->_oDat->campos_negocio,EXTR_PREFIX_ALL,"cmp");
        
        setCamposAct($data);

        $campos = implode(",", array_keys($data));
        $where = "$cmp_idnegocio = '$idNegocio'";
        //$where.=" AND $cmp_idcontacto = '$idContacto'";

        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        $updated = $this->_oDat->updateWhere($data,$campos,$where);

        return $updated;
    }

    public function updateCampoContacto($idContacto, $campoUpdate, $value){
        if(!$idContacto) return false;
        extract($this->_oDat->campos_contacto,EXTR_PREFIX_ALL,"cmp");

        $data[$campoUpdate] = $value;
        setCamposAct($data);

        $campos = implode(",", array_keys($data));
        $where = "$cmp_idcontacto = '$idContacto'";

        $updated = $this->_oDat->updateWhere($data,$campos,$where);

        return $updated;
    }

    public function registraSucursal($idNegocio,$sucursal) {
        $idContacto = $_SESSION['SES_PROV']['SES_idContacto'];

        if(!$idContacto){
            $idContacto = $_SESSION['ADM_PROV']['SES_idContacto'];
        }

        if(!$idNegocio || !$idContacto) return false;

        $this->_oDat->estaTabla = $this->_oDat->tabla_sucursal;

        extract($this->_oDat->campos_sucursal,EXTR_PREFIX_ALL,"cmp");
        extract($sucursal);

        $data[$cmp_idcontacto] = $idContacto;
        $data[$cmp_idnegocio] = $idNegocio;
        $data[$cmp_calle] = $calle;
        $data[$cmp_nume] = $num_e;
        $data[$cmp_mumi] = $num_i;
        $data[$cmp_cp] = $cp;
        $data[$cmp_colonia] = $colonia;
        $data[$cmp_delegacion] = $delegacion;
        $data[$cmp_ciudad] = $ciudad;
        // $data[$cmp_pais] = $pais;
        $data[$cmp_estado] = $estado;

        setCamposIns($data);

        $created = $this->_oDat->insert($data);

        return $created;
    }

    public function actualizaSucursal($idNegocio,$idSucursal,$sucursal){
        if(!$idNegocio || !$idSucursal) return false;

        $this->_oDat->estaTabla = $this->_oDat->tabla_sucursal;

        extract($this->_oDat->campos_sucursal,EXTR_PREFIX_ALL,"cmp");
        extract($sucursal);

        $data[$cmp_calle] = $calle;
        $data[$cmp_nume] = $num_e;
        $data[$cmp_mumi] = $num_i;
        $data[$cmp_cp] = $cp;
        $data[$cmp_colonia] = $colonia;
        $data[$cmp_delegacion] = $delegacion;
        $data[$cmp_ciudad] = $ciudad;
        $data[$cmp_estado] = $estado;

        setCamposAct($data);
        
        $campos = implode(",", array_keys($data));
        $where = "$cmp_idnegocio = '$idNegocio' AND $cmp_idsucursal = '$idSucursal'";
        
        $updated = $this->_oDat->updateWhere($data,$campos,$where);

        return $updated;
    }

    public function registraOferta($idNegocio,$oferta) {
        $idContacto = $_SESSION['SES_PROV']['SES_idContacto'];

        if(!$idContacto){
            $idContacto = $_SESSION['ADM_PROV']['SES_idContacto'];
        }

        if(!$idNegocio || !$idContacto) return false;

        $this->_oDat->estaTabla = $this->_oDat->tabla_oferta;

        extract($this->camposOfertas(),EXTR_PREFIX_ALL,"cmp");
        extract($oferta);

        $data[$cmp_idcontacto] = $idContacto;
        $data[$cmp_idnegocio] = $idNegocio;
        $data[$cmp_idtipooferta] = $idTipoOferta;
        $data[$cmp_titulo] = $titulo;
        $data[$cmp_descripcion] = $descripcion;
        $data[$cmp_cupon] = $cupon;

        setCamposIns($data);

        $created = $this->_oDat->insert($data);

        return $created;
    }

    public function mailRegistraContacto($prov) {
        $this->mail->plantilla="registro_contacto.php";
        extract($prov);
        
        
        $data['nombre'] = $nombre;
        $data['correo'] = $correo;
        $data['proveedor'] = $proveedor;

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";

        $this->mail->construyeMail($data);
        //die($this->mail->salida."");

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo;
        $nombrepara = $nombre;
        $asunto   = "Se ha registrado contacto proveedor";

        $envio =$this->mail->enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        $envio2=$this->mail->enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se ha registrado contacto proveedor.");

        return $envio;
    }

    public function mailResetPassword($contacto, $token) {
        GLOBAL $_URLBASE;
        $this->mail->plantilla="registro_contacto.php";
        extract($contacto);
        
        $data['nombre'] = $nombre_contacto;
        $data['correo'] = $correo_contacto;
        $data['proveedor'] = $nombre_tienda;

        $code = "?".ev("EMAIL")."=".urlencode(codVal($correo_contacto));
        $code.= "&".ev("token")."=".urlencode(codVal($token));
        $data['link'] = $_URLBASE."ac-reset-password-proveedor.html".$code;

        $data['telefono1'] = "(55) 5512 4834";
        $data['telefono2'] = "(55) 5518 3663";

        $this->mail->construyeMail($data);
        //die($this->mail->salida."");

        $origen   = "info@matrimony.mx";
        $nombrede = "Matrimony Rings";
        $destino  = $correo_contacto;
        $nombrepara = $nombre_contacto;
        $asunto   = "Recuperar contraseña";

        $envio =$this->mail->enviarMail($origen,$nombrede,$destino,$nombrepara,$asunto);
        $envio2=$this->mail->enviarMail($origen,$nombrede,"matrimonyrings@gmail.com","Matrimony","Se ha solicitado recuperar contraseña.");

        return $envio;
    }

    public function camposContacto() {
        return $this->_oDat->campos_contacto;
    }

    public function camposContactoCod() {
        foreach ($this->camposContacto() as $key => $value) {
            $campos[$value]=ev($value);
        }

        return $campos;
    }

    public function camposNegocio() {
        return $this->_oDat->campos_negocio;
    }

    public function camposNegocioCod() {
        foreach ($this->camposNegocio() as $key => $value) {
            $campos[$value]=ev($value);
        }
        return $campos;
    }

    public function camposSucursal() {
        return $this->_oDat->campos_sucursal;
    }

    public function camposSucursalCod() {
        foreach ($this->camposSucursal() as $key => $value) {
            $campos[$value]=ev($value);
        }
        return $campos;
    }

    public function camposOfertas() {
        return $this->_oDat->campos_oferta;
    }

    public function camposOfertasCod() {
        foreach ($this->camposOfertas() as $key => $value) {
            $campos[$value]=ev($value);
        }
        return $campos;
    }

    public function tokenForm(){
        if(!$_SESSION['tokenForm']){
            $_SESSION['tokenForm'] = genKey();
        }
    }

    public function startSession($proveedor) {
        extract($proveedor);

        if(!$idContacto || !$correo_contacto)
            return 0;

        $ses['SES_idContacto'] = $idContacto;
        $ses['SES_correo']     = $correo_contacto;
        $ses['SES_contacto']   = $nombre_contacto;
        $ses['SES_tienda']     = $nombre_tienda;
        $ses['SES_telefono']   = $telefono_contacto;

        $_SESSION['SES_PROV'] = $ses;

        return true;
    }

    public function cargaNegociosContacto($idContacto){

        if(!$idContacto)
            return false;

        $where = $this->_oDat->campos_negocio['idcontacto']."='$idContacto'";
        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        return $this->_oDat->selectWhere($where);
    }

    public function cargaNegocioId($idNegocio){

        if(!$idNegocio)
            return false;

        $where = $this->_oDat->campos_negocio['idnegocio']."='$idNegocio'";
        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        return $this->_oDat->selectWhere($where);
    }

    public function cargaNegocioAlias($alias){

        if(!$alias)
            return false;

        $where = $this->_oDat->campos_negocio['alias_url']."='$alias'";
        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        return $this->_oDat->selectWhere($where);
    }

    public function cargaNegociosCorreo($correo){

        if(!$correo)
            return false;

        $where = $this->_oDat->campos_negocio['correo']."='$correo'";
        $this->_oDat->estaTabla = $this->_oDat->tabla_negocio_contacto;
        return $this->_oDat->selectWhere($where);
    }

    public function cargaContactoCorreo($correo){

        if(!$correo)
            return false;

        $where = $this->_oDat->campos_contacto['correo']."='$correo'";
        return $this->_oDat->selectWhere($where);
    }

    public function imagenMarca($id,$type,$size='lg'){
        GLOBAL $_DIR_FILES_MARCA, $_URL_FILES_MARCA;
        $folder = datadir($id);
        $xdir = str_replace("/", DIRECTORY_SEPARATOR, $folder);

        $nombre = "$type.$size.jpg";

        $local_file = $_DIR_FILES_MARCA.$xdir.$nombre;

        if(file_exists($local_file)){
            return $_URL_FILES_MARCA.$folder.$nombre;
        }

        return 0;
    }

    public function cargaTipoOfertas() {
        return $this->_oDat->selectWhere(1,"*","tbl_tipo_oferta");
    }

    public function cargaCatsProveedores() {
        return $this->_oDat->selectWhere(1,"*","tbl_cats_proveedores");
    }

    public function cargaSucursalesNegocio($idNegocio){
        //$idContacto = $_SESSION['SES_PROV']['SES_idContacto'];

        if(!$idNegocio)
            return false;

        extract($this->_oDat->campos_sucursal,EXTR_PREFIX_ALL,"cmp");
        $where="$cmp_idnegocio = '$idNegocio'";
        //$where.=" AND $cmp_idcontacto = '$idContacto'";
        return $this->_oDat->selectWhere($where,"*",$this->_oDat->tabla_sucursal);
    }

    public function eliminaSucursal($idSucursal) {
        if(!$idSucursal) return 0;

        $qr = "DELETE FROM {$this->_oDat->tabla_sucursal} WHERE {$this->_oDat->campos_sucursal['idsucursal']} = '$idSucursal' LIMIT 1";

        return $this->_oDat->query($qr);
    }

    public function eliminaOferta($idCupon) {
        if(!$idCupon) return 0;

        $qr = "DELETE FROM {$this->_oDat->tabla_oferta} WHERE {$this->_oDat->campos_oferta['idcupon']} = '$idCupon' LIMIT 1";

        return $this->_oDat->query($qr);
    }

    public function cargaOfertasNegocio($idNegocio){
        //$idContacto = $_SESSION['SES_PROV']['SES_idContacto'];

        if(/*!$idContacto || */!$idNegocio)
            return false;

        extract($this->_oDat->campos_oferta,EXTR_PREFIX_ALL,"cmp");
        $where="$cmp_idnegocio = '$idNegocio'";
        //$where.=" AND $cmp_idcontacto = '$idContacto'";
        return $this->_oDat->selectWhere($where,"*",$this->_oDat->tabla_oferta);
    }

    public function validateSession($location = "ac-acceso-proveedores.html"){
        if(!$_SESSION['SES_PROV'] || !$_SESSION['SES_PROV']['SES_idContacto']){
            header("Location: $location");
            exit(1);
        }
    }

    public function cargaCatsProveedoresActivos() {
        $qr = "
            SELECT 
                tcp.idCat,
                tcp.titulo,
                tcp.icono
            FROM tbl_cats_proveedores tcp
                INNER JOIN reg_negocio_contacto rnc
                    ON tcp.idCat = rnc.idCat
            WHERE rnc.estatus = '1'
            GROUP BY tcp.idCat
        ";

        loadRegsQr($this->_oDat->Link,$qr,$data,$xres);
        
        $regs=[];
        if($data){
            foreach ($data as $key => $reg) {
                foreach ($reg as $key2 => $value) {
                    if(is_numeric($key2))
                        unset($data[$key][$key2]);
                }
            }
            $regs = $data;
        }
        return $regs;
    }

    public function cargaUbicacionesProveedoresActivos() {
        $qr = "
            SELECT 
                rsn.ciudad
            FROM reg_sucursal_negocio rsn
                INNER JOIN reg_negocio_contacto rnc
                    ON rsn.idNegocio = rnc.idNegocio
            WHERE rnc.estatus = '1'
            GROUP BY rsn.ciudad
        ";

        loadRegsQr($this->_oDat->Link,$qr,$data,$xres);
        
        $regs=[];
        if($data){
            foreach ($data as $key => $reg) {
                foreach ($reg as $key2 => $value) {
                    if(is_numeric($key2))
                        unset($data[$key][$key2]);
                }
            }
            $regs = $data;
        }
        return $regs;
    }

    public function cargaListaProveedores($params) {
        extract($this->_oDat->campos_negocio,EXTR_PREFIX_ALL,"cmp");
        extract($this->_oDat->campos_contacto,EXTR_PREFIX_ALL,"cmp2");
        extract($this->_oDat->campos_oferta,EXTR_PREFIX_ALL,"cmp3");

        $where=1;
        $ORDER = "rnc.$cmp_idnegocio DESC";

        if($params){
            extract($params);

            if(isset($SRCH)){

                $SRCH = trim($SRCH);

                if(is_numeric($SRCH))
                    $where = "rnc.$cmp_idnegocio='$SRCH'";
                else
                     $where = "(rnc.$cmp_correo LIKE '%$SRCH%' OR rnc.$cmp_nombre LIKE '%$SRCH%' OR rc.$cmp2_nombre LIKE '%$SRCH%') ";
            }

            if($CAT){
                $where.= " AND rnc.$cmp_idcat = '$CAT'";
            }

            if($UBI){
                $where.= " AND rsn.ciudad = '$UBI'";
            }

            if($ALIAS){
                $where.= " AND rnc.$cmp_alias_url = '$ALIAS'";
            }

            if($ORD){
                $ORDER = "rnc.orden DESC";
            }

            if($ACTIVE){
                $where.= " AND rnc.$cmp_estatus = '1'";
            }
        }

        $qr = "
            SELECT 
                    rnc.$cmp_idnegocio,
                    rnc.$cmp_idcontacto,
                    rnc.$cmp_nombre,
                    rnc.$cmp_alias,
                    rnc.$cmp_alias_url,
                    rnc.$cmp_descripcion,
                    rnc.$cmp_instagram,
                    rnc.$cmp_facebook,
                    rnc.$cmp_whatsapp,
                    rnc.$cmp_pagina_web,
                    rnc.$cmp_telefono,
                    rnc._fechaIns,
                    rnc.$cmp_correo,
                    rc.$cmp2_nombre,
                    rc.$cmp2_correo,
                    rc.$cmp2_telefono,
                    rc.$cmp2_creadodesde,
                    tcp.idCat,
                    tcp.titulo,
                    tcp.titulo categoria,
                    ofrt.cant_ofertas,
                    if(rnc.$cmp_estatus=1,'Activo','Inactivo') estatustxt,
                    if(rnc.$cmp_estatus=1,'text-success','text-warning') estatuscls

                FROM reg_negocio_contacto rnc
                    INNER JOIN registro_contacto rc
                        ON rnc.idContacto = rc.idContacto
                    LEFT JOIN tbl_cats_proveedores tcp
                        ON tcp.idCat = rnc.idCat
                    LEFT JOIN (
                            SELECT 
                                rcn.$cmp3_idnegocio,
                                COUNT(*) cant_ofertas
                                FROM {$this->_oDat->tabla_oferta} rcn
                            WHERE 1
                            GROUP BY rcn.$cmp3_idnegocio
                    ) ofrt
                        ON rnc.$cmp_idnegocio = ofrt.$cmp3_idnegocio

                    LEFT JOIN reg_sucursal_negocio rsn
                        ON rsn.idNegocio = rnc.idNegocio

                WHERE $where
                GROUP BY rnc.$cmp_idnegocio
                ORDER BY $ORDER
        ";

        loadRegsQr($this->_oDat->Link,$qr,$data,$xres);
        
        $regs=[];
        if($data){
            foreach ($data as $key => $reg) {
                foreach ($reg as $key2 => $value) {
                    if(is_numeric($key2))
                        unset($data[$key][$key2]);
                }
            }
            $regs = $data;
        }
        return $regs;
    }

    public function CustomFormateDate($_date, $with_hour = true)
    {
        if(!$_date) return false;

        $date = date_create($_date);
        $fecha = strftime("%A %d de %B del %G", strtotime($_date)); 

        $fecha_reg = ucwords($fecha);

        if($with_hour){
            $fecha_reg.= ", ".date_format($date, 'g:i:s A');
        }

        return $fecha_reg;
    }
	

	public function __construct($Link,$tipo="m",$mail=true)
    {
    	GLOBAL $_PROYDIR_DAT, $_PROYDIR_VENDOR, $_PROYDIR_PLANTILLAS;;

    	if($tipo=="m")
    	{
        	$this->Link=$Link;
        	$this->_tipobd=$tipo;
        }
        if($tipo=="l")
    	{
        	$this->LLink=$Link;
        	$this->_tipobd=$tipo;
        }
        if(!$this->_tipobd)	die("falta _tipobd");
        include_once($_PROYDIR_DAT."dat_proveedores.php");
        $this->_oDat = new dat_proveedores($Link,$tipo);

        if($mail){
            include_once($_PROYDIR_OBJ."obj_mailer.php");
            $this->mail = new obj_mailer($_PROYDIR_PLANTILLAS,"");
        }
    }
}