<p>Agradecemos su confianza en este momento tan importante en su vida.</p>
<p>Hemos recibido el pago en tu compra de anillo de compromiso, uno de nuestros profesionales se contactará con usted para explicarle los detalles.</p>

<table width="100%" style="margin-top: 20px;">
    <tr>
        <td width="136px" align="center">
            <img src="<?= $DATA_imagen; ?>" alt="" width="136px">
        </td>
        <td align="left" style="padding-left: 10px;">
            Total compra: <span style="color: #FF0000; font-weight: bold;">$<?= number_format($DATA_monto, 2)?> MXN</span><br>
            Costo de envío: <span style="color: #5AAAFF; font-weight: bold;">Gratis</span><br>
            Recíbelo en: <span style="color: #5AAAFF; font-weight: bold;">5 días</span>
        </td>
    </tr>
</table>

<h3 style="margin-bottom: 15px;">Productos comprados</h3>
<table width="100%" style="margin-top: 20px;">
<? foreach ($DATA_productos as $prod){ extract($prod); ?>

    <tr>
        <td width="136px" align="center">
            <img src="<?= imgArgollaCatalogo($prod); ?>" alt="" width="136px">
        </td>

        <td align="left" style="padding-left: 10px;">
            Precio: <span style="color: #FF0000; font-weight: bold;">$<?= $contado; ?> MXN</span><br>
            Sku: <span style="color: #5AAAFF; font-weight: bold;"><?= $sku; ?></span><br>
            Talla: <span style="color: #5AAAFF; font-weight: bold;"><?= $talla; ?></span><br>
        <? if($grabado){ ?>
            Grabado: <span style="color: #5AAAFF; font-weight: bold;"><?= $grabado; ?></span><br>
        <? } ?>
            Color: <span style="color: #5AAAFF; font-weight: bold;"><?= $color; ?></span><br>
            Descripción: <span style="color: #5AAAFF; font-weight: bold;"><?= $descripcion; ?></span>
        </td>
    </tr>
<? } ?>
</table>

<h3 style="margin-bottom: 15px;">Datos de contacto</h3>
<table width="100%" style="padding: 10px 10px; background-color: #f4f7f9; font-size: 12px;">
    <tr>
        <td>Costo de envio:</td>
        <td align="right"  style="word-break: break-word;">Gratis</td>
    </tr>
    <tr>
        <td>fecha de entrega:</td>
        <td align="right"  style="word-break: break-word;"><?= $DATA_fechaEntrega; ?></td>
    </tr>
    <tr>
        <td>Tipo de entrega</td>
        <td align="right" style="word-break: break-word;">
            <?= $DATA_tipo_envio==1?'Entrega a domicilio':'Recolección en sucursal'; ?>
        </td>
    </tr>
    <tr>
        <td>Persona que <?= $DATA_tipo_envio==1?'recibe':'recoje'; ?></td>
        <td align="right" style="word-break: break-word;"><?= $DATA_nombre; ?></td>
    </tr>
    <tr>
        <td>Contacto</td>
        <td align="right" style="word-break: break-word;"><?= $DATA_telefono; ?></td>
    </tr>
    <tr>
        <td>Mail de contacto</td>
        <td align="right" style="word-break: break-word;"><?= $DATA_correo; ?></td>
    </tr>
    <tr>
        <td>Lugar de <?= $DATA_tipo_envio==1?'entrega':'recolección'; ?></td>
        <td align="right" style="word-break: break-word;">
            <?= $DATA_calle; ?> 
            <?= $DATA_numero_ext?$DATA_numero_ext:'S/N'; ?> 
            <?= $DATA_numero_int?$DATA_numero_int:'S/N'; ?> 
            <?= $DATA_colonia; ?> 
            <?= $DATA_municipio; ?> 
            <?= $DATA_estado; ?> 
            <?= $DATA_cp; ?>
        </td>
    </tr>
</table>