function isNumeric(e)
{	
	return ( (e.which >= 48 && e.which <= 57) || e.which == 190);
}

function isPoint(e)
{	
	return ( e.which == 46 );
}

function hasPoint(e)
{
	return $(e).val().indexOf('.') > -1;
}

function keypressValidDecimalNumber(e,ev)
{
	var isNumer = isNumeric(ev) || isPoint(ev);

	if( isPoint(ev) && hasPoint(e) )
		return false;

	return  isNumer;
}

function eliminarDiacriticos(texto) {
    return texto.normalize('NFD').replace(/[\u0300-\u036f]/g,"");
}

function cadenaUrl( cadena ){
	var cad = eliminarDiacriticos( cadena ).toLowerCase();

	const regEx = new RegExp(' ', "g");
	cad = cad.replace(regEx , '-');

	const regEx2 = new RegExp('_', "g");
	cad = cad.replace(regEx2 , '-');
	return cad;
}

$(document).ready( ()=>{

	$('input.decimal-format').each(function(i, e){
		$(e).on('keypress',function(ev){
			return keypressValidDecimalNumber(this,ev);
		});
	});

	$('.url-format').each(function(i,e){
		$(e).keyup(function(){
			$(this).val( $.trim( cadenaUrl( $(this).val() ) ) );
		});
	});

	$('.text-uppercase').each(function(i,e){
		$(e).keyup(function(){
			$(this).val( $(this).val().toUpperCase() );
		});
	});

} );