<div class="pt-4 pt-lg-0">
    <form id="form-cotizar">

        <div class="prod-desc d-none d-md-block mb-4">
            <h1 class="h4"><b><?= $prod_nombre;?></b></h1>
        </div>

        <div class="prod-color mb-4" data-resumen-tit="Color">
            <h4>Color</h4>
            <div class="row justify-content-center">
            <? 
             foreach ($productos as $key => $xprod) {  
                extract($xprod,EXTR_PREFIX_ALL,"xprod"); 
                $nombre_color = $COLORES_PRODUCTO[$xprod_color];
                $r_color = strtolower($nombre_color);
                $id_color = "prod-input-cadena-color-$xprod_color";
             ?>

                <div class="col-4 px-1 mb-2">
                    <div class="d-flex justify-content-center">
                        <input type="radio" data-resumen="<?= $r_color; ?>" id="<?= $id_color; ?>" class="d-none prod-colors color-<?= $xprod_color;?>" <?= $xprod_es_principal?"checked":""; ?>  name="producto_color" onclick="creaImagenesProducto('<?= ev($xprod['idProd']); ?>');" value="<?= codVal($xprod['idProd']);  ?>">
                        <label class="box-colors" for="<?= $id_color;?>">
                            <div class="one-color <?= $COLORES_ESTILO[$xprod_color]; ?>"><?= $xprod_color==="T"?"<div class='middle'></div>":""; ?></div>
                            <div class="dec-color">
                                <div class="color-name"><?= $nombre_color; ?>
                                </div>
                            </div>
                        </label>
                    </div>
                </div>      
            <? } ?>
            </div>
        </div>

        <div class="prod-material mb-4" data-resumen-tit="Material">
            <h4>Material</h4>
            <div class="row">
                <? foreach($kilatajes as $ix0 => $kil){ ?>
                <div class="col-6 <?= $ix0? "pl-1" : "pr-1"; ?>">
                    <input data-resumen="Oro <?= $kil; ?>" class="d-none radio kil-<?= $kil; ?>" id="prod-input-kil-<?= $kil; ?>" type="radio" name="producto_material" value="<?= codVal($kil); ?>" data-prod-tallas="#talla-cadena-<?= $kil; ?>">
                    <label for="prod-input-kil-<?= $kil; ?>" class="btn btn-material w-100"><b>Oro de <?= $kil; ?>k</b></label>
                </div>
                <? } ?>
            </div>
        </div>

        <div class="prod-talla mb-4">
            <h4>Talla de cadena</h4>
            <div class="pl-sm-2 px-0">
                <h5>talla</h5>
                <? foreach($variables as $kil => $centimetros){ ?>
                    <div id="talla-cadena-<?= $kil; ?>" class="d-none">
                        <div class="dropdown-talla-cadena" data-resumen-tit="Talla cadena">
                            <div class="dropdown talla-cadena">
                              <button class="custom-select-mt dropdown-toggle" type="button" data-toggle="dropdown">
                                <label class="op-selected pull-left">Selecciona uno...</label>
                              </button>
                              <div class="dropdown-menu w-100" style="text-transform: unset !important; max-height: 305px; overflow-y: scroll;">
                                <? $ix1="first"; foreach($centimetros as $cm => $values){ ?>
                                    <label class="dropdown-item">
                                        <input id="prod-input-talla" class="d-none talla <?= $ix1; ?>" type="radio" name="producto_talla_<?= $kil; ?>" value="<?= codVal($cm); ?>">
                                        <span class="text-talla">
                                            <?= str_replace("cm", "", $cm); ?> cm
                                        </span>
                                    </label>
                                <? $ix1=""; } ?>
                              </div>
                            </div>
                        </div>
                    </div>
                <? } ?>
            </div>

            <!-- <div class="d-flex justify-content-end">
                <a class="text-primary pr-3 fs16  color-blue" data-toggle="modal" data-target="#modal-tabla-tamanio">
                    ¿Cómo saber la talla de mi anillo?
                </a>
            </div> -->
        </div>

        <? if(!$VIS_ADMIN){ ?>
        <div class="">
            <div class="vis-detalle-cotizado row"></div>
        </div>

        <div class="mt-4 d-block d-lg-none">

            <div class="prod-resumen">
                <h2 class="mb-3 h3">Resumen</h2>
                <div class="elements">
                    <div data-tit="SKU" class="resumen-item">
                        <label>SKU</label> <span><?= $prod_sku; ?></span>
                    </div>
                </div>
            </div>

        </div>

        <div class="mt-5 d-block d-lg-none">
            <? $this->include_component("../compra-incluye"); ?>
        </div>
        <? }else{ ?>
            <input type="hidden" name="visadmin" value="1">
        <? } ?>
        <input type="hidden" name="<?= ev("ACTION");?>" value="<?= codVal("COTIZAR_CADENA"); ?>">
    </form>
</div>