<style>
		input.pay-metod{
			display: none;    
		}
		input.pay-metod:checked ~ label, input.pay-metod ~ label:hover{
			box-shadow: 0px 0px 5px -1px #6C7C8D;
			opacity: 1;
		}
		input.pay-metod ~ label{
			border: 1px solid #6C7C8D;
		    padding: 1rem;
		    width: 100%;
		    display: flex;
		    justify-content: center;
		    align-items: center;
		    border-radius: 10px;
		    margin-bottom: 1.5rem;
		    color: #000;
			font-weight: 400;
			transition: 0.4s;
			height: 70px;
			opacity: 0.8;
		}
		button:disabled, input.pay-metod:disabled ~ label{
			opacity: 0.7;
		}
</style>
<main class="main-content">
	<div class="container mb-3">
		<div class="bg-white">
			<div class="row">

				<div class="col-12">
					<div class="row justify-content-center">
						<div class="col-sm-8 col-md-6 col-lg-5 text-center">
							<div class="my-5 color-dark">
								<p class="fs20 mb-0">Hola <?= $ped_nombre; ?></p>
								<p>Esta es una solicitud de cobro del ID de compra <a target="_blank" href="<?= $idcompra; ?>"  style="color: #007bff;"><?= $op_idPedido?></a> personalizado.</p>
							</div>

							<h5 class="text-left mb-3"><b>A pagar: $<?= $apagar; ?></b></h5>
						</div>
					</div>
				</div>

				<div class="col-12 mb-4">
					<div class="row justify-content-center">
						<div class="col-sm-8 col-md-6 col-lg-5">
							<?
								$esta_pagado = ($op_tipo==1 && $op_order_id && $op_idOper);
								$esta_cancelado = (isset($op_estatus_matrimony) && $op_estatus_matrimony==0);

							?>

							<? if($esta_pagado || $esta_cancelado){ ?>
								<? if($esta_cancelado){ ?>
									<h5>Esta solicitud de pago ha sido cancelada.</h5>
								<? }else{ ?>
									<h5>Esta solicitud de pago ya ha sido realizada.</h5>
								<? } ?>
							<? }else{ ?>
							<div class="form">
								<div>
									<input class="pay-metod" type="radio" name="metodo" id="tarjeta" value="<?= $METODO['tarjeta']; ?>">
									<label class="method-<?= $METODO['tarjeta']; ?> pay-button" for="tarjeta"  data-toggle="collapse" data-target="#pay-info" aria-expanded="false">
										<img class="d-none d-sm-block" width="50" src="<?= $_CONF_URL_PROYST; ?>/images/card-pay.png">
										<div class="ml-3 d-none d-sm-block">Tarjeta de credito o débito</div>

										<img class="d-block d-sm-none" width="40" src="<?= $_CONF_URL_PROYST; ?>/images/card-pay.png">
										<div class="ml-3 d-block d-sm-none fs12">Tarjeta de credito o débito</div>
									</label>

									<div class="collapse" id="pay-info">
										<form method="POST" id="card-form">
										  <span class="card-errors text-danger"></span>
										  <div>
										    <label>
										      <b class="text-dark">Nombre del tarjetahabiente</b>
										      <input type="text" size="20" name="<?= ev("name"); ?>" class="iname input-mt-1 text-uppercase" data-conekta="card[name]" value="<?= $dc_name; ?>">
										    </label>
										  </div>
										  <div>
										    <label>
										      <b class="text-dark">Número de tarjeta de crédito o débito</b>
										      <input type="text" onkeypress="return isNumeric(event);" size="20" name="<?= ev("card"); ?>" class="icard input-mt-1" data-conekta="card[number]" value="<?= $dc_card; ?>">
										    </label>
										  </div>
										  <div>
										    <label>
										      <b class="text-dark">CVC</b>
										      <input type="text" size="4" class="icvs input-mt-1" onkeypress="return isNumeric(event);" name="<?= ev("cvc"); ?>" data-conekta="card[cvc]" value="">
										    </label>
										  </div>
										  <div class="mb-3">
										    <label>
										      <b class="text-dark">Fecha de expiración (MM/AAAA)</b>
										    </label>
										    <div class="row">
										    	<div class="col-lg-7">
										    		<div class="d-flex justify-content-center">
												    <input type="text" size="2" class="imonth input-mt-1" data-conekta="card[exp_month]" onkeypress="return isNumeric(event);" name="<?= ev("month"); ?>" maxlength="2">
												    <span class="fs18 mx-1">/</span>
												    <input type="text" size="4" maxlength="4" class="iyear input-mt-1" onkeypress="return isNumeric(event);" data-conekta="card[exp_year]" name="<?= ev("year"); ?>">
												</div>
										    	</div>
										    </div>
										  </div>
										  
										</form>
									</div>
								</div>

								<div>
									<input class="pay-metod" type="radio" name="metodo" id="transferencia" value="<?= $METODO['transferencia']?>">
									<label for="transferencia" class="method-<?= $METODO['transferencia']; ?> pay-button">
										<img class="d-none d-sm-block" width="50" src="<?= $_CONF_URL_PROYST; ?>/images/transfer-pay.png">
										<div class="ml-3 d-none d-sm-block">Transferencia interbancaria</div>

										<img class="d-block d-sm-none" width="40" src="<?= $_CONF_URL_PROYST; ?>/images/transfer-pay.png">
										<div class="ml-3 d-block d-sm-none fs12">Transferencia interbancaria</div>
									</label>
								</div>

								<div class="pb-3 my-4 text-center">
									<button type="button" id="continue-button" disabled class="btn-mt-dark fs18">Continuar</button>
									<span id="resp" class="text-danger"></span>
								</div>

							</div>
							<? } ?>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>
</main>

<script type="text/javascript" src="https://cdn.conekta.io/js/latest/conekta.js"></script>
<script type="text/javascript">
  var on_submit = false;
  Conekta.setPublicKey('<?= $_CONEKTA_PUBLIC_KEY_DEMO; ?>');


  var conektaSuccessResponseHandler = function(token) {
  	//console.log(token);
    var $form = $("#card-form");
    //Inserta el token_id en la forma para que se envíe al servidor
    $form.find('#conektaTokenId').remove();
    $form.append($('<input type="hidden" name="<?= ev("conektaTokenId"); ?>" id="conektaTokenId">').val(token.id));     
     var dataForm = {};
	$form.serializeArray().map(function(x){dataForm[x.name] = x.value;});
     var data = {
     	...getData(),...dataForm
     }

     setPayMethod(data);
  };
  var conektaErrorResponseHandler = function(response) {
    var $form = $("#card-form");
    $form.find(".card-errors").text(response.message_to_purchaser);
    $('input,button').attr('disabled',false);
    on_submit = false;
  };


  //jQuery para que genere el token después de dar click en submit
  $(function () {
    $("#card-form").submit(function(event) {
    	event.preventDefault();
    	if(!on_submit){
    		on_submit = true;
    		var $form = $(this);
    		$('button').attr('disabled',true);
	      Conekta.Token.create($form, conektaSuccessResponseHandler, conektaErrorResponseHandler);
	      return false;
    	}
    });
  });

 function setPayMethod(xdata){
 	$('input,button').attr('disabled',true);

	$.post('<?= $_URLPOST; ?>',xdata,function(data){
		on_submit = false;
		let r = data.split('--codevalidatemethod--')[1];
	    let json = JSON.parse(r);

	    console.log(json);

	    $('input,button').attr('disabled',false);

	    if(json.error==0){
	    	$('input,button').attr('disabled',true);
	    	//gtag('event', 'send', {'event_category': 'COMPRA','event_label': json.event_label,'value': json.gtag_value });
	    	window.location=json.link;
	   	}

	    if(json.error==1){
	    	$('#resp').text(json.msg);
	   	}
	   	if(json.link_prev!=null){
	   		$('#continue-button').text('Regresar').click(function(){
	   			window.location=json.link_prev;
	   		});
	   	}

	});

}
function getData(){
	var method_pay = $('input[name=metodo]:checked').val();
	return {metodo:method_pay,<?= ev("ACTION"); ?>:'<?= codVal("ADDPAYMETHOD"); ?>'};
}
	
$(document).ready(function() {

	$('.pay-button').click(function(){$('#continue-button').attr('disabled',false)});
	$('#transferencia').click(function(){$('#pay-info').collapse('hide');});

	$('#continue-button').click(function(){
		$("#card-form").find(".card-errors").text('');
		$('#resp').text('');
		var data = getData();
		//console.log(data.method);

		if(data.metodo==1){
			$("#card-form").submit();
		}
		if(data.metodo==2){
			setPayMethod(data);
		}
	});


    <? if($ses_method_pay){ ?>
    	$('.method-<?= $ses_method_pay; ?>').click();
    <? } ?>
});
</script>