<link href="<?=$_CONF_URL_PROYST;?>css/personaliza.css" rel="stylesheet">

<main class="main-content">
	<div class="container mb-4">
			
		<div class="row justify-content-center">
			<div class="col-sm-12 col-md-9 col-lg-7 col-xl-6">
				<form id="form-contacto">

					<h4 class="mb-4 my-md-4 text-center fs24">Contacto</h4>
					
		            <div class="form-group">
		                <input type="text" class="contacto-info" name="<?= ev("nombre"); ?>" placeholder="Nombre de la persona de contacto..." value="" required="">
		            </div>
		        
		            <div class="form-group position-relative">
		                <input id="contact-email" type="email" class="contacto-info" name="<?= ev("email"); ?>" placeholder="Email..." value="" required="">
		                <span class="contact-error"></span>
		            </div>
		        
		            <div class="form-group">
		                <input type="text" class="contacto-info" onkeypress="return IsNumeric(event);" ondrop="return false;" maxlength="10" onpaste="return false;" name="<?= ev("telefono"); ?>" placeholder="Teléfono celular..." value="" required>
		            </div>

		            <div class="form-group">
		                <textarea style="height: unset !important;" class="contacto-info" name="<?= ev("mensaje"); ?>" id="mensaje" placeholder="Mensaje" rows="5" required=""></textarea>
		            </div>

		            <div class="form-group">
		            	<button onclick="enviar();" class="btn-enviar btn-mt-dark mt-3" type="button">Enviar</button>
		            </div>

		            <input type="hidden" name="<?= ev("ACTION"); ?>" id="<?= ev("ACTION"); ?>" value="<?= codVal("CONTACTAR"); ?>">

		        </form>

			</div>

			<div class="col-12"></div>

			<div class="col-sm-12 col-md-9 col-lg-7 col-xl-6">

				<h4 class="py-4 text-center fs24">Show Room</h4>

                <div class="mapouter">
                    <div class="gmap_canvas">
                        <iframe width="100%" height="600" id="gmap_canvas" src="https://maps.google.com/maps?q=av%20francisco%20i.%20madero%2054%20CDMX&t=&z=17&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0">
                        </iframe>

                    </div>
                </div>
            </div>

		</div>	

	</div>

	<!-- cita and showrrom -->
  <div class="cita-and-showrrom mb-4">
    <? include_once($_PROYDIR_VIS."mod_cita_showroom.php"); ?>
  </div>
    

  <? include_once($_PROYDIR_VIS."mod_info_pie.php"); ?>
</main>

<div class="modal modal-errores" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">¡No se envió mensaje!</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
        </ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn-matrimony rounded" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<div class="modal modal-mail-ok" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">¡Mensaje enviado!</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="mail-msg"></div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn-matrimony rounded" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<script>

var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}

function enviar()
{
	let lista_errors = $('.modal-errores .list-group');
	lista_errors.html('');

	$('.btn-enviar').attr('disabled',true);
	$('.btn-enviar').text('Enviando mail...');

	$.post('<?= $_URLBASE; ?>ac-contactanos-anillos-compromiso-argollas-boda.html',
		$('#form-contacto').serialize(),
		function(data){
			$('.btn-enviar').attr('disabled',false);
			$('.btn-enviar').text('Enviar');

			let r = data.split('--codecontacto--')[1];
            let json = JSON.parse(r);

            if(json.error==0)
            {
            	$('.mail-msg').text(json.msg);
           		$('.modal-mail-ok').modal('show');
           	}
           	else
           	{
           		let errores = json.errores;
        		let campos = Object.keys(errores);

        		for(var i = 0; i< campos.length; i++){
        			$('<li>',{class:'list-group-item text-danger',text:errores[campos[i]]})
        			.appendTo(lista_errors);
        		}
           		$('.modal-errores').modal('show');
           	}
		});
}
</script>