<main class="main-content">
	<div class="container px-0 px-sm-3">
		<div class="row justify-content-center">
			<div class="col-lg-7 col-sm-10">

				<div class="my-4 my-sm-5">
					<label 
						for="input-marca-img" 
						class="img-marca-proveedor banner-marca <?= $class_banner; ?>" 
						<?= $style_banner; ?> 
						data-type="<?= $images[0]; ?>">
						<div class="image-ico">+</div>
					</label>
					<div class="position-relative">
						<label 
							for="input-marca-img" 
							class="img-marca-proveedor img-marca <?= $class_logo; ?>" 
							<?= $style_logo; ?>
							data-type="<?= $images[1]; ?>">
							<div class="image-ico">+</div>
						</label>
					</div>

				</div>

				<h5 class="txt-marca">
					<div id="plane-text">
						<b id="nombre-marca"><?= $neg_nombre_negocio; ;?></b>
						<small id="edita-nombre" class="color-blue mt-1">&nbsp;Editar</small>
					</div>
					<div id="edit-text" class="d-none justify-content-center align-items-center px-3 px-sm-0">
						<div class="col-md-6 mb-3 mb-md-0">
							<input id="nom-cmp" type="text" class="form-control" value="<?= $neg_nombre_negocio; ;?>">
						</div>
						<div class="col-md-3 col-sm-6 mb-3 mb-sm-0">
							<button id="btn-cancel" class="btn-matrimony btn-block">Cancelar</button>
						</div>
						<div class="col-md-3 col-sm-6">
							<button id="btn-save" class="btn-mt-dark">Guardar</button>
						</div>
					</div>
				</h5>

				<? 
					$icons_social=["instagram"=>"25","facebook"=>"25","whatsapp-2"=>"25","cursor"=>"17"];
				?>

				<div class="row justify-content-center mb-5">
					<? foreach($icons_social as $icon => $w){ ?>
						<a href="#" data-toggle="modal" data-target=".modal-contacto">
							<img src="<?= $_URLST; ?>images/mat9/<?= $icon; ?>.svg" class="mx-3" width="<?= $w; ?>">
						</a>
					<? } ?>

					<a href="#" data-toggle="modal" data-target=".modal-lista-sucursales">
						<img src="<?= $_URLST; ?>images/mat9/marcador-de-posicion.svg" class="mx-3" width="18">
					</a>

					<a href="#" data-toggle="modal" data-target=".modal-telefonos">
						<img src="<?= $_URLST; ?>images/mat9/llamada-telefonica.svg" class="mx-3" width="22">
					</a>
				</div>

				<div class="col px-4 px-sm-3">

					<div class="row justify-content-end mb-3">
						
						<h6 class="w-100"><b>URL e identificador</b></h6>
						<div class="input-group">
						  <input id="tienda-alias" type="text" class="input-mt-1 for-prod-title url-mirror forcemirror" data-max-type="70" data-nomirror=".for-url-producto" data-mirror=".for-url-producto" value="<?= $neg_alias; ?>">
						</div>

						<div class="input-group">
							<div class="div-url">
							  	<small class="text-primary">
							  		<?= $_URLBASE."proveedores/"; ?><span id="tienda-alias-url" data-format="url" class="url-format for-url-producto for-prod-title"><?= $neg_alias_url; ?></span>
							  	</small>
							 </div>
						</div>
						<button id="btn-save-alias" class="btn-matrimony py-0">Guardar</button>
					</div>


					<div class="row mb-4 ">
						<h6 class="w-100"><b>Categoría</b></h6>
						
						<div class="bg-transparent custom-select-mt p-0 dropdown-cats" data-toggle="dropdown">
							<h6 class="w-100">
								 <span id="current-cat" class="text-dark"><?= $neg_categoria; ?> </span>
								 <a href="javascript:" class="text-primary">Editar</a>
							</h6>
						</div>
						<div class="dropdown-menu" style="min-width:320px">
							<div class="row">
								<? foreach($categorias as $i => $cat){ ?>
								<div class="col-6" title="Clic para cambiar categoría">
									<a data-cat-prov="<?= $cat['idCat']; ?>" class="cat-proveedor dropdown-item mb-0 py-2 <?= $neg_idCat == $cat['idCat'] ? "active" : ""; ?>">
										<img src="<?= $_URLST; ?>images/mat9/cats/<?= $cat['icono']; ?>.svg" class="img-fluid" width="20"> <?= $cat['titulo']; ?>
									</a>
								</div>
								<? } ?>
							</div>
						</div>
					</div>

					<div class="row justify-content-center justify-content-md-end">
						<h6 class="w-100"><b>Descripción</b></h6>
						<textarea id="desc-marca" rows="6" class="form-control textarea-desc mb-2" placeholder="Escribe la descripción de tu negocio aquí."><?= $neg_descripcion; ?></textarea>
						<button id="btn-save-desc" class="btn-matrimony py-0">Guardar</button>
					</div>

					<di class="row mt-3 mb-4">
						<!-- <h6 class="m-0 w-100 text-right text-matrimony-primary"><b>Ver más</b></h6> -->
					</di>

					<div class="row justify-content-center mb-5">

						<div class="nueva-oferta mb-4" data-toggle="modal" data-target=".modal-nueva-oferta">
							Nueva oferta
						</div>

					<? 
					if($ofertas){ 
						$ico[1] = "tag";
						$ico[2] = "regalo";
						foreach($ofertas as $oferta){
						?>

						<div class="cupon mb-4">
							<span title="Eliminar oferta" class="delete" data-ofrdelete="<?= codVal($oferta['idCupon']); ?>"></span>
							<div class="col">
								<img src="<?= $_URLST; ?>images/mat9/<?= $ico[$oferta['idTipoOferta']]; ?>.svg" width="45">
							</div>
							<div class="w-100">
								<h6><b><?= $oferta['titulo']; ?></b></h6>
								<p class="lh-1-3em m-0 text-dark">
									<?= $oferta['descripcion']; ?>
								</p>

								<div class="w-75">
									<button class="btn-cupon my-3"><?= $oferta['cupon'] ?></button>
									<p class="lh-1-3em text-matrimony-primary fs12 text-center m-0">
										No olvides presentar tu cupón cuando contactes al proveedor.
									</p>
								</div>
							</div>
						</div>

							<? } 
						} ?>

					</div>
				</div>
				
			</div>
		</div>

	</div>

	<? $oVis->include_component("modales-crea-marca"); ?>

	<form id="form-img-marca">
		<input id="input-marca-img" class="d-none" type="file" name="img_marca[]" accept="image/jpg, image/jpeg, image/png" (change)="getFile($event)" onchange="sendImg(this)">
		<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
		<input type="hidden" name="<?= $action_post; ?>" value="<?= $action_img; ?>">
	</form>

	<script>

		var _URL = window.URL || window.webkitURL;
		function sendImg(img){

			const bytesToMegaBytes = bytes => bytes / (1024 ** 2);

			var file, img;
		    if ((file = img.files[0])) {
		        img = new Image();
		        var objectUrl = _URL.createObjectURL(file);
		        img.onload = function () {
		            if(this.width > 2000 ||  this.height > 2000){
		            	alert('Las dimenciones del archivo deben ser menor a 2000px');
		            }else if(bytesToMegaBytes(file.size) > 2){
		            	alert('El archivo no puede ser mayor a 2MB');
		            }else{
		            	$('#form-img-marca').submit();	
		            }
		            
		            _URL.revokeObjectURL(objectUrl);
		        };
		        img.src = objectUrl;
		    }
		}

		$(document).ready(function(){

			setTimeout(()=>{
				$('.dropdown-cats').click();
			},1000)

			$('#edita-nombre').click(function(){
				$('#edit-text').removeClass('d-none').addClass('row');
				$('#plane-text').addClass('d-none');
			});

			$('#btn-cancel').click(function(){
				$('#plane-text').removeClass('d-none');
				$('#edit-text').removeClass('row').addClass('d-none');
			});

			$('[data-sdelete]').each(function(i,e){
				$(e).click(function(){
					const coupon = $(this).parent();
					const sucursal = $(this).data('sdelete');

					coupon.addClass('deleting');

					const afterDelete = (resp) => {
						coupon.removeClass('deleting');
						if(!resp.error){
							coupon.addClass('deleted');
							setTimeout(() => {
								coupon.remove()	
							},600)
						}
					}
					updateCmp('<?= codVal("ELIMINASUCUR"); ?>',sucursal,afterDelete,false);
				})
			})

			$('[data-tdelete]').each(function(i,e){
				$(e).click(function(){
					const coupon = $(this).parent();
					const telefono = $(this).data('tdelete');

					coupon.addClass('deleting');

					const afterDelete = (resp) => {
						coupon.removeClass('deleting');
						if(!resp.error){
							coupon.addClass('deleted');
							window.location='<?= $oVis->url(); ?>?V=TEL'
						}
					}
					updateCmp(telefono,'',afterDelete, false)
				})
			})

			$('#btn-save').click(function(){
				const value = $('#nom-cmp').val();
				const event = (resp) =>{
					$('#btn-cancel').click();

					if(!resp.error)
						$('#nombre-marca').text(value);
				}
				$('.modal-campo-update').modal('show');
				$('#resp-campo-update').text('Actualizando...');
				updateCmp('<?= $nombre_negocio; ?>',value,event)
			});

			$('[data-cat-prov]').each(function(i,e){
				$(e).click(function(){					
					const el = $(this);
					const ecat = $('#current-cat');
					const cat = $.trim(el.data('cat-prov'));
					const beforeText = ecat.text();
					const nextText = el.text();

					ecat.text('Actualizando...');

					const afterChange = (resp) => {
						if(!resp.error){
							$('.cat-proveedor').removeClass('active');
							el.addClass('active');
							ecat.html(nextText)
						}else{
							ecat.html(beforeText)
						}
					}
					updateCmp('<?= $idCat; ?>',cat,afterChange,false);
				});
			});

			$('#btn-save-alias').click(function(){
				const value = $.trim($('#tienda-alias').val());
				const value2 = $.trim($('#tienda-alias-url').text());

				if(!value2 || !value) return false; 

				$('.modal-campo-update').modal('show');
				$('#resp-campo-update').text('Actualizando...');

				const afterUpdate = (resp) => {
					if(!resp.error){
						updateCmp('<?= $alias; ?>',value)		
					}
				}
				updateCmp('<?= $alias_url; ?>',value2,afterUpdate)
			});

			$('#btn-save-desc').click(function(){
				const value = $('#desc-marca').val();
				$('.modal-campo-update').modal('show');
				$('#resp-campo-update').text('Actualizando...');
				updateCmp('<?= $descripcion; ?>',value)
			});

			$('[data-ofrdelete]').each(function(i,e){
				$(e).click(function(){
					const cupon = $(this).parent();
					const oferta = $(this).data('ofrdelete');

					cupon.addClass('deleting');

					const afterDelete = (resp) => {
						cupon.removeClass('deleting');
						if(!resp.error){
							cupon.addClass('deleted');
							setTimeout(() => {
								cupon.remove()	
							},600)
						}
					}
					updateCmp('<?= codVal("ELIMINAOFERTA"); ?>',oferta,afterDelete,false);
				})
			})

			$('#input-new-phone').on('keypress',function(event){
				return isNumeric(event);
			});

			$('#btn-new-phone').click(function(){
				const value = $('#input-new-phone').val();
				const tel = $(this).data('newtel');
				const tam = [...value];
				if(!value || tam.length != 10) return false;
				$('#btn-new-phone').text('Guardando...');
				const afterSavePhone = (resp) =>{
					$('#btn-new-phone').text('Guardar');
					$('#input-new-phone,#btn-new-phone').attr('disabled',false);
					if(!resp.error){
						window.location='<?= $oVis->url(); ?>?V=TEL'
					}
				}
				$('#input-new-phone,#btn-new-phone').attr('disabled',true);
				updateCmp(tel,value,afterSavePhone,false);
			});

			<? if($_GET['V']=="SUC"){ ?>
				$('.modal-lista-sucursales').modal('show');
				window.history.pushState("", "", '<?= $oVis->url(); ?>');
			<? } ?>

			<? if($_GET['V']=="TEL"){ ?>
				$('.modal-telefonos').modal('show');
				window.history.pushState("", "", '<?= $oVis->url(); ?>');
			<? } ?>

			$('#btn-nueva-sucursal').click(function(){
				$('.modal-lista-sucursales').modal('hide');
				setTimeout(function(){
					$('.modal-nueva-sucursal').modal('show');
				},500);
			})

			$('.img-marca-proveedor').each(function(i,e){
				$(e).click(function(){
					$('#type-img').remove()
					$('<input>',{id:'type-img', name:'type_img', type:'hidden', value:$(e).data('type')}).appendTo('#form-img-marca')

					$('.img-clicked').removeClass('img-clicked');
					$(e).addClass('img-clicked');
				})
			});



			$('#form-img-marca').on('submit', function(event) {
			      event.preventDefault();

			      var formData = new FormData($(this)[0]);
			      $('.img-clicked').addClass('loading');
			      var progress = $('.img-clicked').find('.image-ico');
			      progress.text('0%');
			      $.ajax({
			          xhr : function() {
			              var xhr = new window.XMLHttpRequest();
			              xhr.upload.addEventListener('progress', function(e) {
			                  if (e.lengthComputable) {
			                      var percent = Math.round((e.loaded / e.total) * 100);
			                      if(percent < 100)
			                          progress.text(percent+'%');
			                      else
			                          progress.text('...');
			                  }

			              });
			              return xhr;
			          },
			          type : 'POST',
			          url : '<?= $oVis->url(); ?>',
			          data : formData,
			          processData : false,
			          contentType : false,
			          success : function(data) {
			          	$('.img-clicked').removeClass('img-clicked loading');
			          	progress.text('+');
			          	console.log(data)
			          	var json = null;

			          	try{
			          		json = JSON.parse(data);
			          	}catch(error){
			          		console.log('error');
			          	}

			          	console.log('json',json);

			          	if(json!=null){
			          		if(!json.error){
				          		$(json.element).addClass('image-set');
				          		$(json.element).css({'background-image':`url(${json.url_file})`});
				          	}else{
				          		alert('Ocurrio un problema.');
				          	}
			          	}else{
			          		alert('Ocurrio un problema');
			          	}

			          },//success : function(data)
			          error: function (jqXhr, textStatus, errorMessage) { // error callback 
			          	$('.img-clicked').removeClass('img-clicked loading');
			           	progress.text('+');
			            console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
					  }
			      });
			  });

			$('#form-contacto-social').on('submit', function(event){
		        event.preventDefault();
		        var error_class = 'border border-danger';
		        var formData = new FormData($(this)[0]);

		        $('.span-error').remove()
		        var btnsave = $('#btn-guarda-contacto');

		        btnsave.text('Guardando...');
		        btnsave.attr('disabled',true)
		        $('.input-val').removeClass(error_class);
		        
		        $.ajax({
		            type : 'POST',
		            url : '<?= $oVis->url(); ?>',
		            data : formData,
		            dataType: 'json',
		            processData : false,
		            contentType : false,
		            success : function(data){
		            	btnsave.attr('disabled',false)
		            	btnsave.text('Guardar');
		            	//$('#resend-mail').remove();
		            	console.log(data)
		            	//$('#title_resp').text(data.resp)
		            	//$('#msg_resp').html(data.msg)
		            	//btnmodal.text(data.btn)

		            	switch(data.error){
		            		case 0:
		            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo('#form-contacto-social')
		            		break;

		            		case 1:
		            			if(data.errores!=null){
		            				for(var error in data.errores) {
									   var input = $('#form-contacto-social').find('[name="'+error+'"]');
									   input.attr('title',data.errores[error]).parent().addClass(error_class);
									   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent().parent())
									}
		            			}
		            		break;

		            		case 2:
		            			$('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo('#form-contacto-social')
		            		break;
		            	}
		            },
		             error: function (jqXhr, textStatus, errorMessage) { // error callback 
		             	btnsave.attr('disabled',false)
		             	btnsave.text('Guardar');
		             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
				        alert('Ocurrió un error al guardar los datos.');
				    }
		        });

		    });

		    $('#form-sucursal').on('submit', function(event){
		        event.preventDefault();
		        var error_class = 'border border-danger';
		        var formData = new FormData($(this)[0]);

		        $('.span-error').remove()
		        var btnsave = $('#btn-guarda-sucursal');

		        btnsave.text('Guardando...');
		        btnsave.attr('disabled',true)
		        $('.input-val-s').removeClass(error_class);
		        
		        $.ajax({
		            type : 'POST',
		            url : '<?= $oVis->url(); ?>',
		            data : formData,
		            dataType: 'json',
		            processData : false,
		            contentType : false,
		            success : function(data){
		            	btnsave.attr('disabled',false)
		            	btnsave.text('Guardar');
		            	console.log(data)

		            	switch(data.error){
		            		case 0:
		            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo('#form-sucursal')
		            			window.location='<?= $oVis->url(); ?>?V=SUC';
		            		break;

		            		case 1:
		            			if(data.errores!=null){
		            				for(var error in data.errores) {
									   var input = $('#form-sucursal').find('[name="'+error+'"]');
									   input.attr('title',data.errores[error]).addClass(error_class);
									   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent().parent())
									}
		            			}
		            		break;

		            		case 2:
		            			$('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo('#form-sucursal')
		            		break;
		            	}
		            },
		             error: function (jqXhr, textStatus, errorMessage) { // error callback 
		             	btnsave.attr('disabled',false)
		             	btnsave.text('Guardar');
		             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
				        alert('Ocurrió un error al guardar los datos.');
				    }
		        });

		    });

		    $('#form-oferta').on('submit', function(event){
		        event.preventDefault();
		        var error_class = 'border border-danger';
		        var formData = new FormData($(this)[0]);

		        $('.span-error').remove()
		        var btnsave = $('#btn-guarda-oferta');

		        btnsave.text('Guardando...');
		        btnsave.attr('disabled',true)
		        $('.input-val-ofr').removeClass(error_class);
		        
		        $.ajax({
		            type : 'POST',
		            url : '<?= $oVis->url(); ?>',
		            data : formData,
		            dataType: 'json',
		            processData : false,
		            contentType : false,
		            success : function(data){
		            	btnsave.attr('disabled',false)
		            	btnsave.text('Guardar');
		            	console.log(data)

		            	switch(data.error){
		            		case 0:
		            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo('#form-oferta')
		            			window.location='<?= $oVis->url(); ?>';
		            		break;

		            		case 1:
		            			if(data.errores!=null){
		            				for(var error in data.errores) {
									   var input = $('#form-oferta').find('[name="'+error+'"]');
									   input.attr('title',data.errores[error]).addClass(error_class);
									   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent().parent())
									}
		            			}
		            		break;

		            		case 2:
		            			$('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo('#form-oferta')
		            		break;
		            	}
		            },
		             error: function (jqXhr, textStatus, errorMessage) { // error callback 
		             	btnsave.attr('disabled',false)
		             	btnsave.text('Guardar');
		             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
				        alert('Ocurrió un error al guardar los datos.');
				    }
		        });

		    });

			$('.t-oferta').each(function(i,e){
				$(e).click(function(){
					$('#oferta-selected').text($(e).text());
					$('.t-oferta.active').removeClass('active');
					$(this).addClass('active');
				});
			});
		});

		function updateCmp(cmp,value, event = (resp)=>{}, showModal = true){
				$.post('<?= $oVis->url(); ?>',{
					<?= $tokenForm; ?>:'<?= $_SESSION['tokenForm']; ?>',
					<?= $action_post; ?>:'<?= $update_cmp; ?>',
					[cmp]:value,
					cmp:cmp
				},function(data){
					var json = {error:100};
					try{
						json = JSON.parse(data);
					}catch(error){
						console.log(error)
					}

					event(json);
					if(showModal){
						$('.modal-campo-update').modal('show');
						$('#resp-campo-update').text(json.msg);
					}

					if(json.error == 100){
						alert('Ocurrió un error.');
					}

					console.log('json',json)
				});
			}
	
		var baseInfo = {
			ciudad: "",
			estado: "",
			municipio: ""
		}

		function getCpData(e){
			const cp = e.value;
			setInfoCol(baseInfo);
			$('.op-default').text('Buscando...');
			$('.colonias .op-colonia').remove();
			$.post('<?= $oVis->url; ?>',{
				<?= $tokenForm; ?>:'<?= $_SESSION['tokenForm']; ?>',
				<?= $action_post; ?>:'<?= $get_cp; ?>',
				cp:cp
			},function(data){
				var json = null;
				try{
					json = JSON.parse(data);
				}catch(error){
					console.log(error)
				}

				if(json!=null){

					if(!json.error){
						$('.op-default').text('Selecciona una opción');

						var campos = json.datacp.infocp;
						setInfoCol(campos)

						var colonias = json.datacp.colonias;
						for(id in colonias){
							$('<option>',{class:'op-colonia',text:colonias[id], value:colonias[id]}).appendTo('.colonias')
						}


					}else{
						$('.op-default').text(json.msg);
					}
				}

				console.log('json',json)
			});
		}

		function setInfoCol(data){
			$('.ciudad').val(data.ciudad);
			$('.delegacion').val(data.municipio);
			$('.estado').val(data.estado);
		}

	</script>

	<? include_once($_PROYDIR_VIS."mod_info_pie.php"); ?>
</main>