<link href="<?=$_CONF_URL_PROYST;?>css/personaliza.css" rel="stylesheet">
<link href="<?=$_CONF_URL_PROYST;?>css/carousel_galeria.css" rel="stylesheet">
<style type="text/css">
	.btn-mt-gray{
		background-color: #6C7C8D !important;
		color: #FFFFFF !important;
		border:none;
	}

	.caracteristicas-argolla
	{
		background-color: #fafafa;
		padding: 1.5rem;
		color:#46495c;
		font-size: 18px;
	}

	.flex_between{
		display: flex;
		justify-content: space-between;
	}
</style>
<main class="main-content">
	<div class="container mb-5">
			
		<div class="row justify-content-center">
			<div class="col-sm-12 col-md-9 col-lg-6">
				<form id="form-pedido">

					<h4 class="my-4 text-center">Datos de contacto</h4>
					
		            <div class="form-group">
		                <input type="text" class="contacto-info" name="nombre" placeholder="Nombre de la persona de contacto..." value="" required="">
		            </div>
		        
		            <div class="form-group position-relative">
		                <input id="contact-email" type="email" class="contacto-info" name="email" placeholder="Email..." value="" required="">
		                <span class="contact-error"></span>
		            </div>
		        
		            <div class="form-group">
		                <input type="text" class="contacto-info" onkeypress="return IsNumeric(event);" ondrop="return false;" maxlength="10" onpaste="return false;" name="telefono" placeholder="Teléfono celular..." value="" required="">
		            </div>

		            <div class="form-group">
		            	<button onclick="terminarCompra();" class="btn-end-step btn-mt-dark mt-3" type="button">Continuar comprando</button>
		            </div>

		            <input type="hidden" name="<?= ev("ACTION"); ?>" id="<?= ev("ACTION"); ?>" value="<?= codVal("GENERAPEDIDO"); ?>">

		        </form>

			</div>

			<div class="col-11 col-md-9 col-lg-7">
				<div id="carousel-anillo" class="carousel slide" data-ride="carousel">
					<? if($make_carousel){ ?>
					  <ol class="carousel-indicators">
					  	<? foreach($modelo_galerias as $i => $xvalue){ ?>
					    <li data-target="#carousel-anillo" data-slide-to="<?= $i; ?>" class="<?= !$i?'active':''; ?>"></li>
						<? } ?>
					  </ol>
					 <? } ?>

					  <div class="carousel-inner">
					  	<? foreach($modelo_galerias as $i => $galeria){ ?>
					    <div class="carousel-item <?= !$i?'active':''; ?>">
					      <img class="d-block w-100" src="<?= imgAnilloGaleria($galeria['imagen']); ?>">
					    </div>
						<? } ?>
					  </div>

					  <? if($make_carousel){ ?>
					  <a class="carousel-control-prev" href="#carousel-anillo" role="button" data-slide="prev">
					    <i class="fa fa-chevron-left" aria-hidden="true"></i>
					  </a>
					  <a class="carousel-control-next" href="#carousel-anillo" role="button" data-slide="next">
					    <i class="fa fa-chevron-right" aria-hidden="true"></i>
					  </a>
					  <? } ?>

					</div>
			</div>

			<div class="col-12 col-lg-9">
				<div class="caracteristicas-argolla" >
		            <h4>Características</h4>
		            <div class="flex_between">
		                <h5 class="mb-0">Modelo</h5>
		                <span><?= $modelo_nombre;?></span>
		            </div>

		            <div class="flex_between">
		                <h5 class="mb-0">SKU</h5>
		                <span><?= $modelo_sku; ?></span>
		            </div>

		            <div class="flex_between">
		                <h5 class="mb-0">Material</h5>
		                <span><?= $modelo_material; ?></span>
		            </div>

		            <div class="flex_between">
		                <h5 class="mb-0">Color</h5>
		                <span><?= $modelo_material_color; ?></span>
		            </div>

		            <div class="flex_between">
		                <h5 class="mb-0">Diamante principal</h5>
		                <span><?= $modelo_diamante_tam; ?>q</span>
		            </div>

		        </div>
			</div>

		</div>	

	</div>

	<div class="row mt-4">

        <!-- cita and showrrom -->
        <div class="col-12 col-sm-6 pr-0">
            <img class="w-100" src="<?= $_URLST; ?>images/home/cita.jpg">

            <div class="box_cita">
                <div class="row justify-content-center">

                    <div class="col-12">
                        <h2 class="d-none d-md-block">Citas a domicilio</h2>
                        <h3 class="d-block d-md-none">Citas a domicilio</h3>
                    </div>

                    <div class="col-7 col-sm-11 col-xl-9">
                        <p class="d-none d-md-block fs-20p color-dark lh-1-3em">Agenda una cita y recibe una visita de uno de nuestros asesores desde la comodidad de tu casa u oficina.</p>

                        <p class="d-block d-md-none fs-18p color-dark lh-1-3em">Agenda una cita y recibe una visita de uno de nuestros asesores desde la comodidad de tu casa u oficina.</p>

                    </div>

                    <div class="col-12"></div>

                    <div class="col-5 col-sm-7 col-lg-4">
                        <a href="<?= $_URLBASE; ?>ac-agendar-cita-anillo-de-compromiso.html">
                            <button class="btn-matrimony w-100 fs-18p">
                                <span>Agendar cita</span>
                            </button>
                        </a>
                    </div>
                </div>
            </div>

        </div>

        <div class="col-12 col-sm-6 pl-0">
            <img class="w-100" src="<?= $_URLST; ?>images/home/showroom.jpg">
            <div class="box_cita">
                <div class="row justify-content-center">

                    <div class="col-12">
                        <h2 class="d-none d-md-block">Showroom</h2>
                        <h3 class="d-block d-md-none">Showroom</h3>
                    </div>

                    <div class="col-7 col-sm-11 col-xl-8">
                        
                        <p class="d-none d-md-block fs-20p color-dark lh-1-3em">Visita nuestro showroom para conocer nuestros productos y encuentra el anillo perfecto.</p>

                        <p class="d-block d-md-none fs-18p color-dark lh-1-3em">Visita nuestro showroom para conocer nuestros productos y encuentra el anillo perfecto.</p>
                    </div>

                    <div class="col-12"></div>

                    <div class="col-5 col-sm-7 col-lg-4">
                        <a href="<?= $_URLBASE; ?>ac-contactanos-anillos-compromiso-argollas-boda.html">
                            <button class="btn-matrimony w-100 fs-18p">
                                <span>Visitar</span>
                            </button>
                        </a>
                    </div>
                </div>
            </div>
        </div>

	</div> <!-- row -->

	<div class="row justify-content-center fs18 text-dark my-4">
        <div class="col-6 col-md-4 d-flex">
            <div class="m-auto">
            	<span class="fa fa-phone"></span>
            	<span>(55) 5512 4834</span>
            </div>
        </div>
        <div class="col-6 col-md-4 d-flex">
        	<div class="m-auto">
	            <span class="fa fa-phone"></span>
	            <span>(55) 5518 3663</span>
	        </div>
        </div>
        <div class="col-md-4 d-flex">
        	<div class="m-auto">
	            <span class="fa fa-envelope"></span>
	            <span>ventas@matrimony.com.mx</span>
	        </div>
        </div>
    </div>
</main>

<div class="modal modal-errores" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">No se generó pedido.</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
        </ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn-matrimony rounded" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<script>

var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}

function terminarCompra()
{
	let lista_errors = $('.modal-errores .list-group');
	lista_errors.html('');

	$('.btn-end-step').attr('disabled',true);
	$('.btn-end-step').text('Terminando compra...');

	$.post('<?= $_URLBASE; ?>ac-datos_pedido.html',
		$('#form-pedido').serialize(),
		function(data){
			$('.btn-end-step').text('Continuar comprando');
			let r = data.split('--codeterminacompra--')[1];
            let json = JSON.parse(r);

            if(json.error==0){
				  window.location = json.thank_you_page;
           	}
           	else{
           		let errores = json.errores;
        		let campos = Object.keys(errores);

        		for(var i = 0; i< campos.length; i++){
        			$('<li>',{class:'list-group-item text-danger',text:errores[campos[i]]})
        			.appendTo(lista_errors);
        		}
           		$('.modal-errores').modal('show');

           		$('.btn-end-step').attr('disabled',false);
           	}
		});
}
</script>