<style>button.dropdown-toggle:disabled{opacity: 0.5;}.fw-300{font-weight: 300;} .owl-carousel .owl-stage{display: flex !important;}</style>
<?
$colder = "col-lg-4";
$container = "container ";
$mx0 = "";

if($VIS_ADMIN){
?>
<style>
	#carousel-anillo div.position-relative{
		display: none !important;
	}
</style>
<?
	$colder = "col-md-6";	
	$container = "";
	$mx0=" mx-0";
}
?>

<main class="main-content">
	<div class="<?= $container; ?>mb-5">

		<div class="row<?= $mx0;?>">

			<? if(!$VIS_ADMIN){ ?>
			<div class="col-lg-8">
				
				<!-- Carousel images -->
				<div class="prod-images"></div>

				<!-- Descripción -->
				<div class="mt-4">
					<h2 class="h3">Descripción</h2>
					<h4 class="h6 product-description"><?= $prod_descripcion;?></h4>
				</div>

				<!-- Resumen -->
				<div class="mt-4 d-none d-lg-block">

					<div class="prod-resumen">
						<h2 class="mb-3 h3">Resumen</h2>
						<div class="elements">
							<div data-tit="SKU" class="resumen-item">
								<h3 class="h5 fw-300">SKU</h3> <span><?= $prod_sku; ?></span>
							</div>
						</div>
					</div>
				</div>

				<!-- Compra incluye -->
				<div class="mt-5 d-none d-lg-block">
					<? $oVis->include_component("../compra-incluye"); ?>
				</div>
			</div>
			<? } ?>


			<div class="<?= $colder; ?>">
				<? $oVis->include_component("form-cotiza-cadena"); ?>
			</div>

			<? if($VIS_ADMIN){ ?>
				<div class="col-md-6">
					<div class="sidebar-stiky">
						<!-- Carousel images -->
						<div class="prod-detalle-cotizado">
							<div class="prod-images"></div>
							<div class="vis-detalle-cotizado row"></div>
						</div>
					</div>
				</div>
			<? } ?>

		</div>

		<? 
		if(!$VIS_ADMIN){ 
			$oVis->include_component("contenido-extra-desc-cadena");
	 	}
		?>

	</div>

	<? include_once($_PROYDIR_VIS."mod_info_pie.php"); ?>
</main>

<script>
	/* --------------------talla cadena-------------------- */
	$('[data-prod-tallas]').each(function(i,e){
		$(e).click(function(){
			$('[id^="talla-cadena"]').addClass('d-none');
			const talllas = $($(this).data('prod-tallas'));
			const talla_active = talllas.find('.dropdown-item.active');
			if(talla_active.length == 0){
				talllas.find('input.talla.first').click();
			}else{
				talla_active.click();
			}
			talllas.removeClass('d-none');
		});
	});

	$('.dropdown-talla-cadena').each(function(i,dropdown){
		var items = '.dropdown-menu .dropdown-item';
		$(dropdown).find(items).each(function(j,talla){
			$(talla).click(function(){
				$(dropdown).find(items).removeClass('active');
				$(talla).addClass('active');
				var cm = $(this).find('.text-talla').text();
				$('#label-talla-cadena').text(cm)
				agregaResumen('Talla de cadena',cm);
				$(dropdown).find('.op-selected').text(cm);
			});
		});
	});

	/* --------------------Agrega Resumen-------------------- */
	function agregaResumen(tit,res)
	{
		var container = $('.prod-resumen').find('.elements');
		container.find('[data-tit="'+tit+'"]').remove();

		var attr = {
		   'data-tit':tit,
		   'data-piedra':tit.split(' ')[1],
			class:'resumen-item',
			html:'<h3 class="h5 fw-300">'+tit+'</h3> <span>'+res+'</span>'
		};

		$('<div>', attr).appendTo( container );
	}

	/* --------------------Crea Resumen-------------------- */
	function creaResumen()
	{
		$('[data-resumen-tit]').each(function(i,t){
			$(t).find('[data-resumen][type="radio"]:checked').each(function(j,r){
				var tit = $(t).attr('data-resumen-tit');
				var res = $(r).attr('data-resumen');
				agregaResumen(tit,res);
			});

			$(t).find('[data-resumen][type="hidden"]:enabled').each(function(j,r){
				var tit = $(t).attr('data-resumen-tit');
				var res = $(r).attr('data-resumen');
				agregaResumen(tit,res);
			});
		});
	}

	/* --------------------Agregar carrito-------------------- */
	function agregaCarrito(){
		$('#form-cotizar').find('input#input-carr').remove();
		$('<input>',{type:'hidden',id:'input-carr',name:'addcarr',value:'1'}).appendTo( '#form-cotizar' );
		$('#form-cotizar').submit();
	}

	/* --------------------Vista Cotización-------------------- */
	function creaVistaCotizacion( data )
	{
		var vis = '<h5>'+data.msg+'</h5>';

		if( !data.error ) {
			var vis = '\
				<div class="prod-detalle-cotizado">\
					<h4>Precio</h4>\
					<div>\
						<div class="d-none">Original: <b class="text-dark"><strike>'+data.precio+'</strike> -'+data.descuento+'%</b></div>\
						<div class="d-none">Precio unitario:</div>\
						<div class="color-red"><b><span class="fs30">'+data.precio+'</span><small class="fs14"> ó 12 pagos de '+data.pagos+'</small></b></div>\
						<div>Costo de envío: <b class="text-primary">'+data.envio+'</b></div>\
						<div>Recíbelo en: <b class="text-primary">'+data.dias+'</b></div>\
					</div>\
					<div class="px-2 my-4">\
						<button class="btn btn-carrito btn-matrimony btn-material btn-block py-2" style="height:45px;">'+data.msg_car+'</button>\
					</div>\
					<div class="<?= $VIS_ADMIN?"d-none":"";?>">\
						<div class="px-2 mb-3">\
							<button class="btn-whatsapp btn btn-sm btn-block rounded-0" style="height:45px;">\
								<h5 class="text-white mb-0 d-flex justify-content-center align-items-center">\
					                <i class="fa fa-whatsapp fs24" aria-hidden="true"></i>\
					                <span style="margin-bottom:2px;">'+data.msg_whats+'</span>\
					            </h5>\
							</button>\
						</div>\
						<h6 class="text-center">\
							Los precios pueden variar ligeramente en función de la disponibilidad y características de los diamantes.\
						</h6>\
					</div>\
				</div>\
			';
		}

		$('.vis-detalle-cotizado').html( vis );

		if(data.resumen!=null) {
			$('.vis-detalle-cotizado').find('button.btn-whatsapp')
			.click(function(){

				gtag('event', 'send', {'event_category': 'COTIZA_PROD_DESDE_WHATS','event_label': 'COTIZAWHATS_DESDE_PROD','value': data.resumen });
				
				let link = 'https://api.whatsapp.com/send?phone=<?= $_PHONE_NUMBER; ?>';
				link+= '&text='+data.resumen;
				if( $(window).width() > 575 )
	                window.open(link,'_blank');
	            else
	                window.location = link; 

			});
			$('.vis-detalle-cotizado').find('button.btn-carrito')
			.click(function(){
				agregaCarrito();
			});
		}
	}

	$('[id^="prod-input-"]').each(function(i,e){
		$(e).click(function(){
			$('#form-cotizar').find('input#input-carr').remove();
			$('[id^="prod-input-"]').attr('disabled',false);
			$('button.dropdown-toggle').attr('disabled',false);
			var len = 0;
			var cant_values_cotizar = 3;

			$('[id^="prod-input-"]:checked:enabled').each(function(j,e2){
				if($.trim($(e2).val())!='')
					len++;
			});
			//console.log('len',len);
			creaResumen();
			if(len >= cant_values_cotizar)
				$('#form-cotizar').submit();
			else
				$('.vis-detalle-cotizado').html('');

		});
	});

$(document).ready(function() {

    $('#form-cotizar').on('submit', function(event) {
    	var txt1 = 'Calculando...';
    	var txt2 = 'Espere...';
    	if($(this).find('input#input-carr').length){
    		txt1 = txt2;
    		txt2 = 'Agregando a carrito...';
    	}

		prejson = {
    		error:0,
    		msg: txt2,
    		precio:txt1,
    		descuento:txt1,
    		precio_descuento:txt1,
    		pagos:txt1,
    		envio:txt1,
    		dias:txt1,
    		msg_whats: txt2,
    		msg_car: txt2,
    		resumen:null
    	};

    	creaVistaCotizacion(prejson);

    	event.preventDefault();

    	let data = $(this).serialize();

    	$.post('<?= $URL_COTIZAR; ?>',data,function(data){
    		let resp = data.split('--codecotizador--')[1];
    		let json = null;
    		try{
    			json = JSON.parse( resp );
    		}catch(err){
    			console.log(err.message);
    		}
    		// console.log(json);
    		if( json.redirect==null){
    			//console.log('json',json);
				creaVistaCotizacion(json);
			}
			else
			{
				<? if($VIS_ADMIN){ ?>
					eval(json.event);
				<? }else{ ?>
				gtag('event', 'send', {'event_category': 'ADD_CAR','event_label': 'ADD_PROD_CAR_SKU','value': json.sku });
				window.location=json.redirect;
				<? } ?>
			}

		});


    });
});
</script>

<script>
	let json_imgs = JSON.parse('<?= $images_json; ?>');
	function creaImagenesProducto(producto)
	{
		//console.log(producto);
		//dentro del carousel-inner
		var xprod = json_imgs[producto];

		var carouselitem = '';
		for(var i=0; i<xprod.length; i++ ){
			var media=xprod[i]['img_prin'];
			var xparmedia=media.split('/');

			var media_name="";
			var media_class="";
			if(xparmedia.length){
				media_name=xparmedia[xparmedia.length-1];
				if(media_name=="yt.txt")
					media_class="youtube-video";
			}
			carouselitem+='\
		    <div class="carousel-item '+(!i?'active':'')+'">\
		    	<div id="img-360-'+i+'" class="image-360-container">\
		      		<img class="d-block w-100 '+media_class+'" data-mediatype="'+media_name+'" alt="" title="" src="'+media+'">\
		      	</div>';

		      	if(xprod[i]['cant']>1){
		      		carouselitem+='\
	      			<img class="img-360-bg" src="<?= $_CONF_URL_PROYST; ?>/images/360.png">\
	      			<img class="img-360-grad" src="<?= $_CONF_URL_PROYST; ?>/images/360_grados.png">\
	      			';
	      		}
		    carouselitem+='</div>';
		}

	
		// despues del carousel-inner
		var indicators = '';
		if(xprod.length>1)
		{
			indicators+= '\
			<div class="position-relative mb-3">\
			  <ol class="carousel-indicators">';

			  for( var i = 0; i<xprod.length; i++ ){
			  	indicators+='\
			    <li data-target="#carousel-anillo" data-slide-to="'+i+'" class="'+(!i?'active':'')+'" onclick="show360view(this,'+i+','+xprod[i]['cant']+',\''+xprod[i]['url_base']+'\');" ></li>';
			  }
			  
			  indicators+='\
			  </ol>\
			</div>';
		}

		//dentro de owl-carousel
		var carousel = '';
		for( var i = 0; i<xprod.length; i++ ){

			var first = '';
			if( !i && xprod[i]['cant']>1 )
				first = 'first';

			var media=xprod[i]['img_prin'];
			var xparmedia=media.split('/');

			var media_name="";
			var event='onclick="show360view(this,'+i+','+xprod[i]['cant']+',\''+xprod[i]['url_base']+'\');"';
			var icocontainer='<img width="50%" height="auto" src="<?= $_CONF_URL_PROYST; ?>/images/360.png">';
			var is_vyt=false;
			var aic="";
			if(xparmedia.length){
				media_name=xparmedia[xparmedia.length-1];
				if(media_name=="yt.txt"){
					event="";
					icocontainer='<i class="icon-play-circle fs60 icplay" style="text-shadow:0px 0px 10px #000;"></i>';
					is_vyt=true;
					aic=" align-items-center text-white";
				}
			}

			// carousel+='\
			// 	 <div data-target="#carousel-anillo" data-slide-to="'+i+'" class="image-prod-car mx-2 '+(!i?'active':'')+' '+first+'" onclick="show360view(this,'+i+','+xprod[i]['cant']+',\''+xprod[i]['url_base']+'\');">\
		 //      		<img class="img-prod" alt="" title="" src="'+xprod[i]['img_prin']+'">';

		 //      		if(xprod[i]['cant']>1){
			//       		carousel+='\
		 //      			<div class="ico-container">\
		 //      				<img width="50%" height="auto" src="<?= $_CONF_URL_PROYST; ?>/images/360.png">\
		 //      			</div>';
		 //      		}

		 //      carousel+='</div>';
		 carousel+='\
				 <div data-target="#carousel-anillo" data-slide-to="'+i+'" class="image-prod-car mx-2 h-100 '+(!i?'active':'')+' '+first+'" '+event+'>\
		      		<img class="img-prod h-100 w-100" data-mediatype="'+media_name+'" alt="" title="" src="'+media+'">';

		      		if(xprod[i]['cant']>1 || is_vyt){
			      		carousel+='<div class="ico-container'+aic+'">'+icocontainer+'</div>';
		      		}

		 carousel+='</div>';
		}

		// console.log(carousel);
		
		var idcarousel = 'owl-carousel-'+producto;
		var div = '\
		<div id="carousel-anillo" class="carousel carousel-producto slide" data-interval="false">\
			  <div class="carousel-inner">'+carouselitem+'</div>'+indicators+'\
			  <div class="position-relative px-3 pt-3">\
				  <div class="owl-carousel '+idcarousel+'" style="position: unset !important;">'+carousel+'</div>\
			 </div>\
		</div>';

		$('.prod-images').html( div );
		$('.carousel-producto').carousel();
		$('.image-prod-car.first').click();

		creaCarousel( '.'+idcarousel );
		cargaVideosYt();
	}

	function show360view(e,slide,cant,path){
		$('[data-slide-to]').removeClass('active');
		$(e).addClass('active');
		$('[data-slide-to="'+slide+'"]').addClass('active');
		if(cant>1){
			var box = $('#img-360-'+slide);
			box.vc3dEye('destroy');
			box.vc3dEye({
	            imagePath: path,
	            totalImages: cant,
	            imageExtension: 'jpg'
	        });	
        }
        resizeFrameYt();
	}

	function creaCarousel(carousel,autoWidth=false){
		$(carousel).owlCarousel({
		    center: false,
		    items:5,
		    dots:false, 
		    nav:true,
			lazyLoad:true,
		    loop:false, 
		    autoWidth:autoWidth,
		    responsive:{
		        1200:{
		            items:5,
		        },
		        300:{
		            items:3,
		        }
		    },
		  });
	}


$(document).ready(function(){
	$('.prod-color input[id^="prod-input-cadena-color-"]:checked').click();
  	creaCarousel('.owl-carousel');
  	creaCarousel('.owl-carousel-reviews',true);

	const esta_url = new URL(window.location.href);
	var urlpars = esta_url.hash;
	var urlpars = urlpars.replace("#","");

	// console.log('urlpars',urlpars);


	if(urlpars){
		var splitpars = urlpars.split("--");
		for (i = 0; i < splitpars.length; i++) 
		{
			const param = splitpars[i]; 
			// console.log('param',param);
			const [variable, valor] = param.split('-');
	    	$("."+param).click();
	    	if(variable == 'kil'){
				$(`#talla-cadena-${valor}`).find('.talla.first').click().click();
			}
		}
	}
	else{
		$('.mat-oro-kil-9').click();
	}
});
</script>