<link href="<?=$_CONF_URL_PROYST;?>css/personaliza.css" rel="stylesheet">
<link href="<?=$_CONF_URL_PROYST;?>css/carousel_galeria.css" rel="stylesheet">
<style type="text/css">
	.btn-mt-gray{
		background-color: #6C7C8D !important;
		color: #FFFFFF !important;
		border:none;
	}

	.dropdown-menu .dropdown-item:hover{
		background-color: #f4f7f9;
	}

	.caracteristicas-argolla
	{
		background-color: #fafafa;
		padding: 1.5rem;
		color:#46495c;
		font-size: 18px;
	}

	.flex_between{
		display: flex;
		justify-content: space-between;
	}
</style>

<main class="main-content">

	<div class="m-auto" style="max-width: 1350px;">

		<div class="row">

			<div class="col-lg-7">
				<div class="row justify-content-center">

					<div class="col-10">
						<div id="carousel-anillo" class="carousel slide" data-ride="carousel">
						<? if($make_carousel){ ?>
						  <ol class="carousel-indicators">
						  	<? foreach($modelo_galerias as $i => $xvalue){ ?>
						    <li data-target="#carousel-anillo" data-slide-to="<?= $i; ?>" class="<?= !$i?'active':''; ?>"></li>
							<? } ?>
						  </ol>
						 <? } ?>

						  <div class="carousel-inner">
						  	<? foreach($modelo_galerias as $i => $galeria){ ?>
						    <div class="carousel-item <?= !$i?'active':''; ?>">
						      <img class="d-block w-100" alt="<?= $modelo_descripcion; ?>" title="<?= $modelo_descripcion; ?>" src="<?= imgAnilloGaleria($galeria['imagen']); ?>">
						    </div>
							<? } ?>
						  </div>

						  <? if($make_carousel){ ?>
						  <a class="carousel-control-prev" href="#carousel-anillo" role="button" data-slide="prev">
						    <i class="fa fa-chevron-left" aria-hidden="true"></i>
						  </a>
						  <a class="carousel-control-next" href="#carousel-anillo" role="button" data-slide="next">
						    <i class="fa fa-chevron-right" aria-hidden="true"></i>
						  </a>
						  <? } ?>

						</div>
					</div>


					<!----------------------Caracteristicas --------------------------->
					<div class="col-12 px-0">
						<div class="mt-5 mx-4 ml-md-4 mr-lg-0">
							<div class="caracteristicas-argolla" >
					            <h3>Características</h3>
					            <div class="flex_between">
					                <h5>Modelo</h5>
					                <span><?= $modelo_nombre;?></span>
					            </div>

					            <div class="flex_between">
					                <h5>SKU</h5>
					                <span><?= $modelo_sku; ?></span>
					            </div>

					            <div class="flex_between">
					                <h5>Peso del anillo</h5>
					                <span class="peso-anillo"></span>
					            </div>

					            <div class="flex_between">
					                <h5>Material</h5>
					                <span class="anillo-material"></span>
					            </div>

					            <div class="flex_between">
					                <h5>Color</h5>
					                <span class="anillo-color"></span>
					            </div>

					            <div class="flex_between">
					                <h5>Diamante principal</h5>
					                <span class="anillo-quilates"></span>
					            </div>

					        </div>
						</div>
					</div>

				</div>
			</div>

			<div class="col-lg-5  mt-4 mt-lg-0">
				<form id="form-cotizador" method="post">
					<div class="steps-body px-2">
						<?
						$HIDE_STEPS = true;
						$HIDE_FORMA = true;
						include($_PROYDIR_BIN."mod_anillo_cotizador.php"); 
						?>
					</div>
				</form>

        		<div class="col-12 pl-lg-5 pt-4">
        			<div class="fs16 mb-0 text-dark box-cotizado d-none">

						<p class="mb-0">
							Original: <strike class="precio-cotizado-original"></strike> <b>-30%</b>
						</p>

						<p class="mb-0">
							Precio: <span class="precio-cotizado color-red h3"></span>
						</p>

						<p class="mb-0">Costo de envío: <b class="costo-envio color-blue">Gratis</b></p>
						<p class="mb-0">Recíbelo en: <b class="tiempo-envio color-blue">15 días</b></p>
					</div>

					<div class="col-12 col-sm-6 col-lg-12 mt-2 px-0">
						<button class="btn-comprar btn-mt-gray w-100 py-1" disabled>
							Selecciona las características de tu anillo
						</button>
					</div>
        		</div>

			</div>

		</div>

	</div>

	<div class="row mt-4">

        <!-- cita and showrrom -->
        <div class="col-12 col-sm-6 pr-0">
            <img class="w-100" src="<?= $_URLST; ?>images/home/cita.jpg">

            <div class="box_cita">
                <div class="row justify-content-center">

                    <div class="col-12">
                        <h2 class="d-none d-md-block">Citas a domicilio</h2>
                        <h3 class="d-block d-md-none">Citas a domicilio</h3>
                    </div>

                    <div class="col-7 col-sm-11 col-xl-9">
                        <p class="d-none d-md-block fs-20p color-dark lh-1-3em">Agenda una cita y recibe una visita de uno de nuestros asesores desde la comodidad de tu casa u oficina.</p>

                        <p class="d-block d-md-none fs-18p color-dark lh-1-3em">Agenda una cita y recibe una visita de uno de nuestros asesores desde la comodidad de tu casa u oficina.</p>

                    </div>

                    <div class="col-12"></div>

                    <div class="col-5 col-sm-7 col-lg-4">
                        <a href="<?= $_URLBASE; ?>ac-agendar-cita-anillo-de-compromiso.html">
                            <button class="btn-matrimony w-100 fs-18p">
                                <span>Agendar cita</span>
                            </button>
                        </a>
                    </div>
                </div>
            </div>

        </div>

        <div class="col-12 col-sm-6 pl-0">
            <img class="w-100" src="<?= $_URLST; ?>images/home/showroom.jpg">
            <div class="box_cita">
                <div class="row justify-content-center">

                    <div class="col-12">
                        <h2 class="d-none d-md-block">Showroom</h2>
                        <h3 class="d-block d-md-none">Showroom</h3>
                    </div>

                    <div class="col-7 col-sm-11 col-xl-8">
                        
                        <p class="d-none d-md-block fs-20p color-dark lh-1-3em">Visita nuestro showroom para conocer nuestros productos y encuentra el anillo perfecto.</p>

                        <p class="d-block d-md-none fs-18p color-dark lh-1-3em">Visita nuestro showroom para conocer nuestros productos y encuentra el anillo perfecto.</p>
                    </div>

                    <div class="col-12"></div>

                    <div class="col-5 col-sm-7 col-lg-4">
                        <a href="<?= $_URLBASE; ?>ac-contactanos-anillos-compromiso-argollas-boda.html">
                            <button class="btn-matrimony w-100 fs-18p">
                                <span>Visitar</span>
                            </button>
                        </a>
                    </div>
                </div>
            </div>
        </div>

	</div> <!-- row -->

	<div class="row justify-content-center fs18 text-dark my-4">
        <div class="col-6 col-md-4 d-flex">
            <div class="m-auto">
            	<span class="fa fa-phone"></span>
            	<span>(55) 5512 4834</span>
            </div>
        </div>
        <div class="col-6 col-md-4 d-flex">
        	<div class="m-auto">
	            <span class="fa fa-phone"></span>
	            <span>(55) 5518 3663</span>
	        </div>
        </div>
        <div class="col-md-4 d-flex">
        	<div class="m-auto">
	            <span class="fa fa-envelope"></span>
	            <span>ventas@matrimony.com.mx</span>
	        </div>
        </div>
    </div>

</main>

<div class="modal fade" id="modal-tabla-tamanio" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <img class="w-100" src="<?= $_URLST; ?>images/catalogo/tabla_medidas_anillos.png">
    </div>
  </div>
</div>

<? include($_PROYDIR_BIN."mod_anillo_cotizador_js.php"); ?>
<script>
	$('.form-input,.btn-material,.color_metal').click(function(){
		$('.btn-comprar').text('Selecciona las características de tu anillo')
		.attr('disabled',true)
		.unbind();

		let err = 0;
		$('.form-input.necessary').each(function(i,e){
        	var v = $.trim($(e).val());
        	if(v == "")
        		err++;
        });

        if(err ==0)
        {
        	$('.box-cotizado').removeClass('d-none');

        	$('.btn-comprar').text('Continuar compra')
        	.attr('disabled',false)
        	.click(function(){
        		continuarCompra();
        	});
        }
	});

	function continuarCompra()
	{
		$.post('<?= $_URLBASE; ?>ac-datos_pedido.html',
			$('#form-cotizador').serialize(),
			function(data){
				let r = data.split('--codecontinuarcompra--')[1];
	            let json = JSON.parse(r);

	            if(json.error==0)
	            {
	            	window.location = json.redirect;
	            }
	            else{
	            	alert('Algo ocurrió');
	            }
			});
	}
</script>