<!-- <style>
		input.pay-metod{
			display: none;    
		}
		input.pay-metod:checked ~ label, input.pay-metod ~ label:hover{
			box-shadow: 0px 0px 5px -1px #6C7C8D;
			opacity: 1;
		}
		input.pay-metod ~ label{
			border: 1px solid #6C7C8D;
		    padding: 1rem;
		    width: 100%;
		    display: flex;
		    justify-content: center;
		    align-items: center;
		    border-radius: 10px;
		    margin-bottom: 1.5rem;
		    color: #000;
			font-weight: 400;
			transition: 0.4s;
			height: 70px;
			opacity: 0.8;
		}
		button:disabled, input.pay-metod:disabled ~ label{
			opacity: 0.7;
		}
</style> -->
<main class="main-content">
	<div class="container mb-3">
		<div class="bg-white">
			<div class="row">

				<div class="col-12 mb-3">
					<a href="<?= $_URLBASE; ?>">
						<label class="color-gray-mat">
							<b>
								<i class="fa fa-arrow-left" aria-hidden="true"></i> Regresar al inicio
							</b>
						</label>
					</a>
				</div>

				<div class="col-12 text-center my-4 px-1">
					<h4 id="carrito">Mis pedidos</h4>
				</div>

				<div class="col-12">
					<div class="row justify-content-center">
						<div class="col-sm-8 col-md-6 col-lg-5">
							<div class="form">

								<form method="POST" id="form-pedido">
								  <span class="card-errors text-danger"></span>
								  <div>
								      <b class="text-dark">Correo electrónico*</b>
								      <input type="text" name="correo" class="input-mt-1" value="<?= $ped_correo; ?>">
								  </div>
								  <div>
								      <b class="text-dark">Número de pedido</b>
								      <input type="text" onkeypress="return isNumeric(event);" size="20" name="no_pedido" class="input-mt-1" value="<?= $idPedido; ?>">
								  </div>
								  <input type="hidden" name="<?= ev("ACTION"); ?>" value="<?= codVal("CHECKPED"); ?>">
								  

									<div class="pb-3 my-4 text-center">
										<button type="submit" class="btn-mt-dark fs18">Continuar</button>
										<span id="resp" class="text-danger"></span>
									</div>

								</form>

							</div>
						</div>
					</div>
				</div>

				<div id="salida"></div>

			</div>
		</div>
	</div>
</main>

<script type="text/javascript">

	
$(document).ready(function() {
	$('#form-pedido').on('submit', function(event) {
	    	event.preventDefault();

	    	var dataForm = $('#form-pedido').serialize();
	    	$('input,button').attr('disabled',true);
	    	$('#salida').html('<h4 class="text-center">Buscando pedido...</h4>');

	    	$.post('<?= $_URLPOST; ?>',dataForm,function(data){

	    		$('input,button').attr('disabled',false);
	    		$('#salida').html('');

	    		let resp = data.split('--codeped--')[1];
	    		let json = null;
	    		try{
	    			json = JSON.parse( resp );
	    		}catch(err){
	    			console.log(err.message);
	    		}

	    		if(json != null) {
	    			console.log(json);
	    			$('#salida').html(json.salida);
	    			if(json.error_val) {
	    			
	    			}
	    		}
			});


	    });

	<? if($idPedido){ ?>
		$('#form-pedido').submit();
	<? } ?>
});
</script>