<style>
	body,.box-review textarea{
		background-color: #f4f7f9 !important;
	}
	.box-review textarea{
		border: 0 !important;
	}

	.text-primary{
		color: rgb(43,145,255) !important;
	}

	.rapp-container input{
		border: 0;
		outline: 0;
		background-color: #f4f7f9;
	}

	.btn-outline-primary{
		border: 2px solid rgb(43,145,255) !important;
		color: rgb(43,145,255) !important;
	}
	.btn-outline-primary:hover{
		border: 2px solid transparent;
	}
	.btn-outline-primary:hover:before, .btn-outline-primary:focus:before, .btn-outline-primary:active:before {
      width: 100%;
      background-color: rgb(43,145,255); }

    .nav-pills .nav-link,.btn-outline-primary{
		border: 1px solid rgb(43,145,255) !important;
		color: rgb(43,145,255) !important;
	}
	.nav-pills .nav-link.active{
		color: #fff !important;
	}

	.box-review{
     	border-top: 1px solid #000;
     	padding-top: 1.2rem;
     }

	label[for^="star-"]{
		cursor: pointer;
		font-size: 2rem;
		color:#FDCC0D
	}
	@media (max-width: 400px){
		label[for^="star-"]{
			font-size: 2rem !important;
		}
	}

	.item-box{
		position: relative;
	    width: 100px;
	    height: 100px;
	    background-color: #f4f7f9;
	    border-radius: 4px;
	}
	.item-box:before{
		content: " ";
		width: 50px;
		height: 2px;
		background-color: #aeaeae;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		margin: auto;
		border-radius: 3px;
	}
	.item-box:after{
		content: " ";
		height: 50px;
		width: 2px;
		background-color: #aeaeae;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		margin: auto;
		border-radius: 3px;
	}

	.user-ico{
		width: 45px;
		height: 45px;
		color: #ffffff;
		border-radius: 100%;
		background-color: rgb(43,145,255);
		font-size: 1rem;
		font-weight: 600;
		position: relative;
		display: flex;
		justify-content: center;
		align-items: center;
		margin: auto;
	}
	.user-ico:before{
		content: "L";
		position: absolute;
		bottom: 0;
		right: 0;
		width: 40%;
		height: 40%;
		padding: 0;
		border-radius: 100%;
		background-color: #00FF00;
		color: #ffffff;
		font-size: 0.7rem;
		border: 0.05rem solid #ffffff;
		transform: scale(-1, 1) rotate(-35deg);
		display: flex;
		justify-content: center;
		align-items: center;
		font-weight: 600;
	}
     
    .box-review b{color: #000;}

    .page-item.active .page-link{
	  	font-weight: 600;
	  	background-color: #fff;
	  	color: #007bff;
	  	font-size: 1.2rem;
		padding-top: 0.3rem;
	}
	  .page-link{
	  	border: unset !important;
	  }
</style>
<main class="main-content">
	<div class="container mb-5">

		<!-- <form method="get" id="form-cant">
			<div class="form-group">
				<label class="color-dark">
					Cantidad ver
				</label>
				<select name="CANT_VER" onchange="$('#form-cant').submit();">
					<option <?= $CANT_VER==10?"selected":""; ?> value="10">10</option>
					<option <?= $CANT_VER==25?"selected":""; ?> value="25">25</option>
					<option <?= $CANT_VER==50?"selected":""; ?> value="50">50</option>
					<option <?= $CANT_VER==100?"selected":""; ?> value="100">100</option>
				</select>
				<b> <?= $oClie->total_registros; ?> registros en total</b>
			</div>
		</form> -->

		<div class="pt-3">

			<div class="card border-0 px-3 pt-2">
			  	<div class="row py-2" style="border-bottom:1px solid #f4f7f9;">
			  		<div class="col-12">
			  			<h4 class="mb-0">Reseñas generales</h4>
			  		</div>
			  	</div>
			  	<div class="px-4 py-3">
			  		<div class="text-dark">
			  			<label><?= $cant_reviews_grals*1; ?> Reseñas</label>
			  			<label class="pull-right d-none">Recientes</label>
			  		</div>
			  		<?/*
			  		<form id="new-review-gral" class="box-review collapse">
			  			<div class="row">
			  				<div class="col-sm-1 pr-0 text-center">
			  					<div class="user-ico">J</div>
			  					<div class="">
			  						<a href="#" class="text-primary"><u>ID venta</u></a>
			  					</div>
			  					<div class="text-success">
			  						<i class="fa fa-eye"></i>
			  					</div>
			  					<div class="text-secondary d-none">
			  						<i class="fa fa-eye-slash"></i>
			  					</div>
			  				</div>
			  				<div class="col-sm-11">
			  					<div class="row jus">
			  						<div class="col-sm-5 pr-0">
			  							<input type="text" class="form-control" placeholder="Nombre. Eje Josué A." name="<?= $var_nombre; ?>">
			  						</div>
			  						<div class="col-sm-5 pr-0 mt-2 mt-sm-0">
			  							<input type="text" class="form-control" placeholder="Fecha" name="<?= $var_fecha; ?>">
			  						</div>
			  						<div class="col-sm-5 pr-0 mt-2">
			  							<input type="text" class="form-control" placeholder="SKU" name="<?= $var_sku; ?>">
			  						</div>
			  						<div class="col-12 d-none d-sm-block"></div>
			  						
			  						<? foreach ($calificar as $i => $titulo) { ?>
			  						<div class="col-md-6">
										<b class="text-left"><?= $titulo; ?></b>
										<div class="row justify-content-center mt-2 mb-3 stars-group">
											<? for($j=0;$j<5;$j++){ ?>
												<div class="col-2 text-center">
													<label for="star-<?= $i; ?>-<?= $j; ?>-gen">
														<input id="star-<?= $i; ?>-<?= $j; ?>-gen" type="radio" name="<?= ev($titulo); ?>" value="<?= $j+1; ?>" class="d-none" <?= !$j?"checked":""; ?>>
														<i class="fa fa-star<?= $j?"-o":""; ?>" aria-hidden="true"></i>
													</label>
												</div>
											<? } ?>
										</div>
									</div>
									<? } ?>

			  						<div class="col-12 mt-2">
			  							<b>Escríbenos una reseña</b>
			  							<textarea class="form-control" placeholder="¿Qué te gustó o qué no te gustó?" name="<?= $var_comentario_gen; ?>"></textarea>
			  						</div>

			  					</div>
			  				</div>

			  				<div class="col-12 my-4">
	  							<div class="row justify-content-end">
	  								<div class="col-sm-4">
	  									<button class="btn-matrimony btn-block">Guardar</button>
	  								</div>
	  							</div>
	  						</div>
			  			</div>
			  		</form>
			  		*/?>

			  		<? 
			  		if($cant_reviews_grals){

			  			foreach($reviewsGral as $index => $review){
			  				extract($review,EXTR_PREFIX_ALL,"reviewgral");
			  				$xpar_nom = explode(" ", trim($reviewgral_nombre),2);
							$string_appe="";
							if (count($xpar_nom)>1) {
								$string_appe = " ".strtoupper(substr($xpar_nom[1], 0,1));
							}
			  		?>

			  		<div class="box-review">
			  			<div class="row">
			  				<div class="col-sm-1 pr-0 text-center">
			  					<div class="user-ico"><?= substr($xpar_nom[0], 0,1); ?></div>
			  				</div>
			  				<div class="col-sm-11">
			  					<div class="row">
			  						
			  						<div class="col-12 lh-1-3em">
			  							<b class="text-primary"><?= $xpar_nom[0]; ?><?= $string_appe; ?>.</b> <span>Comprador verificado</span>
			  							<span class="pull-right"><?= $reviewgral_fecha; ?></span>
			  						</div>
			  						
			  						<div class="col-12">
			  							<div class="fs20" style="color:#FDCC0D; ">
											<? for($i=1;$i<=5;$i++){ ?>
												<i class="fa fa-star<?= ($i<=$reviewgral_calificacion)?"":"-o"; ?> mr-1" aria-hidden="true"></i>
											<? } ?>
										</div>
			  						</div>
			  						<div class="col-12">
			  							<label><?= $reviewgral_estado; ?></label>
			  						</div>
			  						
			  						<? foreach ($calificar as $campo => $titulo) { ?>
			  						<div class="col-md-6">
										<b class="text-left"><?= $titulo; ?></b>
										<div class="fs20" style="color:#FDCC0D; ">
											<? for($i=1;$i<=5;$i++){ ?>
												<i class="fa fa-star<?= ($i<=${"reviewgral_".$campo})?"":"-o"; ?> mr-1" aria-hidden="true"></i>
											<? } ?>
										</div>
									</div>
									<? } ?>

			  						<div class="col-12 mt-2">
			  							<b>Comentarios</b>
			  							<p class="lh-1-3em"><?= $reviewgral_review; ?></p>
			  						</div>

			  					</div>
			  				</div>

			  			</div>
			  		</div>

			  		<? 
			  			}
			  		} 
			  		?>

			  	</div>

			  	<? if($gral_fin_paginador>=1){?>
					<div class="pager mb-3">
						<nav aria-label="Page navigation example">
						  <ul class="pagination mb-0">
						    <li class="page-item">
						      <a class="page-link" href="<?= $URL_POST."?".$filtrosg; ?>" aria-label="Previous">
						        <span aria-hidden="true">&laquo;</span>
						        <span class="sr-only">Previous</span>
						      </a>
						    </li>

						    <?php if($gral_inicio_paginador>1){?>
						    <li class="page-item">
						      <a class="page-link" href="<?= $URL_POST."?PAGG=".($gral_inicio_paginador-1)."&".$filtrosg; ?>" aria-label="Previous">
						        <span aria-hidden="true">&lsaquo;</span>
						        <span class="sr-only">Previous</span>
						      </a>
						    </li>
							<?php } ?>

						    <?php for($i = $gral_inicio_paginador; $i<$gral_fin_paginador; $i++){?>
						    	<li class="page-item <?= ($PAGG==$i || ($i==1 && !$PAGG))?'active':'';?>"><a class="page-link" href="<?= $URL_POST."?PAGG=$i"."&".$filtrosg; ?>"><?= $i; ?></a></li>
						    <?php }?>

						    <li class="page-item"><a class="page-link">...</a></li>

						    <li class="page-item <?= $PAGG==$gral_total_paginas?' active':''; ?>"><a class="page-link" href="<?= $URL_POST."?PAGG=$gral_total_paginas"."&".$filtrosg; ?>">
						    	<?= $gral_total_paginas; ?></a>
						    </li>

						    <?php if($gral_fin_paginador < $gral_total_paginas){?>
						    <li class="page-item">
						      <a class="page-link" href="<?= $URL_POST."?PAGG=".($gral_fin_paginador+1)."&".$filtrosg; ?>" aria-label="Next">
						        <span aria-hidden="true">&rsaquo;</span>
						        <span class="sr-only">Next</span>
						      </a>
						    </li>
						    <?php }?>

						    <li class="page-item">
						      <a class="page-link" href="<?= $URL_POST."?PAGG=$gral_total_paginas"."&".$filtrosg; ?>" aria-label="Next">
						        <span aria-hidden="true">&raquo;</span>
						        <span class="sr-only">Next</span>
						      </a>
						    </li>

						  </ul>
						</nav>
					</div>
				<?php } ?>
			</div>

		</div>
		
	</div>
</main>