<style type="text/css">
	.line-review{
		display: flex;
		justify-content: center;
	}
	.line-review::after{
		content: ' ';
		height: .2rem;
    border-radius: 20px;
    background-color: #6C7C8D;
    width: 100%;
    max-width: 300px;
	}
	label[for^="star-"]{
		cursor: pointer;
		font-size: 3rem;
	}
	@media (max-width: 400px){
		label[for^="star-"]{
			font-size: 2rem !important;
		}
	}

	.item-box{
		position: relative;
	    width: 150px;
	    height: 150px;
	    background-color: #f4f7f9;
	    border-radius: 4px;
	}
	.item-box:before{
		content: " ";
		width: 75px;
		height: 3px;
		background-color: #aeaeae;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		margin: auto;
		border-radius: 3px;
	}
	.item-box:after{
		content: " ";
		width: 3px;
		height: 75px;
		background-color: #aeaeae;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		margin: auto;
		border-radius: 3px;
	}
	button:disabled{
		opacity: 0.7;
	}
	.box-image{
		max-width: 150px;
		margin-right: 10px;
		margin-bottom: 10px;
		position: relative;
	}

	span.del{
		position: absolute;
		top: -5px;
		right: -5px;
		color: #fff;
		cursor: pointer;
		font-size: 18px;
		font-weight: 600;
		width: 20px;
		height: 20px;
		border-radius: 100%;
		background: red;
		display: flex;
		justify-content: center;
		align-items: center;
		text-align: center;
		box-shadow: 0px 0px 5px gray;
	}
</style>
<main class="container my-5">
	<div class="row justify-content-center">
		<div class="col-12 col-sm-10 col-md-7 text-center">
			<img width="200" class="lazy matry" src="<?= $_URLST; ?>images/matrimony-logo.png">
			<h3 class="my-5"><b>¡Gracias por confiar en<br class="d-none d-sm-block"> nosotros!</b></h3>
			<h5 class="mb-4 lh-1-3em">
				En Matrimony siempre es nuestra prioridad<br class="d-none d-sm-block"> ofrecer los mejores productos y experiencia<br class="d-none d-sm-block"> posible.
			</h5>
			<h5 class="mb-4 lh-1-3em mb-4">
				Te agradeceríamos infinitamente si nos regalas<br class="d-none d-sm-block"> una reseña de tu experiencia.
			</h5>

			<form id="form-review">
				<div id="carouselExampleControls" class="carousel slide carousel-fade" data-ride="carousel" data-interval="false" data-wrap="false">
				  <div class="carousel-inner">
				  	<? foreach($carrito as $index => $prod){ 
						$img = imgArgollaCatalogo($prod);

						if($prod['es_producto'] || $prod['es_argollav2']) 
							$img = $prod['img'];
							$nombre=$prod['descripcion'];
							$id_sku = $prod['id'].":::".$prod['sku'];
					?>
				    <div class="carousel-item<?= $index?"":" active"; ?>">
				      <div class="item-carousel data-<?=$index?>">
				      	<div class="line-review"></div>

				      	<div class="">
							<div class="row justify-content-center">
								<div class="col-lg-10 my-1 px-2">
									<table class="w-100">
										<tbody>
											<tr>
												<td width="30%">
													<img src="<?= $img; ?>" title="<?= $nombre; ?>" alt="<?= $nombre; ?>" class="w-100">
												</td>
												<td width="70%" class="text-left">
													<h5><b><?= $nombre; ?></b></h5>
												</td>
											</tr>
										</tbody>
									</table>
								</div>
							</div>

							<div class="line-review"></div>

							<div class="mt-4 px-lg-5">
								<h5 class="text-left"><b>Califica tu producto</b></h5>
								<div class="row justify-content-center my-4 stars-group" style="color:#FDCC0D; ">
									<? for($i=0;$i<5;$i++){ ?>
										<div class="col-2 text-center">
											<label for="star-<?= $index; ?>-<?= $i; ?>">
												<input id="star-<?= $index; ?>-<?= $i; ?>" type="radio" name="<?= $var_stars.$index; ?>" value="<?= $i+1; ?>" class="d-none" <?= $i==4?"checked":""; ?>>
												<i class="fa fa-star<? /*$i?"-o":"";*/ ?>" aria-hidden="true"></i>
											</label>
										</div>
									<? } ?>
								</div>

								<div class="form-group mb-4">
									<h5 class="text-left"><b>Título</b></h5>
									<input type="text" name="<?= $var_titulo; ?>[]" class="input-mt-1 form-control" placeholder="¿Qué es lo más importante para compartir?">
								</div>

								<div class="form-group mb-4">
									<h5 class="text-left"><b>Escribe una reseña de tu producto</b></h5>
									<textarea rows="4" name="<?= $var_resena; ?>[]" class="input-mt-1 form-control" placeholder="¿Qué te gustó o qué no te gustó?"></textarea>
								</div>

								<div class="form-group mb-5 text-left">
									<h5 class="text-left"><b>Agrega una foto</b></h5>
									<h5 class="mb-4 lh-1-3em mb-4">
										Las opiniones de fotos suelen ser más útiles para otros compradores.
									</h5>
									<div class="mt-3 row mx-0">
										<label id="images-review-box-<?= ev($id_sku); ?>" data-prod="<?= codVal($id_sku); ?>" for="images-review" class="item-box add"></label>
									</div>
								</div>

								<div class="pb-5">
									<?  if(count($carrito)>1){ 
											 if(!$index){ ?>
													<button type="button" data-click="next" class="btn-mt-dark fs18 btn-block">Siguiente</button>
												<? }else if((count($carrito)-1)==$index){ ?>
													<div class="row">
														<div class="col-6 pr-1">
															<button type="button" data-click="prev" class="btn-mt-dark fs18 btn-block">Anterior</button>
														</div>
														<div class="col-6 pl-1">
															<button type="submit" class="btn-mt-dark fs18 btn-block">Continuar</button>
														</div>
													</div>
												<? }else{ ?>
													<div class="row">
														<div class="col-6 pr-1">
															<button type="button" data-click="prev" class="btn-mt-dark fs18 btn-block">Anterior</button>
														</div>
														<div class="col-6 pl-1">
															<button type="button" data-click="next" class="btn-mt-dark fs18 btn-block">Siguiente</button>
														</div>
													</div>
												<? } 
											}else{
											?>
											<div class="row">
												<div class="col-12">
													<button type="submit" class="btn-mt-dark fs18 btn-block">Continuar</button>
												</div>
											</div>
											<? } ?>

								</div>
							</div>
						</div>
				      </div>

				    </div>
				    <? } ?>

					<input type="hidden" name="<?= $var_action; ?>" value="<?= $ACTION_COD; ?>">

				  </div>

				  <a id="prev" class="carousel-control-prev d-none" href="#carouselExampleControls" role="button" data-slide="prev">
				    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
				    <span class="sr-only">Previous</span>
				  </a>
				  <a id="next" class="carousel-control-next d-none" href="#carouselExampleControls" role="button" data-slide="next">
				    <span class="carousel-control-next-icon" aria-hidden="true"></span>
				    <span class="sr-only">Next</span>
				  </a>
				</div>
			</form>

		</div>
	</div>
	<form id="form-images" class="d-none">
		<input id="images-review" type="file" accept="image/jpeg, image/png" multiple name="<?= $var_images; ?>[]">
		<input type="hidden" name="<?= $var_action; ?>" value="<?= $ACTION_COD_IMGS; ?>">
		<input type="hidden" id="product-review" name="<?= ev("id_sku"); ?>" value="">
	</form>
</main>
<!-- Modal -->
<div class="modal fade modal-reg-errors" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">No se guardó la reseña</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
		</ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal -->
<div class="modal fade modal-images" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">

      <div class="modal-header">
      </div>

      <div class="modal-body">

      	<div class="section">
		    <div class="progress" style="height: auto !important; ">
		       <div class="progress-bar bg-primary d-none" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
		      </div>
		</div>

      </div>

    </div>
  </div>
</div>
<script>

	$('button[data-click]').each(function(i,e){
		$(e).click(function(){
			$('#'+$(this).data('click')).click();
			setFormTop();
			setEventStars();
		});
	});

	function setFormTop(){
		$('html, body').animate({
		    scrollTop: $('#form-review').position().top
		}, 400); 
	}
	$('[id^="images-review-box"]').each(function(i,e){
		$(e).click(function(){
			$('#product-review').val($(this).data('prod'));
		});
	});
	$('#images-review').change(function(event){
		$('#form-images').submit();
	});
	function setEventStars(){
		$('.stars-group').each(function(ix,ev){
			$(ev).unbind();
			$(ev).find('[for^="star-"]').each(function(i,e){
				$(e).click(function(){ setCalf(ev,i,true); }).hover( function(){ setCalf(ev,i,true); }, function(){setCalf(ev,i,false);});
			});
		});
	}
	setEventStars();

	function setCalf(parent,i,set){
		var stars = $(parent).find('[for^="star-"] i.fa');
		stars.attr('class','fa fa-star-o');
		if(!set){
			var input = $(parent).find('input[id^="star-"]:checked');
			if(input.length)
				i = input.prop('defaultValue')-1;
			else
				i=0;
		}
		for(j=0;j<=i;j++){
			$(stars[j]).attr('class','fa fa-star');
		}
	}
	
	$('#form-review').on('submit', function(event) {
	event.preventDefault();
	var xdata = $('#form-review').serialize();
  	var inputsform = $('#form-review').find('input,button,textarea');
  	var error_class = 'border border-danger';
  	var modal_e = $('.modal-reg-errors');
  	$('input,textarea').removeClass(error_class);
  	var err_list = modal_e.find('ul.list-group');
    err_list.html('');
  	inputsform.attr('disabled',true);

  	$.post('<?= $URL_POST; ?>',xdata,function(data){
		let resp = data.split('--codereg--');
		let json = null;
		try{
			json = JSON.parse( resp[1] );
		}catch(err){
			alert(err.message);
		}

		if(json != null) {
			//console.log(json);
			if(json.error_val != null) {
				for(var error in json.error_val) {
				   var inputs = $('[name^="'+error+'"]');
				   var lerrores = json.error_val[error];
				   for(var index in lerrores){
				   	var input = $(inputs[index]);
				   	input.attr('title',lerrores[index]).addClass( error_class );
				    $('<li>',{class:'list-group-item text-danger',text:lerrores[index]}).appendTo(err_list);
				   }
				}
				modal_e.modal('show');
				inputs.attr('disabled',false);
			}

			if( !json.error ){
				window.location='<?= $_URLBASE; ?>ac-califica-experiencia.html<?=$xpar;?>';
			}else if(json.error_val == null){
				alert(json.msg);
			}
		}

		inputsform.attr('disabled',false);
		$('input,button,textarea').attr('disabled',false);
	});
	});

	$(document).ready(function() {

	    $('#form-images').on('submit', function(event) {
	        event.preventDefault();
	        $('.modal-images').modal('show');
	        $('.progress-bar').removeClass('d-none');
	        var formData = new FormData($(this)[0]);
	        $('.progress-bar').attr('aria-valuenow', 0).css('width', 0 + '%').text(0 + '%');

	        $.ajax({
	            xhr : function() {
	                var xhr = new window.XMLHttpRequest();
	                xhr.upload.addEventListener('progress', function(e) {
	                    if (e.lengthComputable) {
	                        var percent = Math.round((e.loaded / e.total) * 100);
	                        var bar = $('.progress-bar').attr('aria-valuenow', percent).css('width', percent + '%');

	                        if(percent < 100)
	                            bar.text(percent + '%');
	                        else
	                            bar.text('Completando...');
	                    }

	                });
	                return xhr;
	            },
	            type : 'POST',
	            url : '<?= $URL_POST; ?>',
	            data : formData,
	            processData : false,
	            contentType : false,
	            success : function(data) {
	            	$('.progress-bar').addClass('d-none');
	                let resp = data.split('--codereg--')[1];
		    		let json = null;
		    		try{
		    			json = JSON.parse( resp );
		    		}catch(err){
		    			console.log(err.message);
		    		}

		    		if(json != null) {
		    			console.log(json);
		    			if( !json.error ){
		    				if( json.cant_saved ){
		    					setImages(json.imgs_directory,json.cant_saved,json.grupo,json.grupov);
		    				}
		    			}

		    		}//if(json != null)

		    		$('.modal-images').modal('hide');
		    		setTimeout(()=>{
		    			$('.modal-images').modal('hide');
		    		},300);
	            }
	        });

	    });
	});
	function setImages(directory,cant,grupo,grupov) {
		var label_add = $('#images-review-box-'+grupo);
		console.log(label_add);
		var rand = Math.floor(Date.now() / 1000);
		var len = label_add.parent().find('span.img-del').length+1;
		var limit=len+cant;
		console.log(limit);
		for(var i=len;i<limit;i++){
			var div = $('<div>',{class:'box-image'});
			$('<img>',{src:directory+i+'.jpg?rand='+rand,class:'w-100 main-img-grup'}).appendTo(div);
			$('<span>',{class:'del img-del',html:'&times;','data-pos':i}).click(function(){eliminaImg(grupov,$(this));}).appendTo(div);
			div.insertBefore(label_add);
		}
	}

	function eliminaImg(grupov,el) {
		$.post('<?= $URL_POST; ?>',{
			'<?= $var_action; ?>':'<?= codVal('ELIMINAIMGS'); ?>',
			'img':el.attr('data-pos'),
			'<?= ev("id_sku"); ?>':grupov,
		},function(data){
			 let resp = data.split('--codereg--')[1];
	    		let json = null;
	    		try{
	    			json = JSON.parse( resp );
	    		}catch(err){
	    			console.log(err.message);
	    		}

	    		if(json != null) {
	    			console.log(json);
	    			if( !json.error ){
	    				el.parent().remove();
	    				var label_add = $('#images-review-box-'+json.grupo);
	    				var del = label_add.parent().find('span.img-del');
	    				console.log(del);
						var len = del.length;
						for(var i=0;i<len;i++){
							$(del[i]).attr('data-pos',(i+1));
						}
	    			}else{
	    				alert('error al eliminar');
	    			}

	    		}//if(json != null)
		});
	}
</script>