
<style>
	.filter{
		width:100%;
		border-top: 2px solid #6C7C8D;
		border-bottom: 2px solid #6C7C8D;
		padding: 0.5rem;
	}
</style>
<main class="main-content">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-7 col-sm-10">
				<div class="text-center">

					<div class="image mb-4 mt-0 mt-md-4">
						<img width="32%" src="<?= $_URLST; ?>images/mat9/apreton-de-manos.svg" alt="" class="">
					</div>

					<h4>PROVEEDORES</h4>

					<h6 >
						Sabemos que organizar una boda no es tarea fácil, por eso hemos creado alianzas con varios proveedores
						para poder hacerte el camino un poco más fácil y con descuentos exclusivos por ser cliente Matrimony.
					</h6>

					<? if(!$CLIEPROV_idCliente){ ?>
					<h5 class="mt-5 text-matrimony-primary"><b>Ingresa tu correo para poder acceder a las ofertas de los proveedores</b></h5>

					<form id="form-cliente-proveedor" method="POST">
						<div class="form-group">
							<input type="email" class="input-mt-1 py-2" placeholder="Ingresa tu correo electrónico" name="correo">
							<div class="d-flex justify-content-end mt-3">
								<div class="col-sm-5 col-6">
									<button id="btn-login" type="submit" class="btn-mt-dark">Ingresar</button>
								</div>
							</div>
						</div>
						<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
      					<input type="hidden" name="<?= $action_post; ?>" value="<?= $login_correo; ?>">
					</form>
					<? }else{ ?>
						<div class="text-center my-4 text-matrimony-primary">
							<h6 class="mb-0">Bienvenido</h6>
							<h5 class="text-matrimony-primary"><b><?= $CLIEPROV_nombre; ?></b></h5>
							<a href="<?= $oVis->url(); ?>?CLS=1" class="btn-mt-dark col-6 col-sm-4 mx-auto"><b>Cambiar cuenta</b></a>
						</div>
					<? } ?>
				</div>
			</div>
		</div>
	</div>

	<? $oVis->include_component("filter"); ?>

	<? $oVis->include_component("cards"); ?>

	<!-- modal no acceso ofertas -->
	<? $oVis->include_component("../modal-noacceso-ofertas"); ?>

	<? include_once($_PROYDIR_VIS."mod_info_pie.php"); ?>

	<script type="text/javascript">

		<? if($session_off){ ?>
			window.history.pushState("", "", '<?= $oVis->url(); ?>');
		<? } ?>

		$(document).ready(()=>{

			const form = $('#form-cliente-proveedor');
			const btnlogin = $('#btn-login');
			const error_class = 'border border-danger';

			form.on('submit', function(event){
		        event.preventDefault();
		        var formData = new FormData($(this)[0]);

		        $('.span-error').remove()
		        btnlogin.text('Ingresando...');
		        btnlogin.attr('disabled',true)
		        $('.input-val-s').removeClass(error_class);
		        
		        $.ajax({
		            type : 'POST',
		            url : '<?= $oVis->url(); ?>',
		            data : formData,
		            dataType: 'json',
		            processData : false,
		            contentType : false,
		            success : function(data){
		            	btnlogin.attr('disabled',false)
		            	btnlogin.text('Ingresar');
		            	console.log(data)

		            	switch(data.error){
		            		case 0:
		            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo(form)
		            			window.location='<?= $oVis->url(); ?>';
		            		break;

		            		case 1:
		            			if(data.errores!=null){
		            				for(var error in data.errores) {
									   var input = form.find('[name="'+error+'"]');
									   input.attr('title',data.errores[error]).addClass(error_class);
									   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent().parent())
									}
		            			}
		            		break;

		            		case 2:
		            			// $('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo(form)
		            			//demo
		            			$('.modal-no-acceso-ofertas').modal('show');
		            		break;
		            	}
		            },
		             error: function (jqXhr, textStatus, errorMessage) { // error callback 
		             	btnlogin.attr('disabled',false)
		             	btnlogin.text('Ingresar');
		             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
				        alert('Ocurrió un error.');
				    }
		        });

		    });


			$('.label-filter').each(function(i,e){
				$(e).click(function(){
					var fil = $(this).find('.filter-txt').text();
					var el = $($(this).data('for'));
					el.text(fil)
				});
			});

			$('.mci-trash').each(function(i,e){
				$(e).click(function(){
					var inpname = $(this).data('input');
					$('[name="'+inpname+'"]').prop('checked', false);

					var el = $($(this).data('for'));
					el.text('Todos');
				})
			});

			setTimeout(()=>{
				$('.filter-option').click();
			},1000)
		})
	</script>
</main>