<main class="h-75">
	<div class="container h-100">
		<div class="row h-100 w-100 align-items-center justify-content-center">
			<div class="col-md-6">
				<form id="form-contacto" class="card p-3">
					<input class="form-control input-val mb-2" email="text" name="<?= $correo_contacto; ?>" placeholder="Correo contacto">
					<input class="form-control input-val mb-2" text="text" name="<?= $nombre_contacto; ?>" placeholder="Nombre contacto">
					<input class="form-control input-val mb-2" text="text" name="<?= $nombre_negocio_proveedor; ?>" placeholder="Nombre negocio o proveedor">
					<input class="form-control mb-2" type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
					<input id="btn-registrar" class="btn-mt-dark" type="submit" value="Registrarse">
				</form>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade registro" tabindex="-1" role="dialog" aria-hidden="true" data-backdrop="static" data-keyboard="false">
	  <div class="modal-dialog" role="document">
	    <div class="modal-content">
	      <div class="modal-header border-0 pb-0">
	        <h4 id="title_resp" class="w-100 text-center modal-title"></h4>
	        <img src="<?= $_URLST; ?>images/close.svg" width="30" data-dismiss="modal">
	      </div>
	      <div class="modal-body">
	      	<h5 id="msg_resp" class="text-center"></h5>
	      </div>
	      <div class="modal-footer border-0">
	      	<button id="btn_resp" type="button" class="btn-mt-dark"></button>
	      </div>
	    </div>
	  </div>
	</div>

	<? include_once($_PROYDIR_VIS."mod_info_pie.php"); ?>
</main>


<script>
	$(document).ready(()=>{
		$('#form-contacto').on('submit', function(event){
	        event.preventDefault();
	        var formData = new FormData($(this)[0]);

	        $('#btn-registrar').val('Registrarse');
	        $('#error-list').remove()
	        $('.input-val').removeClass('border border-danger');

	        var modal = $('.registro');
	        var btnmodal=$('#btn_resp')
	        var error_class = 'border border-danger';

	        btnmodal.unbind();
	        
	        $.ajax({
	            type : 'POST',
	            url : '<?= $oVis->url(); ?>',
	            data : formData,
	            dataType: 'json',
	            processData : false,
	            contentType : false,
	            success : function(data){
	            	$('#resend-mail').remove();
	            	// console.log(data)
	            	$('#title_resp').text(data.resp)
	            	$('#msg_resp').html(data.msg)
	            	btnmodal.text(data.btn)

	            	switch(data.error){
	            		case 0:
	            			btnmodal.click(function(){window.location='ac-acceso-proveedores.html'})
	            		break;

	            		case 1:
	            			if(data.errores!=null){
	            				var list = $('<ul>',{id:'error-list',class:'list-group'});
	            				for(var error in data.errores) {
								   var input = $('[name="'+error+'"]');
								   input.attr('title',data.errores[error]).addClass(error_class);
								   $('<li>',{class:'list-group-item text-danger',text:data.errores[error]}).appendTo(list);
								}
								list.appendTo(modal.find('.modal-body'))
	            			}
	            			btnmodal.click(function(){
	            				modal.modal('hide');
	            			})
	            		break;

	            		case 2:
	            		//Mail not send
	            		$('#btn-registrar').val('Reenviar correo');
	            		$('<input>', {id:'resend-mail', type:'hidden', name: data.input, value: data.btn}).appendTo('#form-contacto');
	            		btnmodal.click(function(){
	            			modal.modal('hide');
	            		})
	            			
	            		break;
	            	}

	            	modal.modal('show');
	            },
	             error: function (jqXhr, textStatus, errorMessage) { // error callback 
	             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
			        alert('error');
			    }
	        });

	    });
	});
</script>