<div class="card border-0 mb-4">								
	<div class="px-3 pt-3 pb-0">
		<h4><b>Identificador del producto</b></h4>
	</div>

	<hr>

	<div class="p-3">
		<div class="form-group">
			<label class="text-dark"><b>SKU del producto</b></label>
			<div class="input-group">
				<input data-type-max="<?= $MAX_SKU; ?>" class="form-control text-uppercase url-format" data-mirror=".sku-producto" type="text" placeholder="Clave con la que identificaras tu producto..." name="<?= $var_sku ?>" value="<?= $EDITAR_sku; ?>">
			</div>
		</div>

		<div class="">
			<label class="text-dark"><b>Tiempo de entrega</b></label>

			<div class="form-group d-flex align-items-center">
				<label class="switch">
					<input id="inmediata" type="checkbox" <?= $EDITAR_dias_entrega?"":"checked"; ?> name="<?= $var_tipoentrega; ?>" value="1">
					<span class="slider round"></span>
				</label>
				<label for="inmediata" class="text-dark">&nbsp;&nbsp;Inmediato</label>
			</div>

			<input id="inpu_inmediata" class="form-control decimal-format"  type="text" placeholder="Ingresa los días para su entrega" name="<?= $var_diasentrega; ?>" value="<?= $EDITAR_dias_entrega; ?>">
		</div>
	</div>
	<script>
		$('#inmediata').on('change',function(){
			if( $(this).is(':checked') )
				$('#inpu_inmediata').val('0');
		});

		$('#inpu_inmediata').on('keyup',function(){
			if( !isNaN( $(this).val() ) && $(this).val() != '0')
				$('#inmediata').prop('checked',false);
		});
	</script>

	<hr>

	<div class="px-3 pb-3 pt-1">
		<div class="d-flex justify-content-center">
			<div class="col-lg-11">
				<button type="submit" class="btn btn-outline-primary btn-block py-2"><?= $LABEL_BTN_ACTION; ?></button>
			</div>
		</div>
	</div>
</div>