<!-- Modal -->
<div class="modal fade modal-productos-rel" tabindex="-1" role="dialog" aria aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Productos relacionados</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

      	<div class="lista-productos text-primary"></div>

      	<form id="form-busca-prod">
			<div class="input-group mb-3">
			  <input type="text" class="form-control form-control" placeholder="Buscar producto..." name="nombre_producto_buscar">
			  <input readonly="" type="hidden" name="<?= $POST_ACTION; ?>" value="<?= $ACTION_busca_producto_relacionado; ?>">
			  <div class="input-group-append">
			    <button class="btn btn-primary btn-sm" type="submit">
			    	<i class="fa fa-search"></i>
			    </button>
			  </div>
			</div>

			<div id="n-prods" class="text-primary mb-3"></div>
		</form>

        <div class="position-relative pb-4">

        	<form id="form-add-prod">
	        	<ul id="ul-lista-prods" class="list-group" style="max-height: 400px; overflow-y: scroll !important; overflow: hidden; ">
		        	
		  		</ul>
		  		<input readonly="" type="hidden" name="<?= $POST_ACTION; ?>" value="<?= $ACTION_agrega_prod_relacionado; ?>">
		  	</form>

        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cerrar</button>
        <? if($ID_PROD_EDITAR){ ?>
        <button onclick="$('#form-add-prod').submit();" class="btn btn-primary btn-sm btn-agregar">Agregar</button>
    	<? }else{ ?>
    		<button onclick="agregaProdsCheck();" class="btn btn-primary btn-sm btn-agregar">Agregar</button>
    	<? } ?>
      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-add-img-video" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Elige una opción</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
        	<div class="col-12">
        		<label for="images-cadena" id="btn-add-img" class="btn btn-outline-primary btn-block py-2">Cargar imágenes</label>
        	</div>
        	<div class="col-12 text-center">
        		ó
        	</div>
        	<div class="col-12">
				  <textarea id="input-youtube" rows="7" type="text" class="form-control mb-2" placeholder="Código youtube" required="true"></textarea>
				  <button id="btn-add-video" class="btn btn-outline-danger btn-block py-2">
				    <i class="fa fa-youtube"></i>Guardar
				  </button>
        	</div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary py-2 btn-sm" data-dismiss="modal">Cancelar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-reg-errors" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"><?= $LABEL_RESP_ERR; ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
		</ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-reg-created" data-keyboard="false" data-backdrop="static" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"><?= $LABEL_RESP_OK; ?></h5>
      </div>
      <div class="modal-body">
        <h6 class="resp"></h6>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-images" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">

      <div class="modal-header">
      </div>

      <div class="modal-body">

      	<div class="section">
		    <div class="progress" style="height: auto !important; ">
		       <div class="progress-bar bg-primary d-none" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
		      </div>
		</div>

      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-images-360" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">

      <div class="modal-body">

      	<div class="w-100">
      		<div class="image-360-container"></div>
      	</div>

      </div>

    </div>
  </div>
</div>