<style>
	body{
		background-color: #f4f7f9;
	}

	table td,table th {
		min-width: max-content;
		white-space: nowrap;
		line-height: 1.2rem;
	}
      
	#ui-datepicker-div{
		background: rgb(255, 255, 255) none repeat scroll 0% 0%;
		border-radius: 4px;
		box-shadow: rgba(0, 0, 0, 0.5) 1px 1px 7px -3px;
	}
	.ui-datepicker-title{text-align: center;}
	div.ui-datepicker-header a.ui-datepicker-next::after,
	div.ui-datepicker-header a.ui-datepicker-prev::after{
		display: flex;
		justify-content: center;
	}
	div.ui-datepicker-header a.ui-datepicker-next{right: 0.8rem !important;}
	div.ui-datepicker-header a.ui-datepicker-prev{left: 0.8rem !important;}
	table.ui-datepicker-calendar tbody td, table.ui-datepicker-calendar thead th{
		padding: 0rem 0.7rem !important;
		font-size: 16px !important;
	}
	table.ui-datepicker-calendar tr{
		height: 40px !important;
	}

</style>
<main class="main-content">
	<div class="container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-clientes.html" class="text-dark">Clientes</a></h4>
			</div>
		</div>

		<form method="get" id="form-cant">
			<div class="form-group">
				<label class="color-dark">
					Cantidad ver
				</label>
				<select name="CANT_VER" onchange="$('#form-cant').submit();">
					<option <?= $CANT_VER==10?"selected":""; ?> value="10">10</option>
					<option <?= $CANT_VER==25?"selected":""; ?> value="25">25</option>
					<option <?= $CANT_VER==50?"selected":""; ?> value="50">50</option>
					<option <?= $CANT_VER==100?"selected":""; ?> value="100">100</option>
				</select>
				<b> <?= $oClie->total_registros; ?> registros en total</b>
				<? //if($oClie->total_registros && $_GET['showcsv']){ ?>
				<? if($oClie->total_registros){ ?>
				<a href="<?= $_THIS_URL."?".$filtros; ?>&csv=clientes">
					<b class="pull-right text-primary">
						<i class="fa fa-download" aria-hidden="true"></i> Descargar <span><?= $oClie->total_registros; ?> registros</span>
						<i class="fa fa-file-excel-o" aria-hidden="true"></i>
					</b>
				</a>
				<? } ?>
			</div>
		</form>

		<div class="row mb-4">
			<div class="col-12">
				<div class="card border-0">

					<div class="row justify-content-center align-items-centerSSS p-3">
						<div class="col-md-6 col-lg-4">
							<h4 class="mb-0"><b>Clientes</b></h4>
						</div>

						<div class="col-md-6 col-lg-3">
							<a href="<?= $_URLBASE; ?>acsis-nuevo-cliente.html" class="btn btn-outline-primary btn-block btn-sm py-2">Nuevo cliente</a>
						</div>

						<form method="get" class="col-lg-5" id="form-clie">
							<input type="text" name="SRCH" id="input-srch" class="form-control input-cus-1" placeholder="Buscar nombre o correo" value="<?= $SRCH; ?>">
							<div class="d-flex justify-content-end mt-3">
								<div class="d-flex">
									<div class="pr-1">
										<div>Fecha inicio:</div>
										<input  type="text" autocomplete="off" class="form-control input-cus-1 datepicker" placeholder="Fecha inicio" name="F1" value="<?= $F1; ?>">
									</div>
									<div class="pl-1">
										<div>Fecha fin:</div>
										<input type="text" autocomplete="off" class="form-control input-cus-1 datepicker" placeholder="Fecha fin" name="F2" value="<?= $F2; ?>">
									</div>
								</div>
								<div>
									<div>Pedido:</div>
									<select class="form-control" name="PED" onchange="$('#form-clie').submit();">
										<option <?= !$_GET['PED']?"selected":""; ?> value="">Todos</option>
										<option <?= $_GET['PED']=="1"?"selected":""; ?> value="1">Con pedido</option>
										<option <?= $_GET['PED']=="2"?"selected":""; ?> value="2">Sin pedido</option>
									</select>
								</div>
							</div>
						</form>
					</div>

					<hr class="m-0">

					<div class="p-4">
						<? if($clientes){ ?>
						<div class="FixedHeightContainer">
		  					<div class="content-table-mat table-preloader">
								<table class="table table-1 text-dark">
									<thead>
										<tr>
											<th class="border-0"><div>Fecha</div></th>
											<th class="border-0"><div>Nombre</div></th>
											<th class="border-0"><div>Correo</div></th>
											<th class="border-0"><div>Pedidos</div></th>
											<th class="border-0"><div>Compras</div></th>
											<th class="border-0"></th>
											<th class="border-0"></th>
										</tr>
									</thead>
									<tbody>
										<? 
										foreach($clientes as $c => $cliente){
										 	extract($cliente,EXTR_PREFIX_ALL,"clie");
										 	$idcod = codVal($clie_idReg);
										 	$id = urlencode($idcod);

										 	$date = date_create($clie__fechaIns);
									        $fecha = strftime("%A %d de %B del %G", strtotime($clie__fechaIns)); 
									        $hora = date_format($date, 'g:i:s A');
										 ?>
										<tr id="tr-row-<?= $c; ?>">
											<td class="border-0" width="20%"><?= $fecha."<br>".$hora; ?></td>
											<td class="border-0" width="20%"><?= $clie_nombre; ?></td>
											<td class="border-0 text-primary" width="20%"><?= $clie_correo; ?></td>
											<td class="border-0" width="15%"><?= $clie_pedidos*1; ?> Pedido<?=$clie_pedidos!=1?"s":"";?></td>
											<td class="border-0" width="15%">$<?= number_format($clie_total,2); ?></td>
											<td class="border-0 text-right" width="20%">
												<a target="_blank" class="text-primary" href="<?= $URL_VENT_CLIENTE; ?>?id=<?= $id; ?>">Crear venta</a>
											</td>
											<td class="border-0 text-right" width="10%">
												<a class="text-primary" href="<?= $URL_DESC_CLIENTE; ?>?id=<?= $id; ?>">Editar</a>
											</td>
											
										</tr>
										<? } ?>
									</tbody>
								</table>
							</div>
							<div class="header-fixed"></div>
						</div>

						<? if($fin_paginador>=1){?>
						<div class="pager">
							<nav aria-label="Page navigation example">
							  <ul class="pagination mb-0">
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?".$filtros; ?>" aria-label="Previous">
							        <span aria-hidden="true">&laquo;</span>
							        <span class="sr-only">Previous</span>
							      </a>
							    </li>

							    <?php if($inicio_paginador>1){?>
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($inicio_paginador-1)."&".$filtros; ?>" aria-label="Previous">
							        <span aria-hidden="true">&lsaquo;</span>
							        <span class="sr-only">Previous</span>
							      </a>
							    </li>
								<?php } ?>

							    <?php for($i = $inicio_paginador; $i<=$fin_paginador; $i++){?>
							    	<li class="page-item <?= ($PAG==$i || ($i==1 && !$PAG))?'active':'';?>"><a class="page-link" href="<?= $_THIS_URL."?PAG=$i"."&".$filtros; ?>"><?= $i; ?></a></li>
							    <?php }?>

							    <li class="page-item"><a class="page-link">...</a></li>

							    <li class="page-item"><a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>">
							    	<?= $total_paginas; ?></a>
							    </li>

							    <?php if($fin_paginador < $total_paginas){?>
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($fin_paginador+1)."&".$filtros; ?>" aria-label="Next">
							        <span aria-hidden="true">&rsaquo;</span>
							        <span class="sr-only">Next</span>
							      </a>
							    </li>
							    <?php }?>

							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>" aria-label="Next">
							        <span aria-hidden="true">&raquo;</span>
							        <span class="sr-only">Next</span>
							      </a>
							    </li>

							  </ul>
							</nav>
						</div>
						<? } ?>

						<? }else{ ?>
							<? if($SRCH){ ?>
								<h4>No se encontró cliente <span class="text-primary"><?= $SRCH; ?></span></h4>
								<a href="<?= $_THIS_URL; ?>" class="btn-matrimony">Ver todos</a>
							<? } else{ ?>
								<h4>Sin clientes</h4>
							<? } ?>
						<? } ?>

					</div>

				</div>
			</div>
		</div>
		
	</div>
</main>
<script>
$(document).ready(function() {
	$('.datepicker').each(function(i,e){
		$(e).datepicker({
	        dateFormat: 'yy-mm-dd',
	        showOtherMonths: true,
	        // minDate: 0,
	        maxDate:0,
	        onSelect: function() {
		       $('#form-clie').submit();
		    }
	    });
	});

	$('#input-srch').keypress(function (ev) {
            var keycode = (ev.keyCode ? ev.keyCode : ev.which);
            if (keycode == '13') {
                $('#form-clie').submit();
            }
        })
});
</script>