<main class="main-content">
	<div class="container rapp-container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-clientes.html" class="text-dark">Clientes</a>
				 > <a class="text-dark"><?= $dc_correo; ?></a>
				</h4>
			</div>
		</div>

		<div class="row">

			<div class="col-lg-4">
				<div class="sidebar-stiky">
					<div class="card border-0">
						<div class="pt-3 px-2">
							<h5 class="px-2">Resumen del cliente</h5>
							<table class="table text-dark lh-1-3em">
								<tbody>
									<tr>
										<td class="border-0 py-2">ESTADO</td>
										<td class="border-0 py-2"><span class="text-<?= $dc_estatusclass; ?>"><?= $dc_strestatus; ?></span></td>
									</tr>
									<tr>
										<td class="border-0 py-2">FECHA DE REGISTRO</td>
										<td class="border-0 py-2"><?= $fecha_reg; ?></td>
									</tr>
									<tr>
										<td class="border-0 py-2">TOTAL</td>
										<td class="border-0 py-2"><?= "$".number_format($dc_total,2); ?></td>
									</tr>
									<tr>
										<td class="border-0 py-2">SALDO</td>
										<td class="border-0 py-2"><span class="text-danger saldo-resto"><?= "$".number_format($dc_saldo,2); ?></span></td>
									</tr>
									<tr>
										<td class="border-0 py-2">ACCESO OFERTAS PROVEEDORES</td>
										<td class="border-0">
											<div class="row align-items-center px-3">
												<button id="btn-acceso-ofertas" class="btn btn-block p-1 btn-<?= $clie_acceso_ofertas_prov? 'primary':'info'; ?>">
													<?= $clie_acceso_ofertas_prov? 'Desactivar':'Activar'; ?>
												</button>
											</div>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>

					<div class="card border-0 mt-3">
						<div class="p-3">
							<h5>Dirección de entrega</h5>
							<div class="lh-1-3em text-dark">
								<?if($direcciones_pedido)
								{
									foreach($direcciones_pedido as $ix=> $dir){
										extract($dir,EXTR_PREFIX_ALL,"dir");
										$idp = codVal($dir_idPedido);
										$info_envio = "
											$dir_nombre <br>
											$dir_telefono <br>
											$dir_correo <br>
											$dir_calle, $dir_num_i - $dir_num_e, $dir_colonia<br>
											$dir_delegacion, $dir_cp, $dir_ciudad, $dir_estado  <br>
										";
								?>
								<div <?= isset($direcciones_pedido[$ix+1])?"class='mb-3'":""; ?>><?= $info_envio; ?>
									<div><a class="text-primary" data-dir-ped="<?= $idp;?>">Editar</a></div>
								</div>
								<?
									}
								}
								?>
							</div>
							<a hrefx="" class="text-primary d-none">Editar</a>
						</div>
					</div>
				</div>
			</div>

			<div class="col-lg-8 pl-0">
				<div class="card border-0">
					<div class="py-3 px-2">
						<h5 class="px-2">Cliente</h5>
						<table class="table text-dark lh-1-3em">
							<tbody>
								<tr>
									<td class="border-0 py-1">NOMBRE</td>
									<td class="border-0 py-1"><span class="data"><?= $dc_nombre; ?></span> <span data-clie-edit="name" class="set text-primary">Editar</span></td>
								</tr>
								<tr>
									<td class="border-0 py-1">CORREO</td>
									<td class="border-0 py-1"><span class="data"><?= $dc_correo; ?></span> 
										<? if($clie_correo==$correo_nuevo){ ?>
										<span data-clie-edit="email" class="set text-primary">Editar</span>
										<? } ?>
									</td>
								</tr>
								<tr>
									<td class="border-0 py-1">TELÉFONO</td>
									<td class="border-0 py-1"><span class="data"><?= $dc_telefono; ?></span> 
										<span data-clie-edit="phone" class="set text-primary">Editar</span>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>

				<div class="card border-0 mt-3">

					<div class="row justify-content-center align-items-center p-3">
						<div class="col-6 col-lg-7">
							<h4 class="mb-0"><b>Ventas</b></h4>
						</div>

						
						<div class="col-6 col-lg-5">
							<? if(!($dc_correo==$correo_nuevo || $dc_correo==$correo_nuevo_base)){ ?>
							<div class="d-flex text-center">
								<a href="<?= $URL_VENT_CLIENTE; ?>" class="btn-matrimony btn-block">Crear venta</a>
							</div>
							<? } ?>
						</div>
					</div>

					<div id="table-ventas" class="p-3">
						<table id="ventas" class="table text-dark">
							<thead>
								<tr class="text-center">
									<th class="border-0">Fecha</th>
									<th class="border-0">ID</th>
									<th class="border-0">Estado</th>
									<th class="border-0">Importe</th>
									<th class="border-0">Saldo</th>
								</tr>
							</thead>
							<tbody class="text-center">
								<? 
								foreach($pedidos as $k => $pedido){
								 	extract($pedido,EXTR_PREFIX_ALL,"ped");
								 	$date = date_create($ped_fecha);
							        $fecha = strftime("%d de %B del %G", strtotime($ped_fecha)); 
							        $hora = date_format($date, 'g:i:s A');

							        $sing = $ped_saldo<1?"-":"+";
							        $saldo = abs($ped_saldo);

								 ?>
								<tr data-id="<?= urlencode(codVal($ped_id)); ?>">
									<td class="border-0" width="30%"><?= $fecha." ".$hora; ?></td>
									<td class="border-0" width="10%"><?= $ped_id; ?></td>
									<td class="border-0" width="10%">
										<b class="text-<?= $ped_estatusclass; ?>"><?= $ped_estatusv2; ?></b>
									</td>
									<td class="border-0" width="10%">$<?= number_format($ped_importe,2); ?></td>
									<td class="border-0" width="10%"><?= $sing; ?>$<?= number_format($saldo,2); ?></td>
								</tr>
								<? } ?>
							</tbody>
						</table>
					</div>
				</div>
			</div>

		</div>
		
	</div>
</main>

<!-- Modal -->
<div class="modal fade" id="modal-direccion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header border-0">
        <h5 class="modal-title" id="exampleModalLabel">Dirección</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        demo
      </div>
      <div class="modal-footer border-0">
        <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cancelar</button>
        <button id="continue-button" type="button" class="btn btn-primary btn-sm">Guardar</button>
      </div>
    </div>
  </div>
</div>

<div id="base" class="d-none">
	<div class="input-group">
	  <input type="text" class="form-control py-0">
	  <div class="input-group-append">
	    <button class="input-group-text btn btn-primary btn-sm py-1 save">Guardar</button>
	    <button class="input-group-text btn btn-danger btn-sm py-1 cancel">Cancelar</button>
	  </div>
	</div>
</div>

<script>

$(document).ready(()=>{
	
		$('#btn-acceso-ofertas').click(function(){
			const btn = $(this);
			const cliente = '<?= $idcod; ?>';
			if(!cliente) return false

			const text = $.trim(btn.text())

			btn.attr('disabled',true).text('Espere...')

			$.post('<?= $oVis->url(); ?>',{
				<?= $action_post; ?>:'<?= $activa_oferta; ?>',
				<?= $tokenForm; ?>:'<?= $_SESSION['tokenForm']; ?>',
				cliente:cliente
			},function(data){
				btn.attr('disabled',false);
				let json = null;
				try{
					json = JSON.parse(data)
				}catch(error){
					btn.text(text);
					console.log('Error',error)
					alert('Ocurrió un error inesperado.');
				}
				if(json != null){
					if(!json.error){
						btn.text(json.nextText);
						btn.removeClass('btn-primary btn-info');
						btn.addClass(`btn-${json.nextClass}`)
					}else{
						alert(json.msg);
					}
				}
				// console.log(json)
				// console.log(json.error)
			})
		})
	
})

var required = 0;
var clearcp = 0;
var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}

function infoLength(){
	var ix = 0;
	$('input.required').each(function(i,e){
		if(  $.trim($(e).val()) != '' )
			ix++;
	});
	//console.log(ix +'=='+ required);
	if(ix == required)
		bcontinue();
	else
		$('#continue-button').attr('disabled',true);
}

function bcontinue(){
	$('#continue-button')
	.unbind()
	.attr('disabled',false)
	.click(function(){
		validateInfo();
	});
}

function validateInfo()
{
	$('span.form-err').remove();
	let info = $('#form-info-envio').serialize();
	$('#continue-button').attr('disabled',true);
	$.post('<?= $URLPOST; ?>',info,function(data){
		$('#continue-button').attr('disabled',false);

		let r = data.split('--codeup--')[1];
	    let json = JSON.parse(r);
	    console.log(json);

	    let lista_errors = $('.modal-errores .list-group');
		  lista_errors.html('');

	    //console.log(json);
	    

	    if(json.error==0){
	    	$('#modal-direccion').modal('hide');
	   	}
	   	else{
	   		let errores = json.errores;
	   		alert(errores);
				// let campos = Object.keys(errores);

				// for(var i = 0; i< campos.length; i++){
				// 	$('<span>',{class:'form-err',text:errores[campos[i]]})
				// 	.appendTo($('#'+campos[i]).parent());
				// }
				
	   	}
	});
}

function searchCp(cp,func)
{
	var bmsg = 'Buscando...';
	setInfo(bmsg,bmsg,bmsg,bmsg);
	$.post('<?= $URLPOST; ?>',{
		<?= $POST_ACTION ?>: '<?= codVal("INFOCP"); ?>',
		<?= ev("clearcp");?>: clearcp,
		<?= ev("cp");?>:  cp
	},function(data){
		let r = data.split("--codeup--")[1];
		let json = JSON.parse(r);

		$('.colonias').html('');
		$('#colonia').val('');
		infoLength();

		if(json.error==1){
			let nor = '<a class="dropdown-item">Escribe otro código postal</a>';
			$('.colonias').html(nor);
			setInfo('','','','Error CP: '+cp);
		}

		if(json.error==0){
			let info = json.infocp;
			setInfo(info.ciudad,info.municipio,info.estado,'Selecciona');

			let colonias = json.colonias;
			let ids = Object.keys(colonias)
		
			for(var i=0; i<ids.length;i++){
				var col = colonias[ids[i]];
				$('<a>',{class:'dropdown-item',text:col})
				.click(function(){
					$('.colinia-selected span.res').html($(this).text());
					$('#colonia').val($(this).text());
					infoLength();
				}).appendTo($('.colonias'));
			}

			if (typeof func === 'function'){
				func();
			}
		}
	});

	clearcp = 1;
}

function setInfo(cd,mun,edo,aux)
{
	$('.dir_ciudad').val(cd);
	$('.dir_mun').val(mun);
	$('.dir_edo').val(edo);
	$('.colinia-selected span.res').html(aux);
}


$('[data-dir-ped]').each(function(i,e){
	$(e).click(function(){
		var modal = $('#modal-direccion');
		var ped = $(this).data('dir-ped');
		modal.find('.modal-body').html('<h5 class="text-center">Cargando...</h5>');
		modal.find('#continue-button').unbind();
		modal.modal('show');
		$.post('<?= $URLPOST; ?>',{<?= $POST_ACTION; ?>:'<?= codVal("GETDIR"); ?>',ped:ped},function(data){
				var r=data.split('--codeup--');
				var json = JSON.parse(r[1]);
				if(!json.error)
					modal.find('.modal-body').html(r[2])
				else
					modal.find('.modal-body').html('<h5 class="text-center text-danger">Error al cargar</h5>');
		});
	});
});

function setEvent(){
	$('span[data-clie-edit].set').each(function(i,e){
		$(e).removeClass('set')
		.click(function(){
			var p = $(this).parent();
			var pre = p.html();
			var data = p.children('span.data').text();
			var t = $(this).data('clie-edit');
			p.html($('#base').html());
			p.find('input').val(data);
			p.find('input').attr('maxlength','50');

			if(t=='phone'){
				p.find('input').on('keypress',function(e){
					return isNumeric(e);
				});
				p.find('input').attr('maxlength','10');
			}

			var cancel = function(val){
				p.html(pre);
				p.find('span[data-clie-edit]').addClass('set');
				p.children('span.data').text(val);
				setEvent();
			}
			p.find('.save').click(function(){
				var val = p.find('input').val();
				var btn = $(this);

				btn.attr('disabled',true);
				p.find('.cancel').attr('disabled',true);
		
				$.post('<?=$URLPOST;?>',{val:val,cmp:t,<?= $POST_ACTION; ?>:'<?= codVal("SAVEEDIT"); ?>'},function(data){

					btn.attr('disabled',false);
					p.find('.cancel').attr('disabled',false);

					var r = data.split('--codeup--')[1];
					var json = JSON.parse(r);

					if(!json.error)
						cancel(json.val);
					else
						alert(json.msg);
				});
			});
			p.find('.cancel').click(function(){
				cancel();
			});
		});
	});
}
setEvent();

$(document).ready(function() {

	

	$('table#ventas tbody tr').click(function(){
		var id = $.trim($(this).attr('data-id'))
		window.open('<?= $URL_DESC_VENTA; ?>?id='+id);
	});
});
</script>