<style>
	body{
		background-color: #f4f7f9;
	}
	.cupon{
    	border: 1px solid gray;
	    border-radius: 10px;
	    padding: 1.3rem 0.5rem;
	    display: flex;
	    max-width: 420px;
    }

    .btn-cupon{
    	background-color: #f8f8f8;
    	background-color: #fff;
	    border-style: dashed;
	    border-color: #6C7C8D;
	    width: 100%;
	    border-radius: 20px;
	    padding: 0.2rem;
	    font-weight: 700;
	    color: #6C7C8D;
	    font-size: 16px;
    }

    .modal-body-sucursal.loading:before{
    	content: "Cargando...";
	    text-align: center;
	    width: 100%;
	    display: block;
	    font-weight: 700;
	    font-size: 1.2rem;
	    color: #6C7C8D;
    }
    .modal-body-sucursal.loading.error:before{
    	content: "Error al cargar datos" !important;
    }

    .modal-body-sucursal.loading .content-form{
    	display: none;
    }

</style>
<main class="main-content admin">
	<div class="container rapp-container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-proveedores.html" class="text-dark">Proveedores</a> 
				 > <a class="text-dark"><?= $neg_nombre_negocio; ?></a>
				</h4>
			</div>
		</div>

		<div class="row">

			<div class="col-xl-4">
				<? $oVis->include_component("resumen-proveedor"); ?>
			</div>

			<div class="col-xl-8 pl-0">
				<? $oVis->include_component("informacion-contacto"); ?>
				<? 
					if($neg_creado_desde == 1){
						$oVis->include_component("foto-perfil-portada"); 
					}
				?>
				<? $oVis->include_component("ofertas"); ?>
			</div>

		</div>
		
	</div>
	<form id="form-img-marca">
		<input id="input-marca-img" class="d-none" type="file" name="img_marca[]" accept="image/jpg, image/jpeg, image/png" (change)="getFile($event)" onchange="sendImg(this)">
		<input type="hidden" name="<?= $tokenForm; ?>" value="<?= $_SESSION['tokenForm']; ?>">
		<input type="hidden" name="<?= $action_post; ?>" value="<?= $action_img; ?>">
	</form>

	<? $oVis->include_component("../../../_principal/components/crea-marca/modales-crea-marca"); ?>
	<script type="text/javascript">

		 var chars = "0123456789abcdefghijklmnopqrstuvwxyz!@#$%^&*()ABCDEFGHIJKLMNOPQRSTUVWXYZ";
		 var passwordLength = 12;

		 const generateRandomPassword = () =>{
		 	var password = "";
		 	for (var i = 0; i <= passwordLength; i++) {
			   var randomNumber = Math.floor(Math.random() * chars.length);
			   password += chars.substring(randomNumber, randomNumber +1);
			  }

			  return password;
		 }

		 var _URL = window.URL || window.webkitURL;
		function sendImg(img){

			const bytesToMegaBytes = bytes => bytes / (1024 ** 2);

			var file, img;
		    if ((file = img.files[0])) {
		        img = new Image();
		        var objectUrl = _URL.createObjectURL(file);
		        img.onload = function () {
		            if(this.width > 2000 ||  this.height > 2000){
		            	alert('Las dimenciones del archivo deben ser menor a 2000px');
		            }else if(bytesToMegaBytes(file.size) > 2){
		            	alert('El archivo no puede ser mayor a 2MB');
		            }else{
		            	$('#form-img-marca').submit();	
		            }
		            
		            _URL.revokeObjectURL(objectUrl);
		        };
		        img.src = objectUrl;
		    }
		}

		let currentColonia = '';
		$(document).ready(()=>{
			$('#change-status-prov').click(function(){
				const btn = $(this);
				const estatus = $('#status-prov')
				const beforeText = $.trim(estatus.text());
				const sttext = beforeText.toLowerCase();
				let afterText = 'Activo';
				let nextClass= 'text-success';
				let st = 1;
				if(sttext === 'activo'){
					afterText = 'Inactivo';
					nextClass= 'text-warning';
					st = 0;
				}

				estatus.html('<b>Actualizando...</b>');

				const afterChange = (resp) => {
					if(!resp.error){
						estatus.attr('class',nextClass);
						estatus.html(afterText);
					}else{
						estatus.html(beforeText);
					}
				}
				updateCmp('<?= $cmp_estatus; ?>',st,afterChange,false);

			});

			$('[data-cat-prov]').each(function(i,e){
				$(e).click(function(){					
					const el = $(this);
					const ecat = $('#current-cat');
					const cat = $.trim(el.data('cat-prov'));
					const beforeText = ecat.text();
					const nextText = el.text();

					ecat.html('<b>Actualizando...</b>');

					const afterChange = (resp) => {
						if(!resp.error){
							$('.cat-proveedor').removeClass('active');
							el.addClass('active');
							ecat.html(nextText)
						}else{
							ecat.html(beforeText)
						}
					}
					updateCmp('<?= $cmp_idCat; ?>',cat,afterChange,false);
				});
			});

			$('[data-clie-edit]').each(function(i,e){
				$(e).click(function(){
					const btn = $(this);
					const container = btn.parent();
					const cmp = btn.data('clie-edit');
					const element = container.find('span.data');
					btn.addClass('d-none');
					element.addClass('d-none');

					let beforeText = element.text();
					const cancel = () => {
						btn.removeClass('d-none');
						element.removeClass('d-none');
						container.find('.temporal-div').remove();
					}

					const isPassword = btn.hasClass('pass');
					if(isPassword){
						beforeText = "";
					}

					const div = $('<div>',{class:'d-flex temporal-div'});
					const type = btn.hasClass('email')?'email':'text';
					$('<input>',{
						type:type,required:true, class:'input-cus-1 py-1',value:beforeText,'maxlength':(btn.hasClass('phone')?10:200)
					}).appendTo(div);
					$('<button>',{text:'Cancelar', class:'btn-sm btn-danger p-1',})
					.click(function(){
						cancel();
					}).appendTo(div);
					if(isPassword){
						$('<button>',{text:'Generar clave aleatoria', class:'btn-sm w-75 btn-info p-1'})
						.click(function(){
							const pass = generateRandomPassword();
							btn.parent().find('input').val(pass);
						}).appendTo(div);
					}
					$('<button>',{text:'Guardar', class:'btn-sm btn-primary p-1',})
					.click(function(){
						const input = $(this).parent().find('input');
						const afterText = $.trim(input.val());
						const afterSave = (resp) => {
							if(!resp.error){
								element.text(afterText);
								cancel();
							}
						}

						updateCmp(cmp,afterText,afterSave,false);
					}).appendTo(div);
					div.appendTo(container);
				});
			});

			$('[data-sucursal]').each(function(i,e){
				$(e).click(function(){
					const modal = $('.modal-editar-sucursal');
					const mbody = modal.find('.modal-body-sucursal')
					mbody.removeClass('error');
					mbody.addClass('loading');
					modal.modal('show');

					const afterGet = (resp) => {
						if(!resp.error){
							mbody.removeClass('loading error');
							setDataSuc(resp.data);
						}else{
							mbody.addClass('error');
						}
					}
					const suc = $(this).data('sucursal');
					$(`input[name='<?= $s_idSucursal; ?>']`).val(suc);
					sendPost(suc,'get',afterGet);
				});
			});

			$('[data-sdelete]').each(function(i,e){
				$(e).click(function(){
					const card = $(this).parent();
					const sucursal = $(this).data('sdelete');

					card.addClass('deleting');

					const afterDelete = (resp) => {
						card.removeClass('deleting');
						if(!resp.error){
							card.addClass('deleted');
							setTimeout(() => {
								card.remove()	
							},600)
						}
					}
					updateCmp('<?= codVal("ELIMINASUCUR"); ?>',sucursal,afterDelete,false);
				})
			})

			$('[data-ofrdelete]').each(function(i,e){
				$(e).click(function(){
					const cupon = $(this).parent();
					const oferta = $(this).data('ofrdelete');

					cupon.addClass('deleting');

					const afterDelete = (resp) => {
						cupon.removeClass('deleting');
						if(!resp.error){
							cupon.addClass('deleted');
							setTimeout(() => {
								cupon.parent().remove()	
							},600)
						}
					}
					updateCmp('<?= codVal("ELIMINAOFERTA"); ?>',oferta,afterDelete,false);
				})
			})

			$('#form-editar-sucursal').on('submit', function(event){
		        event.preventDefault();
		        var error_class = 'border border-danger';
		        //var formData = $('#form-editar-sucursal').serialize();
		        var formData = $("#form-editar-sucursal").serializeArray();

		        $('.span-error').remove()
		        var btnsave = $('#btn-edita-sucursal');

		        btnsave.text('Guardando...');
		        btnsave.attr('disabled',true)
		        $('.input-val-s').removeClass(error_class);

		        const afterSave = (data) => {

		        	btnsave.attr('disabled',false)
		            btnsave.text('Guardar');
		            console.log(data)

		        	switch(data.error){
	            		case 0:
	            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo('#form-editar-sucursal')
	            			window.location='<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>';
	            		break;

	            		case 1:
	            			if(data.errores!=null){
	            				for(var error in data.errores) {
								   var input = $('#form-editar-sucursal').find('[name="'+error+'"]');
								   input.attr('title',data.errores[error]).addClass(error_class);
								   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent().parent())
								}
	            			}
	            		break;

	            		case 2:
	            			$('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo('#form-editar-sucursal')
	            		break;
	            	}
		        }

		        // console.log('formData',formData);
	            sendPost(formData,'savesuc',afterSave);
		    });

		    $('#form-sucursal').on('submit', function(event){
		        event.preventDefault();
		        var error_class = 'border border-danger';
		        var formData = new FormData($(this)[0]);

		        $('.span-error').remove()
		        var btnsave = $('#btn-guarda-sucursal');

		        btnsave.text('Guardando...');
		        btnsave.attr('disabled',true)
		        $('.input-val-s').removeClass(error_class);
		        
		        $.ajax({
		            type : 'POST',
		            url : '<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>',
		            data : formData,
		            dataType: 'json',
		            processData : false,
		            contentType : false,
		            success : function(data){
		            	btnsave.attr('disabled',false)
		            	btnsave.text('Guardar');
		            	console.log(data)

		            	switch(data.error){
		            		case 0:
		            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo('#form-sucursal')
		            			window.location='<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>';
		            		break;

		            		case 1:
		            			if(data.errores!=null){
		            				for(var error in data.errores) {
									   var input = $('#form-sucursal').find('[name="'+error+'"]');
									   input.attr('title',data.errores[error]).addClass(error_class);
									   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent().parent())
									}
		            			}
		            		break;

		            		case 2:
		            			$('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo('#form-sucursal')
		            		break;
		            	}
		            },
		             error: function (jqXhr, textStatus, errorMessage) { // error callback 
		             	btnsave.attr('disabled',false)
		             	btnsave.text('Guardar');
		             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
				        alert('Ocurrió un error al guardar los datos.');
				    }
		        });

		    });

		    $('#form-social').on('submit', function(event){
		        event.preventDefault();
		        var error_class = 'border border-danger';
		        var formData = $("#form-social").serializeArray();

		        $('.span-error').remove()
		        var btnsave = $('#btn-update-social');

		        btnsave.text('Actualizando...');
		        btnsave.attr('disabled',true)
		        //$('.input-val-s').removeClass(error_class);

		        const afterSave = (data) => {

		        	btnsave.attr('disabled',false)
		            btnsave.text('Guardar');
		            console.log(data)

		        	switch(data.error){
	            		case 0:
	            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo('#form-social')
	            			window.location='<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>';
	            		break;

	            		case 2:
	            			if(data.errores!=null){
	            				for(var error in data.errores) {
								   var input = $('#form-social').find('[name="'+error+'"]');
								   input.attr('title',data.errores[error]).addClass(error_class);
								   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent())
								}
	            			}
	            		break;

	            		case 1:
	            			const span2 = $('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo('#form-social')
	            			setTimeout(()=>{
	            				span2.remove();
	            			},3000)
	            		break;
	            	}
		        }

		        // console.log('formData',formData);
	            sendPost(formData,'updatesocial',afterSave, '<?= $action_social; ?>');
		    });

		    $('#form-oferta').on('submit', function(event){
		        event.preventDefault();
		        var error_class = 'border border-danger';
		        var formData = new FormData($(this)[0]);

		        $('.span-error').remove()
		        var btnsave = $('#btn-guarda-oferta');

		        btnsave.text('Guardando...');
		        btnsave.attr('disabled',true)
		        $('.input-val-ofr').removeClass(error_class);
		        
		        $.ajax({
		            type : 'POST',
		            url : '<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>',
		            data : formData,
		            dataType: 'json',
		            processData : false,
		            contentType : false,
		            success : function(data){
		            	btnsave.attr('disabled',false)
		            	btnsave.text('Guardar');
		            	console.log(data)

		            	switch(data.error){
		            		case 0:
		            			$('<span>',{class:'text-success span-error text-center mb-3',text:data.msg}).appendTo('#form-oferta')
		            			window.location='<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>';
		            		break;

		            		case 1:
		            			if(data.errores!=null){
		            				for(var error in data.errores) {
									   var input = $('#form-oferta').find('[name="'+error+'"]');
									   input.attr('title',data.errores[error]).addClass(error_class);
									   $('<span>',{class:'text-danger span-error', text:data.errores[error]}).appendTo(input.parent().parent())
									}
		            			}
		            		break;

		            		case 2:
		            			$('<span>',{class:'text-danger span-error text-center mb-3',text:data.msg}).appendTo('#form-oferta')
		            		break;
		            	}
		            },
		             error: function (jqXhr, textStatus, errorMessage) { // error callback 
		             	btnsave.attr('disabled',false)
		             	btnsave.text('Guardar');
		             	console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
				        alert('Ocurrió un error al guardar los datos.');
				    }
		        });

		    });

		    $('.img-marca-proveedor').each(function(i,e){
				$(e).click(function(){
					$('#type-img').remove()
					$('<input>',{id:'type-img', name:'type_img', type:'hidden', value:$(e).data('type')}).appendTo('#form-img-marca')

					$('.img-clicked').removeClass('img-clicked');
					$(e).addClass('img-clicked');
				})
			});

		    $('#form-img-marca').on('submit', function(event) {
			      event.preventDefault();

			      var formData = new FormData($(this)[0]);
			      $('.img-clicked').addClass('loading');
			      var progress = $('.img-clicked').find('.image-ico');
			      progress.text('0%');
			      $.ajax({
			          xhr : function() {
			              var xhr = new window.XMLHttpRequest();
			              xhr.upload.addEventListener('progress', function(e) {
			                  if (e.lengthComputable) {
			                      var percent = Math.round((e.loaded / e.total) * 100);
			                      if(percent < 100)
			                          progress.text(percent+'%');
			                      else
			                          progress.text('...');
			                  }

			              });
			              return xhr;
			          },
			          type : 'POST',
			          url : '<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>',
			          data : formData,
			          processData : false,
			          contentType : false,
			          success : function(data) {
			          	$('.img-clicked').removeClass('img-clicked loading');
			          	progress.text('+');
			          	console.log(data)
			          	var json = null;

			          	try{
			          		json = JSON.parse(data);
			          	}catch(error){
			          		console.log('error');
			          	}

			          	console.log('json',json);

			          	if(json!=null){
			          		if(!json.error){
				          		$(json.element).addClass('image-set');
				          		$(json.element).css({'background-image':`url(${json.url_file})`});
				          	}else{
				          		alert('Ocurrio un problema.');
				          	}
			          	}else{
			          		alert('Ocurrio un problema');
			          	}

			          },//success : function(data)
			          error: function (jqXhr, textStatus, errorMessage) { // error callback 
			          	$('.img-clicked').removeClass('img-clicked loading');
			           	progress.text('+');
			            console.log('jqXhr',jqXhr,'textStatus',textStatus,'errorMessage',errorMessage)
					  }
			      });
			});

		    $('.t-oferta').each(function(i,e){
				$(e).click(function(){
					$('#oferta-selected').text($(e).text());
					$('.t-oferta.active').removeClass('active');
					$(this).addClass('active');
				});
			});

		});

		function setDataSuc(data){
			console.log('data',data)
			for(input in data){

				if(input=='colonia'){
					currentColonia = data[input];
				}else{
					$(`.${input}`).val(data[input])
				}

				if(input=='cpostal'){
					getCpData(data[input])
				}

			}
		}

		function getCpData(cp){
			$('.op-default').text('Cargando...');
			$('.colonias .op-colonia').remove();

			setDataSuc({delegacion:'',ciudad:'',estado:''});
			const afterGetCp = (resp) => {
				if(!resp.error){
					$('.op-default').text('Selecciona una opción');

					var campos = resp.datacp.infocp;
					setDataSuc({...campos,delegacion:campos.municipio})

					var colonias = resp.datacp.colonias;
					for(id in colonias){
						$('<option>',{class:'op-colonia',text:colonias[id], value:colonias[id]}).appendTo('.colonias')
					}

					if(currentColonia){
						$(`select.colonias option[value='${currentColonia}']`).attr('selected','selected');
					}


				}else{
					$('.op-default').text(resp.msg);
				}
			}

			const cp2 = isNaN(cp) ? cp.value : cp;
			sendPost(cp2,'getcpdata',afterGetCp);
		}

		function sendPost(value,action,event = (resp)=>{}, option = '<?= $action_sucr; ?>'){
			$.post('<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>',{
				<?= $cmp_tokenForm; ?>:'<?= $_SESSION['tokenForm']; ?>',
				<?= $action_post; ?>:option,
				value,
				action
			},function(data){
				var json = {error:100};
				try{
					json = JSON.parse(data);
				}catch(error){
					console.log(error)
				}

				event(json);

				if(json.error == 100){
					alert('Ocurrió un error.');
				}

				if(json.error == 1){
					alert(json.msg);
				}

				console.log('json',json)
			});
		}

		function updateCmp(cmp,value, event = (resp)=>{}, showModal = true){
				$.post('<?= $oVis->url(); ?>?prov=<?= urlencode($idProvCod); ?>',{
					<?= $cmp_tokenForm; ?>:'<?= $_SESSION['tokenForm']; ?>',
					<?= $action_post; ?>:'<?= $update_cmp; ?>',
					[cmp]:value,
					cmp:cmp
				},function(data){
					var json = {error:100};
					try{
						json = JSON.parse(data);
					}catch(error){
						console.log(error)
					}

					event(json);
					if(showModal){
						$('.modal-campo-update').modal('show');
						$('#resp-campo-update').text(json.msg);
					}

					if(json.error == 100){
						alert('Ocurrió un error.');
					}

					if(json.error == 1){
						alert(json.msg);
					}

					console.log('json',json)
				});
		}


	</script>
</main>