\<main class="main-content">
	<div class="container px-lg-0 rapp-container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-ventas.html" class="text-dark">Ventas</a>
				 > <a class="text-dark"><?= $id; ?></a>
				</h4>
			</div>
		</div>

		<div class="row">

			<div class="col-lg-3 pl-lg-0">
				<div class="sidebar-stikySSSS">
					<div class="card border-0">
						<div class="pt-3 px-2">
							<h5 class="px-2">Resumen de la venta</h5>
							<table class="table text-dark lh-1-3em mb-0">
								<tbody>
									<tr>
										<td class="border-0 py-2">ESTADO</td>
										<td class="border-0 py-2"><span class="text-<?= $sclass0; ?>"><?= $sestado ?></span></td>
									</tr>
									<tr>
										<td class="border-0 py-2">FECHA DE CREACIÓN</td>
										<td class="border-0 py-2"><?= $fecha; ?></td>
									</tr>
									<tr>
										<td class="border-0 py-2">TOTAL</td>
										<td class="border-0 py-2"><?= "$".number_format($ped_total_base,2); ?></td>
									</tr>
									<tr>
										<td class="border-0 py-2">SALDO</td>
										<td class="border-0 py-2"><span class="text-<?= $sclass; ?> saldo-resto"><?= $saldo_signo; ?><?= "$".number_format(abs($saldo_resto),2); ?></span></td>
									</tr>

									<tr>
										<td class="border-0 py-2">AGENTE</td>
										<td class="border-0 py-2">
									<? if($ped_tipo_pedido == 2 && $ped_usuario_creo){ ?>
										<?= strtoupper($ped_usuario_creo); ?>
									<? } else if($ped_tipo_pedido == 1){ ?>
										Cliente
									<? } ?>
										</td>
									</tr>

									<tr>
										<td class="border-0 py-2">NOTA DE VENTA</td>
										<td class="border-0 py-2">
											<img id="open-pdf" src="<?= $_URLST; ?>imgs/admin/paper-clip-active.svg" width="30" data-target="#modal-pdf" data-toggle="modal">
										</td>
									</tr>

									<tr>
										<td colspan="2">
										<? 
										// if($ped_cancelable || $ped_actibable){ 
										if($ped_estatus_pedido){

											$text_cancela_activa[0]="Activar";
											$text_cancela_activa[1]="Cancelar";

											$class_cancela_activa[0]="primary";
											$class_cancela_activa[1]="danger";

											$txtacdesc=$text_cancela_activa[$ped_estatus_pedido];
											$clssactdes=$class_cancela_activa[$ped_estatus_pedido];

										?>
												<!-- <button data-target="#cancela-pedido" data-toggle="modal" class="btn btn-<?= $clssactdes; ?> btn-block py-2"><?= $txtacdesc; ?> pedido</button> -->
												<button data-target="#cancela-pedido" data-toggle="modal" class="btn btn-danger btn-block py-2"><?= $txtacdesc; ?> pedido</button>
										<? }else{ ?>
											<div class="bg-danger text-center p-3">
												<h5 class="mb-0 text-white">Pedido cancelado</h5>
											</div>
										<? } ?>
										</td>
									</tr>

								</tbody>
							</table>
						</div>
					</div>

					<div class="card border-0 mt-3">
						<div class="p-3">
							<h5>Dirección de entrega</h5>
							<div class="lh-1-3em text-dark">
								<?= $info_envio; ?>
							</div>
							<? if($ped_estatus_pedido){ ?>
								<div><a class="text-primary <?= $ses_idPedido; ?>" data-dir-ped="<?= codVal($ses_idPedido);?>">Editar</a></div>
							<? } ?>
						</div>
					</div>
				</div>
			</div>

			<div class="col-lg-8 pl-lg-0 mt-3 mt-lg-0">
				<div class="card border-0">
					<div class="py-3 px-2">
						<h5 class="px-2">Cliente</h5>
						<table class="table text-dark lh-1-3em">
							<tbody>
								<tr>
									<td class="border-0 py-1">NOMBRE</td>
									<td class="border-0 py-1"><?= $ped_nombre; ?></td>
								</tr>
								<tr>
									<td class="border-0 py-1">CORREO</td>
									<td class="border-0 py-1"><?= $ped_correo; ?></td>
								</tr>
								<tr>
									<td class="border-0 py-1">TELÉFONO</td>
									<td class="border-0 py-1"><?= $ped_telefono; ?></td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>

				<div class="card border-0 mt-3">
					<div class="p-3">
						<? include_once($_PROYDIR_VIS.$_BASETEMA."mod_tabla_prods_car.php");?>

						<div class="mt-3">
							<div class="text-right lh-1-3em text-dark">
								<div><b>Total: <?= $total_compra;?></b></div>
								<div>Ó 12 pagos de: <?= $total_compra_msi;?></div>
							</div>
						</div>
					</div>
				</div>

				<!-- balance -->
				<div class="card border-0 mt-3">

					<div class="row justify-content-center align-items-center p-3">
						<div class="col-6 col-lg-7">
							<h4 class="mb-0"><b>Balance</b></h4>
						</div>

						<div class="col-6 col-lg-5">
							<div class="d-flex">
								<? if($ped_estatus_pedido){ ?>
								<button data-capture=".capture-response-bo" data-toggle="modal" data-target="#gasto-ingreso" class="btn-matrimony btn-block btn-new-operation">Nueva operación</button>
								<? } ?>
							</div>
						</div>
					</div>

					<div id="table-operation" class="p-3">
						<? if($balance){ creaTablaBalance($balance); } ?>
					</div>
				</div>
				<? 
				$userok = in_array($_SESSION['SESUS_login'], ['eugenia','karen', 'rodrigo']); 
				// $operaciones_conabilidad = fun_permisos_v2("all") || ($userok && fun_permisos_v2("contabilidad"));
				$operaciones_conabilidad = fun_permisos_v2("all") || $userok;

				?>

				<? if($operaciones_conabilidad){ ?>
				<!--  -->
				<div class="card border-0 mt-3">
					<div class="row justify-content-center align-items-center p-3">
						<div class="col-6 col-lg-7">
							<h4 class="mb-0"><b>Contabilidad</b></h4>
						</div>

						<div class="col-6 col-lg-5">
							<div class="d-flex">
								<? if($ped_estatus_pedido){ ?>
								<button data-capture=".capture-response" data-toggle="modal" data-target="#modal-operacion-contabilidad" class="btn-matrimony btn-block btn-new-operation">Nueva operación</button>
								<? } ?>
							</div>
						</div>
					</div>

					<div id="table-contabilidad" class="p-3">
						<? if($regs_contabilidad){  creaTablaContabilidad($regs_contabilidad); }?>
					</div>
				</div>
				<? } ?>
				
				<? if($set_review){ ?>
				<!-- review -->
				<div class="card border-0 mt-3">
					<? if($reviews){ 
						$dv=true;
						include_once($_PROYDIR_VIS."ficha_review1.php");
					 }else if($ped_estatus_pedido){ 
					 	?>
					 	<div id="no-review" class="my-5 row justify-content-center">
					 		<div class="col-md-5 text-center">
					 			<h5 class="mb-4">No hay reseñas</h5>
					 			<form id="form-send-resena" class="mb-2 position-relative">
					 				<button type="submit" class="btn-matrimony btn-block btn-sm">Solicitar reseña por correo</button>
					 				<input type="hidden" name="<?= ev("correo"); ?>" value="<?= $ses_correo; ?>" readonly>
					 				<input type="hidden" name="<?= $POST_ACTION; ?>" value="<?= codVal("SEND-REVIEW-LINK"); ?>" readonly>
					 				<div class="position-absolute h-100 d-flex justify-content-center align-items-center" style="top:0;right: -65px;">
					 					<b id="mail-send-resena" class="text-success"></b>
					 				</div>
					 			</form>
					 			<div class="position-relative">
					 				<button id="link-resena" type="button" class="btn-matrimony btn-block btn-sm">Copiar link reseña</button>
					 				<input type="text" style="z-index: -2; opacity: 0; position: absolute;" id="link-resena-url" value="<?= $_URLREVIEW; ?>">
					 				<div class="position-absolute h-100 d-flex justify-content-center align-items-center" style="top:0;right: -65px;">
					 					<b id="copied-resena" class="text-success"></b>
					 				</div>
					 			</div>
					 		</div>
					 	</div>
					 	<?
					 }?>

				</div>
				<? } ?>

			</div>

		</div>
		
	</div>
</main>

<? include_once($_PROYDIR_VIS.$_BASETEMA."modals_detalle_venta.php"); ?>

<script>

$("#open-pdf").click(function(){
	 var src_pdf='<?= $_URLBASE; ?>acsis-demo_pdf.html?idpedido=<?= $id; ?>';
	 console.log(src_pdf);
	 var embed ='<embed class="w-100" src="'+src_pdf+'" type="application/pdf" style="height:800px;"></embed>';
	 object ='<object class="w-100" data="'+src_pdf+'" type="application/pdf" style="height:800px;">'+embed+'</object>';
	 $("#for-pdf").html(object);
});

function setClickEventComprobante(){
	$('img[data-comprobante].unevent').each(function(i,e){
		$(e).click(function(){
			var modal=$('#modal-comprobante');
			var comprobante=$(this).data('comprobante');
			var format=comprobante.split('.');
			var ext=format[format.length-1];
			var content='';
			modal.find('.modal-dialog').removeAttr('style');
			if(ext=='pdf'){
				modal.find('.modal-dialog').css({width:'90%','max-width':'1200px'});
				var content=$('<iframe>',{src:comprobante,frameborder:'0',style:'height:800px; width:100%;'});	
			}else{
				var content=$('<img>',{src:comprobante,width:'100%'});	
			}
			
			modal.find('.modal-body').html(content);
			modal.modal('show');

		}).removeClass('unevent');;

	});
}

function setClickEventComprobanteShow() {
	$('img[data-mov].upload').each(function(i,e){
		$(e).unbind().click(function(){
			$('input#custom_id_mov').remove();
			if($(this).hasClass('unevent')){
				$('<input>',{type:'hidden',id:'custom_id_mov',value:$(this).data('mov'),name:'<?= ev("idMovimiento"); ?>'}).appendTo('#form-comprobante');
				$('#btn-serch-comprobante').click();
			}
		}).removeClass('upload');
	});
}


$('.btn-new-operation').each(function(i,e){
	$(e).click(function(){
		$('input#custom_id_mov').remove();
		appendto=$(this).data('capture');
	});
});

$('input[name="operation"]').each(function(i,e){
	if($(e).is(':checked')){
		$(e).next().click();
	}
});

$('.pago-ingreso-select input[id^="pago-"]').each(function(i,e){
	$(e).click(function(){
		selectTipoIngreso(this);
	});

	if($(e).is(':checked')){
		selectTipoIngreso(e);
	}
});

$('.pago-gasto-select').each(function(i0,e0){
	$(e0).find('input[id^="concepto-"]').each(function(i,e){
		$(e).click(function(){
			selectTipoGasto(e0,this);
		});

		if($(e).is(':checked')){
			selectTipoGasto(e0,e);
		}
	});
});

function selectTipoIngreso(e){
		$('.pago-ingreso-select label[for^="pago-"]').removeClass("selected");
		$(e).parent().addClass("selected");
		$('.ingreso-pay-method').text($(e).parent().text());
}

function selectTipoGasto(ep,e){
		$(ep).find('label[for^="concepto-"]').removeClass("selected");
		$(ep).find('.gasto-pay-method').text($(e).parent().text());
		$(e).parent().addClass("selected");
}

var required = 0;
var clearcp = 0;
var specialKeys = new Array();
specialKeys.push(8); //Backspace
function IsNumeric(e) {
    var keyCode = e.which ? e.which : e.keyCode
    var ret = ((keyCode >= 48 && keyCode <= 57) || specialKeys.indexOf(keyCode) != -1);
    return ret;
}

function infoLength(){
	var ix = 0;
	$('input.required').each(function(i,e){
		if(  $.trim($(e).val()) != '' )
			ix++;
	});
	//console.log(ix +'=='+ required);
	if(ix == required)
		bcontinue();
	else
		$('#continue-button').attr('disabled',true);
}

function bcontinue(){
	$('#continue-button')
	.unbind()
	.attr('disabled',false)
	.click(function(){
		validateInfo();
	});
}

function validateInfo()
{
	$('span.form-err').remove();
	let info = $('#form-info-envio').serialize();
	$('#continue-button').attr('disabled',true);
	$.post('<?= $URLPOST; ?>',info,function(data){
		$('#continue-button').attr('disabled',false);

		let r = data.split('--codeup--')[1];
	    let json = JSON.parse(r);
	    console.log(json);

	    let lista_errors = $('.modal-errores .list-group');
		  lista_errors.html('');

	    //console.log(json);
	    

	    if(json.error==0){
	    	$('#modal-direccion').modal('hide');
	   	}
	   	else{
	   		let errores = json.errores;
	   		alert(errores);
				// let campos = Object.keys(errores);

				// for(var i = 0; i< campos.length; i++){
				// 	$('<span>',{class:'form-err',text:errores[campos[i]]})
				// 	.appendTo($('#'+campos[i]).parent());
				// }
				
	   	}
	});
}

function searchCp(cp,func)
{
	var bmsg = 'Buscando...';
	setInfo(bmsg,bmsg,bmsg,bmsg);
	$.post('<?= $URLPOST; ?>',{
		<?= $POST_ACTION ?>: '<?= codVal("INFOCP"); ?>',
		<?= ev("clearcp");?>: clearcp,
		<?= ev("cp");?>:  cp
	},function(data){
		let r = data.split("--codeup--")[1];
		let json = JSON.parse(r);

		$('.colonias').html('');
		$('#colonia').val('');
		infoLength();

		if(json.error==1){
			let nor = '<a class="dropdown-item">Escribe otro código postal</a>';
			$('.colonias').html(nor);
			setInfo('','','','Error CP: '+cp);
		}

		if(json.error==0){
			let info = json.infocp;
			setInfo(info.ciudad,info.municipio,info.estado,'Selecciona');

			let colonias = json.colonias;
			let ids = Object.keys(colonias)
		
			for(var i=0; i<ids.length;i++){
				var col = colonias[ids[i]];
				$('<a>',{class:'dropdown-item',text:col})
				.click(function(){
					$('.colinia-selected span.res').html($(this).text());
					$('#colonia').val($(this).text());
					infoLength();
				}).appendTo($('.colonias'));
			}

			if (typeof func === 'function'){
				func();
			}
		}
	});

	clearcp = 1;
}

function setInfo(cd,mun,edo,aux)
{
	$('.dir_ciudad').val(cd);
	$('.dir_mun').val(mun);
	$('.dir_edo').val(edo);
	$('.colinia-selected span.res').html(aux);
}

<? if($ped_estatus_pedido){ ?>

$('[data-dir-ped]').each(function(i,e){
	$(e).click(function(){
		var modal = $('#modal-direccion');
		var ped = $(this).data('dir-ped');
		modal.find('.modal-body').html('<h5 class="text-center">Cargando...</h5>');
		modal.find('#continue-button').unbind();
		modal.modal('show');
		$.post('<?= $URLPOST; ?>',{<?= $POST_ACTION; ?>:'<?= codVal("GETDIR"); ?>',ped:ped},function(data){
				var r=data.split('--codeup--');
				var json = JSON.parse(r[1]);
				if(!json.error)
					modal.find('.modal-body').html(r[2])
				else
					modal.find('.modal-body').html('<h5 class="text-center text-danger">Error al cargar</h5>');
		});
	});
});

<? } ?>

$('#btn-link-pay').click(function(){
	$('#url-pago').select();
	document.execCommand("copy");
	$('#copied').text('Link copiado');
	setTimeout(function(){
		$('#copied').text('');
	},3000);
});

$('#link-resena').click(function(){
	$('#link-resena-url').select();
	document.execCommand("copy");
	$('#copied-resena').text('Copiado');
	setTimeout(function(){
		$('#copied-resena').text('');
	},3000);
});

function setLinkPago(){
	$('i[data-idop]:not(.set)').each(function(i,e){
		$(e).click(function(){
			$('#copied').text('');
			$('#mail-send').text('');
			var id = $(e).data('idop');
			var url = '<?= $_URLPAGO; ?>'+id;
			url+='&ped=<?= urlencode(codVal($id)); ?>';
			$('#idop').val(id);
			$('#url-pago').val(url);
			$('#link-pago').modal('show');
		}).addClass('set');
	});
}

function setCambioEstatus(){
	$('span[data-idopst]:not(.set)').each(function(i,e){
		$(e).click(function(){
			$('#resp-status').text('');
			var id = $(e).data('idopst');
			$('#idopst').val(id);
			$('#operacion-estatus').modal('show');
		}).addClass('set');
	});
}

function setEliminaGasto(){
	$('span[data-idgst]:not(.set)').each(function(i,e){
		$(e).click(function(){
			var id = $(e).data('idgst');
			$('#idgst').val(id);
			$('#elimina-gasto').modal('show');
		}).addClass('set');
	});
}

$(document).ready(function() {

	$('.datepicker').each(function(i,e){
		$(e).datepicker({
	        dateFormat: 'yy-mm-dd',
	        showOtherMonths: true,
	        // minDate: 0,
	        maxDate:0
	    });
	});

	setLinkPago();
	setCambioEstatus();
	setEliminaGasto();
	setClickEventComprobante();
	setClickEventComprobanteShow();

	$('.nav-pills li').each(function(i,e){
		$(e).click(function(){
			$('.nav-pills li input[type="radio"]').attr('checked',false);
			$(this).children('input[type="radio"]').attr('checked',true);
		});
	});

	$('#form-estatus-operacion').on('submit', function(event) {
		event.preventDefault();
		var xdata = $('#form-estatus-operacion').serialize();
  	var inputs = $('#operacion-estatus').find('input,button');
  	inputs.attr('disabled',true);

  	$.post('<?= $_URLBASE; ?>acsis-detalle-venta.html',xdata,function(data){
    		let resp = data.split('--codeup--');
    		let json = null;
    		try{
    			json = JSON.parse( resp[1] );
    		}catch(err){
    			alert(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    			if(!json.error){
    				$('#table-operation').html(resp[2]);
    				$('#table-contabilidad').html(resp[3]);
    				$('.saldo-resto-pag').text(json.resto);
    				$('.saldo-resto').text(json.sresto).attr('class',json.sclass);
    				$('#operacion-estatus').modal('hide');
    				setLinkPago();
    				setCambioEstatus();
    				setEliminaGasto();
    				setClickEventComprobante();
    				setClickEventComprobanteShow();
    			}else{
    				alert(json.errores);
    			}
    		}

			inputs.attr('disabled',false);
		});

	});

	$('#form-elimina-gasto').on('submit', function(event) {
		event.preventDefault();
		var xdata = $('#form-elimina-gasto').serialize();
  	var inputs = $('#elimina-gasto').find('input,button');
  	inputs.attr('disabled',true);

  	$.post('<?= $_URLBASE; ?>acsis-detalle-venta.html',xdata,function(data){
    		let resp = data.split('--codeup--');
    		let json = null;
    		try{
    			json = JSON.parse( resp[1] );
    		}catch(err){
    			alert(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    			if(!json.error){
    				$('#table-contabilidad').html(resp[2]);
    				$('#elimina-gasto').modal('hide');
    				setEliminaGasto();
    				setClickEventComprobante();
    				setClickEventComprobanteShow();
    			}else{
    				$('#resp-gasto-elim').text(json.errores);
    				setTimeout(function(){
    					$('#resp-gasto-elim').text('');	
    				},4000);
    				//alert(json.errores);
    			}
    		}

			inputs.attr('disabled',false);
		});

	});
	

<? if($operaciones_conabilidad){ ?>
	$('#form-operaciones-contabilidad').on('submit', function(event) {
	    	event.preventDefault();

	    	var xdata = $('#form-operaciones-contabilidad').serialize();
	    	var inputs = $('#modal-operacion-contabilidad').find('input,button');
	    	inputs.attr('disabled',true);

	    	$.post('<?= $_URLBASE; ?>acsis-detalle-venta.html',xdata,function(data){
	    		$('.capture-response').html('');
	    		let resp = data.split('--codeup--');
	    		let json = null;
	    		try{
	    			json = JSON.parse( resp[1] );
	    		}catch(err){
	    			alert(err.message);
	    		}

	    		if(json != null) {
	    			console.log(json);

	    			if(!json.error){
	    				$('#table-contabilidad').html(resp[2]);
	    				$('#modal-operacion-contabilidad').modal('hide');

	    				setEliminaGasto();
	    				setClickEventComprobante();
	    				setClickEventComprobanteShow();
	    			}else{
	    				alert(json.errores);
	    			}
	    		}

				inputs.attr('disabled',false);
			});
	});
<? } ?>

	<? if($ped_estatus_pedido){ ?>
	$('#form-gasto-ingreso').on('submit', function(event) {
    	event.preventDefault();

    	var xdata = $('#form-gasto-ingreso').serialize();
    	var inputs = $('#gasto-ingreso').find('input,button');
    	inputs.attr('disabled',true);

    	$.post('<?= $_URLBASE; ?>acsis-detalle-venta.html',xdata,function(data){
    		let resp = data.split('--codeup--');
    		let json = null;
    		try{
    			json = JSON.parse( resp[1] );
    		}catch(err){
    			alert(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    	// 		if(json.error_val) {
    	// 			for(var error in json.error_cod) {
					//    $('[data-cod="'+error+'"]').addClass( error_class );
					// }
    	// 		}

    			if(!json.error){
    				$('#table-operation').html(resp[2]);
    				$('#table-contabilidad').html(resp[3]);
    				$('.saldo-resto-pag').text(json.resto);
    				$('.saldo-resto').text(json.sresto).attr('class',json.sclass);
    				$('#gasto-ingreso').modal('hide');
    				setLinkPago();
    				setCambioEstatus();
    				setEliminaGasto();
    				setClickEventComprobante();
    				setClickEventComprobanteShow();
    			}else{
    				alert(json.errores);
    			}
    		}

			inputs.attr('disabled',false);
		});


    });

    $('#form-link-pago').on('submit', function(event) {
    	event.preventDefault();

    	var xdata = $('#form-link-pago').serialize();
    	var inputs = $('#link-pago').find('input,button');
    	inputs.attr('disabled',true);

    	$.post('<?= $_URLBASE; ?>acsis-detalle-venta.html',xdata,function(data){
    		let resp = data.split('--codeup--');
    		let json = null;
    		try{
    			json = JSON.parse( resp[1] );
    		}catch(err){
    			alert(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    	// 		if(json.error_val) {
    	// 			for(var error in json.error_cod) {
					//    $('[data-cod="'+error+'"]').addClass( error_class );
					// }
    	// 		}

    			if(!json.error){
    				$('#mail-send').text(json.msg);
    			}else{
    				alert(json.errores);
    			}
    		}

			inputs.attr('disabled',false);
		});


    });

    $('#form-send-resena').on('submit', function(event) {
    	event.preventDefault();

    	var xdata = $('#form-send-resena').serialize();
    	var inputs = $('#no-review').find('input,button');
    	inputs.attr('disabled',true);

    	$.post('<?= $URLPOST_REVIEW; ?>',xdata,function(data){
    		let resp = data.split('--codeup--');
    		let json = null;
    		try{
    			json = JSON.parse( resp[1] );
    		}catch(err){
    			alert(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    			if(!json.error){
    				$('#mail-send-resena').text(json.msg);
    			}else{
    				alert(json.errores);
    			}
    		}

			inputs.attr('disabled',false);
		});
  });
  <? } ?>

});
</script>