<?
function table_export_products($type){
	GLOBAL $oVis, $tablevis;
	GLOBAL $anillos, $argollas, $churumbelas, $cadenas;
	GLOBAL $total_anillos, $total_argollas, $total_churumbelas, $total_cadenas;
	GLOBAL $filtros_anillos, $filtros_argollas, $filtros_churumbelas, $filtros_cadenas;

	$total = ${"total_$type"};
	$filtros = ${"filtros_$type"};
	$products = $$type;

	?>
	<!-- cantidad ver -->
	<form class="my-3" method="GET" id="form-cant" action="<?= $oVis->url(); ?>">
		<div class="form-group">
			<!-- <label class="color-dark">
				Cantidad ver
			</label>
			<select name="CANT_VER" onchange="$('#form-cant').submit();">
				<option <?= $CANT_VER==30?"selected":""; ?> value="30">30</option>
				<option <?= $CANT_VER==50?"selected":""; ?> value="50">50</option>
				<option <?= $CANT_VER==100?"selected":""; ?> value="100">100</option>
				<option <?= $CANT_VER==200?"selected":""; ?> value="200">200</option>
			</select> -->
			<b> <?= $total; ?> registros en total</b>
			<? if($total){ ?>
			<a href="<?= $oVis->url()."?".$filtros."&csv=$type"; ?>">
				<b class="pull-right text-primary">
					<i class="fa fa-download" aria-hidden="true"></i> Descargar <span><?= $total ?> registros (<?= $type; ?>)</span>
					<i class="fa fa-file-excel-o" aria-hidden="true"></i>
				</b>
			</a>
			<? } ?>
		</div>
	</form>

	<!-- card -->
	<div class="card border-0 p-3">
		<div class="row justify-content-center">
			<div class="col-lg-5 col-xl-7">
				<h4 class="mb-0"><b><?= strtoupper($type); ?></b></h4>
			</div>

			<!-- filtros -->
			<div class="col-lg-7 col-xl-5">
				<form class="d-none" method="GET" id="form-st" action="<?= $oVis->url(); ?>">
					<input type="submit" hidden />
					<!-- <input type="text" id="input-srch" name="SRCH" class="form-control" placeholder="Buscar ID o nombre" value="<?= $SRCH; ?>"> -->
					<div class="d-flex justify-content-end mt-3">
						<div class="d-flex">
							<div class="pr-1">
								<div>Fecha inicio:</div>
								<input  type="text" class="form-control datepicker" autocomplete="off" placeholder="Fecha inicio" name="F1" value="<?= $F1; ?>">
							</div>
							<div class="pl-1">
								<div>Fecha fin:</div>
								<input type="text" class="form-control datepicker" autocomplete="off" placeholder="Fecha fin" name="F2" value="<?= $F2; ?>">
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>

		<hr class="m-0 my-3">

		<div class="p-4">
			<? if($products){ ?>
			<div class="FixedHeightContainer">
					<div class="content-table-mat table-preloader">
					<table class="table table-1 text-dark">
						<thead>
							<tr class="text-center">
								<?  foreach($tablevis as $colname){ ?>
									<th class="border-0">
										<div><?= $colname; ?></div>
									</th>
								<? } ?>
							</tr>
						</thead>
						<tbody class="text-center">
							<? 
							foreach($products as $prod){
							 	echo "<tr>";
							 	foreach(array_keys($tablevis) as $col){
							 		if($col == "image" || $col == "url_id"){
							 			echo "<td><a class='text-primary' target='_blank' href='{$prod[$col]}'>{$prod[$col]}</a></td>";
							 		}else{
							 			echo "<td>{$prod[$col]}</td>";
							 		}
							 	}
							 	echo "</tr>";
							 }
							?>
						</tbody>
					</table>
				</div>
				<div class="header-fixed"></div>
			</div>

			<?/* if($fin_paginador>=1){?>
			<div class="pager">
				<nav aria-label="Page navigation example">
				  <ul class="pagination mb-0">
				    <li class="page-item">
				      <a class="page-link" href="<?= $_THIS_URL."?".$filtros; ?>" aria-label="Previous">
				        <span aria-hidden="true">&laquo;</span>
				        <span class="sr-only">Previous</span>
				      </a>
				    </li>

				    <?php if($inicio_paginador>1){?>
				    <li class="page-item">
				      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($inicio_paginador-1)."&".$filtros; ?>" aria-label="Previous">
				        <span aria-hidden="true">&lsaquo;</span>
				        <span class="sr-only">Previous</span>
				      </a>
				    </li>
					<?php } ?>

				    <?php for($i = $inicio_paginador; $i<=$fin_paginador; $i++){?>
				    	<li class="page-item <?= ($PAG==$i || ($i==1 && !$PAG))?'active':'';?>"><a class="page-link" href="<?= $_THIS_URL."?PAG=$i"."&".$filtros; ?>"><?= $i; ?></a></li>
				    <?php }?>

				    <li class="page-item"><a class="page-link">...</a></li>

				    <li class="page-item"><a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>">
				    	<?= $total_paginas; ?></a>
				    </li>

				    <?php if($fin_paginador < $total_paginas){?>
				    <li class="page-item">
				      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($fin_paginador+1)."&".$filtros; ?>" aria-label="Next">
				        <span aria-hidden="true">&rsaquo;</span>
				        <span class="sr-only">Next</span>
				      </a>
				    </li>
				    <?php }?>

				    <li class="page-item">
				      <a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>" aria-label="Next">
				        <span aria-hidden="true">&raquo;</span>
				        <span class="sr-only">Next</span>
				      </a>
				    </li>

				  </ul>
				</nav>
			</div>
			<? } */ ?>

			<? }else if($SRCH){ ?>
					<h4>No se encontró productos <span class="text-primary"><?= $SRCH; ?></span></h4>
					<a href="<?= $oVis->url(); ?>" class="btn-matrimony">Ver todos</a>
			<? } else{ ?>
					<h4>Sin productos</h4>
			<? } ?>

		</div>

	</div>
	<?
}
?>

<style type="text/css">body{ background-color: #f4f7f9; }</style>
<main class="main-content">
	
	<div class="container mb-5">
		<div class="row my-4">
			<div class="col">
				<h4 class="mb-0">
					<a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> &gt; <a href="<?= $oVis->url(); ?>" class="text-dark">Exportar productos</a></h4>
			</div>
		</div>

		<div class="row">
			<div class="col-12 fs18">
				<b> <?= $total; ?> registros en total</b>
				<? if($total){ ?>
					<a href="<?= $oVis->url()."?".$filtros."&csv=all_products"; ?>">
						<b class="pull-right text-primary">
							<i class="fa fa-download" aria-hidden="true"></i> Descargar todo <span><?= $total ?> registros</span>
							<i class="fa fa-file-excel-o" aria-hidden="true"></i>
						</b>
					</a>
				<? } ?>
			</div>
		</div>


		<div class="row">
			<div class="col-12">
				<? table_export_products("anillos"); ?>
			</div>
		</div>

		<div class="row">
			<div class="col-12">
				<? table_export_products("argollas"); ?>
			</div>
		</div>

		<div class="row">
			<div class="col-12">
				<? table_export_products("churumbelas"); ?>
			</div>
		</div>

		<div class="row">
			<div class="col-12">
				<? table_export_products("cadenas"); ?>
			</div>
		</div>

		
	</div>

</main>