<style>
	body{ background-color: #f4f7f9; }
	.text-primary{ color: rgb(43,145,255) !important; }
	label,h6{
		margin: 0 !important;
	}
	tr{height: 70px;}
	hr{border-top: 1px solid #f4f7f9;}

	input[id^='prod-cat']:checked ~  .dropdown-item,
	input[id^='prod-cat'] .dropdown-item:hover{
		background-color: #6B7C8D !important;
		color: #fff !important;
	}

	#table-prods{
		opacity: 0.5;
	}
	/*#table-prods::after{
		content: '';
	}*/

	#table-prods.ui-sortable{
		opacity: 1;
	}

</style>

<main class="main-content">
	<div class="container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-mis-productos.html" class="text-dark"><?= $name_prod?$name_prod:"Productos"; ?></a></h4>
			</div>
		</div>

		<div class="row mb-4">
			<div class="col-12">
				<div class="card border-0">
					
					<div class="px-3 pt-3 pb-0">
						<h4><b>Mis <?= $name_prod?$name_prod:"Productos"; ?></b></h4>
					</div>

					<hr>

					<div class="p-3">
						<div>
							<label>
								<h6><b>Categoría del producto</b></h6>
							</label>
						</div>
						<div class="dropdown">
						  <div class="dropdown-toggle text-dark" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
						    <label class="prod-cat-selected"></label>
						  </div>
						  <div class="dropdown-menu">
						  	<div>
						  		<input id="prod-cat-none" name="xcat" type="radio" class="d-none" <?= !$CAT_ACTIVE?"checked":""; ?> >
						  		<a class="dropdown-item" href="<?= $_URL; ?>"><span>Todas las categorías</span></a>
						  	</div>
						  	<? 
						  		foreach ($xlistaCats as $key => $cat)
						  		{
						  			extract($cat,EXTR_PREFIX_ALL,"cat");

						  			$parent = "";
						  			$idCat = "prod-cat-".$cat_id_cat;
						  			$URL_CAT = $_URL."?".$var_cat."=".urlencode(codVal($cat_id_cat));

						  			$checked = $CAT_ACTIVE==$cat_id_cat?"checked":"";

						  			if($cat_nn>1)
						  			{
						  				$parent = "data-parent='{$xlistaCats[$cat_id_cat_padre]['nombre']}'";
						  			}
						  	?>
						  		<div>
						  			<input id="<?= $idCat; ?>" name="xcat" type="radio" class="d-none" <?= $checked; ?>>
							  		<a href="<?= $URL_CAT; ?>" class="dropdown-item" for="<?= $idCat; ?>">
							  			<?= $cat_nn>1?str_repeat("&nbsp;", $cat_nn*4):""; ?><span <?= $parent; ?>><?= $cat_nombre; ?></span>
							  		</a>
						  		</div>
						  	<? } ?>
						  </div>
					</div>

					<hr>

					<div class="p-3">
						<div class="">
							<div>
								<label>
									<h6>
										<b><span class="active-prods"><?= $total; ?></span> productos <span class="d-none">activos</span> en el catálogo seleccionado</b>
									</h6>
								</label>
								<!-- <a href="#" class="text-primary">Guardar cambios</a> -->
							</div>

							<div class="mt-3">

								<? if($listaProds){ ?>

								<table id="table-prods" class="col-lg-9">
									<tbody>
										<?
										foreach ($listaProds as $i => $producto)
										{ 
											extract($producto,EXTR_PREFIX_ALL,"prod");
											$url_editar = $URL_EDIT;
											$url_editar.= "?".$var_editar."=".urlencode( codVal($prod_idProd) );

											$skuCod = codVal( $prod_sku );

										?>
											<tr class="p-3 bg-white" data-prod="<?= $skuCod; ?>">
												<td width="13%">
													<h6>
														<b><?= $prod_idProd; ?>.&nbsp;&nbsp;&nbsp;<i class="fa fa-th" style="cursor: move;"></i></b>
													</h6>
												</td>

												<td width="10%">
													<div class="p-1">
														<img src="<?= $prod_imgs[0]['img_prin']; ?>" class="w-100">
													</div>
												</td>

												<td width="35%">
													<h6>
														<a class="text-dark" target="_blank" href="<?= $prod_url_id; ?>"><?= $prod_nombre; ?></a>
													</h6>
													<label>SKU: <span><?= $prod_sku; ?></span></label>
												</td>

												<td class="status" width="25%">
													<label class="text-<?= $estado_producto[ $prod_estatus ]["class"]; ?>">
														<b><?= $estado_producto[ $prod_estatus ]["txt"]; ?></b>
													</label>
												</td>

												<td width="20%">
													<a href="<?= $url_editar; ?>" class="text-primary">
														<b>Editar</b>
													</a>
												</td>

											</tr>
										<? } ?>
									</tbody>
								</table>

								<? } ?>

							</div>

						</div>
					</div>

				</div>
			</div>
		</div>
	</div>
</main>

<script>
<? if($listaProds) { ?>
let sendPost = true;

var xfunc = function sortableProds( resp )
{
	$( '#table-prods').sortable({
	  items: "tr",
	  cursor: "move",
	  stop:function(event,ui){
	  	 var list = [];
	  	 $(this).find('[data-prod]').each(function(i,e){
	  	 	list.push( $(e).data('prod') );
	  	 });
	  	 $( '#table-prods').sortable('destroy');
	  	 update({<?= ev("ACTION"); ?>:'<?= codVal("ORDENA"); ?>',orden:list},xfunc);

		}
	});
}
xfunc();

$('[data-prod]').each(function(i,e){
	$(e).find('td.status').click(function(){

		if( !sendPost )
			return false;

		var o = $(this);

		var sfunc = function( resp ){
			o.find('label').attr('class','text-'+resp.class);
			o.find('b').text(resp.text);

			xfunc();
		};

		$( '#table-prods').sortable('destroy');

		var prod = $(e).data('prod');
		update({<?= ev("ACTION"); ?>:'<?= codVal("ACTIVA"); ?>',prod:prod},sfunc);
	});
 });



	function update(d,func='')
	{
		if( sendPost ) {
			sendPost = false;
			var dataBase = { varname: 'varvalue' };
			var data = $.extend({}, dataBase, d);

			$.post('<?= $_URL; ?>',data,function(r){
				sendPost = true;
				// console.log(r);
				let resp = r.split('--codeup--')[1];
	    		let json = null;
	    		try{
	    			json = JSON.parse( resp );
	    		}catch(err){
	    			console.log(err.message);
	    		}

	    		console.log(json);

	    		if( json!=null )
		    		if( !json.error )
		    		{
						if (typeof func === 'function')
							func( json );
		    		}
			});
		}else {
			console.log('Wait...');
		}
	}
<? } ?>

	var input_cat = $('input[id^="prod-cat-"]:checked');
	if(input_cat.length){
		var span = $(input_cat[0]).next().find('span');
		var cat_name = $.trim( span.text() );

		if( span.data('parent') )
			cat_name = span.data('parent')+' > '+cat_name;

		$('.prod-cat-selected').text( cat_name );
	}
	
</script>