<style>
	.custom-select-mt{
	 	background-color: #f4f7f9;
	 	width: 100%;
	 	border:none;
	 	border-radius: 0px;
	 	color: #6C7C8D;
	 	padding: 6px;
	 }

	 .custom-select-mt::after{
	 	border-top: 0.8em solid;
		border-right: .5rem solid transparent;
		border-left: .5rem solid transparent;
		position: absolute;
		right: 15px;
		top: 35%;
	 }

	 .custom-select-mt ~ .dropdown-menu .dropdown-item:hover,
	 .custom-select-mt ~ .dropdown-menu .dropdown-item.active{
	 	background-color: #6C7C8D;
		color: #fff;
		cursor: pointer;
	 }

	 .custom-select-mt ~ .dropdown-menu.static{
	 	transform: unset !important;
	 	top: 40px !important;
	 }

	 .del-var{
	 	position: absolute;
		width: 19px;
		height: 19px;
		background: red;
		top: 5px;
		right: 5px;
		border-radius: 100%;
		cursor: pointer;
		box-shadow: 1px 1px 3px rgba(0,0,0,0.5);
		display: flex;
		justify-content: center;
		align-items: center;
		color: white;
	 }
</style>
<main class="main-content">

	<div class="container container-product mb-5 px-0">
		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $URL_PREV; ?>" class="text-dark"><?= $LABEL_PRE_URL; ?></a> > <a href="<?= $URL_ACTUAL; ?>" class="text-dark"><?= $LABEL_URL; ?></a></h4>
			</div>
		</div>

		<form id="form-n-prod">

			<div class="row">

				<div class="col-lg-8">

					<div class="card border-0 mb-4">

						<div class="p-3">
							<h4 class="mb-0"><b>Información general</b></h4>
						</div>

						<hr>

						<div class="info-prod px-3 pt-3 pb-3">
							
							<div class="form-group mb-0">
								<label class="text-dark"><b>Nombre del producto</b></label>
								<div class="input-group">
								  <input type="text" data-mirror=".for-prod-title" data-onlyempty="true" class="form-control prod-cmp" data-type-max="<?= $MAX_NOM; ?>" name="<?= $var_nombre_producto; ?>" placeholder="Escribe aquí el nombre del producto..." value="<?= $EDITAR_nombre; ?>">
								</div>
							</div>

							<div class="form-group">
								<label class="text-dark"><b>Descripción del producto</b></label>
								<textarea rows="4" data-type-max="<?= $MAX_DESC; ?>" class="form-control prod-cmp" placeholder="Escribe aquí la descripcion del producto..." name="<?= $var_desc_producto; ?>"><?= $EDITAR_descripcion; ?></textarea>
							</div>

						</div>

						<hr>

						<div class="seo-prod mb-4 p-3">
							
							<h6><b>Optimización SEO</b></h6>

							<div class="">
								<div>
									<label style="color: rgb(107,40,191);">
										<span class="for-prod-title for-prod-title-aux"><?= $EDITAR_title; ?></span>
									</label>
								</div>

								<div><label href="#" class="text-success">
									<small>
										<?= $_URLBASE_ARG; ?><span class="for-prod-title for-url-producto" data-format="url"><?= $BASE_NOM_URL; ?></span>--sku<span class="sku-producto"><?= $BASE_SKU_URL; ?></span>.html
									</small>
								</label></div>
								<p class="text-dark for-prod-meta-desc"><?= $EDITAR_meta_descripcion; ?></p>
							</div>
						</div>

						<div class="info-prod-2 p-3">
							
							<div class="form-group">
								<label class="text-dark"><b>Titulo de la página</b></label>
								<div class="input-group">
								  <input type="text" data-mirror=".for-prod-title-aux" class="form-control for-prod-title" data-nomirror=".for-prod-title" data-type-max="<?= $MAX_TIT; ?>" name="<?= $var_title; ?>" placeholder="Escribe aquí el titulo de la página..." value="<?= $EDITAR_title; ?>">
								</div>
							</div>

							<div class="form-group">
								<label class="text-dark"><b>Descripción del producto</b> NOTA: Recomendable máximo 150 caracteres para SEO.</label>
								<textarea data-type-max="<?= $MAX_DESC_SEO; ?>" data-mirror=".for-prod-meta-desc" rows="4" class="form-control" placeholder="Escribe aquí la descripción del producto" name="<?= $var_meta_desc; ?>"><?= $EDITAR_meta_descripcion; ?></textarea>
							</div>

							<div class="form-group">
								<label class="text-dark"><b>URL e identificador</b></label>
								<div class="input-group">
								  <input type="text" class="form-control for-prod-title url-mirror forcemirror"  data-type-max="<?= $MAX_URL; ?>" data-nomirror=".for-url-producto" data-format-sssssss="url" data-mirror=".for-url-producto" name="<?= $var_url_id; ?>" value="<?= $EDITAR_nombre_url; ?>">
								</div>

								<div class="input-group">
									<div class="div-url">
									  	<small>
									  		<?= $_URLBASE_ARG; ?><span data-format="url" class="url-format for-url-producto for-prod-title"><?= $BASE_NOM_URL; ?></span><span>--sku<span class="sku-producto"><?= $BASE_SKU_URL; ?></span>.html</span>
									  	</small>
									 </div>
								</div>
							</div>

						</div>
					</div>

					<div class="card border-0">

						<div class="px-3 pt-3 pb-0">
							<h4><b>Colores</b></h4>
							<div class="row">

								<? 
								$ES_PRIN = $XSEP.$XPRIN;
								if($VARS_PROD)
								{
									$ES_PRIN = "";
								}
								?>

								<div class="col-sm-6 col-lg-4">
									<input readonly="" type="checkbox" id="prin_blanco" name="<?= $var_color; ?>[]" class="d-none prod-colors" value="<?= codVal("B").$ES_PRIN; ?>" data-clave="B">
									<label class="box-colors" for="prin_blanco">
										<div class="one-color a"></div>
										<div class="dec-color">
											<div class="color-name"><?= $COLORES_PRODUCTO['B']; ?></div>
										</div>
									</label>
								</div>
								
								<div class="col-sm-6 col-lg-4">
									<input readonly="" type="checkbox" id="sec_blanco_rosa" name="<?= $var_color; ?>[]" class="d-none prod-colors" value="<?= codVal("BR"); ?>" data-clave="BR">
									<label class="box-colors" for="sec_blanco_rosa">
										<div class="two-colors-a"></div>
										<div class="dec-color">
											<div class="color-name"><?= $COLORES_PRODUCTO['BR']; ?></div>
										</div>
									</label>
								</div>
								
								<div class="col-sm-6 col-lg-4">
									<input readonly="" type="checkbox" id="sec_amarillo_blanco" name="<?= $var_color; ?>[]" class="d-none prod-colors" value="<?= codVal("AB"); ?>" data-clave="AB">
									<label class="box-colors" for="sec_amarillo_blanco">
										<div class="two-colors-d"></div>
										<div class="dec-color">
											<div class="color-name"><?= $COLORES_PRODUCTO['AB']; ?></div>
										</div>
									</label>
								</div>

								<div class="col-sm-6 col-lg-4">
									<input readonly="" type="checkbox" id="sec_amarillo" name="<?= $var_color; ?>[]" class="d-none prod-colors" value="<?= codVal("A"); ?>" data-clave="A">
									<label class="box-colors" for="sec_amarillo">
										<div class="one-color b"></div>
										<div class="dec-color">
											<div class="color-name"><?= $COLORES_PRODUCTO['A']; ?></div>
										</div>
									</label>
								</div>
								
								<div class="col-sm-6 col-lg-4">
									<input readonly="" type="checkbox" id="sec_rosa_blanco" name="<?= $var_color; ?>[]" class="d-none prod-colors" value="<?= codVal("RB"); ?>" data-clave="RB">
									<label class="box-colors" for="sec_rosa_blanco">
										<div class="two-colors-b"></div>
										<div class="dec-color">
											<div class="color-name"><?= $COLORES_PRODUCTO['RB']; ?></div>
										</div>
									</label>
								</div>
								
								<div class="col-sm-6 col-lg-4">
									<input readonly="" type="checkbox" id="sec_tricolor" name="<?= $var_color; ?>[]" class="d-none prod-colors" value="<?= codVal("T"); ?>" data-clave="T">
									<label class="box-colors" for="sec_tricolor">
										<div class="three-colors">
											<div class="middle"></div>
										</div>
										<div class="dec-color">
											<div class="color-name"><?= $COLORES_PRODUCTO['T']; ?></div>
										</div>
									</label>
								</div>

								<div class="col-sm-6 col-lg-4">
									<input readonly="" type="checkbox" id="sec_rosa" name="<?= $var_color; ?>[]" class="d-none prod-colors" value="<?= codVal("R"); ?>" data-clave="R">
									<label class="box-colors" for="sec_rosa">
										<div class="one-color c"></div>
										<div class="dec-color">
											<div class="color-name"><?= $COLORES_PRODUCTO['R']; ?></div>
										</div>
									</label>
								</div>
								
								<div class="col-sm-6 col-lg-4">
									<input readonly="" type="checkbox" id="sec_blanco_amarillo" name="<?= $var_color; ?>[]" class="d-none prod-colors" value="<?= codVal("BA"); ?>" data-clave="BA">
									<label class="box-colors" for="sec_blanco_amarillo">
										<div class="two-colors-c"></div>
										<div class="dec-color">
											<div class="color-name"><?= $COLORES_PRODUCTO['BA']; ?></div>
										</div>
									</label>
								</div>
								
							</div>
						</div>

						<hr>

						<div class="p-3">
							<h6><b>Selecciona los colores disponibles para este producto.</b></h6>
						</div>
					</div>

					<div class="card border-0 mt-3">

						<div class="px-3 pt-3 pb-0">
							<h4 class="mb-0"><b>Imágenes</b></h4>
						</div>

						<hr>

						<div class="p-3">
							<div class="image-color-list"></div>
						</div>
					</div>

					<div class="card border-0 mt-3">

						<div class="px-3 pt-3 pb-0">
							<h4 class="mb-0"><b>Especificaciones</b></h4>
						</div>

						<hr>

						<style>
							.est-var-value:disabled ~ .precio-pesos{
								display: none;
							}

							.precio-pesos{
								position: absolute;
								top: -10px;
								right: -5px;
								font-size: 13px;
								font-weight: 600;
								color: gray;
							}
						</style>

						<div class="px-3">
							
							<div id="est-lista-vars">

								<? foreach ($variables_precio as $i => $campo_valor) {?>
								<?
								 $index = " data-index='".$i."' ";
								 $xkil  = $campo_valor['kilataje'];
								 $xval  = $campo_valor['val_kilataje'];
								 $xname = ev($xkil)."[]";
								 ?>

								<div <?= $index; ?> class="est-row-var position-relative row align-items-center mt-3">
									<div class="col-lg-4">
										<b class="text-dark">Precio por pieza</b>
									</div>
									<div class="col-lg-4">

										<div><b class="text-dark">Kilataje:</b></div>
										<div class="position-relative">
											<div class="dropdown">
												  <button <?= $index; ?> class="est-var-label custom-select-mt dropdown-toggle text-left" type="button" data-toggle="dropdown">
												  	<?= $kilatajes[$xkil]['nombre']; ?>
												  	</button>

												  <div class="dropdown-menu static">
												  	<? foreach($kilatajes as $kil => $valor) { ?>
													    <a id="<?= ev($kil); ?>" onclick="selectEspVar(this)" class="dropdown-item item-var <?= $xkil==$kil?"active":""; ?>" <?= $index; ?>>
														    <?=  $valor['nombre']; ?>
														</a>
													<? } ?>
													
												  </div>
											</div>
										</div>

									</div>
									<div class="col-lg-4">

										<div><b class="text-dark">Costo:</b></div>
										<div class="position-relative">
											<input onfocusout="convertCost();" name="<?= $xname; ?>" type="text" class="est-var-value mask-decimal-format" placeholder="USD" value="<?= $xval; ?>">
											<span class="precio-pesos"></span>
										</div>
									</div>

									<? if($i){ ?>
										<span class="del-var" onclick="removeVar(this);">&times;</span>
									<? } ?>
								</div>

								<? } ?>
							</div>

							<div class="row">
								<div class="col-12 text-center my-5">
									<b id="est-new-var-btn" class="text-primary" style="cursor: pointer;">Añadir otra variable</b>
								</div>
							</div>


							<script>
								function selectEspVar(item){
									var i   = $(item).attr('data-index');
									var id  = $(item).attr('id');

									$('.dropdown-item.item-var[data-index="'+i+'"]').removeClass('active');

									$(item).addClass('active');

									$('.est-row-var[data-index="'+i+'"]')
									.find('input.est-var-value')
									.attr('name', id+'[]');

									$('.est-var-label[data-index="'+i+'"]').text( $(item).text() );

									convertCost();
								}

								function removeVar(o){
									$(o).parent().remove();
								}


								$('#est-new-var-btn').click(function(){
									var row = $('.est-row-var[data-index="0"]').clone();
									var index = $('[class^="est-row-var"]').length;
									row.attr('data-index',index);
									row.find('[data-index]').attr('data-index',index);
									row.find('.precio-pesos').text('');
									row.appendTo('#est-lista-vars');

									$('<span>',{class:'del-var',html:'&times;'})
									.click(function(){ removeVar(this); })
									.appendTo(row);

									row.append();
									row.find('.est-var-value').val('0').addClass('mask-decimal-format');
									setDecimalFormat();
								});
								function convertCost()
								{
									$('.est-var-value').each(function(i,e){
										var val = $.trim( $(e).val() );
										var xval = 0;
										if(val) {

											val = val.split('.')[0];
											val = val.replace(/\D/g,'');
											val = parseInt(val);
											xval = (val+(val/100*<?= $valor_utilidad; ?>) )*<?=  $valor_tipo_cambio_mxn; ?>;
										}
										$(e).next().text(xval);
									});

								}
								convertCost();
							</script>
						</div>

					</div>

				</div>

				<div class="col-lg-4 pl-lg-1">

					<div class="sidebar-stiky">
						<div class="sidebar__inner">
							<div class="card border-0 mb-4">
								
								<div class="px-3 pt-3 pb-0">
									<h4><b>Status del producto</b></h4>
								</div>
								<hr>

								<div class="p-3">
									<div class="form-group d-flex align-items-center">
										<label class="switch">
											<input id="st1" <?= $EDITAR_estatus?"checked":""; ?> type="radio" name="<?= $var_estatus;?>" value="1">
											<span class="slider round"></span>
										</label>
										<label for="st1" class="text-dark">&nbsp;&nbsp;Activo</label>
									</div>

									<div class=" d-flex align-items-center">
										<label class="switch">
											<input id="st2" type="radio" name="<?= $var_estatus;?>" <?= !$EDITAR_estatus?"checked":""; ?> value="0">
											<span class="slider round"></span>
										</label> 
										<label for="st2" class="text-dark">&nbsp;&nbsp;Inactivo</label>
									</div>
								</div>
							</div>

							<div class="card border-0 mb-4">
								
								<div class="px-3 pt-3 pb-0">
									<h4><b>Identificador del producto</b></h4>
								</div>

								<hr>

								<div class="p-3">
									<div class="form-group">
										<label class="text-dark"><b>SKU del producto</b></label>
										<div class="input-group">
											<input data-type-max="<?= $MAX_SKU; ?>" class="form-control text-uppercase url-format" data-mirror=".sku-producto" type="text" placeholder="Clave con la que identificaras tu producto..." name="<?= $var_sku ?>" value="<?= $EDITAR_sku; ?>">
										</div>
									</div>

									<div class="">
										<label class="text-dark"><b>Tiempo de entrega</b></label>

										<div class="form-group d-flex align-items-center">
											<label class="switch">
												<input id="inmediata" type="checkbox" <?= $EDITAR_dias_entrega?"":"checked"; ?> name="<?= $var_entrega_inmediata; ?>" value="1">
												<span class="slider round"></span>
											</label>
											<label for="inmediata" class="text-dark">&nbsp;&nbsp;Inmediato</label>
										</div>

										<input id="inpu_inmediata" class="form-control decimal-format"  type="text" placeholder="Ingresa los días para su entrega" name="<?= $var_dias_entrega; ?>" value="<?= $EDITAR_dias_entrega; ?>">
									</div>
								</div>
								<script>
									$('#inmediata').on('change',function(){
										if( $(this).is(':checked') )
											$('#inpu_inmediata').val('0');
									});

									$('#inpu_inmediata').on('keyup',function(){
										if( !isNaN( $(this).val() ) && $(this).val() != '0')
											$('#inmediata').prop('checked',false);
									});
								</script>

								<hr>

								<div class="px-3 pb-3 pt-1">
									<div class="d-flex justify-content-center">
										<div class="col-lg-11">
											<button type="submit" class="btn btn-outline-primary btn-block py-2"><?= $LABEL_BTN_ACTION; ?></button>
										</div>
									</div>
								</div>
							</div>

							<div class="card border-0 mb-4">
								
								<div class="px-3 pt-3 pb-0">
									<h4><b>Productos relacionados</b></h4>
								</div>

								<hr>

								<div class="px-3 pb-3 pt-1">
									<div class="d-flex justify-content-center">
										<div class="col-lg-11">
											<button type="button" data-toggle="modal" data-target=".modal-productos-rel" class="btn btn-outline-primary btn-block py-2">Añadir un producto</button>
										</div>
									</div>
								</div>

								<hr>

								<style>
									#ul-lista-prods-rel .list-group-item{
										border: unset !important;
									}
									#ul-lista-prods-rel input[type="checkbox"]{
										display: none;
									}

									#ul-lista-prods-rel span.del{
										position: absolute;
										top: 0;
										right: 0;
										color: red;
										cursor: pointer;
										font-size: 20px;
										font-weight: 700;
									}
								</style>
								<ul id="ul-lista-prods-rel" class="list-group"></ul>

							</div>
						</div>
					</div>

				</div>
			</div>

			<input type="hidden" readonly="" name="<?= $POST_ACTION; ?>" value="<?= $ACTION_VAL; ?>">
		</form>

	</div>
</main>
<form id="form-images">
	<input class="d-none" id="images-i360" type="file" accept="image/jpeg, image/png" multiple name="<?= $var_images_360; ?>[]">
	<input type="hidden" name="<?= $POST_ACTION; ?>" value="<?= $ACTION_VAL_UPIMGS; ?>">
	<input id="color-name-post" type="hidden" name="<?= $var_color_name; ?>">
	<input id="grup-num-post" type="hidden" name="<?= $var_grup_num; ?>">
</form>

<!-- Modal -->
<div class="modal fade modal-productos-rel" tabindex="-1" role="dialog" aria aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Productos relacionados</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

      	<div class="lista-productos text-primary"></div>

      	<form id="form-busca-prod">
			<div class="input-group mb-3">
			  <input type="text" class="form-control form-control" placeholder="Buscar producto..." name="<?= $var_nombre_producto_buscar; ?>">
			  <input readonly="" type="hidden" name="<?= $POST_ACTION; ?>" value="<?= $ACTION_VAL_BP; ?>">
			  <div class="input-group-append">
			    <button class="btn btn-primary btn-sm" type="submit">
			    	<i class="fa fa-search"></i>
			    </button>
			  </div>
			</div>

			<div id="n-prods" class="text-primary mb-3"></div>
		</form>

        <div class="position-relative pb-4">

        	<form id="form-add-prod">
	        	<ul id="ul-lista-prods" class="list-group" style="max-height: 400px; overflow-y: scroll !important; overflow: hidden; ">
		        	
		  		</ul>
		  		<input readonly="" type="hidden" name="<?= $POST_ACTION; ?>" value="<?= $ACTION_VAL_GP; ?>">
		  	</form>

        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cerrar</button>
        <? if($ID_PROD_EDITAR){ ?>
        <button onclick="$('#form-add-prod').submit();" class="btn btn-primary btn-sm btn-agregar">Agregar</button>
    	<? }else{ ?>
    		<button onclick="agregaProdsCheck();" class="btn btn-primary btn-sm btn-agregar">Agregar</button>
    	<? } ?>
      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-add-img-video" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Elige una opción</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
        	<div class="col-12">
        		<label for="images-i360" id="btn-add-img" class="btn btn-outline-primary btn-block py-2">Cargar imágenes</label>
        	</div>
        	<div class="col-12 text-center">
        		ó
        	</div>
        	<div class="col-12">
				  <textarea id="input-youtube" rows="7" type="text" class="form-control mb-2" placeholder="Código youtube" required="true"></textarea>
				  <button id="btn-add-video" class="btn btn-outline-danger btn-block py-2">
				    <i class="fa fa-youtube"></i>Guardar
				  </button>
        	</div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary py-2 btn-sm" data-dismiss="modal">Cancelar</button>
      </div>
    </div>
  </div>
</div>

<script>

function agregaProdsUl( lista_prods, container,create_input=false)
{
	for(var i = 0; i< lista_prods.length;i++){

		var rand = lista_prods[i].rand;
		var nom = lista_prods[i].nombre;
		var sku = lista_prods[i].sku;
		var img = lista_prods[i].img;
		var checked = lista_prods[i].relacionado;

		var id = 'input_prod_'+i;
		
		var li = $('<li>',{class:'list-group-item '+id});

		var div = $('<div>',{class:'form-check mb-0'});

		if(create_input)
		$('<input>',{class:'form-check-inputSSSSS ml-0',checked:checked,type:'checkbox',value:rand,id:id, name:'productos_relacionados[]'}).appendTo( div );

		var xhtml = '<div class="row">\
						<div class="col-3 px-2"><img src="'+img+'" class="w-100"></div>\
						<div class="col-9 pl-0">\
							<h6><b>'+nom+'</b></h6>\
							<span>SKU: '+sku+'</span>\
						</div>\
					</div>';

		$('<label>',{class:'form-check-label px-0',html:xhtml,for:id }).appendTo( div );

		div.appendTo( li );
		li.appendTo( container );
	}
}

<? if( !$ID_PROD_EDITAR ){ ?>
function agregaProdsCheck()
{
	var inputs = $('#ul-lista-prods .list-group-item input[type="checkbox"]:checked');

	$('#ul-lista-prods-rel').html( '' );

	inputs.each(function(i,e){
		$(e).parent().parent().appendTo( '#ul-lista-prods-rel' );
	});

	$( '#ul-lista-prods-rel input[type="checkbox"]' ).each(function(i,e){
		var id = $(e).attr('id');
		var xid = id+'_vis';

		$('<span>',{class:'del',html:'&times;'}).appendTo( $(e).parent() )
		.click(function(){
			$('li.'+id).remove();
		});

		$(e).attr('id', xid  );
		$(e).next().attr('id', xid  );
	});

	$('#n-prods').html( '&nbsp;' );
	$('#ul-lista-prods').html('');
	$('.modal-productos-rel').modal('hide');
	stickySidebar.updateSticky();
}
<? } ?>

$(document).ready(function() {

    $('#form-busca-prod').on('submit', function(event){
        event.preventDefault();
        var formData = new FormData($(this)[0]);
        $('#n-prods').html( 'Buscando...' );
        $('.btn-agregar').attr('disabled',true);
        $.ajax({
            type : 'POST',
            url : '<?= $URL_ACTUAL; ?>',
            data : formData,
            processData : false,
            contentType : false,
            success : function(data){
            	// console.log(data);
            	
            	let resp = data.split('--codereg--')[1];
            	let json = JSON.parse( resp );

            	$('#ul-lista-prods').html('');
            	$('#n-prods').html( 'Ocurrió un error en la busqueda' );

            	if( !json.error ){

            		$('#n-prods').html( '0 resultados' );

            		if(json.productos != null){
            			$('.btn-agregar').attr('disabled',false);
            			$('#n-prods').html( json.productos.length+' resultados' );
            			agregaProdsUl( json.productos, '#ul-lista-prods', true);
            		}
            	}else{
            		$('.btn-agregar').attr('disabled',false);
            	}
            }
        });

    });

	 	<? if($ID_PROD_EDITAR){ ?>

	    $('#form-add-prod').on('submit', function(event){
	        event.preventDefault();
	        var formData = new FormData($(this)[0]);
	        $('#n-prods').html( 'Guardando...' );
	        $('#ul-lista-prods input').attr('disabled',true);
	        $('.btn-agregar').attr('disabled',true);
	        $.ajax({
	            type : 'POST',
	            url : '<?= $URL_ACTUAL; ?>',
	            data : formData,
	            processData : false,
	            contentType : false,
	            success : function(data){
	            	$('.btn-agregar').attr('disabled',false);
	            	$('#n-prods').html( '&nbsp;' );
	            	
	            	$('#ul-lista-prods input').attr('disabled',false);

	            	let resp = data.split('--codereg--')[1];
	            	let json = JSON.parse( resp );

	            	$('#ul-lista-prods-rel').html('');

	            	if( !json.error ){
	            		$('#ul-lista-prods').html('');
	            		agregaProdsUl( json.productos, '#ul-lista-prods-rel');
	            		$('.modal-productos-rel').modal('hide');
	            	}

	            	stickySidebar.updateSticky();
	            }
	        });

	    });

	    <? if($prod_relacionados_json){ ?>
	    	agregaProdsUl( JSON.parse( '<?= $prod_relacionados_json; ?>' ), '#ul-lista-prods-rel');
	    <? } ?>

	<? } ?>

});
</script>
<script>

	$('[data-mirror]').each( function(i, e){
		$( $(e).data('mirror') ).each( function(i2, e2){

			$(e).on('keyup',function(){
				
				setCounter();

				if( !$(e2).hasClass('nomirror') || $(e).hasClass('forcemirror')){

					var val = $.trim( $(this).val() );

					var format = $(e2).data('format');

					if(format)
					{
						switch(format){
							case 'url':
								val = cadenaUrl( val );
							break;
						}
					}

					if( e2.tagName == 'INPUT' || e2.tagName == 'TEXTAREA' )
						$(e2).val( val );
					else
						$(e2).text( val );
				}

			});

		} );
	} );

	$('[data-nomirror]').each( function(i,e){
		$(e).on('change',function(){
			if( !$(this).hasClass('nomirror') )
			{
				$(this).addClass('nomirror');

				var nomirrors = $(this).data('nomirror');
				if(nomirrors)
				{
					$( nomirrors ).addClass('nomirror');
				}
			}
		});
	});

	$('[data-type-max]').each( function(i, e){

		var max_typing = $.trim( $(e).attr('data-type-max') );
		var current_val = $.trim( $(e).val() );
		var current_val_length = current_val.length;

		var element = $(e);

		if( $(e).next().length )
			element = $(e).next();

		var div = $('<div>',{class:'div-append'}).insertAfter( element );

		var span = $('<span>',{text: current_val_length+'/'+max_typing })
		.appendTo( div );

		$(e).on('keyup', function(ev){
			// var input_length = $.trim( $(this).val() ).length;
			// span.text( input_length+'/'+max_typing );
			setCounter();
		} ).on('keypress',function(ev2){
			var input_length = $.trim( $(this).val() ).length;
			return input_length < max_typing;
		}).bind('paste',function(){
			setCounter();
		});

	} );

	function setCounter(){
		$('[data-type-max]').each( function(i, e){
			var max_typing = $.trim( $(e).attr('data-type-max') );
			var current_val = $.trim( $(e).val() );
			var current_val_length = current_val.length;

			var element = $(e);

			if( $(e).next().length )

				element = $(e).next();
			var span = element.find('span');
			var text = $(e).val();

			var input_length = $.trim( text ).length;

			if(input_length>max_typing){
				text = text.substring(0, max_typing);
				$(e).val( text );
				input_length = max_typing;
			}

			span.text( input_length+'/'+max_typing );
		} );
	}
</script>

<script>
	var dblclick = false;
	var xsep = '<?= $XSEP; ?>';
	var xprin = '<?= $XPRIN; ?>';
	var nclick=0;
	let loaded_page = false;

	function agregaColoresImagen( input ){

		//Para nombre de variables variables js
		var id = $.trim( input.attr('id') );
		//clave
		var clave = $.trim( input.attr('data-clave') );
		//id del box
		var color = $.trim( input.next().find('.color-name').text() );
		//xval
		var key = $.trim( input.val().split('<?= $XSEP; ?>')[0] );

		var main_container = $('[data-idimages="'+key+'"]');
		main_container.remove();
		
		$('.item-i360-container').attr('data-ord','0');

		if( input.is(':checked') ){

			var prin = input.next().hasClass('main-color')?1:0;

			var item = '\
				<div class="item-i360 item-i360-container mb-3" data-ord="'+prin+'" data-id="'+id+'" data-idimages="'+key+'">\
					<h5>'+color+'</h5>\
					<div class="row px-3">\
					\
						<div class="item-box img-group">\
							<img class="ico-360" src="<?= $_CONF_URL_PROYST; ?>/images/img-360.png">\
						</div>\
						\
						<div class="item-box ev anillo a text-center  mx-3"><label for="images-i360">800 x 800 px<br>PNG</label></div>\
						<label class="item-box ev add"><i class="fa fa-plus"></i></label>\
					</div>\
				</div>\
			';

			$(item).appendTo('.image-color-list')
			.find('.item-box.ev').click(function(){
				$('#color-name-post').val(key);
				if($(this).hasClass('add')){
					$('.modal-add-img-video').find('#btn-add-img').unbind()
					.click(function(){
						createEventImgs(key);
						$('.modal-add-img-video').modal('hide');
					});
					$('.modal-add-img-video').find('#btn-add-video').unbind()
					.click(function(){
						createEventVideo(key);
						$('.modal-add-img-video').modal('hide');
					});
					$('.modal-add-img-video').modal('show');
				}

				if($(this).hasClass('anillo')){
					createEventImgsAnDiam('a');
				}
			});

			if(loaded_page)
			{
				try{
					eval('var json=json_vars_'+clave);
					muestraImgs(json);
				}catch(e){ }
			}

		}//if( input.is(':checked') ){
		else{
			// main_container.remove();
		}

		ordenaListaColores();
	}

	function createEventImgs(key){
		$('#images-i360').unbind()
		.change(function(event){
			var cant = $('[data-idimages="'+key+'"]').find('.main-img-grup').length;
			$('#grup-num-post').val( cant );
			$('#form-images').submit();
			$('#color-name-post').val('');
			$('#grup-num-post').val('');
		});
	}

	var _URL = window.URL || window.webkitURL;
	function checkImgage(img, t){
		const sizes = {
			d: 200,
			a: 800
		};
		size = sizes[t];
		var file, img;
		if ((file = img.files[0])) {
			img = new Image();
			var objectUrl = _URL.createObjectURL(file);
			img.onload = function () {
				if(this.width === size && this.height === size){
					$('#grup-num-post').val(t);
					$('#form-images').submit();
					$('#color-name-post').val('');
					$('#grup-num-post').val('');
				}else{
					alert(`Las dimenciones deben de ser de ${size}px`);
					$('#images-i360').val('');
				}
				
				_URL.revokeObjectURL(objectUrl);
			};
			img.src = objectUrl;
		}
	}

	function createEventImgsAnDiam(t){
		$('#images-i360').unbind()
		.change(function(){
			const {type} = this.files[0];
			if(type === 'image/png'){
				checkImgage(this,t);
			}else{
				alert('Debe ser arcihvo PNG');
				$('#images-i360').val('');
			}
		})
	}

	function createEventVideo(key){
			var cant = $('[data-idimages="'+key+'"]').find('.main-img-grup').length;
			var youtube_link=$('#input-youtube').val();
			$('#grup-num-post').val(cant);
			$('<input>',{id:'youtube_link_remove',name:'youtube_link',value:youtube_link}).appendTo('#form-images');
			$('#form-images').submit();
			$('#color-name-post').val('');
			$('#grup-num-post').val('');
			$('#input-youtube').val('');
		
	}

	function ordenaListaColores(){
		$('.image-color-list').find('.item-i360').sort(function(a,b) {
		     return a.dataset.ord < b.dataset.ord;
		}).appendTo( $('.image-color-list') );
	}

	$('.box-colors').each(function(i,e){
		$(e).dblclick(function(){

			dblclick = true;
			//console.log('a '+dblclick);

			$('input.prod-colors').each(function(i2,e2){
				var val = $(e2).val().split(xsep)[0];
				$(e2).val( $.trim( val ) );
			});

			var input = $(this).prev();

			var was_checked = input.is(':checked');

			input.prop('checked',true);
			input.val( $( input ).val()+xsep+xprin );
			$('.box-colors.main-color').removeClass('main-color');
			$(this).addClass('main-color');

			//console.log(was_checked);

			// if(!was_checked)
				agregaColoresImagen( input );

		}).click(function(){

			setTimeout(()=>{
				if(dblclick)
				{
					dblclick = false;
					return false;
				}
				var input = $(this).prev();
				var was_checked = input.is(':checked');

				var checked = $('input.prod-colors:checked');
				var main = checked.next('.main-color');

				if(main.length<1){

					checked.each(function(i2,e2){
						var val = $(e2).val().split(xsep)[0];
						$(e2).val( $.trim( val ) );
					});
					

					$('.box-colors.main-color').removeClass('main-color');
					//console.log(checked.length);
					var el = null;

					if(checked.length<1){
						// console.log('a');
						el = $('input.prod-colors')[0];
						// console.log(el);
					}else{
						// console.log('b');
						el = checked[0];
						// console.log(el);
					}

					$( el ).prop('checked',true).val( $( el ).val()+xsep+xprin );
					$( el ).next().addClass('main-color');

					if(loaded_page)
						agregaColoresImagen( $(el) );
				}

				// console.log(was_checked);

				// console.log(input);

				// if(!was_checked)
					agregaColoresImagen( input );

			},500);
		});
	});
</script>

<!-- Modal -->
<div class="modal fade modal-reg-errors" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"><?= $LABEL_RESP_ERR; ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="list-group">
		</ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-reg-created" data-keyboard="false" data-backdrop="static" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"><?= $LABEL_RESP_OK; ?></h5>
      </div>
      <div class="modal-body">
        <h6 class="resp"></h6>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-images" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">

      <div class="modal-header">
      </div>

      <div class="modal-body">

      	<div class="section">
		    <div class="progress" style="height: auto !important; ">
		       <div class="progress-bar bg-primary d-none" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
		      </div>
		</div>

      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade modal-images-360" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">

      <div class="modal-body">

      	<div class="w-100">
      		<div class="image-360-container"></div>
      	</div>

      </div>

    </div>
  </div>
</div>

<script>
	$(document).ready(function() {

	    $('#form-images').on('submit', function(event) {
	        event.preventDefault();
	        $('.modal-images').modal();
	        $('.progress-bar').removeClass('d-none');

	        var formData = new FormData($(this)[0]);
	        $('.progress-bar').attr('aria-valuenow', 0).css('width', 0 + '%').text(0 + '%');

	        $.ajax({
	            xhr : function() {
	                var xhr = new window.XMLHttpRequest();
	                xhr.upload.addEventListener('progress', function(e) {
	                    if (e.lengthComputable) {
	                        var percent = Math.round((e.loaded / e.total) * 100);
	                        var bar = $('.progress-bar').attr('aria-valuenow', percent).css('width', percent + '%');

	                        if(percent < 100)
	                            bar.text(percent + '%');
	                        else
	                            bar.text('Completando...');
	                    }

	                });
	                return xhr;
	            },
	            type : 'POST',
	            url : '<?= $URL_ACTUAL; ?>',
	            data : formData,
	            processData : false,
	            contentType : false,
	            success : function(data) {

	            	$('.progress-bar').addClass('d-none');
	            	$('#youtube_link_remove').remove();

	                // console.log(data);

	                let resp = data.split('--codereg--')[1];
		    		let json = null;
		    		try{
		    			json = JSON.parse( resp );
		    		}catch(err){
		    			console.log(err.message);
		    		}

		    		if(json != null) {
		    			// console.log(json);
		    			if(!json.error){
		    				if(json.cant_saved){
								if(json.is360image){
		    						setImage360(json.idcolor,json.imgs_directory,json.cant_saved,json.imgs_format,json.url_yt);
								}else{
									setImageAnDiam(json.idcolor,json.imgs_directory,json.grup);
								}
		    				}

		    			}

		    		}//if(json != null)

		    		$('.modal-images').modal('hide');
		    		setTimeout(()=>{
		    			$('.modal-images').modal('hide');
		    		},300);
	            }
	        });

	    });
	});


	function setImage360(idcolor,directory,cant,format,url_yt='') {
		console.log(url_yt);
		var rand = Math.floor(Date.now() / 1000);
		var color_container = $('[data-idimages="'+idcolor+'"]');
		var img = '<img src="'+directory+'/1.jpg?rand='+rand+'" class="w-100 main-img-grup">';
		if(url_yt){
			img = '<div class="w-100 main-img-grup"></div>';
		}
		var del = '<span class="del"></span>';
		img+=del;
		container = null;

		var pos = color_container.find('.main-img-grup').length;

		if(pos<1){
			container = color_container.find('.img-group');

			if(container.length<1) {
				container = $('<div>',{class:'item-box img-group',html:img});
				container.insertBefore( color_container.find('label.item-box.add') );
			}else{
				container.html(img);
			}

		}else{
			container = $('<div>',{class:'item-box img-group',html:img});
			container.insertBefore( color_container.find('label.item-box.add') );
		}

		//Eliminar imagen
		container.find('span.del').click(function(){
			var grup = directory.split('/');
			var xgrup = grup[ grup.length-2 ];
			var ngrup = xgrup.slice(-1);
			eliminaGrupoImgs(idcolor,ngrup,$(this).parent() );
		});

		var imgprin=container.find('.main-img-grup');
		if(url_yt){
			setUrlYoutube(imgprin,url_yt);
		}

		//Ver imagen
		imgprin.unbind()
		.click(function(){
			var modal_360 = $('.modal-images-360');
			var container_360 = modal_360.find('.image-360-container');
			container_360.unbind().html('');
			modal_360.modal();

			if(cant>1) {
				container_360.vc3dEye({
					imagePath: directory,
					totalImages: cant,
					imageExtension: format+'?x='+rand
				});
			}else{
				container_360.html('<img src="'+directory+'1.jpg" class="w-100">');
			}

		});
	}

	function setImageAnDiam(idcolor,directory,grup) {
		var rand = Math.floor(Date.now() / 1000);
		var color_container = $('[data-idimages="'+idcolor+'"]');
		var img = $('<img>',{src:`${directory}1.png?rand=${rand}`, class: `w-100 img-an-diam item-img-del ${grup}`});
		var del = $('<span>',{class:'del item-img-del an-diam'});
		container = color_container.find(`.item-box.${grup}`);
		img.appendTo(container)
		del.appendTo(container)

		//Eliminar imagen
		container.find('span.del').click(function(){
			var grup = directory.split('/');
			var xgrup = grup[grup.length-2];
			var ngrup = xgrup.slice(-1);
			eliminaGrupoImgs(idcolor,ngrup,$(this).parent().find('.item-img-del'));
		});

		//Ver imagen
		img.unbind()
		.click(function(){
			var modal_360 = $('.modal-images-360');
			var container_360 = modal_360.find('.image-360-container');
			container_360.unbind().html('');
			modal_360.modal('show');
			img.clone().appendTo(container_360);
		});
	}

	function eliminaGrupoImgs(idcolor,grup, el) {
		$.post('<?= $URL_ACTUAL; ?>',{
			'<?= $POST_ACTION; ?>':'<?= codVal('ELIMINAIMGS'); ?>',
			'color':idcolor,
			'grupo':grup
		},function(data){
			let resp = data.split('--codereg--');

			if(resp[1] !=''){
				console.log(resp[3]);
				if(resp[3]!='0'){
					eval( resp[2] );
					eval('muestraImgs('+resp[1]+')');
					el.remove();
				}
				else{
					el.remove();
				}

			}else{
				el.remove();
			}
    		
		});
	}
</script>

<script>

function setDecimalFormat()
{
	$('.mask-decimal-format').each(function(i,e){
		$(e).maskMoney({
			prefix:'$ ',
			allowNegative: false, 
			thousands:',', 
			decimal:'.',
			affixesStay: true
		});

		$(e).removeClass('mask-decimal-format');
	});
}

$(document).ready(function() {

	$('.modal-reg-created').on('hidden.bs.modal', function () {
		window.location = '<?= $URL_ACTUAL; ?>';
	});

    $('#form-n-prod').on('submit', function(event) {

    	event.preventDefault();

    	let xdata = $(this).serialize();

    	$('input,button,textarea').attr('disabled',true);
    	var error_class = 'border border-danger';
    	$('input,textarea').removeClass(error_class);
    	var modal_e = $('.modal-reg-errors');
    	var modal_r = $('.modal-reg-created');
    	var err_list = modal_e.find('ul.list-group');
    	err_list.html('');


    	$.post('<?= $URL_ACTUAL; ?>',xdata,function(data){
    		
    		$('input,button,textarea').attr('disabled',false);

    		let resp = data.split('--codereg--')[1];
    		let json = null;
    		try{
    			json = JSON.parse( resp );
    		}catch(err){
    			console.log(err.message);
    		}

    		if(json != null) {

    			console.log(json);

    			if(json.error_val != null) {
    				
    				for(var error in json.error_val) {
					   $('[name="'+error+'"]')
					   .attr('title',json.error_val[error])
					   .addClass( error_class );

					   $('<li>',{class:'list-group-item text-danger',text:json.error_val[error]}).appendTo( err_list );
					}

					modal_e.modal();
    			}

    			if( !json.error ){
    				modal_r.find('.resp').text( json.msg );
    				modal_r.modal();
    			}
    		}

			// $('input,button').attr('disabled',false);
		});
    });

    setDecimalFormat();
});
</script>

<script>
var xcount = 0;
var xtotal = <?= count($VARS_PROD ?? []); ?>;
var xinput = null;
var xjson = null;

<? if($VARS_PROD){ ?>
	function muestraImgs(json){

		var imgsgrup = $('[data-idimages="'+json.cod_color+'"]').find('.main-img-grup');

		imgsgrup.each(function(j,e){
			if(j==0){
				// $(e).removeClass('main-img-grup');
				$(e)
				.attr('class','ico-360')
				.attr('src','<?= $_CONF_URL_PROYST; ?>/images/img-360.png')
				.unbind();

				$(e).next().remove();
			}else{
				$(e).parent().remove();
			}
		});

		var grup = json.grups_imgs;
		// console.log(grup);

		for(var i=0; i<grup.length; i++) {
			if(grup[i] != null)
				//console.log(grup[i]);
				var xparf=grup[i].img_prin.split('.');
				var format =xparf[xparf.length-1];
				var url_yt='';
				if(format=='txt'){
					url_yt=grup[i].img_prin;
				}
				setImage360(json.cod_color,grup[i].url_base,grup[i].cant,format,url_yt);
		}

		//$('.img-an-diam.item-img-del, span.item-img-del.an-diam').remove();
		var annillo_diamante = json.anillo_diamante;
		if(annillo_diamante){
			for(grupo in annillo_diamante){
				setImageAnDiam(json.cod_color,annillo_diamante[grupo],grupo);
			}
		}
	}

	<? foreach ($VARS_PROD as $XVAR => $XCOLOR) { ?>	

		xjson = JSON.parse('<?= $XCOLOR; ?>');
		loaded_page = false;
		xinput = $('input[value="'+xjson.cod_color+'"]');
		
		if( xjson.es_principal ) {
			xinput.val(xjson.cod_color+'<?= $XSEP.$XPRIN; ?>');
			xinput.next('.box-colors').addClass('main-color');
		}

		xinput.next('.box-colors').click();

		var json_vars_<?= $XVAR; ?> = xjson;
		
		setTimeout(()=>{
			muestraImgs(json_vars_<?= $XVAR; ?>);
			xcount++;

			if(xcount == xtotal)
				loaded_page = true;

		},1000);
	<?
		}
	 }else{
	 ?>
		$( $('.box-colors')[0] ).click();
		loaded_page = true;
	<? } ?>
</script>