<style>

	.tipo-cadena input{
		display: none;
	}
	.tipo-cadena input ~ label.card{
		border: 3px solid transparent;
	}
	.tipo-cadena input:checked + label.card{
		border: 3px solid #000 !important;
	}

	#ul-lista-prods-rel .list-group-item{
		border: unset !important;
	}
	#ul-lista-prods-rel input[type="checkbox"]{
		display: none;
	}

	#ul-lista-prods-rel span.del{
		position: absolute;
		top: 0;
		right: 0;
		color: red;
		cursor: pointer;
		font-size: 20px;
		font-weight: 700;
	}
</style>
<main class="main-content">

	<div class="container container-product mb-5 px-0">
		<div class="row">
			<div class="col">
				<h4><a href="<?= $URL_PREV; ?>" class="text-dark"><?= $LABEL_PRE_URL; ?></a> > <a href="<?= $_POST_; ?>" class="text-dark"><?= $LABEL_URL; ?></a></h4>
			</div>
		</div>

		<form id="form-n-prod">
			<div class="row">

				<div class="col-lg-8">

					<div class="mb-3 tipo-cadena">
						<div class="row text-center">
							<div class="col-md-6 pr-md-1">
								<input id="tp1" type="radio" <?= ($EDITAR_tipo_producto == $TIPO_CADENA[1] || !isset($EDITAR_tipo_producto)) ? "checked" : ""; ?> name="<?= $var_tipoprod; ?>" value='1'>
								<label for="tp1" class="card py-4" data-show='cadenas'>
									<h4><b>Cadena</b></h4>
								</label>
							</div>

							<div class="col-md-6 pl-md-1">
								<input id="tp2" type="radio" <?= $EDITAR_tipo_producto == $TIPO_CADENA[2] ? "checked" : ""; ?> name="<?= $var_tipoprod; ?>" value='2'>
								<label for="tp2" class="card py-4" data-show='pulsos'>
									<h4><b>Pulsos</b></h4>
								</label>
							</div>

						</div>
					</div>

					<? $oVis->include_component("informacion-general-cadena"); ?>

					<? $oVis->include_component("colores-cadena"); ?>
					
					<? $oVis->include_component("imagenes-cadena"); ?>

					<? $oVis->include_component("espesificaciones-cadena"); ?>					

				</div>

				<div class="col-lg-4 pl-lg-1">

					<div class="sidebar-stiky">
						<div class="sidebar__inner">

							<div class="card border-0 mb-4">
								
								<div class="px-3 pt-3 pb-0">
									<h4><b>Status del producto</b></h4>
								</div>
								<hr>

								<div class="p-3">
									<div class="form-group d-flex align-items-center">
										<label class="switch">
											<input id="st1" <?= $EDITAR_estatus?"checked":""; ?> type="radio" name="<?= $var_estatus;?>" value="1">
											<span class="slider round"></span>
										</label>
										<label for="st1" class="text-dark">&nbsp;&nbsp;Activo</label>
									</div>

									<div class="d-flex align-items-center">
										<label class="switch">
											<input id="st2" type="radio" name="<?= $var_estatus;?>" <?= !$EDITAR_estatus?"checked":""; ?> value="0">
											<span class="slider round"></span>
										</label> 
										<label for="st2" class="text-dark">&nbsp;&nbsp;Inactivo</label>
									</div>
								</div>
							</div>

							<? $oVis->include_component("identificador-cadena"); ?>

							<div class="card border-0 mb-4">
								
								<div class="px-3 pt-3 pb-0">
									<h4><b>Productos relacionados</b></h4>
								</div>

								<hr>

								<div class="px-3 pb-3 pt-1">
									<div class="d-flex justify-content-center">
										<div class="col-lg-11">
											<button type="button" data-toggle="modal" data-target=".modal-productos-rel" class="btn btn-outline-primary btn-block py-2">Añadir un producto</button>
										</div>
									</div>
								</div>

								<hr>
								<ul id="ul-lista-prods-rel" class="list-group"></ul>
							</div>

						</div>
					</div>

				</div>
			</div>

			<input type="hidden" readonly="" name="<?= $POST_ACTION; ?>" value="<?= $ACTION_crea_cadena; ?>">
		</form>

	</div>
</main>
<form id="form-images">
	<input class="d-none" id="images-cadena" type="file" accept="image/jpeg, image/png" name="<?= $var_imagenes; ?>[]">
	<input type="hidden" name="<?= $POST_ACTION; ?>" value="<?= $ACTION_upload_images; ?>">
	<input id="color-name-post" type="hidden" name="<?= $var_color; ?>">
	<input id="grup-num-post" type="hidden" name="grup_num">
</form>
<? $oVis->include_component("modales-nuevo-producto-cadena"); ?>

<script>

$('.tipo-cadena label').each(function(i,e){
	$(e).click(function(){
		const element = $(this).data('show');
		$('[id^="prod-especificaciones-"]').addClass('d-none');
		$(`#prod-especificaciones-${element}`).removeClass('d-none');
	})
});

$('.tipo-cadena input:checked ~ label').click();

function agregaProdsUl( lista_prods, container,create_input=false)
{
	for(var i = 0; i< lista_prods.length;i++){

		var rand = lista_prods[i].rand;
		var nom = lista_prods[i].nombre;
		var sku = lista_prods[i].sku;
		var img = lista_prods[i].img;
		var checked = lista_prods[i].relacionado;

		var id = 'input_prod_'+i;
		
		var li = $('<li>',{class:'list-group-item '+id});

		var div = $('<div>',{class:'form-check mb-0'});

		if(create_input)
		$('<input>',{class:'form-check-inputSSSSS ml-0',checked:checked,type:'checkbox',value:rand,id:id, name:'productos_relacionados[]'}).appendTo( div );

		var xhtml = '<div class="row">\
						<div class="col-3 px-2"><img src="'+img+'" class="w-100"></div>\
						<div class="col-9 pl-0">\
							<h6><b>'+nom+'</b></h6>\
							<span>SKU: '+sku+'</span>\
						</div>\
					</div>';

		$('<label>',{class:'form-check-label px-0',html:xhtml,for:id }).appendTo( div );

		div.appendTo( li );
		li.appendTo( container );
	}
}

<? if( !$ID_PROD_EDITAR ){ ?>
function agregaProdsCheck()
{
	var inputs = $('#ul-lista-prods .list-group-item input[type="checkbox"]:checked');

	$('#ul-lista-prods-rel').html( '' );

	inputs.each(function(i,e){
		$(e).parent().parent().appendTo( '#ul-lista-prods-rel' );
	});

	$( '#ul-lista-prods-rel input[type="checkbox"]' ).each(function(i,e){
		var id = $(e).attr('id');
		var xid = id+'_vis';

		$('<span>',{class:'del',html:'&times;'}).appendTo( $(e).parent() )
		.click(function(){
			$('li.'+id).remove();
		});

		$(e).attr('id', xid  );
		$(e).next().attr('id', xid  );
	});

	$('#n-prods').html( '&nbsp;' );
	$('#ul-lista-prods').html('');
	$('.modal-productos-rel').modal('hide');
	stickySidebar.updateSticky();
}
<? } ?>

$(document).ready(function() {

	$('.mask-format').each(function(i,e){
		const prefix = $(e).data('prefix');
		$(e).maskMoney({
			// suffix:' g',
			allowNegative: false, 
			thousands:',', 
			decimal:'.',
			affixesStay: true
		});
	});

    $('#form-busca-prod').on('submit', function(event){
        event.preventDefault();
        var formData = new FormData($(this)[0]);
        $('#n-prods').html( 'Buscando...' );
        $('.btn-agregar').attr('disabled',true);
        $.ajax({
            type : 'POST',
            url : '<?= $_POST_; ?>',
            data : formData,
            processData : false,
            contentType : false,
            success : function(data){
            	console.log(data);
            	let json = JSON.parse(data);

            	$('#ul-lista-prods').html('');
            	$('#n-prods').html( 'Ocurrió un error en la busqueda' );

            	if( !json.error ){

            		$('#n-prods').html( '0 resultados' );

            		if(json.productos != null){
            			$('.btn-agregar').attr('disabled',false);
            			$('#n-prods').html( json.productos.length+' resultados' );
            			agregaProdsUl( json.productos, '#ul-lista-prods', true);
            		}
            	}else{
            		$('.btn-agregar').attr('disabled',false);
            	}
            }
        });

    });

	 	<? if($ID_PROD_EDITAR){ ?>

	    $('#form-add-prod').on('submit', function(event){
	        event.preventDefault();
	        var formData = new FormData($(this)[0]);
	        $('#n-prods').html( 'Guardando...' );
	        $('#ul-lista-prods input').attr('disabled',true);
	        $('.btn-agregar').attr('disabled',true);
	        $.ajax({
	            type : 'POST',
	            url : '<?= $_POST_; ?>',
	            data : formData,
	            processData : false,
	            contentType : false,
	            dataType: 'json',
	            success : function(json){
	            	$('.btn-agregar').attr('disabled',false);
	            	$('#n-prods').html( '&nbsp;' );
	            	$('#ul-lista-prods input').attr('disabled',false);

	            	$('#ul-lista-prods-rel').html('');

	            	if( !json.error ){
	            		$('#ul-lista-prods').html('');
	            		agregaProdsUl( json.productos, '#ul-lista-prods-rel');
	            		$('.modal-productos-rel').modal('hide');
	            	}

	            	stickySidebar.updateSticky();
	            }
	        });

	    });

	    <? if($prod_relacionados_json){ ?>
	    	agregaProdsUl( JSON.parse( '<?= $prod_relacionados_json; ?>' ), '#ul-lista-prods-rel');
	    <? } ?>

	<? } ?>

});
</script>



<script>
	var dblclick = false;
	var xsep = '<?= $XSEP; ?>';
	var xprin = '<?= $XPRIN; ?>';
	var nclick=0;
	let loaded_page = false;

	function agregaColoresImagen(input){

		//Para nombre de variables variables js
		var id = $.trim(input.attr('id'));
		//clave
		var clave = $.trim( input.attr('data-clave') );
		//id del box
		var color = $.trim( input.next().find('.color-name').text() );
		//xval
		var key = $.trim( input.val().split('<?= $XSEP; ?>')[0] );

		var main_container = $('[data-idimages="'+key+'"]');

		main_container.remove();
		
		$('.item-i360-container').attr('data-ord','0');
		if(input.is(':checked')){

			var prin = input.next().hasClass('main-color')?1:0;

			var item = '\
				<div class="item-i360 item-i360-container mb-3" data-ord="'+prin+'" data-id="'+id+'" data-idimages="'+key+'">\
					<h5>'+color+'</h5>\
					<div class="row px-3">\
					\
						<div class="item-box img-group">\
							<img class="ico-360" src="<?= $_CONF_URL_PROYST; ?>/images/img-360.png">\
						</div>\
						\
						<label class="item-box add"><i class="fa fa-plus"></i></label>\
					</div>\
				</div>\
			';

			$(item).appendTo('.image-color-list')
			.find('.item-box.add').click(function(){
				$('#color-name-post').val(key);
				$('.modal-add-img-video').find('#btn-add-img').unbind()
				.click(function(){
					createEventImgs(key);
					$('.modal-add-img-video').modal('hide');
				});
				$('.modal-add-img-video').find('#btn-add-video').unbind()
				.click(function(){
					createEventVideo(key);
					$('.modal-add-img-video').modal('hide');
				});
				$('.modal-add-img-video').modal('show');
			});
			return false

			if(loaded_page)
			{
				try{
					eval('var json=json_vars_'+clave);
					muestraImgs(json);
				}catch(e){ }
			}

		}//if( input.is(':checked') ){
		else{
			// main_container.remove();
		}

		ordenaListaColores();
	}

	function createEventImgs(key){
		$('#images-cadena').unbind()
		.change(function(event){
			var cant = $('[data-idimages="'+key+'"]').find('.main-img-grup').length;
			$('#grup-num-post').val(cant);
			$('#form-images').submit();
			$('#color-name-post').val('');
			$('#grup-num-post').val('');
		});
	}

	function createEventVideo(key){
			var cant = $('[data-idimages="'+key+'"]').find('.main-img-grup').length;
			var youtube_link=$('#input-youtube').val();
			$('#grup-num-post').val(cant);
			$('<input>',{id:'youtube_link_remove',name:'youtube_link',value:youtube_link}).appendTo('#form-images');
			$('#form-images').submit();
			$('#color-name-post').val('');
			$('#grup-num-post').val('');
			$('#input-youtube').val('');
		
	}

	function ordenaListaColores(){
		$('.image-color-list').find('.item-i360').sort(function(a,b) {
		     return a.dataset.ord < b.dataset.ord;
		}).appendTo( $('.image-color-list') );
	}

	$('.box-colors').each(function(i,e){
		$(e).dblclick(function(){

			dblclick = true;
			//console.log('a '+dblclick);

			$('input.prod-colors').each(function(i2,e2){
				var val = $(e2).val().split(xsep)[0];
				$(e2).val( $.trim( val ) );
			});

			var input = $(this).prev();

			var was_checked = input.is(':checked');

			input.prop('checked',true);
			input.val( $( input ).val()+xsep+xprin );
			$('.box-colors.main-color').removeClass('main-color');
			$(this).addClass('main-color');

			//console.log(was_checked);

			// if(!was_checked)
				agregaColoresImagen( input );

		}).click(function(){

			setTimeout(()=>{
				if(dblclick)
				{
					dblclick = false;
					return false;
				}
				var input = $(this).prev();
				var was_checked = input.is(':checked');

				var checked = $('input.prod-colors:checked');
				var main = checked.next('.main-color');

				if(main.length<1){

					checked.each(function(i2,e2){
						var val = $(e2).val().split(xsep)[0];
						$(e2).val( $.trim( val ) );
					});
					

					$('.box-colors.main-color').removeClass('main-color');
					//console.log(checked.length);
					var el = null;

					if(checked.length<1){
						// console.log('a');
						el = $('input.prod-colors')[0];
						// console.log(el);
					}else{
						// console.log('b');
						el = checked[0];
						// console.log(el);
					}

					$( el ).prop('checked',true).val( $( el ).val()+xsep+xprin );
					$( el ).next().addClass('main-color');

					if(loaded_page)
						agregaColoresImagen( $(el) );
				}

				// console.log(was_checked);

				// console.log(input);

				// if(!was_checked)
					agregaColoresImagen( input );

			},500);
		});
	});
</script>



<script>
	$(document).ready(function() {

	    $('#form-images').on('submit', function(event) {
	        event.preventDefault();
	        $('.modal-images').modal();
	        $('.progress-bar').removeClass('d-none');

	        var formData = new FormData($(this)[0]);
	        $('.progress-bar').attr('aria-valuenow', 0).css('width', 0 + '%').text(0 + '%');

	        $.ajax({
	            xhr : function() {
	                var xhr = new window.XMLHttpRequest();
	                xhr.upload.addEventListener('progress', function(e) {
	                    if (e.lengthComputable) {
	                        var percent = Math.round((e.loaded / e.total) * 100);
	                        var bar = $('.progress-bar').attr('aria-valuenow', percent).css('width', percent + '%');

	                        if(percent < 100)
	                            bar.text(percent + '%');
	                        else
	                            bar.text('Completando...');
	                    }

	                });
	                return xhr;
	            },
	            type : 'POST',
	            url : '<?= $_POST_; ?>',
	            data : formData,
	            processData : false,
	            contentType : false,
	            dataType: 'json',
	            success : function(json) {

	            	$('.progress-bar').addClass('d-none');
	            	$('#youtube_link_remove').remove();

	            	try{
			    		if(json != null) {
			    			console.log(json);
			    			if(!json.error){
			    				if(json.cant_saved) {
			    					setImage360(json.idcolor,json.imgs_directory,json.cant_saved,json.imgs_format,json.url_yt);
			    				}

			    			}

			    		}//if(json != null)
			    	}catch(err){
			    		console.log('Error: ',err);
			    		alert('Algo ocurrió');
			    	}

		    		$('.modal-images').modal('hide');
		    		setTimeout(()=>{
		    			$('.modal-images').modal('hide');
		    		},300);
	            },error: function(){
	            	alert('Ocurrió un problema interno en el sistema');
	            	$('.modal-images').modal('hide');
		    		setTimeout(()=>{
		    			$('.modal-images').modal('hide');
		    		},300);
	            }
	        });

	    });
	});


	function setImage360(idcolor,directory,cant,format,url_yt='') {
		var rand = Math.floor(Date.now() / 1000);
		var color_container = $('[data-idimages="'+idcolor+'"]');
		var img = '<img src="'+directory+'/1.jpg?rand='+rand+'" class="w-100 main-img-grup">';
		if(url_yt){
			img = '<div class="w-100 main-img-grup"></div>';
		}
		var del = '<span class="del"></span>';
		img+=del;
		container = null;

		var pos = color_container.find('.main-img-grup').length;

		if(pos<1){
			container = color_container.find('.img-group');

			if(container.length<1) {
				container = $('<div>',{class:'item-box img-group',html:img});
				container.insertBefore( color_container.find('label.item-box.add') );
			}else{
				container.html(img);
			}

		}else{
			container = $('<div>',{class:'item-box img-group',html:img});
			container.insertBefore( color_container.find('label.item-box.add') );
		}

		//Eliminar imagen
		container.find('span.del').click(function(){
			var grup = directory.split('/');
			var xgrup = grup[ grup.length-2 ];
			var ngrup = xgrup.slice(-1);
			eliminaGrupoImgs(idcolor,ngrup,$(this).parent());
		});

		var imgprin=container.find('.main-img-grup');
		if(url_yt){
			setUrlYoutube(imgprin,url_yt);
		}

		//Ver imagen
		imgprin.unbind()
		.click(function(){
			var modal_360 = $('.modal-images-360');
			var container_360 = modal_360.find('.image-360-container');
			container_360.unbind().html('');
			modal_360.modal();

			if(cant>1) {
				container_360.vc3dEye({
					imagePath: directory,
					totalImages: cant,
					imageExtension: format+'?x='+rand
				});
			}else{
				container_360.html('<img src="'+directory+'1.jpg" class="w-100">');
			}

		});
	}

	function eliminaGrupoImgs(idcolor,grup, el) {
		$.post('<?= $_POST_; ?>',{
			<?= $POST_ACTION; ?>:'<?= $ACTION_delete_images; ?>',
			<?= $var_color; ?>:idcolor,
			'grupo':grup
		},function(data){
			let resp = data.split('--codereg--');

			if(resp[1] !=''){
				console.log(resp[3]);
				if(resp[3]!='0'){
					eval( resp[2] );
					eval('muestraImgs('+resp[1]+')');
				}
				else{
					el.remove();
				}

			}else{
				el.remove();
			}
    		
		});
	}
</script>

<script>
$(document).ready(function() {

	$('.modal-reg-created').on('hidden.bs.modal', function () {
		window.location = '<?= $_POST_; ?>';
	});

    $('#form-n-prod').on('submit', function(event) {

    	event.preventDefault();

    	let xdata = $(this).serialize();

    	$('input,button,textarea').attr('disabled',true);
    	var error_class = 'border border-danger';
    	$('input,textarea').removeClass(error_class);
    	var modal_e = $('.modal-reg-errors');
    	var modal_r = $('.modal-reg-created');
    	var err_list = modal_e.find('ul.list-group');
    	err_list.html('');


    	$.post('<?= $_POST_; ?>',xdata,function(data){
    		console.log('data',data);
    		
    		$('input,button,textarea').attr('disabled',false);
    		let json = null;
    		try{
    			json = JSON.parse(data);
    		}catch(err){
    			console.log('Ocurrió un problema en el sistema',err.message);
    		}

    		if(json != null) {
    			//console.log(json);
    			if(json.error_val != null) {
    				
    				for(var error in json.error_val) {
					   $('[name="'+error+'"]')
					   .attr('title',json.error_val[error])
					   .addClass( error_class );
					   $('<li>',{class:'list-group-item text-danger',text:json.error_val[error]}).appendTo( err_list );
					}
					modal_e.modal();
    			}
    			if( !json.error ){
    				modal_r.find('.resp').text( json.msg );
    				modal_r.modal();
    			}
    		}
		});


    });
});
</script>

<script>
var xcount = 0;
var xtotal = <?= count($VARS_PROD ?? []); ?>;
var xinput = null;
var xjson = null;
// $(document).ready(()=>{
<? if($VARS_PROD){ ?>
	function muestraImgs(json){

		var imgsgrup = $('[data-idimages="'+json.cod_color+'"]').find('.main-img-grup');

		// console.log(imgsgrup);

		imgsgrup.each(function(j,e){
			if(j==0){
				// $(e).removeClass('main-img-grup');
				$(e)
				.attr('class','ico-360')
				.attr('src','<?= $_CONF_URL_PROYST; ?>/images/img-360.png')
				.unbind();

				$(e).next().remove();
			}else{
				$(e).parent().remove();
			}
		});

		var grup = json.grups_imgs;

		for(var i=0; i<grup.length; i++) {
			if(grup[i] != null){
				//console.log(grup[i]);
				var xparf=grup[i].img_prin.split('.');
				var format =xparf[xparf.length-1];
				var url_yt='';
				if(format!='jpg'){
					url_yt=grup[i].img_prin;
				}
				setImage360(json.cod_color,grup[i].url_base,grup[i].cant,format,url_yt);
			}
		}
	}

	<? foreach ($VARS_PROD as $XVAR => $XCOLOR) { ?>	

		xjson = JSON.parse('<?= $XCOLOR; ?>');
		loaded_page = false;
		xinput = $('input[value="'+xjson.cod_color+'"]');
		
		if( xjson.es_principal ) {
			xinput.val(xjson.cod_color+'<?= $XSEP.$XPRIN; ?>');
			xinput.next('.box-colors').addClass('main-color');
		}

		xinput.next('.box-colors').click();

		var json_vars_<?= $XVAR; ?> = xjson;
		
		setTimeout(()=>{
			muestraImgs(json_vars_<?= $XVAR; ?>);
			xcount++;

			if(xcount == xtotal)
				loaded_page = true;

		},1000);
	<?
		}
	 }else{
	 ?>
		$( $('.box-colors')[0] ).click();
		loaded_page = true;
	<? } ?>
// });
</script>