<style type="text/css">
	.table td, .table th{
		min-width: max-content;
		white-space: nowrap;
    text-align: left;
	}
	tr.cancelable{
		border-bottom: 2px solid #868e96 !important;
	}
	tr.actibable{
		/*//border-bottom: 2px solid rgb(43,145,255) !important;*/
		opacity: 0.9;
    background-color: rgba(0,0,0,0.1);
	}
	<? if($_GET['x']){ ?>
	tr.warning{
		border-bottom: 2px solid #fa9140;
	}
	tr.success{
		border-bottom: 2px solid #46da60;
	}
	<? } ?>
</style>
<main class="main-content v2">
	<div class="container rapp-container mb-5">

		<div class="row mb-4">
			<div class="col">
				<h4><a href="<?= $_URLBASE; ?>acsis-inicio.html" class="text-dark">Inicio</a> > <a href="<?= $_URLBASE; ?>acsis-ventas.html" class="text-dark">Ventas</a></h4>
			</div>
		</div>

		<form method="get" id="form-cant">
			<div class="form-group">
				<label class="color-dark">
					Cantidad ver
				</label>
				<select name="CANT_VER" onchange="$('#form-cant').submit();">
					<option <?= $CANT_VER==30?"selected":""; ?> value="30">30</option>
					<option <?= $CANT_VER==50?"selected":""; ?> value="50">50</option>
					<option <?= $CANT_VER==100?"selected":""; ?> value="100">100</option>
					<option <?= $CANT_VER==200?"selected":""; ?> value="200">200</option>
				</select>
				<b> <?= $oVent->total_archivos; ?> registros en total</b>
				<? if($oVent->total_archivos){ ?>
				<a href="<?= $_THIS_URL."?".$filtros; ?>&csv=ventas">
					<b class="pull-right text-primary">
						<i class="fa fa-download" aria-hidden="true"></i> Descargar <span><?= $oVent->total_archivos; ?> registros</span>
						<i class="fa fa-file-excel-o" aria-hidden="true"></i>
					</b>
				</a>
				<? } ?>
			</div>
		</form>

		<div class="row mb-4">
			<div class="col-12 px-0">
				<div class="card border-0">

					<div class="row justify-content-center p-3">
						<div class="col-lg-5 col-xl-7">
							<h4 class="mb-0"><b>Ventas</b></h4>
						</div>

						<div class="col-lg-7 col-xl-5">
							<form method="get" id="form-st" action="<?= $_THIS_URL; ?>">
								<input type="text" id="input-srch" name="SRCH" class="form-control" placeholder="Buscar ID, nombre o correo" value="<?= $SRCH; ?>">
								<div class="d-flex justify-content-end mt-3">
									<div class="d-flex">
										<div class="pr-1">
											<div>Fecha inicio:</div>
											<input  type="text" class="form-control datepicker" autocomplete="off" placeholder="Fecha inicio" name="F1" value="<?= $F1; ?>">
										</div>
										<div class="pl-1">
											<div>Fecha fin:</div>
											<input type="text" class="form-control datepicker" autocomplete="off" placeholder="Fecha fin" name="F2" value="<?= $F2; ?>">
										</div>
									</div>
									<div>
										<div>Estado:</div>
										<select class="form-control" name="ST" onchange="$('#form-st').submit();">
											<option <?= !$_GET['ST']?"selected":""; ?> value="">Todos</option>
											<option <?= $_GET['ST']=="1"?"selected":""; ?> value="1">Pagados</option>
											<option <?= $_GET['ST']=="2"?"selected":""; ?> value="2">Debe</option>
											<!-- <option <?= $_GET['ST']=="3"?"selected":""; ?> value="3">Cancelables</option> -->
										</select>
									</div>
								</div>
							</form>
						</div>
					</div>

					<hr class="m-0">

					<div class="p-4">
						<? if($pedidos){ ?>
						<div class="FixedHeightContainer">
		  					<div class="content-table-mat table-preloader">
								<table class="table table-1 text-dark" <?= $XX?"style='visibility: hidden;'":"";?>>
									<thead>
										<tr class="text-center">
											<th class="border-0">
												<div>Fecha</div>
											</th>
											<th class="border-0">
												<div>ID</div>
											</th>
											<th class="border-0">
												<div>Nombre</div>
											</th>
											<th class="border-0">
												<div>Correo</div>
											</th>

											<th class="border-0">
												<div>AGENTE</div>
											</th>

											<th class="border-0">
												<div>Mail venta</div>
											</th>

											<th class="border-0">
												<div>Estado</div>
											</th>
											<th class="border-0">
												<div>Importe</div>
											</th>
											<th class="border-0">
												<div>Saldo</div>
											</th>
											<th class="border-0">
												<div>Reseñas</div>
											</th>
										</tr>
									</thead>
									<tbody class="text-center">
										<? 
										foreach($pedidos as $k => $pedido){
										 	extract($pedido,EXTR_PREFIX_ALL,"ped");

										 	$idPedCod=codVal($ped_id);

										 	$date = date_create($ped_fecha);
									        $fecha = strftime("%A %d de %B del %G", strtotime($ped_fecha)); 
									        $hora = date_format($date, 'g:i:s A');

									        $sing = $ped_saldo<1?"-":"+";
									        $saldo = abs($ped_saldo);
									        if($saldo==0){
									        	$ped_estatusv2="Pagado";
									        	$ped_estatusclass="success";
									        }

										 ?>
										<!-- <tr id="tr-row-<?= $k; ?>" class="<?= $ped_cancelable?"cancelable":""; ?> <?= $ped_actibable?"actibable":""; ?> <?= $ped_estatusclass; ?>"> -->
										<tr id="tr-row-<?= $k; ?>" class="<?= $ped_estatus_pedido?"":"actibable"; ?>">
											<td class="border-0" width="30%"><?= $fecha."<br>".$hora; ?></td>
											<td class="border-0" width="10%">
												<a class="text-primary" href="<?= $URL_DESC_VENTA."?id=".urlencode($idPedCod); ?>"><?= $ped_id; ?></a>
											</td>
											<td class="border-0" width="30%"><?= $ped_nombre; ?></td>
											<td class="border-0" width="30%"><?= $ped_correo; ?></td>
											<td class="border-0 text-<?= $ped_tipo_pedido == 1 ? "" : "primary"; ?>" width="30%">
												<? // $ped_tipo_pedido == 1 ? "Cliente" : ($ped_usuario_creo??""); ?> 
												<?= $ped_agente; ?>
											</td>
											<td class="border-0" width="30%">
												<button style="width: 120px;" <?= $ped_estatus_pedido? "data-rmail='$idPedCod'" : "disabled" ; ?> class="btn <?= $ped_estatus_pedido? $ped_mail_compra_send_btn_clss :"btn-secondary"; ?> btn-block px-2 py-1">
													<?= $ped_mail_compra_send_text; ?>
												</button>
											</td>
											<td class="border-0" width="10%">
												<b class="text-<?= $ped_estatusclass; ?>"><?= $ped_estatusv2; ?></b>
											</td>
											<td class="border-0" width="10%">$<?= number_format($ped_importe,2); ?></td>
											<td class="border-0" width="10%"><?= $sing; ?>$<?= number_format($saldo,2); ?></td>

											<? 
											$data_rev="data-review='$ped_review_set'";
											if(!$ped_review_set){
												$data_rev.=" data-mail='$ped_correo' data-rand='$idPedCod' data-linkrev='".urlencode($idPedCod)."'";
											}else{
												$data_rev.="data-venta='$ped_id'";
											}
											?>
											<td class="border-0">
												<a href="#" <?= $data_rev; ?> class="text-<?= $ped_class_review; ?>"><?= $ped_txt_review; ?></a>
											</td>
										</tr>
										<? } ?>
									</tbody>
								</table>
							</div>
							<div class="header-fixed"></div>
						</div>

						<? if($fin_paginador>=1){?>
						<div class="pager">
							<nav aria-label="Page navigation example">
							  <ul class="pagination mb-0">
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?".$filtros; ?>" aria-label="Previous">
							        <span aria-hidden="true">&laquo;</span>
							        <span class="sr-only">Previous</span>
							      </a>
							    </li>

							    <?php if($inicio_paginador>1){?>
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($inicio_paginador-1)."&".$filtros; ?>" aria-label="Previous">
							        <span aria-hidden="true">&lsaquo;</span>
							        <span class="sr-only">Previous</span>
							      </a>
							    </li>
								<?php } ?>

							    <?php for($i = $inicio_paginador; $i<=$fin_paginador; $i++){?>
							    	<li class="page-item <?= ($PAG==$i || ($i==1 && !$PAG))?'active':'';?>"><a class="page-link" href="<?= $_THIS_URL."?PAG=$i"."&".$filtros; ?>"><?= $i; ?></a></li>
							    <?php }?>

							    <li class="page-item"><a class="page-link">...</a></li>

							    <li class="page-item"><a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>">
							    	<?= $total_paginas; ?></a>
							    </li>

							    <?php if($fin_paginador < $total_paginas){?>
							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=".($fin_paginador+1)."&".$filtros; ?>" aria-label="Next">
							        <span aria-hidden="true">&rsaquo;</span>
							        <span class="sr-only">Next</span>
							      </a>
							    </li>
							    <?php }?>

							    <li class="page-item">
							      <a class="page-link" href="<?= $_THIS_URL."?PAG=$total_paginas"."&".$filtros; ?>" aria-label="Next">
							        <span aria-hidden="true">&raquo;</span>
							        <span class="sr-only">Next</span>
							      </a>
							    </li>

							  </ul>
							</nav>
						</div>
						<?php } ?>
						<? }else{ ?>
							<? if($SRCH){ ?>
								<h4>No se encontró venta <span class="text-primary"><?= $SRCH; ?></span></h4>
								<a href="<?= $_THIS_URL; ?>" class="btn-matrimony">Ver todos</a>
							<? } else{ ?>
								<h4>Sin clientes</h4>
							<? } ?>
						<? } ?>

					</div>

				</div>
			</div>
		</div>
		
	</div>
</main>

<!-- Modal manda link review -->
<div class="modal fade" id="modal-reviews" tabindex="-1" role="dialog" aria-labelledby="" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content border-0">

      <!-- <div class="modal-header d-block border-0">
      	<h5 class="mb-0"></h5>
      </div> -->

      <div class="modal-body container-product">
			<div id="no-review" class="row justify-content-center">
				<div class="col text-center">
					<h5 class="mb-4">No hay reseñas</h5>
					<form id="form-send-resena" class="mb-2 position-relative">
						<button type="submit" class="btn-matrimony btn-block btn-sm">Solicitar reseña por correo</button>
						<input id="correo-review" type="hidden" name="<?= ev("correo"); ?>" value="" readonly>
						<input id="rand-review" type="hidden" name="id" value="" readonly>
						<input type="hidden" name="<?= $POST_ACTION; ?>" value="<?= codVal("SEND-REVIEW-LINK"); ?>" readonly>
						<div class="position-absolute h-100 d-flex justify-content-center align-items-center" style="top:0;right: -65px;">
						</div>
					</form>
					<div class="position-relative">
						<button id="link-resena" type="button" class="btn-matrimony btn-block btn-sm">Copiar link reseña</button>
						<input id="link-resena-url" type="text" style="z-index: -2; opacity: 0; position: absolute;" value="">
						<div class="position-absolute h-100 d-flex justify-content-center align-items-center" style="top:0;right: -65px;">
						</div>
					</div>
					<b id="mail-send-resena" class="text-success"></b>
				</div>
			</div>
      </div>

      <div class="modal-footer border-0 pt-0">
        <button type="button" class="btn btn-outline-secondary btn-sm p-1 px-4" data-dismiss="modal">Cerrar</button>
      </div>

    </div>
  </div>
</div>

<!-- Modal reiew-->
<div class="modal fade" id="modal-view-review" tabindex="-1" role="dialog" aria-labelledby="" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content border-0">

      <!-- <div class="modal-header d-block border-0">
      	<h5 class="mb-0"></h5>
      </div> -->

      <div class="modal-body container-product">
			<div id="review-vent"></div>
      </div>

      <div class="modal-footer border-0 pt-0">
        <button type="button" class="btn btn-outline-secondary btn-sm p-1 px-4" data-dismiss="modal">Cerrar</button>
      </div>

    </div>
  </div>
</div>
<script>
$(document).ready(function() {

	$('.datepicker').each(function(i,e){
		$(e).datepicker({
	        dateFormat: 'yy-mm-dd',
	        showOtherMonths: true,
	        // minDate: 0,
	        maxDate:0,
	        onSelect: function() {
		       $('#form-st').submit();
		    }
	    });

	    $
	});

	$('#input-srch').keypress(function (ev) {
            var keycode = (ev.keyCode ? ev.keyCode : ev.which);
            if (keycode == '13') {
                $('#form-st').submit();
            }
        })

	function eventClickReview(){
		$('[data-review]').each(function(i,e){
			$(e).click(function(){
				var review=$(this).data('review')*1;
				var venta=$(this).data('venta');
				var mail=$(this).data('mail');
				var rand=$(this).data('rand');
				var linkrev='<?= $_URLREVIEW; ?>'+$(this).data('linkrev');

				if(!review){
					$('#rand-review').val(rand);
					$('#correo-review').val(mail);
					$('#link-resena-url').val(linkrev);
					$('#modal-reviews').modal('show');
				}else{
					var url='<?= $_URLBASE; ?>acsis-reviews.html?HIDE_NAV=1&FROM_VENTAS=1&SRCH='+venta;
					$('#review-vent').html('');
					$('<iframe>',{src:url,frameborder:'0',style:'height:500px; width:100%;'}).appendTo('#review-vent');
					$('#modal-view-review').modal('show');
					
				}
			});
		});
	}
	eventClickReview();

	$('#modal-reviews').on('hidden.bs.modal', function () {
	    $('#rand-review').val('');
		$('#correo-review').val('');
		$('#link-resena-url').val('');
		$('#mail-send-resena').html('');
	});
	$('#modal-view-review').on('hidden.bs.modal', function () {
		$('#review-vent').html('');
	});

	$('#link-resena').click(function(){
		$('#link-resena-url').select();
		document.execCommand("copy");
		$('#mail-send-resena').text('Copiado');
		setTimeout(function(){
			$('#mail-send-resena').text('');
		},3000);
	});


	$('#form-send-resena').on('submit', function(event) {
    	event.preventDefault();
    	var xdata = $('#form-send-resena').serialize();
    	var inputs = $('#no-review').find('input,button');
    	inputs.attr('disabled',true);

    	$.post('<?= $URLPOST_REVIEW; ?>',xdata,function(data){
    		let resp = data.split('--codeup--');
    		let json = null;
    		try{
    			json = JSON.parse( resp[1] );
    		}catch(err){
    			alert(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    			if(!json.error){
    				$('#mail-send-resena').text(json.msg);
    			}else{
    				alert(json.errores);
    			}
    		}

			inputs.attr('disabled',false);
		});
  });

  $('[data-rmail]').each(function(i,e){
  	$(e).click(function(){
  		var pretext=$(this).text();
  		var id=$(this).data('rmail');
  		var data = {<?= ev("ACTION"); ?>: '<?= codVal("RESEND-MAIL"); ?>',id:id};
  		$(this).text("Enviando...").attr('disabled',true);
  		$.post('acsis_ventas_actions.html',data,function(data){
  			$(e).text(pretext).attr('disabled',false);
  			
  			let resp = data.split('--codeup--');
    		let json = null;
    		try{
    			json = JSON.parse(resp[1]);
    		}catch(err){
    			alert(err.message);
    		}

    		if(json != null) {
    			console.log(json);
    			if(!json.error){
    				$(e).text("Reenviar").removeClass('btn-warning').addClass('btn-success');
    			}else{
    				alert(json.errores);
    			}
    		}

  		});
  		
  	});
  });
});
</script>