<? if(!$style_set){ ?>
<style>
	.box-review{
	 	border-top: 1px solid #000;
	 	padding-top: 1.2rem;
	 }
	label[for^="star-"]{
		cursor: pointer;
		font-size: 2rem;
		color:#FDCC0D
	}
	@media (max-width: 400px){
		label[for^="star-"]{
			font-size: 2rem !important;
		}
	}

	.item-box{
		position: relative;
	    width: 100px;
	    height: 100px;
	    background-color: #f4f7f9;
	    border-radius: 4px;
	}
	.item-box:before{
		content: " ";
		width: 50px;
		height: 2px;
		background-color: #aeaeae;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		margin: auto;
		border-radius: 3px;
	}
	.item-box:after{
		content: " ";
		height: 50px;
		width: 2px;
		background-color: #aeaeae;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		margin: auto;
		border-radius: 3px;
	}

	.user-ico{
		width: 45px;
		height: 45px;
		color: #ffffff;
		border-radius: 100%;
		background-color: rgb(43,145,255);
		font-size: 1rem;
		font-weight: 600;
		position: relative;
		display: flex;
		justify-content: center;
		align-items: center;
		margin: auto;
	}
	.user-ico:before{
		content: "L";
		position: absolute;
		bottom: 0;
		right: 0;
		width: 40%;
		height: 40%;
		padding: 0;
		border-radius: 100%;
		background-color: #00FF00;
		color: #ffffff;
		font-size: 0.7rem;
		border: 0.05rem solid #ffffff;
		transform: scale(-1, 1) rotate(-35deg);
		display: flex;
		justify-content: center;
		align-items: center;
		font-weight: 600;
	}
     
    [class^="box-review"] b,[class^="box-review"] p{color: #000;}
    .box-review-dv .row-dets .col-12{padding-left: 0 !important;}
    [class^="box-review"].disabled{
    	opacity: 0.6;
    }
    i[class^="fa fa-eye"]{cursor: pointer; font-size: 1rem;}

    [class^="box-review"] .box-image{
		max-width: 150px;
		margin-right: 10px;
		margin-bottom: 10px;
		position: relative;
	}

	[class^="box-review"] span.del{
		position: absolute;
		top: -5px;
		right: -5px;
		color: #fff;
		cursor: pointer;
		font-size: 18px;
		font-weight: 600;
		width: 20px;
		height: 20px;
		border-radius: 100%;
		background: red;
		display: flex;
		justify-content: center;
		align-items: center;
		text-align: center;
		box-shadow: 0px 0px 5px gray;
	}
</style>
<? $style_set=true; } ?>
<? 
$activa_desactiva = ($_SESSION['SESUS_login'] && $desde_admin); 
$add_del_images =($_SESSION['SESUS_login'] && $vis_all_views);
?>
						<? //prEx($reviews);
						foreach ($reviews as $index => $review) { 
							extract($review,EXTR_PREFIX_ALL,"review");
							$id_sku = $review_idProducto.":::".$review_sku.":::".$index;
							$dataprod="";

							//Cambia el folder de las imagenes
							if($review_idVentaFake && $review_is_fake){
  								$review_idVenta="custom-".$review_idVentaFake;
  							}

							if($activa_desactiva){

								$dataprod=" data-prod='".codVal($review_idRev)."' ";

								$urlidventa = urlencode(codVal($review_idVenta));
								if($desde_vis_reviews){
									$dataprod.= " data-urlid='$urlidventa'";
								}
							}

							$xpar_nom = explode(" ", trim($review_nombre),2);
							$string_appe="";
							if (count($xpar_nom)>1) {
								$string_appe = " ".strtoupper(substr($xpar_nom[1], 0,1));
							}
						?>
						<div class="<?= $dv?"box-review-dv p-3":"box-review pb-2"; ?>" <?= $dataprod; ?>>
							<div class="row">
				  				<div class="col-<?= $dv?"sm-2 pl-0":"sm-1 col-2 pr-0"; ?> text-center">
				  					<div class="user-ico"><?= substr($xpar_nom[0], 0,1); ?></div>
				  					<? if($activa_desactiva){ ?>
				  					<div class="">
				  						<a href="<?= $_URLBASE."acsis-detalle-venta.html?id=$urlidventa" ?>" class="text-primary"><u><?= $review_idVenta; ?></u></a>
				  					</div>
				  					<div class="text-<?= $review_estatus?"success":"secondary"; ?>">
				  						<i class="fa fa-eye" data-st="1"></i>
				  					</div>
				  					<div class="text-<?= !$review_estatus?"success":"secondary"; ?>">
				  						<i class="fa fa-eye-slash" data-st="0"></i>
				  					</div>
				  					<? } ?>
				  				</div>
				  				<div class="col-<?= $dv?"sm-10 pl-sm-0":"sm-11 col-10"; ?>">
				  					<div class="row row-dets">
				  						<div class="col-12 lh-1-3em">
				  							<b class="text-primary"><?= $xpar_nom[0]; ?><?= $string_appe; ?>.</b> <span>Comprador verificado</span>
				  							<span class="pull-right"><?= $review__fechaIns; ?></span>
				  						</div>
					  					<div class="col-12 lh-1-3em">
					  						<a class="text-primary" href="<?= $activa_desactiva?$review_url_id:""; ?>">
				  								<span><?= $review_nombre_prod; ?></span> - <span><?= $review_sku; ?></span>
				  							</a>
				  						</div>
				  						<div class="col-12">
				  							<div class="fs20">
												<? for($i=1;$i<=5;$i++){ ?>
													<i class="fa fa-star<?= ($i<=$review_calificacion)?"":"-o"; ?> mr-1" aria-hidden="true" style="color:#FDCC0D; "></i>
												<? } ?>
												<!-- <small>(<?= round($review_calificacion,2); ?>)</small> -->
											</div>
				  						</div>
				  						<div class="col-12">
				  							<label><?= $review_estado; ?></label>
				  						</div>
				  						<div class="col-12">
				  							<b><?= $review_titulo; ?></b>
				  							<p class="lh-1-3em"><?= $review_comentario; ?>.</p>
				  						</div>

				  						<? if($vista_cleinte){ ?>
				  							<div class="col-12 text-right">
				  								<?
				  								 $xparurl=explode("-", $review_url_id);
				  								 $xparurl[0]="reviews";
				  								 $xend=end($xparurl);
				  								 $xend=str_replace(".html","", $xend);
				  								 $xparurl[count($xparurl)-1]=$xend."--tipo-".$review_tipo_producto;
				  								 $urlrev=implode("-", $xparurl);

				  								?>
					  							<a class="text-primary" href="javascript:parent.window.location='<?=$urlrev;?>';">Ver más</a>
					  						</div>
				  						<? } ?>

				  						<div class="col-12">
				  							<div class="row px-3 parent-for-images">
				  							<?
				  							$base="$review_tipo_producto/".datadir($review_idProducto);
				  							$DIR_ID_URL = $base."idreview-$review_idVenta/";
											$DIR_ID = str_replace("/", DIRECTORY_SEPARATOR, $DIR_ID_URL);
											$DIR_GLOB = $_DIR_IMGS_REVIEWS.$DIR_ID;
											$images = glob($DIR_GLOB."*.jpg");

				  							
											if($images){

												foreach ($images as $key => $img) {
													$image=str_replace($_DIR_IMGS_REVIEWS,$_URL_IMGS_REVIEWS,$img);
													?>
													<div class="box-image">
														<img src="<?= $image; ?>" width="150px" class="image-review-modal img-fluid mr-2 mb-2">

														<? if($add_del_images){ ?>
														<span onclick="eliminaImg('<?= codVal($id_sku); ?>',$(this),'<?= urlencode(codVal($review_idVenta)); ?>');" class="del img-del" data-pos="<?= ($key+1); ?>">&times;</span>
														<? } ?>

													</div>
													<?
												}
											}
											if($add_del_images){
											?>
												<label id="images-review-box-<?= ev($id_sku); ?>" data-prod="<?= codVal($id_sku); ?>" data-idvent="<?= urlencode(codVal($review_idVenta)); ?>" for="images-review" class="item-box add"></label>
											<?
											}
				  							?>
				  							</div>
				  						</div>
				  					</div>
				  				</div>

				  			</div>
				  		</div>

				  		<? } ?>


<? if($activa_desactiva){ ?>

	<? if($add_del_images){ ?>

	<!-- Modal -->
	<div class="modal fade modal-images" tabindex="-1" role="dialog" aria-hidden="true">
	  <div class="modal-dialog modal-dialog-centered" role="document">
	    <div class="modal-content">

	      <div class="modal-header">
	      </div>

	      <div class="modal-body">

	      	<div class="section">
			    <div class="progress" style="height: auto !important; ">
			       <div class="progress-bar bg-primary d-none" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
			      </div>
			</div>

	      </div>

	    </div>
	  </div>
	</div>

	<form id="form-images" class="d-none">
		<input id="images-review" type="file" accept="image/jpeg, image/png" multiple name="<?= ev("images"); ?>[]">
		<input type="hidden" name="<?= ev("action"); ?>" value="<?= codVal("UPIMGS"); ?>">
		<input type="hidden" id="product-review" name="<?= ev("id_sku"); ?>" value="">
		<input type="hidden" id="product-idvent" value="">
	</form>

	<script>

	$('[id^="images-review-box"]').each(function(i,e){
		$(e).click(function(){
			$('#product-review').val($(this).data('prod'));
			$('#product-idvent').val($(this).data('idvent'));
		});
	});

	$('#images-review').change(function(event){
		$('#form-images').submit();
	});

	$(document).ready(function() {
	    $('#form-images').on('submit', function(event) {
	        event.preventDefault();
	        $('.modal-images').modal('show');
	        $('.progress-bar').removeClass('d-none');
	        var formData = new FormData($(this)[0]);
	        $('.progress-bar').attr('aria-valuenow', 0).css('width', 0 + '%').text(0 + '%');
	        var idvent = $.trim($('#product-idvent').val());

	        $.ajax({
	            xhr : function() {
	                var xhr = new window.XMLHttpRequest();
	                xhr.upload.addEventListener('progress', function(e) {
	                    if (e.lengthComputable) {
	                        var percent = Math.round((e.loaded / e.total) * 100);
	                        var bar = $('.progress-bar').attr('aria-valuenow', percent).css('width', percent + '%');

	                        if(percent < 100)
	                            bar.text(percent + '%');
	                        else
	                            bar.text('Completando...');
	                    }

	                });
	                return xhr;
	            },
	            type : 'POST',
	            url : '<?= $URL_POST_IMGS; ?>'+idvent,
	            data : formData,
	            processData : false,
	            contentType : false,
	            success : function(data) {
	            	$('.progress-bar').addClass('d-none');
	                let resp = data.split('--codereg--')[1];
		    		let json = null;
		    		try{
		    			json = JSON.parse( resp );
		    		}catch(err){
		    			console.log(err.message);
		    		}

		    		if(json != null) {
		    			console.log(json);
		    			if( !json.error ){
		    				if( json.cant_saved ){
		    					setImages(json.imgs_directory,json.cant_saved,json.grupo,json.grupov,idvent);
		    				}
		    			}

		    		}//if(json != null)

		    		$('.modal-images').modal('hide');
		    		setTimeout(()=>{
		    			$('.modal-images').modal('hide');
		    		},300);
	            }
	        });

	    });
	});
	function setImages(directory,cant,grupo,grupov,idvent) {
		var label_add = $('#images-review-box-'+grupo);
		console.log(label_add);
		var rand = Math.floor(Date.now() / 1000);
		var len = label_add.parent().find('span.img-del').length+1;
		var limit=len+cant;
		console.log(limit);
		for(var i=len;i<limit;i++){
			var div = $('<div>',{class:'box-image'});
			$('<img>',{src:directory+i+'.jpg?rand='+rand,class:'w-100 main-img-grup'}).appendTo(div);
			$('<span>',{class:'del img-del',html:'&times;','data-pos':i}).click(function(){eliminaImg(grupov,$(this),idvent);}).appendTo(div);
			div.insertBefore(label_add);
		}
	}

	function eliminaImg(grupo,el,idvent) {
		var urlpost = '<?= $URL_POST_IMGS; ?>'+idvent;
		$.post(urlpost,{
			'<?= ev("action"); ?>':'<?= codVal('ELIMINAIMGS'); ?>',
			'img':el.attr('data-pos'),
			'<?= ev("id_sku"); ?>':grupo
		},function(data){
			 let resp = data.split('--codereg--')[1];
	    		let json = null;
	    		try{
	    			json = JSON.parse( resp );
	    		}catch(err){
	    			console.log(err.message);
	    		}

	    		if(json != null) {
	    			console.log(json);
	    			if( !json.error ){
	    				el.parent().remove();
	    				var label_add = $('#images-review-box-'+json.grupo);
	    				var del = label_add.parent().find('span.img-del');
	    				console.log(del);
						var len = del.length;
						for(var i=0;i<len;i++){
							$(del[i]).attr('data-pos',(i+1));
						}
	    			}else{
	    				alert('error al eliminar');
	    			}

	    		}//if(json != null)
		});
	}
	</script>
	<? } ?>

<script>
let sendPost = true;

$(document).ready(function(){


	$('div[data-prod]').each(function(i,e){
		//console.log(e);
		$(e).find('[class^="fa fa-eye"]').each(function(j,e2){

			if($(e).hasClass('general')){
				//console.log(e2);
			}

			$(e2).click(function(){
				if( !sendPost )
					return false;

				$(e).addClass('disabled');
				var st = $(this).data('st');
				var parent=$(this).parent();
				var sfunc = function(){
					$(e).remove('disabled');
					if(st){
						$(e).find('.fa.fa-eye').parent().attr('class','text-success');
						$(e).find('.fa.fa-eye-slash').parent().attr('class','text-secondary');
					}else{
						$(e).find('.fa.fa-eye').parent().attr('class','text-secondary');
						$(e).find('.fa.fa-eye-slash').parent().attr('class','text-success');
					}
				};

				var prod = $(e).data('prod');
				//variable entre vita reviews y vista detalle venta
				var urlid = $(e).data('urlid');
				var gral_review=$(e).hasClass('general')?1:0;
				console.log(urlid);
				update({<?= ev("ACTION"); ?>:'<?= codVal("ACTIVA"); ?>',prod:prod,st:st,gral_review:gral_review},sfunc,urlid);
			});
		});``
	 });



	function update(d,func='',idurl='')
	{
		if( sendPost ) {
			sendPost = false;
			var dataBase = { varname: 'varvalue' };
			var data = $.extend({}, dataBase, d);



			$.post('<?= $URLPOST_REVIEW; ?>'+idurl,data,function(r){
				sendPost = true;
				$('.disabled').removeClass('disabled');
				console.log(r);
				let resp = r.split('--codeup--')[1];
	    		let json = null;
	    		try{
	    			json = JSON.parse( resp );
	    		}catch(err){
	    			console.log(err.message);
	    		}

	    		console.log(json);

	    		if( json!=null )
		    		if( !json.error )
		    		{
						if (typeof func === 'function')
							func( json );
		    		}
			});
		}else {
			console.log('Wait...');
		}
	}

});
	</script>
<? } ?>